import { IEnvelope, Data } from '@microsoft/applicationinsights-common';
import { ITelemetryItem, IDiagnosticLogger } from '@microsoft/applicationinsights-core-js';
export declare abstract class EnvelopeCreator {
    static Version: string;
    protected static extractPropsAndMeasurements(data: {
        [key: string]: any;
    }, properties: {
        [key: string]: any;
    }, measurements: {
        [key: string]: any;
    }): void;
    protected static createEnvelope<T>(logger: IDiagnosticLogger, envelopeType: string, telemetryItem: ITelemetryItem, data: Data<T>): IEnvelope;
    private static extractPartAExtensions(item, env);
    protected _logger: IDiagnosticLogger;
    abstract Create(logger: IDiagnosticLogger, telemetryItem: ITelemetryItem): IEnvelope;
    protected Init(logger: IDiagnosticLogger, telemetryItem: ITelemetryItem): void;
}
export declare class DependencyEnvelopeCreator extends EnvelopeCreator {
    static DependencyEnvelopeCreator: DependencyEnvelopeCreator;
    Create(logger: IDiagnosticLogger, telemetryItem: ITelemetryItem): IEnvelope;
}
export declare class EventEnvelopeCreator extends EnvelopeCreator {
    static EventEnvelopeCreator: EventEnvelopeCreator;
    Create(logger: IDiagnosticLogger, telemetryItem: ITelemetryItem): IEnvelope;
}
export declare class ExceptionEnvelopeCreator extends EnvelopeCreator {
    static ExceptionEnvelopeCreator: ExceptionEnvelopeCreator;
    Create(logger: IDiagnosticLogger, telemetryItem: ITelemetryItem): IEnvelope;
}
export declare class MetricEnvelopeCreator extends EnvelopeCreator {
    static MetricEnvelopeCreator: MetricEnvelopeCreator;
    Create(logger: IDiagnosticLogger, telemetryItem: ITelemetryItem): IEnvelope;
}
export declare class PageViewEnvelopeCreator extends EnvelopeCreator {
    static PageViewEnvelopeCreator: PageViewEnvelopeCreator;
    Create(logger: IDiagnosticLogger, telemetryItem: ITelemetryItem): IEnvelope;
}
export declare class PageViewPerformanceEnvelopeCreator extends EnvelopeCreator {
    static PageViewPerformanceEnvelopeCreator: PageViewPerformanceEnvelopeCreator;
    Create(logger: IDiagnosticLogger, telemetryItem: ITelemetryItem): IEnvelope;
}
export declare class TraceEnvelopeCreator extends EnvelopeCreator {
    static TraceEnvelopeCreator: TraceEnvelopeCreator;
    Create(logger: IDiagnosticLogger, telemetryItem: ITelemetryItem): IEnvelope;
}
