import { ExceptionDetails } from './ExceptionDetails';
import { Domain } from './Domain';
import { SeverityLevel } from './SeverityLevel';
/**
 * An instance of Exception represents a handled or unhandled exception that occurred during execution of the monitored application.
 */
export declare class ExceptionData implements Domain {
    /**
     * Schema version
     */
    ver: number;
    /**
     * Exception chain - list of inner exceptions.
     */
    exceptions: ExceptionDetails[];
    /**
     * Severity level. Mostly used to indicate exception severity level when it is reported by logging library.
     */
    severityLevel: SeverityLevel;
    /**
     * Collection of custom properties.
     */
    properties: any;
    /**
     * Collection of custom measurements.
     */
    measurements: any;
    constructor();
}
