import { Domain } from './Domain';
import { DataPoint } from './DataPoint';
/**
 * An instance of the Metric item is a list of measurements (single data points) and/or aggregations.
 */
export declare class MetricData implements Domain {
    /**
     * Schema version
     */
    ver: number;
    /**
     * List of metrics. Only one metric in the list is currently supported by Application Insights storage. If multiple data points were sent only the first one will be used.
     */
    metrics: DataPoint[];
    /**
     * Collection of custom properties.
     */
    properties: any;
    /**
     * Collection of custom measurements.
     */
    measurements: any;
    constructor();
}
