import { IDevice } from '@microsoft/applicationinsights-common';
export declare class Device implements IDevice {
    /**
     * The type for the current device.
     */
    deviceClass: string;
    /**
     * A device unique ID.
     */
    id: string;
    /**
     * The application screen resolution.
     */
    resolution: string;
    /**
     * The device model for the current device.
     */
    model: string;
    /**
     * Device identifier known at instrumentation time
     */
    localId: string;
    /**
     * Device identifier known at instrumentation time
     */
    ip: string;
    /**
     * Constructs a new instance of the Device class
     */
    constructor();
}
