/*!--------------------------------------------------------
 * Copyright (C) Microsoft Corporation. All rights reserved.
 *--------------------------------------------------------*/(function(){var we=["require","exports","vs/base/common/lifecycle","vs/base/common/platform","vs/base/common/uri","vs/base/common/path","vs/platform/instantiation/common/instantiation","vs/base/common/event","vs/base/common/network","vs/nls","vs/nls!vs/server/node/server.main","vs/base/common/errors","vs/base/common/types","vs/base/common/async","vs/platform/log/common/log","vs/base/common/buffer","vs/base/common/strings","vs/base/common/arrays","vs/base/node/pfs","vs/platform/files/common/files","vs/base/common/cancellation","vs/base/common/objects","vs/base/common/resources","vs/base/common/uuid","vs/base/common/process","os","vs/platform/environment/common/environment","fs","vs/platform/configuration/common/configuration","vs/base/common/map","vs/platform/product/common/productService","vs/platform/extensionManagement/common/extensionManagementUtil","vs/platform/extensionManagement/common/extensionManagement","vs/platform/telemetry/common/telemetry","vs/base/common/extpath","vs/platform/registry/common/platform","vs/base/common/errorMessage","vs/base/common/codicons","child_process","vs/base/parts/ipc/common/ipc","vs/platform/extensions/common/extensions","vs/platform/telemetry/common/telemetryUtils","vs/base/common/stream","vs/base/common/performance","vs/platform/product/common/product","vs/platform/configuration/common/configurationRegistry","vs/platform/request/common/request","vs/platform/uriIdentity/common/uriIdentity","vs/server/node/serverEnvironmentService","vs/base/common/iterator","vs/base/common/marshalling","vs/editor/common/core/range","vs/platform/environment/node/argv","vs/platform/instantiation/common/descriptors","vs/platform/files/common/watcher","vs/platform/files/node/diskFileSystemProvider","vs/base/common/semver/semver","vs/workbench/api/node/uriTransformer","vs/base/parts/ipc/node/ipc.net","vs/base/common/json","vs/base/common/mime","vs/base/common/uriIpc","vs/base/node/processes","vs/platform/extensions/common/extensionValidator","vs/platform/download/common/download","vs/platform/instantiation/common/serviceCollection","vs/platform/localizations/common/localizations","crypto","url","vs/platform/terminal/node/shellEnv","vs/server/node/remoteLanguagePacks","vs/base/node/zip","vs/base/common/decorators","vs/base/common/functional","vs/base/common/processes","vs/base/common/normalization","vs/base/common/severity","vs/base/common/console","vs/base/common/glob","vs/base/common/htmlContent","vs/base/common/labels","vs/base/node/id","net","vs/base/node/powershell","vs/base/node/ps","vs/base/parts/ipc/common/ipc.net","vs/editor/common/core/position","vs/base/parts/ipc/node/ipc.cp","vs/platform/environment/common/environmentService","vs/platform/contextkey/common/contextkey","vs/platform/credentials/common/credentials","vs/platform/files/common/io","vs/platform/instantiation/common/instantiationService","vs/platform/files/common/fileService","vs/platform/log/common/logIpc","vs/platform/log/node/spdlogLog","vs/platform/configuration/common/configurationService","vs/platform/remote/common/remoteAuthorityResolver","vs/platform/extensionManagement/common/extensionManagementCLIService","vs/platform/localizations/node/localizations","vs/platform/extensionManagement/common/extensionGalleryService","vs/platform/terminal/common/terminal","vs/platform/theme/common/themeService","vs/platform/uriIdentity/common/uriIdentityService","vs/platform/workspace/common/workspace","vs/workbench/api/common/extHostTestingPrivateApi","vs/workbench/api/common/extHostTypes","vs/workbench/common/editor","vs/workbench/contrib/terminal/common/environmentVariable","vs/workbench/contrib/terminal/common/environmentVariableShared","vs/workbench/services/editor/common/editorService","vs/workbench/services/extensions/common/proxyIdentifier","vs/workbench/services/remote/common/remoteAgentService","vs/platform/extensionManagement/node/extensionManagementService","vs/platform/request/node/requestService","vs/server/node/extensionHostConnection","vs/base/common/amd","vs/base/common/assert","vs/base/common/lazy","vs/base/common/linkedList","vs/base/common/marked/marked","vs/base/common/skipList","vs/base/common/stopwatch","vs/base/common/cache","vs/base/common/hash","vs/base/common/filters","vs/base/common/iconLabels","vs/base/node/decoder","vs/base/node/languagePacks","path","vs/base/node/macAddress","util","vs/base/node/extpath","vs/base/node/ports","vs/base/parts/storage/common/storage","vs/editor/common/tokenizationRegistry","vs/editor/common/languages","vs/nls!vs/base/common/date","vs/base/common/date","vs/nls!vs/base/common/errorMessage","vs/nls!vs/base/common/jsonErrorMessages","vs/base/common/jsonErrorMessages","vs/nls!vs/base/node/processes","vs/base/node/shell","vs/nls!vs/base/node/zip","vs/nls!vs/platform/configuration/common/configurationRegistry","vs/nls!vs/platform/environment/node/argv","vs/nls!vs/platform/environment/node/argvHelper","vs/nls!vs/platform/extensionManagement/common/abstractExtensionManagementService","vs/nls!vs/platform/extensionManagement/common/extensionManagement","vs/nls!vs/platform/extensionManagement/common/extensionManagementCLIService","vs/nls!vs/platform/extensionManagement/node/extensionManagementService","vs/nls!vs/platform/extensionManagement/node/extensionManagementUtil","vs/nls!vs/platform/extensionManagement/node/extensionsScanner","vs/nls!vs/platform/extensions/common/extensionValidator","vs/nls!vs/platform/files/common/fileService","vs/nls!vs/platform/files/common/files","vs/nls!vs/platform/files/common/io","vs/nls!vs/platform/files/node/diskFileSystemProvider","vs/nls!vs/platform/markers/common/markers","vs/nls!vs/platform/request/common/request","vs/nls!vs/platform/telemetry/common/telemetryService","vs/nls!vs/platform/terminal/common/terminalPlatformConfiguration","vs/nls!vs/platform/terminal/node/shellEnv","vs/nls!vs/platform/workspace/common/workspace","vs/nls!vs/server/node/remoteAgentEnvironmentImpl","vs/nls!vs/server/node/serverEnvironmentService","vs/nls!vs/workbench/common/editor","vs/nls!vs/workbench/services/configurationResolver/common/variableResolver","vs/nls!vs/workbench/services/extensions/common/extensionPoints","vs/platform/debug/common/extensionHostDebugIpc","vs/platform/download/common/downloadIpc","vs/platform/editor/common/editor","vs/platform/encryption/node/encryptionMainService","vs/platform/environment/node/argvHelper","vs/platform/environment/node/userDataPath","vs/platform/environment/node/environmentService","vs/platform/extensionManagement/common/extensionNls","vs/platform/externalServices/common/serviceMachineId","vs/platform/instantiation/common/extensions","vs/platform/instantiation/common/graph","vs/platform/diagnostics/common/diagnostics","vs/platform/encryption/common/encryptionService","vs/platform/files/common/diskFileSystemProviderClient","vs/platform/files/node/watcher/nodejs/nodejsWatcherLib","vs/platform/files/node/watcher/nodejs/nodejsWatcher","vs/platform/files/node/watcher/nodejs/nodejsClient","vs/platform/files/node/watcher/watcherClient","vs/platform/label/common/label","vs/platform/extensionManagement/node/extensionLifecycle","vs/platform/files/common/diskFileSystemProvider","vs/platform/files/node/diskFileSystemProviderServer","vs/platform/markers/common/markers","vs/platform/notification/common/notification","vs/platform/credentials/node/credentialsMainService","vs/platform/jsonschemas/common/jsonContributionRegistry","vs/platform/configuration/common/configurationModels","vs/platform/remote/common/remoteHosts","vs/platform/extensionManagement/common/extensionManagementIpc","vs/platform/extensionManagement/node/extensionDownloader","vs/platform/extensionManagement/node/extensionsManifestCache","vs/platform/download/common/downloadService","vs/platform/request/common/requestIpc","vs/platform/request/node/proxy","vs/platform/storage/common/storage","vs/platform/telemetry/common/commonProperties","vs/platform/telemetry/common/errorTelemetry","vs/platform/telemetry/common/remoteTelemetryChannel","vs/platform/diagnostics/node/diagnosticsService","vs/platform/extensionManagement/common/abstractExtensionManagementService","vs/platform/externalServices/common/marketplace","vs/platform/telemetry/common/telemetryService","vs/platform/telemetry/common/serverTelemetryService","vs/platform/telemetry/node/appInsightsAppender","vs/platform/telemetry/node/errorTelemetry","vs/platform/terminal/common/requestStore","vs/platform/terminal/node/terminalEnvironment","vs/platform/theme/common/theme","vs/platform/terminal/common/terminalProfiles","vs/platform/terminal/common/terminalPlatformConfiguration","vs/platform/terminal/node/terminalProfiles","vs/platform/terminal/node/ptyHostService","vs/platform/extensionManagement/node/extensionsWatcher","vs/server/node/remoteExtensionManagement","vs/server/node/serverConnectionToken","cookie","vs/server/node/webClientServer","vs/workbench/api/common/extHostRpcService","vs/server/node/remoteFileSystemProviderServer","vs/workbench/contrib/notebook/common/notebookCommon","vs/workbench/contrib/terminal/common/environmentVariableCollection","vs/workbench/contrib/terminal/common/terminalEnvironment","vs/workbench/contrib/testing/common/testCollection","vs/workbench/contrib/testing/common/testId","vs/workbench/services/configuration/common/configuration","vs/workbench/services/configurationResolver/common/configurationResolver","vs/workbench/services/configurationResolver/common/variableResolver","vs/workbench/services/editor/common/editorGroupsService","vs/workbench/api/common/extHostTypeConverters","vs/workbench/contrib/terminal/common/remoteTerminalChannel","vs/workbench/services/extensions/common/extensionPoints","vs/server/node/remoteAgentEnvironmentImpl","vs/workbench/api/common/extHost.protocol","vs/workbench/api/common/extHostCommands","vs/workbench/services/extensions/common/remoteConsoleUtil","vs/workbench/services/remote/common/remoteFileSystemProviderClient","vs/platform/extensionManagement/node/extensionManagementUtil","vs/platform/extensionManagement/node/extensionsScanner","zlib","vs/server/node/remoteExtensionHostAgentCli","vs/workbench/api/node/extHostCLIServer","vs/server/node/remoteTerminalChannel","vs/server/node/serverServices","vs/server/node/remoteExtensionHostAgentServer","perf_hooks","string_decoder","minimist","assert","graceful-fs","yauzl","yazl","http","vs/server/node/server.main"],ye=function(J){for(var e=[],k=0,t=J.length;k<t;k++)e[k]=we[J[k]];return e};define(we[116],ye([0,1]),function(J,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LoaderStats=void 0;class k{static get(){const p=new Map,C=new Map,P=new Map,D=new Map;function v(b,c){b.has(c.detail)||b.set(c.detail,-c.timestamp)}function I(b,c){let h=b.get(c.detail);!h||h>=0||b.set(c.detail,h+c.timestamp)}const L=J.getStats().slice(0).sort((b,c)=>b.timestamp-c.timestamp);for(const b of L)switch(b.type){case 10:v(p,b);break;case 11:case 12:I(p,b);break;case 21:v(C,b);break;case 22:I(C,b);break;case 33:v(P,b);break;case 34:I(P,b);break;case 31:v(D,b);break;case 32:I(D,b);break}let R=0;P.forEach(b=>R+=b);function g(b){let c=[];return b.forEach((h,d)=>c.push([d,h])),c}return{amdLoad:g(p),amdInvoke:g(C),nodeRequire:g(P),nodeEval:g(D),nodeRequireTotal:R}}static toMarkdownTable(p,C){let P="",D=[];return p.forEach((v,I)=>{D[I]=v.length}),C.forEach(v=>{v.forEach((I,L)=>{typeof I=="undefined"&&(I=v[L]="-");const R=I.toString().length;D[L]=Math.max(R,D[L])})}),p.forEach((v,I)=>{P+=`| ${v+" ".repeat(D[I]-v.toString().length)} `}),P+=`|
`,p.forEach((v,I)=>{P+=`| ${"-".repeat(D[I])} `}),P+=`|
`,C.forEach(v=>{v.forEach((I,L)=>{typeof I!="undefined"&&(P+=`| ${I+" ".repeat(D[L]-I.toString().length)} `)}),P+=`|
`}),P}}e.LoaderStats=k}),define(we[117],ye([0,1]),function(J,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ok=void 0;function k(t,p){if(!t)throw new Error(p?`Assertion failed (${p})`:"Assertion Failed")}e.ok=k}),define(we[37],ye([0,1]),function(J,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CSSIcon=e.getClassNamesArray=e.Codicon=e.getCodiconAriaLabel=void 0;function k(P){return P?P.replace(/\$\((.*?)\)/g,(D,v)=>` ${v} `).trim():""}e.getCodiconAriaLabel=k;class t{constructor(D,v,I){this.id=D,this.definition=v,this.description=I,t._allCodicons.push(this)}get classNames(){return"codicon codicon-"+this.id}get classNamesArray(){return["codicon","codicon-"+this.id]}get cssSelector(){return".codicon.codicon-"+this.id}static getAll(){return t._allCodicons}}e.Codicon=t,t._allCodicons=[],t.add=new t("add",{fontCharacter:"\\ea60"}),t.plus=new t("plus",t.add.definition),t.gistNew=new t("gist-new",t.add.definition),t.repoCreate=new t("repo-create",t.add.definition),t.lightbulb=new t("lightbulb",{fontCharacter:"\\ea61"}),t.lightBulb=new t("light-bulb",{fontCharacter:"\\ea61"}),t.repo=new t("repo",{fontCharacter:"\\ea62"}),t.repoDelete=new t("repo-delete",{fontCharacter:"\\ea62"}),t.gistFork=new t("gist-fork",{fontCharacter:"\\ea63"}),t.repoForked=new t("repo-forked",{fontCharacter:"\\ea63"}),t.gitPullRequest=new t("git-pull-request",{fontCharacter:"\\ea64"}),t.gitPullRequestAbandoned=new t("git-pull-request-abandoned",{fontCharacter:"\\ea64"}),t.recordKeys=new t("record-keys",{fontCharacter:"\\ea65"}),t.keyboard=new t("keyboard",{fontCharacter:"\\ea65"}),t.tag=new t("tag",{fontCharacter:"\\ea66"}),t.tagAdd=new t("tag-add",{fontCharacter:"\\ea66"}),t.tagRemove=new t("tag-remove",{fontCharacter:"\\ea66"}),t.person=new t("person",{fontCharacter:"\\ea67"}),t.personFollow=new t("person-follow",{fontCharacter:"\\ea67"}),t.personOutline=new t("person-outline",{fontCharacter:"\\ea67"}),t.personFilled=new t("person-filled",{fontCharacter:"\\ea67"}),t.gitBranch=new t("git-branch",{fontCharacter:"\\ea68"}),t.gitBranchCreate=new t("git-branch-create",{fontCharacter:"\\ea68"}),t.gitBranchDelete=new t("git-branch-delete",{fontCharacter:"\\ea68"}),t.sourceControl=new t("source-control",{fontCharacter:"\\ea68"}),t.mirror=new t("mirror",{fontCharacter:"\\ea69"}),t.mirrorPublic=new t("mirror-public",{fontCharacter:"\\ea69"}),t.star=new t("star",{fontCharacter:"\\ea6a"}),t.starAdd=new t("star-add",{fontCharacter:"\\ea6a"}),t.starDelete=new t("star-delete",{fontCharacter:"\\ea6a"}),t.starEmpty=new t("star-empty",{fontCharacter:"\\ea6a"}),t.comment=new t("comment",{fontCharacter:"\\ea6b"}),t.commentAdd=new t("comment-add",{fontCharacter:"\\ea6b"}),t.alert=new t("alert",{fontCharacter:"\\ea6c"}),t.warning=new t("warning",{fontCharacter:"\\ea6c"}),t.search=new t("search",{fontCharacter:"\\ea6d"}),t.searchSave=new t("search-save",{fontCharacter:"\\ea6d"}),t.logOut=new t("log-out",{fontCharacter:"\\ea6e"}),t.signOut=new t("sign-out",{fontCharacter:"\\ea6e"}),t.logIn=new t("log-in",{fontCharacter:"\\ea6f"}),t.signIn=new t("sign-in",{fontCharacter:"\\ea6f"}),t.eye=new t("eye",{fontCharacter:"\\ea70"}),t.eyeUnwatch=new t("eye-unwatch",{fontCharacter:"\\ea70"}),t.eyeWatch=new t("eye-watch",{fontCharacter:"\\ea70"}),t.circleFilled=new t("circle-filled",{fontCharacter:"\\ea71"}),t.primitiveDot=new t("primitive-dot",{fontCharacter:"\\ea71"}),t.closeDirty=new t("close-dirty",{fontCharacter:"\\ea71"}),t.debugBreakpoint=new t("debug-breakpoint",{fontCharacter:"\\ea71"}),t.debugBreakpointDisabled=new t("debug-breakpoint-disabled",{fontCharacter:"\\ea71"}),t.debugHint=new t("debug-hint",{fontCharacter:"\\ea71"}),t.primitiveSquare=new t("primitive-square",{fontCharacter:"\\ea72"}),t.edit=new t("edit",{fontCharacter:"\\ea73"}),t.pencil=new t("pencil",{fontCharacter:"\\ea73"}),t.info=new t("info",{fontCharacter:"\\ea74"}),t.issueOpened=new t("issue-opened",{fontCharacter:"\\ea74"}),t.gistPrivate=new t("gist-private",{fontCharacter:"\\ea75"}),t.gitForkPrivate=new t("git-fork-private",{fontCharacter:"\\ea75"}),t.lock=new t("lock",{fontCharacter:"\\ea75"}),t.mirrorPrivate=new t("mirror-private",{fontCharacter:"\\ea75"}),t.close=new t("close",{fontCharacter:"\\ea76"}),t.removeClose=new t("remove-close",{fontCharacter:"\\ea76"}),t.x=new t("x",{fontCharacter:"\\ea76"}),t.repoSync=new t("repo-sync",{fontCharacter:"\\ea77"}),t.sync=new t("sync",{fontCharacter:"\\ea77"}),t.clone=new t("clone",{fontCharacter:"\\ea78"}),t.desktopDownload=new t("desktop-download",{fontCharacter:"\\ea78"}),t.beaker=new t("beaker",{fontCharacter:"\\ea79"}),t.microscope=new t("microscope",{fontCharacter:"\\ea79"}),t.vm=new t("vm",{fontCharacter:"\\ea7a"}),t.deviceDesktop=new t("device-desktop",{fontCharacter:"\\ea7a"}),t.file=new t("file",{fontCharacter:"\\ea7b"}),t.fileText=new t("file-text",{fontCharacter:"\\ea7b"}),t.more=new t("more",{fontCharacter:"\\ea7c"}),t.ellipsis=new t("ellipsis",{fontCharacter:"\\ea7c"}),t.kebabHorizontal=new t("kebab-horizontal",{fontCharacter:"\\ea7c"}),t.mailReply=new t("mail-reply",{fontCharacter:"\\ea7d"}),t.reply=new t("reply",{fontCharacter:"\\ea7d"}),t.organization=new t("organization",{fontCharacter:"\\ea7e"}),t.organizationFilled=new t("organization-filled",{fontCharacter:"\\ea7e"}),t.organizationOutline=new t("organization-outline",{fontCharacter:"\\ea7e"}),t.newFile=new t("new-file",{fontCharacter:"\\ea7f"}),t.fileAdd=new t("file-add",{fontCharacter:"\\ea7f"}),t.newFolder=new t("new-folder",{fontCharacter:"\\ea80"}),t.fileDirectoryCreate=new t("file-directory-create",{fontCharacter:"\\ea80"}),t.trash=new t("trash",{fontCharacter:"\\ea81"}),t.trashcan=new t("trashcan",{fontCharacter:"\\ea81"}),t.history=new t("history",{fontCharacter:"\\ea82"}),t.clock=new t("clock",{fontCharacter:"\\ea82"}),t.folder=new t("folder",{fontCharacter:"\\ea83"}),t.fileDirectory=new t("file-directory",{fontCharacter:"\\ea83"}),t.symbolFolder=new t("symbol-folder",{fontCharacter:"\\ea83"}),t.logoGithub=new t("logo-github",{fontCharacter:"\\ea84"}),t.markGithub=new t("mark-github",{fontCharacter:"\\ea84"}),t.github=new t("github",{fontCharacter:"\\ea84"}),t.terminal=new t("terminal",{fontCharacter:"\\ea85"}),t.console=new t("console",{fontCharacter:"\\ea85"}),t.repl=new t("repl",{fontCharacter:"\\ea85"}),t.zap=new t("zap",{fontCharacter:"\\ea86"}),t.symbolEvent=new t("symbol-event",{fontCharacter:"\\ea86"}),t.error=new t("error",{fontCharacter:"\\ea87"}),t.stop=new t("stop",{fontCharacter:"\\ea87"}),t.variable=new t("variable",{fontCharacter:"\\ea88"}),t.symbolVariable=new t("symbol-variable",{fontCharacter:"\\ea88"}),t.array=new t("array",{fontCharacter:"\\ea8a"}),t.symbolArray=new t("symbol-array",{fontCharacter:"\\ea8a"}),t.symbolModule=new t("symbol-module",{fontCharacter:"\\ea8b"}),t.symbolPackage=new t("symbol-package",{fontCharacter:"\\ea8b"}),t.symbolNamespace=new t("symbol-namespace",{fontCharacter:"\\ea8b"}),t.symbolObject=new t("symbol-object",{fontCharacter:"\\ea8b"}),t.symbolMethod=new t("symbol-method",{fontCharacter:"\\ea8c"}),t.symbolFunction=new t("symbol-function",{fontCharacter:"\\ea8c"}),t.symbolConstructor=new t("symbol-constructor",{fontCharacter:"\\ea8c"}),t.symbolBoolean=new t("symbol-boolean",{fontCharacter:"\\ea8f"}),t.symbolNull=new t("symbol-null",{fontCharacter:"\\ea8f"}),t.symbolNumeric=new t("symbol-numeric",{fontCharacter:"\\ea90"}),t.symbolNumber=new t("symbol-number",{fontCharacter:"\\ea90"}),t.symbolStructure=new t("symbol-structure",{fontCharacter:"\\ea91"}),t.symbolStruct=new t("symbol-struct",{fontCharacter:"\\ea91"}),t.symbolParameter=new t("symbol-parameter",{fontCharacter:"\\ea92"}),t.symbolTypeParameter=new t("symbol-type-parameter",{fontCharacter:"\\ea92"}),t.symbolKey=new t("symbol-key",{fontCharacter:"\\ea93"}),t.symbolText=new t("symbol-text",{fontCharacter:"\\ea93"}),t.symbolReference=new t("symbol-reference",{fontCharacter:"\\ea94"}),t.goToFile=new t("go-to-file",{fontCharacter:"\\ea94"}),t.symbolEnum=new t("symbol-enum",{fontCharacter:"\\ea95"}),t.symbolValue=new t("symbol-value",{fontCharacter:"\\ea95"}),t.symbolRuler=new t("symbol-ruler",{fontCharacter:"\\ea96"}),t.symbolUnit=new t("symbol-unit",{fontCharacter:"\\ea96"}),t.activateBreakpoints=new t("activate-breakpoints",{fontCharacter:"\\ea97"}),t.archive=new t("archive",{fontCharacter:"\\ea98"}),t.arrowBoth=new t("arrow-both",{fontCharacter:"\\ea99"}),t.arrowDown=new t("arrow-down",{fontCharacter:"\\ea9a"}),t.arrowLeft=new t("arrow-left",{fontCharacter:"\\ea9b"}),t.arrowRight=new t("arrow-right",{fontCharacter:"\\ea9c"}),t.arrowSmallDown=new t("arrow-small-down",{fontCharacter:"\\ea9d"}),t.arrowSmallLeft=new t("arrow-small-left",{fontCharacter:"\\ea9e"}),t.arrowSmallRight=new t("arrow-small-right",{fontCharacter:"\\ea9f"}),t.arrowSmallUp=new t("arrow-small-up",{fontCharacter:"\\eaa0"}),t.arrowUp=new t("arrow-up",{fontCharacter:"\\eaa1"}),t.bell=new t("bell",{fontCharacter:"\\eaa2"}),t.bold=new t("bold",{fontCharacter:"\\eaa3"}),t.book=new t("book",{fontCharacter:"\\eaa4"}),t.bookmark=new t("bookmark",{fontCharacter:"\\eaa5"}),t.debugBreakpointConditionalUnverified=new t("debug-breakpoint-conditional-unverified",{fontCharacter:"\\eaa6"}),t.debugBreakpointConditional=new t("debug-breakpoint-conditional",{fontCharacter:"\\eaa7"}),t.debugBreakpointConditionalDisabled=new t("debug-breakpoint-conditional-disabled",{fontCharacter:"\\eaa7"}),t.debugBreakpointDataUnverified=new t("debug-breakpoint-data-unverified",{fontCharacter:"\\eaa8"}),t.debugBreakpointData=new t("debug-breakpoint-data",{fontCharacter:"\\eaa9"}),t.debugBreakpointDataDisabled=new t("debug-breakpoint-data-disabled",{fontCharacter:"\\eaa9"}),t.debugBreakpointLogUnverified=new t("debug-breakpoint-log-unverified",{fontCharacter:"\\eaaa"}),t.debugBreakpointLog=new t("debug-breakpoint-log",{fontCharacter:"\\eaab"}),t.debugBreakpointLogDisabled=new t("debug-breakpoint-log-disabled",{fontCharacter:"\\eaab"}),t.briefcase=new t("briefcase",{fontCharacter:"\\eaac"}),t.broadcast=new t("broadcast",{fontCharacter:"\\eaad"}),t.browser=new t("browser",{fontCharacter:"\\eaae"}),t.bug=new t("bug",{fontCharacter:"\\eaaf"}),t.calendar=new t("calendar",{fontCharacter:"\\eab0"}),t.caseSensitive=new t("case-sensitive",{fontCharacter:"\\eab1"}),t.check=new t("check",{fontCharacter:"\\eab2"}),t.checklist=new t("checklist",{fontCharacter:"\\eab3"}),t.chevronDown=new t("chevron-down",{fontCharacter:"\\eab4"}),t.dropDownButton=new t("drop-down-button",t.chevronDown.definition),t.chevronLeft=new t("chevron-left",{fontCharacter:"\\eab5"}),t.chevronRight=new t("chevron-right",{fontCharacter:"\\eab6"}),t.chevronUp=new t("chevron-up",{fontCharacter:"\\eab7"}),t.chromeClose=new t("chrome-close",{fontCharacter:"\\eab8"}),t.chromeMaximize=new t("chrome-maximize",{fontCharacter:"\\eab9"}),t.chromeMinimize=new t("chrome-minimize",{fontCharacter:"\\eaba"}),t.chromeRestore=new t("chrome-restore",{fontCharacter:"\\eabb"}),t.circleOutline=new t("circle-outline",{fontCharacter:"\\eabc"}),t.debugBreakpointUnverified=new t("debug-breakpoint-unverified",{fontCharacter:"\\eabc"}),t.circleSlash=new t("circle-slash",{fontCharacter:"\\eabd"}),t.circuitBoard=new t("circuit-board",{fontCharacter:"\\eabe"}),t.clearAll=new t("clear-all",{fontCharacter:"\\eabf"}),t.clippy=new t("clippy",{fontCharacter:"\\eac0"}),t.closeAll=new t("close-all",{fontCharacter:"\\eac1"}),t.cloudDownload=new t("cloud-download",{fontCharacter:"\\eac2"}),t.cloudUpload=new t("cloud-upload",{fontCharacter:"\\eac3"}),t.code=new t("code",{fontCharacter:"\\eac4"}),t.collapseAll=new t("collapse-all",{fontCharacter:"\\eac5"}),t.colorMode=new t("color-mode",{fontCharacter:"\\eac6"}),t.commentDiscussion=new t("comment-discussion",{fontCharacter:"\\eac7"}),t.compareChanges=new t("compare-changes",{fontCharacter:"\\eafd"}),t.creditCard=new t("credit-card",{fontCharacter:"\\eac9"}),t.dash=new t("dash",{fontCharacter:"\\eacc"}),t.dashboard=new t("dashboard",{fontCharacter:"\\eacd"}),t.database=new t("database",{fontCharacter:"\\eace"}),t.debugContinue=new t("debug-continue",{fontCharacter:"\\eacf"}),t.debugDisconnect=new t("debug-disconnect",{fontCharacter:"\\ead0"}),t.debugPause=new t("debug-pause",{fontCharacter:"\\ead1"}),t.debugRestart=new t("debug-restart",{fontCharacter:"\\ead2"}),t.debugStart=new t("debug-start",{fontCharacter:"\\ead3"}),t.debugStepInto=new t("debug-step-into",{fontCharacter:"\\ead4"}),t.debugStepOut=new t("debug-step-out",{fontCharacter:"\\ead5"}),t.debugStepOver=new t("debug-step-over",{fontCharacter:"\\ead6"}),t.debugStop=new t("debug-stop",{fontCharacter:"\\ead7"}),t.debug=new t("debug",{fontCharacter:"\\ead8"}),t.deviceCameraVideo=new t("device-camera-video",{fontCharacter:"\\ead9"}),t.deviceCamera=new t("device-camera",{fontCharacter:"\\eada"}),t.deviceMobile=new t("device-mobile",{fontCharacter:"\\eadb"}),t.diffAdded=new t("diff-added",{fontCharacter:"\\eadc"}),t.diffIgnored=new t("diff-ignored",{fontCharacter:"\\eadd"}),t.diffModified=new t("diff-modified",{fontCharacter:"\\eade"}),t.diffRemoved=new t("diff-removed",{fontCharacter:"\\eadf"}),t.diffRenamed=new t("diff-renamed",{fontCharacter:"\\eae0"}),t.diff=new t("diff",{fontCharacter:"\\eae1"}),t.discard=new t("discard",{fontCharacter:"\\eae2"}),t.editorLayout=new t("editor-layout",{fontCharacter:"\\eae3"}),t.emptyWindow=new t("empty-window",{fontCharacter:"\\eae4"}),t.exclude=new t("exclude",{fontCharacter:"\\eae5"}),t.extensions=new t("extensions",{fontCharacter:"\\eae6"}),t.eyeClosed=new t("eye-closed",{fontCharacter:"\\eae7"}),t.fileBinary=new t("file-binary",{fontCharacter:"\\eae8"}),t.fileCode=new t("file-code",{fontCharacter:"\\eae9"}),t.fileMedia=new t("file-media",{fontCharacter:"\\eaea"}),t.filePdf=new t("file-pdf",{fontCharacter:"\\eaeb"}),t.fileSubmodule=new t("file-submodule",{fontCharacter:"\\eaec"}),t.fileSymlinkDirectory=new t("file-symlink-directory",{fontCharacter:"\\eaed"}),t.fileSymlinkFile=new t("file-symlink-file",{fontCharacter:"\\eaee"}),t.fileZip=new t("file-zip",{fontCharacter:"\\eaef"}),t.files=new t("files",{fontCharacter:"\\eaf0"}),t.filter=new t("filter",{fontCharacter:"\\eaf1"}),t.flame=new t("flame",{fontCharacter:"\\eaf2"}),t.foldDown=new t("fold-down",{fontCharacter:"\\eaf3"}),t.foldUp=new t("fold-up",{fontCharacter:"\\eaf4"}),t.fold=new t("fold",{fontCharacter:"\\eaf5"}),t.folderActive=new t("folder-active",{fontCharacter:"\\eaf6"}),t.folderOpened=new t("folder-opened",{fontCharacter:"\\eaf7"}),t.gear=new t("gear",{fontCharacter:"\\eaf8"}),t.gift=new t("gift",{fontCharacter:"\\eaf9"}),t.gistSecret=new t("gist-secret",{fontCharacter:"\\eafa"}),t.gist=new t("gist",{fontCharacter:"\\eafb"}),t.gitCommit=new t("git-commit",{fontCharacter:"\\eafc"}),t.gitCompare=new t("git-compare",{fontCharacter:"\\eafd"}),t.gitMerge=new t("git-merge",{fontCharacter:"\\eafe"}),t.githubAction=new t("github-action",{fontCharacter:"\\eaff"}),t.githubAlt=new t("github-alt",{fontCharacter:"\\eb00"}),t.globe=new t("globe",{fontCharacter:"\\eb01"}),t.grabber=new t("grabber",{fontCharacter:"\\eb02"}),t.graph=new t("graph",{fontCharacter:"\\eb03"}),t.gripper=new t("gripper",{fontCharacter:"\\eb04"}),t.heart=new t("heart",{fontCharacter:"\\eb05"}),t.home=new t("home",{fontCharacter:"\\eb06"}),t.horizontalRule=new t("horizontal-rule",{fontCharacter:"\\eb07"}),t.hubot=new t("hubot",{fontCharacter:"\\eb08"}),t.inbox=new t("inbox",{fontCharacter:"\\eb09"}),t.issueClosed=new t("issue-closed",{fontCharacter:"\\eba4"}),t.issueReopened=new t("issue-reopened",{fontCharacter:"\\eb0b"}),t.issues=new t("issues",{fontCharacter:"\\eb0c"}),t.italic=new t("italic",{fontCharacter:"\\eb0d"}),t.jersey=new t("jersey",{fontCharacter:"\\eb0e"}),t.json=new t("json",{fontCharacter:"\\eb0f"}),t.kebabVertical=new t("kebab-vertical",{fontCharacter:"\\eb10"}),t.key=new t("key",{fontCharacter:"\\eb11"}),t.law=new t("law",{fontCharacter:"\\eb12"}),t.lightbulbAutofix=new t("lightbulb-autofix",{fontCharacter:"\\eb13"}),t.linkExternal=new t("link-external",{fontCharacter:"\\eb14"}),t.link=new t("link",{fontCharacter:"\\eb15"}),t.listOrdered=new t("list-ordered",{fontCharacter:"\\eb16"}),t.listUnordered=new t("list-unordered",{fontCharacter:"\\eb17"}),t.liveShare=new t("live-share",{fontCharacter:"\\eb18"}),t.loading=new t("loading",{fontCharacter:"\\eb19"}),t.location=new t("location",{fontCharacter:"\\eb1a"}),t.mailRead=new t("mail-read",{fontCharacter:"\\eb1b"}),t.mail=new t("mail",{fontCharacter:"\\eb1c"}),t.markdown=new t("markdown",{fontCharacter:"\\eb1d"}),t.megaphone=new t("megaphone",{fontCharacter:"\\eb1e"}),t.mention=new t("mention",{fontCharacter:"\\eb1f"}),t.milestone=new t("milestone",{fontCharacter:"\\eb20"}),t.mortarBoard=new t("mortar-board",{fontCharacter:"\\eb21"}),t.move=new t("move",{fontCharacter:"\\eb22"}),t.multipleWindows=new t("multiple-windows",{fontCharacter:"\\eb23"}),t.mute=new t("mute",{fontCharacter:"\\eb24"}),t.noNewline=new t("no-newline",{fontCharacter:"\\eb25"}),t.note=new t("note",{fontCharacter:"\\eb26"}),t.octoface=new t("octoface",{fontCharacter:"\\eb27"}),t.openPreview=new t("open-preview",{fontCharacter:"\\eb28"}),t.package_=new t("package",{fontCharacter:"\\eb29"}),t.paintcan=new t("paintcan",{fontCharacter:"\\eb2a"}),t.pin=new t("pin",{fontCharacter:"\\eb2b"}),t.play=new t("play",{fontCharacter:"\\eb2c"}),t.run=new t("run",{fontCharacter:"\\eb2c"}),t.plug=new t("plug",{fontCharacter:"\\eb2d"}),t.preserveCase=new t("preserve-case",{fontCharacter:"\\eb2e"}),t.preview=new t("preview",{fontCharacter:"\\eb2f"}),t.project=new t("project",{fontCharacter:"\\eb30"}),t.pulse=new t("pulse",{fontCharacter:"\\eb31"}),t.question=new t("question",{fontCharacter:"\\eb32"}),t.quote=new t("quote",{fontCharacter:"\\eb33"}),t.radioTower=new t("radio-tower",{fontCharacter:"\\eb34"}),t.reactions=new t("reactions",{fontCharacter:"\\eb35"}),t.references=new t("references",{fontCharacter:"\\eb36"}),t.refresh=new t("refresh",{fontCharacter:"\\eb37"}),t.regex=new t("regex",{fontCharacter:"\\eb38"}),t.remoteExplorer=new t("remote-explorer",{fontCharacter:"\\eb39"}),t.remote=new t("remote",{fontCharacter:"\\eb3a"}),t.remove=new t("remove",{fontCharacter:"\\eb3b"}),t.replaceAll=new t("replace-all",{fontCharacter:"\\eb3c"}),t.replace=new t("replace",{fontCharacter:"\\eb3d"}),t.repoClone=new t("repo-clone",{fontCharacter:"\\eb3e"}),t.repoForcePush=new t("repo-force-push",{fontCharacter:"\\eb3f"}),t.repoPull=new t("repo-pull",{fontCharacter:"\\eb40"}),t.repoPush=new t("repo-push",{fontCharacter:"\\eb41"}),t.report=new t("report",{fontCharacter:"\\eb42"}),t.requestChanges=new t("request-changes",{fontCharacter:"\\eb43"}),t.rocket=new t("rocket",{fontCharacter:"\\eb44"}),t.rootFolderOpened=new t("root-folder-opened",{fontCharacter:"\\eb45"}),t.rootFolder=new t("root-folder",{fontCharacter:"\\eb46"}),t.rss=new t("rss",{fontCharacter:"\\eb47"}),t.ruby=new t("ruby",{fontCharacter:"\\eb48"}),t.saveAll=new t("save-all",{fontCharacter:"\\eb49"}),t.saveAs=new t("save-as",{fontCharacter:"\\eb4a"}),t.save=new t("save",{fontCharacter:"\\eb4b"}),t.screenFull=new t("screen-full",{fontCharacter:"\\eb4c"}),t.screenNormal=new t("screen-normal",{fontCharacter:"\\eb4d"}),t.searchStop=new t("search-stop",{fontCharacter:"\\eb4e"}),t.server=new t("server",{fontCharacter:"\\eb50"}),t.settingsGear=new t("settings-gear",{fontCharacter:"\\eb51"}),t.settings=new t("settings",{fontCharacter:"\\eb52"}),t.shield=new t("shield",{fontCharacter:"\\eb53"}),t.smiley=new t("smiley",{fontCharacter:"\\eb54"}),t.sortPrecedence=new t("sort-precedence",{fontCharacter:"\\eb55"}),t.splitHorizontal=new t("split-horizontal",{fontCharacter:"\\eb56"}),t.splitVertical=new t("split-vertical",{fontCharacter:"\\eb57"}),t.squirrel=new t("squirrel",{fontCharacter:"\\eb58"}),t.starFull=new t("star-full",{fontCharacter:"\\eb59"}),t.starHalf=new t("star-half",{fontCharacter:"\\eb5a"}),t.symbolClass=new t("symbol-class",{fontCharacter:"\\eb5b"}),t.symbolColor=new t("symbol-color",{fontCharacter:"\\eb5c"}),t.symbolCustomColor=new t("symbol-customcolor",{fontCharacter:"\\eb5c"}),t.symbolConstant=new t("symbol-constant",{fontCharacter:"\\eb5d"}),t.symbolEnumMember=new t("symbol-enum-member",{fontCharacter:"\\eb5e"}),t.symbolField=new t("symbol-field",{fontCharacter:"\\eb5f"}),t.symbolFile=new t("symbol-file",{fontCharacter:"\\eb60"}),t.symbolInterface=new t("symbol-interface",{fontCharacter:"\\eb61"}),t.symbolKeyword=new t("symbol-keyword",{fontCharacter:"\\eb62"}),t.symbolMisc=new t("symbol-misc",{fontCharacter:"\\eb63"}),t.symbolOperator=new t("symbol-operator",{fontCharacter:"\\eb64"}),t.symbolProperty=new t("symbol-property",{fontCharacter:"\\eb65"}),t.wrench=new t("wrench",{fontCharacter:"\\eb65"}),t.wrenchSubaction=new t("wrench-subaction",{fontCharacter:"\\eb65"}),t.symbolSnippet=new t("symbol-snippet",{fontCharacter:"\\eb66"}),t.tasklist=new t("tasklist",{fontCharacter:"\\eb67"}),t.telescope=new t("telescope",{fontCharacter:"\\eb68"}),t.textSize=new t("text-size",{fontCharacter:"\\eb69"}),t.threeBars=new t("three-bars",{fontCharacter:"\\eb6a"}),t.thumbsdown=new t("thumbsdown",{fontCharacter:"\\eb6b"}),t.thumbsup=new t("thumbsup",{fontCharacter:"\\eb6c"}),t.tools=new t("tools",{fontCharacter:"\\eb6d"}),t.triangleDown=new t("triangle-down",{fontCharacter:"\\eb6e"}),t.triangleLeft=new t("triangle-left",{fontCharacter:"\\eb6f"}),t.triangleRight=new t("triangle-right",{fontCharacter:"\\eb70"}),t.triangleUp=new t("triangle-up",{fontCharacter:"\\eb71"}),t.twitter=new t("twitter",{fontCharacter:"\\eb72"}),t.unfold=new t("unfold",{fontCharacter:"\\eb73"}),t.unlock=new t("unlock",{fontCharacter:"\\eb74"}),t.unmute=new t("unmute",{fontCharacter:"\\eb75"}),t.unverified=new t("unverified",{fontCharacter:"\\eb76"}),t.verified=new t("verified",{fontCharacter:"\\eb77"}),t.versions=new t("versions",{fontCharacter:"\\eb78"}),t.vmActive=new t("vm-active",{fontCharacter:"\\eb79"}),t.vmOutline=new t("vm-outline",{fontCharacter:"\\eb7a"}),t.vmRunning=new t("vm-running",{fontCharacter:"\\eb7b"}),t.watch=new t("watch",{fontCharacter:"\\eb7c"}),t.whitespace=new t("whitespace",{fontCharacter:"\\eb7d"}),t.wholeWord=new t("whole-word",{fontCharacter:"\\eb7e"}),t.window=new t("window",{fontCharacter:"\\eb7f"}),t.wordWrap=new t("word-wrap",{fontCharacter:"\\eb80"}),t.zoomIn=new t("zoom-in",{fontCharacter:"\\eb81"}),t.zoomOut=new t("zoom-out",{fontCharacter:"\\eb82"}),t.listFilter=new t("list-filter",{fontCharacter:"\\eb83"}),t.listFlat=new t("list-flat",{fontCharacter:"\\eb84"}),t.listSelection=new t("list-selection",{fontCharacter:"\\eb85"}),t.selection=new t("selection",{fontCharacter:"\\eb85"}),t.listTree=new t("list-tree",{fontCharacter:"\\eb86"}),t.debugBreakpointFunctionUnverified=new t("debug-breakpoint-function-unverified",{fontCharacter:"\\eb87"}),t.debugBreakpointFunction=new t("debug-breakpoint-function",{fontCharacter:"\\eb88"}),t.debugBreakpointFunctionDisabled=new t("debug-breakpoint-function-disabled",{fontCharacter:"\\eb88"}),t.debugStackframeActive=new t("debug-stackframe-active",{fontCharacter:"\\eb89"}),t.debugStackframeDot=new t("debug-stackframe-dot",{fontCharacter:"\\eb8a"}),t.debugStackframe=new t("debug-stackframe",{fontCharacter:"\\eb8b"}),t.debugStackframeFocused=new t("debug-stackframe-focused",{fontCharacter:"\\eb8b"}),t.debugBreakpointUnsupported=new t("debug-breakpoint-unsupported",{fontCharacter:"\\eb8c"}),t.symbolString=new t("symbol-string",{fontCharacter:"\\eb8d"}),t.debugReverseContinue=new t("debug-reverse-continue",{fontCharacter:"\\eb8e"}),t.debugStepBack=new t("debug-step-back",{fontCharacter:"\\eb8f"}),t.debugRestartFrame=new t("debug-restart-frame",{fontCharacter:"\\eb90"}),t.callIncoming=new t("call-incoming",{fontCharacter:"\\eb92"}),t.callOutgoing=new t("call-outgoing",{fontCharacter:"\\eb93"}),t.menu=new t("menu",{fontCharacter:"\\eb94"}),t.expandAll=new t("expand-all",{fontCharacter:"\\eb95"}),t.feedback=new t("feedback",{fontCharacter:"\\eb96"}),t.groupByRefType=new t("group-by-ref-type",{fontCharacter:"\\eb97"}),t.ungroupByRefType=new t("ungroup-by-ref-type",{fontCharacter:"\\eb98"}),t.account=new t("account",{fontCharacter:"\\eb99"}),t.bellDot=new t("bell-dot",{fontCharacter:"\\eb9a"}),t.debugConsole=new t("debug-console",{fontCharacter:"\\eb9b"}),t.library=new t("library",{fontCharacter:"\\eb9c"}),t.output=new t("output",{fontCharacter:"\\eb9d"}),t.runAll=new t("run-all",{fontCharacter:"\\eb9e"}),t.syncIgnored=new t("sync-ignored",{fontCharacter:"\\eb9f"}),t.pinned=new t("pinned",{fontCharacter:"\\eba0"}),t.githubInverted=new t("github-inverted",{fontCharacter:"\\eba1"}),t.debugAlt=new t("debug-alt",{fontCharacter:"\\eb91"}),t.serverProcess=new t("server-process",{fontCharacter:"\\eba2"}),t.serverEnvironment=new t("server-environment",{fontCharacter:"\\eba3"}),t.pass=new t("pass",{fontCharacter:"\\eba4"}),t.stopCircle=new t("stop-circle",{fontCharacter:"\\eba5"}),t.playCircle=new t("play-circle",{fontCharacter:"\\eba6"}),t.record=new t("record",{fontCharacter:"\\eba7"}),t.debugAltSmall=new t("debug-alt-small",{fontCharacter:"\\eba8"}),t.vmConnect=new t("vm-connect",{fontCharacter:"\\eba9"}),t.cloud=new t("cloud",{fontCharacter:"\\ebaa"}),t.merge=new t("merge",{fontCharacter:"\\ebab"}),t.exportIcon=new t("export",{fontCharacter:"\\ebac"}),t.graphLeft=new t("graph-left",{fontCharacter:"\\ebad"}),t.magnet=new t("magnet",{fontCharacter:"\\ebae"}),t.notebook=new t("notebook",{fontCharacter:"\\ebaf"}),t.redo=new t("redo",{fontCharacter:"\\ebb0"}),t.checkAll=new t("check-all",{fontCharacter:"\\ebb1"}),t.pinnedDirty=new t("pinned-dirty",{fontCharacter:"\\ebb2"}),t.passFilled=new t("pass-filled",{fontCharacter:"\\ebb3"}),t.circleLargeFilled=new t("circle-large-filled",{fontCharacter:"\\ebb4"}),t.circleLargeOutline=new t("circle-large-outline",{fontCharacter:"\\ebb5"}),t.combine=new t("combine",{fontCharacter:"\\ebb6"}),t.gather=new t("gather",{fontCharacter:"\\ebb6"}),t.table=new t("table",{fontCharacter:"\\ebb7"}),t.variableGroup=new t("variable-group",{fontCharacter:"\\ebb8"}),t.typeHierarchy=new t("type-hierarchy",{fontCharacter:"\\ebb9"}),t.typeHierarchySub=new t("type-hierarchy-sub",{fontCharacter:"\\ebba"}),t.typeHierarchySuper=new t("type-hierarchy-super",{fontCharacter:"\\ebbb"}),t.gitPullRequestCreate=new t("git-pull-request-create",{fontCharacter:"\\ebbc"}),t.runAbove=new t("run-above",{fontCharacter:"\\ebbd"}),t.runBelow=new t("run-below",{fontCharacter:"\\ebbe"}),t.notebookTemplate=new t("notebook-template",{fontCharacter:"\\ebbf"}),t.debugRerun=new t("debug-rerun",{fontCharacter:"\\ebc0"}),t.workspaceTrusted=new t("workspace-trusted",{fontCharacter:"\\ebc1"}),t.workspaceUntrusted=new t("workspace-untrusted",{fontCharacter:"\\ebc2"}),t.workspaceUnspecified=new t("workspace-unspecified",{fontCharacter:"\\ebc3"}),t.terminalCmd=new t("terminal-cmd",{fontCharacter:"\\ebc4"}),t.terminalDebian=new t("terminal-debian",{fontCharacter:"\\ebc5"}),t.terminalLinux=new t("terminal-linux",{fontCharacter:"\\ebc6"}),t.terminalPowershell=new t("terminal-powershell",{fontCharacter:"\\ebc7"}),t.terminalTmux=new t("terminal-tmux",{fontCharacter:"\\ebc8"}),t.terminalUbuntu=new t("terminal-ubuntu",{fontCharacter:"\\ebc9"}),t.terminalBash=new t("terminal-bash",{fontCharacter:"\\ebca"}),t.arrowSwap=new t("arrow-swap",{fontCharacter:"\\ebcb"}),t.copy=new t("copy",{fontCharacter:"\\ebcc"}),t.personAdd=new t("person-add",{fontCharacter:"\\ebcd"}),t.filterFilled=new t("filter-filled",{fontCharacter:"\\ebce"}),t.wand=new t("wand",{fontCharacter:"\\ebcf"}),t.debugLineByLine=new t("debug-line-by-line",{fontCharacter:"\\ebd0"}),t.inspect=new t("inspect",{fontCharacter:"\\ebd1"}),t.layers=new t("layers",{fontCharacter:"\\ebd2"}),t.layersDot=new t("layers-dot",{fontCharacter:"\\ebd3"}),t.layersActive=new t("layers-active",{fontCharacter:"\\ebd4"}),t.compass=new t("compass",{fontCharacter:"\\ebd5"}),t.compassDot=new t("compass-dot",{fontCharacter:"\\ebd6"}),t.compassActive=new t("compass-active",{fontCharacter:"\\ebd7"}),t.azure=new t("azure",{fontCharacter:"\\ebd8"}),t.issueDraft=new t("issue-draft",{fontCharacter:"\\ebd9"}),t.gitPullRequestClosed=new t("git-pull-request-closed",{fontCharacter:"\\ebda"}),t.gitPullRequestDraft=new t("git-pull-request-draft",{fontCharacter:"\\ebdb"}),t.debugAll=new t("debug-all",{fontCharacter:"\\ebdc"}),t.debugCoverage=new t("debug-coverage",{fontCharacter:"\\ebdd"}),t.runErrors=new t("run-errors",{fontCharacter:"\\ebde"}),t.folderLibrary=new t("folder-library",{fontCharacter:"\\ebdf"}),t.debugContinueSmall=new t("debug-continue-small",{fontCharacter:"\\ebe0"}),t.beakerStop=new t("beaker-stop",{fontCharacter:"\\ebe1"}),t.graphLine=new t("graph-line",{fontCharacter:"\\ebe2"}),t.graphScatter=new t("graph-scatter",{fontCharacter:"\\ebe3"}),t.pieChart=new t("pie-chart",{fontCharacter:"\\ebe4"}),t.bracket=new t("bracket",t.json.definition),t.bracketDot=new t("bracket-dot",{fontCharacter:"\\ebe5"}),t.bracketError=new t("bracket-error",{fontCharacter:"\\ebe6"}),t.lockSmall=new t("lock-small",{fontCharacter:"\\ebe7"}),t.azureDevops=new t("azure-devops",{fontCharacter:"\\ebe8"}),t.verifiedFilled=new t("verified-filled",{fontCharacter:"\\ebe9"}),t.newLine=new t("newline",{fontCharacter:"\\ebea"}),t.layout=new t("layout",{fontCharacter:"\\ebeb"}),t.layoutActivitybarLeft=new t("layout-activitybar-left",{fontCharacter:"\\ebec"}),t.layoutActivitybarRight=new t("layout-activitybar-right",{fontCharacter:"\\ebed"}),t.layoutPanelLeft=new t("layout-panel-left",{fontCharacter:"\\ebee"}),t.layoutPanelCenter=new t("layout-panel-center",{fontCharacter:"\\ebef"}),t.layoutPanelJustify=new t("layout-panel-justify",{fontCharacter:"\\ebf0"}),t.layoutPanelRight=new t("layout-panel-right",{fontCharacter:"\\ebf1"}),t.layoutPanel=new t("layout-panel",{fontCharacter:"\\ebf2"}),t.layoutSidebarLeft=new t("layout-sidebar-left",{fontCharacter:"\\ebf3"}),t.layoutSidebarRight=new t("layout-sidebar-right",{fontCharacter:"\\ebf4"}),t.layoutStatusbar=new t("layout-statusbar",{fontCharacter:"\\ebf5"}),t.layoutMenubar=new t("layout-menubar",{fontCharacter:"\\ebf6"}),t.layoutCentered=new t("layout-centered",{fontCharacter:"\\ebf7"}),t.target=new t("target",{fontCharacter:"\\ebf8"}),t.indent=new t("indent",{fontCharacter:"\\ebf9"}),t.recordSmall=new t("record-small",{fontCharacter:"\\ebfa"}),t.errorSmall=new t("error-small",{fontCharacter:"\\ebfb"}),t.arrowCircleDown=new t("arrow-circle-down",{fontCharacter:"\\ebfc"}),t.arrowCircleLeft=new t("arrow-circle-left",{fontCharacter:"\\ebfd"}),t.arrowCircleRight=new t("arrow-circle-right",{fontCharacter:"\\ebfe"}),t.arrowCircleUp=new t("arrow-circle-up",{fontCharacter:"\\ebff"}),t.dialogError=new t("dialog-error",t.error.definition),t.dialogWarning=new t("dialog-warning",t.warning.definition),t.dialogInfo=new t("dialog-info",t.info.definition),t.dialogClose=new t("dialog-close",t.close.definition),t.treeItemExpanded=new t("tree-item-expanded",t.chevronDown.definition),t.treeFilterOnTypeOn=new t("tree-filter-on-type-on",t.listFilter.definition),t.treeFilterOnTypeOff=new t("tree-filter-on-type-off",t.listSelection.definition),t.treeFilterClear=new t("tree-filter-clear",t.close.definition),t.treeItemLoading=new t("tree-item-loading",t.loading.definition),t.menuSelection=new t("menu-selection",t.check.definition),t.menuSubmenu=new t("menu-submenu",t.chevronRight.definition),t.menuBarMore=new t("menubar-more",t.more.definition),t.scrollbarButtonLeft=new t("scrollbar-button-left",t.triangleLeft.definition),t.scrollbarButtonRight=new t("scrollbar-button-right",t.triangleRight.definition),t.scrollbarButtonUp=new t("scrollbar-button-up",t.triangleUp.definition),t.scrollbarButtonDown=new t("scrollbar-button-down",t.triangleDown.definition),t.toolBarMore=new t("toolbar-more",t.more.definition),t.quickInputBack=new t("quick-input-back",t.arrowLeft.definition);function p(P,D){const v=["codicon","codicon-"+P];return D&&v.push("codicon-modifier-"+D),v}e.getClassNamesArray=p;var C;(function(P){P.iconNameSegment="[A-Za-z0-9]+",P.iconNameExpression="[A-Za-z0-9-]+",P.iconModifierExpression="~[A-Za-z]+",P.iconNameCharacter="[A-Za-z0-9~-]";const D=new RegExp(`^(${P.iconNameExpression})(${P.iconModifierExpression})?$`);function v(R){if(R instanceof t)return["codicon","codicon-"+R.id];const g=D.exec(R.id);if(!g)return v(t.error);let[,b,c]=g;const h=["codicon","codicon-"+b];return c&&h.push("codicon-modifier-"+c.substr(1)),h}P.asClassNameArray=v;function I(R){return v(R).join(" ")}P.asClassName=I;function L(R){return"."+v(R).join(".")}P.asCSSSelector=L})(C=e.CSSIcon||(e.CSSIcon={}))}),define(we[72],ye([0,1]),function(J,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.throttle=e.debounce=e.memoize=e.createDecorator=void 0;function k(P){return(D,v,I)=>{let L=null,R=null;if(typeof I.value=="function"?(L="value",R=I.value):typeof I.get=="function"&&(L="get",R=I.get),!R)throw new Error("not supported");I[L]=P(R,v)}}e.createDecorator=k;function t(P,D,v){let I=null,L=null;if(typeof v.value=="function"?(I="value",L=v.value,L.length!==0&&console.warn("Memoize should only be used in functions with zero parameters")):typeof v.get=="function"&&(I="get",L=v.get),!L)throw new Error("not supported");const R=`$memoize$${D}`;v[I]=function(...g){return this.hasOwnProperty(R)||Object.defineProperty(this,R,{configurable:!1,enumerable:!1,writable:!1,value:L.apply(this,g)}),this[R]}}e.memoize=t;function p(P,D,v){return k((I,L)=>{const R=`$debounce$${L}`,g=`$debounce$result$${L}`;return function(...b){this[g]||(this[g]=v?v():void 0),clearTimeout(this[R]),D&&(this[g]=D(this[g],...b),b=[this[g]]),this[R]=setTimeout(()=>{I.apply(this,b),this[g]=v?v():void 0},P)}})}e.debounce=p;function C(P,D,v){return k((I,L)=>{const R=`$throttle$timer$${L}`,g=`$throttle$result$${L}`,b=`$throttle$lastRun$${L}`,c=`$throttle$pending$${L}`;return function(...h){if(this[g]||(this[g]=v?v():void 0),(this[b]===null||this[b]===void 0)&&(this[b]=-Number.MAX_VALUE),D&&(this[g]=D(this[g],...h)),this[c])return;const d=this[b]+P;d<=Date.now()?(this[b]=Date.now(),I.apply(this,[this[g]]),this[g]=v?v():void 0):(this[c]=!0,this[R]=setTimeout(()=>{this[c]=!1,this[b]=Date.now(),I.apply(this,[this[g]]),this[g]=v?v():void 0},d-Date.now()))}})}e.throttle=C}),define(we[11],ye([0,1]),function(J,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ErrorNoTelemetry=e.ExpectedError=e.NotSupportedError=e.NotImplementedError=e.getErrorMessage=e.disposed=e.readonly=e.illegalState=e.illegalArgument=e.canceled=e.CancellationError=e.isCancellationError=e.transformErrorForSerialization=e.onUnexpectedExternalError=e.onUnexpectedError=e.setUnexpectedErrorHandler=e.errorHandler=e.ErrorHandler=void 0;class k{constructor(){this.listeners=[],this.unexpectedErrorHandler=function(u){setTimeout(()=>{throw u.stack?new Error(u.message+`

`+u.stack):u},0)}}addListener(u){return this.listeners.push(u),()=>{this._removeListener(u)}}emit(u){this.listeners.forEach(o=>{o(u)})}_removeListener(u){this.listeners.splice(this.listeners.indexOf(u),1)}setUnexpectedErrorHandler(u){this.unexpectedErrorHandler=u}getUnexpectedErrorHandler(){return this.unexpectedErrorHandler}onUnexpectedError(u){this.unexpectedErrorHandler(u),this.emit(u)}onUnexpectedExternalError(u){this.unexpectedErrorHandler(u)}}e.ErrorHandler=k,e.errorHandler=new k;function t(y){e.errorHandler.setUnexpectedErrorHandler(y)}e.setUnexpectedErrorHandler=t;function p(y){v(y)||e.errorHandler.onUnexpectedError(y)}e.onUnexpectedError=p;function C(y){v(y)||e.errorHandler.onUnexpectedExternalError(y)}e.onUnexpectedExternalError=C;function P(y){if(y instanceof Error){let{name:u,message:o}=y;const l=y.stacktrace||y.stack;return{$isError:!0,name:u,message:o,stack:l}}return y}e.transformErrorForSerialization=P;const D="Canceled";function v(y){return y instanceof I?!0:y instanceof Error&&y.name===D&&y.message===D}e.isCancellationError=v;class I extends Error{constructor(){super(D);this.name=this.message}}e.CancellationError=I;function L(){const y=new Error(D);return y.name=y.message,y}e.canceled=L;function R(y){return y?new Error(`Illegal argument: ${y}`):new Error("Illegal argument")}e.illegalArgument=R;function g(y){return y?new Error(`Illegal state: ${y}`):new Error("Illegal state")}e.illegalState=g;function b(y){return y?new Error(`readonly property '${y} cannot be changed'`):new Error("readonly property cannot be changed")}e.readonly=b;function c(y){const u=new Error(`${y} has been disposed`);return u.name="DISPOSED",u}e.disposed=c;function h(y){return y?y.message?y.message:y.stack?y.stack.split(`
`)[0]:String(y):"Error"}e.getErrorMessage=h;class d extends Error{constructor(u){super("NotImplemented");u&&(this.message=u)}}e.NotImplementedError=d;class E extends Error{constructor(u){super("NotSupported");u&&(this.message=u)}}e.NotSupportedError=E;class w extends Error{constructor(){super(...arguments);this.isExpected=!0}}e.ExpectedError=w;class f extends Error{constructor(){super(...arguments);this.logTelemetry=!1}}e.ErrorNoTelemetry=f}),define(we[17],ye([0,1,11]),function(J,e,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ArrayQueue=e.findMinBy=e.findLastMaxBy=e.findMaxBy=e.numberComparator=e.compareBy=e.splice=e.insertInto=e.mapFind=e.getRandomElement=e.asArray=e.mapArrayOrNot=e.pushToEnd=e.pushToStart=e.shuffle=e.arrayInsert=e.remove=e.insert=e.index=e.range=e.flatten=e.commonPrefixLength=e.firstOrDefault=e.lastIndex=e.findLast=e.uniqueFilter=e.distinct=e.isNonEmptyArray=e.isFalsyOrEmpty=e.move=e.coalesceInPlace=e.coalesce=e.topAsync=e.top=e.delta=e.sortedDiff=e.groupBy=e.quickSelect=e.findFirstInSorted=e.binarySearch=e.equals=e.tail2=e.tail=void 0;function t(X,$=0){return X[X.length-(1+$)]}e.tail=t;function p(X){if(X.length===0)throw new Error("Invalid tail call");return[X.slice(0,X.length-1),X[X.length-1]]}e.tail2=p;function C(X,$,H=(j,ee)=>j===ee){if(X===$)return!0;if(!X||!$||X.length!==$.length)return!1;for(let j=0,ee=X.length;j<ee;j++)if(!H(X[j],$[j]))return!1;return!0}e.equals=C;function P(X,$,H){let j=0,ee=X.length-1;for(;j<=ee;){const he=(j+ee)/2|0,Ie=H(X[he],$);if(Ie<0)j=he+1;else if(Ie>0)ee=he-1;else return he}return-(j+1)}e.binarySearch=P;function D(X,$){let H=0,j=X.length;if(j===0)return 0;for(;H<j;){const ee=Math.floor((H+j)/2);$(X[ee])?j=ee:H=ee+1}return H}e.findFirstInSorted=D;function v(X,$,H){if(X=X|0,X>=$.length)throw new TypeError("invalid index");let j=$[Math.floor($.length*Math.random())],ee=[],he=[],Ie=[];for(let ae of $){const fe=H(ae,j);fe<0?ee.push(ae):fe>0?he.push(ae):Ie.push(ae)}return X<ee.length?v(X,ee,H):X<ee.length+Ie.length?Ie[0]:v(X-(ee.length+Ie.length),he,H)}e.quickSelect=v;function I(X,$){const H=[];let j;for(const ee of X.slice(0).sort($))!j||$(j[0],ee)!==0?(j=[ee],H.push(j)):j.push(ee);return H}e.groupBy=I;function L(X,$,H){const j=[];function ee(ae,fe,ve){if(fe===0&&ve.length===0)return;const Q=j[j.length-1];Q&&Q.start+Q.deleteCount===ae?(Q.deleteCount+=fe,Q.toInsert.push(...ve)):j.push({start:ae,deleteCount:fe,toInsert:ve})}let he=0,Ie=0;for(;;){if(he===X.length){ee(he,0,$.slice(Ie));break}if(Ie===$.length){ee(he,X.length-he,[]);break}const ae=X[he],fe=$[Ie],ve=H(ae,fe);ve===0?(he+=1,Ie+=1):ve<0?(ee(he,1,[]),he+=1):ve>0&&(ee(he,0,[fe]),Ie+=1)}return j}e.sortedDiff=L;function R(X,$,H){const j=L(X,$,H),ee=[],he=[];for(const Ie of j)ee.push(...X.slice(Ie.start,Ie.start+Ie.deleteCount)),he.push(...Ie.toInsert);return{removed:ee,added:he}}e.delta=R;function g(X,$,H){if(H===0)return[];const j=X.slice(0,H).sort($);return c(X,$,j,H,X.length),j}e.top=g;function b(X,$,H,j,ee){return H===0?Promise.resolve([]):new Promise((he,Ie)=>{(async()=>{const ae=X.length,fe=X.slice(0,H).sort($);for(let ve=H,Q=Math.min(H+j,ae);ve<ae;ve=Q,Q=Math.min(Q+j,ae)){if(ve>H&&await new Promise(z=>setTimeout(z)),ee&&ee.isCancellationRequested)throw(0,k.canceled)();c(X,$,fe,ve,Q)}return fe})().then(he,Ie)})}e.topAsync=b;function c(X,$,H,j,ee){for(const he=H.length;j<ee;j++){const Ie=X[j];if($(Ie,H[he-1])<0){H.pop();const ae=D(H,fe=>$(Ie,fe)<0);H.splice(ae,0,Ie)}}}function h(X){return X.filter($=>!!$)}e.coalesce=h;function d(X){let $=0;for(let H=0;H<X.length;H++)X[H]&&(X[$]=X[H],$+=1);X.length=$}e.coalesceInPlace=d;function E(X,$,H){X.splice(H,0,X.splice($,1)[0])}e.move=E;function w(X){return!Array.isArray(X)||X.length===0}e.isFalsyOrEmpty=w;function f(X){return Array.isArray(X)&&X.length>0}e.isNonEmptyArray=f;function y(X,$=H=>H){const H=new Set;return X.filter(j=>{const ee=$(j);return H.has(ee)?!1:(H.add(ee),!0)})}e.distinct=y;function u(X){const $=new Set;return H=>{const j=X(H);return $.has(j)?!1:($.add(j),!0)}}e.uniqueFilter=u;function o(X,$){const H=l(X,$);if(H!==-1)return X[H]}e.findLast=o;function l(X,$){for(let H=X.length-1;H>=0;H--){const j=X[H];if($(j))return H}return-1}e.lastIndex=l;function s(X,$){return X.length>0?X[0]:$}e.firstOrDefault=s;function n(X,$,H=(j,ee)=>j===ee){let j=0;for(let ee=0,he=Math.min(X.length,$.length);ee<he&&H(X[ee],$[ee]);ee++)j++;return j}e.commonPrefixLength=n;function i(X){return[].concat(...X)}e.flatten=i;function r(X,$){let H=typeof $=="number"?X:0;typeof $=="number"?H=X:(H=0,$=X);const j=[];if(H<=$)for(let ee=H;ee<$;ee++)j.push(ee);else for(let ee=H;ee>$;ee--)j.push(ee);return j}e.range=r;function a(X,$,H){return X.reduce((j,ee)=>(j[$(ee)]=H?H(ee):ee,j),Object.create(null))}e.index=a;function m(X,$){return X.push($),()=>S(X,$)}e.insert=m;function S(X,$){const H=X.indexOf($);if(H>-1)return X.splice(H,1),$}e.remove=S;function _(X,$,H){const j=X.slice(0,$),ee=X.slice($);return j.concat(H,ee)}e.arrayInsert=_;function F(X,$){let H;if(typeof $=="number"){let j=$;H=()=>{const ee=Math.sin(j++)*179426549;return ee-Math.floor(ee)}}else H=Math.random;for(let j=X.length-1;j>0;j-=1){const ee=Math.floor(H()*(j+1)),he=X[j];X[j]=X[ee],X[ee]=he}}e.shuffle=F;function B(X,$){const H=X.indexOf($);H>-1&&(X.splice(H,1),X.unshift($))}e.pushToStart=B;function A(X,$){const H=X.indexOf($);H>-1&&(X.splice(H,1),X.push($))}e.pushToEnd=A;function T(X,$){return Array.isArray(X)?X.map($):$(X)}e.mapArrayOrNot=T;function U(X){return Array.isArray(X)?X:[X]}e.asArray=U;function N(X){return X[Math.floor(Math.random()*X.length)]}e.getRandomElement=N;function W(X,$){for(const H of X){const j=$(H);if(j!==void 0)return j}}e.mapFind=W;function ie(X,$,H){const j=se(X,$),ee=X.length,he=H.length;X.length=ee+he;for(let Ie=ee-1;Ie>=j;Ie--)X[Ie+he]=X[Ie];for(let Ie=0;Ie<he;Ie++)X[Ie+j]=H[Ie]}e.insertInto=ie;function q(X,$,H,j){const ee=se(X,$),he=X.splice(ee,H);return ie(X,ee,j),he}e.splice=q;function se(X,$){return $<0?Math.max($+X.length,0):Math.min($,X.length)}function V(X,$){return(H,j)=>$(X(H),X(j))}e.compareBy=V;const K=(X,$)=>X-$;e.numberComparator=K;function te(X,$){if(X.length===0)return;let H=X[0];for(let j=1;j<X.length;j++){const ee=X[j];$(ee,H)>0&&(H=ee)}return H}e.findMaxBy=te;function re(X,$){if(X.length===0)return;let H=X[0];for(let j=1;j<X.length;j++){const ee=X[j];$(ee,H)>=0&&(H=ee)}return H}e.findLastMaxBy=re;function oe(X,$){return te(X,(H,j)=>-$(H,j))}e.findMinBy=oe;class me{constructor($){this.items=$,this.firstIdx=0,this.lastIdx=this.items.length-1}get length(){return this.lastIdx-this.firstIdx+1}takeWhile($){let H=this.firstIdx;for(;H<this.items.length&&$(this.items[H]);)H++;const j=H===this.firstIdx?null:this.items.slice(this.firstIdx,H);return this.firstIdx=H,j}takeFromEndWhile($){let H=this.lastIdx;for(;H>=0&&$(this.items[H]);)H--;const j=H===this.lastIdx?null:this.items.slice(H+1,this.lastIdx+1);return this.lastIdx=H,j}peek(){return this.items[this.firstIdx]}dequeue(){const $=this.items[this.firstIdx];return this.firstIdx++,$}takeCount($){const H=this.items.slice(this.firstIdx,this.firstIdx+$);return this.firstIdx+=$,H}}e.ArrayQueue=me}),define(we[73],ye([0,1]),function(J,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.once=void 0;function k(t){const p=this;let C=!1,P;return function(){return C||(C=!0,P=t.apply(p,arguments)),P}}e.once=k}),define(we[49],ye([0,1]),function(J,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Iterable=void 0;var k;(function(t){function p(u){return u&&typeof u=="object"&&typeof u[Symbol.iterator]=="function"}t.is=p;const C=Object.freeze([]);function P(){return C}t.empty=P;function*D(u){yield u}t.single=D;function v(u){return u||C}t.from=v;function I(u){return!u||u[Symbol.iterator]().next().done===!0}t.isEmpty=I;function L(u){return u[Symbol.iterator]().next().value}t.first=L;function R(u,o){for(const l of u)if(o(l))return!0;return!1}t.some=R;function g(u,o){for(const l of u)if(o(l))return l}t.find=g;function*b(u,o){for(const l of u)o(l)&&(yield l)}t.filter=b;function*c(u,o){let l=0;for(const s of u)yield o(s,l++)}t.map=c;function*h(...u){for(const o of u)for(const l of o)yield l}t.concat=h;function*d(u){for(const o of u)for(const l of o)yield l}t.concatNested=d;function E(u,o,l){let s=l;for(const n of u)s=o(s,n);return s}t.reduce=E;function*w(u,o,l=u.length){for(o<0&&(o+=u.length),l<0?l+=u.length:l>u.length&&(l=u.length);o<l;o++)yield u[o]}t.slice=w;function f(u,o=Number.POSITIVE_INFINITY){const l=[];if(o===0)return[l,u];const s=u[Symbol.iterator]();for(let n=0;n<o;n++){const i=s.next();if(i.done)return[l,t.empty()];l.push(i.value)}return[l,{[Symbol.iterator](){return s}}]}t.consume=f;function y(u,o,l=(s,n)=>s===n){const s=u[Symbol.iterator](),n=o[Symbol.iterator]();for(;;){const i=s.next(),r=n.next();if(i.done!==r.done)return!1;if(i.done)return!0;if(!l(i.value,r.value))return!1}}t.equals=y})(k=e.Iterable||(e.Iterable={}))}),define(we[59],ye([0,1]),function(J,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getNodeType=e.stripComments=e.visit=e.findNodeAtOffset=e.contains=e.getNodeValue=e.getNodePath=e.findNodeAtLocation=e.parseTree=e.parse=e.getLocation=e.createScanner=e.ParseOptions=e.ParseErrorCode=e.SyntaxKind=e.ScanError=void 0;var k;(function(o){o[o.None=0]="None",o[o.UnexpectedEndOfComment=1]="UnexpectedEndOfComment",o[o.UnexpectedEndOfString=2]="UnexpectedEndOfString",o[o.UnexpectedEndOfNumber=3]="UnexpectedEndOfNumber",o[o.InvalidUnicode=4]="InvalidUnicode",o[o.InvalidEscapeCharacter=5]="InvalidEscapeCharacter",o[o.InvalidCharacter=6]="InvalidCharacter"})(k=e.ScanError||(e.ScanError={}));var t;(function(o){o[o.OpenBraceToken=1]="OpenBraceToken",o[o.CloseBraceToken=2]="CloseBraceToken",o[o.OpenBracketToken=3]="OpenBracketToken",o[o.CloseBracketToken=4]="CloseBracketToken",o[o.CommaToken=5]="CommaToken",o[o.ColonToken=6]="ColonToken",o[o.NullKeyword=7]="NullKeyword",o[o.TrueKeyword=8]="TrueKeyword",o[o.FalseKeyword=9]="FalseKeyword",o[o.StringLiteral=10]="StringLiteral",o[o.NumericLiteral=11]="NumericLiteral",o[o.LineCommentTrivia=12]="LineCommentTrivia",o[o.BlockCommentTrivia=13]="BlockCommentTrivia",o[o.LineBreakTrivia=14]="LineBreakTrivia",o[o.Trivia=15]="Trivia",o[o.Unknown=16]="Unknown",o[o.EOF=17]="EOF"})(t=e.SyntaxKind||(e.SyntaxKind={}));var p;(function(o){o[o.InvalidSymbol=1]="InvalidSymbol",o[o.InvalidNumberFormat=2]="InvalidNumberFormat",o[o.PropertyNameExpected=3]="PropertyNameExpected",o[o.ValueExpected=4]="ValueExpected",o[o.ColonExpected=5]="ColonExpected",o[o.CommaExpected=6]="CommaExpected",o[o.CloseBraceExpected=7]="CloseBraceExpected",o[o.CloseBracketExpected=8]="CloseBracketExpected",o[o.EndOfFileExpected=9]="EndOfFileExpected",o[o.InvalidCommentToken=10]="InvalidCommentToken",o[o.UnexpectedEndOfComment=11]="UnexpectedEndOfComment",o[o.UnexpectedEndOfString=12]="UnexpectedEndOfString",o[o.UnexpectedEndOfNumber=13]="UnexpectedEndOfNumber",o[o.InvalidUnicode=14]="InvalidUnicode",o[o.InvalidEscapeCharacter=15]="InvalidEscapeCharacter",o[o.InvalidCharacter=16]="InvalidCharacter"})(p=e.ParseErrorCode||(e.ParseErrorCode={}));var C;(function(o){o.DEFAULT={allowTrailingComma:!0}})(C=e.ParseOptions||(e.ParseOptions={}));function P(o,l=!1){let s=0,n=o.length,i="",r=0,a=16,m=0;function S(N){let W=0,ie=0;for(;W<N;){const q=o.charCodeAt(s);if(q>=48&&q<=57)ie=ie*16+q-48;else if(q>=65&&q<=70)ie=ie*16+q-65+10;else if(q>=97&&q<=102)ie=ie*16+q-97+10;else break;s++,W++}return W<N&&(ie=-1),ie}function _(N){s=N,i="",r=0,a=16,m=0}function F(){const N=s;if(o.charCodeAt(s)===48)s++;else for(s++;s<o.length&&I(o.charCodeAt(s));)s++;if(s<o.length&&o.charCodeAt(s)===46)if(s++,s<o.length&&I(o.charCodeAt(s)))for(s++;s<o.length&&I(o.charCodeAt(s));)s++;else return m=3,o.substring(N,s);let W=s;if(s<o.length&&(o.charCodeAt(s)===69||o.charCodeAt(s)===101))if(s++,(s<o.length&&o.charCodeAt(s)===43||o.charCodeAt(s)===45)&&s++,s<o.length&&I(o.charCodeAt(s))){for(s++;s<o.length&&I(o.charCodeAt(s));)s++;W=s}else m=3;return o.substring(N,W)}function B(){let N="",W=s;for(;;){if(s>=n){N+=o.substring(W,s),m=2;break}const ie=o.charCodeAt(s);if(ie===34){N+=o.substring(W,s),s++;break}if(ie===92){if(N+=o.substring(W,s),s++,s>=n){m=2;break}switch(o.charCodeAt(s++)){case 34:N+='"';break;case 92:N+="\\";break;case 47:N+="/";break;case 98:N+="\b";break;case 102:N+="\f";break;case 110:N+=`
`;break;case 114:N+="\r";break;case 116:N+="	";break;case 117:{const se=S(4);se>=0?N+=String.fromCharCode(se):m=4;break}default:m=5}W=s;continue}if(ie>=0&&ie<=31)if(v(ie)){N+=o.substring(W,s),m=2;break}else m=6;s++}return N}function A(){if(i="",m=0,r=s,s>=n)return r=n,a=17;let N=o.charCodeAt(s);if(D(N)){do s++,i+=String.fromCharCode(N),N=o.charCodeAt(s);while(D(N));return a=15}if(v(N))return s++,i+=String.fromCharCode(N),N===13&&o.charCodeAt(s)===10&&(s++,i+=`
`),a=14;switch(N){case 123:return s++,a=1;case 125:return s++,a=2;case 91:return s++,a=3;case 93:return s++,a=4;case 58:return s++,a=6;case 44:return s++,a=5;case 34:return s++,i=B(),a=10;case 47:{const W=s-1;if(o.charCodeAt(s+1)===47){for(s+=2;s<n&&!v(o.charCodeAt(s));)s++;return i=o.substring(W,s),a=12}if(o.charCodeAt(s+1)===42){s+=2;const ie=n-1;let q=!1;for(;s<ie;){if(o.charCodeAt(s)===42&&o.charCodeAt(s+1)===47){s+=2,q=!0;break}s++}return q||(s++,m=1),i=o.substring(W,s),a=13}return i+=String.fromCharCode(N),s++,a=16}case 45:if(i+=String.fromCharCode(N),s++,s===n||!I(o.charCodeAt(s)))return a=16;case 48:case 49:case 50:case 51:case 52:case 53:case 54:case 55:case 56:case 57:return i+=F(),a=11;default:for(;s<n&&T(N);)s++,N=o.charCodeAt(s);if(r!==s){switch(i=o.substring(r,s),i){case"true":return a=8;case"false":return a=9;case"null":return a=7}return a=16}return i+=String.fromCharCode(N),s++,a=16}}function T(N){if(D(N)||v(N))return!1;switch(N){case 125:case 93:case 123:case 91:case 34:case 58:case 44:case 47:return!1}return!0}function U(){let N;do N=A();while(N>=12&&N<=15);return N}return{setPosition:_,getPosition:()=>s,scan:l?U:A,getToken:()=>a,getTokenValue:()=>i,getTokenOffset:()=>r,getTokenLength:()=>s-r,getTokenError:()=>m}}e.createScanner=P;function D(o){return o===32||o===9||o===11||o===12||o===160||o===5760||o>=8192&&o<=8203||o===8239||o===8287||o===12288||o===65279}function v(o){return o===10||o===13||o===8232||o===8233}function I(o){return o>=48&&o<=57}var L;(function(o){o[o.nullCharacter=0]="nullCharacter",o[o.maxAsciiCharacter=127]="maxAsciiCharacter",o[o.lineFeed=10]="lineFeed",o[o.carriageReturn=13]="carriageReturn",o[o.lineSeparator=8232]="lineSeparator",o[o.paragraphSeparator=8233]="paragraphSeparator",o[o.nextLine=133]="nextLine",o[o.space=32]="space",o[o.nonBreakingSpace=160]="nonBreakingSpace",o[o.enQuad=8192]="enQuad",o[o.emQuad=8193]="emQuad",o[o.enSpace=8194]="enSpace",o[o.emSpace=8195]="emSpace",o[o.threePerEmSpace=8196]="threePerEmSpace",o[o.fourPerEmSpace=8197]="fourPerEmSpace",o[o.sixPerEmSpace=8198]="sixPerEmSpace",o[o.figureSpace=8199]="figureSpace",o[o.punctuationSpace=8200]="punctuationSpace",o[o.thinSpace=8201]="thinSpace",o[o.hairSpace=8202]="hairSpace",o[o.zeroWidthSpace=8203]="zeroWidthSpace",o[o.narrowNoBreakSpace=8239]="narrowNoBreakSpace",o[o.ideographicSpace=12288]="ideographicSpace",o[o.mathematicalSpace=8287]="mathematicalSpace",o[o.ogham=5760]="ogham",o[o._=95]="_",o[o.$=36]="$",o[o._0=48]="_0",o[o._1=49]="_1",o[o._2=50]="_2",o[o._3=51]="_3",o[o._4=52]="_4",o[o._5=53]="_5",o[o._6=54]="_6",o[o._7=55]="_7",o[o._8=56]="_8",o[o._9=57]="_9",o[o.a=97]="a",o[o.b=98]="b",o[o.c=99]="c",o[o.d=100]="d",o[o.e=101]="e",o[o.f=102]="f",o[o.g=103]="g",o[o.h=104]="h",o[o.i=105]="i",o[o.j=106]="j",o[o.k=107]="k",o[o.l=108]="l",o[o.m=109]="m",o[o.n=110]="n",o[o.o=111]="o",o[o.p=112]="p",o[o.q=113]="q",o[o.r=114]="r",o[o.s=115]="s",o[o.t=116]="t",o[o.u=117]="u",o[o.v=118]="v",o[o.w=119]="w",o[o.x=120]="x",o[o.y=121]="y",o[o.z=122]="z",o[o.A=65]="A",o[o.B=66]="B",o[o.C=67]="C",o[o.D=68]="D",o[o.E=69]="E",o[o.F=70]="F",o[o.G=71]="G",o[o.H=72]="H",o[o.I=73]="I",o[o.J=74]="J",o[o.K=75]="K",o[o.L=76]="L",o[o.M=77]="M",o[o.N=78]="N",o[o.O=79]="O",o[o.P=80]="P",o[o.Q=81]="Q",o[o.R=82]="R",o[o.S=83]="S",o[o.T=84]="T",o[o.U=85]="U",o[o.V=86]="V",o[o.W=87]="W",o[o.X=88]="X",o[o.Y=89]="Y",o[o.Z=90]="Z",o[o.ampersand=38]="ampersand",o[o.asterisk=42]="asterisk",o[o.at=64]="at",o[o.backslash=92]="backslash",o[o.bar=124]="bar",o[o.caret=94]="caret",o[o.closeBrace=125]="closeBrace",o[o.closeBracket=93]="closeBracket",o[o.closeParen=41]="closeParen",o[o.colon=58]="colon",o[o.comma=44]="comma",o[o.dot=46]="dot",o[o.doubleQuote=34]="doubleQuote",o[o.equals=61]="equals",o[o.exclamation=33]="exclamation",o[o.greaterThan=62]="greaterThan",o[o.lessThan=60]="lessThan",o[o.minus=45]="minus",o[o.openBrace=123]="openBrace",o[o.openBracket=91]="openBracket",o[o.openParen=40]="openParen",o[o.percent=37]="percent",o[o.plus=43]="plus",o[o.question=63]="question",o[o.semicolon=59]="semicolon",o[o.singleQuote=39]="singleQuote",o[o.slash=47]="slash",o[o.tilde=126]="tilde",o[o.backspace=8]="backspace",o[o.formFeed=12]="formFeed",o[o.byteOrderMark=65279]="byteOrderMark",o[o.tab=9]="tab",o[o.verticalTab=11]="verticalTab"})(L||(L={}));function R(o,l){const s=[],n=new Object;let i;const r={value:{},offset:0,length:0,type:"object",parent:void 0};let a=!1;function m(S,_,F,B){r.value=S,r.offset=_,r.length=F,r.type=B,r.colonOffset=void 0,i=r}try{f(o,{onObjectBegin:(S,_)=>{if(l<=S)throw n;i=void 0,a=l>S,s.push("")},onObjectProperty:(S,_,F)=>{if(l<_||(m(S,_,F,"property"),s[s.length-1]=S,l<=_+F))throw n},onObjectEnd:(S,_)=>{if(l<=S)throw n;i=void 0,s.pop()},onArrayBegin:(S,_)=>{if(l<=S)throw n;i=void 0,s.push(0)},onArrayEnd:(S,_)=>{if(l<=S)throw n;i=void 0,s.pop()},onLiteralValue:(S,_,F)=>{if(l<_||(m(S,_,F,u(S)),l<=_+F))throw n},onSeparator:(S,_,F)=>{if(l<=_)throw n;if(S===":"&&i&&i.type==="property")i.colonOffset=_,a=!1,i=void 0;else if(S===","){const B=s[s.length-1];typeof B=="number"?s[s.length-1]=B+1:(a=!0,s[s.length-1]=""),i=void 0}}})}catch(S){if(S!==n)throw S}return{path:s,previousNode:i,isAtPropertyKey:a,matches:S=>{let _=0;for(let F=0;_<S.length&&F<s.length;F++)if(S[_]===s[F]||S[_]==="*")_++;else if(S[_]!=="**")return!1;return _===S.length}}}e.getLocation=R;function g(o,l=[],s=C.DEFAULT){let n=null,i=[];const r=[];function a(S){Array.isArray(i)?i.push(S):n!==null&&(i[n]=S)}return f(o,{onObjectBegin:()=>{const S={};a(S),r.push(i),i=S,n=null},onObjectProperty:S=>{n=S},onObjectEnd:()=>{i=r.pop()},onArrayBegin:()=>{const S=[];a(S),r.push(i),i=S,n=null},onArrayEnd:()=>{i=r.pop()},onLiteralValue:a,onError:(S,_,F)=>{l.push({error:S,offset:_,length:F})}},s),i[0]}e.parse=g;function b(o,l=[],s=C.DEFAULT){let n={type:"array",offset:-1,length:-1,children:[],parent:void 0};function i(S){n.type==="property"&&(n.length=S-n.offset,n=n.parent)}function r(S){return n.children.push(S),S}f(o,{onObjectBegin:S=>{n=r({type:"object",offset:S,length:-1,parent:n,children:[]})},onObjectProperty:(S,_,F)=>{n=r({type:"property",offset:_,length:-1,parent:n,children:[]}),n.children.push({type:"string",value:S,offset:_,length:F,parent:n})},onObjectEnd:(S,_)=>{n.length=S+_-n.offset,n=n.parent,i(S+_)},onArrayBegin:(S,_)=>{n=r({type:"array",offset:S,length:-1,parent:n,children:[]})},onArrayEnd:(S,_)=>{n.length=S+_-n.offset,n=n.parent,i(S+_)},onLiteralValue:(S,_,F)=>{r({type:u(S),offset:_,length:F,parent:n,value:S}),i(_+F)},onSeparator:(S,_,F)=>{n.type==="property"&&(S===":"?n.colonOffset=_:S===","&&i(_))},onError:(S,_,F)=>{l.push({error:S,offset:_,length:F})}},s);const m=n.children[0];return m&&delete m.parent,m}e.parseTree=b;function c(o,l){if(!o)return;let s=o;for(let n of l)if(typeof n=="string"){if(s.type!=="object"||!Array.isArray(s.children))return;let i=!1;for(const r of s.children)if(Array.isArray(r.children)&&r.children[0].value===n){s=r.children[1],i=!0;break}if(!i)return}else{const i=n;if(s.type!=="array"||i<0||!Array.isArray(s.children)||i>=s.children.length)return;s=s.children[i]}return s}e.findNodeAtLocation=c;function h(o){if(!o.parent||!o.parent.children)return[];const l=h(o.parent);if(o.parent.type==="property"){const s=o.parent.children[0].value;l.push(s)}else if(o.parent.type==="array"){const s=o.parent.children.indexOf(o);s!==-1&&l.push(s)}return l}e.getNodePath=h;function d(o){switch(o.type){case"array":return o.children.map(d);case"object":{const l=Object.create(null);for(let s of o.children){const n=s.children[1];n&&(l[s.children[0].value]=d(n))}return l}case"null":case"string":case"number":case"boolean":return o.value;default:return}}e.getNodeValue=d;function E(o,l,s=!1){return l>=o.offset&&l<o.offset+o.length||s&&l===o.offset+o.length}e.contains=E;function w(o,l,s=!1){if(E(o,l,s)){const n=o.children;if(Array.isArray(n))for(let i=0;i<n.length&&n[i].offset<=l;i++){const r=w(n[i],l,s);if(r)return r}return o}}e.findNodeAtOffset=w;function f(o,l,s=C.DEFAULT){const n=P(o,!1);function i(me){return me?()=>me(n.getTokenOffset(),n.getTokenLength()):()=>!0}function r(me){return me?X=>me(X,n.getTokenOffset(),n.getTokenLength()):()=>!0}const a=i(l.onObjectBegin),m=r(l.onObjectProperty),S=i(l.onObjectEnd),_=i(l.onArrayBegin),F=i(l.onArrayEnd),B=r(l.onLiteralValue),A=r(l.onSeparator),T=i(l.onComment),U=r(l.onError),N=s&&s.disallowComments,W=s&&s.allowTrailingComma;function ie(){for(;;){const me=n.scan();switch(n.getTokenError()){case 4:q(14);break;case 5:q(15);break;case 3:q(13);break;case 1:N||q(11);break;case 2:q(12);break;case 6:q(16);break}switch(me){case 12:case 13:N?q(10):T();break;case 16:q(1);break;case 15:case 14:break;default:return me}}}function q(me,X=[],$=[]){if(U(me),X.length+$.length>0){let H=n.getToken();for(;H!==17;){if(X.indexOf(H)!==-1){ie();break}else if($.indexOf(H)!==-1)break;H=ie()}}}function se(me){const X=n.getTokenValue();return me?B(X):m(X),ie(),!0}function V(){switch(n.getToken()){case 11:{let me=0;try{me=JSON.parse(n.getTokenValue()),typeof me!="number"&&(q(2),me=0)}catch{q(2)}B(me);break}case 7:B(null);break;case 8:B(!0);break;case 9:B(!1);break;default:return!1}return ie(),!0}function K(){return n.getToken()!==10?(q(3,[],[2,5]),!1):(se(!1),n.getToken()===6?(A(":"),ie(),oe()||q(4,[],[2,5])):q(5,[],[2,5]),!0)}function te(){a(),ie();let me=!1;for(;n.getToken()!==2&&n.getToken()!==17;){if(n.getToken()===5){if(me||q(4,[],[]),A(","),ie(),n.getToken()===2&&W)break}else me&&q(6,[],[]);K()||q(4,[],[2,5]),me=!0}return S(),n.getToken()!==2?q(7,[2],[]):ie(),!0}function re(){_(),ie();let me=!1;for(;n.getToken()!==4&&n.getToken()!==17;){if(n.getToken()===5){if(me||q(4,[],[]),A(","),ie(),n.getToken()===4&&W)break}else me&&q(6,[],[]);oe()||q(4,[],[4,5]),me=!0}return F(),n.getToken()!==4?q(8,[4],[]):ie(),!0}function oe(){switch(n.getToken()){case 3:return re();case 1:return te();case 10:return se(!0);default:return V()}}return ie(),n.getToken()===17?s.allowEmptyContent?!0:(q(4,[],[]),!1):oe()?(n.getToken()!==17&&q(9,[],[]),!0):(q(4,[],[]),!1)}e.visit=f;function y(o,l){let s=P(o),n=[],i,r=0,a;do switch(a=s.getPosition(),i=s.scan(),i){case 12:case 13:case 17:r!==a&&n.push(o.substring(r,a)),l!==void 0&&n.push(s.getTokenValue().replace(/[^\r\n]/g,l)),r=s.getPosition();break}while(i!==17);return n.join("")}e.stripComments=y;function u(o){switch(typeof o){case"boolean":return"boolean";case"number":return"number";case"string":return"string";case"object":{if(o){if(Array.isArray(o))return"array"}else return"null";return"object"}default:return"null"}}e.getNodeType=u}),define(we[118],ye([0,1]),function(J,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Lazy=void 0;class k{constructor(p){this.executor=p,this._didRun=!1}hasValue(){return this._didRun}getValue(){if(!this._didRun)try{this._value=this.executor()}catch(p){this._error=p}finally{this._didRun=!0}if(this._error)throw this._error;return this._value}get rawValue(){return this._value}map(p){return new k(()=>p(this.getValue()))}}e.Lazy=k}),define(we[2],ye([0,1,73,49]),function(J,e,k,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.disposeOnReturn=e.ImmortalReference=e.AsyncReferenceCollection=e.ReferenceCollection=e.SafeDisposable=e.RefCountedDisposable=e.MutableDisposable=e.Disposable=e.DisposableStore=e.toDisposable=e.combinedDisposable=e.dispose=e.isDisposable=e.MultiDisposeError=e.markAsSingleton=e.setDisposableTracker=void 0;const p=!1;let C=null;function P(i){C=i}if(e.setDisposableTracker=P,p){const i="__is_disposable_tracked__";P(new class{trackDisposable(r){const a=new Error("Potentially leaked disposable").stack;setTimeout(()=>{r[i]||console.log(a)},3e3)}setParent(r,a){if(r&&r!==w.None)try{r[i]=!0}catch{}}markAsDisposed(r){if(r&&r!==w.None)try{r[i]=!0}catch{}}markAsSingleton(r){}})}function D(i){return C?.trackDisposable(i),i}function v(i){C?.markAsDisposed(i)}function I(i,r){C?.setParent(i,r)}function L(i,r){if(!!C)for(const a of i)C.setParent(a,r)}function R(i){return C?.markAsSingleton(i),i}e.markAsSingleton=R;class g extends Error{constructor(r){super(`Encountered errors while disposing of store. Errors: [${r.join(", ")}]`);this.errors=r}}e.MultiDisposeError=g;function b(i){return typeof i.dispose=="function"&&i.dispose.length===0}e.isDisposable=b;function c(i){if(t.Iterable.is(i)){let r=[];for(const a of i)if(a)try{a.dispose()}catch(m){r.push(m)}if(r.length===1)throw r[0];if(r.length>1)throw new g(r);return Array.isArray(i)?[]:i}else if(i)return i.dispose(),i}e.dispose=c;function h(...i){const r=d(()=>c(i));return L(i,r),r}e.combinedDisposable=h;function d(i){const r=D({dispose:(0,k.once)(()=>{v(r),i()})});return r}e.toDisposable=d;class E{constructor(){this._toDispose=new Set,this._isDisposed=!1,D(this)}dispose(){this._isDisposed||(v(this),this._isDisposed=!0,this.clear())}get isDisposed(){return this._isDisposed}clear(){try{c(this._toDispose.values())}finally{this._toDispose.clear()}}add(r){if(!r)return r;if(r===this)throw new Error("Cannot register a disposable on itself!");return I(r,this),this._isDisposed?E.DISABLE_DISPOSED_WARNING||console.warn(new Error("Trying to add a disposable to a DisposableStore that has already been disposed of. The added object will be leaked!").stack):this._toDispose.add(r),r}}e.DisposableStore=E,E.DISABLE_DISPOSED_WARNING=!1;class w{constructor(){this._store=new E,D(this),I(this._store,this)}dispose(){v(this),this._store.dispose()}_register(r){if(r===this)throw new Error("Cannot register a disposable on itself!");return this._store.add(r)}}e.Disposable=w,w.None=Object.freeze({dispose(){}});class f{constructor(){this._isDisposed=!1,D(this)}get value(){return this._isDisposed?void 0:this._value}set value(r){this._isDisposed||r===this._value||(this._value?.dispose(),r&&I(r,this),this._value=r)}clear(){this.value=void 0}dispose(){this._isDisposed=!0,v(this),this._value?.dispose(),this._value=void 0}clearAndLeak(){const r=this._value;return this._value=void 0,r&&I(r,null),r}}e.MutableDisposable=f;class y{constructor(r){this._disposable=r,this._counter=1}acquire(){return this._counter++,this}release(){return--this._counter==0&&this._disposable.dispose(),this}}e.RefCountedDisposable=y;class u{constructor(){this.dispose=()=>{},this.unset=()=>{},this.isset=()=>!1,D(this)}set(r){let a=r;return this.unset=()=>a=void 0,this.isset=()=>a!==void 0,this.dispose=()=>{a&&(a(),a=void 0,v(this))},this}}e.SafeDisposable=u;class o{constructor(){this.references=new Map}acquire(r,...a){let m=this.references.get(r);m||(m={counter:0,object:this.createReferencedObject(r,...a)},this.references.set(r,m));const{object:S}=m,_=(0,k.once)(()=>{--m.counter==0&&(this.destroyReferencedObject(r,m.object),this.references.delete(r))});return m.counter++,{object:S,dispose:_}}}e.ReferenceCollection=o;class l{constructor(r){this.referenceCollection=r}async acquire(r,...a){const m=this.referenceCollection.acquire(r,...a);try{return{object:await m.object,dispose:()=>m.dispose()}}catch(S){throw m.dispose(),S}}}e.AsyncReferenceCollection=l;class s{constructor(r){this.object=r}dispose(){}}e.ImmortalReference=s;function n(i){const r=new E;try{i(r)}finally{r.dispose()}}e.disposeOnReturn=n}),define(we[119],ye([0,1]),function(J,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LinkedList=void 0;class k{constructor(C){this.element=C,this.next=k.Undefined,this.prev=k.Undefined}}k.Undefined=new k(void 0);class t{constructor(){this._first=k.Undefined,this._last=k.Undefined,this._size=0}get size(){return this._size}isEmpty(){return this._first===k.Undefined}clear(){let C=this._first;for(;C!==k.Undefined;){const P=C.next;C.prev=k.Undefined,C.next=k.Undefined,C=P}this._first=k.Undefined,this._last=k.Undefined,this._size=0}unshift(C){return this._insert(C,!1)}push(C){return this._insert(C,!0)}_insert(C,P){const D=new k(C);if(this._first===k.Undefined)this._first=D,this._last=D;else if(P){const I=this._last;this._last=D,D.prev=I,I.next=D}else{const I=this._first;this._first=D,D.next=I,I.prev=D}this._size+=1;let v=!1;return()=>{v||(v=!0,this._remove(D))}}shift(){if(this._first!==k.Undefined){const C=this._first.element;return this._remove(this._first),C}}pop(){if(this._last!==k.Undefined){const C=this._last.element;return this._remove(this._last),C}}_remove(C){if(C.prev!==k.Undefined&&C.next!==k.Undefined){const P=C.prev;P.next=C.next,C.next.prev=P}else C.prev===k.Undefined&&C.next===k.Undefined?(this._first=k.Undefined,this._last=k.Undefined):C.next===k.Undefined?(this._last=this._last.prev,this._last.next=k.Undefined):C.prev===k.Undefined&&(this._first=this._first.next,this._first.prev=k.Undefined);this._size-=1}*[Symbol.iterator](){let C=this._first;for(;C!==k.Undefined;)yield C.element,C=C.next}}e.LinkedList=t}),function(J,e){typeof exports=="object"&&typeof module!="undefined"?e(exports):typeof define=="function"&&define.amd?define(we[120],ye([1]),e):(J=typeof globalThis!="undefined"?globalThis:J||self,e(J.marked={}))}(this,function(J){"use strict";function e(ae,fe){for(var ve=0;ve<fe.length;ve++){var Q=fe[ve];Q.enumerable=Q.enumerable||!1,Q.configurable=!0,"value"in Q&&(Q.writable=!0),Object.defineProperty(ae,Q.key,Q)}}function k(ae,fe,ve){return fe&&e(ae.prototype,fe),ve&&e(ae,ve),Object.defineProperty(ae,"prototype",{writable:!1}),ae}function t(ae,fe){if(!!ae){if(typeof ae=="string")return p(ae,fe);var ve=Object.prototype.toString.call(ae).slice(8,-1);if(ve==="Object"&&ae.constructor&&(ve=ae.constructor.name),ve==="Map"||ve==="Set")return Array.from(ae);if(ve==="Arguments"||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(ve))return p(ae,fe)}}function p(ae,fe){(fe==null||fe>ae.length)&&(fe=ae.length);for(var ve=0,Q=new Array(fe);ve<fe;ve++)Q[ve]=ae[ve];return Q}function C(ae,fe){var ve=typeof Symbol!="undefined"&&ae[Symbol.iterator]||ae["@@iterator"];if(ve)return(ve=ve.call(ae)).next.bind(ve);if(Array.isArray(ae)||(ve=t(ae))||fe&&ae&&typeof ae.length=="number"){ve&&(ae=ve);var Q=0;return function(){return Q>=ae.length?{done:!0}:{done:!1,value:ae[Q++]}}}throw new TypeError(`Invalid attempt to iterate non-iterable instance.
In order to be iterable, non-array objects must have a [Symbol.iterator]() method.`)}function P(){return{baseUrl:null,breaks:!1,extensions:null,gfm:!0,headerIds:!0,headerPrefix:"",highlight:null,langPrefix:"language-",mangle:!0,pedantic:!1,renderer:null,sanitize:!1,sanitizer:null,silent:!1,smartLists:!1,smartypants:!1,tokenizer:null,walkTokens:null,xhtml:!1}}J.defaults=P();function D(ae){J.defaults=ae}var v=/[&<>"']/,I=/[&<>"']/g,L=/[<>"']|&(?!#?\w+;)/,R=/[<>"']|&(?!#?\w+;)/g,g={"&":"&amp;","<":"&lt;",">":"&gt;",'"':"&quot;","'":"&#39;"},b=function(fe){return g[fe]};function c(ae,fe){if(fe){if(v.test(ae))return ae.replace(I,b)}else if(L.test(ae))return ae.replace(R,b);return ae}var h=/&(#(?:\d+)|(?:#x[0-9A-Fa-f]+)|(?:\w+));?/ig;function d(ae){return ae.replace(h,function(fe,ve){return ve=ve.toLowerCase(),ve==="colon"?":":ve.charAt(0)==="#"?ve.charAt(1)==="x"?String.fromCharCode(parseInt(ve.substring(2),16)):String.fromCharCode(+ve.substring(1)):""})}var E=/(^|[^\[])\^/g;function w(ae,fe){ae=ae.source||ae,fe=fe||"";var ve={replace:function(z,G){return G=G.source||G,G=G.replace(E,"$1"),ae=ae.replace(z,G),ve},getRegex:function(){return new RegExp(ae,fe)}};return ve}var f=/[^\w:]/g,y=/^$|^[a-z][a-z0-9+.-]*:|^[?#]/i;function u(ae,fe,ve){if(ae){var Q;try{Q=decodeURIComponent(d(ve)).replace(f,"").toLowerCase()}catch{return null}if(Q.indexOf("javascript:")===0||Q.indexOf("vbscript:")===0||Q.indexOf("data:")===0)return null}fe&&!y.test(ve)&&(ve=i(fe,ve));try{ve=encodeURI(ve).replace(/%25/g,"%")}catch{return null}return ve}var o={},l=/^[^:]+:\/*[^/]*$/,s=/^([^:]+:)[\s\S]*$/,n=/^([^:]+:\/*[^/]*)[\s\S]*$/;function i(ae,fe){o[" "+ae]||(l.test(ae)?o[" "+ae]=ae+"/":o[" "+ae]=S(ae,"/",!0)),ae=o[" "+ae];var ve=ae.indexOf(":")===-1;return fe.substring(0,2)==="//"?ve?fe:ae.replace(s,"$1")+fe:fe.charAt(0)==="/"?ve?fe:ae.replace(n,"$1")+fe:ae+fe}var r={exec:function(){}};function a(ae){for(var fe=1,ve,Q;fe<arguments.length;fe++){ve=arguments[fe];for(Q in ve)Object.prototype.hasOwnProperty.call(ve,Q)&&(ae[Q]=ve[Q])}return ae}function m(ae,fe){var ve=ae.replace(/\|/g,function(G,Y,ue){for(var pe=!1,Pe=Y;--Pe>=0&&ue[Pe]==="\\";)pe=!pe;return pe?"|":" |"}),Q=ve.split(/ \|/),z=0;if(Q[0].trim()||Q.shift(),Q[Q.length-1].trim()||Q.pop(),Q.length>fe)Q.splice(fe);else for(;Q.length<fe;)Q.push("");for(;z<Q.length;z++)Q[z]=Q[z].trim().replace(/\\\|/g,"|");return Q}function S(ae,fe,ve){var Q=ae.length;if(Q===0)return"";for(var z=0;z<Q;){var G=ae.charAt(Q-z-1);if(G===fe&&!ve)z++;else if(G!==fe&&ve)z++;else break}return ae.substr(0,Q-z)}function _(ae,fe){if(ae.indexOf(fe[1])===-1)return-1;for(var ve=ae.length,Q=0,z=0;z<ve;z++)if(ae[z]==="\\")z++;else if(ae[z]===fe[0])Q++;else if(ae[z]===fe[1]&&(Q--,Q<0))return z;return-1}function F(ae){ae&&ae.sanitize&&!ae.silent&&console.warn("marked(): sanitize and sanitizer parameters are deprecated since version 0.7.0, should not be used and will be removed in the future. Read more here: https://marked.js.org/#/USING_ADVANCED.md#options")}function B(ae,fe){if(fe<1)return"";for(var ve="";fe>1;)fe&1&&(ve+=ae),fe>>=1,ae+=ae;return ve+ae}function A(ae,fe,ve,Q){var z=fe.href,G=fe.title?c(fe.title):null,Y=ae[1].replace(/\\([\[\]])/g,"$1");if(ae[0].charAt(0)!=="!"){Q.state.inLink=!0;var ue={type:"link",raw:ve,href:z,title:G,text:Y,tokens:Q.inlineTokens(Y,[])};return Q.state.inLink=!1,ue}else return{type:"image",raw:ve,href:z,title:G,text:c(Y)}}function T(ae,fe){var ve=ae.match(/^(\s+)(?:```)/);if(ve===null)return fe;var Q=ve[1];return fe.split(`
`).map(function(z){var G=z.match(/^\s+/);if(G===null)return z;var Y=G[0];return Y.length>=Q.length?z.slice(Q.length):z}).join(`
`)}var U=function(){function ae(ve){this.options=ve||J.defaults}var fe=ae.prototype;return fe.space=function(Q){var z=this.rules.block.newline.exec(Q);if(z&&z[0].length>0)return{type:"space",raw:z[0]}},fe.code=function(Q){var z=this.rules.block.code.exec(Q);if(z){var G=z[0].replace(/^ {1,4}/gm,"");return{type:"code",raw:z[0],codeBlockStyle:"indented",text:this.options.pedantic?G:S(G,`
`)}}},fe.fences=function(Q){var z=this.rules.block.fences.exec(Q);if(z){var G=z[0],Y=T(G,z[3]||"");return{type:"code",raw:G,lang:z[2]?z[2].trim():z[2],text:Y}}},fe.heading=function(Q){var z=this.rules.block.heading.exec(Q);if(z){var G=z[2].trim();if(/#$/.test(G)){var Y=S(G,"#");(this.options.pedantic||!Y||/ $/.test(Y))&&(G=Y.trim())}var ue={type:"heading",raw:z[0],depth:z[1].length,text:G,tokens:[]};return this.lexer.inline(ue.text,ue.tokens),ue}},fe.hr=function(Q){var z=this.rules.block.hr.exec(Q);if(z)return{type:"hr",raw:z[0]}},fe.blockquote=function(Q){var z=this.rules.block.blockquote.exec(Q);if(z){var G=z[0].replace(/^ *> ?/gm,"");return{type:"blockquote",raw:z[0],tokens:this.lexer.blockTokens(G,[]),text:G}}},fe.list=function(Q){var z=this.rules.block.list.exec(Q);if(z){var G,Y,ue,pe,Pe,Re,Fe,Ue,le,ge,de,Te,Me=z[1].trim(),je=Me.length>1,Be={type:"list",raw:"",ordered:je,start:je?+Me.slice(0,-1):"",loose:!1,items:[]};Me=je?"\\d{1,9}\\"+Me.slice(-1):"\\"+Me,this.options.pedantic&&(Me=je?Me:"[*+-]");for(var He=new RegExp("^( {0,3}"+Me+")((?: [^\\n]*)?(?:\\n|$))");Q&&(Te=!1,!(!(z=He.exec(Q))||this.rules.block.hr.test(Q)));){if(G=z[0],Q=Q.substring(G.length),Ue=z[2].split(`
`,1)[0],le=Q.split(`
`,1)[0],this.options.pedantic?(pe=2,de=Ue.trimLeft()):(pe=z[2].search(/[^ ]/),pe=pe>4?1:pe,de=Ue.slice(pe),pe+=z[1].length),Re=!1,!Ue&&/^ *$/.test(le)&&(G+=le+`
`,Q=Q.substring(le.length+1),Te=!0),!Te)for(var qe=new RegExp("^ {0,"+Math.min(3,pe-1)+"}(?:[*+-]|\\d{1,9}[.)])");Q&&(ge=Q.split(`
`,1)[0],Ue=ge,this.options.pedantic&&(Ue=Ue.replace(/^ {1,4}(?=( {4})*[^ ])/g,"  ")),!qe.test(Ue));){if(Ue.search(/[^ ]/)>=pe||!Ue.trim())de+=`
`+Ue.slice(pe);else if(!Re)de+=`
`+Ue;else break;!Re&&!Ue.trim()&&(Re=!0),G+=ge+`
`,Q=Q.substring(ge.length+1)}Be.loose||(Fe?Be.loose=!0:/\n *\n *$/.test(G)&&(Fe=!0)),this.options.gfm&&(Y=/^\[[ xX]\] /.exec(de),Y&&(ue=Y[0]!=="[ ] ",de=de.replace(/^\[[ xX]\] +/,""))),Be.items.push({type:"list_item",raw:G,task:!!Y,checked:ue,loose:!1,text:de}),Be.raw+=G}Be.items[Be.items.length-1].raw=G.trimRight(),Be.items[Be.items.length-1].text=de.trimRight(),Be.raw=Be.raw.trimRight();var ne=Be.items.length;for(Pe=0;Pe<ne;Pe++){this.lexer.state.top=!1,Be.items[Pe].tokens=this.lexer.blockTokens(Be.items[Pe].text,[]);var be=Be.items[Pe].tokens.filter(function(Le){return Le.type==="space"}),ke=be.every(function(Le){for(var Ne=Le.raw.split(""),Ye=0,$e=C(Ne),Ve;!(Ve=$e()).done;){var Xe=Ve.value;if(Xe===`
`&&(Ye+=1),Ye>1)return!0}return!1});!Be.loose&&be.length&&ke&&(Be.loose=!0,Be.items[Pe].loose=!0)}return Be}},fe.html=function(Q){var z=this.rules.block.html.exec(Q);if(z){var G={type:"html",raw:z[0],pre:!this.options.sanitizer&&(z[1]==="pre"||z[1]==="script"||z[1]==="style"),text:z[0]};return this.options.sanitize&&(G.type="paragraph",G.text=this.options.sanitizer?this.options.sanitizer(z[0]):c(z[0]),G.tokens=[],this.lexer.inline(G.text,G.tokens)),G}},fe.def=function(Q){var z=this.rules.block.def.exec(Q);if(z){z[3]&&(z[3]=z[3].substring(1,z[3].length-1));var G=z[1].toLowerCase().replace(/\s+/g," ");return{type:"def",tag:G,raw:z[0],href:z[2],title:z[3]}}},fe.table=function(Q){var z=this.rules.block.table.exec(Q);if(z){var G={type:"table",header:m(z[1]).map(function(Fe){return{text:Fe}}),align:z[2].replace(/^ *|\| *$/g,"").split(/ *\| */),rows:z[3]?z[3].replace(/\n[ \t]*$/,"").split(`
`):[]};if(G.header.length===G.align.length){G.raw=z[0];var Y=G.align.length,ue,pe,Pe,Re;for(ue=0;ue<Y;ue++)/^ *-+: *$/.test(G.align[ue])?G.align[ue]="right":/^ *:-+: *$/.test(G.align[ue])?G.align[ue]="center":/^ *:-+ *$/.test(G.align[ue])?G.align[ue]="left":G.align[ue]=null;for(Y=G.rows.length,ue=0;ue<Y;ue++)G.rows[ue]=m(G.rows[ue],G.header.length).map(function(Fe){return{text:Fe}});for(Y=G.header.length,pe=0;pe<Y;pe++)G.header[pe].tokens=[],this.lexer.inlineTokens(G.header[pe].text,G.header[pe].tokens);for(Y=G.rows.length,pe=0;pe<Y;pe++)for(Re=G.rows[pe],Pe=0;Pe<Re.length;Pe++)Re[Pe].tokens=[],this.lexer.inlineTokens(Re[Pe].text,Re[Pe].tokens);return G}}},fe.lheading=function(Q){var z=this.rules.block.lheading.exec(Q);if(z){var G={type:"heading",raw:z[0],depth:z[2].charAt(0)==="="?1:2,text:z[1],tokens:[]};return this.lexer.inline(G.text,G.tokens),G}},fe.paragraph=function(Q){var z=this.rules.block.paragraph.exec(Q);if(z){var G={type:"paragraph",raw:z[0],text:z[1].charAt(z[1].length-1)===`
`?z[1].slice(0,-1):z[1],tokens:[]};return this.lexer.inline(G.text,G.tokens),G}},fe.text=function(Q){var z=this.rules.block.text.exec(Q);if(z){var G={type:"text",raw:z[0],text:z[0],tokens:[]};return this.lexer.inline(G.text,G.tokens),G}},fe.escape=function(Q){var z=this.rules.inline.escape.exec(Q);if(z)return{type:"escape",raw:z[0],text:c(z[1])}},fe.tag=function(Q){var z=this.rules.inline.tag.exec(Q);if(z)return!this.lexer.state.inLink&&/^<a /i.test(z[0])?this.lexer.state.inLink=!0:this.lexer.state.inLink&&/^<\/a>/i.test(z[0])&&(this.lexer.state.inLink=!1),!this.lexer.state.inRawBlock&&/^<(pre|code|kbd|script)(\s|>)/i.test(z[0])?this.lexer.state.inRawBlock=!0:this.lexer.state.inRawBlock&&/^<\/(pre|code|kbd|script)(\s|>)/i.test(z[0])&&(this.lexer.state.inRawBlock=!1),{type:this.options.sanitize?"text":"html",raw:z[0],inLink:this.lexer.state.inLink,inRawBlock:this.lexer.state.inRawBlock,text:this.options.sanitize?this.options.sanitizer?this.options.sanitizer(z[0]):c(z[0]):z[0]}},fe.link=function(Q){var z=this.rules.inline.link.exec(Q);if(z){var G=z[2].trim();if(!this.options.pedantic&&/^</.test(G)){if(!/>$/.test(G))return;var Y=S(G.slice(0,-1),"\\");if((G.length-Y.length)%2==0)return}else{var ue=_(z[2],"()");if(ue>-1){var pe=z[0].indexOf("!")===0?5:4,Pe=pe+z[1].length+ue;z[2]=z[2].substring(0,ue),z[0]=z[0].substring(0,Pe).trim(),z[3]=""}}var Re=z[2],Fe="";if(this.options.pedantic){var Ue=/^([^'"]*[^\s])\s+(['"])(.*)\2/.exec(Re);Ue&&(Re=Ue[1],Fe=Ue[3])}else Fe=z[3]?z[3].slice(1,-1):"";return Re=Re.trim(),/^</.test(Re)&&(this.options.pedantic&&!/>$/.test(G)?Re=Re.slice(1):Re=Re.slice(1,-1)),A(z,{href:Re&&Re.replace(this.rules.inline._escapes,"$1"),title:Fe&&Fe.replace(this.rules.inline._escapes,"$1")},z[0],this.lexer)}},fe.reflink=function(Q,z){var G;if((G=this.rules.inline.reflink.exec(Q))||(G=this.rules.inline.nolink.exec(Q))){var Y=(G[2]||G[1]).replace(/\s+/g," ");if(Y=z[Y.toLowerCase()],!Y||!Y.href){var ue=G[0].charAt(0);return{type:"text",raw:ue,text:ue}}return A(G,Y,G[0],this.lexer)}},fe.emStrong=function(Q,z,G){G===void 0&&(G="");var Y=this.rules.inline.emStrong.lDelim.exec(Q);if(!!Y&&!(Y[3]&&G.match(/(?:[0-9A-Za-z\xAA\xB2\xB3\xB5\xB9\xBA\xBC-\xBE\xC0-\xD6\xD8-\xF6\xF8-\u02C1\u02C6-\u02D1\u02E0-\u02E4\u02EC\u02EE\u0370-\u0374\u0376\u0377\u037A-\u037D\u037F\u0386\u0388-\u038A\u038C\u038E-\u03A1\u03A3-\u03F5\u03F7-\u0481\u048A-\u052F\u0531-\u0556\u0559\u0560-\u0588\u05D0-\u05EA\u05EF-\u05F2\u0620-\u064A\u0660-\u0669\u066E\u066F\u0671-\u06D3\u06D5\u06E5\u06E6\u06EE-\u06FC\u06FF\u0710\u0712-\u072F\u074D-\u07A5\u07B1\u07C0-\u07EA\u07F4\u07F5\u07FA\u0800-\u0815\u081A\u0824\u0828\u0840-\u0858\u0860-\u086A\u0870-\u0887\u0889-\u088E\u08A0-\u08C9\u0904-\u0939\u093D\u0950\u0958-\u0961\u0966-\u096F\u0971-\u0980\u0985-\u098C\u098F\u0990\u0993-\u09A8\u09AA-\u09B0\u09B2\u09B6-\u09B9\u09BD\u09CE\u09DC\u09DD\u09DF-\u09E1\u09E6-\u09F1\u09F4-\u09F9\u09FC\u0A05-\u0A0A\u0A0F\u0A10\u0A13-\u0A28\u0A2A-\u0A30\u0A32\u0A33\u0A35\u0A36\u0A38\u0A39\u0A59-\u0A5C\u0A5E\u0A66-\u0A6F\u0A72-\u0A74\u0A85-\u0A8D\u0A8F-\u0A91\u0A93-\u0AA8\u0AAA-\u0AB0\u0AB2\u0AB3\u0AB5-\u0AB9\u0ABD\u0AD0\u0AE0\u0AE1\u0AE6-\u0AEF\u0AF9\u0B05-\u0B0C\u0B0F\u0B10\u0B13-\u0B28\u0B2A-\u0B30\u0B32\u0B33\u0B35-\u0B39\u0B3D\u0B5C\u0B5D\u0B5F-\u0B61\u0B66-\u0B6F\u0B71-\u0B77\u0B83\u0B85-\u0B8A\u0B8E-\u0B90\u0B92-\u0B95\u0B99\u0B9A\u0B9C\u0B9E\u0B9F\u0BA3\u0BA4\u0BA8-\u0BAA\u0BAE-\u0BB9\u0BD0\u0BE6-\u0BF2\u0C05-\u0C0C\u0C0E-\u0C10\u0C12-\u0C28\u0C2A-\u0C39\u0C3D\u0C58-\u0C5A\u0C5D\u0C60\u0C61\u0C66-\u0C6F\u0C78-\u0C7E\u0C80\u0C85-\u0C8C\u0C8E-\u0C90\u0C92-\u0CA8\u0CAA-\u0CB3\u0CB5-\u0CB9\u0CBD\u0CDD\u0CDE\u0CE0\u0CE1\u0CE6-\u0CEF\u0CF1\u0CF2\u0D04-\u0D0C\u0D0E-\u0D10\u0D12-\u0D3A\u0D3D\u0D4E\u0D54-\u0D56\u0D58-\u0D61\u0D66-\u0D78\u0D7A-\u0D7F\u0D85-\u0D96\u0D9A-\u0DB1\u0DB3-\u0DBB\u0DBD\u0DC0-\u0DC6\u0DE6-\u0DEF\u0E01-\u0E30\u0E32\u0E33\u0E40-\u0E46\u0E50-\u0E59\u0E81\u0E82\u0E84\u0E86-\u0E8A\u0E8C-\u0EA3\u0EA5\u0EA7-\u0EB0\u0EB2\u0EB3\u0EBD\u0EC0-\u0EC4\u0EC6\u0ED0-\u0ED9\u0EDC-\u0EDF\u0F00\u0F20-\u0F33\u0F40-\u0F47\u0F49-\u0F6C\u0F88-\u0F8C\u1000-\u102A\u103F-\u1049\u1050-\u1055\u105A-\u105D\u1061\u1065\u1066\u106E-\u1070\u1075-\u1081\u108E\u1090-\u1099\u10A0-\u10C5\u10C7\u10CD\u10D0-\u10FA\u10FC-\u1248\u124A-\u124D\u1250-\u1256\u1258\u125A-\u125D\u1260-\u1288\u128A-\u128D\u1290-\u12B0\u12B2-\u12B5\u12B8-\u12BE\u12C0\u12C2-\u12C5\u12C8-\u12D6\u12D8-\u1310\u1312-\u1315\u1318-\u135A\u1369-\u137C\u1380-\u138F\u13A0-\u13F5\u13F8-\u13FD\u1401-\u166C\u166F-\u167F\u1681-\u169A\u16A0-\u16EA\u16EE-\u16F8\u1700-\u1711\u171F-\u1731\u1740-\u1751\u1760-\u176C\u176E-\u1770\u1780-\u17B3\u17D7\u17DC\u17E0-\u17E9\u17F0-\u17F9\u1810-\u1819\u1820-\u1878\u1880-\u1884\u1887-\u18A8\u18AA\u18B0-\u18F5\u1900-\u191E\u1946-\u196D\u1970-\u1974\u1980-\u19AB\u19B0-\u19C9\u19D0-\u19DA\u1A00-\u1A16\u1A20-\u1A54\u1A80-\u1A89\u1A90-\u1A99\u1AA7\u1B05-\u1B33\u1B45-\u1B4C\u1B50-\u1B59\u1B83-\u1BA0\u1BAE-\u1BE5\u1C00-\u1C23\u1C40-\u1C49\u1C4D-\u1C7D\u1C80-\u1C88\u1C90-\u1CBA\u1CBD-\u1CBF\u1CE9-\u1CEC\u1CEE-\u1CF3\u1CF5\u1CF6\u1CFA\u1D00-\u1DBF\u1E00-\u1F15\u1F18-\u1F1D\u1F20-\u1F45\u1F48-\u1F4D\u1F50-\u1F57\u1F59\u1F5B\u1F5D\u1F5F-\u1F7D\u1F80-\u1FB4\u1FB6-\u1FBC\u1FBE\u1FC2-\u1FC4\u1FC6-\u1FCC\u1FD0-\u1FD3\u1FD6-\u1FDB\u1FE0-\u1FEC\u1FF2-\u1FF4\u1FF6-\u1FFC\u2070\u2071\u2074-\u2079\u207F-\u2089\u2090-\u209C\u2102\u2107\u210A-\u2113\u2115\u2119-\u211D\u2124\u2126\u2128\u212A-\u212D\u212F-\u2139\u213C-\u213F\u2145-\u2149\u214E\u2150-\u2189\u2460-\u249B\u24EA-\u24FF\u2776-\u2793\u2C00-\u2CE4\u2CEB-\u2CEE\u2CF2\u2CF3\u2CFD\u2D00-\u2D25\u2D27\u2D2D\u2D30-\u2D67\u2D6F\u2D80-\u2D96\u2DA0-\u2DA6\u2DA8-\u2DAE\u2DB0-\u2DB6\u2DB8-\u2DBE\u2DC0-\u2DC6\u2DC8-\u2DCE\u2DD0-\u2DD6\u2DD8-\u2DDE\u2E2F\u3005-\u3007\u3021-\u3029\u3031-\u3035\u3038-\u303C\u3041-\u3096\u309D-\u309F\u30A1-\u30FA\u30FC-\u30FF\u3105-\u312F\u3131-\u318E\u3192-\u3195\u31A0-\u31BF\u31F0-\u31FF\u3220-\u3229\u3248-\u324F\u3251-\u325F\u3280-\u3289\u32B1-\u32BF\u3400-\u4DBF\u4E00-\uA48C\uA4D0-\uA4FD\uA500-\uA60C\uA610-\uA62B\uA640-\uA66E\uA67F-\uA69D\uA6A0-\uA6EF\uA717-\uA71F\uA722-\uA788\uA78B-\uA7CA\uA7D0\uA7D1\uA7D3\uA7D5-\uA7D9\uA7F2-\uA801\uA803-\uA805\uA807-\uA80A\uA80C-\uA822\uA830-\uA835\uA840-\uA873\uA882-\uA8B3\uA8D0-\uA8D9\uA8F2-\uA8F7\uA8FB\uA8FD\uA8FE\uA900-\uA925\uA930-\uA946\uA960-\uA97C\uA984-\uA9B2\uA9CF-\uA9D9\uA9E0-\uA9E4\uA9E6-\uA9FE\uAA00-\uAA28\uAA40-\uAA42\uAA44-\uAA4B\uAA50-\uAA59\uAA60-\uAA76\uAA7A\uAA7E-\uAAAF\uAAB1\uAAB5\uAAB6\uAAB9-\uAABD\uAAC0\uAAC2\uAADB-\uAADD\uAAE0-\uAAEA\uAAF2-\uAAF4\uAB01-\uAB06\uAB09-\uAB0E\uAB11-\uAB16\uAB20-\uAB26\uAB28-\uAB2E\uAB30-\uAB5A\uAB5C-\uAB69\uAB70-\uABE2\uABF0-\uABF9\uAC00-\uD7A3\uD7B0-\uD7C6\uD7CB-\uD7FB\uF900-\uFA6D\uFA70-\uFAD9\uFB00-\uFB06\uFB13-\uFB17\uFB1D\uFB1F-\uFB28\uFB2A-\uFB36\uFB38-\uFB3C\uFB3E\uFB40\uFB41\uFB43\uFB44\uFB46-\uFBB1\uFBD3-\uFD3D\uFD50-\uFD8F\uFD92-\uFDC7\uFDF0-\uFDFB\uFE70-\uFE74\uFE76-\uFEFC\uFF10-\uFF19\uFF21-\uFF3A\uFF41-\uFF5A\uFF66-\uFFBE\uFFC2-\uFFC7\uFFCA-\uFFCF\uFFD2-\uFFD7\uFFDA-\uFFDC]|\uD800[\uDC00-\uDC0B\uDC0D-\uDC26\uDC28-\uDC3A\uDC3C\uDC3D\uDC3F-\uDC4D\uDC50-\uDC5D\uDC80-\uDCFA\uDD07-\uDD33\uDD40-\uDD78\uDD8A\uDD8B\uDE80-\uDE9C\uDEA0-\uDED0\uDEE1-\uDEFB\uDF00-\uDF23\uDF2D-\uDF4A\uDF50-\uDF75\uDF80-\uDF9D\uDFA0-\uDFC3\uDFC8-\uDFCF\uDFD1-\uDFD5]|\uD801[\uDC00-\uDC9D\uDCA0-\uDCA9\uDCB0-\uDCD3\uDCD8-\uDCFB\uDD00-\uDD27\uDD30-\uDD63\uDD70-\uDD7A\uDD7C-\uDD8A\uDD8C-\uDD92\uDD94\uDD95\uDD97-\uDDA1\uDDA3-\uDDB1\uDDB3-\uDDB9\uDDBB\uDDBC\uDE00-\uDF36\uDF40-\uDF55\uDF60-\uDF67\uDF80-\uDF85\uDF87-\uDFB0\uDFB2-\uDFBA]|\uD802[\uDC00-\uDC05\uDC08\uDC0A-\uDC35\uDC37\uDC38\uDC3C\uDC3F-\uDC55\uDC58-\uDC76\uDC79-\uDC9E\uDCA7-\uDCAF\uDCE0-\uDCF2\uDCF4\uDCF5\uDCFB-\uDD1B\uDD20-\uDD39\uDD80-\uDDB7\uDDBC-\uDDCF\uDDD2-\uDE00\uDE10-\uDE13\uDE15-\uDE17\uDE19-\uDE35\uDE40-\uDE48\uDE60-\uDE7E\uDE80-\uDE9F\uDEC0-\uDEC7\uDEC9-\uDEE4\uDEEB-\uDEEF\uDF00-\uDF35\uDF40-\uDF55\uDF58-\uDF72\uDF78-\uDF91\uDFA9-\uDFAF]|\uD803[\uDC00-\uDC48\uDC80-\uDCB2\uDCC0-\uDCF2\uDCFA-\uDD23\uDD30-\uDD39\uDE60-\uDE7E\uDE80-\uDEA9\uDEB0\uDEB1\uDF00-\uDF27\uDF30-\uDF45\uDF51-\uDF54\uDF70-\uDF81\uDFB0-\uDFCB\uDFE0-\uDFF6]|\uD804[\uDC03-\uDC37\uDC52-\uDC6F\uDC71\uDC72\uDC75\uDC83-\uDCAF\uDCD0-\uDCE8\uDCF0-\uDCF9\uDD03-\uDD26\uDD36-\uDD3F\uDD44\uDD47\uDD50-\uDD72\uDD76\uDD83-\uDDB2\uDDC1-\uDDC4\uDDD0-\uDDDA\uDDDC\uDDE1-\uDDF4\uDE00-\uDE11\uDE13-\uDE2B\uDE80-\uDE86\uDE88\uDE8A-\uDE8D\uDE8F-\uDE9D\uDE9F-\uDEA8\uDEB0-\uDEDE\uDEF0-\uDEF9\uDF05-\uDF0C\uDF0F\uDF10\uDF13-\uDF28\uDF2A-\uDF30\uDF32\uDF33\uDF35-\uDF39\uDF3D\uDF50\uDF5D-\uDF61]|\uD805[\uDC00-\uDC34\uDC47-\uDC4A\uDC50-\uDC59\uDC5F-\uDC61\uDC80-\uDCAF\uDCC4\uDCC5\uDCC7\uDCD0-\uDCD9\uDD80-\uDDAE\uDDD8-\uDDDB\uDE00-\uDE2F\uDE44\uDE50-\uDE59\uDE80-\uDEAA\uDEB8\uDEC0-\uDEC9\uDF00-\uDF1A\uDF30-\uDF3B\uDF40-\uDF46]|\uD806[\uDC00-\uDC2B\uDCA0-\uDCF2\uDCFF-\uDD06\uDD09\uDD0C-\uDD13\uDD15\uDD16\uDD18-\uDD2F\uDD3F\uDD41\uDD50-\uDD59\uDDA0-\uDDA7\uDDAA-\uDDD0\uDDE1\uDDE3\uDE00\uDE0B-\uDE32\uDE3A\uDE50\uDE5C-\uDE89\uDE9D\uDEB0-\uDEF8]|\uD807[\uDC00-\uDC08\uDC0A-\uDC2E\uDC40\uDC50-\uDC6C\uDC72-\uDC8F\uDD00-\uDD06\uDD08\uDD09\uDD0B-\uDD30\uDD46\uDD50-\uDD59\uDD60-\uDD65\uDD67\uDD68\uDD6A-\uDD89\uDD98\uDDA0-\uDDA9\uDEE0-\uDEF2\uDFB0\uDFC0-\uDFD4]|\uD808[\uDC00-\uDF99]|\uD809[\uDC00-\uDC6E\uDC80-\uDD43]|\uD80B[\uDF90-\uDFF0]|[\uD80C\uD81C-\uD820\uD822\uD840-\uD868\uD86A-\uD86C\uD86F-\uD872\uD874-\uD879\uD880-\uD883][\uDC00-\uDFFF]|\uD80D[\uDC00-\uDC2E]|\uD811[\uDC00-\uDE46]|\uD81A[\uDC00-\uDE38\uDE40-\uDE5E\uDE60-\uDE69\uDE70-\uDEBE\uDEC0-\uDEC9\uDED0-\uDEED\uDF00-\uDF2F\uDF40-\uDF43\uDF50-\uDF59\uDF5B-\uDF61\uDF63-\uDF77\uDF7D-\uDF8F]|\uD81B[\uDE40-\uDE96\uDF00-\uDF4A\uDF50\uDF93-\uDF9F\uDFE0\uDFE1\uDFE3]|\uD821[\uDC00-\uDFF7]|\uD823[\uDC00-\uDCD5\uDD00-\uDD08]|\uD82B[\uDFF0-\uDFF3\uDFF5-\uDFFB\uDFFD\uDFFE]|\uD82C[\uDC00-\uDD22\uDD50-\uDD52\uDD64-\uDD67\uDD70-\uDEFB]|\uD82F[\uDC00-\uDC6A\uDC70-\uDC7C\uDC80-\uDC88\uDC90-\uDC99]|\uD834[\uDEE0-\uDEF3\uDF60-\uDF78]|\uD835[\uDC00-\uDC54\uDC56-\uDC9C\uDC9E\uDC9F\uDCA2\uDCA5\uDCA6\uDCA9-\uDCAC\uDCAE-\uDCB9\uDCBB\uDCBD-\uDCC3\uDCC5-\uDD05\uDD07-\uDD0A\uDD0D-\uDD14\uDD16-\uDD1C\uDD1E-\uDD39\uDD3B-\uDD3E\uDD40-\uDD44\uDD46\uDD4A-\uDD50\uDD52-\uDEA5\uDEA8-\uDEC0\uDEC2-\uDEDA\uDEDC-\uDEFA\uDEFC-\uDF14\uDF16-\uDF34\uDF36-\uDF4E\uDF50-\uDF6E\uDF70-\uDF88\uDF8A-\uDFA8\uDFAA-\uDFC2\uDFC4-\uDFCB\uDFCE-\uDFFF]|\uD837[\uDF00-\uDF1E]|\uD838[\uDD00-\uDD2C\uDD37-\uDD3D\uDD40-\uDD49\uDD4E\uDE90-\uDEAD\uDEC0-\uDEEB\uDEF0-\uDEF9]|\uD839[\uDFE0-\uDFE6\uDFE8-\uDFEB\uDFED\uDFEE\uDFF0-\uDFFE]|\uD83A[\uDC00-\uDCC4\uDCC7-\uDCCF\uDD00-\uDD43\uDD4B\uDD50-\uDD59]|\uD83B[\uDC71-\uDCAB\uDCAD-\uDCAF\uDCB1-\uDCB4\uDD01-\uDD2D\uDD2F-\uDD3D\uDE00-\uDE03\uDE05-\uDE1F\uDE21\uDE22\uDE24\uDE27\uDE29-\uDE32\uDE34-\uDE37\uDE39\uDE3B\uDE42\uDE47\uDE49\uDE4B\uDE4D-\uDE4F\uDE51\uDE52\uDE54\uDE57\uDE59\uDE5B\uDE5D\uDE5F\uDE61\uDE62\uDE64\uDE67-\uDE6A\uDE6C-\uDE72\uDE74-\uDE77\uDE79-\uDE7C\uDE7E\uDE80-\uDE89\uDE8B-\uDE9B\uDEA1-\uDEA3\uDEA5-\uDEA9\uDEAB-\uDEBB]|\uD83C[\uDD00-\uDD0C]|\uD83E[\uDFF0-\uDFF9]|\uD869[\uDC00-\uDEDF\uDF00-\uDFFF]|\uD86D[\uDC00-\uDF38\uDF40-\uDFFF]|\uD86E[\uDC00-\uDC1D\uDC20-\uDFFF]|\uD873[\uDC00-\uDEA1\uDEB0-\uDFFF]|\uD87A[\uDC00-\uDFE0]|\uD87E[\uDC00-\uDE1D]|\uD884[\uDC00-\uDF4A])/))){var ue=Y[1]||Y[2]||"";if(!ue||ue&&(G===""||this.rules.inline.punctuation.exec(G))){var pe=Y[0].length-1,Pe,Re,Fe=pe,Ue=0,le=Y[0][0]==="*"?this.rules.inline.emStrong.rDelimAst:this.rules.inline.emStrong.rDelimUnd;for(le.lastIndex=0,z=z.slice(-1*Q.length+pe);(Y=le.exec(z))!=null;)if(Pe=Y[1]||Y[2]||Y[3]||Y[4]||Y[5]||Y[6],!!Pe){if(Re=Pe.length,Y[3]||Y[4]){Fe+=Re;continue}else if((Y[5]||Y[6])&&pe%3&&!((pe+Re)%3)){Ue+=Re;continue}if(Fe-=Re,!(Fe>0)){if(Re=Math.min(Re,Re+Fe+Ue),Math.min(pe,Re)%2){var ge=Q.slice(1,pe+Y.index+Re);return{type:"em",raw:Q.slice(0,pe+Y.index+Re+1),text:ge,tokens:this.lexer.inlineTokens(ge,[])}}var de=Q.slice(2,pe+Y.index+Re-1);return{type:"strong",raw:Q.slice(0,pe+Y.index+Re+1),text:de,tokens:this.lexer.inlineTokens(de,[])}}}}}},fe.codespan=function(Q){var z=this.rules.inline.code.exec(Q);if(z){var G=z[2].replace(/\n/g," "),Y=/[^ ]/.test(G),ue=/^ /.test(G)&&/ $/.test(G);return Y&&ue&&(G=G.substring(1,G.length-1)),G=c(G,!0),{type:"codespan",raw:z[0],text:G}}},fe.br=function(Q){var z=this.rules.inline.br.exec(Q);if(z)return{type:"br",raw:z[0]}},fe.del=function(Q){var z=this.rules.inline.del.exec(Q);if(z)return{type:"del",raw:z[0],text:z[2],tokens:this.lexer.inlineTokens(z[2],[])}},fe.autolink=function(Q,z){var G=this.rules.inline.autolink.exec(Q);if(G){var Y,ue;return G[2]==="@"?(Y=c(this.options.mangle?z(G[1]):G[1]),ue="mailto:"+Y):(Y=c(G[1]),ue=Y),{type:"link",raw:G[0],text:Y,href:ue,tokens:[{type:"text",raw:Y,text:Y}]}}},fe.url=function(Q,z){var G;if(G=this.rules.inline.url.exec(Q)){var Y,ue;if(G[2]==="@")Y=c(this.options.mangle?z(G[0]):G[0]),ue="mailto:"+Y;else{var pe;do pe=G[0],G[0]=this.rules.inline._backpedal.exec(G[0])[0];while(pe!==G[0]);Y=c(G[0]),G[1]==="www."?ue="http://"+Y:ue=Y}return{type:"link",raw:G[0],text:Y,href:ue,tokens:[{type:"text",raw:Y,text:Y}]}}},fe.inlineText=function(Q,z){var G=this.rules.inline.text.exec(Q);if(G){var Y;return this.lexer.state.inRawBlock?Y=this.options.sanitize?this.options.sanitizer?this.options.sanitizer(G[0]):c(G[0]):G[0]:Y=c(this.options.smartypants?z(G[0]):G[0]),{type:"text",raw:G[0],text:Y}}},ae}(),N={newline:/^(?: *(?:\n|$))+/,code:/^( {4}[^\n]+(?:\n(?: *(?:\n|$))*)?)+/,fences:/^ {0,3}(`{3,}(?=[^`\n]*\n)|~{3,})([^\n]*)\n(?:|([\s\S]*?)\n)(?: {0,3}\1[~`]* *(?=\n|$)|$)/,hr:/^ {0,3}((?:- *){3,}|(?:_ *){3,}|(?:\* *){3,})(?:\n+|$)/,heading:/^ {0,3}(#{1,6})(?=\s|$)(.*)(?:\n+|$)/,blockquote:/^( {0,3}> ?(paragraph|[^\n]*)(?:\n|$))+/,list:/^( {0,3}bull)( [^\n]+?)?(?:\n|$)/,html:"^ {0,3}(?:<(script|pre|style|textarea)[\\s>][\\s\\S]*?(?:</\\1>[^\\n]*\\n+|$)|comment[^\\n]*(\\n+|$)|<\\?[\\s\\S]*?(?:\\?>\\n*|$)|<![A-Z][\\s\\S]*?(?:>\\n*|$)|<!\\[CDATA\\[[\\s\\S]*?(?:\\]\\]>\\n*|$)|</?(tag)(?: +|\\n|/?>)[\\s\\S]*?(?:(?:\\n *)+\\n|$)|<(?!script|pre|style|textarea)([a-z][\\w-]*)(?:attribute)*? */?>(?=[ \\t]*(?:\\n|$))[\\s\\S]*?(?:(?:\\n *)+\\n|$)|</(?!script|pre|style|textarea)[a-z][\\w-]*\\s*>(?=[ \\t]*(?:\\n|$))[\\s\\S]*?(?:(?:\\n *)+\\n|$))",def:/^ {0,3}\[(label)\]: *(?:\n *)?<?([^\s>]+)>?(?:(?: +(?:\n *)?| *\n *)(title))? *(?:\n+|$)/,table:r,lheading:/^([^\n]+)\n {0,3}(=+|-+) *(?:\n+|$)/,_paragraph:/^([^\n]+(?:\n(?!hr|heading|lheading|blockquote|fences|list|html|table| +\n)[^\n]+)*)/,text:/^[^\n]+/};N._label=/(?!\s*\])(?:\\.|[^\[\]\\])+/,N._title=/(?:"(?:\\"?|[^"\\])*"|'[^'\n]*(?:\n[^'\n]+)*\n?'|\([^()]*\))/,N.def=w(N.def).replace("label",N._label).replace("title",N._title).getRegex(),N.bullet=/(?:[*+-]|\d{1,9}[.)])/,N.listItemStart=w(/^( *)(bull) */).replace("bull",N.bullet).getRegex(),N.list=w(N.list).replace(/bull/g,N.bullet).replace("hr","\\n+(?=\\1?(?:(?:- *){3,}|(?:_ *){3,}|(?:\\* *){3,})(?:\\n+|$))").replace("def","\\n+(?="+N.def.source+")").getRegex(),N._tag="address|article|aside|base|basefont|blockquote|body|caption|center|col|colgroup|dd|details|dialog|dir|div|dl|dt|fieldset|figcaption|figure|footer|form|frame|frameset|h[1-6]|head|header|hr|html|iframe|legend|li|link|main|menu|menuitem|meta|nav|noframes|ol|optgroup|option|p|param|section|source|summary|table|tbody|td|tfoot|th|thead|title|tr|track|ul",N._comment=/<!--(?!-?>)[\s\S]*?(?:-->|$)/,N.html=w(N.html,"i").replace("comment",N._comment).replace("tag",N._tag).replace("attribute",/ +[a-zA-Z:_][\w.:-]*(?: *= *"[^"\n]*"| *= *'[^'\n]*'| *= *[^\s"'=<>`]+)?/).getRegex(),N.paragraph=w(N._paragraph).replace("hr",N.hr).replace("heading"," {0,3}#{1,6} ").replace("|lheading","").replace("|table","").replace("blockquote"," {0,3}>").replace("fences"," {0,3}(?:`{3,}(?=[^`\\n]*\\n)|~{3,})[^\\n]*\\n").replace("list"," {0,3}(?:[*+-]|1[.)]) ").replace("html","</?(?:tag)(?: +|\\n|/?>)|<(?:script|pre|style|textarea|!--)").replace("tag",N._tag).getRegex(),N.blockquote=w(N.blockquote).replace("paragraph",N.paragraph).getRegex(),N.normal=a({},N),N.gfm=a({},N.normal,{table:"^ *([^\\n ].*\\|.*)\\n {0,3}(?:\\| *)?(:?-+:? *(?:\\| *:?-+:? *)*)(?:\\| *)?(?:\\n((?:(?! *\\n|hr|heading|blockquote|code|fences|list|html).*(?:\\n|$))*)\\n*|$)"}),N.gfm.table=w(N.gfm.table).replace("hr",N.hr).replace("heading"," {0,3}#{1,6} ").replace("blockquote"," {0,3}>").replace("code"," {4}[^\\n]").replace("fences"," {0,3}(?:`{3,}(?=[^`\\n]*\\n)|~{3,})[^\\n]*\\n").replace("list"," {0,3}(?:[*+-]|1[.)]) ").replace("html","</?(?:tag)(?: +|\\n|/?>)|<(?:script|pre|style|textarea|!--)").replace("tag",N._tag).getRegex(),N.gfm.paragraph=w(N._paragraph).replace("hr",N.hr).replace("heading"," {0,3}#{1,6} ").replace("|lheading","").replace("table",N.gfm.table).replace("blockquote"," {0,3}>").replace("fences"," {0,3}(?:`{3,}(?=[^`\\n]*\\n)|~{3,})[^\\n]*\\n").replace("list"," {0,3}(?:[*+-]|1[.)]) ").replace("html","</?(?:tag)(?: +|\\n|/?>)|<(?:script|pre|style|textarea|!--)").replace("tag",N._tag).getRegex(),N.pedantic=a({},N.normal,{html:w(`^ *(?:comment *(?:\\n|\\s*$)|<(tag)[\\s\\S]+?</\\1> *(?:\\n{2,}|\\s*$)|<tag(?:"[^"]*"|'[^']*'|\\s[^'"/>\\s]*)*?/?> *(?:\\n{2,}|\\s*$))`).replace("comment",N._comment).replace(/tag/g,"(?!(?:a|em|strong|small|s|cite|q|dfn|abbr|data|time|code|var|samp|kbd|sub|sup|i|b|u|mark|ruby|rt|rp|bdi|bdo|span|br|wbr|ins|del|img)\\b)\\w+(?!:|[^\\w\\s@]*@)\\b").getRegex(),def:/^ *\[([^\]]+)\]: *<?([^\s>]+)>?(?: +(["(][^\n]+[")]))? *(?:\n+|$)/,heading:/^(#{1,6})(.*)(?:\n+|$)/,fences:r,paragraph:w(N.normal._paragraph).replace("hr",N.hr).replace("heading",` *#{1,6} *[^
]`).replace("lheading",N.lheading).replace("blockquote"," {0,3}>").replace("|fences","").replace("|list","").replace("|html","").getRegex()});var W={escape:/^\\([!"#$%&'()*+,\-./:;<=>?@\[\]\\^_`{|}~])/,autolink:/^<(scheme:[^\s\x00-\x1f<>]*|email)>/,url:r,tag:"^comment|^</[a-zA-Z][\\w:-]*\\s*>|^<[a-zA-Z][\\w-]*(?:attribute)*?\\s*/?>|^<\\?[\\s\\S]*?\\?>|^<![a-zA-Z]+\\s[\\s\\S]*?>|^<!\\[CDATA\\[[\\s\\S]*?\\]\\]>",link:/^!?\[(label)\]\(\s*(href)(?:\s+(title))?\s*\)/,reflink:/^!?\[(label)\]\[(ref)\]/,nolink:/^!?\[(ref)\](?:\[\])?/,reflinkSearch:"reflink|nolink(?!\\()",emStrong:{lDelim:/^(?:\*+(?:([punct_])|[^\s*]))|^_+(?:([punct*])|([^\s_]))/,rDelimAst:/^[^_*]*?\_\_[^_*]*?\*[^_*]*?(?=\_\_)|[punct_](\*+)(?=[\s]|$)|[^punct*_\s](\*+)(?=[punct_\s]|$)|[punct_\s](\*+)(?=[^punct*_\s])|[\s](\*+)(?=[punct_])|[punct_](\*+)(?=[punct_])|[^punct*_\s](\*+)(?=[^punct*_\s])/,rDelimUnd:/^[^_*]*?\*\*[^_*]*?\_[^_*]*?(?=\*\*)|[punct*](\_+)(?=[\s]|$)|[^punct*_\s](\_+)(?=[punct*\s]|$)|[punct*\s](\_+)(?=[^punct*_\s])|[\s](\_+)(?=[punct*])|[punct*](\_+)(?=[punct*])/},code:/^(`+)([^`]|[^`][\s\S]*?[^`])\1(?!`)/,br:/^( {2,}|\\)\n(?!\s*$)/,del:r,text:/^(`+|[^`])(?:(?= {2,}\n)|[\s\S]*?(?:(?=[\\<!\[`*_]|\b_|$)|[^ ](?= {2,}\n)))/,punctuation:/^([\spunctuation])/};W._punctuation="!\"#$%&'()+\\-.,/:;<=>?@\\[\\]`^{|}~",W.punctuation=w(W.punctuation).replace(/punctuation/g,W._punctuation).getRegex(),W.blockSkip=/\[[^\]]*?\]\([^\)]*?\)|`[^`]*?`|<[^>]*?>/g,W.escapedEmSt=/\\\*|\\_/g,W._comment=w(N._comment).replace("(?:-->|$)","-->").getRegex(),W.emStrong.lDelim=w(W.emStrong.lDelim).replace(/punct/g,W._punctuation).getRegex(),W.emStrong.rDelimAst=w(W.emStrong.rDelimAst,"g").replace(/punct/g,W._punctuation).getRegex(),W.emStrong.rDelimUnd=w(W.emStrong.rDelimUnd,"g").replace(/punct/g,W._punctuation).getRegex(),W._escapes=/\\([!"#$%&'()*+,\-./:;<=>?@\[\]\\^_`{|}~])/g,W._scheme=/[a-zA-Z][a-zA-Z0-9+.-]{1,31}/,W._email=/[a-zA-Z0-9.!#$%&'*+/=?^_`{|}~-]+(@)[a-zA-Z0-9](?:[a-zA-Z0-9-]{0,61}[a-zA-Z0-9])?(?:\.[a-zA-Z0-9](?:[a-zA-Z0-9-]{0,61}[a-zA-Z0-9])?)+(?![-_])/,W.autolink=w(W.autolink).replace("scheme",W._scheme).replace("email",W._email).getRegex(),W._attribute=/\s+[a-zA-Z:_][\w.:-]*(?:\s*=\s*"[^"]*"|\s*=\s*'[^']*'|\s*=\s*[^\s"'=<>`]+)?/,W.tag=w(W.tag).replace("comment",W._comment).replace("attribute",W._attribute).getRegex(),W._label=/(?:\[(?:\\.|[^\[\]\\])*\]|\\.|`[^`]*`|[^\[\]\\`])*?/,W._href=/<(?:\\.|[^\n<>\\])+>|[^\s\x00-\x1f]*/,W._title=/"(?:\\"?|[^"\\])*"|'(?:\\'?|[^'\\])*'|\((?:\\\)?|[^)\\])*\)/,W.link=w(W.link).replace("label",W._label).replace("href",W._href).replace("title",W._title).getRegex(),W.reflink=w(W.reflink).replace("label",W._label).replace("ref",N._label).getRegex(),W.nolink=w(W.nolink).replace("ref",N._label).getRegex(),W.reflinkSearch=w(W.reflinkSearch,"g").replace("reflink",W.reflink).replace("nolink",W.nolink).getRegex(),W.normal=a({},W),W.pedantic=a({},W.normal,{strong:{start:/^__|\*\*/,middle:/^__(?=\S)([\s\S]*?\S)__(?!_)|^\*\*(?=\S)([\s\S]*?\S)\*\*(?!\*)/,endAst:/\*\*(?!\*)/g,endUnd:/__(?!_)/g},em:{start:/^_|\*/,middle:/^()\*(?=\S)([\s\S]*?\S)\*(?!\*)|^_(?=\S)([\s\S]*?\S)_(?!_)/,endAst:/\*(?!\*)/g,endUnd:/_(?!_)/g},link:w(/^!?\[(label)\]\((.*?)\)/).replace("label",W._label).getRegex(),reflink:w(/^!?\[(label)\]\s*\[([^\]]*)\]/).replace("label",W._label).getRegex()}),W.gfm=a({},W.normal,{escape:w(W.escape).replace("])","~|])").getRegex(),_extended_email:/[A-Za-z0-9._+-]+(@)[a-zA-Z0-9-_]+(?:\.[a-zA-Z0-9-_]*[a-zA-Z0-9])+(?![-_])/,url:/^((?:ftp|https?):\/\/|www\.)(?:[a-zA-Z0-9\-]+\.?)+[^\s<]*|^email/,_backpedal:/(?:[^?!.,:;*_~()&]+|\([^)]*\)|&(?![a-zA-Z0-9]+;$)|[?!.,:;*_~)]+(?!$))+/,del:/^(~~?)(?=[^\s~])([\s\S]*?[^\s~])\1(?=[^~]|$)/,text:/^([`~]+|[^`~])(?:(?= {2,}\n)|(?=[a-zA-Z0-9.!#$%&'*+\/=?_`{\|}~-]+@)|[\s\S]*?(?:(?=[\\<!\[`*~_]|\b_|https?:\/\/|ftp:\/\/|www\.|$)|[^ ](?= {2,}\n)|[^a-zA-Z0-9.!#$%&'*+\/=?_`{\|}~-](?=[a-zA-Z0-9.!#$%&'*+\/=?_`{\|}~-]+@)))/}),W.gfm.url=w(W.gfm.url,"i").replace("email",W.gfm._extended_email).getRegex(),W.breaks=a({},W.gfm,{br:w(W.br).replace("{2,}","*").getRegex(),text:w(W.gfm.text).replace("\\b_","\\b_| {2,}\\n").replace(/\{2,\}/g,"*").getRegex()});function ie(ae){return ae.replace(/---/g,"\u2014").replace(/--/g,"\u2013").replace(/(^|[-\u2014/(\[{"\s])'/g,"$1\u2018").replace(/'/g,"\u2019").replace(/(^|[-\u2014/(\[{\u2018\s])"/g,"$1\u201C").replace(/"/g,"\u201D").replace(/\.{3}/g,"\u2026")}function q(ae){var fe="",ve,Q,z=ae.length;for(ve=0;ve<z;ve++)Q=ae.charCodeAt(ve),Math.random()>.5&&(Q="x"+Q.toString(16)),fe+="&#"+Q+";";return fe}var se=function(){function ae(ve){this.tokens=[],this.tokens.links=Object.create(null),this.options=ve||J.defaults,this.options.tokenizer=this.options.tokenizer||new U,this.tokenizer=this.options.tokenizer,this.tokenizer.options=this.options,this.tokenizer.lexer=this,this.inlineQueue=[],this.state={inLink:!1,inRawBlock:!1,top:!0};var Q={block:N.normal,inline:W.normal};this.options.pedantic?(Q.block=N.pedantic,Q.inline=W.pedantic):this.options.gfm&&(Q.block=N.gfm,this.options.breaks?Q.inline=W.breaks:Q.inline=W.gfm),this.tokenizer.rules=Q}ae.lex=function(Q,z){var G=new ae(z);return G.lex(Q)},ae.lexInline=function(Q,z){var G=new ae(z);return G.inlineTokens(Q)};var fe=ae.prototype;return fe.lex=function(Q){Q=Q.replace(/\r\n|\r/g,`
`).replace(/\t/g,"    "),this.blockTokens(Q,this.tokens);for(var z;z=this.inlineQueue.shift();)this.inlineTokens(z.src,z.tokens);return this.tokens},fe.blockTokens=function(Q,z){var G=this;z===void 0&&(z=[]),this.options.pedantic&&(Q=Q.replace(/^ +$/gm,""));for(var Y,ue,pe,Pe;Q;)if(!(this.options.extensions&&this.options.extensions.block&&this.options.extensions.block.some(function(Fe){return(Y=Fe.call({lexer:G},Q,z))?(Q=Q.substring(Y.raw.length),z.push(Y),!0):!1}))){if(Y=this.tokenizer.space(Q)){Q=Q.substring(Y.raw.length),Y.raw.length===1&&z.length>0?z[z.length-1].raw+=`
`:z.push(Y);continue}if(Y=this.tokenizer.code(Q)){Q=Q.substring(Y.raw.length),ue=z[z.length-1],ue&&(ue.type==="paragraph"||ue.type==="text")?(ue.raw+=`
`+Y.raw,ue.text+=`
`+Y.text,this.inlineQueue[this.inlineQueue.length-1].src=ue.text):z.push(Y);continue}if(Y=this.tokenizer.fences(Q)){Q=Q.substring(Y.raw.length),z.push(Y);continue}if(Y=this.tokenizer.heading(Q)){Q=Q.substring(Y.raw.length),z.push(Y);continue}if(Y=this.tokenizer.hr(Q)){Q=Q.substring(Y.raw.length),z.push(Y);continue}if(Y=this.tokenizer.blockquote(Q)){Q=Q.substring(Y.raw.length),z.push(Y);continue}if(Y=this.tokenizer.list(Q)){Q=Q.substring(Y.raw.length),z.push(Y);continue}if(Y=this.tokenizer.html(Q)){Q=Q.substring(Y.raw.length),z.push(Y);continue}if(Y=this.tokenizer.def(Q)){Q=Q.substring(Y.raw.length),ue=z[z.length-1],ue&&(ue.type==="paragraph"||ue.type==="text")?(ue.raw+=`
`+Y.raw,ue.text+=`
`+Y.raw,this.inlineQueue[this.inlineQueue.length-1].src=ue.text):this.tokens.links[Y.tag]||(this.tokens.links[Y.tag]={href:Y.href,title:Y.title});continue}if(Y=this.tokenizer.table(Q)){Q=Q.substring(Y.raw.length),z.push(Y);continue}if(Y=this.tokenizer.lheading(Q)){Q=Q.substring(Y.raw.length),z.push(Y);continue}if(pe=Q,this.options.extensions&&this.options.extensions.startBlock&&function(){var Fe=1/0,Ue=Q.slice(1),le=void 0;G.options.extensions.startBlock.forEach(function(ge){le=ge.call({lexer:this},Ue),typeof le=="number"&&le>=0&&(Fe=Math.min(Fe,le))}),Fe<1/0&&Fe>=0&&(pe=Q.substring(0,Fe+1))}(),this.state.top&&(Y=this.tokenizer.paragraph(pe))){ue=z[z.length-1],Pe&&ue.type==="paragraph"?(ue.raw+=`
`+Y.raw,ue.text+=`
`+Y.text,this.inlineQueue.pop(),this.inlineQueue[this.inlineQueue.length-1].src=ue.text):z.push(Y),Pe=pe.length!==Q.length,Q=Q.substring(Y.raw.length);continue}if(Y=this.tokenizer.text(Q)){Q=Q.substring(Y.raw.length),ue=z[z.length-1],ue&&ue.type==="text"?(ue.raw+=`
`+Y.raw,ue.text+=`
`+Y.text,this.inlineQueue.pop(),this.inlineQueue[this.inlineQueue.length-1].src=ue.text):z.push(Y);continue}if(Q){var Re="Infinite loop on byte: "+Q.charCodeAt(0);if(this.options.silent){console.error(Re);break}else throw new Error(Re)}}return this.state.top=!0,z},fe.inline=function(Q,z){this.inlineQueue.push({src:Q,tokens:z})},fe.inlineTokens=function(Q,z){var G=this;z===void 0&&(z=[]);var Y,ue,pe,Pe=Q,Re,Fe,Ue;if(this.tokens.links){var le=Object.keys(this.tokens.links);if(le.length>0)for(;(Re=this.tokenizer.rules.inline.reflinkSearch.exec(Pe))!=null;)le.includes(Re[0].slice(Re[0].lastIndexOf("[")+1,-1))&&(Pe=Pe.slice(0,Re.index)+"["+B("a",Re[0].length-2)+"]"+Pe.slice(this.tokenizer.rules.inline.reflinkSearch.lastIndex))}for(;(Re=this.tokenizer.rules.inline.blockSkip.exec(Pe))!=null;)Pe=Pe.slice(0,Re.index)+"["+B("a",Re[0].length-2)+"]"+Pe.slice(this.tokenizer.rules.inline.blockSkip.lastIndex);for(;(Re=this.tokenizer.rules.inline.escapedEmSt.exec(Pe))!=null;)Pe=Pe.slice(0,Re.index)+"++"+Pe.slice(this.tokenizer.rules.inline.escapedEmSt.lastIndex);for(;Q;)if(Fe||(Ue=""),Fe=!1,!(this.options.extensions&&this.options.extensions.inline&&this.options.extensions.inline.some(function(de){return(Y=de.call({lexer:G},Q,z))?(Q=Q.substring(Y.raw.length),z.push(Y),!0):!1}))){if(Y=this.tokenizer.escape(Q)){Q=Q.substring(Y.raw.length),z.push(Y);continue}if(Y=this.tokenizer.tag(Q)){Q=Q.substring(Y.raw.length),ue=z[z.length-1],ue&&Y.type==="text"&&ue.type==="text"?(ue.raw+=Y.raw,ue.text+=Y.text):z.push(Y);continue}if(Y=this.tokenizer.link(Q)){Q=Q.substring(Y.raw.length),z.push(Y);continue}if(Y=this.tokenizer.reflink(Q,this.tokens.links)){Q=Q.substring(Y.raw.length),ue=z[z.length-1],ue&&Y.type==="text"&&ue.type==="text"?(ue.raw+=Y.raw,ue.text+=Y.text):z.push(Y);continue}if(Y=this.tokenizer.emStrong(Q,Pe,Ue)){Q=Q.substring(Y.raw.length),z.push(Y);continue}if(Y=this.tokenizer.codespan(Q)){Q=Q.substring(Y.raw.length),z.push(Y);continue}if(Y=this.tokenizer.br(Q)){Q=Q.substring(Y.raw.length),z.push(Y);continue}if(Y=this.tokenizer.del(Q)){Q=Q.substring(Y.raw.length),z.push(Y);continue}if(Y=this.tokenizer.autolink(Q,q)){Q=Q.substring(Y.raw.length),z.push(Y);continue}if(!this.state.inLink&&(Y=this.tokenizer.url(Q,q))){Q=Q.substring(Y.raw.length),z.push(Y);continue}if(pe=Q,this.options.extensions&&this.options.extensions.startInline&&function(){var de=1/0,Te=Q.slice(1),Me=void 0;G.options.extensions.startInline.forEach(function(je){Me=je.call({lexer:this},Te),typeof Me=="number"&&Me>=0&&(de=Math.min(de,Me))}),de<1/0&&de>=0&&(pe=Q.substring(0,de+1))}(),Y=this.tokenizer.inlineText(pe,ie)){Q=Q.substring(Y.raw.length),Y.raw.slice(-1)!=="_"&&(Ue=Y.raw.slice(-1)),Fe=!0,ue=z[z.length-1],ue&&ue.type==="text"?(ue.raw+=Y.raw,ue.text+=Y.text):z.push(Y);continue}if(Q){var ge="Infinite loop on byte: "+Q.charCodeAt(0);if(this.options.silent){console.error(ge);break}else throw new Error(ge)}}return z},k(ae,null,[{key:"rules",get:function(){return{block:N,inline:W}}}]),ae}(),V=function(){function ae(ve){this.options=ve||J.defaults}var fe=ae.prototype;return fe.code=function(Q,z,G){var Y=(z||"").match(/\S*/)[0];if(this.options.highlight){var ue=this.options.highlight(Q,Y);ue!=null&&ue!==Q&&(G=!0,Q=ue)}return Q=Q.replace(/\n$/,"")+`
`,Y?'<pre><code class="'+this.options.langPrefix+c(Y,!0)+'">'+(G?Q:c(Q,!0))+`</code></pre>
`:"<pre><code>"+(G?Q:c(Q,!0))+`</code></pre>
`},fe.blockquote=function(Q){return`<blockquote>
`+Q+`</blockquote>
`},fe.html=function(Q){return Q},fe.heading=function(Q,z,G,Y){return this.options.headerIds?"<h"+z+' id="'+this.options.headerPrefix+Y.slug(G)+'">'+Q+"</h"+z+`>
`:"<h"+z+">"+Q+"</h"+z+`>
`},fe.hr=function(){return this.options.xhtml?`<hr/>
`:`<hr>
`},fe.list=function(Q,z,G){var Y=z?"ol":"ul",ue=z&&G!==1?' start="'+G+'"':"";return"<"+Y+ue+`>
`+Q+"</"+Y+`>
`},fe.listitem=function(Q){return"<li>"+Q+`</li>
`},fe.checkbox=function(Q){return"<input "+(Q?'checked="" ':"")+'disabled="" type="checkbox"'+(this.options.xhtml?" /":"")+"> "},fe.paragraph=function(Q){return"<p>"+Q+`</p>
`},fe.table=function(Q,z){return z&&(z="<tbody>"+z+"</tbody>"),`<table>
<thead>
`+Q+`</thead>
`+z+`</table>
`},fe.tablerow=function(Q){return`<tr>
`+Q+`</tr>
`},fe.tablecell=function(Q,z){var G=z.header?"th":"td",Y=z.align?"<"+G+' align="'+z.align+'">':"<"+G+">";return Y+Q+"</"+G+`>
`},fe.strong=function(Q){return"<strong>"+Q+"</strong>"},fe.em=function(Q){return"<em>"+Q+"</em>"},fe.codespan=function(Q){return"<code>"+Q+"</code>"},fe.br=function(){return this.options.xhtml?"<br/>":"<br>"},fe.del=function(Q){return"<del>"+Q+"</del>"},fe.link=function(Q,z,G){if(Q=u(this.options.sanitize,this.options.baseUrl,Q),Q===null)return G;var Y='<a href="'+c(Q)+'"';return z&&(Y+=' title="'+z+'"'),Y+=">"+G+"</a>",Y},fe.image=function(Q,z,G){if(Q=u(this.options.sanitize,this.options.baseUrl,Q),Q===null)return G;var Y='<img src="'+Q+'" alt="'+G+'"';return z&&(Y+=' title="'+z+'"'),Y+=this.options.xhtml?"/>":">",Y},fe.text=function(Q){return Q},ae}(),K=function(){function ae(){}var fe=ae.prototype;return fe.strong=function(Q){return Q},fe.em=function(Q){return Q},fe.codespan=function(Q){return Q},fe.del=function(Q){return Q},fe.html=function(Q){return Q},fe.text=function(Q){return Q},fe.link=function(Q,z,G){return""+G},fe.image=function(Q,z,G){return""+G},fe.br=function(){return""},ae}(),te=function(){function ae(){this.seen={}}var fe=ae.prototype;return fe.serialize=function(Q){return Q.toLowerCase().trim().replace(/<[!\/a-z].*?>/ig,"").replace(/[\u2000-\u206F\u2E00-\u2E7F\\'!"#$%&()*+,./:;<=>?@[\]^`{|}~]/g,"").replace(/\s/g,"-")},fe.getNextSafeSlug=function(Q,z){var G=Q,Y=0;if(this.seen.hasOwnProperty(G)){Y=this.seen[Q];do Y++,G=Q+"-"+Y;while(this.seen.hasOwnProperty(G))}return z||(this.seen[Q]=Y,this.seen[G]=0),G},fe.slug=function(Q,z){z===void 0&&(z={});var G=this.serialize(Q);return this.getNextSafeSlug(G,z.dryrun)},ae}(),re=function(){function ae(ve){this.options=ve||J.defaults,this.options.renderer=this.options.renderer||new V,this.renderer=this.options.renderer,this.renderer.options=this.options,this.textRenderer=new K,this.slugger=new te}ae.parse=function(Q,z){var G=new ae(z);return G.parse(Q)},ae.parseInline=function(Q,z){var G=new ae(z);return G.parseInline(Q)};var fe=ae.prototype;return fe.parse=function(Q,z){z===void 0&&(z=!0);var G="",Y,ue,pe,Pe,Re,Fe,Ue,le,ge,de,Te,Me,je,Be,He,qe,ne,be,ke,Le=Q.length;for(Y=0;Y<Le;Y++){if(de=Q[Y],this.options.extensions&&this.options.extensions.renderers&&this.options.extensions.renderers[de.type]&&(ke=this.options.extensions.renderers[de.type].call({parser:this},de),ke!==!1||!["space","hr","heading","code","table","blockquote","list","html","paragraph","text"].includes(de.type))){G+=ke||"";continue}switch(de.type){case"space":continue;case"hr":{G+=this.renderer.hr();continue}case"heading":{G+=this.renderer.heading(this.parseInline(de.tokens),de.depth,d(this.parseInline(de.tokens,this.textRenderer)),this.slugger);continue}case"code":{G+=this.renderer.code(de.text,de.lang,de.escaped);continue}case"table":{for(le="",Ue="",Pe=de.header.length,ue=0;ue<Pe;ue++)Ue+=this.renderer.tablecell(this.parseInline(de.header[ue].tokens),{header:!0,align:de.align[ue]});for(le+=this.renderer.tablerow(Ue),ge="",Pe=de.rows.length,ue=0;ue<Pe;ue++){for(Fe=de.rows[ue],Ue="",Re=Fe.length,pe=0;pe<Re;pe++)Ue+=this.renderer.tablecell(this.parseInline(Fe[pe].tokens),{header:!1,align:de.align[pe]});ge+=this.renderer.tablerow(Ue)}G+=this.renderer.table(le,ge);continue}case"blockquote":{ge=this.parse(de.tokens),G+=this.renderer.blockquote(ge);continue}case"list":{for(Te=de.ordered,Me=de.start,je=de.loose,Pe=de.items.length,ge="",ue=0;ue<Pe;ue++)He=de.items[ue],qe=He.checked,ne=He.task,Be="",He.task&&(be=this.renderer.checkbox(qe),je?He.tokens.length>0&&He.tokens[0].type==="paragraph"?(He.tokens[0].text=be+" "+He.tokens[0].text,He.tokens[0].tokens&&He.tokens[0].tokens.length>0&&He.tokens[0].tokens[0].type==="text"&&(He.tokens[0].tokens[0].text=be+" "+He.tokens[0].tokens[0].text)):He.tokens.unshift({type:"text",text:be}):Be+=be),Be+=this.parse(He.tokens,je),ge+=this.renderer.listitem(Be,ne,qe);G+=this.renderer.list(ge,Te,Me);continue}case"html":{G+=this.renderer.html(de.text);continue}case"paragraph":{G+=this.renderer.paragraph(this.parseInline(de.tokens));continue}case"text":{for(ge=de.tokens?this.parseInline(de.tokens):de.text;Y+1<Le&&Q[Y+1].type==="text";)de=Q[++Y],ge+=`
`+(de.tokens?this.parseInline(de.tokens):de.text);G+=z?this.renderer.paragraph(ge):ge;continue}default:{var Ne='Token with "'+de.type+'" type was not found.';if(this.options.silent){console.error(Ne);return}else throw new Error(Ne)}}}return G},fe.parseInline=function(Q,z){z=z||this.renderer;var G="",Y,ue,pe,Pe=Q.length;for(Y=0;Y<Pe;Y++){if(ue=Q[Y],this.options.extensions&&this.options.extensions.renderers&&this.options.extensions.renderers[ue.type]&&(pe=this.options.extensions.renderers[ue.type].call({parser:this},ue),pe!==!1||!["escape","html","link","image","strong","em","codespan","br","del","text"].includes(ue.type))){G+=pe||"";continue}switch(ue.type){case"escape":{G+=z.text(ue.text);break}case"html":{G+=z.html(ue.text);break}case"link":{G+=z.link(ue.href,ue.title,this.parseInline(ue.tokens,z));break}case"image":{G+=z.image(ue.href,ue.title,ue.text);break}case"strong":{G+=z.strong(this.parseInline(ue.tokens,z));break}case"em":{G+=z.em(this.parseInline(ue.tokens,z));break}case"codespan":{G+=z.codespan(ue.text);break}case"br":{G+=z.br();break}case"del":{G+=z.del(this.parseInline(ue.tokens,z));break}case"text":{G+=z.text(ue.text);break}default:{var Re='Token with "'+ue.type+'" type was not found.';if(this.options.silent){console.error(Re);return}else throw new Error(Re)}}}return G},ae}();function oe(ae,fe,ve){if(typeof ae=="undefined"||ae===null)throw new Error("marked(): input parameter is undefined or null");if(typeof ae!="string")throw new Error("marked(): input parameter is of type "+Object.prototype.toString.call(ae)+", string expected");if(typeof fe=="function"&&(ve=fe,fe=null),fe=a({},oe.defaults,fe||{}),F(fe),ve){var Q=fe.highlight,z;try{z=se.lex(ae,fe)}catch(pe){return ve(pe)}var G=function(Pe){var Re;if(!Pe)try{fe.walkTokens&&oe.walkTokens(z,fe.walkTokens),Re=re.parse(z,fe)}catch(Fe){Pe=Fe}return fe.highlight=Q,Pe?ve(Pe):ve(null,Re)};if(!Q||Q.length<3||(delete fe.highlight,!z.length))return G();var Y=0;oe.walkTokens(z,function(pe){pe.type==="code"&&(Y++,setTimeout(function(){Q(pe.text,pe.lang,function(Pe,Re){if(Pe)return G(Pe);Re!=null&&Re!==pe.text&&(pe.text=Re,pe.escaped=!0),Y--,Y===0&&G()})},0))}),Y===0&&G();return}try{var ue=se.lex(ae,fe);return fe.walkTokens&&oe.walkTokens(ue,fe.walkTokens),re.parse(ue,fe)}catch(pe){if(pe.message+=`
Please report this to https://github.com/markedjs/marked.`,fe.silent)return"<p>An error occurred:</p><pre>"+c(pe.message+"",!0)+"</pre>";throw pe}}oe.options=oe.setOptions=function(ae){return a(oe.defaults,ae),D(oe.defaults),oe},oe.getDefaults=P,oe.defaults=J.defaults,oe.use=function(){for(var ae=arguments.length,fe=new Array(ae),ve=0;ve<ae;ve++)fe[ve]=arguments[ve];var Q=a.apply(void 0,[{}].concat(fe)),z=oe.defaults.extensions||{renderers:{},childTokens:{}},G;fe.forEach(function(Y){if(Y.extensions&&(G=!0,Y.extensions.forEach(function(pe){if(!pe.name)throw new Error("extension name required");if(pe.renderer){var Pe=z.renderers?z.renderers[pe.name]:null;Pe?z.renderers[pe.name]=function(){for(var Re=arguments.length,Fe=new Array(Re),Ue=0;Ue<Re;Ue++)Fe[Ue]=arguments[Ue];var le=pe.renderer.apply(this,Fe);return le===!1&&(le=Pe.apply(this,Fe)),le}:z.renderers[pe.name]=pe.renderer}if(pe.tokenizer){if(!pe.level||pe.level!=="block"&&pe.level!=="inline")throw new Error("extension level must be 'block' or 'inline'");z[pe.level]?z[pe.level].unshift(pe.tokenizer):z[pe.level]=[pe.tokenizer],pe.start&&(pe.level==="block"?z.startBlock?z.startBlock.push(pe.start):z.startBlock=[pe.start]:pe.level==="inline"&&(z.startInline?z.startInline.push(pe.start):z.startInline=[pe.start]))}pe.childTokens&&(z.childTokens[pe.name]=pe.childTokens)})),Y.renderer&&function(){var pe=oe.defaults.renderer||new V,Pe=function(Ue){var le=pe[Ue];pe[Ue]=function(){for(var ge=arguments.length,de=new Array(ge),Te=0;Te<ge;Te++)de[Te]=arguments[Te];var Me=Y.renderer[Ue].apply(pe,de);return Me===!1&&(Me=le.apply(pe,de)),Me}};for(var Re in Y.renderer)Pe(Re);Q.renderer=pe}(),Y.tokenizer&&function(){var pe=oe.defaults.tokenizer||new U,Pe=function(Ue){var le=pe[Ue];pe[Ue]=function(){for(var ge=arguments.length,de=new Array(ge),Te=0;Te<ge;Te++)de[Te]=arguments[Te];var Me=Y.tokenizer[Ue].apply(pe,de);return Me===!1&&(Me=le.apply(pe,de)),Me}};for(var Re in Y.tokenizer)Pe(Re);Q.tokenizer=pe}(),Y.walkTokens){var ue=oe.defaults.walkTokens;Q.walkTokens=function(pe){Y.walkTokens.call(this,pe),ue&&ue.call(this,pe)}}G&&(Q.extensions=z),oe.setOptions(Q)})},oe.walkTokens=function(ae,fe){for(var ve=function(){var Y=z.value;switch(fe.call(oe,Y),Y.type){case"table":{for(var ue=C(Y.header),pe;!(pe=ue()).done;){var Pe=pe.value;oe.walkTokens(Pe.tokens,fe)}for(var Re=C(Y.rows),Fe;!(Fe=Re()).done;)for(var Ue=Fe.value,le=C(Ue),ge;!(ge=le()).done;){var de=ge.value;oe.walkTokens(de.tokens,fe)}break}case"list":{oe.walkTokens(Y.items,fe);break}default:oe.defaults.extensions&&oe.defaults.extensions.childTokens&&oe.defaults.extensions.childTokens[Y.type]?oe.defaults.extensions.childTokens[Y.type].forEach(function(Te){oe.walkTokens(Y[Te],fe)}):Y.tokens&&oe.walkTokens(Y.tokens,fe)}},Q=C(ae),z;!(z=Q()).done;)ve()},oe.parseInline=function(ae,fe){if(typeof ae=="undefined"||ae===null)throw new Error("marked.parseInline(): input parameter is undefined or null");if(typeof ae!="string")throw new Error("marked.parseInline(): input parameter is of type "+Object.prototype.toString.call(ae)+", string expected");fe=a({},oe.defaults,fe||{}),F(fe);try{var ve=se.lexInline(ae,fe);return fe.walkTokens&&oe.walkTokens(ve,fe.walkTokens),re.parseInline(ve,fe)}catch(Q){if(Q.message+=`
Please report this to https://github.com/markedjs/marked.`,fe.silent)return"<p>An error occurred:</p><pre>"+c(Q.message+"",!0)+"</pre>";throw Q}},oe.Parser=re,oe.parser=re.parse,oe.Renderer=V,oe.TextRenderer=K,oe.Lexer=se,oe.lexer=se.lex,oe.Tokenizer=U,oe.Slugger=te,oe.parse=oe;var me=oe.options,X=oe.setOptions,$=oe.use,H=oe.walkTokens,j=oe.parseInline,ee=oe,he=re.parse,Ie=se.lex;J.Lexer=se,J.Parser=re,J.Renderer=V,J.Slugger=te,J.TextRenderer=K,J.Tokenizer=U,J.getDefaults=P,J.lexer=Ie,J.marked=oe,J.options=me,J.parse=ee,J.parseInline=j,J.parser=he,J.setOptions=X,J.use=$,J.walkTokens=H,Object.defineProperty(J,"__esModule",{value:!0})}),function(){function J(p){const C=[];typeof p=="number"&&C.push("code/timeOrigin",p);function P(v){C.push(v,Date.now())}function D(){const v=[];for(let I=0;I<C.length;I+=2)v.push({name:C[I],startTime:C[I+1]});return v}return{mark:P,getMarks:D}}function e(){if(typeof performance=="object"&&typeof performance.mark=="function"&&!performance.nodeTiming)return typeof performance.timeOrigin!="number"&&!performance.timing?J():{mark(p){performance.mark(p)},getMarks(){let p=performance.timeOrigin;typeof p!="number"&&(p=performance.timing.navigationStart||performance.timing.redirectStart||performance.timing.fetchStart);const C=[{name:"code/timeOrigin",startTime:Math.round(p)}];for(const P of performance.getEntriesByType("mark"))C.push({name:P.name,startTime:Math.round(p+P.startTime)});return C}};if(typeof process=="object"){const p=Math.round((require.nodeRequire||require)("perf_hooks").performance.timeOrigin);return J(p)}else return console.trace("perf-util loaded in UNKNOWN environment"),J()}function k(p){return p.MonacoPerformanceMarks||(p.MonacoPerformanceMarks=e()),p.MonacoPerformanceMarks}var t;typeof global=="object"?t=global:typeof self=="object"?t=self:t={},typeof define=="function"?define("vs/base/common/performance",[],function(){return k(t)}):typeof module=="object"&&typeof module.exports=="object"?module.exports=k(t):(console.trace("perf-util defined in UNKNOWN context (neither requirejs or commonjs)"),t.perf=k(t))}(),define(we[3],ye([0,1]),function(J,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isAndroid=e.isEdge=e.isSafari=e.isFirefox=e.isChrome=e.isLittleEndian=e.OS=e.OperatingSystem=e.setTimeout0=e.translationsConfigFile=e.locale=e.Language=e.language=e.userAgent=e.platform=e.isCI=e.isIOS=e.isWebWorker=e.isWeb=e.isElectron=e.isNative=e.isLinuxSnap=e.isLinux=e.isMacintosh=e.isWindows=e.PlatformToString=e.Platform=e.isElectronSandboxed=e.globals=void 0;const k="en";let t=!1,p=!1,C=!1,P=!1,D=!1,v=!1,I=!1,L=!1,R=!1,g,b=k,c,h;e.globals=typeof self=="object"?self:typeof global=="object"?global:{};let d;typeof e.globals.vscode!="undefined"&&typeof e.globals.vscode.process!="undefined"?d=e.globals.vscode.process:typeof process!="undefined"&&(d=process);const E=typeof d?.versions?.electron=="string",w=E&&d?.type==="renderer";if(e.isElectronSandboxed=w&&d?.sandboxed,typeof navigator=="object"&&!w){h=navigator.userAgent,t=h.indexOf("Windows")>=0,p=h.indexOf("Macintosh")>=0,L=(h.indexOf("Macintosh")>=0||h.indexOf("iPad")>=0||h.indexOf("iPhone")>=0)&&!!navigator.maxTouchPoints&&navigator.maxTouchPoints>0,C=h.indexOf("Linux")>=0,v=!0,g=navigator.language,b=g;const r=typeof document!="undefined"&&document.getElementById("vscode-remote-nls-configuration"),a=r&&r.getAttribute("data-settings");if(a)try{const m=JSON.parse(a);g=m.locale,c=m._translationsConfigFile,b=m.availableLanguages["*"]||k}catch{}}else if(typeof d=="object"){t=d.platform==="win32",p=d.platform==="darwin",C=d.platform==="linux",P=C&&!!d.env.SNAP&&!!d.env.SNAP_REVISION,I=E,R=!!d.env.CI||!!d.env.BUILD_ARTIFACTSTAGINGDIRECTORY,g=k,b=k;const r=d.env.VSCODE_NLS_CONFIG;if(r)try{const a=JSON.parse(r),m=a.availableLanguages["*"];g=a.locale,b=m||k,c=a._translationsConfigFile}catch{}D=!0}else console.error("Unable to resolve platform.");var f;(function(r){r[r.Web=0]="Web",r[r.Mac=1]="Mac",r[r.Linux=2]="Linux",r[r.Windows=3]="Windows"})(f=e.Platform||(e.Platform={}));function y(r){switch(r){case 0:return"Web";case 1:return"Mac";case 2:return"Linux";case 3:return"Windows"}}e.PlatformToString=y;let u=0;p?u=1:t?u=3:C&&(u=2),e.isWindows=t,e.isMacintosh=p,e.isLinux=C,e.isLinuxSnap=P,e.isNative=D,e.isElectron=I,e.isWeb=v,e.isWebWorker=v&&typeof e.globals.importScripts=="function",e.isIOS=L,e.isCI=R,e.platform=u,e.userAgent=h,e.language=b;var o;(function(r){function a(){return e.language}r.value=a;function m(){return e.language.length===2?e.language==="en":e.language.length>=3?e.language[0]==="e"&&e.language[1]==="n"&&e.language[2]==="-":!1}r.isDefaultVariant=m;function S(){return e.language==="en"}r.isDefault=S})(o=e.Language||(e.Language={})),e.locale=g,e.translationsConfigFile=c,e.setTimeout0=(()=>{if(typeof e.globals.postMessage=="function"&&!e.globals.importScripts){let r=[];e.globals.addEventListener("message",m=>{if(m.data&&m.data.vscodeScheduleAsyncWork)for(let S=0,_=r.length;S<_;S++){const F=r[S];if(F.id===m.data.vscodeScheduleAsyncWork){r.splice(S,1),F.callback();return}}});let a=0;return m=>{const S=++a;r.push({id:S,callback:m}),e.globals.postMessage({vscodeScheduleAsyncWork:S},"*")}}return r=>setTimeout(r)})();var l;(function(r){r[r.Windows=1]="Windows",r[r.Macintosh=2]="Macintosh",r[r.Linux=3]="Linux"})(l=e.OperatingSystem||(e.OperatingSystem={})),e.OS=p||L?2:t?1:3;let s=!0,n=!1;function i(){if(!n){n=!0;const r=new Uint8Array(2);r[0]=1,r[1]=2,s=new Uint16Array(r.buffer)[0]===(2<<8)+1}return s}e.isLittleEndian=i,e.isChrome=!!(e.userAgent&&e.userAgent.indexOf("Chrome")>=0),e.isFirefox=!!(e.userAgent&&e.userAgent.indexOf("Firefox")>=0),e.isSafari=!!(!e.isChrome&&e.userAgent&&e.userAgent.indexOf("Safari")>=0),e.isEdge=!!(e.userAgent&&e.userAgent.indexOf("Edg/")>=0),e.isAndroid=!!(e.userAgent&&e.userAgent.indexOf("Android")>=0)}),define(we[24],ye([0,1,3]),function(J,e,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.arch=e.platform=e.env=e.cwd=void 0;let t;if(typeof k.globals.vscode!="undefined"&&typeof k.globals.vscode.process!="undefined"){const p=k.globals.vscode.process;t={get platform(){return p.platform},get arch(){return p.arch},get env(){return p.env},cwd(){return p.cwd()}}}else typeof process!="undefined"?t={get platform(){return process.platform},get arch(){return process.arch},get env(){return process.env},cwd(){return process.env.VSCODE_CWD||process.cwd()}}:t={get platform(){return k.isWindows?"win32":k.isMacintosh?"darwin":"linux"},get arch(){},get env(){return{}},cwd(){return"/"}};e.cwd=t.cwd,e.env=t.env,e.platform=t.platform,e.arch=t.arch}),define(we[5],ye([0,1,24]),function(J,e,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.delimiter=e.sep=e.toNamespacedPath=e.parse=e.format=e.extname=e.basename=e.dirname=e.relative=e.resolve=e.join=e.isAbsolute=e.normalize=e.posix=e.win32=void 0;const t=65,p=97,C=90,P=122,D=46,v=47,I=92,L=58,R=63;class g extends Error{constructor(y,u,o){let l;typeof u=="string"&&u.indexOf("not ")===0?(l="must not be",u=u.replace(/^not /,"")):l="must be";const s=y.indexOf(".")!==-1?"property":"argument";let n=`The "${y}" ${s} ${l} of type ${u}`;n+=`. Received type ${typeof o}`;super(n);this.code="ERR_INVALID_ARG_TYPE"}}function b(f,y){if(typeof f!="string")throw new g(y,"string",f)}function c(f){return f===v||f===I}function h(f){return f===v}function d(f){return f>=t&&f<=C||f>=p&&f<=P}function E(f,y,u,o){let l="",s=0,n=-1,i=0,r=0;for(let a=0;a<=f.length;++a){if(a<f.length)r=f.charCodeAt(a);else{if(o(r))break;r=v}if(o(r)){if(!(n===a-1||i===1))if(i===2){if(l.length<2||s!==2||l.charCodeAt(l.length-1)!==D||l.charCodeAt(l.length-2)!==D){if(l.length>2){const m=l.lastIndexOf(u);m===-1?(l="",s=0):(l=l.slice(0,m),s=l.length-1-l.lastIndexOf(u)),n=a,i=0;continue}else if(l.length!==0){l="",s=0,n=a,i=0;continue}}y&&(l+=l.length>0?`${u}..`:"..",s=2)}else l.length>0?l+=`${u}${f.slice(n+1,a)}`:l=f.slice(n+1,a),s=a-n-1;n=a,i=0}else r===D&&i!==-1?++i:i=-1}return l}function w(f,y){if(y===null||typeof y!="object")throw new g("pathObject","Object",y);const u=y.dir||y.root,o=y.base||`${y.name||""}${y.ext||""}`;return u?u===y.root?`${u}${o}`:`${u}${f}${o}`:o}e.win32={resolve(...f){let y="",u="",o=!1;for(let l=f.length-1;l>=-1;l--){let s;if(l>=0){if(s=f[l],b(s,"path"),s.length===0)continue}else y.length===0?s=k.cwd():(s=k.env[`=${y}`]||k.cwd(),(s===void 0||s.slice(0,2).toLowerCase()!==y.toLowerCase()&&s.charCodeAt(2)===I)&&(s=`${y}\\`));const n=s.length;let i=0,r="",a=!1;const m=s.charCodeAt(0);if(n===1)c(m)&&(i=1,a=!0);else if(c(m))if(a=!0,c(s.charCodeAt(1))){let S=2,_=S;for(;S<n&&!c(s.charCodeAt(S));)S++;if(S<n&&S!==_){const F=s.slice(_,S);for(_=S;S<n&&c(s.charCodeAt(S));)S++;if(S<n&&S!==_){for(_=S;S<n&&!c(s.charCodeAt(S));)S++;(S===n||S!==_)&&(r=`\\\\${F}\\${s.slice(_,S)}`,i=S)}}}else i=1;else d(m)&&s.charCodeAt(1)===L&&(r=s.slice(0,2),i=2,n>2&&c(s.charCodeAt(2))&&(a=!0,i=3));if(r.length>0)if(y.length>0){if(r.toLowerCase()!==y.toLowerCase())continue}else y=r;if(o){if(y.length>0)break}else if(u=`${s.slice(i)}\\${u}`,o=a,a&&y.length>0)break}return u=E(u,!o,"\\",c),o?`${y}\\${u}`:`${y}${u}`||"."},normalize(f){b(f,"path");const y=f.length;if(y===0)return".";let u=0,o,l=!1;const s=f.charCodeAt(0);if(y===1)return h(s)?"\\":f;if(c(s))if(l=!0,c(f.charCodeAt(1))){let i=2,r=i;for(;i<y&&!c(f.charCodeAt(i));)i++;if(i<y&&i!==r){const a=f.slice(r,i);for(r=i;i<y&&c(f.charCodeAt(i));)i++;if(i<y&&i!==r){for(r=i;i<y&&!c(f.charCodeAt(i));)i++;if(i===y)return`\\\\${a}\\${f.slice(r)}\\`;i!==r&&(o=`\\\\${a}\\${f.slice(r,i)}`,u=i)}}}else u=1;else d(s)&&f.charCodeAt(1)===L&&(o=f.slice(0,2),u=2,y>2&&c(f.charCodeAt(2))&&(l=!0,u=3));let n=u<y?E(f.slice(u),!l,"\\",c):"";return n.length===0&&!l&&(n="."),n.length>0&&c(f.charCodeAt(y-1))&&(n+="\\"),o===void 0?l?`\\${n}`:n:l?`${o}\\${n}`:`${o}${n}`},isAbsolute(f){b(f,"path");const y=f.length;if(y===0)return!1;const u=f.charCodeAt(0);return c(u)||y>2&&d(u)&&f.charCodeAt(1)===L&&c(f.charCodeAt(2))},join(...f){if(f.length===0)return".";let y,u;for(let s=0;s<f.length;++s){const n=f[s];b(n,"path"),n.length>0&&(y===void 0?y=u=n:y+=`\\${n}`)}if(y===void 0)return".";let o=!0,l=0;if(typeof u=="string"&&c(u.charCodeAt(0))){++l;const s=u.length;s>1&&c(u.charCodeAt(1))&&(++l,s>2&&(c(u.charCodeAt(2))?++l:o=!1))}if(o){for(;l<y.length&&c(y.charCodeAt(l));)l++;l>=2&&(y=`\\${y.slice(l)}`)}return e.win32.normalize(y)},relative(f,y){if(b(f,"from"),b(y,"to"),f===y)return"";const u=e.win32.resolve(f),o=e.win32.resolve(y);if(u===o||(f=u.toLowerCase(),y=o.toLowerCase(),f===y))return"";let l=0;for(;l<f.length&&f.charCodeAt(l)===I;)l++;let s=f.length;for(;s-1>l&&f.charCodeAt(s-1)===I;)s--;const n=s-l;let i=0;for(;i<y.length&&y.charCodeAt(i)===I;)i++;let r=y.length;for(;r-1>i&&y.charCodeAt(r-1)===I;)r--;const a=r-i,m=n<a?n:a;let S=-1,_=0;for(;_<m;_++){const B=f.charCodeAt(l+_);if(B!==y.charCodeAt(i+_))break;B===I&&(S=_)}if(_!==m){if(S===-1)return o}else{if(a>m){if(y.charCodeAt(i+_)===I)return o.slice(i+_+1);if(_===2)return o.slice(i+_)}n>m&&(f.charCodeAt(l+_)===I?S=_:_===2&&(S=3)),S===-1&&(S=0)}let F="";for(_=l+S+1;_<=s;++_)(_===s||f.charCodeAt(_)===I)&&(F+=F.length===0?"..":"\\..");return i+=S,F.length>0?`${F}${o.slice(i,r)}`:(o.charCodeAt(i)===I&&++i,o.slice(i,r))},toNamespacedPath(f){if(typeof f!="string")return f;if(f.length===0)return"";const y=e.win32.resolve(f);if(y.length<=2)return f;if(y.charCodeAt(0)===I){if(y.charCodeAt(1)===I){const u=y.charCodeAt(2);if(u!==R&&u!==D)return`\\\\?\\UNC\\${y.slice(2)}`}}else if(d(y.charCodeAt(0))&&y.charCodeAt(1)===L&&y.charCodeAt(2)===I)return`\\\\?\\${y}`;return f},dirname(f){b(f,"path");const y=f.length;if(y===0)return".";let u=-1,o=0;const l=f.charCodeAt(0);if(y===1)return c(l)?f:".";if(c(l)){if(u=o=1,c(f.charCodeAt(1))){let i=2,r=i;for(;i<y&&!c(f.charCodeAt(i));)i++;if(i<y&&i!==r){for(r=i;i<y&&c(f.charCodeAt(i));)i++;if(i<y&&i!==r){for(r=i;i<y&&!c(f.charCodeAt(i));)i++;if(i===y)return f;i!==r&&(u=o=i+1)}}}}else d(l)&&f.charCodeAt(1)===L&&(u=y>2&&c(f.charCodeAt(2))?3:2,o=u);let s=-1,n=!0;for(let i=y-1;i>=o;--i)if(c(f.charCodeAt(i))){if(!n){s=i;break}}else n=!1;if(s===-1){if(u===-1)return".";s=u}return f.slice(0,s)},basename(f,y){y!==void 0&&b(y,"ext"),b(f,"path");let u=0,o=-1,l=!0,s;if(f.length>=2&&d(f.charCodeAt(0))&&f.charCodeAt(1)===L&&(u=2),y!==void 0&&y.length>0&&y.length<=f.length){if(y===f)return"";let n=y.length-1,i=-1;for(s=f.length-1;s>=u;--s){const r=f.charCodeAt(s);if(c(r)){if(!l){u=s+1;break}}else i===-1&&(l=!1,i=s+1),n>=0&&(r===y.charCodeAt(n)?--n==-1&&(o=s):(n=-1,o=i))}return u===o?o=i:o===-1&&(o=f.length),f.slice(u,o)}for(s=f.length-1;s>=u;--s)if(c(f.charCodeAt(s))){if(!l){u=s+1;break}}else o===-1&&(l=!1,o=s+1);return o===-1?"":f.slice(u,o)},extname(f){b(f,"path");let y=0,u=-1,o=0,l=-1,s=!0,n=0;f.length>=2&&f.charCodeAt(1)===L&&d(f.charCodeAt(0))&&(y=o=2);for(let i=f.length-1;i>=y;--i){const r=f.charCodeAt(i);if(c(r)){if(!s){o=i+1;break}continue}l===-1&&(s=!1,l=i+1),r===D?u===-1?u=i:n!==1&&(n=1):u!==-1&&(n=-1)}return u===-1||l===-1||n===0||n===1&&u===l-1&&u===o+1?"":f.slice(u,l)},format:w.bind(null,"\\"),parse(f){b(f,"path");const y={root:"",dir:"",base:"",ext:"",name:""};if(f.length===0)return y;const u=f.length;let o=0,l=f.charCodeAt(0);if(u===1)return c(l)?(y.root=y.dir=f,y):(y.base=y.name=f,y);if(c(l)){if(o=1,c(f.charCodeAt(1))){let S=2,_=S;for(;S<u&&!c(f.charCodeAt(S));)S++;if(S<u&&S!==_){for(_=S;S<u&&c(f.charCodeAt(S));)S++;if(S<u&&S!==_){for(_=S;S<u&&!c(f.charCodeAt(S));)S++;S===u?o=S:S!==_&&(o=S+1)}}}}else if(d(l)&&f.charCodeAt(1)===L){if(u<=2)return y.root=y.dir=f,y;if(o=2,c(f.charCodeAt(2))){if(u===3)return y.root=y.dir=f,y;o=3}}o>0&&(y.root=f.slice(0,o));let s=-1,n=o,i=-1,r=!0,a=f.length-1,m=0;for(;a>=o;--a){if(l=f.charCodeAt(a),c(l)){if(!r){n=a+1;break}continue}i===-1&&(r=!1,i=a+1),l===D?s===-1?s=a:m!==1&&(m=1):s!==-1&&(m=-1)}return i!==-1&&(s===-1||m===0||m===1&&s===i-1&&s===n+1?y.base=y.name=f.slice(n,i):(y.name=f.slice(n,s),y.base=f.slice(n,i),y.ext=f.slice(s,i))),n>0&&n!==o?y.dir=f.slice(0,n-1):y.dir=y.root,y},sep:"\\",delimiter:";",win32:null,posix:null},e.posix={resolve(...f){let y="",u=!1;for(let o=f.length-1;o>=-1&&!u;o--){const l=o>=0?f[o]:k.cwd();b(l,"path"),l.length!==0&&(y=`${l}/${y}`,u=l.charCodeAt(0)===v)}return y=E(y,!u,"/",h),u?`/${y}`:y.length>0?y:"."},normalize(f){if(b(f,"path"),f.length===0)return".";const y=f.charCodeAt(0)===v,u=f.charCodeAt(f.length-1)===v;return f=E(f,!y,"/",h),f.length===0?y?"/":u?"./":".":(u&&(f+="/"),y?`/${f}`:f)},isAbsolute(f){return b(f,"path"),f.length>0&&f.charCodeAt(0)===v},join(...f){if(f.length===0)return".";let y;for(let u=0;u<f.length;++u){const o=f[u];b(o,"path"),o.length>0&&(y===void 0?y=o:y+=`/${o}`)}return y===void 0?".":e.posix.normalize(y)},relative(f,y){if(b(f,"from"),b(y,"to"),f===y||(f=e.posix.resolve(f),y=e.posix.resolve(y),f===y))return"";const u=1,o=f.length,l=o-u,s=1,n=y.length-s,i=l<n?l:n;let r=-1,a=0;for(;a<i;a++){const S=f.charCodeAt(u+a);if(S!==y.charCodeAt(s+a))break;S===v&&(r=a)}if(a===i)if(n>i){if(y.charCodeAt(s+a)===v)return y.slice(s+a+1);if(a===0)return y.slice(s+a)}else l>i&&(f.charCodeAt(u+a)===v?r=a:a===0&&(r=0));let m="";for(a=u+r+1;a<=o;++a)(a===o||f.charCodeAt(a)===v)&&(m+=m.length===0?"..":"/..");return`${m}${y.slice(s+r)}`},toNamespacedPath(f){return f},dirname(f){if(b(f,"path"),f.length===0)return".";const y=f.charCodeAt(0)===v;let u=-1,o=!0;for(let l=f.length-1;l>=1;--l)if(f.charCodeAt(l)===v){if(!o){u=l;break}}else o=!1;return u===-1?y?"/":".":y&&u===1?"//":f.slice(0,u)},basename(f,y){y!==void 0&&b(y,"ext"),b(f,"path");let u=0,o=-1,l=!0,s;if(y!==void 0&&y.length>0&&y.length<=f.length){if(y===f)return"";let n=y.length-1,i=-1;for(s=f.length-1;s>=0;--s){const r=f.charCodeAt(s);if(r===v){if(!l){u=s+1;break}}else i===-1&&(l=!1,i=s+1),n>=0&&(r===y.charCodeAt(n)?--n==-1&&(o=s):(n=-1,o=i))}return u===o?o=i:o===-1&&(o=f.length),f.slice(u,o)}for(s=f.length-1;s>=0;--s)if(f.charCodeAt(s)===v){if(!l){u=s+1;break}}else o===-1&&(l=!1,o=s+1);return o===-1?"":f.slice(u,o)},extname(f){b(f,"path");let y=-1,u=0,o=-1,l=!0,s=0;for(let n=f.length-1;n>=0;--n){const i=f.charCodeAt(n);if(i===v){if(!l){u=n+1;break}continue}o===-1&&(l=!1,o=n+1),i===D?y===-1?y=n:s!==1&&(s=1):y!==-1&&(s=-1)}return y===-1||o===-1||s===0||s===1&&y===o-1&&y===u+1?"":f.slice(y,o)},format:w.bind(null,"/"),parse(f){b(f,"path");const y={root:"",dir:"",base:"",ext:"",name:""};if(f.length===0)return y;const u=f.charCodeAt(0)===v;let o;u?(y.root="/",o=1):o=0;let l=-1,s=0,n=-1,i=!0,r=f.length-1,a=0;for(;r>=o;--r){const m=f.charCodeAt(r);if(m===v){if(!i){s=r+1;break}continue}n===-1&&(i=!1,n=r+1),m===D?l===-1?l=r:a!==1&&(a=1):l!==-1&&(a=-1)}if(n!==-1){const m=s===0&&u?1:s;l===-1||a===0||a===1&&l===n-1&&l===s+1?y.base=y.name=f.slice(m,n):(y.name=f.slice(m,l),y.base=f.slice(m,n),y.ext=f.slice(l,n))}return s>0?y.dir=f.slice(0,s-1):u&&(y.dir="/"),y},sep:"/",delimiter:":",win32:null,posix:null},e.posix.win32=e.win32.win32=e.win32,e.posix.posix=e.win32.posix=e.posix,e.normalize=k.platform==="win32"?e.win32.normalize:e.posix.normalize,e.isAbsolute=k.platform==="win32"?e.win32.isAbsolute:e.posix.isAbsolute,e.join=k.platform==="win32"?e.win32.join:e.posix.join,e.resolve=k.platform==="win32"?e.win32.resolve:e.posix.resolve,e.relative=k.platform==="win32"?e.win32.relative:e.posix.relative,e.dirname=k.platform==="win32"?e.win32.dirname:e.posix.dirname,e.basename=k.platform==="win32"?e.win32.basename:e.posix.basename,e.extname=k.platform==="win32"?e.win32.extname:e.posix.extname,e.format=k.platform==="win32"?e.win32.format:e.posix.format,e.parse=k.platform==="win32"?e.win32.parse:e.posix.parse,e.toNamespacedPath=k.platform==="win32"?e.win32.toNamespacedPath:e.posix.toNamespacedPath,e.sep=k.platform==="win32"?e.win32.sep:e.posix.sep,e.delimiter=k.platform==="win32"?e.win32.delimiter:e.posix.delimiter}),define(we[60],ye([0,1,5]),function(J,e,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.normalizeMimeType=e.getExtensionForMimeType=e.getMediaMime=e.getMediaOrTextMime=e.Mimes=void 0;var t;(function(R){R.text="text/plain",R.binary="application/octet-stream",R.unknown="application/unknown",R.markdown="text/markdown",R.latex="text/latex",R.uriList="text/uri-list"})(t=e.Mimes||(e.Mimes={}));const p={".css":"text/css",".csv":"text/csv",".htm":"text/html",".html":"text/html",".ics":"text/calendar",".js":"text/javascript",".mjs":"text/javascript",".txt":"text/plain",".xml":"text/xml"},C={".aac":"audio/x-aac",".avi":"video/x-msvideo",".bmp":"image/bmp",".flv":"video/x-flv",".gif":"image/gif",".ico":"image/x-icon",".jpe":"image/jpg",".jpeg":"image/jpg",".jpg":"image/jpg",".m1v":"video/mpeg",".m2a":"audio/mpeg",".m2v":"video/mpeg",".m3a":"audio/mpeg",".mid":"audio/midi",".midi":"audio/midi",".mk3d":"video/x-matroska",".mks":"video/x-matroska",".mkv":"video/x-matroska",".mov":"video/quicktime",".movie":"video/x-sgi-movie",".mp2":"audio/mpeg",".mp2a":"audio/mpeg",".mp3":"audio/mpeg",".mp4":"video/mp4",".mp4a":"audio/mp4",".mp4v":"video/mp4",".mpe":"video/mpeg",".mpeg":"video/mpeg",".mpg":"video/mpeg",".mpg4":"video/mp4",".mpga":"audio/mpeg",".oga":"audio/ogg",".ogg":"audio/ogg",".opus":"audio/opus",".ogv":"video/ogg",".png":"image/png",".psd":"image/vnd.adobe.photoshop",".qt":"video/quicktime",".spx":"audio/ogg",".svg":"image/svg+xml",".tga":"image/x-tga",".tif":"image/tiff",".tiff":"image/tiff",".wav":"audio/x-wav",".webm":"video/webm",".webp":"image/webp",".wma":"audio/x-ms-wma",".wmv":"video/x-ms-wmv",".woff":"application/font-woff"};function P(R){const g=(0,k.extname)(R),b=p[g.toLowerCase()];return b!==void 0?b:D(R)}e.getMediaOrTextMime=P;function D(R){const g=(0,k.extname)(R);return C[g.toLowerCase()]}e.getMediaMime=D;function v(R){for(const g in C)if(C[g]===R)return g}e.getExtensionForMimeType=v;const I=/^(.+)\/(.+?)(;.+)?$/;function L(R,g){const b=I.exec(R);return b?`${b[1].toLowerCase()}/${b[2].toLowerCase()}${b[3]??""}`:g?void 0:R}e.normalizeMimeType=L}),define(we[74],ye([0,1]),function(J,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.sanitizeProcessEnvironment=e.TerminateResponseCode=e.Source=void 0;var k;(function(C){C[C.stdout=0]="stdout",C[C.stderr=1]="stderr"})(k=e.Source||(e.Source={}));var t;(function(C){C[C.Success=0]="Success",C[C.Unknown=1]="Unknown",C[C.AccessDenied=2]="AccessDenied",C[C.ProcessNotFound=3]="ProcessNotFound"})(t=e.TerminateResponseCode||(e.TerminateResponseCode={}));function p(C,...P){const D=P.reduce((L,R)=>(L[R]=!0,L),{}),v=[/^ELECTRON_.+$/,/^VSCODE_(?!SHELL_LOGIN).+$/,/^SNAP(|_.*)$/,/^GDK_PIXBUF_.+$/,/^CODE_SERVER_.+$/,/^CS_.+$/];Object.keys(C).filter(L=>!D[L]).forEach(L=>{for(let R=0;R<v.length;R++)if(L.search(v[R])!==-1){delete C[L];break}})}e.sanitizeProcessEnvironment=p}),function(J,e){if(typeof exports=="object"&&typeof module=="object")module.exports=e();else if(typeof define=="function"&&define.amd)define("vs/base/common/semver/semver",[],e);else{var k=e();for(var t in k)(typeof exports=="object"?exports:J)[t]=k[t]}}(typeof self!="undefined"?self:this,function(){return function(J){var e={};function k(t){if(e[t])return e[t].exports;var p=e[t]={i:t,l:!1,exports:{}};return J[t].call(p.exports,p,p.exports,k),p.l=!0,p.exports}return k.m=J,k.c=e,k.d=function(t,p,C){k.o(t,p)||Object.defineProperty(t,p,{enumerable:!0,get:C})},k.r=function(t){typeof Symbol!="undefined"&&Symbol.toStringTag&&Object.defineProperty(t,Symbol.toStringTag,{value:"Module"}),Object.defineProperty(t,"__esModule",{value:!0})},k.t=function(t,p){if(1&p&&(t=k(t)),8&p||4&p&&typeof t=="object"&&t&&t.__esModule)return t;var C=Object.create(null);if(k.r(C),Object.defineProperty(C,"default",{enumerable:!0,value:t}),2&p&&typeof t!="string")for(var P in t)k.d(C,P,function(D){return t[D]}.bind(null,P));return C},k.n=function(t){var p=t&&t.__esModule?function(){return t.default}:function(){return t};return k.d(p,"a",p),p},k.o=function(t,p){return Object.prototype.hasOwnProperty.call(t,p)},k.p="",k(k.s=0)}([function(J,e,k){(function(t){var p;e=J.exports=$,p=typeof t=="object"&&t.env&&t.env.NODE_DEBUG&&/\bsemver\b/i.test(t.env.NODE_DEBUG)?function(){var le=Array.prototype.slice.call(arguments,0);le.unshift("SEMVER"),console.log.apply(console,le)}:function(){},e.SEMVER_SPEC_VERSION="2.0.0";var C=256,P=Number.MAX_SAFE_INTEGER||9007199254740991,D=e.re=[],v=e.src=[],I=0,L=I++;v[L]="0|[1-9]\\d*";var R=I++;v[R]="[0-9]+";var g=I++;v[g]="\\d*[a-zA-Z-][a-zA-Z0-9-]*";var b=I++;v[b]="("+v[L]+")\\.("+v[L]+")\\.("+v[L]+")";var c=I++;v[c]="("+v[R]+")\\.("+v[R]+")\\.("+v[R]+")";var h=I++;v[h]="(?:"+v[L]+"|"+v[g]+")";var d=I++;v[d]="(?:"+v[R]+"|"+v[g]+")";var E=I++;v[E]="(?:-("+v[h]+"(?:\\."+v[h]+")*))";var w=I++;v[w]="(?:-?("+v[d]+"(?:\\."+v[d]+")*))";var f=I++;v[f]="[0-9A-Za-z-]+";var y=I++;v[y]="(?:\\+("+v[f]+"(?:\\."+v[f]+")*))";var u=I++,o="v?"+v[b]+v[E]+"?"+v[y]+"?";v[u]="^"+o+"$";var l="[v=\\s]*"+v[c]+v[w]+"?"+v[y]+"?",s=I++;v[s]="^"+l+"$";var n=I++;v[n]="((?:<|>)?=?)";var i=I++;v[i]=v[R]+"|x|X|\\*";var r=I++;v[r]=v[L]+"|x|X|\\*";var a=I++;v[a]="[v=\\s]*("+v[r]+")(?:\\.("+v[r]+")(?:\\.("+v[r]+")(?:"+v[E]+")?"+v[y]+"?)?)?";var m=I++;v[m]="[v=\\s]*("+v[i]+")(?:\\.("+v[i]+")(?:\\.("+v[i]+")(?:"+v[w]+")?"+v[y]+"?)?)?";var S=I++;v[S]="^"+v[n]+"\\s*"+v[a]+"$";var _=I++;v[_]="^"+v[n]+"\\s*"+v[m]+"$";var F=I++;v[F]="(?:^|[^\\d])(\\d{1,16})(?:\\.(\\d{1,16}))?(?:\\.(\\d{1,16}))?(?:$|[^\\d])";var B=I++;v[B]="(?:~>?)";var A=I++;v[A]="(\\s*)"+v[B]+"\\s+",D[A]=new RegExp(v[A],"g");var T=I++;v[T]="^"+v[B]+v[a]+"$";var U=I++;v[U]="^"+v[B]+v[m]+"$";var N=I++;v[N]="(?:\\^)";var W=I++;v[W]="(\\s*)"+v[N]+"\\s+",D[W]=new RegExp(v[W],"g");var ie=I++;v[ie]="^"+v[N]+v[a]+"$";var q=I++;v[q]="^"+v[N]+v[m]+"$";var se=I++;v[se]="^"+v[n]+"\\s*("+l+")$|^$";var V=I++;v[V]="^"+v[n]+"\\s*("+o+")$|^$";var K=I++;v[K]="(\\s*)"+v[n]+"\\s*("+l+"|"+v[a]+")",D[K]=new RegExp(v[K],"g");var te=I++;v[te]="^\\s*("+v[a]+")\\s+-\\s+("+v[a]+")\\s*$";var re=I++;v[re]="^\\s*("+v[m]+")\\s+-\\s+("+v[m]+")\\s*$";var oe=I++;v[oe]="(<|>)?=?\\s*\\*";for(var me=0;me<35;me++)p(me,v[me]),D[me]||(D[me]=new RegExp(v[me]));function X(le,ge){if(le instanceof $)return le;if(typeof le!="string"||le.length>C||!(ge?D[s]:D[u]).test(le))return null;try{return new $(le,ge)}catch{return null}}function $(le,ge){if(le instanceof $){if(le.loose===ge)return le;le=le.version}else if(typeof le!="string")throw new TypeError("Invalid Version: "+le);if(le.length>C)throw new TypeError("version is longer than "+C+" characters");if(!(this instanceof $))return new $(le,ge);p("SemVer",le,ge),this.loose=ge;var de=le.trim().match(ge?D[s]:D[u]);if(!de)throw new TypeError("Invalid Version: "+le);if(this.raw=le,this.major=+de[1],this.minor=+de[2],this.patch=+de[3],this.major>P||this.major<0)throw new TypeError("Invalid major version");if(this.minor>P||this.minor<0)throw new TypeError("Invalid minor version");if(this.patch>P||this.patch<0)throw new TypeError("Invalid patch version");de[4]?this.prerelease=de[4].split(".").map(function(Te){if(/^[0-9]+$/.test(Te)){var Me=+Te;if(Me>=0&&Me<P)return Me}return Te}):this.prerelease=[],this.build=de[5]?de[5].split("."):[],this.format()}e.parse=X,e.valid=function(le,ge){var de=X(le,ge);return de?de.version:null},e.clean=function(le,ge){var de=X(le.trim().replace(/^[=v]+/,""),ge);return de?de.version:null},e.SemVer=$,$.prototype.format=function(){return this.version=this.major+"."+this.minor+"."+this.patch,this.prerelease.length&&(this.version+="-"+this.prerelease.join(".")),this.version},$.prototype.toString=function(){return this.version},$.prototype.compare=function(le){return p("SemVer.compare",this.version,this.loose,le),le instanceof $||(le=new $(le,this.loose)),this.compareMain(le)||this.comparePre(le)},$.prototype.compareMain=function(le){return le instanceof $||(le=new $(le,this.loose)),j(this.major,le.major)||j(this.minor,le.minor)||j(this.patch,le.patch)},$.prototype.comparePre=function(le){if(le instanceof $||(le=new $(le,this.loose)),this.prerelease.length&&!le.prerelease.length)return-1;if(!this.prerelease.length&&le.prerelease.length)return 1;if(!this.prerelease.length&&!le.prerelease.length)return 0;var ge=0;do{var de=this.prerelease[ge],Te=le.prerelease[ge];if(p("prerelease compare",ge,de,Te),de===void 0&&Te===void 0)return 0;if(Te===void 0)return 1;if(de===void 0)return-1;if(de!==Te)return j(de,Te)}while(++ge)},$.prototype.inc=function(le,ge){switch(le){case"premajor":this.prerelease.length=0,this.patch=0,this.minor=0,this.major++,this.inc("pre",ge);break;case"preminor":this.prerelease.length=0,this.patch=0,this.minor++,this.inc("pre",ge);break;case"prepatch":this.prerelease.length=0,this.inc("patch",ge),this.inc("pre",ge);break;case"prerelease":this.prerelease.length===0&&this.inc("patch",ge),this.inc("pre",ge);break;case"major":this.minor===0&&this.patch===0&&this.prerelease.length!==0||this.major++,this.minor=0,this.patch=0,this.prerelease=[];break;case"minor":this.patch===0&&this.prerelease.length!==0||this.minor++,this.patch=0,this.prerelease=[];break;case"patch":this.prerelease.length===0&&this.patch++,this.prerelease=[];break;case"pre":if(this.prerelease.length===0)this.prerelease=[0];else{for(var de=this.prerelease.length;--de>=0;)typeof this.prerelease[de]=="number"&&(this.prerelease[de]++,de=-2);de===-1&&this.prerelease.push(0)}ge&&(this.prerelease[0]===ge?isNaN(this.prerelease[1])&&(this.prerelease=[ge,0]):this.prerelease=[ge,0]);break;default:throw new Error("invalid increment argument: "+le)}return this.format(),this.raw=this.version,this},e.inc=function(le,ge,de,Te){typeof de=="string"&&(Te=de,de=void 0);try{return new $(le,de).inc(ge,Te).version}catch{return null}},e.diff=function(le,ge){if(ae(le,ge))return null;var de=X(le),Te=X(ge);if(de.prerelease.length||Te.prerelease.length){for(var Me in de)if((Me==="major"||Me==="minor"||Me==="patch")&&de[Me]!==Te[Me])return"pre"+Me;return"prerelease"}for(var Me in de)if((Me==="major"||Me==="minor"||Me==="patch")&&de[Me]!==Te[Me])return Me},e.compareIdentifiers=j;var H=/^[0-9]+$/;function j(le,ge){var de=H.test(le),Te=H.test(ge);return de&&Te&&(le=+le,ge=+ge),de&&!Te?-1:Te&&!de?1:le<ge?-1:le>ge?1:0}function ee(le,ge,de){return new $(le,de).compare(new $(ge,de))}function he(le,ge,de){return ee(le,ge,de)>0}function Ie(le,ge,de){return ee(le,ge,de)<0}function ae(le,ge,de){return ee(le,ge,de)===0}function fe(le,ge,de){return ee(le,ge,de)!==0}function ve(le,ge,de){return ee(le,ge,de)>=0}function Q(le,ge,de){return ee(le,ge,de)<=0}function z(le,ge,de,Te){var Me;switch(ge){case"===":typeof le=="object"&&(le=le.version),typeof de=="object"&&(de=de.version),Me=le===de;break;case"!==":typeof le=="object"&&(le=le.version),typeof de=="object"&&(de=de.version),Me=le!==de;break;case"":case"=":case"==":Me=ae(le,de,Te);break;case"!=":Me=fe(le,de,Te);break;case">":Me=he(le,de,Te);break;case">=":Me=ve(le,de,Te);break;case"<":Me=Ie(le,de,Te);break;case"<=":Me=Q(le,de,Te);break;default:throw new TypeError("Invalid operator: "+ge)}return Me}function G(le,ge){if(le instanceof G){if(le.loose===ge)return le;le=le.value}if(!(this instanceof G))return new G(le,ge);p("comparator",le,ge),this.loose=ge,this.parse(le),this.semver===Y?this.value="":this.value=this.operator+this.semver.version,p("comp",this)}e.rcompareIdentifiers=function(le,ge){return j(ge,le)},e.major=function(le,ge){return new $(le,ge).major},e.minor=function(le,ge){return new $(le,ge).minor},e.patch=function(le,ge){return new $(le,ge).patch},e.compare=ee,e.compareLoose=function(le,ge){return ee(le,ge,!0)},e.rcompare=function(le,ge,de){return ee(ge,le,de)},e.sort=function(le,ge){return le.sort(function(de,Te){return e.compare(de,Te,ge)})},e.rsort=function(le,ge){return le.sort(function(de,Te){return e.rcompare(de,Te,ge)})},e.gt=he,e.lt=Ie,e.eq=ae,e.neq=fe,e.gte=ve,e.lte=Q,e.cmp=z,e.Comparator=G;var Y={};function ue(le,ge){if(le instanceof ue)return le.loose===ge?le:new ue(le.raw,ge);if(le instanceof G)return new ue(le.value,ge);if(!(this instanceof ue))return new ue(le,ge);if(this.loose=ge,this.raw=le,this.set=le.split(/\s*\|\|\s*/).map(function(de){return this.parseRange(de.trim())},this).filter(function(de){return de.length}),!this.set.length)throw new TypeError("Invalid SemVer Range: "+le);this.format()}function pe(le){return!le||le.toLowerCase()==="x"||le==="*"}function Pe(le,ge,de,Te,Me,je,Be,He,qe,ne,be,ke,Le){return((ge=pe(de)?"":pe(Te)?">="+de+".0.0":pe(Me)?">="+de+"."+Te+".0":">="+ge)+" "+(He=pe(qe)?"":pe(ne)?"<"+(+qe+1)+".0.0":pe(be)?"<"+qe+"."+(+ne+1)+".0":ke?"<="+qe+"."+ne+"."+be+"-"+ke:"<="+He)).trim()}function Re(le,ge){for(var de=0;de<le.length;de++)if(!le[de].test(ge))return!1;if(ge.prerelease.length){for(de=0;de<le.length;de++)if(p(le[de].semver),le[de].semver!==Y&&le[de].semver.prerelease.length>0){var Te=le[de].semver;if(Te.major===ge.major&&Te.minor===ge.minor&&Te.patch===ge.patch)return!0}return!1}return!0}function Fe(le,ge,de){try{ge=new ue(ge,de)}catch{return!1}return ge.test(le)}function Ue(le,ge,de,Te){var Me,je,Be,He,qe;switch(le=new $(le,Te),ge=new ue(ge,Te),de){case">":Me=he,je=Q,Be=Ie,He=">",qe=">=";break;case"<":Me=Ie,je=ve,Be=he,He="<",qe="<=";break;default:throw new TypeError('Must provide a hilo val of "<" or ">"')}if(Fe(le,ge,Te))return!1;for(var ne=0;ne<ge.set.length;++ne){var be=ge.set[ne],ke=null,Le=null;if(be.forEach(function(Ne){Ne.semver===Y&&(Ne=new G(">=0.0.0")),ke=ke||Ne,Le=Le||Ne,Me(Ne.semver,ke.semver,Te)?ke=Ne:Be(Ne.semver,Le.semver,Te)&&(Le=Ne)}),ke.operator===He||ke.operator===qe||(!Le.operator||Le.operator===He)&&je(le,Le.semver)||Le.operator===qe&&Be(le,Le.semver))return!1}return!0}G.prototype.parse=function(le){var ge=this.loose?D[se]:D[V],de=le.match(ge);if(!de)throw new TypeError("Invalid comparator: "+le);this.operator=de[1],this.operator==="="&&(this.operator=""),de[2]?this.semver=new $(de[2],this.loose):this.semver=Y},G.prototype.toString=function(){return this.value},G.prototype.test=function(le){return p("Comparator.test",le,this.loose),this.semver===Y||(typeof le=="string"&&(le=new $(le,this.loose)),z(le,this.operator,this.semver,this.loose))},G.prototype.intersects=function(le,ge){if(!(le instanceof G))throw new TypeError("a Comparator is required");var de;if(this.operator==="")return de=new ue(le.value,ge),Fe(this.value,de,ge);if(le.operator==="")return de=new ue(this.value,ge),Fe(le.semver,de,ge);var Te=!(this.operator!==">="&&this.operator!==">"||le.operator!==">="&&le.operator!==">"),Me=!(this.operator!=="<="&&this.operator!=="<"||le.operator!=="<="&&le.operator!=="<"),je=this.semver.version===le.semver.version,Be=!(this.operator!==">="&&this.operator!=="<="||le.operator!==">="&&le.operator!=="<="),He=z(this.semver,"<",le.semver,ge)&&(this.operator===">="||this.operator===">")&&(le.operator==="<="||le.operator==="<"),qe=z(this.semver,">",le.semver,ge)&&(this.operator==="<="||this.operator==="<")&&(le.operator===">="||le.operator===">");return Te||Me||je&&Be||He||qe},e.Range=ue,ue.prototype.format=function(){return this.range=this.set.map(function(le){return le.join(" ").trim()}).join("||").trim(),this.range},ue.prototype.toString=function(){return this.range},ue.prototype.parseRange=function(le){var ge=this.loose;le=le.trim(),p("range",le,ge);var de=ge?D[re]:D[te];le=le.replace(de,Pe),p("hyphen replace",le),le=le.replace(D[K],"$1$2$3"),p("comparator trim",le,D[K]),le=(le=(le=le.replace(D[A],"$1~")).replace(D[W],"$1^")).split(/\s+/).join(" ");var Te=ge?D[se]:D[V],Me=le.split(" ").map(function(je){return function(Be,He){return p("comp",Be),Be=function(qe,ne){return qe.trim().split(/\s+/).map(function(be){return function(ke,Le){p("caret",ke,Le);var Ne=Le?D[q]:D[ie];return ke.replace(Ne,function(Ye,$e,Ve,Xe,Ge){var Ze;return p("caret",ke,Ye,$e,Ve,Xe,Ge),pe($e)?Ze="":pe(Ve)?Ze=">="+$e+".0.0 <"+(+$e+1)+".0.0":pe(Xe)?Ze=$e==="0"?">="+$e+"."+Ve+".0 <"+$e+"."+(+Ve+1)+".0":">="+$e+"."+Ve+".0 <"+(+$e+1)+".0.0":Ge?(p("replaceCaret pr",Ge),Ge.charAt(0)!=="-"&&(Ge="-"+Ge),Ze=$e==="0"?Ve==="0"?">="+$e+"."+Ve+"."+Xe+Ge+" <"+$e+"."+Ve+"."+(+Xe+1):">="+$e+"."+Ve+"."+Xe+Ge+" <"+$e+"."+(+Ve+1)+".0":">="+$e+"."+Ve+"."+Xe+Ge+" <"+(+$e+1)+".0.0"):(p("no pr"),Ze=$e==="0"?Ve==="0"?">="+$e+"."+Ve+"."+Xe+" <"+$e+"."+Ve+"."+(+Xe+1):">="+$e+"."+Ve+"."+Xe+" <"+$e+"."+(+Ve+1)+".0":">="+$e+"."+Ve+"."+Xe+" <"+(+$e+1)+".0.0"),p("caret return",Ze),Ze})}(be,ne)}).join(" ")}(Be,He),p("caret",Be),Be=function(qe,ne){return qe.trim().split(/\s+/).map(function(be){return function(ke,Le){var Ne=Le?D[U]:D[T];return ke.replace(Ne,function(Ye,$e,Ve,Xe,Ge){var Ze;return p("tilde",ke,Ye,$e,Ve,Xe,Ge),pe($e)?Ze="":pe(Ve)?Ze=">="+$e+".0.0 <"+(+$e+1)+".0.0":pe(Xe)?Ze=">="+$e+"."+Ve+".0 <"+$e+"."+(+Ve+1)+".0":Ge?(p("replaceTilde pr",Ge),Ge.charAt(0)!=="-"&&(Ge="-"+Ge),Ze=">="+$e+"."+Ve+"."+Xe+Ge+" <"+$e+"."+(+Ve+1)+".0"):Ze=">="+$e+"."+Ve+"."+Xe+" <"+$e+"."+(+Ve+1)+".0",p("tilde return",Ze),Ze})}(be,ne)}).join(" ")}(Be,He),p("tildes",Be),Be=function(qe,ne){return p("replaceXRanges",qe,ne),qe.split(/\s+/).map(function(be){return function(ke,Le){ke=ke.trim();var Ne=Le?D[_]:D[S];return ke.replace(Ne,function(Ye,$e,Ve,Xe,Ge,Ze){p("xRange",ke,Ye,$e,Ve,Xe,Ge,Ze);var et=pe(Ve),rt=et||pe(Xe),nt=rt||pe(Ge);return $e==="="&&nt&&($e=""),et?Ye=$e===">"||$e==="<"?"<0.0.0":"*":$e&&nt?(rt&&(Xe=0),nt&&(Ge=0),$e===">"?($e=">=",rt?(Ve=+Ve+1,Xe=0,Ge=0):nt&&(Xe=+Xe+1,Ge=0)):$e==="<="&&($e="<",rt?Ve=+Ve+1:Xe=+Xe+1),Ye=$e+Ve+"."+Xe+"."+Ge):rt?Ye=">="+Ve+".0.0 <"+(+Ve+1)+".0.0":nt&&(Ye=">="+Ve+"."+Xe+".0 <"+Ve+"."+(+Xe+1)+".0"),p("xRange return",Ye),Ye})}(be,ne)}).join(" ")}(Be,He),p("xrange",Be),Be=function(qe,ne){return p("replaceStars",qe,ne),qe.trim().replace(D[oe],"")}(Be,He),p("stars",Be),Be}(je,ge)}).join(" ").split(/\s+/);return this.loose&&(Me=Me.filter(function(je){return!!je.match(Te)})),Me=Me.map(function(je){return new G(je,ge)})},ue.prototype.intersects=function(le,ge){if(!(le instanceof ue))throw new TypeError("a Range is required");return this.set.some(function(de){return de.every(function(Te){return le.set.some(function(Me){return Me.every(function(je){return Te.intersects(je,ge)})})})})},e.toComparators=function(le,ge){return new ue(le,ge).set.map(function(de){return de.map(function(Te){return Te.value}).join(" ").trim().split(" ")})},ue.prototype.test=function(le){if(!le)return!1;typeof le=="string"&&(le=new $(le,this.loose));for(var ge=0;ge<this.set.length;ge++)if(Re(this.set[ge],le))return!0;return!1},e.satisfies=Fe,e.maxSatisfying=function(le,ge,de){var Te=null,Me=null;try{var je=new ue(ge,de)}catch{return null}return le.forEach(function(Be){je.test(Be)&&(Te&&Me.compare(Be)!==-1||(Me=new $(Te=Be,de)))}),Te},e.minSatisfying=function(le,ge,de){var Te=null,Me=null;try{var je=new ue(ge,de)}catch{return null}return le.forEach(function(Be){je.test(Be)&&(Te&&Me.compare(Be)!==1||(Me=new $(Te=Be,de)))}),Te},e.validRange=function(le,ge){try{return new ue(le,ge).range||"*"}catch{return null}},e.ltr=function(le,ge,de){return Ue(le,ge,"<",de)},e.gtr=function(le,ge,de){return Ue(le,ge,">",de)},e.outside=Ue,e.prerelease=function(le,ge){var de=X(le,ge);return de&&de.prerelease.length?de.prerelease:null},e.intersects=function(le,ge,de){return le=new ue(le,de),ge=new ue(ge,de),le.intersects(ge)},e.coerce=function(le){if(le instanceof $)return le;if(typeof le!="string")return null;var ge=le.match(D[F]);return ge==null?null:X((ge[1]||"0")+"."+(ge[2]||"0")+"."+(ge[3]||"0"))}}).call(this,k(1))},function(J,e){var k,t,p=J.exports={};function C(){throw new Error("setTimeout has not been defined")}function P(){throw new Error("clearTimeout has not been defined")}function D(d){if(k===setTimeout)return setTimeout(d,0);if((k===C||!k)&&setTimeout)return k=setTimeout,setTimeout(d,0);try{return k(d,0)}catch{try{return k.call(null,d,0)}catch{return k.call(this,d,0)}}}(function(){try{k=typeof setTimeout=="function"?setTimeout:C}catch{k=C}try{t=typeof clearTimeout=="function"?clearTimeout:P}catch{t=P}})();var v,I=[],L=!1,R=-1;function g(){L&&v&&(L=!1,v.length?I=v.concat(I):R=-1,I.length&&b())}function b(){if(!L){var d=D(g);L=!0;for(var E=I.length;E;){for(v=I,I=[];++R<E;)v&&v[R].run();R=-1,E=I.length}v=null,L=!1,function(w){if(t===clearTimeout)return clearTimeout(w);if((t===P||!t)&&clearTimeout)return t=clearTimeout,clearTimeout(w);try{t(w)}catch{try{return t.call(null,w)}catch{return t.call(this,w)}}}(d)}}function c(d,E){this.fun=d,this.array=E}function h(){}p.nextTick=function(d){var E=new Array(arguments.length-1);if(arguments.length>1)for(var w=1;w<arguments.length;w++)E[w-1]=arguments[w];I.push(new c(d,E)),I.length!==1||L||D(b)},c.prototype.run=function(){this.fun.apply(null,this.array)},p.title="browser",p.browser=!0,p.env={},p.argv=[],p.version="",p.versions={},p.on=h,p.addListener=h,p.once=h,p.off=h,p.removeListener=h,p.removeAllListeners=h,p.emit=h,p.prependListener=h,p.prependOnceListener=h,p.listeners=function(d){return[]},p.binding=function(d){throw new Error("process.binding is not supported")},p.cwd=function(){return"/"},p.chdir=function(d){throw new Error("process.chdir is not supported")},p.umask=function(){return 0}}])}),define(we[121],ye([0,1]),function(J,e){"use strict";var k;Object.defineProperty(e,"__esModule",{value:!0}),e.SkipList=void 0;class t{constructor(D,v,I){this.level=D,this.key=v,this.value=I,this.forward=[]}}const p=void 0;class C{constructor(D,v=2**16){this.comparator=D,this[k]="SkipList",this._level=0,this._size=0,this._maxLevel=Math.max(1,Math.log2(v)|0),this._header=new t(this._maxLevel,p,p)}get size(){return this._size}clear(){this._header=new t(this._maxLevel,p,p)}has(D){return Boolean(C._search(this,D,this.comparator))}get(D){return C._search(this,D,this.comparator)?.value}set(D,v){return C._insert(this,D,v,this.comparator)&&(this._size+=1),this}delete(D){const v=C._delete(this,D,this.comparator);return v&&(this._size-=1),v}forEach(D,v){let I=this._header.forward[0];for(;I;)D.call(v,I.value,I.key,this),I=I.forward[0]}[(k=Symbol.toStringTag,Symbol.iterator)](){return this.entries()}*entries(){let D=this._header.forward[0];for(;D;)yield[D.key,D.value],D=D.forward[0]}*keys(){let D=this._header.forward[0];for(;D;)yield D.key,D=D.forward[0]}*values(){let D=this._header.forward[0];for(;D;)yield D.value,D=D.forward[0]}toString(){let D="[SkipList]:",v=this._header.forward[0];for(;v;)D+=`node(${v.key}, ${v.value}, lvl:${v.level})`,v=v.forward[0];return D}static _search(D,v,I){let L=D._header;for(let R=D._level-1;R>=0;R--)for(;L.forward[R]&&I(L.forward[R].key,v)<0;)L=L.forward[R];if(L=L.forward[0],L&&I(L.key,v)===0)return L}static _insert(D,v,I,L){let R=[],g=D._header;for(let b=D._level-1;b>=0;b--){for(;g.forward[b]&&L(g.forward[b].key,v)<0;)g=g.forward[b];R[b]=g}if(g=g.forward[0],g&&L(g.key,v)===0)return g.value=I,!1;{let b=C._randomLevel(D);if(b>D._level){for(let c=D._level;c<b;c++)R[c]=D._header;D._level=b}g=new t(b,v,I);for(let c=0;c<b;c++)g.forward[c]=R[c].forward[c],R[c].forward[c]=g;return!0}}static _randomLevel(D,v=.5){let I=1;for(;Math.random()<v&&I<D._maxLevel;)I+=1;return I}static _delete(D,v,I){let L=[],R=D._header;for(let g=D._level-1;g>=0;g--){for(;R.forward[g]&&I(R.forward[g].key,v)<0;)R=R.forward[g];L[g]=R}if(R=R.forward[0],!R||I(R.key,v)!==0)return!1;for(let g=0;g<D._level&&L[g].forward[g]===R;g++)L[g].forward[g]=R.forward[g];for(;D._level>0&&D._header.forward[D._level-1]===p;)D._level-=1;return!0}}e.SkipList=C}),define(we[122],ye([0,1,3]),function(J,e,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.StopWatch=void 0;const t=k.globals.performance&&typeof k.globals.performance.now=="function";class p{constructor(P){this._highResolution=t&&P,this._startTime=this._now(),this._stopTime=-1}static create(P=!0){return new p(P)}stop(){this._stopTime=this._now()}elapsed(){return this._stopTime!==-1?this._stopTime-this._startTime:this._now()-this._startTime}_now(){return this._highResolution?k.globals.performance.now():Date.now()}}e.StopWatch=p}),define(we[7],ye([0,1,11,73,2,119,122]),function(J,e,k,t,p,C,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Relay=e.EventBufferer=e.EventMultiplexer=e.MicrotaskEmitter=e.DebounceEmitter=e.PauseableEmitter=e.AsyncEmitter=e.Emitter=e.setGlobalLeakWarningThreshold=e.Event=void 0;let D=!1,v=!1;var I;(function(s){s.None=()=>p.Disposable.None;function n(re){if(v){const{onListenerDidAdd:oe}=re,me=c.create();let X=0;re.onListenerDidAdd=()=>{++X==2&&(console.warn("snapshotted emitter LIKELY used public and SHOULD HAVE BEEN created with DisposableStore. snapshotted here"),me.print()),oe?.()}}}function i(re){return(oe,me=null,X)=>{let $=!1,H;return H=re(j=>{if(!$)return H?H.dispose():$=!0,oe.call(me,j)},null,X),$&&H.dispose(),H}}s.once=i;function r(re,oe,me){return B((X,$=null,H)=>re(j=>X.call($,oe(j)),null,H),me)}s.map=r;function a(re,oe,me){return B((X,$=null,H)=>re(j=>{oe(j),X.call($,j)},null,H),me)}s.forEach=a;function m(re,oe,me){return B((X,$=null,H)=>re(j=>oe(j)&&X.call($,j),null,H),me)}s.filter=m;function S(re){return re}s.signal=S;function _(...re){return(oe,me=null,X)=>(0,p.combinedDisposable)(...re.map($=>$(H=>oe.call(me,H),null,X)))}s.any=_;function F(re,oe,me,X){let $=me;return r(re,H=>($=oe($,H),$),X)}s.reduce=F;function B(re,oe){let me;const X={onFirstListenerAdd(){me=re($.fire,$)},onLastListenerRemove(){me.dispose()}};oe||n(X);const $=new d(X);return oe&&oe.add($),$.event}function A(re,oe,me=100,X=!1,$,H){let j,ee,he,Ie=0;const ae={leakWarningThreshold:$,onFirstListenerAdd(){j=re(ve=>{Ie++,ee=oe(ee,ve),X&&!he&&(fe.fire(ee),ee=void 0),clearTimeout(he),he=setTimeout(()=>{const Q=ee;ee=void 0,he=void 0,(!X||Ie>1)&&fe.fire(Q),Ie=0},me)})},onLastListenerRemove(){j.dispose()}};H||n(ae);const fe=new d(ae);return H&&H.add(fe),fe.event}s.debounce=A;function T(re,oe=(X,$)=>X===$,me){let X=!0,$;return m(re,H=>{const j=X||!oe(H,$);return X=!1,$=H,j},me)}s.latch=T;function U(re,oe,me){return[s.filter(re,oe,me),s.filter(re,X=>!oe(X),me)]}s.split=U;function N(re,oe=!1,me=[]){let X=me.slice(),$=re(ee=>{X?X.push(ee):j.fire(ee)});const H=()=>{X&&X.forEach(ee=>j.fire(ee)),X=null},j=new d({onFirstListenerAdd(){$||($=re(ee=>j.fire(ee)))},onFirstListenerDidAdd(){X&&(oe?setTimeout(H):H())},onLastListenerRemove(){$&&$.dispose(),$=null}});return j.event}s.buffer=N;class W{constructor(oe){this.event=oe}map(oe){return new W(r(this.event,oe))}forEach(oe){return new W(a(this.event,oe))}filter(oe){return new W(m(this.event,oe))}reduce(oe,me){return new W(F(this.event,oe,me))}latch(){return new W(T(this.event))}debounce(oe,me=100,X=!1,$){return new W(A(this.event,oe,me,X,$))}on(oe,me,X){return this.event(oe,me,X)}once(oe,me,X){return i(this.event)(oe,me,X)}}function ie(re){return new W(re)}s.chain=ie;function q(re,oe,me=X=>X){const X=(...ee)=>j.fire(me(...ee)),$=()=>re.on(oe,X),H=()=>re.removeListener(oe,X),j=new d({onFirstListenerAdd:$,onLastListenerRemove:H});return j.event}s.fromNodeEventEmitter=q;function se(re,oe,me=X=>X){const X=(...ee)=>j.fire(me(...ee)),$=()=>re.addEventListener(oe,X),H=()=>re.removeEventListener(oe,X),j=new d({onFirstListenerAdd:$,onLastListenerRemove:H});return j.event}s.fromDOMEventEmitter=se;function V(re){return new Promise(oe=>i(re)(oe))}s.toPromise=V;function K(re,oe){return oe(void 0),re(me=>oe(me))}s.runAndSubscribe=K;function te(re,oe){let me=null;function X(H){me?.dispose(),me=new p.DisposableStore,oe(H,me)}X(void 0);const $=re(H=>X(H));return(0,p.toDisposable)(()=>{$.dispose(),me?.dispose()})}s.runAndSubscribeWithStore=te})(I=e.Event||(e.Event={}));class L{constructor(n){this._listenerCount=0,this._invocationCount=0,this._elapsedOverall=0,this._name=`${n}_${L._idPool++}`}start(n){this._stopWatch=new P.StopWatch(!0),this._listenerCount=n}stop(){if(this._stopWatch){const n=this._stopWatch.elapsed();this._elapsedOverall+=n,this._invocationCount+=1,console.info(`did FIRE ${this._name}: elapsed_ms: ${n.toFixed(5)}, listener: ${this._listenerCount} (elapsed_overall: ${this._elapsedOverall.toFixed(2)}, invocations: ${this._invocationCount})`),this._stopWatch=void 0}}}L._idPool=0;let R=-1;function g(s){const n=R;return R=s,{dispose(){R=n}}}e.setGlobalLeakWarningThreshold=g;class b{constructor(n,i=Math.random().toString(18).slice(2,5)){this.customThreshold=n,this.name=i,this._warnCountdown=0}dispose(){this._stacks&&this._stacks.clear()}check(n,i){let r=R;if(typeof this.customThreshold=="number"&&(r=this.customThreshold),r<=0||i<r)return;this._stacks||(this._stacks=new Map);const a=this._stacks.get(n.value)||0;if(this._stacks.set(n.value,a+1),this._warnCountdown-=1,this._warnCountdown<=0){this._warnCountdown=r*.5;let m,S=0;for(const[_,F]of this._stacks)(!m||S<F)&&(m=_,S=F);console.warn(`[${this.name}] potential listener LEAK detected, having ${i} listeners already. MOST frequent listener (${S}):`),console.warn(m)}return()=>{const m=this._stacks.get(n.value)||0;this._stacks.set(n.value,m-1)}}}class c{constructor(n){this.value=n}static create(){return new c(new Error().stack??"")}print(){console.warn(this.value.split(`
`).slice(2).join(`
`))}}class h{constructor(n,i,r){this.callback=n,this.callbackThis=i,this.stack=r,this.subscription=new p.SafeDisposable}invoke(n){this.callback.call(this.callbackThis,n)}}class d{constructor(n){this._disposed=!1,this._options=n,this._leakageMon=R>0?new b(this._options&&this._options.leakWarningThreshold):void 0,this._perfMon=this._options?._profName?new L(this._options._profName):void 0}dispose(){if(!this._disposed){if(this._disposed=!0,this._listeners){if(D){const n=Array.from(this._listeners);queueMicrotask(()=>{for(const i of n)i.subscription.isset()&&(i.subscription.unset(),i.stack?.print())})}this._listeners.clear()}this._deliveryQueue?.clear(),this._options?.onLastListenerRemove?.(),this._leakageMon?.dispose()}}get event(){return this._event||(this._event=(n,i,r)=>{this._listeners||(this._listeners=new C.LinkedList);const a=this._listeners.isEmpty();a&&this._options?.onFirstListenerAdd&&this._options.onFirstListenerAdd(this);let m,S;this._leakageMon&&this._listeners.size>=30&&(S=c.create(),m=this._leakageMon.check(S,this._listeners.size+1)),D&&(S=S??c.create());const _=new h(n,i,S),F=this._listeners.push(_);a&&this._options?.onFirstListenerDidAdd&&this._options.onFirstListenerDidAdd(this),this._options?.onListenerDidAdd&&this._options.onListenerDidAdd(this,n,i);const B=_.subscription.set(()=>{m&&m(),this._disposed||(F(),this._options&&this._options.onLastListenerRemove&&(this._listeners&&!this._listeners.isEmpty()||this._options.onLastListenerRemove(this)))});return r instanceof p.DisposableStore?r.add(B):Array.isArray(r)&&r.push(B),B}),this._event}fire(n){if(this._listeners){this._deliveryQueue||(this._deliveryQueue=new C.LinkedList);for(let i of this._listeners)this._deliveryQueue.push([i,n]);for(this._perfMon?.start(this._deliveryQueue.size);this._deliveryQueue.size>0;){const[i,r]=this._deliveryQueue.shift();try{i.invoke(r)}catch(a){(0,k.onUnexpectedError)(a)}}this._perfMon?.stop()}}hasListeners(){return this._listeners?!this._listeners.isEmpty():!1}}e.Emitter=d;class E extends d{async fireAsync(n,i,r){if(!!this._listeners){this._asyncDeliveryQueue||(this._asyncDeliveryQueue=new C.LinkedList);for(const a of this._listeners)this._asyncDeliveryQueue.push([a,n]);for(;this._asyncDeliveryQueue.size>0&&!i.isCancellationRequested;){const[a,m]=this._asyncDeliveryQueue.shift(),S=[],_={...m,token:i,waitUntil:F=>{if(Object.isFrozen(S))throw new Error("waitUntil can NOT be called asynchronous");r&&(F=r(F,a.callback)),S.push(F)}};try{a.invoke(_)}catch(F){(0,k.onUnexpectedError)(F);continue}Object.freeze(S),await Promise.allSettled(S).then(F=>{for(const B of F)B.status==="rejected"&&(0,k.onUnexpectedError)(B.reason)})}}}}e.AsyncEmitter=E;class w extends d{constructor(n){super(n);this._isPaused=0,this._eventQueue=new C.LinkedList,this._mergeFn=n?.merge}pause(){this._isPaused++}resume(){if(this._isPaused!==0&&--this._isPaused==0)if(this._mergeFn){const n=Array.from(this._eventQueue);this._eventQueue.clear(),super.fire(this._mergeFn(n))}else for(;!this._isPaused&&this._eventQueue.size!==0;)super.fire(this._eventQueue.shift())}fire(n){this._listeners&&(this._isPaused!==0?this._eventQueue.push(n):super.fire(n))}}e.PauseableEmitter=w;class f extends w{constructor(n){super(n);this._delay=n.delay??100}fire(n){this._handle||(this.pause(),this._handle=setTimeout(()=>{this._handle=void 0,this.resume()},this._delay)),super.fire(n)}}e.DebounceEmitter=f;class y extends d{constructor(n){super(n);this._queuedEvents=[],this._mergeFn=n?.merge}fire(n){this._queuedEvents.push(n),this._queuedEvents.length===1&&queueMicrotask(()=>{this._mergeFn?super.fire(this._mergeFn(this._queuedEvents)):this._queuedEvents.forEach(i=>super.fire(i)),this._queuedEvents=[]})}}e.MicrotaskEmitter=y;class u{constructor(){this.hasListeners=!1,this.events=[],this.emitter=new d({onFirstListenerAdd:()=>this.onFirstListenerAdd(),onLastListenerRemove:()=>this.onLastListenerRemove()})}get event(){return this.emitter.event}add(n){const i={event:n,listener:null};this.events.push(i),this.hasListeners&&this.hook(i);const r=()=>{this.hasListeners&&this.unhook(i);const a=this.events.indexOf(i);this.events.splice(a,1)};return(0,p.toDisposable)((0,t.once)(r))}onFirstListenerAdd(){this.hasListeners=!0,this.events.forEach(n=>this.hook(n))}onLastListenerRemove(){this.hasListeners=!1,this.events.forEach(n=>this.unhook(n))}hook(n){n.listener=n.event(i=>this.emitter.fire(i))}unhook(n){n.listener&&n.listener.dispose(),n.listener=null}dispose(){this.emitter.dispose()}}e.EventMultiplexer=u;class o{constructor(){this.buffers=[]}wrapEvent(n){return(i,r,a)=>n(m=>{const S=this.buffers[this.buffers.length-1];S?S.push(()=>i.call(r,m)):i.call(r,m)},void 0,a)}bufferEvents(n){const i=[];this.buffers.push(i);const r=n();return this.buffers.pop(),i.forEach(a=>a()),r}}e.EventBufferer=o;class l{constructor(){this.listening=!1,this.inputEvent=I.None,this.inputEventListener=p.Disposable.None,this.emitter=new d({onFirstListenerDidAdd:()=>{this.listening=!0,this.inputEventListener=this.inputEvent(this.emitter.fire,this.emitter)},onLastListenerRemove:()=>{this.listening=!1,this.inputEventListener.dispose()}}),this.event=this.emitter.event}set input(n){this.inputEvent=n,this.listening&&(this.inputEventListener.dispose(),this.inputEventListener=n(this.emitter.fire,this.emitter))}dispose(){this.inputEventListener.dispose(),this.emitter.dispose()}}e.Relay=l}),define(we[20],ye([0,1,7]),function(J,e,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CancellationTokenSource=e.CancellationToken=void 0;const t=Object.freeze(function(D,v){const I=setTimeout(D.bind(v),0);return{dispose(){clearTimeout(I)}}});var p;(function(D){function v(I){return I===D.None||I===D.Cancelled||I instanceof C?!0:!I||typeof I!="object"?!1:typeof I.isCancellationRequested=="boolean"&&typeof I.onCancellationRequested=="function"}D.isCancellationToken=v,D.None=Object.freeze({isCancellationRequested:!1,onCancellationRequested:k.Event.None}),D.Cancelled=Object.freeze({isCancellationRequested:!0,onCancellationRequested:t})})(p=e.CancellationToken||(e.CancellationToken={}));class C{constructor(){this._isCancelled=!1,this._emitter=null}cancel(){this._isCancelled||(this._isCancelled=!0,this._emitter&&(this._emitter.fire(void 0),this.dispose()))}get isCancellationRequested(){return this._isCancelled}get onCancellationRequested(){return this._isCancelled?t:(this._emitter||(this._emitter=new k.Emitter),this._emitter.event)}dispose(){this._emitter&&(this._emitter.dispose(),this._emitter=null)}}class P{constructor(v){this._token=void 0,this._parentListener=void 0,this._parentListener=v&&v.onCancellationRequested(this.cancel,this)}get token(){return this._token||(this._token=new C),this._token}cancel(){this._token?this._token instanceof C&&this._token.cancel():this._token=p.Cancelled}dispose(v=!1){v&&this.cancel(),this._parentListener&&this._parentListener.dispose(),this._token?this._token instanceof C&&this._token.dispose():this._token=p.None}}e.CancellationTokenSource=P}),define(we[123],ye([0,1,20]),function(J,e,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LRUCachedComputed=e.Cache=void 0;class t{constructor(P){this.task=P,this.result=null}get(){if(this.result)return this.result;const P=new k.CancellationTokenSource,D=this.task(P.token);return this.result={promise:D,dispose:()=>{this.result=null,P.cancel(),P.dispose()}},this.result}}e.Cache=t;class p{constructor(P){this.computeFn=P,this.lastCache=void 0,this.lastArgKey=void 0}get(P){const D=JSON.stringify(P);return this.lastArgKey!==D&&(this.lastArgKey=D,this.lastCache=this.computeFn(P)),this.lastCache}}e.LRUCachedComputed=p}),define(we[42],ye([0,1,11,2]),function(J,e,k,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.prefixedStream=e.prefixedReadable=e.transform=e.toReadable=e.emptyStream=e.toStream=e.peekStream=e.listenStream=e.consumeStream=e.peekReadable=e.consumeReadable=e.newWriteableStream=e.isReadableBufferedStream=e.isReadableStream=void 0;function p(f){const y=f;return y?[y.on,y.pause,y.resume,y.destroy].every(u=>typeof u=="function"):!1}e.isReadableStream=p;function C(f){const y=f;return y?p(y.stream)&&Array.isArray(y.buffer)&&typeof y.ended=="boolean":!1}e.isReadableBufferedStream=C;function P(f,y){return new D(f,y)}e.newWriteableStream=P;class D{constructor(y,u){this.reducer=y,this.options=u,this.state={flowing:!1,ended:!1,destroyed:!1},this.buffer={data:[],error:[]},this.listeners={data:[],error:[],end:[]},this.pendingWritePromises=[]}pause(){this.state.destroyed||(this.state.flowing=!1)}resume(){this.state.destroyed||this.state.flowing||(this.state.flowing=!0,this.flowData(),this.flowErrors(),this.flowEnd())}write(y){if(!this.state.destroyed){if(this.state.flowing)this.emitData(y);else if(this.buffer.data.push(y),typeof this.options?.highWaterMark=="number"&&this.buffer.data.length>this.options.highWaterMark)return new Promise(u=>this.pendingWritePromises.push(u))}}error(y){this.state.destroyed||(this.state.flowing?this.emitError(y):this.buffer.error.push(y))}end(y){this.state.destroyed||(typeof y!="undefined"&&this.write(y),this.state.flowing?(this.emitEnd(),this.destroy()):this.state.ended=!0)}emitData(y){this.listeners.data.slice(0).forEach(u=>u(y))}emitError(y){this.listeners.error.length===0?(0,k.onUnexpectedError)(y):this.listeners.error.slice(0).forEach(u=>u(y))}emitEnd(){this.listeners.end.slice(0).forEach(y=>y())}on(y,u){if(!this.state.destroyed)switch(y){case"data":this.listeners.data.push(u),this.resume();break;case"end":this.listeners.end.push(u),this.state.flowing&&this.flowEnd()&&this.destroy();break;case"error":this.listeners.error.push(u),this.state.flowing&&this.flowErrors();break}}removeListener(y,u){if(this.state.destroyed)return;let o;switch(y){case"data":o=this.listeners.data;break;case"end":o=this.listeners.end;break;case"error":o=this.listeners.error;break}if(o){const l=o.indexOf(u);l>=0&&o.splice(l,1)}}flowData(){if(this.buffer.data.length>0){const y=this.reducer(this.buffer.data);this.emitData(y),this.buffer.data.length=0;const u=[...this.pendingWritePromises];this.pendingWritePromises.length=0,u.forEach(o=>o())}}flowErrors(){if(this.listeners.error.length>0){for(const y of this.buffer.error)this.emitError(y);this.buffer.error.length=0}}flowEnd(){return this.state.ended?(this.emitEnd(),this.listeners.end.length>0):!1}destroy(){this.state.destroyed||(this.state.destroyed=!0,this.state.ended=!0,this.buffer.data.length=0,this.buffer.error.length=0,this.listeners.data.length=0,this.listeners.error.length=0,this.listeners.end.length=0,this.pendingWritePromises.length=0)}}function v(f,y){const u=[];let o;for(;(o=f.read())!==null;)u.push(o);return y(u)}e.consumeReadable=v;function I(f,y,u){const o=[];let l;for(;(l=f.read())!==null&&o.length<u;)o.push(l);return l===null&&o.length>0?y(o):{read:()=>{if(o.length>0)return o.shift();if(typeof l!="undefined"){const s=l;return l=void 0,s}return f.read()}}}e.peekReadable=I;function L(f,y){return new Promise((u,o)=>{const l=[];R(f,{onData:s=>{y&&l.push(s)},onError:s=>{y?o(s):u(void 0)},onEnd:()=>{u(y?y(l):void 0)}})})}e.consumeStream=L;function R(f,y){let u=!1;return f.on("error",o=>{u||y.onError(o)}),f.on("end",()=>{u||y.onEnd()}),f.on("data",o=>{u||y.onData(o)}),(0,t.toDisposable)(()=>u=!0)}e.listenStream=R;function g(f,y){return new Promise((u,o)=>{const l=new t.DisposableStore,s=[],n=a=>{if(s.push(a),s.length>y)return l.dispose(),f.pause(),u({stream:f,buffer:s,ended:!1})},i=a=>o(a),r=()=>u({stream:f,buffer:s,ended:!0});l.add((0,t.toDisposable)(()=>f.removeListener("error",i))),f.on("error",i),l.add((0,t.toDisposable)(()=>f.removeListener("end",r))),f.on("end",r),l.add((0,t.toDisposable)(()=>f.removeListener("data",n))),f.on("data",n)})}e.peekStream=g;function b(f,y){const u=P(y);return u.end(f),u}e.toStream=b;function c(){const f=P(()=>{throw new Error("not supported")});return f.end(),f}e.emptyStream=c;function h(f){let y=!1;return{read:()=>y?null:(y=!0,f)}}e.toReadable=h;function d(f,y,u){const o=P(u);return R(f,{onData:l=>o.write(y.data(l)),onError:l=>o.error(y.error?y.error(l):l),onEnd:()=>o.end()}),o}e.transform=d;function E(f,y,u){let o=!1;return{read:()=>{const l=y.read();return o?l:(o=!0,l!==null?u([f,l]):f)}}}e.prefixedReadable=E;function w(f,y,u){let o=!1;const l=P(u);return R(y,{onData:s=>o?l.write(s):(o=!0,l.write(u([f,s]))),onError:s=>l.error(s),onEnd:()=>{o||(o=!0,l.write(f)),l.end()}}),l}e.prefixedStream=w}),define(we[15],ye([0,1,42]),function(J,e,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.encodeBase64=e.decodeBase64=e.prefixedBufferStream=e.prefixedBufferReadable=e.newWriteableBufferStream=e.streamToBufferReadableStream=e.bufferToStream=e.bufferedStreamToBuffer=e.streamToBuffer=e.bufferToReadable=e.readableToBuffer=e.writeUInt8=e.readUInt8=e.writeUInt32LE=e.readUInt32LE=e.writeUInt32BE=e.readUInt32BE=e.writeUInt16LE=e.readUInt16LE=e.VSBuffer=void 0;const t=typeof Buffer!="undefined";let p,C;class P{constructor(m){this.buffer=m,this.byteLength=this.buffer.byteLength}static alloc(m){return t?new P(Buffer.allocUnsafe(m)):new P(new Uint8Array(m))}static wrap(m){return t&&!Buffer.isBuffer(m)&&(m=Buffer.from(m.buffer,m.byteOffset,m.byteLength)),new P(m)}static fromString(m,S){return!(S?.dontUseNodeBuffer||!1)&&t?new P(Buffer.from(m)):(p||(p=new TextEncoder),new P(p.encode(m)))}static fromByteArray(m){const S=P.alloc(m.length);for(let _=0,F=m.length;_<F;_++)S.buffer[_]=m[_];return S}static concat(m,S){if(typeof S=="undefined"){S=0;for(let B=0,A=m.length;B<A;B++)S+=m[B].byteLength}const _=P.alloc(S);let F=0;for(let B=0,A=m.length;B<A;B++){const T=m[B];_.set(T,F),F+=T.byteLength}return _}clone(){const m=P.alloc(this.byteLength);return m.set(this),m}toString(){return t?this.buffer.toString():(C||(C=new TextDecoder),C.decode(this.buffer))}slice(m,S){return new P(this.buffer.subarray(m,S))}set(m,S){if(m instanceof P)this.buffer.set(m.buffer,S);else if(m instanceof Uint8Array)this.buffer.set(m,S);else if(m instanceof ArrayBuffer)this.buffer.set(new Uint8Array(m),S);else if(ArrayBuffer.isView(m))this.buffer.set(new Uint8Array(m.buffer,m.byteOffset,m.byteLength),S);else throw new Error("Unknown argument 'array'")}readUInt32BE(m){return I(this.buffer,m)}writeUInt32BE(m,S){L(this.buffer,m,S)}readUInt32LE(m){return R(this.buffer,m)}writeUInt32LE(m,S){g(this.buffer,m,S)}readUInt8(m){return b(this.buffer,m)}writeUInt8(m,S){c(this.buffer,m,S)}}e.VSBuffer=P;function D(a,m){return a[m+0]<<0>>>0|a[m+1]<<8>>>0}e.readUInt16LE=D;function v(a,m,S){a[S+0]=m&255,m=m>>>8,a[S+1]=m&255}e.writeUInt16LE=v;function I(a,m){return a[m]*2**24+a[m+1]*2**16+a[m+2]*2**8+a[m+3]}e.readUInt32BE=I;function L(a,m,S){a[S+3]=m,m=m>>>8,a[S+2]=m,m=m>>>8,a[S+1]=m,m=m>>>8,a[S]=m}e.writeUInt32BE=L;function R(a,m){return a[m+0]<<0>>>0|a[m+1]<<8>>>0|a[m+2]<<16>>>0|a[m+3]<<24>>>0}e.readUInt32LE=R;function g(a,m,S){a[S+0]=m&255,m=m>>>8,a[S+1]=m&255,m=m>>>8,a[S+2]=m&255,m=m>>>8,a[S+3]=m&255}e.writeUInt32LE=g;function b(a,m){return a[m]}e.readUInt8=b;function c(a,m,S){a[S]=m}e.writeUInt8=c;function h(a){return k.consumeReadable(a,m=>P.concat(m))}e.readableToBuffer=h;function d(a){return k.toReadable(a)}e.bufferToReadable=d;function E(a){return k.consumeStream(a,m=>P.concat(m))}e.streamToBuffer=E;async function w(a){return a.ended?P.concat(a.buffer):P.concat([...a.buffer,await E(a.stream)])}e.bufferedStreamToBuffer=w;function f(a){return k.toStream(a,m=>P.concat(m))}e.bufferToStream=f;function y(a){return k.transform(a,{data:m=>typeof m=="string"?P.fromString(m):P.wrap(m)},m=>P.concat(m))}e.streamToBufferReadableStream=y;function u(a){return k.newWriteableStream(m=>P.concat(m),a)}e.newWriteableBufferStream=u;function o(a,m){return k.prefixedReadable(a,m,S=>P.concat(S))}e.prefixedBufferReadable=o;function l(a,m){return k.prefixedStream(a,m,S=>P.concat(S))}e.prefixedBufferStream=l;function s(a){let m=0,S=0,_=0;const F=new Uint8Array(Math.floor(a.length/4*3)),B=T=>{switch(S){case 3:F[_++]=m|T,S=0;break;case 2:F[_++]=m|T>>>2,m=T<<6,S=3;break;case 1:F[_++]=m|T>>>4,m=T<<4,S=2;break;default:m=T<<2,S=1}};for(let T=0;T<a.length;T++){const U=a.charCodeAt(T);if(U>=65&&U<=90)B(U-65);else if(U>=97&&U<=122)B(U-97+26);else if(U>=48&&U<=57)B(U-48+52);else if(U===43||U===45)B(62);else if(U===47||U===95)B(63);else{if(U===61)break;throw new SyntaxError(`Unexpected base64 character ${a[T]}`)}}const A=_;for(;S>0;)B(0);return P.wrap(F).slice(0,A)}e.decodeBase64=s;const n="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/",i="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789-_";function r({buffer:a},m=!0,S=!1){const _=S?i:n;let F="";const B=a.byteLength%3;let A=0;for(;A<a.byteLength-B;A+=3){const T=a[A+0],U=a[A+1],N=a[A+2];F+=_[T>>>2],F+=_[(T<<4|U>>>4)&63],F+=_[(U<<2|N>>>6)&63],F+=_[N&63]}if(B===1){const T=a[A+0];F+=_[T>>>2],F+=_[T<<4&63],m&&(F+="==")}else if(B===2){const T=a[A+0],U=a[A+1];F+=_[T>>>2],F+=_[(T<<4|U>>>4)&63],F+=_[U<<2&63],m&&(F+="=")}return F}e.encodeBase64=r}),define(we[16],ye([0,1,123,118]),function(J,e,k,t){"use strict";var p;Object.defineProperty(e,"__esModule",{value:!0}),e.InvisibleCharacters=e.AmbiguousCharacters=e.noBreakWhitespace=e.getLeftDeleteOffset=e.GraphemeBreakType=e.getGraphemeBreakType=e.singleLetterHash=e.getNLines=e.uppercaseFirstLetter=e.containsUppercaseCharacter=e.fuzzyContains=e.stripUTF8BOM=e.startsWithUTF8BOM=e.UTF8_BOM_CHARACTER=e.removeAnsiEscapeCodes=e.lcut=e.isEmojiImprecise=e.isFullWidthCharacter=e.containsUnusualLineTerminators=e.UNUSUAL_LINE_TERMINATORS=e.isBasicASCII=e.containsRTL=e.getCharContainingOffset=e.prevCharLength=e.nextCharLength=e.GraphemeIterator=e.CodePointIterator=e.getNextCodePoint=e.computeCodePoint=e.isLowSurrogate=e.isHighSurrogate=e.commonSuffixLength=e.commonPrefixLength=e.startsWithIgnoreCase=e.equalsIgnoreCase=e.isUpperAsciiLetter=e.isLowerAsciiLetter=e.compareSubstringIgnoreCase=e.compareIgnoreCase=e.compareSubstring=e.compare=e.lastNonWhitespaceIndex=e.getLeadingWhitespace=e.firstNonWhitespaceIndex=e.splitLines=e.regExpFlags=e.regExpContainsBackreference=e.regExpLeadsToEndlessLoop=e.createRegExp=e.stripWildcards=e.convertSimple2RegExpPattern=e.rtrim=e.ltrim=e.trim=e.truncate=e.count=e.escapeRegExpCharacters=e.escape=e.format2=e.format=e.isFalsyOrWhitespace=void 0;function C(ne){return!ne||typeof ne!="string"?!0:ne.trim().length===0}e.isFalsyOrWhitespace=C;const P=/{(\d+)}/g;function D(ne,...be){return be.length===0?ne:ne.replace(P,function(ke,Le){const Ne=parseInt(Le,10);return isNaN(Ne)||Ne<0||Ne>=be.length?ke:be[Ne]})}e.format=D;const v=/{([^}]+)}/g;function I(ne,be){return ne.replace(v,(ke,Le)=>be[Le]??ke)}e.format2=I;function L(ne){return ne.replace(/[<>&]/g,function(be){switch(be){case"<":return"&lt;";case">":return"&gt;";case"&":return"&amp;";default:return be}})}e.escape=L;function R(ne){return ne.replace(/[\\\{\}\*\+\?\|\^\$\.\[\]\(\)]/g,"\\$&")}e.escapeRegExpCharacters=R;function g(ne,be){let ke=0;const Le=be.charCodeAt(0);for(let Ne=ne.length-1;Ne>=0;Ne--)ne.charCodeAt(Ne)===Le&&ke++;return ke}e.count=g;function b(ne,be,ke="\u2026"){return ne.length<=be?ne:`${ne.substr(0,be)}${ke}`}e.truncate=b;function c(ne,be=" "){const ke=h(ne,be);return d(ke,be)}e.trim=c;function h(ne,be){if(!ne||!be)return ne;const ke=be.length;if(ke===0||ne.length===0)return ne;let Le=0;for(;ne.indexOf(be,Le)===Le;)Le=Le+ke;return ne.substring(Le)}e.ltrim=h;function d(ne,be){if(!ne||!be)return ne;const ke=be.length,Le=ne.length;if(ke===0||Le===0)return ne;let Ne=Le,Ye=-1;for(;Ye=ne.lastIndexOf(be,Ne-1),!(Ye===-1||Ye+ke!==Ne);){if(Ye===0)return"";Ne=Ye}return ne.substring(0,Ne)}e.rtrim=d;function E(ne){return ne.replace(/[\-\\\{\}\+\?\|\^\$\.\,\[\]\(\)\#\s]/g,"\\$&").replace(/[\*]/g,".*")}e.convertSimple2RegExpPattern=E;function w(ne){return ne.replace(/\*/g,"")}e.stripWildcards=w;function f(ne,be,ke={}){if(!ne)throw new Error("Cannot create regex from empty string");be||(ne=R(ne)),ke.wholeWord&&(/\B/.test(ne.charAt(0))||(ne="\\b"+ne),/\B/.test(ne.charAt(ne.length-1))||(ne=ne+"\\b"));let Le="";return ke.global&&(Le+="g"),ke.matchCase||(Le+="i"),ke.multiline&&(Le+="m"),ke.unicode&&(Le+="u"),new RegExp(ne,Le)}e.createRegExp=f;function y(ne){return ne.source==="^"||ne.source==="^$"||ne.source==="$"||ne.source==="^\\s*$"?!1:!!(ne.exec("")&&ne.lastIndex===0)}e.regExpLeadsToEndlessLoop=y;function u(ne){return!!ne.match(/([^\\]|^)(\\\\)*\\\d+/)}e.regExpContainsBackreference=u;function o(ne){return(ne.global?"g":"")+(ne.ignoreCase?"i":"")+(ne.multiline?"m":"")+(ne.unicode?"u":"")}e.regExpFlags=o;function l(ne){return ne.split(/\r\n|\r|\n/)}e.splitLines=l;function s(ne){for(let be=0,ke=ne.length;be<ke;be++){const Le=ne.charCodeAt(be);if(Le!==32&&Le!==9)return be}return-1}e.firstNonWhitespaceIndex=s;function n(ne,be=0,ke=ne.length){for(let Le=be;Le<ke;Le++){const Ne=ne.charCodeAt(Le);if(Ne!==32&&Ne!==9)return ne.substring(be,Le)}return ne.substring(be,ke)}e.getLeadingWhitespace=n;function i(ne,be=ne.length-1){for(let ke=be;ke>=0;ke--){const Le=ne.charCodeAt(ke);if(Le!==32&&Le!==9)return ke}return-1}e.lastNonWhitespaceIndex=i;function r(ne,be){return ne<be?-1:ne>be?1:0}e.compare=r;function a(ne,be,ke=0,Le=ne.length,Ne=0,Ye=be.length){for(;ke<Le&&Ne<Ye;ke++,Ne++){let Xe=ne.charCodeAt(ke),Ge=be.charCodeAt(Ne);if(Xe<Ge)return-1;if(Xe>Ge)return 1}const $e=Le-ke,Ve=Ye-Ne;return $e<Ve?-1:$e>Ve?1:0}e.compareSubstring=a;function m(ne,be){return S(ne,be,0,ne.length,0,be.length)}e.compareIgnoreCase=m;function S(ne,be,ke=0,Le=ne.length,Ne=0,Ye=be.length){for(;ke<Le&&Ne<Ye;ke++,Ne++){let Xe=ne.charCodeAt(ke),Ge=be.charCodeAt(Ne);if(Xe===Ge)continue;if(Xe>=128||Ge>=128)return a(ne.toLowerCase(),be.toLowerCase(),ke,Le,Ne,Ye);_(Xe)&&(Xe-=32),_(Ge)&&(Ge-=32);const Ze=Xe-Ge;if(Ze!==0)return Ze}const $e=Le-ke,Ve=Ye-Ne;return $e<Ve?-1:$e>Ve?1:0}e.compareSubstringIgnoreCase=S;function _(ne){return ne>=97&&ne<=122}e.isLowerAsciiLetter=_;function F(ne){return ne>=65&&ne<=90}e.isUpperAsciiLetter=F;function B(ne,be){return ne.length===be.length&&S(ne,be)===0}e.equalsIgnoreCase=B;function A(ne,be){const ke=be.length;return be.length>ne.length?!1:S(ne,be,0,ke)===0}e.startsWithIgnoreCase=A;function T(ne,be){let ke,Le=Math.min(ne.length,be.length);for(ke=0;ke<Le;ke++)if(ne.charCodeAt(ke)!==be.charCodeAt(ke))return ke;return Le}e.commonPrefixLength=T;function U(ne,be){let ke,Le=Math.min(ne.length,be.length);const Ne=ne.length-1,Ye=be.length-1;for(ke=0;ke<Le;ke++)if(ne.charCodeAt(Ne-ke)!==be.charCodeAt(Ye-ke))return ke;return Le}e.commonSuffixLength=U;function N(ne){return 55296<=ne&&ne<=56319}e.isHighSurrogate=N;function W(ne){return 56320<=ne&&ne<=57343}e.isLowSurrogate=W;function ie(ne,be){return(ne-55296<<10)+(be-56320)+65536}e.computeCodePoint=ie;function q(ne,be,ke){const Le=ne.charCodeAt(ke);if(N(Le)&&ke+1<be){const Ne=ne.charCodeAt(ke+1);if(W(Ne))return ie(Le,Ne)}return Le}e.getNextCodePoint=q;function se(ne,be){const ke=ne.charCodeAt(be-1);if(W(ke)&&be>1){const Le=ne.charCodeAt(be-2);if(N(Le))return ie(Le,ke)}return ke}class V{constructor(be,ke=0){this._str=be,this._len=be.length,this._offset=ke}get offset(){return this._offset}setOffset(be){this._offset=be}prevCodePoint(){const be=se(this._str,this._offset);return this._offset-=be>=65536?2:1,be}nextCodePoint(){const be=q(this._str,this._len,this._offset);return this._offset+=be>=65536?2:1,be}eol(){return this._offset>=this._len}}e.CodePointIterator=V;class K{constructor(be,ke=0){this._iterator=new V(be,ke)}get offset(){return this._iterator.offset}nextGraphemeLength(){const be=ge.getInstance(),ke=this._iterator,Le=ke.offset;let Ne=be.getGraphemeBreakType(ke.nextCodePoint());for(;!ke.eol();){const Ye=ke.offset,$e=be.getGraphemeBreakType(ke.nextCodePoint());if(Ue(Ne,$e)){ke.setOffset(Ye);break}Ne=$e}return ke.offset-Le}prevGraphemeLength(){const be=ge.getInstance(),ke=this._iterator,Le=ke.offset;let Ne=be.getGraphemeBreakType(ke.prevCodePoint());for(;ke.offset>0;){const Ye=ke.offset,$e=be.getGraphemeBreakType(ke.prevCodePoint());if(Ue($e,Ne)){ke.setOffset(Ye);break}Ne=$e}return Le-ke.offset}eol(){return this._iterator.eol()}}e.GraphemeIterator=K;function te(ne,be){return new K(ne,be).nextGraphemeLength()}e.nextCharLength=te;function re(ne,be){return new K(ne,be).prevGraphemeLength()}e.prevCharLength=re;function oe(ne,be){be>0&&W(ne.charCodeAt(be))&&be--;const ke=be+te(ne,be);return[ke-re(ne,ke),ke]}e.getCharContainingOffset=oe;const me=/(?:[\u05BE\u05C0\u05C3\u05C6\u05D0-\u05F4\u0608\u060B\u060D\u061B-\u064A\u066D-\u066F\u0671-\u06D5\u06E5\u06E6\u06EE\u06EF\u06FA-\u0710\u0712-\u072F\u074D-\u07A5\u07B1-\u07EA\u07F4\u07F5\u07FA\u07FE-\u0815\u081A\u0824\u0828\u0830-\u0858\u085E-\u088E\u08A0-\u08C9\u200F\uFB1D\uFB1F-\uFB28\uFB2A-\uFD3D\uFD50-\uFDC7\uFDF0-\uFDFC\uFE70-\uFEFC]|\uD802[\uDC00-\uDD1B\uDD20-\uDE00\uDE10-\uDE35\uDE40-\uDEE4\uDEEB-\uDF35\uDF40-\uDFFF]|\uD803[\uDC00-\uDD23\uDE80-\uDEA9\uDEAD-\uDF45\uDF51-\uDF81\uDF86-\uDFF6]|\uD83A[\uDC00-\uDCCF\uDD00-\uDD43\uDD4B-\uDFFF]|\uD83B[\uDC00-\uDEBB])/;function X(ne){return me.test(ne)}e.containsRTL=X;const $=/^[\t\n\r\x20-\x7E]*$/;function H(ne){return $.test(ne)}e.isBasicASCII=H,e.UNUSUAL_LINE_TERMINATORS=/[\u2028\u2029]/;function j(ne){return e.UNUSUAL_LINE_TERMINATORS.test(ne)}e.containsUnusualLineTerminators=j;function ee(ne){return ne>=11904&&ne<=55215||ne>=63744&&ne<=64255||ne>=65281&&ne<=65374}e.isFullWidthCharacter=ee;function he(ne){return ne>=127462&&ne<=127487||ne===8986||ne===8987||ne===9200||ne===9203||ne>=9728&&ne<=10175||ne===11088||ne===11093||ne>=127744&&ne<=128591||ne>=128640&&ne<=128764||ne>=128992&&ne<=129008||ne>=129280&&ne<=129535||ne>=129648&&ne<=129782}e.isEmojiImprecise=he;function Ie(ne,be){if(ne.length<be)return ne;const ke=/\b/g;let Le=0;for(;ke.test(ne)&&!(ne.length-ke.lastIndex<be);)Le=ke.lastIndex,ke.lastIndex+=1;return ne.substring(Le).replace(/^\s/,"")}e.lcut=Ie;const ae=/\x1B\x5B[12]?K/g,fe=/\x1b\[\d+m/g,ve=/\x1b\[0?m/g;function Q(ne){return ne&&(ne=ne.replace(ae,""),ne=ne.replace(fe,""),ne=ne.replace(ve,"")),ne}e.removeAnsiEscapeCodes=Q,e.UTF8_BOM_CHARACTER=String.fromCharCode(65279);function z(ne){return!!(ne&&ne.length>0&&ne.charCodeAt(0)===65279)}e.startsWithUTF8BOM=z;function G(ne){return z(ne)?ne.substr(1):ne}e.stripUTF8BOM=G;function Y(ne,be){if(!ne||!be||ne.length<be.length)return!1;const ke=be.length,Le=ne.toLowerCase();let Ne=0,Ye=-1;for(;Ne<ke;){const $e=Le.indexOf(be[Ne],Ye+1);if($e<0)return!1;Ye=$e,Ne++}return!0}e.fuzzyContains=Y;function ue(ne,be=!1){return ne?(be&&(ne=ne.replace(/\\./g,"")),ne.toLowerCase()!==ne):!1}e.containsUppercaseCharacter=ue;function pe(ne){return ne.charAt(0).toUpperCase()+ne.slice(1)}e.uppercaseFirstLetter=pe;function Pe(ne,be=1){if(be===0)return"";let ke=-1;do ke=ne.indexOf(`
`,ke+1),be--;while(be>0&&ke>=0);return ke===-1?ne:(ne[ke-1]==="\r"&&ke--,ne.substr(0,ke))}e.getNLines=Pe;function Re(ne){const be=90-65+1;return ne=ne%(2*be),ne<be?String.fromCharCode(97+ne):String.fromCharCode(65+ne-be)}e.singleLetterHash=Re;function Fe(ne){return ge.getInstance().getGraphemeBreakType(ne)}e.getGraphemeBreakType=Fe;function Ue(ne,be){return ne===0?be!==5&&be!==7:ne===2&&be===3?!1:ne===4||ne===2||ne===3||be===4||be===2||be===3?!0:!(ne===8&&(be===8||be===9||be===11||be===12)||(ne===11||ne===9)&&(be===9||be===10)||(ne===12||ne===10)&&be===10||be===5||be===13||be===7||ne===1||ne===13&&be===14||ne===6&&be===6)}var le;(function(ne){ne[ne.Other=0]="Other",ne[ne.Prepend=1]="Prepend",ne[ne.CR=2]="CR",ne[ne.LF=3]="LF",ne[ne.Control=4]="Control",ne[ne.Extend=5]="Extend",ne[ne.Regional_Indicator=6]="Regional_Indicator",ne[ne.SpacingMark=7]="SpacingMark",ne[ne.L=8]="L",ne[ne.V=9]="V",ne[ne.T=10]="T",ne[ne.LV=11]="LV",ne[ne.LVT=12]="LVT",ne[ne.ZWJ=13]="ZWJ",ne[ne.Extended_Pictographic=14]="Extended_Pictographic"})(le=e.GraphemeBreakType||(e.GraphemeBreakType={}));class ge{constructor(){this._data=de()}static getInstance(){return ge._INSTANCE||(ge._INSTANCE=new ge),ge._INSTANCE}getGraphemeBreakType(be){if(be<32)return be===10?3:be===13?2:4;if(be<127)return 0;const ke=this._data,Le=ke.length/3;let Ne=1;for(;Ne<=Le;)if(be<ke[3*Ne])Ne=2*Ne;else if(be>ke[3*Ne+1])Ne=2*Ne+1;else return ke[3*Ne+2];return 0}}ge._INSTANCE=null;function de(){return JSON.parse("[0,0,0,51229,51255,12,44061,44087,12,127462,127487,6,7083,7085,5,47645,47671,12,54813,54839,12,128678,128678,14,3270,3270,5,9919,9923,14,45853,45879,12,49437,49463,12,53021,53047,12,71216,71218,7,128398,128399,14,129360,129374,14,2519,2519,5,4448,4519,9,9742,9742,14,12336,12336,14,44957,44983,12,46749,46775,12,48541,48567,12,50333,50359,12,52125,52151,12,53917,53943,12,69888,69890,5,73018,73018,5,127990,127990,14,128558,128559,14,128759,128760,14,129653,129655,14,2027,2035,5,2891,2892,7,3761,3761,5,6683,6683,5,8293,8293,4,9825,9826,14,9999,9999,14,43452,43453,5,44509,44535,12,45405,45431,12,46301,46327,12,47197,47223,12,48093,48119,12,48989,49015,12,49885,49911,12,50781,50807,12,51677,51703,12,52573,52599,12,53469,53495,12,54365,54391,12,65279,65279,4,70471,70472,7,72145,72147,7,119173,119179,5,127799,127818,14,128240,128244,14,128512,128512,14,128652,128652,14,128721,128722,14,129292,129292,14,129445,129450,14,129734,129743,14,1476,1477,5,2366,2368,7,2750,2752,7,3076,3076,5,3415,3415,5,4141,4144,5,6109,6109,5,6964,6964,5,7394,7400,5,9197,9198,14,9770,9770,14,9877,9877,14,9968,9969,14,10084,10084,14,43052,43052,5,43713,43713,5,44285,44311,12,44733,44759,12,45181,45207,12,45629,45655,12,46077,46103,12,46525,46551,12,46973,46999,12,47421,47447,12,47869,47895,12,48317,48343,12,48765,48791,12,49213,49239,12,49661,49687,12,50109,50135,12,50557,50583,12,51005,51031,12,51453,51479,12,51901,51927,12,52349,52375,12,52797,52823,12,53245,53271,12,53693,53719,12,54141,54167,12,54589,54615,12,55037,55063,12,69506,69509,5,70191,70193,5,70841,70841,7,71463,71467,5,72330,72342,5,94031,94031,5,123628,123631,5,127763,127765,14,127941,127941,14,128043,128062,14,128302,128317,14,128465,128467,14,128539,128539,14,128640,128640,14,128662,128662,14,128703,128703,14,128745,128745,14,129004,129007,14,129329,129330,14,129402,129402,14,129483,129483,14,129686,129704,14,130048,131069,14,173,173,4,1757,1757,1,2200,2207,5,2434,2435,7,2631,2632,5,2817,2817,5,3008,3008,5,3201,3201,5,3387,3388,5,3542,3542,5,3902,3903,7,4190,4192,5,6002,6003,5,6439,6440,5,6765,6770,7,7019,7027,5,7154,7155,7,8205,8205,13,8505,8505,14,9654,9654,14,9757,9757,14,9792,9792,14,9852,9853,14,9890,9894,14,9937,9937,14,9981,9981,14,10035,10036,14,11035,11036,14,42654,42655,5,43346,43347,7,43587,43587,5,44006,44007,7,44173,44199,12,44397,44423,12,44621,44647,12,44845,44871,12,45069,45095,12,45293,45319,12,45517,45543,12,45741,45767,12,45965,45991,12,46189,46215,12,46413,46439,12,46637,46663,12,46861,46887,12,47085,47111,12,47309,47335,12,47533,47559,12,47757,47783,12,47981,48007,12,48205,48231,12,48429,48455,12,48653,48679,12,48877,48903,12,49101,49127,12,49325,49351,12,49549,49575,12,49773,49799,12,49997,50023,12,50221,50247,12,50445,50471,12,50669,50695,12,50893,50919,12,51117,51143,12,51341,51367,12,51565,51591,12,51789,51815,12,52013,52039,12,52237,52263,12,52461,52487,12,52685,52711,12,52909,52935,12,53133,53159,12,53357,53383,12,53581,53607,12,53805,53831,12,54029,54055,12,54253,54279,12,54477,54503,12,54701,54727,12,54925,54951,12,55149,55175,12,68101,68102,5,69762,69762,7,70067,70069,7,70371,70378,5,70720,70721,7,71087,71087,5,71341,71341,5,71995,71996,5,72249,72249,7,72850,72871,5,73109,73109,5,118576,118598,5,121505,121519,5,127245,127247,14,127568,127569,14,127777,127777,14,127872,127891,14,127956,127967,14,128015,128016,14,128110,128172,14,128259,128259,14,128367,128368,14,128424,128424,14,128488,128488,14,128530,128532,14,128550,128551,14,128566,128566,14,128647,128647,14,128656,128656,14,128667,128673,14,128691,128693,14,128715,128715,14,128728,128732,14,128752,128752,14,128765,128767,14,129096,129103,14,129311,129311,14,129344,129349,14,129394,129394,14,129413,129425,14,129466,129471,14,129511,129535,14,129664,129666,14,129719,129722,14,129760,129767,14,917536,917631,5,13,13,2,1160,1161,5,1564,1564,4,1807,1807,1,2085,2087,5,2307,2307,7,2382,2383,7,2497,2500,5,2563,2563,7,2677,2677,5,2763,2764,7,2879,2879,5,2914,2915,5,3021,3021,5,3142,3144,5,3263,3263,5,3285,3286,5,3398,3400,7,3530,3530,5,3633,3633,5,3864,3865,5,3974,3975,5,4155,4156,7,4229,4230,5,5909,5909,7,6078,6085,7,6277,6278,5,6451,6456,7,6744,6750,5,6846,6846,5,6972,6972,5,7074,7077,5,7146,7148,7,7222,7223,5,7416,7417,5,8234,8238,4,8417,8417,5,9000,9000,14,9203,9203,14,9730,9731,14,9748,9749,14,9762,9763,14,9776,9783,14,9800,9811,14,9831,9831,14,9872,9873,14,9882,9882,14,9900,9903,14,9929,9933,14,9941,9960,14,9974,9974,14,9989,9989,14,10006,10006,14,10062,10062,14,10160,10160,14,11647,11647,5,12953,12953,14,43019,43019,5,43232,43249,5,43443,43443,5,43567,43568,7,43696,43696,5,43765,43765,7,44013,44013,5,44117,44143,12,44229,44255,12,44341,44367,12,44453,44479,12,44565,44591,12,44677,44703,12,44789,44815,12,44901,44927,12,45013,45039,12,45125,45151,12,45237,45263,12,45349,45375,12,45461,45487,12,45573,45599,12,45685,45711,12,45797,45823,12,45909,45935,12,46021,46047,12,46133,46159,12,46245,46271,12,46357,46383,12,46469,46495,12,46581,46607,12,46693,46719,12,46805,46831,12,46917,46943,12,47029,47055,12,47141,47167,12,47253,47279,12,47365,47391,12,47477,47503,12,47589,47615,12,47701,47727,12,47813,47839,12,47925,47951,12,48037,48063,12,48149,48175,12,48261,48287,12,48373,48399,12,48485,48511,12,48597,48623,12,48709,48735,12,48821,48847,12,48933,48959,12,49045,49071,12,49157,49183,12,49269,49295,12,49381,49407,12,49493,49519,12,49605,49631,12,49717,49743,12,49829,49855,12,49941,49967,12,50053,50079,12,50165,50191,12,50277,50303,12,50389,50415,12,50501,50527,12,50613,50639,12,50725,50751,12,50837,50863,12,50949,50975,12,51061,51087,12,51173,51199,12,51285,51311,12,51397,51423,12,51509,51535,12,51621,51647,12,51733,51759,12,51845,51871,12,51957,51983,12,52069,52095,12,52181,52207,12,52293,52319,12,52405,52431,12,52517,52543,12,52629,52655,12,52741,52767,12,52853,52879,12,52965,52991,12,53077,53103,12,53189,53215,12,53301,53327,12,53413,53439,12,53525,53551,12,53637,53663,12,53749,53775,12,53861,53887,12,53973,53999,12,54085,54111,12,54197,54223,12,54309,54335,12,54421,54447,12,54533,54559,12,54645,54671,12,54757,54783,12,54869,54895,12,54981,55007,12,55093,55119,12,55243,55291,10,66045,66045,5,68325,68326,5,69688,69702,5,69817,69818,5,69957,69958,7,70089,70092,5,70198,70199,5,70462,70462,5,70502,70508,5,70750,70750,5,70846,70846,7,71100,71101,5,71230,71230,7,71351,71351,5,71737,71738,5,72000,72000,7,72160,72160,5,72273,72278,5,72752,72758,5,72882,72883,5,73031,73031,5,73461,73462,7,94192,94193,7,119149,119149,7,121403,121452,5,122915,122916,5,126980,126980,14,127358,127359,14,127535,127535,14,127759,127759,14,127771,127771,14,127792,127793,14,127825,127867,14,127897,127899,14,127945,127945,14,127985,127986,14,128000,128007,14,128021,128021,14,128066,128100,14,128184,128235,14,128249,128252,14,128266,128276,14,128335,128335,14,128379,128390,14,128407,128419,14,128444,128444,14,128481,128481,14,128499,128499,14,128526,128526,14,128536,128536,14,128543,128543,14,128556,128556,14,128564,128564,14,128577,128580,14,128643,128645,14,128649,128649,14,128654,128654,14,128660,128660,14,128664,128664,14,128675,128675,14,128686,128689,14,128695,128696,14,128705,128709,14,128717,128719,14,128725,128725,14,128736,128741,14,128747,128748,14,128755,128755,14,128762,128762,14,128981,128991,14,129009,129023,14,129160,129167,14,129296,129304,14,129320,129327,14,129340,129342,14,129356,129356,14,129388,129392,14,129399,129400,14,129404,129407,14,129432,129442,14,129454,129455,14,129473,129474,14,129485,129487,14,129648,129651,14,129659,129660,14,129671,129679,14,129709,129711,14,129728,129730,14,129751,129753,14,129776,129782,14,917505,917505,4,917760,917999,5,10,10,3,127,159,4,768,879,5,1471,1471,5,1536,1541,1,1648,1648,5,1767,1768,5,1840,1866,5,2070,2073,5,2137,2139,5,2274,2274,1,2363,2363,7,2377,2380,7,2402,2403,5,2494,2494,5,2507,2508,7,2558,2558,5,2622,2624,7,2641,2641,5,2691,2691,7,2759,2760,5,2786,2787,5,2876,2876,5,2881,2884,5,2901,2902,5,3006,3006,5,3014,3016,7,3072,3072,5,3134,3136,5,3157,3158,5,3260,3260,5,3266,3266,5,3274,3275,7,3328,3329,5,3391,3392,7,3405,3405,5,3457,3457,5,3536,3537,7,3551,3551,5,3636,3642,5,3764,3772,5,3895,3895,5,3967,3967,7,3993,4028,5,4146,4151,5,4182,4183,7,4226,4226,5,4253,4253,5,4957,4959,5,5940,5940,7,6070,6070,7,6087,6088,7,6158,6158,4,6432,6434,5,6448,6449,7,6679,6680,5,6742,6742,5,6754,6754,5,6783,6783,5,6912,6915,5,6966,6970,5,6978,6978,5,7042,7042,7,7080,7081,5,7143,7143,7,7150,7150,7,7212,7219,5,7380,7392,5,7412,7412,5,8203,8203,4,8232,8232,4,8265,8265,14,8400,8412,5,8421,8432,5,8617,8618,14,9167,9167,14,9200,9200,14,9410,9410,14,9723,9726,14,9733,9733,14,9745,9745,14,9752,9752,14,9760,9760,14,9766,9766,14,9774,9774,14,9786,9786,14,9794,9794,14,9823,9823,14,9828,9828,14,9833,9850,14,9855,9855,14,9875,9875,14,9880,9880,14,9885,9887,14,9896,9897,14,9906,9916,14,9926,9927,14,9935,9935,14,9939,9939,14,9962,9962,14,9972,9972,14,9978,9978,14,9986,9986,14,9997,9997,14,10002,10002,14,10017,10017,14,10055,10055,14,10071,10071,14,10133,10135,14,10548,10549,14,11093,11093,14,12330,12333,5,12441,12442,5,42608,42610,5,43010,43010,5,43045,43046,5,43188,43203,7,43302,43309,5,43392,43394,5,43446,43449,5,43493,43493,5,43571,43572,7,43597,43597,7,43703,43704,5,43756,43757,5,44003,44004,7,44009,44010,7,44033,44059,12,44089,44115,12,44145,44171,12,44201,44227,12,44257,44283,12,44313,44339,12,44369,44395,12,44425,44451,12,44481,44507,12,44537,44563,12,44593,44619,12,44649,44675,12,44705,44731,12,44761,44787,12,44817,44843,12,44873,44899,12,44929,44955,12,44985,45011,12,45041,45067,12,45097,45123,12,45153,45179,12,45209,45235,12,45265,45291,12,45321,45347,12,45377,45403,12,45433,45459,12,45489,45515,12,45545,45571,12,45601,45627,12,45657,45683,12,45713,45739,12,45769,45795,12,45825,45851,12,45881,45907,12,45937,45963,12,45993,46019,12,46049,46075,12,46105,46131,12,46161,46187,12,46217,46243,12,46273,46299,12,46329,46355,12,46385,46411,12,46441,46467,12,46497,46523,12,46553,46579,12,46609,46635,12,46665,46691,12,46721,46747,12,46777,46803,12,46833,46859,12,46889,46915,12,46945,46971,12,47001,47027,12,47057,47083,12,47113,47139,12,47169,47195,12,47225,47251,12,47281,47307,12,47337,47363,12,47393,47419,12,47449,47475,12,47505,47531,12,47561,47587,12,47617,47643,12,47673,47699,12,47729,47755,12,47785,47811,12,47841,47867,12,47897,47923,12,47953,47979,12,48009,48035,12,48065,48091,12,48121,48147,12,48177,48203,12,48233,48259,12,48289,48315,12,48345,48371,12,48401,48427,12,48457,48483,12,48513,48539,12,48569,48595,12,48625,48651,12,48681,48707,12,48737,48763,12,48793,48819,12,48849,48875,12,48905,48931,12,48961,48987,12,49017,49043,12,49073,49099,12,49129,49155,12,49185,49211,12,49241,49267,12,49297,49323,12,49353,49379,12,49409,49435,12,49465,49491,12,49521,49547,12,49577,49603,12,49633,49659,12,49689,49715,12,49745,49771,12,49801,49827,12,49857,49883,12,49913,49939,12,49969,49995,12,50025,50051,12,50081,50107,12,50137,50163,12,50193,50219,12,50249,50275,12,50305,50331,12,50361,50387,12,50417,50443,12,50473,50499,12,50529,50555,12,50585,50611,12,50641,50667,12,50697,50723,12,50753,50779,12,50809,50835,12,50865,50891,12,50921,50947,12,50977,51003,12,51033,51059,12,51089,51115,12,51145,51171,12,51201,51227,12,51257,51283,12,51313,51339,12,51369,51395,12,51425,51451,12,51481,51507,12,51537,51563,12,51593,51619,12,51649,51675,12,51705,51731,12,51761,51787,12,51817,51843,12,51873,51899,12,51929,51955,12,51985,52011,12,52041,52067,12,52097,52123,12,52153,52179,12,52209,52235,12,52265,52291,12,52321,52347,12,52377,52403,12,52433,52459,12,52489,52515,12,52545,52571,12,52601,52627,12,52657,52683,12,52713,52739,12,52769,52795,12,52825,52851,12,52881,52907,12,52937,52963,12,52993,53019,12,53049,53075,12,53105,53131,12,53161,53187,12,53217,53243,12,53273,53299,12,53329,53355,12,53385,53411,12,53441,53467,12,53497,53523,12,53553,53579,12,53609,53635,12,53665,53691,12,53721,53747,12,53777,53803,12,53833,53859,12,53889,53915,12,53945,53971,12,54001,54027,12,54057,54083,12,54113,54139,12,54169,54195,12,54225,54251,12,54281,54307,12,54337,54363,12,54393,54419,12,54449,54475,12,54505,54531,12,54561,54587,12,54617,54643,12,54673,54699,12,54729,54755,12,54785,54811,12,54841,54867,12,54897,54923,12,54953,54979,12,55009,55035,12,55065,55091,12,55121,55147,12,55177,55203,12,65024,65039,5,65520,65528,4,66422,66426,5,68152,68154,5,69291,69292,5,69633,69633,5,69747,69748,5,69811,69814,5,69826,69826,5,69932,69932,7,70016,70017,5,70079,70080,7,70095,70095,5,70196,70196,5,70367,70367,5,70402,70403,7,70464,70464,5,70487,70487,5,70709,70711,7,70725,70725,7,70833,70834,7,70843,70844,7,70849,70849,7,71090,71093,5,71103,71104,5,71227,71228,7,71339,71339,5,71344,71349,5,71458,71461,5,71727,71735,5,71985,71989,7,71998,71998,5,72002,72002,7,72154,72155,5,72193,72202,5,72251,72254,5,72281,72283,5,72344,72345,5,72766,72766,7,72874,72880,5,72885,72886,5,73023,73029,5,73104,73105,5,73111,73111,5,92912,92916,5,94095,94098,5,113824,113827,4,119142,119142,7,119155,119162,4,119362,119364,5,121476,121476,5,122888,122904,5,123184,123190,5,125252,125258,5,127183,127183,14,127340,127343,14,127377,127386,14,127491,127503,14,127548,127551,14,127744,127756,14,127761,127761,14,127769,127769,14,127773,127774,14,127780,127788,14,127796,127797,14,127820,127823,14,127869,127869,14,127894,127895,14,127902,127903,14,127943,127943,14,127947,127950,14,127972,127972,14,127988,127988,14,127992,127994,14,128009,128011,14,128019,128019,14,128023,128041,14,128064,128064,14,128102,128107,14,128174,128181,14,128238,128238,14,128246,128247,14,128254,128254,14,128264,128264,14,128278,128299,14,128329,128330,14,128348,128359,14,128371,128377,14,128392,128393,14,128401,128404,14,128421,128421,14,128433,128434,14,128450,128452,14,128476,128478,14,128483,128483,14,128495,128495,14,128506,128506,14,128519,128520,14,128528,128528,14,128534,128534,14,128538,128538,14,128540,128542,14,128544,128549,14,128552,128555,14,128557,128557,14,128560,128563,14,128565,128565,14,128567,128576,14,128581,128591,14,128641,128642,14,128646,128646,14,128648,128648,14,128650,128651,14,128653,128653,14,128655,128655,14,128657,128659,14,128661,128661,14,128663,128663,14,128665,128666,14,128674,128674,14,128676,128677,14,128679,128685,14,128690,128690,14,128694,128694,14,128697,128702,14,128704,128704,14,128710,128714,14,128716,128716,14,128720,128720,14,128723,128724,14,128726,128727,14,128733,128735,14,128742,128744,14,128746,128746,14,128749,128751,14,128753,128754,14,128756,128758,14,128761,128761,14,128763,128764,14,128884,128895,14,128992,129003,14,129008,129008,14,129036,129039,14,129114,129119,14,129198,129279,14,129293,129295,14,129305,129310,14,129312,129319,14,129328,129328,14,129331,129338,14,129343,129343,14,129351,129355,14,129357,129359,14,129375,129387,14,129393,129393,14,129395,129398,14,129401,129401,14,129403,129403,14,129408,129412,14,129426,129431,14,129443,129444,14,129451,129453,14,129456,129465,14,129472,129472,14,129475,129482,14,129484,129484,14,129488,129510,14,129536,129647,14,129652,129652,14,129656,129658,14,129661,129663,14,129667,129670,14,129680,129685,14,129705,129708,14,129712,129718,14,129723,129727,14,129731,129733,14,129744,129750,14,129754,129759,14,129768,129775,14,129783,129791,14,917504,917504,4,917506,917535,4,917632,917759,4,918000,921599,4,0,9,4,11,12,4,14,31,4,169,169,14,174,174,14,1155,1159,5,1425,1469,5,1473,1474,5,1479,1479,5,1552,1562,5,1611,1631,5,1750,1756,5,1759,1764,5,1770,1773,5,1809,1809,5,1958,1968,5,2045,2045,5,2075,2083,5,2089,2093,5,2192,2193,1,2250,2273,5,2275,2306,5,2362,2362,5,2364,2364,5,2369,2376,5,2381,2381,5,2385,2391,5,2433,2433,5,2492,2492,5,2495,2496,7,2503,2504,7,2509,2509,5,2530,2531,5,2561,2562,5,2620,2620,5,2625,2626,5,2635,2637,5,2672,2673,5,2689,2690,5,2748,2748,5,2753,2757,5,2761,2761,7,2765,2765,5,2810,2815,5,2818,2819,7,2878,2878,5,2880,2880,7,2887,2888,7,2893,2893,5,2903,2903,5,2946,2946,5,3007,3007,7,3009,3010,7,3018,3020,7,3031,3031,5,3073,3075,7,3132,3132,5,3137,3140,7,3146,3149,5,3170,3171,5,3202,3203,7,3262,3262,7,3264,3265,7,3267,3268,7,3271,3272,7,3276,3277,5,3298,3299,5,3330,3331,7,3390,3390,5,3393,3396,5,3402,3404,7,3406,3406,1,3426,3427,5,3458,3459,7,3535,3535,5,3538,3540,5,3544,3550,7,3570,3571,7,3635,3635,7,3655,3662,5,3763,3763,7,3784,3789,5,3893,3893,5,3897,3897,5,3953,3966,5,3968,3972,5,3981,3991,5,4038,4038,5,4145,4145,7,4153,4154,5,4157,4158,5,4184,4185,5,4209,4212,5,4228,4228,7,4237,4237,5,4352,4447,8,4520,4607,10,5906,5908,5,5938,5939,5,5970,5971,5,6068,6069,5,6071,6077,5,6086,6086,5,6089,6099,5,6155,6157,5,6159,6159,5,6313,6313,5,6435,6438,7,6441,6443,7,6450,6450,5,6457,6459,5,6681,6682,7,6741,6741,7,6743,6743,7,6752,6752,5,6757,6764,5,6771,6780,5,6832,6845,5,6847,6862,5,6916,6916,7,6965,6965,5,6971,6971,7,6973,6977,7,6979,6980,7,7040,7041,5,7073,7073,7,7078,7079,7,7082,7082,7,7142,7142,5,7144,7145,5,7149,7149,5,7151,7153,5,7204,7211,7,7220,7221,7,7376,7378,5,7393,7393,7,7405,7405,5,7415,7415,7,7616,7679,5,8204,8204,5,8206,8207,4,8233,8233,4,8252,8252,14,8288,8292,4,8294,8303,4,8413,8416,5,8418,8420,5,8482,8482,14,8596,8601,14,8986,8987,14,9096,9096,14,9193,9196,14,9199,9199,14,9201,9202,14,9208,9210,14,9642,9643,14,9664,9664,14,9728,9729,14,9732,9732,14,9735,9741,14,9743,9744,14,9746,9746,14,9750,9751,14,9753,9756,14,9758,9759,14,9761,9761,14,9764,9765,14,9767,9769,14,9771,9773,14,9775,9775,14,9784,9785,14,9787,9791,14,9793,9793,14,9795,9799,14,9812,9822,14,9824,9824,14,9827,9827,14,9829,9830,14,9832,9832,14,9851,9851,14,9854,9854,14,9856,9861,14,9874,9874,14,9876,9876,14,9878,9879,14,9881,9881,14,9883,9884,14,9888,9889,14,9895,9895,14,9898,9899,14,9904,9905,14,9917,9918,14,9924,9925,14,9928,9928,14,9934,9934,14,9936,9936,14,9938,9938,14,9940,9940,14,9961,9961,14,9963,9967,14,9970,9971,14,9973,9973,14,9975,9977,14,9979,9980,14,9982,9985,14,9987,9988,14,9992,9996,14,9998,9998,14,10000,10001,14,10004,10004,14,10013,10013,14,10024,10024,14,10052,10052,14,10060,10060,14,10067,10069,14,10083,10083,14,10085,10087,14,10145,10145,14,10175,10175,14,11013,11015,14,11088,11088,14,11503,11505,5,11744,11775,5,12334,12335,5,12349,12349,14,12951,12951,14,42607,42607,5,42612,42621,5,42736,42737,5,43014,43014,5,43043,43044,7,43047,43047,7,43136,43137,7,43204,43205,5,43263,43263,5,43335,43345,5,43360,43388,8,43395,43395,7,43444,43445,7,43450,43451,7,43454,43456,7,43561,43566,5,43569,43570,5,43573,43574,5,43596,43596,5,43644,43644,5,43698,43700,5,43710,43711,5,43755,43755,7,43758,43759,7,43766,43766,5,44005,44005,5,44008,44008,5,44012,44012,7,44032,44032,11,44060,44060,11,44088,44088,11,44116,44116,11,44144,44144,11,44172,44172,11,44200,44200,11,44228,44228,11,44256,44256,11,44284,44284,11,44312,44312,11,44340,44340,11,44368,44368,11,44396,44396,11,44424,44424,11,44452,44452,11,44480,44480,11,44508,44508,11,44536,44536,11,44564,44564,11,44592,44592,11,44620,44620,11,44648,44648,11,44676,44676,11,44704,44704,11,44732,44732,11,44760,44760,11,44788,44788,11,44816,44816,11,44844,44844,11,44872,44872,11,44900,44900,11,44928,44928,11,44956,44956,11,44984,44984,11,45012,45012,11,45040,45040,11,45068,45068,11,45096,45096,11,45124,45124,11,45152,45152,11,45180,45180,11,45208,45208,11,45236,45236,11,45264,45264,11,45292,45292,11,45320,45320,11,45348,45348,11,45376,45376,11,45404,45404,11,45432,45432,11,45460,45460,11,45488,45488,11,45516,45516,11,45544,45544,11,45572,45572,11,45600,45600,11,45628,45628,11,45656,45656,11,45684,45684,11,45712,45712,11,45740,45740,11,45768,45768,11,45796,45796,11,45824,45824,11,45852,45852,11,45880,45880,11,45908,45908,11,45936,45936,11,45964,45964,11,45992,45992,11,46020,46020,11,46048,46048,11,46076,46076,11,46104,46104,11,46132,46132,11,46160,46160,11,46188,46188,11,46216,46216,11,46244,46244,11,46272,46272,11,46300,46300,11,46328,46328,11,46356,46356,11,46384,46384,11,46412,46412,11,46440,46440,11,46468,46468,11,46496,46496,11,46524,46524,11,46552,46552,11,46580,46580,11,46608,46608,11,46636,46636,11,46664,46664,11,46692,46692,11,46720,46720,11,46748,46748,11,46776,46776,11,46804,46804,11,46832,46832,11,46860,46860,11,46888,46888,11,46916,46916,11,46944,46944,11,46972,46972,11,47000,47000,11,47028,47028,11,47056,47056,11,47084,47084,11,47112,47112,11,47140,47140,11,47168,47168,11,47196,47196,11,47224,47224,11,47252,47252,11,47280,47280,11,47308,47308,11,47336,47336,11,47364,47364,11,47392,47392,11,47420,47420,11,47448,47448,11,47476,47476,11,47504,47504,11,47532,47532,11,47560,47560,11,47588,47588,11,47616,47616,11,47644,47644,11,47672,47672,11,47700,47700,11,47728,47728,11,47756,47756,11,47784,47784,11,47812,47812,11,47840,47840,11,47868,47868,11,47896,47896,11,47924,47924,11,47952,47952,11,47980,47980,11,48008,48008,11,48036,48036,11,48064,48064,11,48092,48092,11,48120,48120,11,48148,48148,11,48176,48176,11,48204,48204,11,48232,48232,11,48260,48260,11,48288,48288,11,48316,48316,11,48344,48344,11,48372,48372,11,48400,48400,11,48428,48428,11,48456,48456,11,48484,48484,11,48512,48512,11,48540,48540,11,48568,48568,11,48596,48596,11,48624,48624,11,48652,48652,11,48680,48680,11,48708,48708,11,48736,48736,11,48764,48764,11,48792,48792,11,48820,48820,11,48848,48848,11,48876,48876,11,48904,48904,11,48932,48932,11,48960,48960,11,48988,48988,11,49016,49016,11,49044,49044,11,49072,49072,11,49100,49100,11,49128,49128,11,49156,49156,11,49184,49184,11,49212,49212,11,49240,49240,11,49268,49268,11,49296,49296,11,49324,49324,11,49352,49352,11,49380,49380,11,49408,49408,11,49436,49436,11,49464,49464,11,49492,49492,11,49520,49520,11,49548,49548,11,49576,49576,11,49604,49604,11,49632,49632,11,49660,49660,11,49688,49688,11,49716,49716,11,49744,49744,11,49772,49772,11,49800,49800,11,49828,49828,11,49856,49856,11,49884,49884,11,49912,49912,11,49940,49940,11,49968,49968,11,49996,49996,11,50024,50024,11,50052,50052,11,50080,50080,11,50108,50108,11,50136,50136,11,50164,50164,11,50192,50192,11,50220,50220,11,50248,50248,11,50276,50276,11,50304,50304,11,50332,50332,11,50360,50360,11,50388,50388,11,50416,50416,11,50444,50444,11,50472,50472,11,50500,50500,11,50528,50528,11,50556,50556,11,50584,50584,11,50612,50612,11,50640,50640,11,50668,50668,11,50696,50696,11,50724,50724,11,50752,50752,11,50780,50780,11,50808,50808,11,50836,50836,11,50864,50864,11,50892,50892,11,50920,50920,11,50948,50948,11,50976,50976,11,51004,51004,11,51032,51032,11,51060,51060,11,51088,51088,11,51116,51116,11,51144,51144,11,51172,51172,11,51200,51200,11,51228,51228,11,51256,51256,11,51284,51284,11,51312,51312,11,51340,51340,11,51368,51368,11,51396,51396,11,51424,51424,11,51452,51452,11,51480,51480,11,51508,51508,11,51536,51536,11,51564,51564,11,51592,51592,11,51620,51620,11,51648,51648,11,51676,51676,11,51704,51704,11,51732,51732,11,51760,51760,11,51788,51788,11,51816,51816,11,51844,51844,11,51872,51872,11,51900,51900,11,51928,51928,11,51956,51956,11,51984,51984,11,52012,52012,11,52040,52040,11,52068,52068,11,52096,52096,11,52124,52124,11,52152,52152,11,52180,52180,11,52208,52208,11,52236,52236,11,52264,52264,11,52292,52292,11,52320,52320,11,52348,52348,11,52376,52376,11,52404,52404,11,52432,52432,11,52460,52460,11,52488,52488,11,52516,52516,11,52544,52544,11,52572,52572,11,52600,52600,11,52628,52628,11,52656,52656,11,52684,52684,11,52712,52712,11,52740,52740,11,52768,52768,11,52796,52796,11,52824,52824,11,52852,52852,11,52880,52880,11,52908,52908,11,52936,52936,11,52964,52964,11,52992,52992,11,53020,53020,11,53048,53048,11,53076,53076,11,53104,53104,11,53132,53132,11,53160,53160,11,53188,53188,11,53216,53216,11,53244,53244,11,53272,53272,11,53300,53300,11,53328,53328,11,53356,53356,11,53384,53384,11,53412,53412,11,53440,53440,11,53468,53468,11,53496,53496,11,53524,53524,11,53552,53552,11,53580,53580,11,53608,53608,11,53636,53636,11,53664,53664,11,53692,53692,11,53720,53720,11,53748,53748,11,53776,53776,11,53804,53804,11,53832,53832,11,53860,53860,11,53888,53888,11,53916,53916,11,53944,53944,11,53972,53972,11,54000,54000,11,54028,54028,11,54056,54056,11,54084,54084,11,54112,54112,11,54140,54140,11,54168,54168,11,54196,54196,11,54224,54224,11,54252,54252,11,54280,54280,11,54308,54308,11,54336,54336,11,54364,54364,11,54392,54392,11,54420,54420,11,54448,54448,11,54476,54476,11,54504,54504,11,54532,54532,11,54560,54560,11,54588,54588,11,54616,54616,11,54644,54644,11,54672,54672,11,54700,54700,11,54728,54728,11,54756,54756,11,54784,54784,11,54812,54812,11,54840,54840,11,54868,54868,11,54896,54896,11,54924,54924,11,54952,54952,11,54980,54980,11,55008,55008,11,55036,55036,11,55064,55064,11,55092,55092,11,55120,55120,11,55148,55148,11,55176,55176,11,55216,55238,9,64286,64286,5,65056,65071,5,65438,65439,5,65529,65531,4,66272,66272,5,68097,68099,5,68108,68111,5,68159,68159,5,68900,68903,5,69446,69456,5,69632,69632,7,69634,69634,7,69744,69744,5,69759,69761,5,69808,69810,7,69815,69816,7,69821,69821,1,69837,69837,1,69927,69931,5,69933,69940,5,70003,70003,5,70018,70018,7,70070,70078,5,70082,70083,1,70094,70094,7,70188,70190,7,70194,70195,7,70197,70197,7,70206,70206,5,70368,70370,7,70400,70401,5,70459,70460,5,70463,70463,7,70465,70468,7,70475,70477,7,70498,70499,7,70512,70516,5,70712,70719,5,70722,70724,5,70726,70726,5,70832,70832,5,70835,70840,5,70842,70842,5,70845,70845,5,70847,70848,5,70850,70851,5,71088,71089,7,71096,71099,7,71102,71102,7,71132,71133,5,71219,71226,5,71229,71229,5,71231,71232,5,71340,71340,7,71342,71343,7,71350,71350,7,71453,71455,5,71462,71462,7,71724,71726,7,71736,71736,7,71984,71984,5,71991,71992,7,71997,71997,7,71999,71999,1,72001,72001,1,72003,72003,5,72148,72151,5,72156,72159,7,72164,72164,7,72243,72248,5,72250,72250,1,72263,72263,5,72279,72280,7,72324,72329,1,72343,72343,7,72751,72751,7,72760,72765,5,72767,72767,5,72873,72873,7,72881,72881,7,72884,72884,7,73009,73014,5,73020,73021,5,73030,73030,1,73098,73102,7,73107,73108,7,73110,73110,7,73459,73460,5,78896,78904,4,92976,92982,5,94033,94087,7,94180,94180,5,113821,113822,5,118528,118573,5,119141,119141,5,119143,119145,5,119150,119154,5,119163,119170,5,119210,119213,5,121344,121398,5,121461,121461,5,121499,121503,5,122880,122886,5,122907,122913,5,122918,122922,5,123566,123566,5,125136,125142,5,126976,126979,14,126981,127182,14,127184,127231,14,127279,127279,14,127344,127345,14,127374,127374,14,127405,127461,14,127489,127490,14,127514,127514,14,127538,127546,14,127561,127567,14,127570,127743,14,127757,127758,14,127760,127760,14,127762,127762,14,127766,127768,14,127770,127770,14,127772,127772,14,127775,127776,14,127778,127779,14,127789,127791,14,127794,127795,14,127798,127798,14,127819,127819,14,127824,127824,14,127868,127868,14,127870,127871,14,127892,127893,14,127896,127896,14,127900,127901,14,127904,127940,14,127942,127942,14,127944,127944,14,127946,127946,14,127951,127955,14,127968,127971,14,127973,127984,14,127987,127987,14,127989,127989,14,127991,127991,14,127995,127999,5,128008,128008,14,128012,128014,14,128017,128018,14,128020,128020,14,128022,128022,14,128042,128042,14,128063,128063,14,128065,128065,14,128101,128101,14,128108,128109,14,128173,128173,14,128182,128183,14,128236,128237,14,128239,128239,14,128245,128245,14,128248,128248,14,128253,128253,14,128255,128258,14,128260,128263,14,128265,128265,14,128277,128277,14,128300,128301,14,128326,128328,14,128331,128334,14,128336,128347,14,128360,128366,14,128369,128370,14,128378,128378,14,128391,128391,14,128394,128397,14,128400,128400,14,128405,128406,14,128420,128420,14,128422,128423,14,128425,128432,14,128435,128443,14,128445,128449,14,128453,128464,14,128468,128475,14,128479,128480,14,128482,128482,14,128484,128487,14,128489,128494,14,128496,128498,14,128500,128505,14,128507,128511,14,128513,128518,14,128521,128525,14,128527,128527,14,128529,128529,14,128533,128533,14,128535,128535,14,128537,128537,14]")}function Te(ne,be){if(ne===0)return 0;const ke=Me(ne,be);if(ke!==void 0)return ke;const Le=new V(be,ne);return Le.prevCodePoint(),Le.offset}e.getLeftDeleteOffset=Te;function Me(ne,be){const ke=new V(be,ne);let Le=ke.prevCodePoint();for(;je(Le)||Le===65039||Le===8419;){if(ke.offset===0)return;Le=ke.prevCodePoint()}if(!he(Le))return;let Ne=ke.offset;return Ne>0&&ke.prevCodePoint()===8205&&(Ne=ke.offset),Ne}function je(ne){return 127995<=ne&&ne<=127999}var Be;(function(ne){ne[ne.zwj=8205]="zwj",ne[ne.emojiVariantSelector=65039]="emojiVariantSelector",ne[ne.enclosingKeyCap=8419]="enclosingKeyCap"})(Be||(Be={})),e.noBreakWhitespace="\xA0";class He{constructor(be){this.confusableDictionary=be}static getInstance(be){return He.cache.get(Array.from(be))}static getLocales(){return He._locales.getValue()}isAmbiguous(be){return this.confusableDictionary.has(be)}getPrimaryConfusable(be){return this.confusableDictionary.get(be)}getConfusableCodePoints(){return new Set(this.confusableDictionary.keys())}}e.AmbiguousCharacters=He,p=He,He.ambiguousCharacterData=new t.Lazy(()=>JSON.parse('{"_common":[8232,32,8233,32,5760,32,8192,32,8193,32,8194,32,8195,32,8196,32,8197,32,8198,32,8200,32,8201,32,8202,32,8287,32,8199,32,8239,32,2042,95,65101,95,65102,95,65103,95,8208,45,8209,45,8210,45,65112,45,1748,45,8259,45,727,45,8722,45,10134,45,11450,45,1549,44,1643,44,8218,44,184,44,42233,44,894,59,2307,58,2691,58,1417,58,1795,58,1796,58,5868,58,65072,58,6147,58,6153,58,8282,58,1475,58,760,58,42889,58,8758,58,720,58,42237,58,451,33,11601,33,660,63,577,63,2429,63,5038,63,42731,63,119149,46,8228,46,1793,46,1794,46,42510,46,68176,46,1632,46,1776,46,42232,46,1373,96,65287,96,8219,96,8242,96,1370,96,1523,96,8175,96,65344,96,900,96,8189,96,8125,96,8127,96,8190,96,697,96,884,96,712,96,714,96,715,96,756,96,699,96,701,96,700,96,702,96,42892,96,1497,96,2036,96,2037,96,5194,96,5836,96,94033,96,94034,96,65339,91,10088,40,10098,40,12308,40,64830,40,65341,93,10089,41,10099,41,12309,41,64831,41,10100,123,119060,123,10101,125,65342,94,8270,42,1645,42,8727,42,66335,42,5941,47,8257,47,8725,47,8260,47,9585,47,10187,47,10744,47,119354,47,12755,47,12339,47,11462,47,20031,47,12035,47,65340,92,65128,92,8726,92,10189,92,10741,92,10745,92,119311,92,119355,92,12756,92,20022,92,12034,92,42872,38,708,94,710,94,5869,43,10133,43,66203,43,8249,60,10094,60,706,60,119350,60,5176,60,5810,60,5120,61,11840,61,12448,61,42239,61,8250,62,10095,62,707,62,119351,62,5171,62,94015,62,8275,126,732,126,8128,126,8764,126,65372,124,65293,45,120784,50,120794,50,120804,50,120814,50,120824,50,130034,50,42842,50,423,50,1000,50,42564,50,5311,50,42735,50,119302,51,120785,51,120795,51,120805,51,120815,51,120825,51,130035,51,42923,51,540,51,439,51,42858,51,11468,51,1248,51,94011,51,71882,51,120786,52,120796,52,120806,52,120816,52,120826,52,130036,52,5070,52,71855,52,120787,53,120797,53,120807,53,120817,53,120827,53,130037,53,444,53,71867,53,120788,54,120798,54,120808,54,120818,54,120828,54,130038,54,11474,54,5102,54,71893,54,119314,55,120789,55,120799,55,120809,55,120819,55,120829,55,130039,55,66770,55,71878,55,2819,56,2538,56,2666,56,125131,56,120790,56,120800,56,120810,56,120820,56,120830,56,130040,56,547,56,546,56,66330,56,2663,57,2920,57,2541,57,3437,57,120791,57,120801,57,120811,57,120821,57,120831,57,130041,57,42862,57,11466,57,71884,57,71852,57,71894,57,9082,97,65345,97,119834,97,119886,97,119938,97,119990,97,120042,97,120094,97,120146,97,120198,97,120250,97,120302,97,120354,97,120406,97,120458,97,593,97,945,97,120514,97,120572,97,120630,97,120688,97,120746,97,65313,65,119808,65,119860,65,119912,65,119964,65,120016,65,120068,65,120120,65,120172,65,120224,65,120276,65,120328,65,120380,65,120432,65,913,65,120488,65,120546,65,120604,65,120662,65,120720,65,5034,65,5573,65,42222,65,94016,65,66208,65,119835,98,119887,98,119939,98,119991,98,120043,98,120095,98,120147,98,120199,98,120251,98,120303,98,120355,98,120407,98,120459,98,388,98,5071,98,5234,98,5551,98,65314,66,8492,66,119809,66,119861,66,119913,66,120017,66,120069,66,120121,66,120173,66,120225,66,120277,66,120329,66,120381,66,120433,66,42932,66,914,66,120489,66,120547,66,120605,66,120663,66,120721,66,5108,66,5623,66,42192,66,66178,66,66209,66,66305,66,65347,99,8573,99,119836,99,119888,99,119940,99,119992,99,120044,99,120096,99,120148,99,120200,99,120252,99,120304,99,120356,99,120408,99,120460,99,7428,99,1010,99,11429,99,43951,99,66621,99,128844,67,71922,67,71913,67,65315,67,8557,67,8450,67,8493,67,119810,67,119862,67,119914,67,119966,67,120018,67,120174,67,120226,67,120278,67,120330,67,120382,67,120434,67,1017,67,11428,67,5087,67,42202,67,66210,67,66306,67,66581,67,66844,67,8574,100,8518,100,119837,100,119889,100,119941,100,119993,100,120045,100,120097,100,120149,100,120201,100,120253,100,120305,100,120357,100,120409,100,120461,100,1281,100,5095,100,5231,100,42194,100,8558,68,8517,68,119811,68,119863,68,119915,68,119967,68,120019,68,120071,68,120123,68,120175,68,120227,68,120279,68,120331,68,120383,68,120435,68,5024,68,5598,68,5610,68,42195,68,8494,101,65349,101,8495,101,8519,101,119838,101,119890,101,119942,101,120046,101,120098,101,120150,101,120202,101,120254,101,120306,101,120358,101,120410,101,120462,101,43826,101,1213,101,8959,69,65317,69,8496,69,119812,69,119864,69,119916,69,120020,69,120072,69,120124,69,120176,69,120228,69,120280,69,120332,69,120384,69,120436,69,917,69,120492,69,120550,69,120608,69,120666,69,120724,69,11577,69,5036,69,42224,69,71846,69,71854,69,66182,69,119839,102,119891,102,119943,102,119995,102,120047,102,120099,102,120151,102,120203,102,120255,102,120307,102,120359,102,120411,102,120463,102,43829,102,42905,102,383,102,7837,102,1412,102,119315,70,8497,70,119813,70,119865,70,119917,70,120021,70,120073,70,120125,70,120177,70,120229,70,120281,70,120333,70,120385,70,120437,70,42904,70,988,70,120778,70,5556,70,42205,70,71874,70,71842,70,66183,70,66213,70,66853,70,65351,103,8458,103,119840,103,119892,103,119944,103,120048,103,120100,103,120152,103,120204,103,120256,103,120308,103,120360,103,120412,103,120464,103,609,103,7555,103,397,103,1409,103,119814,71,119866,71,119918,71,119970,71,120022,71,120074,71,120126,71,120178,71,120230,71,120282,71,120334,71,120386,71,120438,71,1292,71,5056,71,5107,71,42198,71,65352,104,8462,104,119841,104,119945,104,119997,104,120049,104,120101,104,120153,104,120205,104,120257,104,120309,104,120361,104,120413,104,120465,104,1211,104,1392,104,5058,104,65320,72,8459,72,8460,72,8461,72,119815,72,119867,72,119919,72,120023,72,120179,72,120231,72,120283,72,120335,72,120387,72,120439,72,919,72,120494,72,120552,72,120610,72,120668,72,120726,72,11406,72,5051,72,5500,72,42215,72,66255,72,731,105,9075,105,65353,105,8560,105,8505,105,8520,105,119842,105,119894,105,119946,105,119998,105,120050,105,120102,105,120154,105,120206,105,120258,105,120310,105,120362,105,120414,105,120466,105,120484,105,618,105,617,105,953,105,8126,105,890,105,120522,105,120580,105,120638,105,120696,105,120754,105,1110,105,42567,105,1231,105,43893,105,5029,105,71875,105,65354,106,8521,106,119843,106,119895,106,119947,106,119999,106,120051,106,120103,106,120155,106,120207,106,120259,106,120311,106,120363,106,120415,106,120467,106,1011,106,1112,106,65322,74,119817,74,119869,74,119921,74,119973,74,120025,74,120077,74,120129,74,120181,74,120233,74,120285,74,120337,74,120389,74,120441,74,42930,74,895,74,1032,74,5035,74,5261,74,42201,74,119844,107,119896,107,119948,107,120000,107,120052,107,120104,107,120156,107,120208,107,120260,107,120312,107,120364,107,120416,107,120468,107,8490,75,65323,75,119818,75,119870,75,119922,75,119974,75,120026,75,120078,75,120130,75,120182,75,120234,75,120286,75,120338,75,120390,75,120442,75,922,75,120497,75,120555,75,120613,75,120671,75,120729,75,11412,75,5094,75,5845,75,42199,75,66840,75,1472,108,8739,73,9213,73,65512,73,1633,108,1777,73,66336,108,125127,108,120783,73,120793,73,120803,73,120813,73,120823,73,130033,73,65321,73,8544,73,8464,73,8465,73,119816,73,119868,73,119920,73,120024,73,120128,73,120180,73,120232,73,120284,73,120336,73,120388,73,120440,73,65356,108,8572,73,8467,108,119845,108,119897,108,119949,108,120001,108,120053,108,120105,73,120157,73,120209,73,120261,73,120313,73,120365,73,120417,73,120469,73,448,73,120496,73,120554,73,120612,73,120670,73,120728,73,11410,73,1030,73,1216,73,1493,108,1503,108,1575,108,126464,108,126592,108,65166,108,65165,108,1994,108,11599,73,5825,73,42226,73,93992,73,66186,124,66313,124,119338,76,8556,76,8466,76,119819,76,119871,76,119923,76,120027,76,120079,76,120131,76,120183,76,120235,76,120287,76,120339,76,120391,76,120443,76,11472,76,5086,76,5290,76,42209,76,93974,76,71843,76,71858,76,66587,76,66854,76,65325,77,8559,77,8499,77,119820,77,119872,77,119924,77,120028,77,120080,77,120132,77,120184,77,120236,77,120288,77,120340,77,120392,77,120444,77,924,77,120499,77,120557,77,120615,77,120673,77,120731,77,1018,77,11416,77,5047,77,5616,77,5846,77,42207,77,66224,77,66321,77,119847,110,119899,110,119951,110,120003,110,120055,110,120107,110,120159,110,120211,110,120263,110,120315,110,120367,110,120419,110,120471,110,1400,110,1404,110,65326,78,8469,78,119821,78,119873,78,119925,78,119977,78,120029,78,120081,78,120185,78,120237,78,120289,78,120341,78,120393,78,120445,78,925,78,120500,78,120558,78,120616,78,120674,78,120732,78,11418,78,42208,78,66835,78,3074,111,3202,111,3330,111,3458,111,2406,111,2662,111,2790,111,3046,111,3174,111,3302,111,3430,111,3664,111,3792,111,4160,111,1637,111,1781,111,65359,111,8500,111,119848,111,119900,111,119952,111,120056,111,120108,111,120160,111,120212,111,120264,111,120316,111,120368,111,120420,111,120472,111,7439,111,7441,111,43837,111,959,111,120528,111,120586,111,120644,111,120702,111,120760,111,963,111,120532,111,120590,111,120648,111,120706,111,120764,111,11423,111,4351,111,1413,111,1505,111,1607,111,126500,111,126564,111,126596,111,65259,111,65260,111,65258,111,65257,111,1726,111,64428,111,64429,111,64427,111,64426,111,1729,111,64424,111,64425,111,64423,111,64422,111,1749,111,3360,111,4125,111,66794,111,71880,111,71895,111,66604,111,1984,79,2534,79,2918,79,12295,79,70864,79,71904,79,120782,79,120792,79,120802,79,120812,79,120822,79,130032,79,65327,79,119822,79,119874,79,119926,79,119978,79,120030,79,120082,79,120134,79,120186,79,120238,79,120290,79,120342,79,120394,79,120446,79,927,79,120502,79,120560,79,120618,79,120676,79,120734,79,11422,79,1365,79,11604,79,4816,79,2848,79,66754,79,42227,79,71861,79,66194,79,66219,79,66564,79,66838,79,9076,112,65360,112,119849,112,119901,112,119953,112,120005,112,120057,112,120109,112,120161,112,120213,112,120265,112,120317,112,120369,112,120421,112,120473,112,961,112,120530,112,120544,112,120588,112,120602,112,120646,112,120660,112,120704,112,120718,112,120762,112,120776,112,11427,112,65328,80,8473,80,119823,80,119875,80,119927,80,119979,80,120031,80,120083,80,120187,80,120239,80,120291,80,120343,80,120395,80,120447,80,929,80,120504,80,120562,80,120620,80,120678,80,120736,80,11426,80,5090,80,5229,80,42193,80,66197,80,119850,113,119902,113,119954,113,120006,113,120058,113,120110,113,120162,113,120214,113,120266,113,120318,113,120370,113,120422,113,120474,113,1307,113,1379,113,1382,113,8474,81,119824,81,119876,81,119928,81,119980,81,120032,81,120084,81,120188,81,120240,81,120292,81,120344,81,120396,81,120448,81,11605,81,119851,114,119903,114,119955,114,120007,114,120059,114,120111,114,120163,114,120215,114,120267,114,120319,114,120371,114,120423,114,120475,114,43847,114,43848,114,7462,114,11397,114,43905,114,119318,82,8475,82,8476,82,8477,82,119825,82,119877,82,119929,82,120033,82,120189,82,120241,82,120293,82,120345,82,120397,82,120449,82,422,82,5025,82,5074,82,66740,82,5511,82,42211,82,94005,82,65363,115,119852,115,119904,115,119956,115,120008,115,120060,115,120112,115,120164,115,120216,115,120268,115,120320,115,120372,115,120424,115,120476,115,42801,115,445,115,1109,115,43946,115,71873,115,66632,115,65331,83,119826,83,119878,83,119930,83,119982,83,120034,83,120086,83,120138,83,120190,83,120242,83,120294,83,120346,83,120398,83,120450,83,1029,83,1359,83,5077,83,5082,83,42210,83,94010,83,66198,83,66592,83,119853,116,119905,116,119957,116,120009,116,120061,116,120113,116,120165,116,120217,116,120269,116,120321,116,120373,116,120425,116,120477,116,8868,84,10201,84,128872,84,65332,84,119827,84,119879,84,119931,84,119983,84,120035,84,120087,84,120139,84,120191,84,120243,84,120295,84,120347,84,120399,84,120451,84,932,84,120507,84,120565,84,120623,84,120681,84,120739,84,11430,84,5026,84,42196,84,93962,84,71868,84,66199,84,66225,84,66325,84,119854,117,119906,117,119958,117,120010,117,120062,117,120114,117,120166,117,120218,117,120270,117,120322,117,120374,117,120426,117,120478,117,42911,117,7452,117,43854,117,43858,117,651,117,965,117,120534,117,120592,117,120650,117,120708,117,120766,117,1405,117,66806,117,71896,117,8746,85,8899,85,119828,85,119880,85,119932,85,119984,85,120036,85,120088,85,120140,85,120192,85,120244,85,120296,85,120348,85,120400,85,120452,85,1357,85,4608,85,66766,85,5196,85,42228,85,94018,85,71864,85,8744,118,8897,118,65366,118,8564,118,119855,118,119907,118,119959,118,120011,118,120063,118,120115,118,120167,118,120219,118,120271,118,120323,118,120375,118,120427,118,120479,118,7456,118,957,118,120526,118,120584,118,120642,118,120700,118,120758,118,1141,118,1496,118,71430,118,43945,118,71872,118,119309,86,1639,86,1783,86,8548,86,119829,86,119881,86,119933,86,119985,86,120037,86,120089,86,120141,86,120193,86,120245,86,120297,86,120349,86,120401,86,120453,86,1140,86,11576,86,5081,86,5167,86,42719,86,42214,86,93960,86,71840,86,66845,86,623,119,119856,119,119908,119,119960,119,120012,119,120064,119,120116,119,120168,119,120220,119,120272,119,120324,119,120376,119,120428,119,120480,119,7457,119,1121,119,1309,119,1377,119,71434,119,71438,119,71439,119,43907,119,71919,87,71910,87,119830,87,119882,87,119934,87,119986,87,120038,87,120090,87,120142,87,120194,87,120246,87,120298,87,120350,87,120402,87,120454,87,1308,87,5043,87,5076,87,42218,87,5742,120,10539,120,10540,120,10799,120,65368,120,8569,120,119857,120,119909,120,119961,120,120013,120,120065,120,120117,120,120169,120,120221,120,120273,120,120325,120,120377,120,120429,120,120481,120,5441,120,5501,120,5741,88,9587,88,66338,88,71916,88,65336,88,8553,88,119831,88,119883,88,119935,88,119987,88,120039,88,120091,88,120143,88,120195,88,120247,88,120299,88,120351,88,120403,88,120455,88,42931,88,935,88,120510,88,120568,88,120626,88,120684,88,120742,88,11436,88,11613,88,5815,88,42219,88,66192,88,66228,88,66327,88,66855,88,611,121,7564,121,65369,121,119858,121,119910,121,119962,121,120014,121,120066,121,120118,121,120170,121,120222,121,120274,121,120326,121,120378,121,120430,121,120482,121,655,121,7935,121,43866,121,947,121,8509,121,120516,121,120574,121,120632,121,120690,121,120748,121,1199,121,4327,121,71900,121,65337,89,119832,89,119884,89,119936,89,119988,89,120040,89,120092,89,120144,89,120196,89,120248,89,120300,89,120352,89,120404,89,120456,89,933,89,978,89,120508,89,120566,89,120624,89,120682,89,120740,89,11432,89,1198,89,5033,89,5053,89,42220,89,94019,89,71844,89,66226,89,119859,122,119911,122,119963,122,120015,122,120067,122,120119,122,120171,122,120223,122,120275,122,120327,122,120379,122,120431,122,120483,122,7458,122,43923,122,71876,122,66293,90,71909,90,65338,90,8484,90,8488,90,119833,90,119885,90,119937,90,119989,90,120041,90,120197,90,120249,90,120301,90,120353,90,120405,90,120457,90,918,90,120493,90,120551,90,120609,90,120667,90,120725,90,5059,90,42204,90,71849,90,65282,34,65284,36,65285,37,65286,38,65290,42,65291,43,65294,46,65295,47,65296,48,65297,49,65298,50,65299,51,65300,52,65301,53,65302,54,65303,55,65304,56,65305,57,65308,60,65309,61,65310,62,65312,64,65316,68,65318,70,65319,71,65324,76,65329,81,65330,82,65333,85,65334,86,65335,87,65343,95,65346,98,65348,100,65350,102,65355,107,65357,109,65358,110,65361,113,65362,114,65364,116,65365,117,65367,119,65370,122,65371,123,65373,125],"_default":[160,32,8211,45,65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"cs":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"de":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"es":[8211,45,65374,126,65306,58,65281,33,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"fr":[65374,126,65306,58,65281,33,8216,96,8245,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"it":[160,32,8211,45,65374,126,65306,58,65281,33,8216,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"ja":[8211,45,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65292,44,65307,59],"ko":[8211,45,65374,126,65306,58,65281,33,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"pl":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"pt-BR":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"qps-ploc":[160,32,8211,45,65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"ru":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,305,105,921,73,1009,112,215,120,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"tr":[160,32,8211,45,65374,126,65306,58,65281,33,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"zh-hans":[65374,126,65306,58,65281,33,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65288,40,65289,41],"zh-hant":[8211,45,65374,126,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65307,59]}')),He.cache=new k.LRUCachedComputed(ne=>{function be(Ge){const Ze=new Map;for(let et=0;et<Ge.length;et+=2)Ze.set(Ge[et],Ge[et+1]);return Ze}function ke(Ge,Ze){const et=new Map(Ge);for(const[rt,nt]of Ze)et.set(rt,nt);return et}function Le(Ge,Ze){if(!Ge)return Ze;const et=new Map;for(const[rt,nt]of Ge)Ze.has(rt)&&et.set(rt,nt);return et}const Ne=p.ambiguousCharacterData.getValue();let Ye=ne.filter(Ge=>!Ge.startsWith("_")&&Ge in Ne);Ye.length===0&&(Ye=["_default"]);let $e;for(const Ge of Ye){const Ze=be(Ne[Ge]);$e=Le($e,Ze)}const Ve=be(Ne._common),Xe=ke(Ve,$e);return new He(Xe)}),He._locales=new t.Lazy(()=>Object.keys(He.ambiguousCharacterData.getValue()).filter(ne=>!ne.startsWith("_")));class qe{static getRawData(){return JSON.parse("[9,10,11,12,13,32,127,160,173,847,1564,4447,4448,6068,6069,6155,6156,6157,6158,7355,7356,8192,8193,8194,8195,8196,8197,8198,8199,8200,8201,8202,8203,8204,8205,8206,8207,8234,8235,8236,8237,8238,8239,8287,8288,8289,8290,8291,8292,8293,8294,8295,8296,8297,8298,8299,8300,8301,8302,8303,10240,12288,12644,65024,65025,65026,65027,65028,65029,65030,65031,65032,65033,65034,65035,65036,65037,65038,65039,65279,65440,65520,65521,65522,65523,65524,65525,65526,65527,65528,65532,78844,119155,119156,119157,119158,119159,119160,119161,119162,917504,917505,917506,917507,917508,917509,917510,917511,917512,917513,917514,917515,917516,917517,917518,917519,917520,917521,917522,917523,917524,917525,917526,917527,917528,917529,917530,917531,917532,917533,917534,917535,917536,917537,917538,917539,917540,917541,917542,917543,917544,917545,917546,917547,917548,917549,917550,917551,917552,917553,917554,917555,917556,917557,917558,917559,917560,917561,917562,917563,917564,917565,917566,917567,917568,917569,917570,917571,917572,917573,917574,917575,917576,917577,917578,917579,917580,917581,917582,917583,917584,917585,917586,917587,917588,917589,917590,917591,917592,917593,917594,917595,917596,917597,917598,917599,917600,917601,917602,917603,917604,917605,917606,917607,917608,917609,917610,917611,917612,917613,917614,917615,917616,917617,917618,917619,917620,917621,917622,917623,917624,917625,917626,917627,917628,917629,917630,917631,917760,917761,917762,917763,917764,917765,917766,917767,917768,917769,917770,917771,917772,917773,917774,917775,917776,917777,917778,917779,917780,917781,917782,917783,917784,917785,917786,917787,917788,917789,917790,917791,917792,917793,917794,917795,917796,917797,917798,917799,917800,917801,917802,917803,917804,917805,917806,917807,917808,917809,917810,917811,917812,917813,917814,917815,917816,917817,917818,917819,917820,917821,917822,917823,917824,917825,917826,917827,917828,917829,917830,917831,917832,917833,917834,917835,917836,917837,917838,917839,917840,917841,917842,917843,917844,917845,917846,917847,917848,917849,917850,917851,917852,917853,917854,917855,917856,917857,917858,917859,917860,917861,917862,917863,917864,917865,917866,917867,917868,917869,917870,917871,917872,917873,917874,917875,917876,917877,917878,917879,917880,917881,917882,917883,917884,917885,917886,917887,917888,917889,917890,917891,917892,917893,917894,917895,917896,917897,917898,917899,917900,917901,917902,917903,917904,917905,917906,917907,917908,917909,917910,917911,917912,917913,917914,917915,917916,917917,917918,917919,917920,917921,917922,917923,917924,917925,917926,917927,917928,917929,917930,917931,917932,917933,917934,917935,917936,917937,917938,917939,917940,917941,917942,917943,917944,917945,917946,917947,917948,917949,917950,917951,917952,917953,917954,917955,917956,917957,917958,917959,917960,917961,917962,917963,917964,917965,917966,917967,917968,917969,917970,917971,917972,917973,917974,917975,917976,917977,917978,917979,917980,917981,917982,917983,917984,917985,917986,917987,917988,917989,917990,917991,917992,917993,917994,917995,917996,917997,917998,917999]")}static getData(){return this._data||(this._data=new Set(qe.getRawData())),this._data}static isInvisibleCharacter(be){return qe.getData().has(be)}static get codePoints(){return qe.getData()}}e.InvisibleCharacters=qe,qe._data=void 0}),define(we[124],ye([0,1,16]),function(J,e,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.StringSHA1=e.toHexString=e.Hasher=e.stringHash=e.numberHash=e.doHash=e.hash=void 0;function t(E){return p(E,0)}e.hash=t;function p(E,w){switch(typeof E){case"object":return E===null?C(349,w):Array.isArray(E)?v(E,w):I(E,w);case"string":return D(E,w);case"boolean":return P(E,w);case"number":return C(E,w);case"undefined":return C(937,w);default:return C(617,w)}}e.doHash=p;function C(E,w){return(w<<5)-w+E|0}e.numberHash=C;function P(E,w){return C(E?433:863,w)}function D(E,w){w=C(149417,w);for(let f=0,y=E.length;f<y;f++)w=C(E.charCodeAt(f),w);return w}e.stringHash=D;function v(E,w){return w=C(104579,w),E.reduce((f,y)=>p(y,f),w)}function I(E,w){return w=C(181387,w),Object.keys(E).sort().reduce((f,y)=>(f=D(y,f),p(E[y],f)),w)}class L{constructor(){this._value=0}get value(){return this._value}hash(w){return this._value=p(w,this._value),this._value}}e.Hasher=L;var R;(function(E){E[E.BLOCK_SIZE=64]="BLOCK_SIZE",E[E.UNICODE_REPLACEMENT=65533]="UNICODE_REPLACEMENT"})(R||(R={}));function g(E,w,f=32){const y=f-w,u=~((1<<y)-1);return(E<<w|(u&E)>>>y)>>>0}function b(E,w=0,f=E.byteLength,y=0){for(let u=0;u<f;u++)E[w+u]=y}function c(E,w,f="0"){for(;E.length<w;)E=f+E;return E}function h(E,w=32){return E instanceof ArrayBuffer?Array.from(new Uint8Array(E)).map(f=>f.toString(16).padStart(2,"0")).join(""):c((E>>>0).toString(16),w/4)}e.toHexString=h;class d{constructor(){this._h0=1732584193,this._h1=4023233417,this._h2=2562383102,this._h3=271733878,this._h4=3285377520,this._buff=new Uint8Array(64+3),this._buffDV=new DataView(this._buff.buffer),this._buffLen=0,this._totalLen=0,this._leftoverHighSurrogate=0,this._finished=!1}update(w){const f=w.length;if(f===0)return;const y=this._buff;let u=this._buffLen,o=this._leftoverHighSurrogate,l,s;for(o!==0?(l=o,s=-1,o=0):(l=w.charCodeAt(0),s=0);;){let n=l;if(k.isHighSurrogate(l))if(s+1<f){const i=w.charCodeAt(s+1);k.isLowSurrogate(i)?(s++,n=k.computeCodePoint(l,i)):n=65533}else{o=l;break}else k.isLowSurrogate(l)&&(n=65533);if(u=this._push(y,u,n),s++,s<f)l=w.charCodeAt(s);else break}this._buffLen=u,this._leftoverHighSurrogate=o}_push(w,f,y){return y<128?w[f++]=y:y<2048?(w[f++]=192|(y&1984)>>>6,w[f++]=128|(y&63)>>>0):y<65536?(w[f++]=224|(y&61440)>>>12,w[f++]=128|(y&4032)>>>6,w[f++]=128|(y&63)>>>0):(w[f++]=240|(y&1835008)>>>18,w[f++]=128|(y&258048)>>>12,w[f++]=128|(y&4032)>>>6,w[f++]=128|(y&63)>>>0),f>=64&&(this._step(),f-=64,this._totalLen+=64,w[0]=w[64+0],w[1]=w[64+1],w[2]=w[64+2]),f}digest(){return this._finished||(this._finished=!0,this._leftoverHighSurrogate&&(this._leftoverHighSurrogate=0,this._buffLen=this._push(this._buff,this._buffLen,65533)),this._totalLen+=this._buffLen,this._wrapUp()),h(this._h0)+h(this._h1)+h(this._h2)+h(this._h3)+h(this._h4)}_wrapUp(){this._buff[this._buffLen++]=128,b(this._buff,this._buffLen),this._buffLen>56&&(this._step(),b(this._buff));const w=8*this._totalLen;this._buffDV.setUint32(56,Math.floor(w/4294967296),!1),this._buffDV.setUint32(60,w%4294967296,!1),this._step()}_step(){const w=d._bigBlock32,f=this._buffDV;for(let a=0;a<64;a+=4)w.setUint32(a,f.getUint32(a,!1),!1);for(let a=64;a<320;a+=4)w.setUint32(a,g(w.getUint32(a-12,!1)^w.getUint32(a-32,!1)^w.getUint32(a-56,!1)^w.getUint32(a-64,!1),1),!1);let y=this._h0,u=this._h1,o=this._h2,l=this._h3,s=this._h4,n,i,r;for(let a=0;a<80;a++)a<20?(n=u&o|~u&l,i=1518500249):a<40?(n=u^o^l,i=1859775393):a<60?(n=u&o|u&l|o&l,i=2400959708):(n=u^o^l,i=3395469782),r=g(y,5)+n+s+i+w.getUint32(a*4,!1)&4294967295,s=l,l=o,o=g(u,30),u=y,y=r;this._h0=this._h0+y&4294967295,this._h1=this._h1+u&4294967295,this._h2=this._h2+o&4294967295,this._h3=this._h3+l&4294967295,this._h4=this._h4+s&4294967295}}e.StringSHA1=d,d._bigBlock32=new DataView(new ArrayBuffer(320))});var yt=this&&this.__classPrivateFieldSet||function(J,e,k,t,p){if(t==="m")throw new TypeError("Private method is not writable");if(t==="a"&&!p)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?J!==e||!p:!e.has(J))throw new TypeError("Cannot write private member to an object whose class did not declare it");return t==="a"?p.call(J,k):p?p.value=k:e.set(J,k),k},tt=this&&this.__classPrivateFieldGet||function(J,e,k,t){if(k==="a"&&!t)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?J!==e||!t:!e.has(J))throw new TypeError("Cannot read private member from an object whose class did not declare it");return k==="m"?t:k==="a"?t.call(J):t?t.value:e.get(J)};define(we[29],ye([0,1,17,16]),function(J,e,k,t){"use strict";var p,C,P;Object.defineProperty(e,"__esModule",{value:!0}),e.ReadonlyMapView=e.LRUCache=e.LinkedMap=e.Touch=e.ResourceMap=e.TernarySearchTree=e.UriIterator=e.PathIterator=e.ConfigKeysIterator=e.StringIterator=e.setToString=e.mapToString=e.getOrSet=void 0;function D(s,n,i){let r=s.get(n);return r===void 0&&(r=i,s.set(n,r)),r}e.getOrSet=D;function v(s){const n=[];return s.forEach((i,r)=>{n.push(`${r} => ${i}`)}),`Map(${s.size}) {${n.join(", ")}}`}e.mapToString=v;function I(s){const n=[];return s.forEach(i=>{n.push(i)}),`Set(${s.size}) {${n.join(", ")}}`}e.setToString=I;class L{constructor(){this._value="",this._pos=0}reset(n){return this._value=n,this._pos=0,this}next(){return this._pos+=1,this}hasNext(){return this._pos<this._value.length-1}cmp(n){const i=n.charCodeAt(0),r=this._value.charCodeAt(this._pos);return i-r}value(){return this._value[this._pos]}}e.StringIterator=L;class R{constructor(n=!0){this._caseSensitive=n}reset(n){return this._value=n,this._from=0,this._to=0,this.next()}hasNext(){return this._to<this._value.length}next(){this._from=this._to;let n=!0;for(;this._to<this._value.length;this._to++)if(this._value.charCodeAt(this._to)===46)if(n)this._from++;else break;else n=!1;return this}cmp(n){return this._caseSensitive?(0,t.compareSubstring)(n,this._value,0,n.length,this._from,this._to):(0,t.compareSubstringIgnoreCase)(n,this._value,0,n.length,this._from,this._to)}value(){return this._value.substring(this._from,this._to)}}e.ConfigKeysIterator=R;class g{constructor(n=!0,i=!0){this._splitOnBackslash=n,this._caseSensitive=i}reset(n){this._from=0,this._to=0,this._value=n,this._valueLen=n.length;for(let i=n.length-1;i>=0;i--,this._valueLen--){const r=this._value.charCodeAt(i);if(!(r===47||this._splitOnBackslash&&r===92))break}return this.next()}hasNext(){return this._to<this._valueLen}next(){this._from=this._to;let n=!0;for(;this._to<this._valueLen;this._to++){const i=this._value.charCodeAt(this._to);if(i===47||this._splitOnBackslash&&i===92)if(n)this._from++;else break;else n=!1}return this}cmp(n){return this._caseSensitive?(0,t.compareSubstring)(n,this._value,0,n.length,this._from,this._to):(0,t.compareSubstringIgnoreCase)(n,this._value,0,n.length,this._from,this._to)}value(){return this._value.substring(this._from,this._to)}}e.PathIterator=g;var b;(function(s){s[s.Scheme=1]="Scheme",s[s.Authority=2]="Authority",s[s.Path=3]="Path",s[s.Query=4]="Query",s[s.Fragment=5]="Fragment"})(b||(b={}));class c{constructor(n){this._ignorePathCasing=n,this._states=[],this._stateIdx=0}reset(n){return this._value=n,this._states=[],this._value.scheme&&this._states.push(1),this._value.authority&&this._states.push(2),this._value.path&&(this._pathIterator=new g(!1,!this._ignorePathCasing(n)),this._pathIterator.reset(n.path),this._pathIterator.value()&&this._states.push(3)),this._value.query&&this._states.push(4),this._value.fragment&&this._states.push(5),this._stateIdx=0,this}next(){return this._states[this._stateIdx]===3&&this._pathIterator.hasNext()?this._pathIterator.next():this._stateIdx+=1,this}hasNext(){return this._states[this._stateIdx]===3&&this._pathIterator.hasNext()||this._stateIdx<this._states.length-1}cmp(n){if(this._states[this._stateIdx]===1)return(0,t.compareIgnoreCase)(n,this._value.scheme);if(this._states[this._stateIdx]===2)return(0,t.compareIgnoreCase)(n,this._value.authority);if(this._states[this._stateIdx]===3)return this._pathIterator.cmp(n);if(this._states[this._stateIdx]===4)return(0,t.compare)(n,this._value.query);if(this._states[this._stateIdx]===5)return(0,t.compare)(n,this._value.fragment);throw new Error}value(){if(this._states[this._stateIdx]===1)return this._value.scheme;if(this._states[this._stateIdx]===2)return this._value.authority;if(this._states[this._stateIdx]===3)return this._pathIterator.value();if(this._states[this._stateIdx]===4)return this._value.query;if(this._states[this._stateIdx]===5)return this._value.fragment;throw new Error}}e.UriIterator=c;class h{constructor(){this.height=1}isEmpty(){return!this.left&&!this.mid&&!this.right&&!this.value}rotateLeft(){const n=this.right;return this.right=n.left,n.left=this,this.updateHeight(),n.updateHeight(),n}rotateRight(){const n=this.left;return this.left=n.right,n.right=this,this.updateHeight(),n.updateHeight(),n}updateHeight(){this.height=1+Math.max(this.heightLeft,this.heightRight)}balanceFactor(){return this.heightRight-this.heightLeft}get heightLeft(){return this.left?.height??0}get heightRight(){return this.right?.height??0}}var d;(function(s){s[s.Left=-1]="Left",s[s.Mid=0]="Mid",s[s.Right=1]="Right"})(d||(d={}));class E{constructor(n){this._iter=n}static forUris(n=()=>!1){return new E(new c(n))}static forPaths(n=!1){return new E(new g(void 0,!n))}static forStrings(){return new E(new L)}static forConfigKeys(){return new E(new R)}clear(){this._root=void 0}fill(n,i){if(i){const r=i.slice(0);(0,k.shuffle)(r);for(let a of r)this.set(a,n)}else{const r=n.slice(0);(0,k.shuffle)(r);for(let a of r)this.set(a[0],a[1])}}set(n,i){const r=this._iter.reset(n);let a;this._root||(this._root=new h,this._root.segment=r.value());const m=[];for(a=this._root;;){const _=r.cmp(a.segment);if(_>0)a.left||(a.left=new h,a.left.segment=r.value()),m.push([-1,a]),a=a.left;else if(_<0)a.right||(a.right=new h,a.right.segment=r.value()),m.push([1,a]),a=a.right;else if(r.hasNext())r.next(),a.mid||(a.mid=new h,a.mid.segment=r.value()),m.push([0,a]),a=a.mid;else break}const S=a.value;a.value=i,a.key=n;for(let _=m.length-1;_>=0;_--){const F=m[_][1];F.updateHeight();const B=F.balanceFactor();if(B<-1||B>1){const A=m[_][0],T=m[_+1][0];if(A===1&&T===1)m[_][1]=F.rotateLeft();else if(A===-1&&T===-1)m[_][1]=F.rotateRight();else if(A===1&&T===-1)F.right=m[_+1][1]=m[_+1][1].rotateRight(),m[_][1]=F.rotateLeft();else if(A===-1&&T===1)F.left=m[_+1][1]=m[_+1][1].rotateLeft(),m[_][1]=F.rotateRight();else throw new Error;if(_>0)switch(m[_-1][0]){case-1:m[_-1][1].left=m[_][1];break;case 1:m[_-1][1].right=m[_][1];break;case 0:m[_-1][1].mid=m[_][1];break}else this._root=m[0][1]}}return S}get(n){return this._getNode(n)?.value}_getNode(n){const i=this._iter.reset(n);let r=this._root;for(;r;){const a=i.cmp(r.segment);if(a>0)r=r.left;else if(a<0)r=r.right;else if(i.hasNext())i.next(),r=r.mid;else break}return r}has(n){const i=this._getNode(n);return!(i?.value===void 0&&i?.mid===void 0)}delete(n){return this._delete(n,!1)}deleteSuperstr(n){return this._delete(n,!0)}_delete(n,i){const r=this._iter.reset(n),a=[];let m=this._root;for(;m;){const S=r.cmp(m.segment);if(S>0)a.push([-1,m]),m=m.left;else if(S<0)a.push([1,m]),m=m.right;else if(r.hasNext())r.next(),a.push([0,m]),m=m.mid;else break}if(!!m){if(i?(m.left=void 0,m.mid=void 0,m.right=void 0,m.height=1):(m.key=void 0,m.value=void 0),!m.mid&&!m.value)if(m.left&&m.right){const S=this._min(m.right),{key:_,value:F,segment:B}=S;this._delete(S.key,!1),m.key=_,m.value=F,m.segment=B}else{const S=m.left??m.right;if(a.length>0){const[_,F]=a[a.length-1];switch(_){case-1:F.left=S;break;case 0:F.mid=S;break;case 1:F.right=S;break}}else this._root=S}for(let S=a.length-1;S>=0;S--){const _=a[S][1];_.updateHeight();const F=_.balanceFactor();if(F>1?(_.right.balanceFactor()>=0||(_.right=_.right.rotateRight()),a[S][1]=_.rotateLeft()):F<-1&&(_.left.balanceFactor()<=0||(_.left=_.left.rotateLeft()),a[S][1]=_.rotateRight()),S>0)switch(a[S-1][0]){case-1:a[S-1][1].left=a[S][1];break;case 1:a[S-1][1].right=a[S][1];break;case 0:a[S-1][1].mid=a[S][1];break}else this._root=a[0][1]}}}_min(n){for(;n.left;)n=n.left;return n}findSubstr(n){const i=this._iter.reset(n);let r=this._root,a;for(;r;){const m=i.cmp(r.segment);if(m>0)r=r.left;else if(m<0)r=r.right;else if(i.hasNext())i.next(),a=r.value||a,r=r.mid;else break}return r&&r.value||a}findSuperstr(n){const i=this._iter.reset(n);let r=this._root;for(;r;){const a=i.cmp(r.segment);if(a>0)r=r.left;else if(a<0)r=r.right;else if(i.hasNext())i.next(),r=r.mid;else return r.mid?this._entries(r.mid):void 0}}forEach(n){for(const[i,r]of this)n(r,i)}*[Symbol.iterator](){yield*this._entries(this._root)}*_entries(n){!n||(n.left&&(yield*this._entries(n.left)),n.value&&(yield[n.key,n.value]),n.mid&&(yield*this._entries(n.mid)),n.right&&(yield*this._entries(n.right)))}_isBalanced(){const n=i=>{if(!i)return!0;const r=i.balanceFactor();return r<-1||r>1?!1:n(i.left)&&n(i.right)};return n(this._root)}}e.TernarySearchTree=E;class w{constructor(n,i){this.uri=n,this.value=i}}class f{constructor(n,i){this[p]="ResourceMap",n instanceof f?(this.map=new Map(n.map),this.toKey=i??f.defaultToKey):(this.map=new Map,this.toKey=n??f.defaultToKey)}set(n,i){return this.map.set(this.toKey(n),new w(n,i)),this}get(n){return this.map.get(this.toKey(n))?.value}has(n){return this.map.has(this.toKey(n))}get size(){return this.map.size}clear(){this.map.clear()}delete(n){return this.map.delete(this.toKey(n))}forEach(n,i){typeof i!="undefined"&&(n=n.bind(i));for(let[r,a]of this.map)n(a.value,a.uri,this)}*values(){for(let n of this.map.values())yield n.value}*keys(){for(let n of this.map.values())yield n.uri}*entries(){for(let n of this.map.values())yield[n.uri,n.value]}*[(p=Symbol.toStringTag,Symbol.iterator)](){for(let[,n]of this.map)yield[n.uri,n.value]}}e.ResourceMap=f,f.defaultToKey=s=>s.toString();var y;(function(s){s[s.None=0]="None",s[s.AsOld=1]="AsOld",s[s.AsNew=2]="AsNew"})(y=e.Touch||(e.Touch={}));class u{constructor(){this[C]="LinkedMap",this._map=new Map,this._head=void 0,this._tail=void 0,this._size=0,this._state=0}clear(){this._map.clear(),this._head=void 0,this._tail=void 0,this._size=0,this._state++}isEmpty(){return!this._head&&!this._tail}get size(){return this._size}get first(){return this._head?.value}get last(){return this._tail?.value}has(n){return this._map.has(n)}get(n,i=0){const r=this._map.get(n);if(!!r)return i!==0&&this.touch(r,i),r.value}set(n,i,r=0){let a=this._map.get(n);if(a)a.value=i,r!==0&&this.touch(a,r);else{switch(a={key:n,value:i,next:void 0,previous:void 0},r){case 0:this.addItemLast(a);break;case 1:this.addItemFirst(a);break;case 2:this.addItemLast(a);break;default:this.addItemLast(a);break}this._map.set(n,a),this._size++}return this}delete(n){return!!this.remove(n)}remove(n){const i=this._map.get(n);if(!!i)return this._map.delete(n),this.removeItem(i),this._size--,i.value}shift(){if(!this._head&&!this._tail)return;if(!this._head||!this._tail)throw new Error("Invalid list");const n=this._head;return this._map.delete(n.key),this.removeItem(n),this._size--,n.value}forEach(n,i){const r=this._state;let a=this._head;for(;a;){if(i?n.bind(i)(a.value,a.key,this):n(a.value,a.key,this),this._state!==r)throw new Error("LinkedMap got modified during iteration.");a=a.next}}keys(){const n=this,i=this._state;let r=this._head;const a={[Symbol.iterator](){return a},next(){if(n._state!==i)throw new Error("LinkedMap got modified during iteration.");if(r){const m={value:r.key,done:!1};return r=r.next,m}else return{value:void 0,done:!0}}};return a}values(){const n=this,i=this._state;let r=this._head;const a={[Symbol.iterator](){return a},next(){if(n._state!==i)throw new Error("LinkedMap got modified during iteration.");if(r){const m={value:r.value,done:!1};return r=r.next,m}else return{value:void 0,done:!0}}};return a}entries(){const n=this,i=this._state;let r=this._head;const a={[Symbol.iterator](){return a},next(){if(n._state!==i)throw new Error("LinkedMap got modified during iteration.");if(r){const m={value:[r.key,r.value],done:!1};return r=r.next,m}else return{value:void 0,done:!0}}};return a}[(C=Symbol.toStringTag,Symbol.iterator)](){return this.entries()}trimOld(n){if(n>=this.size)return;if(n===0){this.clear();return}let i=this._head,r=this.size;for(;i&&r>n;)this._map.delete(i.key),i=i.next,r--;this._head=i,this._size=r,i&&(i.previous=void 0),this._state++}addItemFirst(n){if(!this._head&&!this._tail)this._tail=n;else if(this._head)n.next=this._head,this._head.previous=n;else throw new Error("Invalid list");this._head=n,this._state++}addItemLast(n){if(!this._head&&!this._tail)this._head=n;else if(this._tail)n.previous=this._tail,this._tail.next=n;else throw new Error("Invalid list");this._tail=n,this._state++}removeItem(n){if(n===this._head&&n===this._tail)this._head=void 0,this._tail=void 0;else if(n===this._head){if(!n.next)throw new Error("Invalid list");n.next.previous=void 0,this._head=n.next}else if(n===this._tail){if(!n.previous)throw new Error("Invalid list");n.previous.next=void 0,this._tail=n.previous}else{const i=n.next,r=n.previous;if(!i||!r)throw new Error("Invalid list");i.previous=r,r.next=i}n.next=void 0,n.previous=void 0,this._state++}touch(n,i){if(!this._head||!this._tail)throw new Error("Invalid list");if(!(i!==1&&i!==2)){if(i===1){if(n===this._head)return;const r=n.next,a=n.previous;n===this._tail?(a.next=void 0,this._tail=a):(r.previous=a,a.next=r),n.previous=void 0,n.next=this._head,this._head.previous=n,this._head=n,this._state++}else if(i===2){if(n===this._tail)return;const r=n.next,a=n.previous;n===this._head?(r.previous=void 0,this._head=r):(r.previous=a,a.next=r),n.next=void 0,n.previous=this._tail,this._tail.next=n,this._tail=n,this._state++}}}toJSON(){const n=[];return this.forEach((i,r)=>{n.push([r,i])}),n}fromJSON(n){this.clear();for(const[i,r]of n)this.set(i,r)}}e.LinkedMap=u;class o extends u{constructor(n,i=1){super();this._limit=n,this._ratio=Math.min(Math.max(0,i),1)}get limit(){return this._limit}set limit(n){this._limit=n,this.checkTrim()}get ratio(){return this._ratio}set ratio(n){this._ratio=Math.min(Math.max(0,n),1),this.checkTrim()}get(n,i=2){return super.get(n,i)}peek(n){return super.get(n,0)}set(n,i){return super.set(n,i,2),this.checkTrim(),this}checkTrim(){this.size>this._limit&&this.trimOld(Math.round(this._limit*this._ratio))}}e.LRUCache=o;class l{constructor(n){P.set(this,void 0),yt(this,P,n,"f")}get size(){return tt(this,P,"f").size}forEach(n,i){tt(this,P,"f").forEach(n,i)}get(n){return tt(this,P,"f").get(n)}has(n){return tt(this,P,"f").has(n)}entries(){return tt(this,P,"f").entries()}keys(){return tt(this,P,"f").keys()}values(){return tt(this,P,"f").values()}[(P=new WeakMap,Symbol.iterator)](){return tt(this,P,"f").entries()}}e.ReadonlyMapView=l}),define(we[125],ye([0,1,29,16]),function(J,e,k,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.fuzzyScoreGraceful=e.fuzzyScoreGracefulAggressive=e.fuzzyScore=e.FuzzyScore=e.isPatternInWord=e.createMatches=e.anyScore=e.matchesFuzzy2=e.matchesFuzzy=e.matchesWords=e.matchesCamelCase=e.isUpper=e.matchesSubString=e.matchesContiguousSubString=e.matchesPrefix=e.matchesStrictPrefix=e.or=void 0;function p(...z){return function(G,Y){for(let ue=0,pe=z.length;ue<pe;ue++){const Pe=z[ue](G,Y);if(Pe)return Pe}return null}}e.or=p,e.matchesStrictPrefix=C.bind(void 0,!1),e.matchesPrefix=C.bind(void 0,!0);function C(z,G,Y){if(!Y||Y.length<G.length)return null;let ue;return z?ue=t.startsWithIgnoreCase(Y,G):ue=Y.indexOf(G)===0,ue?G.length>0?[{start:0,end:G.length}]:[]:null}function P(z,G){const Y=G.toLowerCase().indexOf(z.toLowerCase());return Y===-1?null:[{start:Y,end:Y+z.length}]}e.matchesContiguousSubString=P;function D(z,G){return v(z.toLowerCase(),G.toLowerCase(),0,0)}e.matchesSubString=D;function v(z,G,Y,ue){if(Y===z.length)return[];if(ue===G.length)return null;if(z[Y]===G[ue]){let pe=null;return(pe=v(z,G,Y+1,ue+1))?E({start:ue,end:ue+1},pe):null}return v(z,G,Y,ue+1)}function I(z){return 97<=z&&z<=122}function L(z){return 65<=z&&z<=90}e.isUpper=L;function R(z){return 48<=z&&z<=57}function g(z){return z===32||z===9||z===10||z===13}const b=new Set;"()[]{}<>`'\"-/;:,.?!".split("").forEach(z=>b.add(z.charCodeAt(0)));function c(z){return g(z)||b.has(z)}function h(z,G){return z===G||c(z)&&c(G)}function d(z){return I(z)||L(z)||R(z)}function E(z,G){return G.length===0?G=[z]:z.end===G[0].start?G[0].start=z.start:G.unshift(z),G}function w(z,G){for(let Y=G;Y<z.length;Y++){const ue=z.charCodeAt(Y);if(L(ue)||R(ue)||Y>0&&!d(z.charCodeAt(Y-1)))return Y}return z.length}function f(z,G,Y,ue){if(Y===z.length)return[];if(ue===G.length)return null;if(z[Y]!==G[ue].toLowerCase())return null;{let pe=null,Pe=ue+1;for(pe=f(z,G,Y+1,ue+1);!pe&&(Pe=w(G,Pe))<G.length;)pe=f(z,G,Y+1,Pe),Pe++;return pe===null?null:E({start:ue,end:ue+1},pe)}}function y(z){let G=0,Y=0,ue=0,pe=0,Pe=0;for(let ge=0;ge<z.length;ge++)Pe=z.charCodeAt(ge),L(Pe)&&G++,I(Pe)&&Y++,d(Pe)&&ue++,R(Pe)&&pe++;const Re=G/z.length,Fe=Y/z.length,Ue=ue/z.length,le=pe/z.length;return{upperPercent:Re,lowerPercent:Fe,alphaPercent:Ue,numericPercent:le}}function u(z){const{upperPercent:G,lowerPercent:Y}=z;return Y===0&&G>.6}function o(z){const{upperPercent:G,lowerPercent:Y,alphaPercent:ue,numericPercent:pe}=z;return Y>.2&&G<.8&&ue>.6&&pe<.2}function l(z){let G=0,Y=0,ue=0,pe=0;for(let Pe=0;Pe<z.length;Pe++)ue=z.charCodeAt(Pe),L(ue)&&G++,I(ue)&&Y++,g(ue)&&pe++;return(G===0||Y===0)&&pe===0?z.length<=30:G<=5}function s(z,G){if(!G||(G=G.trim(),G.length===0)||!l(z)||G.length>60)return null;const Y=y(G);if(!o(Y)){if(!u(Y))return null;G=G.toLowerCase()}let ue=null,pe=0;for(z=z.toLowerCase();pe<G.length&&(ue=f(z,G,0,pe))===null;)pe=w(G,pe+1);return ue}e.matchesCamelCase=s;function n(z,G,Y=!1){if(!G||G.length===0)return null;let ue=null,pe=0;for(z=z.toLowerCase(),G=G.toLowerCase();pe<G.length&&(ue=i(z,G,0,pe,Y))===null;)pe=r(G,pe+1);return ue}e.matchesWords=n;function i(z,G,Y,ue,pe){if(Y===z.length)return[];if(ue===G.length)return null;if(h(z.charCodeAt(Y),G.charCodeAt(ue))){let Pe=null,Re=ue+1;if(Pe=i(z,G,Y+1,ue+1,pe),!pe)for(;!Pe&&(Re=r(G,Re))<G.length;)Pe=i(z,G,Y+1,Re,pe),Re++;return Pe===null?null:E({start:ue,end:ue+1},Pe)}else return null}function r(z,G){for(let Y=G;Y<z.length;Y++)if(c(z.charCodeAt(Y))||Y>0&&c(z.charCodeAt(Y-1)))return Y;return z.length}const a=p(e.matchesPrefix,s,P),m=p(e.matchesPrefix,s,D),S=new k.LRUCache(1e4);function _(z,G,Y=!1){if(typeof z!="string"||typeof G!="string")return null;let ue=S.get(z);ue||(ue=new RegExp(t.convertSimple2RegExpPattern(z),"i"),S.set(z,ue));const pe=ue.exec(G);return pe?[{start:pe.index,end:pe.index+pe[0].length}]:Y?m(z,G):a(z,G)}e.matchesFuzzy=_;function F(z,G){const Y=ee(z,z.toLowerCase(),0,G,G.toLowerCase(),0,!0);return Y?A(Y):null}e.matchesFuzzy2=F;function B(z,G,Y,ue,pe,Pe){const Re=Math.min(13,z.length);for(;Y<Re;Y++){const Fe=ee(z,G,Y,ue,pe,Pe,!1);if(Fe)return Fe}return[0,Pe]}e.anyScore=B;function A(z){if(typeof z=="undefined")return[];const G=[],Y=z[1];for(let ue=z.length-1;ue>1;ue--){const pe=z[ue]+Y,Pe=G[G.length-1];Pe&&Pe.end===pe?Pe.end=pe+1:G.push({start:pe,end:pe+1})}return G}e.createMatches=A;const T=128;function U(){const z=[],G=[];for(let Y=0;Y<=T;Y++)G[Y]=0;for(let Y=0;Y<=T;Y++)z.push(G.slice(0));return z}function N(z){const G=[];for(let Y=0;Y<=z;Y++)G[Y]=0;return G}const W=N(2*T),ie=N(2*T),q=U(),se=U(),V=U(),K=!1;function te(z,G,Y,ue,pe){function Pe(Fe,Ue,le=" "){for(;Fe.length<Ue;)Fe=le+Fe;return Fe}let Re=` |   |${ue.split("").map(Fe=>Pe(Fe,3)).join("|")}
`;for(let Fe=0;Fe<=Y;Fe++)Fe===0?Re+=" |":Re+=`${G[Fe-1]}|`,Re+=z[Fe].slice(0,pe+1).map(Ue=>Pe(Ue.toString(),3)).join("|")+`
`;return Re}function re(z,G,Y,ue){z=z.substr(G),Y=Y.substr(ue),console.log(te(se,z,z.length,Y,Y.length)),console.log(te(V,z,z.length,Y,Y.length)),console.log(te(q,z,z.length,Y,Y.length))}function oe(z,G){if(G<0||G>=z.length)return!1;const Y=z.codePointAt(G);switch(Y){case 95:case 45:case 46:case 32:case 47:case 92:case 39:case 34:case 58:case 36:case 60:case 40:case 91:return!0;case void 0:return!1;default:return!!t.isEmojiImprecise(Y)}}function me(z,G){if(G<0||G>=z.length)return!1;switch(z.charCodeAt(G)){case 32:case 9:return!0;default:return!1}}function X(z,G,Y){return G[z]!==Y[z]}function $(z,G,Y,ue,pe,Pe,Re=!1){for(;G<Y&&pe<Pe;)z[G]===ue[pe]&&(Re&&(W[G]=pe),G+=1),pe+=1;return G===Y}e.isPatternInWord=$;var H;(function(z){z[z.Diag=1]="Diag",z[z.Left=2]="Left",z[z.LeftLeft=3]="LeftLeft"})(H||(H={}));var j;(function(z){z.Default=[-100,0];function G(Y){return!Y||Y.length===2&&Y[0]===-100&&Y[1]===0}z.isDefault=G})(j=e.FuzzyScore||(e.FuzzyScore={}));function ee(z,G,Y,ue,pe,Pe,Re){const Fe=z.length>T?T:z.length,Ue=ue.length>T?T:ue.length;if(Y>=Fe||Pe>=Ue||Fe-Y>Ue-Pe||!$(G,Y,Fe,pe,Pe,Ue,!0))return;he(Fe,Ue,Y,Pe,G,pe);let le=1,ge=1,de=Y,Te=Pe;const Me=[!1];for(le=1,de=Y;de<Fe;le++,de++){const ne=W[de],be=ie[de],ke=de+1<Fe?ie[de+1]:Ue;for(ge=ne-Pe+1,Te=ne;Te<ke;ge++,Te++){let Le=Number.MIN_SAFE_INTEGER,Ne=!1;Te<=be&&(Le=Ie(z,G,de,Y,ue,pe,Te,Ue,Pe,q[le-1][ge-1]===0,Me));let Ye=0;Le!==Number.MAX_SAFE_INTEGER&&(Ne=!0,Ye=Le+se[le-1][ge-1]);const $e=Te>ne,Ve=$e?se[le][ge-1]+(q[le][ge-1]>0?-5:0):0,Xe=Te>ne+1&&q[le][ge-1]>0,Ge=Xe?se[le][ge-2]+(q[le][ge-2]>0?-5:0):0;if(Xe&&(!$e||Ge>=Ve)&&(!Ne||Ge>=Ye))se[le][ge]=Ge,V[le][ge]=3,q[le][ge]=0;else if($e&&(!Ne||Ve>=Ye))se[le][ge]=Ve,V[le][ge]=2,q[le][ge]=0;else if(Ne)se[le][ge]=Ye,V[le][ge]=1,q[le][ge]=q[le-1][ge-1]+1;else throw new Error("not possible")}}if(K&&re(z,Y,ue,Pe),!Me[0]&&!Re)return;le--,ge--;const je=[se[le][ge],Pe];let Be=0,He=0;for(;le>=1;){let ne=ge;do{const be=V[le][ne];if(be===3)ne=ne-2;else if(be===2)ne=ne-1;else break}while(ne>=1);Be>1&&G[Y+le-1]===pe[Pe+ge-1]&&!X(ne+Pe-1,ue,pe)&&Be+1>q[le][ne]&&(ne=ge),ne===ge?Be++:Be=1,He||(He=ne),le--,ge=ne-1,je.push(ge)}Ue===Fe&&(je[0]+=2);const qe=He-Fe;return je[0]-=qe,je}e.fuzzyScore=ee;function he(z,G,Y,ue,pe,Pe){let Re=z-1,Fe=G-1;for(;Re>=Y&&Fe>=ue;)pe[Re]===Pe[Fe]&&(ie[Re]=Fe,Re--),Fe--}function Ie(z,G,Y,ue,pe,Pe,Re,Fe,Ue,le,ge){if(G[Y]!==Pe[Re])return Number.MIN_SAFE_INTEGER;let de=1,Te=!1;return Re===Y-ue?de=z[Y]===pe[Re]?7:5:X(Re,pe,Pe)&&(Re===0||!X(Re-1,pe,Pe))?(de=z[Y]===pe[Re]?7:5,Te=!0):oe(Pe,Re)&&(Re===0||!oe(Pe,Re-1))?de=5:(oe(Pe,Re-1)||me(Pe,Re-1))&&(de=5,Te=!0),de>1&&Y===ue&&(ge[0]=!0),Te||(Te=X(Re,pe,Pe)||oe(Pe,Re-1)||me(Pe,Re-1)),Y===ue?Re>Ue&&(de-=Te?3:5):le?de+=Te?2:0:de+=Te?0:1,Re+1===Fe&&(de-=Te?3:5),de}function ae(z,G,Y,ue,pe,Pe,Re){return ve(z,G,Y,ue,pe,Pe,!0,Re)}e.fuzzyScoreGracefulAggressive=ae;function fe(z,G,Y,ue,pe,Pe,Re){return ve(z,G,Y,ue,pe,Pe,!1,Re)}e.fuzzyScoreGraceful=fe;function ve(z,G,Y,ue,pe,Pe,Re,Fe){let Ue=ee(z,G,Y,ue,pe,Pe,Fe);if(Ue&&!Re)return Ue;if(z.length>=3){const le=Math.min(7,z.length-1);for(let ge=Y+1;ge<le;ge++){const de=Q(z,ge);if(de){const Te=ee(de,de.toLowerCase(),Y,ue,pe,Pe,Fe);Te&&(Te[0]-=3,(!Ue||Te[0]>Ue[0])&&(Ue=Te))}}}return Ue}function Q(z,G){if(G+1>=z.length)return;const Y=z[G],ue=z[G+1];if(Y!==ue)return z.slice(0,G)+ue+Y+z.slice(G+2)}}),define(we[126],ye([0,1,37,125,16]),function(J,e,k,t,p){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.matchesFuzzyIconAware=e.parseLabelWithIcons=e.stripIcons=e.markdownEscapeEscapedIcons=e.escapeIcons=e.iconStartMarker=void 0,e.iconStartMarker="$(";const C=new RegExp(`\\$\\(${k.CSSIcon.iconNameExpression}(?:${k.CSSIcon.iconModifierExpression})?\\)`,"g"),P=new RegExp(k.CSSIcon.iconNameCharacter),D=new RegExp(`(\\\\)?${C.source}`,"g");function v(d){return d.replace(D,(E,w)=>w?E:`\\${E}`)}e.escapeIcons=v;const I=new RegExp(`\\\\${C.source}`,"g");function L(d){return d.replace(I,E=>`\\${E}`)}e.markdownEscapeEscapedIcons=L;const R=new RegExp(`(\\s)?(\\\\)?${C.source}(\\s)?`,"g");function g(d){return d.indexOf(e.iconStartMarker)===-1?d:d.replace(R,(E,w,f,y)=>f?E:w||y||"")}e.stripIcons=g;function b(d){const E=d.indexOf(e.iconStartMarker);return E===-1?{text:d}:c(d,E)}e.parseLabelWithIcons=b;function c(d,E){const w=[];let f="";function y(a){if(a){f+=a;for(const m of a)w.push(l)}}let u=-1,o="",l=0,s,n,i=E;const r=d.length;for(y(d.substr(0,E));i<r;)s=d[i],n=d[i+1],s===e.iconStartMarker[0]&&n===e.iconStartMarker[1]?(u=i,y(o),o=e.iconStartMarker,i++):s===")"&&u!==-1?(l+=i-u+1,u=-1,o=""):u!==-1?P.test(s)?o+=s:(y(o),u=-1,o=""):y(s),i++;return y(o),{text:f,iconOffsets:w}}function h(d,E,w=!1){const{text:f,iconOffsets:y}=E;if(!y||y.length===0)return(0,t.matchesFuzzy)(d,f,w);const u=(0,p.ltrim)(f," "),o=f.length-u.length,l=(0,t.matchesFuzzy)(d,u,w);if(l)for(const s of l){const n=y[s.start+o]+o;s.start+=n,s.end+=n}return l}e.matchesFuzzyIconAware=h}),define(we[75],ye([0,1,29]),function(J,e,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.removeAccents=e.normalizeNFD=e.normalizeNFC=void 0;const t=new k.LRUCache(1e4);function p(I){return v(I,"NFC",t)}e.normalizeNFC=p;const C=new k.LRUCache(1e4);function P(I){return v(I,"NFD",C)}e.normalizeNFD=P;const D=/[^\u0000-\u0080]/;function v(I,L,R){if(!I)return I;const g=R.get(I);if(g)return g;let b;return D.test(I)?b=I.normalize(L):b=I,R.set(I,b),b}e.removeAccents=function(){const I=/[\u0300-\u036f]/g;return function(L){return P(L).replace(I,"")}}()}),define(we[76],ye([0,1,16]),function(J,e,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var t;(function(p){p[p.Ignore=0]="Ignore",p[p.Info=1]="Info",p[p.Warning=2]="Warning",p[p.Error=3]="Error"})(t||(t={})),function(p){const C="error",P="warning",D="warn",v="info",I="ignore";function L(g){return g?k.equalsIgnoreCase(C,g)?p.Error:k.equalsIgnoreCase(P,g)||k.equalsIgnoreCase(D,g)?p.Warning:k.equalsIgnoreCase(v,g)?p.Info:p.Ignore:p.Ignore}p.fromValue=L;function R(g){switch(g){case p.Error:return C;case p.Warning:return P;case p.Info:return v;default:return I}}p.toString=R}(t||(t={})),e.default=t}),define(we[12],ye([0,1]),function(J,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.assertNever=e.withUndefinedAsNull=e.withNullAsUndefined=e.createProxyObject=e.getAllMethodNames=e.getAllPropertyNames=e.validateConstraint=e.validateConstraints=e.areFunctions=e.isFunction=e.isEmptyObject=e.assertAllDefined=e.assertIsDefined=e.assertType=e.isUndefinedOrNull=e.isDefined=e.isUndefined=e.isBoolean=e.isIterable=e.isNumber=e.isObject=e.isStringArray=e.isString=e.isArray=void 0;function k(r){return Array.isArray(r)}e.isArray=k;function t(r){return typeof r=="string"}e.isString=t;function p(r){return Array.isArray(r)&&r.every(a=>t(a))}e.isStringArray=p;function C(r){return typeof r=="object"&&r!==null&&!Array.isArray(r)&&!(r instanceof RegExp)&&!(r instanceof Date)}e.isObject=C;function P(r){return typeof r=="number"&&!isNaN(r)}e.isNumber=P;function D(r){return!!r&&typeof r[Symbol.iterator]=="function"}e.isIterable=D;function v(r){return r===!0||r===!1}e.isBoolean=v;function I(r){return typeof r=="undefined"}e.isUndefined=I;function L(r){return!R(r)}e.isDefined=L;function R(r){return I(r)||r===null}e.isUndefinedOrNull=R;function g(r,a){if(!r)throw new Error(a?`Unexpected type, expected '${a}'`:"Unexpected type")}e.assertType=g;function b(r){if(R(r))throw new Error("Assertion Failed: argument is undefined or null");return r}e.assertIsDefined=b;function c(...r){const a=[];for(let m=0;m<r.length;m++){const S=r[m];if(R(S))throw new Error(`Assertion Failed: argument at index ${m} is undefined or null`);a.push(S)}return a}e.assertAllDefined=c;const h=Object.prototype.hasOwnProperty;function d(r){if(!C(r))return!1;for(let a in r)if(h.call(r,a))return!1;return!0}e.isEmptyObject=d;function E(r){return typeof r=="function"}e.isFunction=E;function w(...r){return r.length>0&&r.every(E)}e.areFunctions=w;function f(r,a){const m=Math.min(r.length,a.length);for(let S=0;S<m;S++)y(r[S],a[S])}e.validateConstraints=f;function y(r,a){if(t(a)){if(typeof r!==a)throw new Error(`argument does not match constraint: typeof ${a}`)}else if(E(a)){try{if(r instanceof a)return}catch{}if(!R(r)&&r.constructor===a||a.length===1&&a.call(void 0,r)===!0)return;throw new Error("argument does not match one of these constraints: arg instanceof constraint, arg.constructor === constraint, nor constraint(arg) === true")}}e.validateConstraint=y;function u(r){let a=[],m=Object.getPrototypeOf(r);for(;Object.prototype!==m;)a=a.concat(Object.getOwnPropertyNames(m)),m=Object.getPrototypeOf(m);return a}e.getAllPropertyNames=u;function o(r){const a=[];for(const m of u(r))typeof r[m]=="function"&&a.push(m);return a}e.getAllMethodNames=o;function l(r,a){const m=_=>function(){const F=Array.prototype.slice.call(arguments,0);return a(_,F)};let S={};for(const _ of r)S[_]=m(_);return S}e.createProxyObject=l;function s(r){return r===null?void 0:r}e.withNullAsUndefined=s;function n(r){return typeof r=="undefined"?null:r}e.withUndefinedAsNull=n;function i(r,a="Unreachable"){throw new Error(a)}e.assertNever=i}),define(we[34],ye([0,1,5,3,16,12]),function(J,e,k,t,p,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.randomPath=e.parseLineAndColumnAware=e.indexOfPath=e.getDriveLetter=e.hasDriveLetter=e.isRootOrDriveLetter=e.sanitizeFilePath=e.isWindowsDriveLetter=e.isEqualOrParent=e.isEqual=e.isValidBasename=e.isUNC=e.getRoot=e.toPosixPath=e.toSlashes=e.isPathSeparator=void 0;function P(i){return i===47||i===92}e.isPathSeparator=P;function D(i){return i.replace(/[\\/]/g,k.posix.sep)}e.toSlashes=D;function v(i){return i.indexOf("/")===-1&&(i=D(i)),/^[a-zA-Z]:(\/|$)/.test(i)&&(i="/"+i),i}e.toPosixPath=v;function I(i,r=k.posix.sep){if(!i)return"";const a=i.length,m=i.charCodeAt(0);if(P(m)){if(P(i.charCodeAt(1))&&!P(i.charCodeAt(2))){let _=3;const F=_;for(;_<a&&!P(i.charCodeAt(_));_++);if(F!==_&&!P(i.charCodeAt(_+1))){for(_+=1;_<a;_++)if(P(i.charCodeAt(_)))return i.slice(0,_+1).replace(/[\\/]/g,r)}}return r}else if(E(m)&&i.charCodeAt(1)===58)return P(i.charCodeAt(2))?i.slice(0,2)+r:i.slice(0,2);let S=i.indexOf("://");if(S!==-1){for(S+=3;S<a;S++)if(P(i.charCodeAt(S)))return i.slice(0,S+1)}return""}e.getRoot=I;function L(i){if(!t.isWindows||!i||i.length<5)return!1;let r=i.charCodeAt(0);if(r!==92||(r=i.charCodeAt(1),r!==92))return!1;let a=2;const m=a;for(;a<i.length&&(r=i.charCodeAt(a),r!==92);a++);return!(m===a||(r=i.charCodeAt(a+1),isNaN(r)||r===92))}e.isUNC=L;const R=/[\\/:\*\?"<>\|]/g,g=/[\\/]/g,b=/^(con|prn|aux|clock\$|nul|lpt[0-9]|com[0-9])(\.(.*?))?$/i;function c(i,r=t.isWindows){const a=r?R:g;return!(!i||i.length===0||/^\s+$/.test(i)||(a.lastIndex=0,a.test(i))||r&&b.test(i)||i==="."||i===".."||r&&i[i.length-1]==="."||r&&i.length!==i.trim().length||i.length>255)}e.isValidBasename=c;function h(i,r,a){const m=i===r;return!a||m?m:!i||!r?!1:(0,p.equalsIgnoreCase)(i,r)}e.isEqual=h;function d(i,r,a,m=k.sep){if(i===r)return!0;if(!i||!r||r.length>i.length)return!1;if(a){if(!(0,p.startsWithIgnoreCase)(i,r))return!1;if(r.length===i.length)return!0;let _=r.length;return r.charAt(r.length-1)===m&&_--,i.charAt(_)===m}return r.charAt(r.length-1)!==m&&(r+=m),i.indexOf(r)===0}e.isEqualOrParent=d;function E(i){return i>=65&&i<=90||i>=97&&i<=122}e.isWindowsDriveLetter=E;function w(i,r){return t.isWindows&&i.endsWith(":")&&(i+=k.sep),(0,k.isAbsolute)(i)||(i=(0,k.join)(r,i)),i=(0,k.normalize)(i),t.isWindows?(i=(0,p.rtrim)(i,k.sep),i.endsWith(":")&&(i+=k.sep)):(i=(0,p.rtrim)(i,k.sep),i||(i=k.sep)),i}e.sanitizeFilePath=w;function f(i){const r=(0,k.normalize)(i);return t.isWindows?i.length>3?!1:y(r)&&(i.length===2||r.charCodeAt(2)===92):r===k.posix.sep}e.isRootOrDriveLetter=f;function y(i,r){return(r!==void 0?r:t.isWindows)?E(i.charCodeAt(0))&&i.charCodeAt(1)===58:!1}e.hasDriveLetter=y;function u(i){return y(i)?i[0]:void 0}e.getDriveLetter=u;function o(i,r,a){return r.length>i.length?-1:i===r?0:(a&&(i=i.toLowerCase(),r=r.toLowerCase()),i.indexOf(r))}e.indexOfPath=o;function l(i){const r=i.split(":");let a,m,S;for(const _ of r){const F=Number(_);(0,C.isNumber)(F)?m===void 0?m=F:S===void 0&&(S=F):a=a?[a,_].join(":"):_}if(!a)throw new Error("Format for `--goto` should be: `FILE:LINE(:COLUMN)`");return{path:a,line:m!==void 0?m:void 0,column:S!==void 0?S:m!==void 0?1:void 0}}e.parseLineAndColumnAware=l;const s="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789";function n(i,r,a=8){let m="";for(let _=0;_<a;_++)m+=s.charAt(Math.floor(Math.random()*s.length));let S;return r?S=`${r}-${m}`:S=m,i?(0,k.join)(i,S):S}e.randomPath=n}),define(we[21],ye([0,1,12]),function(J,e,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.filter=e.getCaseInsensitive=e.distinct=e.getOrDefault=e.safeStringify=e.equals=e.mixin=e.cloneAndChange=e.deepFreeze=e.deepClone=void 0;function t(h){if(!h||typeof h!="object"||h instanceof RegExp)return h;const d=Array.isArray(h)?[]:{};return Object.keys(h).forEach(E=>{h[E]&&typeof h[E]=="object"?d[E]=t(h[E]):d[E]=h[E]}),d}e.deepClone=t;function p(h){if(!h||typeof h!="object")return h;const d=[h];for(;d.length>0;){const E=d.shift();Object.freeze(E);for(const w in E)if(C.call(E,w)){const f=E[w];typeof f=="object"&&!Object.isFrozen(f)&&d.push(f)}}return h}e.deepFreeze=p;const C=Object.prototype.hasOwnProperty;function P(h,d){return D(h,d,new Set)}e.cloneAndChange=P;function D(h,d,E){if((0,k.isUndefinedOrNull)(h))return h;const w=d(h);if(typeof w!="undefined")return w;if((0,k.isArray)(h)){const f=[];for(const y of h)f.push(D(y,d,E));return f}if((0,k.isObject)(h)){if(E.has(h))throw new Error("Cannot clone recursive data-structure");E.add(h);const f={};for(let y in h)C.call(h,y)&&(f[y]=D(h[y],d,E));return E.delete(h),f}return h}function v(h,d,E=!0){return(0,k.isObject)(h)?((0,k.isObject)(d)&&Object.keys(d).forEach(w=>{w in h?E&&((0,k.isObject)(h[w])&&(0,k.isObject)(d[w])?v(h[w],d[w],E):h[w]=d[w]):h[w]=d[w]}),h):d}e.mixin=v;function I(h,d){if(h===d)return!0;if(h==null||d===null||d===void 0||typeof h!=typeof d||typeof h!="object"||Array.isArray(h)!==Array.isArray(d))return!1;let E,w;if(Array.isArray(h)){if(h.length!==d.length)return!1;for(E=0;E<h.length;E++)if(!I(h[E],d[E]))return!1}else{const f=[];for(w in h)f.push(w);f.sort();const y=[];for(w in d)y.push(w);if(y.sort(),!I(f,y))return!1;for(E=0;E<f.length;E++)if(!I(h[f[E]],d[f[E]]))return!1}return!0}e.equals=I;function L(h){const d=new Set;return JSON.stringify(h,(E,w)=>{if((0,k.isObject)(w)||Array.isArray(w)){if(d.has(w))return"[Circular]";d.add(w)}return w})}e.safeStringify=L;function R(h,d,E){const w=d(h);return typeof w=="undefined"?E:w}e.getOrDefault=R;function g(h,d){const E=Object.create(null);return!h||!d||Object.keys(d).forEach(f=>{const y=h[f],u=d[f];I(y,u)||(E[f]=u)}),E}e.distinct=g;function b(h,d){const E=d.toLowerCase(),w=Object.keys(h).find(f=>f.toLowerCase()===E);return w?h[w]:h[d]}e.getCaseInsensitive=b;function c(h,d){const E=Object.create(null);for(const[w,f]of Object.entries(h))d(w,f)&&(E[w]=f);return E}e.filter=c}),define(we[4],ye([0,1,5,3]),function(J,e,k,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.uriToFsPath=e.URI=void 0;const p=/^\w[\w\d+.-]*$/,C=/^\//,P=/^\/\//;function D(s,n){if(!s.scheme&&n)throw new Error(`[UriError]: Scheme is missing: {scheme: "", authority: "${s.authority}", path: "${s.path}", query: "${s.query}", fragment: "${s.fragment}"}`);if(s.scheme&&!p.test(s.scheme))throw new Error("[UriError]: Scheme contains illegal characters.");if(s.path){if(s.authority){if(!C.test(s.path))throw new Error('[UriError]: If a URI contains an authority component, then the path component must either be empty or begin with a slash ("/") character')}else if(P.test(s.path))throw new Error('[UriError]: If a URI does not contain an authority component, then the path cannot begin with two slash characters ("//")')}}function v(s,n){return!s&&!n?"file":s}function I(s,n){switch(s){case"https":case"http":case"file":n?n[0]!==R&&(n=R+n):n=R;break}return n}const L="",R="/",g=/^(([^:/?#]+?):)?(\/\/([^/?#]*))?([^?#]*)(\?([^#]*))?(#(.*))?/;class b{constructor(n,i,r,a,m,S=!1){typeof n=="object"?(this.scheme=n.scheme||L,this.authority=n.authority||L,this.path=n.path||L,this.query=n.query||L,this.fragment=n.fragment||L):(this.scheme=v(n,S),this.authority=i||L,this.path=I(this.scheme,r||L),this.query=a||L,this.fragment=m||L,D(this,S))}static isUri(n){return n instanceof b?!0:n?typeof n.authority=="string"&&typeof n.fragment=="string"&&typeof n.path=="string"&&typeof n.query=="string"&&typeof n.scheme=="string"&&typeof n.fsPath=="string"&&typeof n.with=="function"&&typeof n.toString=="function":!1}get fsPath(){return f(this,!1)}with(n){if(!n)return this;let{scheme:i,authority:r,path:a,query:m,fragment:S}=n;return i===void 0?i=this.scheme:i===null&&(i=L),r===void 0?r=this.authority:r===null&&(r=L),a===void 0?a=this.path:a===null&&(a=L),m===void 0?m=this.query:m===null&&(m=L),S===void 0?S=this.fragment:S===null&&(S=L),i===this.scheme&&r===this.authority&&a===this.path&&m===this.query&&S===this.fragment?this:new h(i,r,a,m,S)}static parse(n,i=!1){const r=g.exec(n);return r?new h(r[2]||L,l(r[4]||L),l(r[5]||L),l(r[7]||L),l(r[9]||L),i):new h(L,L,L,L,L)}static file(n){let i=L;if(t.isWindows&&(n=n.replace(/\\/g,R)),n[0]===R&&n[1]===R){const r=n.indexOf(R,2);r===-1?(i=n.substring(2),n=R):(i=n.substring(2,r),n=n.substring(r)||R)}return new h("file",i,n,L,L)}static from(n){const i=new h(n.scheme,n.authority,n.path,n.query,n.fragment);return D(i,!0),i}static joinPath(n,...i){if(!n.path)throw new Error("[UriError]: cannot call joinPath on URI without path");let r;return t.isWindows&&n.scheme==="file"?r=b.file(k.win32.join(f(n,!0),...i)).path:r=k.posix.join(n.path,...i),n.with({path:r})}toString(n=!1){return y(this,n)}toJSON(){return this}static revive(n){if(n){if(n instanceof b)return n;{const i=new h(n);return i._formatted=n.external,i._fsPath=n._sep===c?n.fsPath:null,i}}else return n}}e.URI=b;const c=t.isWindows?1:void 0;class h extends b{constructor(){super(...arguments);this._formatted=null,this._fsPath=null}get fsPath(){return this._fsPath||(this._fsPath=f(this,!1)),this._fsPath}toString(n=!1){return n?y(this,!0):(this._formatted||(this._formatted=y(this,!1)),this._formatted)}toJSON(){const n={$mid:1};return this._fsPath&&(n.fsPath=this._fsPath,n._sep=c),this._formatted&&(n.external=this._formatted),this.path&&(n.path=this.path),this.scheme&&(n.scheme=this.scheme),this.authority&&(n.authority=this.authority),this.query&&(n.query=this.query),this.fragment&&(n.fragment=this.fragment),n}}const d={[58]:"%3A",[47]:"%2F",[63]:"%3F",[35]:"%23",[91]:"%5B",[93]:"%5D",[64]:"%40",[33]:"%21",[36]:"%24",[38]:"%26",[39]:"%27",[40]:"%28",[41]:"%29",[42]:"%2A",[43]:"%2B",[44]:"%2C",[59]:"%3B",[61]:"%3D",[32]:"%20"};function E(s,n){let i,r=-1;for(let a=0;a<s.length;a++){const m=s.charCodeAt(a);if(m>=97&&m<=122||m>=65&&m<=90||m>=48&&m<=57||m===45||m===46||m===95||m===126||n&&m===47)r!==-1&&(i+=encodeURIComponent(s.substring(r,a)),r=-1),i!==void 0&&(i+=s.charAt(a));else{i===void 0&&(i=s.substr(0,a));const S=d[m];S!==void 0?(r!==-1&&(i+=encodeURIComponent(s.substring(r,a)),r=-1),i+=S):r===-1&&(r=a)}}return r!==-1&&(i+=encodeURIComponent(s.substring(r))),i!==void 0?i:s}function w(s){let n;for(let i=0;i<s.length;i++){const r=s.charCodeAt(i);r===35||r===63?(n===void 0&&(n=s.substr(0,i)),n+=d[r]):n!==void 0&&(n+=s[i])}return n!==void 0?n:s}function f(s,n){let i;return s.authority&&s.path.length>1&&s.scheme==="file"?i=`//${s.authority}${s.path}`:s.path.charCodeAt(0)===47&&(s.path.charCodeAt(1)>=65&&s.path.charCodeAt(1)<=90||s.path.charCodeAt(1)>=97&&s.path.charCodeAt(1)<=122)&&s.path.charCodeAt(2)===58?n?i=s.path.substr(1):i=s.path[1].toLowerCase()+s.path.substr(2):i=s.path,t.isWindows&&(i=i.replace(/\//g,"\\")),i}e.uriToFsPath=f;function y(s,n){const i=n?w:E;let r="",{scheme:a,authority:m,path:S,query:_,fragment:F}=s;if(a&&(r+=a,r+=":"),(m||a==="file")&&(r+=R,r+=R),m){let B=m.indexOf("@");if(B!==-1){const A=m.substr(0,B);m=m.substr(B+1),B=A.indexOf(":"),B===-1?r+=i(A,!1):(r+=i(A.substr(0,B),!1),r+=":",r+=i(A.substr(B+1),!1)),r+="@"}m=m.toLowerCase(),B=m.indexOf(":"),B===-1?r+=i(m,!1):(r+=i(m.substr(0,B),!1),r+=m.substr(B))}if(S){if(S.length>=3&&S.charCodeAt(0)===47&&S.charCodeAt(2)===58){const B=S.charCodeAt(1);B>=65&&B<=90&&(S=`/${String.fromCharCode(B+32)}:${S.substr(3)}`)}else if(S.length>=2&&S.charCodeAt(1)===58){const B=S.charCodeAt(0);B>=65&&B<=90&&(S=`${String.fromCharCode(B+32)}:${S.substr(2)}`)}r+=i(S,!0)}return _&&(r+="?",r+=i(_,!1)),F&&(r+="#",r+=n?F:E(F,!1)),r}function u(s){try{return decodeURIComponent(s)}catch{return s.length>3?s.substr(0,3)+u(s.substr(3)):s}}const o=/(%[0-9A-Za-z][0-9A-Za-z])+/g;function l(s){return s.match(o)?s.replace(o,n=>u(n)):s}}),define(we[77],ye([0,1,4]),function(J,e,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.log=e.getFirstFrame=e.parse=e.isRemoteConsoleLog=void 0;function t(I){const L=I;return L&&typeof L.type=="string"&&typeof L.severity=="string"}e.isRemoteConsoleLog=t;function p(I){const L=[];let R;try{const g=JSON.parse(I.arguments),b=g[g.length-1];b&&b.__$stack&&(g.pop(),R=b.__$stack),L.push(...g)}catch{L.push("Unable to log remote console arguments",I.arguments)}return{args:L,stack:R}}e.parse=p;function C(I){if(typeof I!="string")return C(p(I).stack);const L=I;if(L){const R=P(L),g=/at [^\/]*((?:(?:[a-zA-Z]+:)|(?:[\/])|(?:\\\\))(?:.+)):(\d+):(\d+)/.exec(R||"");if(g&&g.length===4)return{uri:k.URI.file(g[1]),line:Number(g[2]),column:Number(g[3])}}}e.getFirstFrame=C;function P(I){if(!I)return I;const L=I.indexOf(`
`);return L===-1?I:I.substring(0,L)}function D(I,L){const{args:R,stack:g}=p(I),b=typeof R[0]=="string"&&R.length===1;let c=P(g);c&&(c=`(${c.trim()})`);let h=[];if(typeof R[0]=="string"?c&&b?h=[`%c[${L}] %c${R[0]} %c${c}`,v("blue"),v(""),v("grey")]:h=[`%c[${L}] %c${R[0]}`,v("blue"),v(""),...R.slice(1)]:h=[`%c[${L}]%`,v("blue"),...R],c&&!b&&h.push(c),typeof console[I.severity]!="function")throw new Error("Unknown console method");console[I.severity].apply(console,h)}e.log=D;function v(I){return`color: ${I}`}}),define(we[50],ye([0,1,15,16,4]),function(J,e,k,t,p){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.revive=e.parse=e.stringify=void 0;function C(I){return JSON.stringify(I,D)}e.stringify=C;function P(I){let L=JSON.parse(I);return L=v(L),L}e.parse=P;function D(I,L){return L instanceof RegExp?{$mid:2,source:L.source,flags:(0,t.regExpFlags)(L)}:L}function v(I,L=0){if(!I||L>200)return I;if(typeof I=="object"){switch(I.$mid){case 1:return p.URI.revive(I);case 2:return new RegExp(I.source,I.flags);case 14:return new Date(I.source)}if(I instanceof k.VSBuffer||I instanceof Uint8Array)return I;if(Array.isArray(I))for(let R=0;R<I.length;++R)I[R]=v(I[R],L+1);else for(const R in I)Object.hasOwnProperty.call(I,R)&&(I[R]=v(I[R],L+1))}return I}e.revive=v}),define(we[8],ye([0,1,3,4]),function(J,e,k,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.FileAccess=e.RemoteAuthorities=e.connectionTokenQueryName=e.connectionTokenCookieName=e.Schemas=void 0;var p;(function(D){D.inMemory="inmemory",D.vscode="vscode",D.internal="private",D.walkThrough="walkThrough",D.walkThroughSnippet="walkThroughSnippet",D.http="http",D.https="https",D.file="file",D.mailto="mailto",D.untitled="untitled",D.data="data",D.command="command",D.vscodeRemote="vscode-remote",D.vscodeRemoteResource="vscode-remote-resource",D.userData="vscode-userdata",D.vscodeCustomEditor="vscode-custom-editor",D.vscodeNotebook="vscode-notebook",D.vscodeNotebookCell="vscode-notebook-cell",D.vscodeNotebookCellMetadata="vscode-notebook-cell-metadata",D.vscodeNotebookCellOutput="vscode-notebook-cell-output",D.vscodeInteractive="vscode-interactive",D.vscodeInteractiveInput="vscode-interactive-input",D.vscodeSettings="vscode-settings",D.vscodeWorkspaceTrust="vscode-workspace-trust",D.vscodeTerminal="vscode-terminal",D.webviewPanel="webview-panel",D.vscodeWebview="vscode-webview",D.extension="extension",D.vscodeFileResource="vscode-file",D.tmp="tmp",D.vsls="vsls"})(p=e.Schemas||(e.Schemas={})),e.connectionTokenCookieName="vscode-tkn",e.connectionTokenQueryName="tkn";class C{constructor(){this._hosts=Object.create(null),this._ports=Object.create(null),this._connectionTokens=Object.create(null),this._preferredWebSchema="http",this._delegate=null}setPreferredWebSchema(v){this._preferredWebSchema=v}setDelegate(v){this._delegate=v}set(v,I,L){this._hosts[v]=I,this._ports[v]=L}setConnectionToken(v,I){this._connectionTokens[v]=I}getPreferredWebSchema(){return this._preferredWebSchema}rewrite(v){if(this._delegate)return this._delegate(v);const I=v.authority;let L=this._hosts[I];L&&L.indexOf(":")!==-1&&(L=`[${L}]`);const R=this._ports[I],g=this._connectionTokens[I];let b=`path=${encodeURIComponent(v.path)}`;return typeof g=="string"&&(b+=`&${e.connectionTokenQueryName}=${encodeURIComponent(g)}`),t.URI.from({scheme:k.isWeb?this._preferredWebSchema:p.vscodeRemoteResource,authority:k.isWeb?window.location.host:`${L}:${R}`,path:k.isWeb?t.URI.joinPath(t.URI.parse(window.location.href),"/vscode-remote-resource").path:"/vscode-remote-resource",query:b})}}e.RemoteAuthorities=new C;class P{asBrowserUri(v,I){const L=this.toUri(v,I);return L.scheme===p.vscodeRemote?e.RemoteAuthorities.rewrite(L):L.scheme===p.file&&(k.isNative||k.isWebWorker&&k.globals.origin===`${p.vscodeFileResource}://${P.FALLBACK_AUTHORITY}`)?L.with({scheme:p.vscodeFileResource,authority:L.authority||P.FALLBACK_AUTHORITY,query:null,fragment:null}):L}asFileUri(v,I){const L=this.toUri(v,I);return L.scheme===p.vscodeFileResource?L.with({scheme:p.file,authority:L.authority!==P.FALLBACK_AUTHORITY?L.authority:null,query:null,fragment:null}):L}toUri(v,I){return t.URI.isUri(v)?v:t.URI.parse(I.toUrl(v))}}P.FALLBACK_AUTHORITY="vscode-app",e.FileAccess=new P}),define(we[22],ye([0,1,34,8,5,3,16,4]),function(J,e,k,t,p,C,P,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.toLocalResource=e.DataUri=e.distinctParents=e.addTrailingPathSeparator=e.removeTrailingPathSeparator=e.hasTrailingPathSeparator=e.isEqualAuthority=e.isAbsolutePath=e.resolvePath=e.relativePath=e.normalizePath=e.joinPath=e.dirname=e.extname=e.basename=e.basenameOrAuthority=e.getComparisonKey=e.isEqualOrParent=e.isEqual=e.extUriIgnorePathCase=e.extUriBiasedIgnorePathCase=e.extUri=e.ExtUri=e.originalFSPath=void 0;function v(b){return(0,D.uriToFsPath)(b,!0)}e.originalFSPath=v;class I{constructor(c){this._ignorePathCasing=c}compare(c,h,d=!1){return c===h?0:(0,P.compare)(this.getComparisonKey(c,d),this.getComparisonKey(h,d))}isEqual(c,h,d=!1){return c===h?!0:!c||!h?!1:this.getComparisonKey(c,d)===this.getComparisonKey(h,d)}getComparisonKey(c,h=!1){return c.with({path:this._ignorePathCasing(c)?c.path.toLowerCase():void 0,fragment:h?null:void 0}).toString()}ignorePathCasing(c){return this._ignorePathCasing(c)}isEqualOrParent(c,h,d=!1){if(c.scheme===h.scheme){if(c.scheme===t.Schemas.file)return k.isEqualOrParent(v(c),v(h),this._ignorePathCasing(c))&&c.query===h.query&&(d||c.fragment===h.fragment);if((0,e.isEqualAuthority)(c.authority,h.authority))return k.isEqualOrParent(c.path,h.path,this._ignorePathCasing(c),"/")&&c.query===h.query&&(d||c.fragment===h.fragment)}return!1}joinPath(c,...h){return D.URI.joinPath(c,...h)}basenameOrAuthority(c){return(0,e.basename)(c)||c.authority}basename(c){return p.posix.basename(c.path)}extname(c){return p.posix.extname(c.path)}dirname(c){if(c.path.length===0)return c;let h;return c.scheme===t.Schemas.file?h=D.URI.file(p.dirname(v(c))).path:(h=p.posix.dirname(c.path),c.authority&&h.length&&h.charCodeAt(0)!==47&&(console.error(`dirname("${c.toString})) resulted in a relative path`),h="/")),c.with({path:h})}normalizePath(c){if(!c.path.length)return c;let h;return c.scheme===t.Schemas.file?h=D.URI.file(p.normalize(v(c))).path:h=p.posix.normalize(c.path),c.with({path:h})}relativePath(c,h){if(c.scheme!==h.scheme||!(0,e.isEqualAuthority)(c.authority,h.authority))return;if(c.scheme===t.Schemas.file){const w=p.relative(v(c),v(h));return C.isWindows?k.toSlashes(w):w}let d=c.path||"/",E=h.path||"/";if(this._ignorePathCasing(c)){let w=0;for(const f=Math.min(d.length,E.length);w<f&&!(d.charCodeAt(w)!==E.charCodeAt(w)&&d.charAt(w).toLowerCase()!==E.charAt(w).toLowerCase());w++);d=E.substr(0,w)+d.substr(w)}return p.posix.relative(d,E)}resolvePath(c,h){if(c.scheme===t.Schemas.file){const d=D.URI.file(p.resolve(v(c),h));return c.with({authority:d.authority,path:d.path})}return h=k.toPosixPath(h),c.with({path:p.posix.resolve(c.path,h)})}isAbsolutePath(c){return!!c.path&&c.path[0]==="/"}isEqualAuthority(c,h){return c===h||c!==void 0&&h!==void 0&&(0,P.equalsIgnoreCase)(c,h)}hasTrailingPathSeparator(c,h=p.sep){if(c.scheme===t.Schemas.file){const d=v(c);return d.length>k.getRoot(d).length&&d[d.length-1]===h}else{const d=c.path;return d.length>1&&d.charCodeAt(d.length-1)===47&&!/^[a-zA-Z]:(\/$|\\$)/.test(c.fsPath)}}removeTrailingPathSeparator(c,h=p.sep){return(0,e.hasTrailingPathSeparator)(c,h)?c.with({path:c.path.substr(0,c.path.length-1)}):c}addTrailingPathSeparator(c,h=p.sep){let d=!1;if(c.scheme===t.Schemas.file){const E=v(c);d=E!==void 0&&E.length===k.getRoot(E).length&&E[E.length-1]===h}else{h="/";const E=c.path;d=E.length===1&&E.charCodeAt(E.length-1)===47}return!d&&!(0,e.hasTrailingPathSeparator)(c,h)?c.with({path:c.path+"/"}):c}}e.ExtUri=I,e.extUri=new I(()=>!1),e.extUriBiasedIgnorePathCase=new I(b=>b.scheme===t.Schemas.file?!C.isLinux:!0),e.extUriIgnorePathCase=new I(b=>!0),e.isEqual=e.extUri.isEqual.bind(e.extUri),e.isEqualOrParent=e.extUri.isEqualOrParent.bind(e.extUri),e.getComparisonKey=e.extUri.getComparisonKey.bind(e.extUri),e.basenameOrAuthority=e.extUri.basenameOrAuthority.bind(e.extUri),e.basename=e.extUri.basename.bind(e.extUri),e.extname=e.extUri.extname.bind(e.extUri),e.dirname=e.extUri.dirname.bind(e.extUri),e.joinPath=e.extUri.joinPath.bind(e.extUri),e.normalizePath=e.extUri.normalizePath.bind(e.extUri),e.relativePath=e.extUri.relativePath.bind(e.extUri),e.resolvePath=e.extUri.resolvePath.bind(e.extUri),e.isAbsolutePath=e.extUri.isAbsolutePath.bind(e.extUri),e.isEqualAuthority=e.extUri.isEqualAuthority.bind(e.extUri),e.hasTrailingPathSeparator=e.extUri.hasTrailingPathSeparator.bind(e.extUri),e.removeTrailingPathSeparator=e.extUri.removeTrailingPathSeparator.bind(e.extUri),e.addTrailingPathSeparator=e.extUri.addTrailingPathSeparator.bind(e.extUri);function L(b,c){const h=[];for(let d=0;d<b.length;d++){const E=c(b[d]);b.some((w,f)=>f===d?!1:(0,e.isEqualOrParent)(E,c(w)))||h.push(b[d])}return h}e.distinctParents=L;var R;(function(b){b.META_DATA_LABEL="label",b.META_DATA_DESCRIPTION="description",b.META_DATA_SIZE="size",b.META_DATA_MIME="mime";function c(h){const d=new Map;h.path.substring(h.path.indexOf(";")+1,h.path.lastIndexOf(";")).split(";").forEach(f=>{const[y,u]=f.split(":");y&&u&&d.set(y,u)});const w=h.path.substring(0,h.path.indexOf(";"));return w&&d.set(b.META_DATA_MIME,w),d}b.parseMetaData=c})(R=e.DataUri||(e.DataUri={}));function g(b,c,h){if(c){let d=b.path;return d&&d[0]!==p.posix.sep&&(d=p.posix.sep+d),b.with({scheme:h,authority:c,path:d})}return b.with({scheme:h})}e.toLocalResource=g}),define(we[13],ye([0,1,20,11,7,2,22,3]),function(J,e,k,t,p,C,P,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.createCancelableAsyncIterable=e.CancelableAsyncIterableObject=e.AsyncIterableObject=e.Promises=e.DeferredPromise=e.IntervalCounter=e.TaskSequentializer=e.retry=e.IdleValue=e.runWhenIdle=e.ThrottledWorker=e.RunOnceWorker=e.ProcessTimeRunOnceScheduler=e.RunOnceScheduler=e.IntervalTimer=e.TimeoutTimer=e.ResourceQueue=e.Queue=e.Limiter=e.firstParallel=e.first=e.sequence=e.disposableTimeout=e.timeout=e.AutoOpenBarrier=e.Barrier=e.ThrottledDelayer=e.Delayer=e.MicrotaskDelay=e.SequencerByKey=e.Sequencer=e.Throttler=e.asPromise=e.raceTimeout=e.raceCancellablePromises=e.raceCancellationError=e.raceCancellation=e.createCancelablePromise=e.isThenable=void 0;function v(X){return!!X&&typeof X.then=="function"}e.isThenable=v;function I(X){const $=new k.CancellationTokenSource,H=X($.token),j=new Promise((ee,he)=>{const Ie=$.token.onCancellationRequested(()=>{Ie.dispose(),$.dispose(),he(new t.CancellationError)});Promise.resolve(H).then(ae=>{Ie.dispose(),$.dispose(),ee(ae)},ae=>{Ie.dispose(),$.dispose(),he(ae)})});return new class{cancel(){$.cancel()}then(ee,he){return j.then(ee,he)}catch(ee){return this.then(void 0,ee)}finally(ee){return j.finally(ee)}}}e.createCancelablePromise=I;function L(X,$,H){return new Promise((j,ee)=>{const he=$.onCancellationRequested(()=>{he.dispose(),j(H)});X.then(j,ee).finally(()=>he.dispose())})}e.raceCancellation=L;function R(X,$){return new Promise((H,j)=>{const ee=$.onCancellationRequested(()=>{ee.dispose(),j(new t.CancellationError)});X.then(H,j).finally(()=>ee.dispose())})}e.raceCancellationError=R;async function g(X){let $=-1;const H=X.map((ee,he)=>ee.then(Ie=>($=he,Ie))),j=await Promise.race(H);return X.forEach((ee,he)=>{he!==$&&ee.cancel()}),j}e.raceCancellablePromises=g;function b(X,$,H){let j;const ee=setTimeout(()=>{j?.(void 0),H?.()},$);return Promise.race([X.finally(()=>clearTimeout(ee)),new Promise(he=>j=he)])}e.raceTimeout=b;function c(X){return new Promise(($,H)=>{const j=X();v(j)?j.then($,H):$(j)})}e.asPromise=c;class h{constructor(){this.activePromise=null,this.queuedPromise=null,this.queuedPromiseFactory=null}queue($){if(this.activePromise){if(this.queuedPromiseFactory=$,!this.queuedPromise){const H=()=>{this.queuedPromise=null;const j=this.queue(this.queuedPromiseFactory);return this.queuedPromiseFactory=null,j};this.queuedPromise=new Promise(j=>{this.activePromise.then(H,H).then(j)})}return new Promise((H,j)=>{this.queuedPromise.then(H,j)})}return this.activePromise=$(),new Promise((H,j)=>{this.activePromise.then(ee=>{this.activePromise=null,H(ee)},ee=>{this.activePromise=null,j(ee)})})}}e.Throttler=h;class d{constructor(){this.current=Promise.resolve(null)}queue($){return this.current=this.current.then(()=>$(),()=>$())}}e.Sequencer=d;class E{constructor(){this.promiseMap=new Map}queue($,H){const ee=(this.promiseMap.get($)??Promise.resolve()).catch(()=>{}).then(H).finally(()=>{this.promiseMap.get($)===ee&&this.promiseMap.delete($)});return this.promiseMap.set($,ee),ee}}e.SequencerByKey=E;const w=(X,$)=>{let H=!0;const j=setTimeout(()=>{H=!1,$()},X);return{isTriggered:()=>H,dispose:()=>{clearTimeout(j),H=!1}}},f=X=>{let $=!0;return queueMicrotask(()=>{$&&($=!1,X())}),{isTriggered:()=>$,dispose:()=>{$=!1}}};e.MicrotaskDelay=Symbol("MicrotaskDelay");class y{constructor($){this.defaultDelay=$,this.deferred=null,this.completionPromise=null,this.doResolve=null,this.doReject=null,this.task=null}trigger($,H=this.defaultDelay){this.task=$,this.cancelTimeout(),this.completionPromise||(this.completionPromise=new Promise((ee,he)=>{this.doResolve=ee,this.doReject=he}).then(()=>{if(this.completionPromise=null,this.doResolve=null,this.task){const ee=this.task;return this.task=null,ee()}}));const j=()=>{this.deferred=null,this.doResolve?.(null)};return this.deferred=H===e.MicrotaskDelay?f(j):w(H,j),this.completionPromise}isTriggered(){return!!this.deferred?.isTriggered()}cancel(){this.cancelTimeout(),this.completionPromise&&(this.doReject&&this.doReject(new t.CancellationError),this.completionPromise=null)}cancelTimeout(){this.deferred?.dispose(),this.deferred=null}dispose(){this.cancel()}}e.Delayer=y;class u{constructor($){this.delayer=new y($),this.throttler=new h}trigger($,H){return this.delayer.trigger(()=>this.throttler.queue($),H)}isTriggered(){return this.delayer.isTriggered()}cancel(){this.delayer.cancel()}dispose(){this.delayer.dispose()}}e.ThrottledDelayer=u;class o{constructor(){this._isOpen=!1,this._promise=new Promise(($,H)=>{this._completePromise=$})}isOpen(){return this._isOpen}open(){this._isOpen=!0,this._completePromise(!0)}wait(){return this._promise}}e.Barrier=o;class l extends o{constructor($){super();this._timeout=setTimeout(()=>this.open(),$)}open(){clearTimeout(this._timeout),super.open()}}e.AutoOpenBarrier=l;function s(X,$){return $?new Promise((H,j)=>{const ee=setTimeout(()=>{he.dispose(),H()},X),he=$.onCancellationRequested(()=>{clearTimeout(ee),he.dispose(),j(new t.CancellationError)})}):I(H=>s(X,H))}e.timeout=s;function n(X,$=0){const H=setTimeout(X,$);return(0,C.toDisposable)(()=>clearTimeout(H))}e.disposableTimeout=n;function i(X){const $=[];let H=0;const j=X.length;function ee(){return H<j?X[H++]():null}function he(Ie){Ie!=null&&$.push(Ie);const ae=ee();return ae?ae.then(he):Promise.resolve($)}return Promise.resolve(null).then(he)}e.sequence=i;function r(X,$=j=>!!j,H=null){let j=0;const ee=X.length,he=()=>{if(j>=ee)return Promise.resolve(H);const Ie=X[j++];return Promise.resolve(Ie()).then(fe=>$(fe)?Promise.resolve(fe):he())};return he()}e.first=r;function a(X,$=j=>!!j,H=null){if(X.length===0)return Promise.resolve(H);let j=X.length;const ee=()=>{j=-1;for(const he of X)he.cancel?.()};return new Promise((he,Ie)=>{for(const ae of X)ae.then(fe=>{--j>=0&&$(fe)?(ee(),he(fe)):j===0&&he(H)}).catch(fe=>{--j>=0&&(ee(),Ie(fe))})})}e.firstParallel=a;class m{constructor($){this._size=0,this.maxDegreeOfParalellism=$,this.outstandingPromises=[],this.runningPromises=0,this._onFinished=new p.Emitter}get onFinished(){return this._onFinished.event}get size(){return this._size}queue($){return this._size++,new Promise((H,j)=>{this.outstandingPromises.push({factory:$,c:H,e:j}),this.consume()})}consume(){for(;this.outstandingPromises.length&&this.runningPromises<this.maxDegreeOfParalellism;){const $=this.outstandingPromises.shift();this.runningPromises++;const H=$.factory();H.then($.c,$.e),H.then(()=>this.consumed(),()=>this.consumed())}}consumed(){this._size--,this.runningPromises--,this.outstandingPromises.length>0?this.consume():this._onFinished.fire()}dispose(){this._onFinished.dispose()}}e.Limiter=m;class S extends m{constructor(){super(1)}}e.Queue=S;class _{constructor(){this.queues=new Map,this.drainers=new Set}async whenDrained(){if(this.isDrained())return;const $=new V;return this.drainers.add($),$.p}isDrained(){for(const[,$]of this.queues)if($.size>0)return!1;return!0}queueFor($,H=P.extUri){const j=H.getComparisonKey($);let ee=this.queues.get(j);return ee||(ee=new S,p.Event.once(ee.onFinished)(()=>{ee?.dispose(),this.queues.delete(j),this.onDidQueueFinish()}),this.queues.set(j,ee)),ee}onDidQueueFinish(){!this.isDrained()||this.releaseDrainers()}releaseDrainers(){for(const $ of this.drainers)$.complete();this.drainers.clear()}dispose(){for(const[,$]of this.queues)$.dispose();this.queues.clear(),this.releaseDrainers()}}e.ResourceQueue=_;class F{constructor($,H){this._token=-1,typeof $=="function"&&typeof H=="number"&&this.setIfNotSet($,H)}dispose(){this.cancel()}cancel(){this._token!==-1&&(clearTimeout(this._token),this._token=-1)}cancelAndSet($,H){this.cancel(),this._token=setTimeout(()=>{this._token=-1,$()},H)}setIfNotSet($,H){this._token===-1&&(this._token=setTimeout(()=>{this._token=-1,$()},H))}}e.TimeoutTimer=F;class B{constructor(){this._token=-1}dispose(){this.cancel()}cancel(){this._token!==-1&&(clearInterval(this._token),this._token=-1)}cancelAndSet($,H){this.cancel(),this._token=setInterval(()=>{$()},H)}}e.IntervalTimer=B;class A{constructor($,H){this.timeoutToken=-1,this.runner=$,this.timeout=H,this.timeoutHandler=this.onTimeout.bind(this)}dispose(){this.cancel(),this.runner=null}cancel(){this.isScheduled()&&(clearTimeout(this.timeoutToken),this.timeoutToken=-1)}schedule($=this.timeout){this.cancel(),this.timeoutToken=setTimeout(this.timeoutHandler,$)}get delay(){return this.timeout}set delay($){this.timeout=$}isScheduled(){return this.timeoutToken!==-1}onTimeout(){this.timeoutToken=-1,this.runner&&this.doRun()}doRun(){this.runner&&this.runner()}}e.RunOnceScheduler=A;class T{constructor($,H){H%1e3!=0&&console.warn(`ProcessTimeRunOnceScheduler resolution is 1s, ${H}ms is not a multiple of 1000ms.`),this.runner=$,this.timeout=H,this.counter=0,this.intervalToken=-1,this.intervalHandler=this.onInterval.bind(this)}dispose(){this.cancel(),this.runner=null}cancel(){this.isScheduled()&&(clearInterval(this.intervalToken),this.intervalToken=-1)}schedule($=this.timeout){$%1e3!=0&&console.warn(`ProcessTimeRunOnceScheduler resolution is 1s, ${$}ms is not a multiple of 1000ms.`),this.cancel(),this.counter=Math.ceil($/1e3),this.intervalToken=setInterval(this.intervalHandler,1e3)}isScheduled(){return this.intervalToken!==-1}onInterval(){this.counter--,!(this.counter>0)&&(clearInterval(this.intervalToken),this.intervalToken=-1,this.runner&&this.runner())}}e.ProcessTimeRunOnceScheduler=T;class U extends A{constructor($,H){super($,H);this.units=[]}work($){this.units.push($),this.isScheduled()||this.schedule()}doRun(){const $=this.units;this.units=[],this.runner&&this.runner($)}dispose(){this.units=[],super.dispose()}}e.RunOnceWorker=U;class N extends C.Disposable{constructor($,H){super();this.options=$,this.handler=H,this.pendingWork=[],this.throttler=this._register(new C.MutableDisposable),this.disposed=!1}get pending(){return this.pendingWork.length}work($){if(this.disposed)return!1;if(typeof this.options.maxBufferedWork=="number"){if(this.throttler.value){if(this.pending+$.length>this.options.maxBufferedWork)return!1}else if(this.pending+$.length-this.options.maxWorkChunkSize>this.options.maxBufferedWork)return!1}return this.pendingWork.push(...$),this.throttler.value||this.doWork(),!0}doWork(){this.handler(this.pendingWork.splice(0,this.options.maxWorkChunkSize)),this.pendingWork.length>0&&(this.throttler.value=new A(()=>{this.throttler.clear(),this.doWork()},this.options.throttleDelay),this.throttler.value.schedule())}dispose(){super.dispose(),this.disposed=!0}}e.ThrottledWorker=N,function(){typeof requestIdleCallback!="function"||typeof cancelIdleCallback!="function"?e.runWhenIdle=X=>{(0,D.setTimeout0)(()=>{if($)return;const H=Date.now()+15;X(Object.freeze({didTimeout:!0,timeRemaining(){return Math.max(0,H-Date.now())}}))});let $=!1;return{dispose(){$||($=!0)}}}:e.runWhenIdle=(X,$)=>{const H=requestIdleCallback(X,typeof $=="number"?{timeout:$}:void 0);let j=!1;return{dispose(){j||(j=!0,cancelIdleCallback(H))}}}}();class W{constructor($){this._didRun=!1,this._executor=()=>{try{this._value=$()}catch(H){this._error=H}finally{this._didRun=!0}},this._handle=(0,e.runWhenIdle)(()=>this._executor())}dispose(){this._handle.dispose()}get value(){if(this._didRun||(this._handle.dispose(),this._executor()),this._error)throw this._error;return this._value}get isInitialized(){return this._didRun}}e.IdleValue=W;async function ie(X,$,H){let j;for(let ee=0;ee<H;ee++)try{return await X()}catch(he){j=he,await s($)}throw j}e.retry=ie;class q{hasPending($){return this._pending?typeof $=="number"?this._pending.taskId===$:!!this._pending:!1}get pending(){return this._pending?this._pending.promise:void 0}cancelPending(){this._pending?.cancel()}setPending($,H,j){return this._pending={taskId:$,cancel:()=>j?.(),promise:H},H.then(()=>this.donePending($),()=>this.donePending($)),H}donePending($){this._pending&&$===this._pending.taskId&&(this._pending=void 0,this.triggerNext())}triggerNext(){if(this._next){const $=this._next;this._next=void 0,$.run().then($.promiseResolve,$.promiseReject)}}setNext($){if(this._next)this._next.run=$;else{let H,j;const ee=new Promise((he,Ie)=>{H=he,j=Ie});this._next={run:$,promise:ee,promiseResolve:H,promiseReject:j}}return this._next.promise}}e.TaskSequentializer=q;class se{constructor($,H=()=>Date.now()){this.interval=$,this.nowFn=H,this.lastIncrementTime=0,this.value=0}increment(){const $=this.nowFn();return $-this.lastIncrementTime>this.interval&&(this.lastIncrementTime=$,this.value=0),this.value++,this.value}}e.IntervalCounter=se;class V{constructor(){this.rejected=!1,this.resolved=!1,this.p=new Promise(($,H)=>{this.completeCallback=$,this.errorCallback=H})}get isRejected(){return this.rejected}get isResolved(){return this.resolved}get isSettled(){return this.rejected||this.resolved}complete($){return new Promise(H=>{this.completeCallback($),this.resolved=!0,H()})}error($){return new Promise(H=>{this.errorCallback($),this.rejected=!0,H()})}cancel(){new Promise($=>{this.errorCallback(new t.CancellationError),this.rejected=!0,$()})}}e.DeferredPromise=V;var K;(function(X){async function $(j){let ee;const he=await Promise.all(j.map(Ie=>Ie.then(ae=>ae,ae=>{ee||(ee=ae)})));if(typeof ee!="undefined")throw ee;return he}X.settled=$;function H(j){return new Promise(async(ee,he)=>{try{await j(ee,he)}catch(Ie){he(Ie)}})}X.withAsyncBody=H})(K=e.Promises||(e.Promises={}));var te;(function(X){X[X.Initial=0]="Initial",X[X.DoneOK=1]="DoneOK",X[X.DoneError=2]="DoneError"})(te||(te={}));class re{constructor($){this._state=0,this._results=[],this._error=null,this._onStateChanged=new p.Emitter,queueMicrotask(async()=>{const H={emitOne:j=>this.emitOne(j),emitMany:j=>this.emitMany(j),reject:j=>this.reject(j)};try{await Promise.resolve($(H)),this.resolve()}catch(j){this.reject(j)}finally{H.emitOne=void 0,H.emitMany=void 0,H.reject=void 0}})}static fromArray($){return new re(H=>{H.emitMany($)})}static fromPromise($){return new re(async H=>{H.emitMany(await $)})}static fromPromises($){return new re(async H=>{await Promise.all($.map(async j=>H.emitOne(await j)))})}static merge($){return new re(async H=>{await Promise.all($.map(async j=>{for await(const ee of j)H.emitOne(ee)}))})}[Symbol.asyncIterator](){let $=0;return{next:async()=>{do{if(this._state===2)throw this._error;if($<this._results.length)return{done:!1,value:this._results[$++]};if(this._state===1)return{done:!0,value:void 0};await p.Event.toPromise(this._onStateChanged.event)}while(!0)}}}static map($,H){return new re(async j=>{for await(const ee of $)j.emitOne(H(ee))})}map($){return re.map(this,$)}static filter($,H){return new re(async j=>{for await(const ee of $)H(ee)&&j.emitOne(ee)})}filter($){return re.filter(this,$)}static coalesce($){return re.filter($,H=>!!H)}coalesce(){return re.coalesce(this)}static async toPromise($){const H=[];for await(const j of $)H.push(j);return H}toPromise(){return re.toPromise(this)}emitOne($){this._state===0&&(this._results.push($),this._onStateChanged.fire())}emitMany($){this._state===0&&(this._results=this._results.concat($),this._onStateChanged.fire())}resolve(){this._state===0&&(this._state=1,this._onStateChanged.fire())}reject($){this._state===0&&(this._state=2,this._error=$,this._onStateChanged.fire())}}e.AsyncIterableObject=re,re.EMPTY=re.fromArray([]);class oe extends re{constructor($,H){super(H);this._source=$}cancel(){this._source.cancel()}}e.CancelableAsyncIterableObject=oe;function me(X){const $=new k.CancellationTokenSource,H=X($.token);return new oe($,async j=>{const ee=$.token.onCancellationRequested(()=>{ee.dispose(),$.dispose(),j.reject(new t.CancellationError)});try{for await(const he of H){if($.token.isCancellationRequested)return;j.emitOne(he)}ee.dispose(),$.dispose()}catch(he){ee.dispose(),$.dispose(),j.reject(he)}})}e.createCancelableAsyncIterable=me}),define(we[78],ye([0,1,13,34,29,5,3,16]),function(J,e,k,t,p,C,P,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getPathTerms=e.getBasenameTerms=e.isRelativePattern=e.hasSiblingFn=e.hasSiblingPromiseFn=e.parse=e.match=e.splitGlobAware=e.GLOB_SPLIT=e.GLOBSTAR=e.getEmptyExpression=void 0;function v(){return Object.create(null)}e.getEmptyExpression=v,e.GLOBSTAR="**",e.GLOB_SPLIT="/";const I="[/\\\\]",L="[^/\\\\]",R=/\//g;function g(V){switch(V){case 0:return"";case 1:return`${L}*?`;default:return`(?:${I}|${L}+${I}|${I}${L}+)*?`}}function b(V,K){if(!V)return[];const te=[];let re=!1,oe=!1,me="";for(const X of V){switch(X){case K:if(!re&&!oe){te.push(me),me="";continue}break;case"{":re=!0;break;case"}":re=!1;break;case"[":oe=!0;break;case"]":oe=!1;break}me+=X}return me&&te.push(me),te}e.splitGlobAware=b;function c(V){if(!V)return"";let K="";const te=b(V,e.GLOB_SPLIT);if(te.every(re=>re===e.GLOBSTAR))K=".*";else{let re=!1;te.forEach((oe,me)=>{if(oe===e.GLOBSTAR){re||(K+=g(2),re=!0);return}let X=!1,$="",H=!1,j="";for(const ee of oe){if(ee!=="}"&&X){$+=ee;continue}if(H&&(ee!=="]"||!j)){let he;ee==="-"?he=ee:(ee==="^"||ee==="!")&&!j?he="^":ee===e.GLOB_SPLIT?he="":he=(0,D.escapeRegExpCharacters)(ee),j+=he;continue}switch(ee){case"{":X=!0;continue;case"[":H=!0;continue;case"}":{K+=`(?:${b($,",").map(ae=>c(ae)).join("|")})`,X=!1,$="";break}case"]":K+="["+j+"]",H=!1,j="";break;case"?":K+=L;continue;case"*":K+=g(1);continue;default:K+=(0,D.escapeRegExpCharacters)(ee)}}me<te.length-1&&(te[me+1]!==e.GLOBSTAR||me+2<te.length)&&(K+=I),re=!1})}return K}const h=/^\*\*\/\*\.[\w\.-]+$/,d=/^\*\*\/([\w\.-]+)\/?$/,E=/^{\*\*\/\*?[\w\.-]+\/?(,\*\*\/\*?[\w\.-]+\/?)*}$/,w=/^{\*\*\/\*?[\w\.-]+(\/(\*\*)?)?(,\*\*\/\*?[\w\.-]+(\/(\*\*)?)?)*}$/,f=/^\*\*((\/[\w\.-]+)+)\/?$/,y=/^([\w\.-]+(\/[\w\.-]+)*)\/?$/,u=new p.LRUCache(1e4),o=function(){return!1},l=function(){return null};function s(V,K){if(!V)return l;let te;typeof V!="string"?te=V.pattern:te=V,te=te.trim();const re=`${te}_${!!K.trimForExclusions}`;let oe=u.get(re);if(oe)return n(oe,V);let me;if(h.test(te)){const X=te.substr(4);oe=function($,H){return typeof $=="string"&&$.endsWith(X)?te:null}}else(me=d.exec(i(te,K)))?oe=r(me[1],te):(K.trimForExclusions?w:E).test(te)?oe=a(te,K):(me=f.exec(i(te,K)))?oe=m(me[1].substr(1),te,!0):(me=y.exec(i(te,K)))?oe=m(me[1],te,!1):oe=S(te);return u.set(re,oe),n(oe,V)}function n(V,K){return typeof K=="string"?V:function(te,re){return(0,t.isEqualOrParent)(te,K.base,!P.isLinux)?V(te.substr(K.base.length+1),re):null}}function i(V,K){return K.trimForExclusions&&V.endsWith("/**")?V.substr(0,V.length-2):V}function r(V,K){const te=`/${V}`,re=`\\${V}`,oe=function(X,$){return typeof X!="string"?null:$?$===V?K:null:X===V||X.endsWith(te)||X.endsWith(re)?K:null},me=[V];return oe.basenames=me,oe.patterns=[K],oe.allBasenames=me,oe}function a(V,K){const te=se(V.slice(1,-1).split(",").map($=>s($,K)).filter($=>$!==l),V),re=te.length;if(!re)return l;if(re===1)return te[0];const oe=function($,H){for(let j=0,ee=te.length;j<ee;j++)if(te[j]($,H))return V;return null},me=te.find($=>!!$.allBasenames);me&&(oe.allBasenames=me.allBasenames);const X=te.reduce(($,H)=>H.allPaths?$.concat(H.allPaths):$,[]);return X.length&&(oe.allPaths=X),oe}function m(V,K,te){const re=C.sep===C.posix.sep,oe=re?V:V.replace(R,C.sep),me=C.sep+oe,X=C.posix.sep+V,$=te?function(H,j){return typeof H=="string"&&(H===oe||H.endsWith(me)||!re&&(H===V||H.endsWith(X)))?K:null}:function(H,j){return typeof H=="string"&&(H===oe||!re&&H===V)?K:null};return $.allPaths=[(te?"*/":"./")+V],$}function S(V){try{const K=new RegExp(`^${c(V)}$`);return function(te){return K.lastIndex=0,typeof te=="string"&&K.test(te)?V:null}}catch{return l}}function _(V,K,te){return!V||typeof K!="string"?!1:F(V)(K,void 0,te)}e.match=_;function F(V,K={}){if(!V)return o;if(typeof V=="string"||U(V)){const te=s(V,K);if(te===l)return o;const re=function(oe,me){return!!te(oe,me)};return te.allBasenames&&(re.allBasenames=te.allBasenames),te.allPaths&&(re.allPaths=te.allPaths),re}return ie(V,K)}e.parse=F;function B(V){if(!V)return;let K;return te=>(K||(K=(V()||Promise.resolve([])).then(re=>re?T(re):{})),K.then(re=>!!re[te]))}e.hasSiblingPromiseFn=B;function A(V){if(!V)return;let K;return te=>{if(!K){const re=V();K=re?T(re):{}}return!!K[te]}}e.hasSiblingFn=A;function T(V){const K={};for(const te of V)K[te]=!0;return K}function U(V){const K=V;return K?typeof K.base=="string"&&typeof K.pattern=="string":!1}e.isRelativePattern=U;function N(V){return V.allBasenames||[]}e.getBasenameTerms=N;function W(V){return V.allPaths||[]}e.getPathTerms=W;function ie(V,K){const te=se(Object.getOwnPropertyNames(V).map($=>q($,V[$],K)).filter($=>$!==l)),re=te.length;if(!re)return l;if(!te.some($=>!!$.requiresSiblings)){if(re===1)return te[0];const $=function(ee,he){for(let Ie=0,ae=te.length;Ie<ae;Ie++){const fe=te[Ie](ee,he);if(fe)return fe}return null},H=te.find(ee=>!!ee.allBasenames);H&&($.allBasenames=H.allBasenames);const j=te.reduce((ee,he)=>he.allPaths?ee.concat(he.allPaths):ee,[]);return j.length&&($.allPaths=j),$}const oe=function($,H,j){let ee;for(let he=0,Ie=te.length;he<Ie;he++){const ae=te[he];ae.requiresSiblings&&j&&(H||(H=(0,C.basename)($)),ee||(ee=H.substr(0,H.length-(0,C.extname)($).length)));const fe=ae($,H,ee,j);if(fe)return fe}return null},me=te.find($=>!!$.allBasenames);me&&(oe.allBasenames=me.allBasenames);const X=te.reduce(($,H)=>H.allPaths?$.concat(H.allPaths):$,[]);return X.length&&(oe.allPaths=X),oe}function q(V,K,te){if(K===!1)return l;const re=s(V,te);if(re===l)return l;if(typeof K=="boolean")return re;if(K){const oe=K.when;if(typeof oe=="string"){const me=(X,$,H,j)=>{if(!j||!re(X,$))return null;const ee=oe.replace("$(basename)",H),he=j(ee);return(0,k.isThenable)(he)?he.then(Ie=>Ie?V:null):he?V:null};return me.requiresSiblings=!0,me}}return re}function se(V,K){const te=V.filter($=>!!$.basenames);if(te.length<2)return V;const re=te.reduce(($,H)=>{const j=H.basenames;return j?$.concat(j):$},[]);let oe;if(K){oe=[];for(let $=0,H=re.length;$<H;$++)oe.push(K)}else oe=te.reduce(($,H)=>{const j=H.patterns;return j?$.concat(j):$},[]);const me=function($,H){if(typeof $!="string")return null;if(!H){let ee;for(ee=$.length;ee>0;ee--){const he=$.charCodeAt(ee-1);if(he===47||he===92)break}H=$.substr(ee)}const j=re.indexOf(H);return j!==-1?oe[j]:null};me.basenames=re,me.patterns=oe,me.allBasenames=re;const X=V.filter($=>!$.basenames);return X.push(me),X}}),define(we[79],ye([0,1,11,126,22,4]),function(J,e,k,t,p,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.parseHrefAndDimensions=e.removeMarkdownEscapes=e.escapeMarkdownSyntaxTokens=e.markdownStringEqual=e.isMarkdownString=e.isEmptyMarkdownString=e.MarkdownString=e.MarkdownStringTextNewlineStyle=void 0;var P;(function(c){c[c.Paragraph=0]="Paragraph",c[c.Break=1]="Break"})(P=e.MarkdownStringTextNewlineStyle||(e.MarkdownStringTextNewlineStyle={}));class D{constructor(h="",d=!1){if(this.value=h,typeof this.value!="string")throw(0,k.illegalArgument)("value");typeof d=="boolean"?(this.isTrusted=d,this.supportThemeIcons=!1,this.supportHtml=!1):(this.isTrusted=d.isTrusted??void 0,this.supportThemeIcons=d.supportThemeIcons??!1,this.supportHtml=d.supportHtml??!1)}appendText(h,d=0){return this.value+=R(this.supportThemeIcons?(0,t.escapeIcons)(h):h).replace(/([ \t]+)/g,(E,w)=>"&nbsp;".repeat(w.length)).replace(/\>/gm,"\\>").replace(/\n/g,d===1?`\\
`:`

`),this}appendMarkdown(h){return this.value+=h,this}appendCodeblock(h,d){return this.value+="\n```",this.value+=h,this.value+=`
`,this.value+=d,this.value+="\n```\n",this}}e.MarkdownString=D;function v(c){return I(c)?!c.value:Array.isArray(c)?c.every(v):!0}e.isEmptyMarkdownString=v;function I(c){return c instanceof D?!0:c&&typeof c=="object"?typeof c.value=="string"&&(typeof c.isTrusted=="boolean"||c.isTrusted===void 0)&&(typeof c.supportThemeIcons=="boolean"||c.supportThemeIcons===void 0):!1}e.isMarkdownString=I;function L(c,h){return c===h?!0:!c||!h?!1:c.value===h.value&&c.isTrusted===h.isTrusted&&c.supportThemeIcons===h.supportThemeIcons&&c.supportHtml===h.supportHtml&&(c.baseUri===h.baseUri||!!c.baseUri&&!!h.baseUri&&(0,p.isEqual)(C.URI.from(c.baseUri),C.URI.from(h.baseUri)))}e.markdownStringEqual=L;function R(c){return c.replace(/[\\`*_{}[\]()#+\-!]/g,"\\$&")}e.escapeMarkdownSyntaxTokens=R;function g(c){return c&&c.replace(/\\([\\`*_{}[\]()#+\-.!])/g,"$1")}e.removeMarkdownEscapes=g;function b(c){const h=[],d=c.split("|").map(w=>w.trim());c=d[0];const E=d[1];if(E){const w=/height=(\d+)/.exec(E),f=/width=(\d+)/.exec(E),y=w?w[1]:"",u=f?f[1]:"",o=isFinite(parseInt(u)),l=isFinite(parseInt(y));o&&h.push(`width="${u}"`),l&&h.push(`height="${y}"`)}return{href:c,dimensions:h}}e.parseHrefAndDimensions=b}),define(we[80],ye([0,1,34,8,5,3,22,16,4]),function(J,e,k,t,p,C,P,D,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.splitName=e.unmnemonicLabel=e.mnemonicButtonLabel=e.mnemonicMenuLabel=e.template=e.shorten=e.untildify=e.tildify=e.normalizeDriveLetter=e.getBaseLabel=e.getPathLabel=void 0;function I(n,i,r){if(typeof n=="string"&&(n=v.URI.file(n)),r){const m=r.getWorkspaceFolder(n);if(m){const S=r.getWorkspace().folders.length>1;let _;if((0,P.isEqual)(m.uri,n)?_="":_=(0,P.relativePath)(m.uri,n),S){const F=m.name?m.name:(0,P.basename)(m.uri);_=_?F+" \u2022 "+_:F}return _}}if(n.scheme!==t.Schemas.file&&n.scheme!==t.Schemas.untitled)return n.with({query:null,fragment:null}).toString(!0);if((0,k.hasDriveLetter)(n.fsPath))return(0,p.normalize)(R(n.fsPath));let a=(0,p.normalize)(n.fsPath);return!C.isWindows&&i?.userHome&&(a=b(a,i.userHome.fsPath)),a}e.getPathLabel=I;function L(n){if(!n)return;typeof n=="string"&&(n=v.URI.file(n));const i=(0,P.basename)(n)||(n.scheme===t.Schemas.file?n.fsPath:n.path);return C.isWindows&&(0,k.isRootOrDriveLetter)(i)?R(i):i}e.getBaseLabel=L;function R(n,i){return(0,k.hasDriveLetter)(n,i)?n.charAt(0).toUpperCase()+n.slice(1):n}e.normalizeDriveLetter=R;let g=Object.create(null);function b(n,i){if(C.isWindows||!n||!i)return n;let r=g.original===i?g.normalized:void 0;return r||(r=`${(0,D.rtrim)(i,p.posix.sep)}${p.posix.sep}`,g={original:i,normalized:r}),(C.isLinux?n.startsWith(r):(0,D.startsWithIgnoreCase)(n,r))&&(n=`~/${n.substr(r.length)}`),n}e.tildify=b;function c(n,i){return n.replace(/^~($|\/|\\)/,`${i}$1`)}e.untildify=c;const h="\u2026",d="\\\\",E="~";function w(n,i=p.sep){const r=new Array(n.length);let a=!1;for(let m=0;m<n.length;m++){let S=n[m];if(S===""){r[m]=`.${i}`;continue}if(!S){r[m]=S;continue}a=!0;let _="";S.indexOf(d)===0?(_=S.substr(0,S.indexOf(d)+d.length),S=S.substr(S.indexOf(d)+d.length)):S.indexOf(i)===0?(_=S.substr(0,S.indexOf(i)+i.length),S=S.substr(S.indexOf(i)+i.length)):S.indexOf(E)===0&&(_=S.substr(0,S.indexOf(E)+E.length),S=S.substr(S.indexOf(E)+E.length));const F=S.split(i);for(let B=1;a&&B<=F.length;B++)for(let A=F.length-B;a&&A>=0;A--){a=!1;let T=F.slice(A,A+B).join(i);for(let U=0;!a&&U<n.length;U++)if(U!==m&&n[U]&&n[U].indexOf(T)>-1){const N=A+B===F.length,W=A>0&&n[U].indexOf(i)>-1?i+T:T,ie=n[U].endsWith(W);a=!N||ie}if(!a){let U="";(F[0].endsWith(":")||_!=="")&&(A===1&&(A=0,B++,T=F[0]+i+T),A>0&&(U=F[0]+i),U=_+U),A>0&&(U=U+h+i),U=U+T,A+B<F.length&&(U=U+i+h),r[m]=U}}a&&(r[m]=S)}return r}e.shorten=w;var f;(function(n){n[n.TEXT=0]="TEXT",n[n.VARIABLE=1]="VARIABLE",n[n.SEPARATOR=2]="SEPARATOR"})(f||(f={}));function y(n,i=Object.create(null)){const r=[];let a=!1,m="";for(const S of n)if(S==="$"||a&&S==="{")m&&r.push({value:m,type:f.TEXT}),m="",a=!0;else if(S==="}"&&a){const _=i[m];if(typeof _=="string")_.length&&r.push({value:_,type:f.VARIABLE});else if(_){const F=r[r.length-1];(!F||F.type!==f.SEPARATOR)&&r.push({value:_.label,type:f.SEPARATOR})}m="",a=!1}else m+=S;return m&&!a&&r.push({value:m,type:f.TEXT}),r.filter((S,_)=>{if(S.type===f.SEPARATOR){const F=r[_-1],B=r[_+1];return[F,B].every(A=>A&&(A.type===f.VARIABLE||A.type===f.TEXT)&&A.value.length>0)}return!0}).map(S=>S.value).join("")}e.template=y;function u(n,i){return C.isMacintosh||i?n.replace(/\(&&\w\)|&&/g,"").replace(/&/g,C.isMacintosh?"&":"&&"):n.replace(/&&|&/g,r=>r==="&"?"&&":"&")}e.mnemonicMenuLabel=u;function o(n,i){return C.isMacintosh||i?n.replace(/\(&&\w\)|&&/g,""):C.isWindows?n.replace(/&&|&/g,r=>r==="&"?"&&":"&"):n.replace(/&&/g,"_")}e.mnemonicButtonLabel=o;function l(n){return n.replace(/&/g,"&&")}e.unmnemonicLabel=l;function s(n){const i=n.indexOf("/")!==-1?p.posix:p.win32,r=i.basename(n),a=i.dirname(n);return r.length?{name:r,parentPath:a}:{name:a,parentPath:""}}e.splitName=s}),define(we[61],ye([0,1,4]),function(J,e,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.transformAndReviveIncomingURIs=e.transformIncomingURIs=e.transformOutgoingURIs=e.DefaultURITransformer=e.URITransformer=void 0;function t(L){return L.toJSON()}class p{constructor(R){this._uriTransformer=R}transformIncoming(R){const g=this._uriTransformer.transformIncoming(R);return g===R?R:t(k.URI.from(g))}transformOutgoing(R){const g=this._uriTransformer.transformOutgoing(R);return g===R?R:t(k.URI.from(g))}transformOutgoingURI(R){const g=this._uriTransformer.transformOutgoing(R);return g===R?R:k.URI.from(g)}transformOutgoingScheme(R){return this._uriTransformer.transformOutgoingScheme(R)}}e.URITransformer=p,e.DefaultURITransformer=new class{transformIncoming(L){return L}transformOutgoing(L){return L}transformOutgoingURI(L){return L}transformOutgoingScheme(L){return L}};function C(L,R,g){if(!L||g>200)return null;if(typeof L=="object"){if(L instanceof k.URI)return R.transformOutgoing(L);for(let b in L)if(Object.hasOwnProperty.call(L,b)){const c=C(L[b],R,g+1);c!==null&&(L[b]=c)}}return null}function P(L,R){const g=C(L,R,0);return g===null?L:g}e.transformOutgoingURIs=P;function D(L,R,g,b){if(!L||b>200)return null;if(typeof L=="object"){if(L.$mid===1)return g?k.URI.revive(R.transformIncoming(L)):R.transformIncoming(L);for(let c in L)if(Object.hasOwnProperty.call(L,c)){const h=D(L[c],R,g,b+1);h!==null&&(L[c]=h)}}return null}function v(L,R){const g=D(L,R,!1,0);return g===null?L:g}e.transformIncomingURIs=v;function I(L,R){const g=D(L,R,!0,0);return g===null?L:g}e.transformAndReviveIncomingURIs=I}),define(we[23],ye([0,1]),function(J,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.generateUuid=e.isUUID=void 0;const k=/^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$/i;function t(v){return k.test(v)}e.isUUID=t;const p=new Uint8Array(16),C=[];for(let v=0;v<256;v++)C.push(v.toString(16).padStart(2,"0"));let P;typeof crypto=="object"&&typeof crypto.getRandomValues=="function"?P=crypto.getRandomValues.bind(crypto):P=function(v){for(let I=0;I<v.length;I++)v[I]=Math.floor(Math.random()*256);return v};function D(){P(p),p[6]=p[6]&15|64,p[8]=p[8]&63|128;let v=0,I="";return I+=C[p[v++]],I+=C[p[v++]],I+=C[p[v++]],I+=C[p[v++]],I+="-",I+=C[p[v++]],I+=C[p[v++]],I+="-",I+=C[p[v++]],I+=C[p[v++]],I+="-",I+=C[p[v++]],I+=C[p[v++]],I+="-",I+=C[p[v++]],I+=C[p[v++]],I+=C[p[v++]],I+=C[p[v++]],I+=C[p[v++]],I+=C[p[v++]],I}e.generateUuid=D}),define(we[127],ye([0,1,255]),function(J,e,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LineDecoder=void 0;class t{constructor(C="utf8"){this.stringDecoder=new k.StringDecoder(C),this.remaining=null}write(C){const P=[],D=this.remaining?this.remaining+this.stringDecoder.write(C):this.stringDecoder.write(C);if(D.length<1)return P;let v=0,I,L=v;for(;L<D.length;)if(I=D.charCodeAt(L),I===13||I===10){if(P.push(D.substring(v,L)),L++,L<D.length){const R=I;I=D.charCodeAt(L),(R===13&&I===10||R===10&&I===13)&&L++}v=L}else L++;return this.remaining=v<D.length?D.substr(v):null,P}end(){return this.remaining}}e.LineDecoder=t}),function(){"use strict";function J(e,k,t,p){function C(c){return new Promise(h=>t.exists(c,h))}function P(c){return new Promise((h,d)=>{const E=new Date;t.utimes(c,E,E,w=>w?d(w):h())})}function D(c){return new Promise((h,d)=>t.mkdir(c,{recursive:!0},E=>E&&E.code!=="EEXIST"?d(E):h(c)))}function v(c){return new Promise((h,d)=>t.rmdir(c,{recursive:!0},E=>E&&E.code!=="ENOENT"?d(E):h()))}function I(c){return new Promise((h,d)=>t.readFile(c,"utf8",(E,w)=>E?d(E):h(w)))}function L(c,h){return new Promise((d,E)=>t.writeFile(c,h,"utf8",w=>w?E(w):d()))}function R(c){const h=k.join(c,"languagepacks.json");try{return e(h)}catch{}}function g(c,h){try{for(;h;){if(c[h])return h;{const d=h.lastIndexOf("-");if(d>0)h=h.substring(0,d);else return}}}catch(d){console.error("Resolving language pack configuration failed.",d)}}function b(c,h,d,E){if(E==="pseudo")return Promise.resolve({locale:E,availableLanguages:{},pseudo:!0});if(process.env.VSCODE_DEV)return Promise.resolve({locale:E,availableLanguages:{}});if(E&&(E==="en"||E==="en-us"))return Promise.resolve({locale:E,availableLanguages:{}});const w=E;p.mark("code/willGenerateNls");const f=function(y){return p.mark("code/didGenerateNls"),Promise.resolve({locale:y,availableLanguages:{}})};try{if(!c)return f(w);const y=R(h);if(!y||(E=g(y,E),!E))return f(w);const u=y[E];let o;return!u||typeof u.hash!="string"||!u.translations||typeof(o=u.translations.vscode)!="string"?f(w):C(o).then(l=>{if(!l)return f(w);const s=u.hash+"."+E,n=k.join(h,"clp",s),i=k.join(n,c),r=k.join(n,"tcf.json"),a=k.join(n,"corrupted.info"),m={locale:w,availableLanguages:{"*":E},_languagePackId:s,_translationsConfigFile:r,_cacheRoot:n,_resolvedLanguagePackCoreLocation:i,_corruptedFile:a};return C(a).then(S=>{let _;return S?_=v(n):_=Promise.resolve(void 0),_.then(()=>C(i).then(F=>F?(P(i).catch(()=>{}),p.mark("code/didGenerateNls"),m):D(i).then(()=>Promise.all([I(d),I(o)])).then(B=>{const A=JSON.parse(B[0]),T=JSON.parse(B[1]).contents,U=Object.keys(A.bundles),N=[];for(const W of U){const ie=A.bundles[W],q=Object.create(null);for(const se of ie){const V=A.keys[se],K=A.messages[se],te=T[se];let re;if(te){re=[];for(let oe=0;oe<V.length;oe++){const me=V[oe],X=typeof me=="string"?me:me.key;let $=te[X];$===void 0&&($=K[oe]),re.push($)}}else re=K;q[se]=re}N.push(L(k.join(i,W.replace(/\//g,"!")+".nls.json"),JSON.stringify(q)))}return N.push(L(r,JSON.stringify(u.translations))),Promise.all(N)}).then(()=>(p.mark("code/didGenerateNls"),m)).catch(B=>(console.error("Generating translation files failed.",B),f(E)))))})})}catch(y){return console.error("Generating translation files failed.",y),f(E)}}return{getNLSConfiguration:b}}if(typeof define=="function")define(we[128],ye([0,129,27,43]),function(e,k,t,p){return J(e.__$__nodeRequire,k,t,p)});else if(typeof module=="object"&&typeof module.exports=="object"){const e=require("path"),k=require("fs"),t=require("../common/performance");module.exports=J(require,e,k,t)}else throw new Error("Unknown context")}(),define(we[130],ye([0,1,25]),function(J,e,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getMac=void 0;const t=new Set(["00:00:00:00:00:00","ff:ff:ff:ff:ff:ff","ac:de:48:00:11:22"]);function p(P){const D=P.replace(/\-/g,":").toLowerCase();return!t.has(D)}function C(){const P=(0,k.networkInterfaces)();for(let D in P){const v=P[D];if(v){for(const{mac:I}of v)if(p(I))return I}}throw new Error("Unable to retrieve mac address (unexpected format)")}e.getMac=C}),define(we[81],ye([0,1,25,11,29,23,130]),function(J,e,k,t,p,C,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getMachineId=e.virtualMachineHint=void 0,e.virtualMachineHint=new class{_isVirtualMachineMacAddress(L){return this._virtualMachineOUIs||(this._virtualMachineOUIs=p.TernarySearchTree.forStrings(),this._virtualMachineOUIs.set("00-50-56",!0),this._virtualMachineOUIs.set("00-0C-29",!0),this._virtualMachineOUIs.set("00-05-69",!0),this._virtualMachineOUIs.set("00-03-FF",!0),this._virtualMachineOUIs.set("00-1C-42",!0),this._virtualMachineOUIs.set("00-16-3E",!0),this._virtualMachineOUIs.set("08-00-27",!0),this._virtualMachineOUIs.set("00:50:56",!0),this._virtualMachineOUIs.set("00:0C:29",!0),this._virtualMachineOUIs.set("00:05:69",!0),this._virtualMachineOUIs.set("00:03:FF",!0),this._virtualMachineOUIs.set("00:1C:42",!0),this._virtualMachineOUIs.set("00:16:3E",!0),this._virtualMachineOUIs.set("08:00:27",!0)),!!this._virtualMachineOUIs.findSubstr(L)}value(){if(this._value===void 0){let L=0,R=0;const g=(0,k.networkInterfaces)();for(let b in g){const c=g[b];if(c)for(const{mac:h,internal:d}of c)d||(R+=1,this._isVirtualMachineMacAddress(h.toUpperCase())&&(L+=1))}this._value=R>0?L/R:0}return this._value}};let D;async function v(){return D||(D=(async()=>await I()||C.generateUuid())()),D}e.getMachineId=v;async function I(){try{const L=await new Promise((g,b)=>{J(["crypto"],g,b)}),R=(0,P.getMac)();return L.createHash("sha256").update(R,"utf8").digest("hex")}catch(L){t.onUnexpectedError(L);return}}}),define(we[18],ye([0,1,27,25,131,13,34,75,5,3,22,4]),function(J,e,k,t,p,C,P,D,v,I,L,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Promises=e.writeFileSync=e.SymlinkSupport=e.whenDeleted=e.readdirSync=e.rimrafSync=e.RimRafMode=void 0;var g;(function(N){N[N.UNLINK=0]="UNLINK",N[N.MOVE=1]="MOVE"})(g=e.RimRafMode||(e.RimRafMode={}));async function b(N,W=g.UNLINK){if((0,P.isRootOrDriveLetter)(N))throw new Error("rimraf - will refuse to recursively delete root");return W===g.UNLINK?h(N):c(N)}async function c(N){try{const W=(0,P.randomPath)((0,t.tmpdir)());try{await k.promises.rename(N,W)}catch{return h(N)}h(W).catch(ie=>{})}catch(W){if(W.code!=="ENOENT")throw W}}async function h(N){return e.Promises.rmdir(N,{recursive:!0,maxRetries:3})}function d(N){if((0,P.isRootOrDriveLetter)(N))throw new Error("rimraf - will refuse to recursively delete root");k.rmdirSync(N,{recursive:!0})}e.rimrafSync=d;async function E(N,W){return y(await(W?w(N):(0,p.promisify)(k.readdir)(N)))}async function w(N){try{return await(0,p.promisify)(k.readdir)(N,{withFileTypes:!0})}catch(q){console.warn("[node.js fs] readdir with filetypes failed with error: ",q)}const W=[],ie=await E(N);for(const q of ie){let se=!1,V=!1,K=!1;try{const te=await e.Promises.lstat((0,v.join)(N,q));se=te.isFile(),V=te.isDirectory(),K=te.isSymbolicLink()}catch(te){console.warn("[node.js fs] unexpected error from lstat after readdir: ",te)}W.push({name:q,isFile:()=>se,isDirectory:()=>V,isSymbolicLink:()=>K})}return W}function f(N){return y(k.readdirSync(N))}e.readdirSync=f;function y(N){return N.map(W=>typeof W=="string"?I.isMacintosh?(0,D.normalizeNFC)(W):W:(W.name=I.isMacintosh?(0,D.normalizeNFC)(W.name):W.name,W))}async function u(N){const W=await E(N),ie=[];for(const q of W)await l.existsDirectory((0,v.join)(N,q))&&ie.push(q);return ie}function o(N,W=1e3){return new Promise(ie=>{let q=!1;const se=setInterval(()=>{q||(q=!0,k.access(N,V=>{q=!1,V&&(clearInterval(se),ie(void 0))}))},W)})}e.whenDeleted=o;var l;(function(N){async function W(se){let V;try{if(V=await e.Promises.lstat(se),!V.isSymbolicLink())return{stat:V}}catch{}try{return{stat:await e.Promises.stat(se),symbolicLink:V?.isSymbolicLink()?{dangling:!1}:void 0}}catch(K){if(K.code==="ENOENT"&&V)return{stat:V,symbolicLink:{dangling:!0}};if(I.isWindows&&K.code==="EACCES")try{return{stat:await e.Promises.stat(await e.Promises.readlink(se)),symbolicLink:{dangling:!1}}}catch(te){if(te.code==="ENOENT"&&V)return{stat:V,symbolicLink:{dangling:!0}};throw te}throw K}}N.stat=W;async function ie(se){try{const{stat:V,symbolicLink:K}=await N.stat(se);return V.isFile()&&K?.dangling!==!0}catch{}return!1}N.existsFile=ie;async function q(se){try{const{stat:V,symbolicLink:K}=await N.stat(se);return V.isDirectory()&&K?.dangling!==!0}catch{}return!1}N.existsDirectory=q})(l=e.SymlinkSupport||(e.SymlinkSupport={}));const s=new C.ResourceQueue;function n(N,W,ie){return s.queueFor(R.URI.file(N),L.extUriBiasedIgnorePathCase).queue(()=>{const q=m(ie);return new Promise((se,V)=>r(N,W,q,K=>K?V(K):se()))})}let i=!0;function r(N,W,ie,q){if(!i)return k.writeFile(N,W,{mode:ie.mode,flag:ie.flag},q);k.open(N,ie.flag,ie.mode,(se,V)=>{if(se)return q(se);k.writeFile(V,W,K=>{if(K)return k.close(V,()=>q(K));k.fdatasync(V,te=>(te&&(console.warn("[node.js fs] fdatasync is now disabled for this session because it failed: ",te),i=!1),k.close(V,re=>q(re))))})})}function a(N,W,ie){const q=m(ie);if(!i)return k.writeFileSync(N,W,{mode:q.mode,flag:q.flag});const se=k.openSync(N,q.flag,q.mode);try{k.writeFileSync(se,W);try{k.fdatasyncSync(se)}catch(V){console.warn("[node.js fs] fdatasyncSync is now disabled for this session because it failed: ",V),i=!1}}finally{k.closeSync(se)}}e.writeFileSync=a;function m(N){return N?{mode:typeof N.mode=="number"?N.mode:438,flag:typeof N.flag=="string"?N.flag:"w"}:{mode:438,flag:"w"}}async function S(N,W){if(N!==W)try{await e.Promises.rename(N,W)}catch(ie){if(N.toLowerCase()!==W.toLowerCase()&&ie.code==="EXDEV"||N.endsWith("."))await _(N,W,{preserveSymlinks:!1}),await b(N,g.MOVE);else throw ie}}async function _(N,W,ie){return B(N,W,{root:{source:N,target:W},options:ie,handledSourcePaths:new Set})}const F=511;async function B(N,W,ie){if(ie.handledSourcePaths.has(N))return;ie.handledSourcePaths.add(N);const{stat:q,symbolicLink:se}=await l.stat(N);if(se){if(ie.options.preserveSymlinks)try{return await U(N,W,ie)}catch(V){console.warn("[node.js fs] copy of symlink failed: ",V)}if(se.dangling)return}return q.isDirectory()?A(N,W,q.mode&F,ie):T(N,W,q.mode&F)}async function A(N,W,ie,q){await e.Promises.mkdir(W,{recursive:!0,mode:ie});const se=await E(N);for(const V of se)await B((0,v.join)(N,V),(0,v.join)(W,V),q)}async function T(N,W,ie){await e.Promises.copyFile(N,W),await e.Promises.chmod(W,ie)}async function U(N,W,ie){let q=await e.Promises.readlink(N);(0,P.isEqualOrParent)(q,ie.root.source,!I.isLinux)&&(q=(0,v.join)(ie.root.target,q.substr(ie.root.source.length+1))),await e.Promises.symlink(q,W)}e.Promises=new class{get access(){return(0,p.promisify)(k.access)}get stat(){return(0,p.promisify)(k.stat)}get lstat(){return(0,p.promisify)(k.lstat)}get utimes(){return(0,p.promisify)(k.utimes)}get read(){return(N,W,ie,q,se)=>new Promise((V,K)=>{k.read(N,W,ie,q,se,(te,re,oe)=>te?K(te):V({bytesRead:re,buffer:oe}))})}get readFile(){return(0,p.promisify)(k.readFile)}get write(){return(N,W,ie,q,se)=>new Promise((V,K)=>{k.write(N,W,ie,q,se,(te,re,oe)=>te?K(te):V({bytesWritten:re,buffer:oe}))})}get appendFile(){return(0,p.promisify)(k.appendFile)}get fdatasync(){return(0,p.promisify)(k.fdatasync)}get truncate(){return(0,p.promisify)(k.truncate)}get rename(){return(0,p.promisify)(k.rename)}get copyFile(){return(0,p.promisify)(k.copyFile)}get open(){return(0,p.promisify)(k.open)}get close(){return(0,p.promisify)(k.close)}get symlink(){return(0,p.promisify)(k.symlink)}get readlink(){return(0,p.promisify)(k.readlink)}get chmod(){return(0,p.promisify)(k.chmod)}get mkdir(){return(0,p.promisify)(k.mkdir)}get unlink(){return(0,p.promisify)(k.unlink)}get rmdir(){return(0,p.promisify)(k.rmdir)}get realpath(){return(0,p.promisify)(k.realpath)}async exists(N){try{return await e.Promises.access(N),!0}catch{return!1}}get readdir(){return E}get readDirsInDir(){return u}get writeFile(){return n}get rm(){return b}get move(){return S}get copy(){return _}}}),define(we[132],ye([0,1,27,5,3,16,18]),function(J,e,k,t,p,C,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.realpathSync=e.realpath=e.realcase=e.realcaseSync=void 0;function D(g){if(p.isLinux)return g;const b=(0,t.dirname)(g);if(g===b)return g;const c=((0,t.basename)(g)||g).toLowerCase();try{const d=(0,P.readdirSync)(b).filter(E=>E.toLowerCase()===c);if(d.length===1){const E=D(b);if(E)return(0,t.join)(E,d[0])}else if(d.length>1){const E=d.indexOf(c);if(E>=0){const w=D(b);if(w)return(0,t.join)(w,d[E])}}}catch{}return null}e.realcaseSync=D;async function v(g){if(p.isLinux)return g;const b=(0,t.dirname)(g);if(g===b)return g;const c=((0,t.basename)(g)||g).toLowerCase();try{const d=(await P.Promises.readdir(b)).filter(E=>E.toLowerCase()===c);if(d.length===1){const E=await v(b);if(E)return(0,t.join)(E,d[0])}else if(d.length>1){const E=d.indexOf(c);if(E>=0){const w=await v(b);if(w)return(0,t.join)(w,d[E])}}}catch{}return null}e.realcase=v;async function I(g){try{return await P.Promises.realpath(g)}catch{const c=R(g);return await P.Promises.access(c,k.constants.R_OK),c}}e.realpath=I;function L(g){try{return k.realpathSync(g)}catch{const c=R(g);return k.accessSync(c,k.constants.R_OK),c}}e.realpathSync=L;function R(g){return(0,C.rtrim)((0,t.normalize)(g),t.sep)}}),define(we[133],ye([0,1,82]),function(J,e,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.findFreePortFaster=e.BROWSER_RESTRICTED_PORTS=e.findFreePort=void 0;function t(D,v,I,L=1){let R=!1;return new Promise(g=>{const b=setTimeout(()=>{if(!R)return R=!0,g(0)},I);p(D,v,L,c=>{if(!R)return R=!0,clearTimeout(b),g(c)})})}e.findFreePort=t;function p(D,v,I,L){if(v===0)return L(0);const R=new k.Socket;R.once("connect",()=>(P(R),p(D+I,v-1,I,L))),R.once("data",()=>{}),R.once("error",g=>(P(R),g.code!=="ECONNREFUSED"?p(D+I,v-1,I,L):L(D))),R.connect(D,"127.0.0.1")}e.BROWSER_RESTRICTED_PORTS={1:!0,7:!0,9:!0,11:!0,13:!0,15:!0,17:!0,19:!0,20:!0,21:!0,22:!0,23:!0,25:!0,37:!0,42:!0,43:!0,53:!0,69:!0,77:!0,79:!0,87:!0,95:!0,101:!0,102:!0,103:!0,104:!0,109:!0,110:!0,111:!0,113:!0,115:!0,117:!0,119:!0,123:!0,135:!0,137:!0,139:!0,143:!0,161:!0,179:!0,389:!0,427:!0,465:!0,512:!0,513:!0,514:!0,515:!0,526:!0,530:!0,531:!0,532:!0,540:!0,548:!0,554:!0,556:!0,563:!0,587:!0,601:!0,636:!0,989:!0,990:!0,993:!0,995:!0,1719:!0,1720:!0,1723:!0,2049:!0,3659:!0,4045:!0,5060:!0,5061:!0,6e3:!0,6566:!0,6665:!0,6666:!0,6667:!0,6668:!0,6669:!0,6697:!0,10080:!0};function C(D,v,I){let L=!1,R,g=1;const b=k.createServer({pauseOnConnect:!0});function c(h,d){L||(L=!0,b.removeAllListeners(),b.close(),R&&clearTimeout(R),d(h))}return new Promise(h=>{R=setTimeout(()=>{c(0,h)},I),b.on("listening",()=>{c(D,h)}),b.on("error",d=>{d&&(d.code==="EADDRINUSE"||d.code==="EACCES")&&g<v?(D++,g++,b.listen(D,"127.0.0.1")):c(0,h)}),b.on("close",()=>{c(0,h)}),b.listen(D,"127.0.0.1")})}e.findFreePortFaster=C;function P(D){try{D.removeAllListeners("connect"),D.removeAllListeners("error"),D.end(),D.destroy(),D.unref()}catch(v){console.error(v)}}}),define(we[83],ye([0,1,25,5,18]),function(J,e,k,t,p){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getFirstAvailablePowerShellInstallation=e.enumeratePowerShellInstallations=void 0;const C=/^\d+$/,P=/^Microsoft.PowerShell_.*/,D=/^Microsoft.PowerShellPreview_.*/;var v;(function(y){y[y.x64=0]="x64",y[y.x86=1]="x86",y[y.ARM=2]="ARM"})(v||(v={}));let I;switch(process.arch){case"ia32":case"x32":I=1;break;case"arm":case"arm64":I=2;break;default:I=0;break}let L;process.env.PROCESSOR_ARCHITEW6432?L=process.env.PROCESSOR_ARCHITEW6432==="ARM64"?2:0:process.env.PROCESSOR_ARCHITECTURE==="ARM64"?L=2:process.env.PROCESSOR_ARCHITECTURE==="X86"?L=1:L=0;class R{constructor(u,o,l){this.exePath=u,this.displayName=o,this.knownToExist=l}async exists(){return this.knownToExist===void 0&&(this.knownToExist=await p.SymlinkSupport.existsFile(this.exePath)),this.knownToExist}}function g({useAlternateBitness:y=!1}={}){return y?I===0?process.env["ProgramFiles(x86)"]||null:L===0&&process.env.ProgramW6432||null:process.env.ProgramFiles||null}async function b({useAlternateBitness:y=!1,findPreview:u=!1}={}){const o=g({useAlternateBitness:y});if(!o)return null;const l=t.join(o,"PowerShell");if(!await p.SymlinkSupport.existsDirectory(l))return null;let s=-1,n=null;for(const a of await p.Promises.readdir(l)){let m=-1;if(u){const _=a.indexOf("-");if(_<0)continue;const F=a.substring(0,_);if(!C.test(F)||a.substring(_+1)!=="preview")continue;m=parseInt(F,10)}else{if(!C.test(a))continue;m=parseInt(a,10)}if(m<=s)continue;const S=t.join(l,a,"pwsh.exe");!await p.SymlinkSupport.existsFile(S)||(n=S,s=m)}if(!n)return null;const i=o.includes("x86")?" (x86)":"",r=u?" Preview":"";return new R(n,`PowerShell${r}${i}`,!0)}async function c({findPreview:y}={}){if(!process.env.LOCALAPPDATA)return null;const u=t.join(process.env.LOCALAPPDATA,"Microsoft","WindowsApps");if(!await p.SymlinkSupport.existsDirectory(u))return null;const{pwshMsixDirRegex:o,pwshMsixName:l}=y?{pwshMsixDirRegex:D,pwshMsixName:"PowerShell Preview (Store)"}:{pwshMsixDirRegex:P,pwshMsixName:"PowerShell (Store)"};for(const s of await p.Promises.readdir(u))if(o.test(s)){const n=t.join(u,s,"pwsh.exe");return new R(n,l)}return null}function h(){const y=t.join(k.homedir(),".dotnet","tools","pwsh.exe");return new R(y,".NET Core PowerShell Global Tool")}function d(){const y=t.join(process.env.windir,I===1&&L!==1?"SysNative":"System32","WindowsPowerShell","v1.0","powershell.exe");return new R(y,"Windows PowerShell",!0)}async function*E(){let y=await b();y&&(yield y),y=await b({useAlternateBitness:!0}),y&&(yield y),y=await c(),y&&(yield y),y=h(),y&&(yield y),y=await b({findPreview:!0}),y&&(yield y),y=await c({findPreview:!0}),y&&(yield y),y=await b({useAlternateBitness:!0,findPreview:!0}),y&&(yield y),y=d(),y&&(yield y)}async function*w(){for await(const y of E())await y.exists()&&(yield y)}e.enumeratePowerShellInstallations=w;async function f(){for await(const y of w())return y;return null}e.getFirstAvailablePowerShellInstallation=f}),define(we[84],ye([0,1,38,8]),function(J,e,k,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.listProcesses=void 0;function p(P){return new Promise((D,v)=>{let I;const L=new Map;function R(b,c,h,d,E){const w=L.get(c);if(b===P||w){const f={name:g(h),cmd:h,pid:b,ppid:c,load:d,mem:E};L.set(b,f),b===P&&(I=f),w&&(w.children||(w.children=[]),w.children.push(f),w.children.length>1&&(w.children=w.children.sort((y,u)=>y.pid-u.pid)))}}function g(b){const c=/--vscode-window-kind=shared-process/,h=/--vscode-window-kind=issue-reporter/,d=/--vscode-window-kind=process-explorer/,E=/--utility-sub-type=network/,w=/--crashes-directory/,f=/\\pipe\\winpty-control/,y=/conhost\.exe/,u=/--type=([a-zA-Z-]+)/;if(w.exec(b))return"electron-crash-reporter";if(f.exec(b))return"winpty-process";if(y.exec(b))return"console-window-host (Windows internal process)";let o=u.exec(b);if(o&&o.length===2)return o[1]==="renderer"?c.exec(b)?"shared-process":h.exec(b)?"issue-reporter":d.exec(b)?"process-explorer":"window":o[1]==="utility"&&E.exec(b)?"utility-network-service":o[1];const l=/[a-zA-Z-]+\.js/g;let s="";do o=l.exec(b),o&&(s+=o+" ");while(o);return s&&b.indexOf("node ")<0&&b.indexOf("node.exe")<0?`electron_node ${s}`:b}if(process.platform==="win32"){const b=c=>c.indexOf("\\\\?\\")===0||c.indexOf("\\??\\")===0?c.substr(4):c.indexOf('"\\\\?\\')===0||c.indexOf('"\\??\\')===0?'"'+c.substr(5):c;new Promise((c,h)=>{J(["windows-process-tree"],c,h)}).then(c=>{c.getProcessList(P,h=>{c.getProcessCpuUsage(h,d=>{const E=new Map;d.forEach(w=>{const f=b(w.commandLine||"");E.set(w.pid,{name:g(f),cmd:f,pid:w.pid,ppid:w.ppid,load:w.cpu||0,mem:w.memory||0})}),I=E.get(P),I?(E.forEach(w=>{const f=E.get(w.ppid);f&&(f.children||(f.children=[]),f.children.push(w))}),E.forEach(w=>{w.children&&(w.children=w.children.sort((f,y)=>f.pid-y.pid))}),D(I)):v(new Error(`Root process ${P} not found`))})},c.ProcessDataFlag.CommandLine|c.ProcessDataFlag.Memory)})}else{let b=function(){let c=[I];const h=[];for(;c.length;){const E=c.shift();E&&(h.push(E.pid),E.children&&(c=c.concat(E.children)))}let d=JSON.stringify(t.FileAccess.asFileUri("vs/base/node/cpuUsage.sh",J).fsPath);d+=" "+h.join(" "),(0,k.exec)(d,{},(E,w,f)=>{if(E||f)v(E||new Error(f.toString()));else{const y=w.toString().split(`
`);for(let u=0;u<h.length;u++){const o=L.get(h[u]);o.load=parseFloat(y[u])}if(!I){v(new Error(`Root process ${P} not found`));return}D(I)}})};(0,k.exec)("which ps",{},(c,h,d)=>{if(c||d)if(process.platform!=="linux")v(c||new Error(d.toString()));else{const E=JSON.stringify(t.FileAccess.asFileUri("vs/base/node/ps.sh",J).fsPath);(0,k.exec)(E,{},(w,f,y)=>{w||y?v(w||new Error(y.toString())):(C(f,R),b())})}else{const E=h.toString().trim(),w="-ax -o pid=,ppid=,pcpu=,pmem=,command=";(0,k.exec)(`${E} ${w}`,{maxBuffer:1e3*1024,env:{LC_NUMERIC:"en_US.UTF-8"}},(f,y,u)=>{f||u&&!u.includes("screen size is bogus")?v(f||new Error(u.toString())):(C(y,R),process.platform==="linux"?b():I?D(I):v(new Error(`Root process ${P} not found`)))})}})}})}e.listProcesses=p;function C(P,D){const v=/^\s*([0-9]+)\s+([0-9]+)\s+([0-9]+\.[0-9]+)\s+([0-9]+\.[0-9]+)\s+(.+)$/,I=P.toString().split(`
`);for(const L of I){const R=v.exec(L.trim());R&&R.length===6&&D(parseInt(R[1]),parseInt(R[2]),R[5],parseFloat(R[3]),parseFloat(R[4]))}}});var Ae=this&&this.__decorate||function(J,e,k,t){var p=arguments.length,C=p<3?e:t===null?t=Object.getOwnPropertyDescriptor(e,k):t,P;if(typeof Reflect=="object"&&typeof Reflect.decorate=="function")C=Reflect.decorate(J,e,k,t);else for(var D=J.length-1;D>=0;D--)(P=J[D])&&(C=(p<3?P(C):p>3?P(e,k,C):P(e,k))||C);return p>3&&C&&Object.defineProperty(e,k,C),C};define(we[39],ye([0,1,17,13,15,20,72,11,7,2,50,16,12]),function(J,e,k,t,p,C,P,D,v,I,L,R,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IPCLogger=e.logWithColors=e.ProxyChannel=e.StaticRouter=e.getNextTickChannel=e.getDelayedChannel=e.IPCClient=e.IPCServer=e.ChannelClient=e.RequestInitiator=e.ChannelServer=e.ResponseType=e.RequestType=void 0;var b;(function(V){V[V.Promise=100]="Promise",V[V.PromiseCancel=101]="PromiseCancel",V[V.EventListen=102]="EventListen",V[V.EventDispose=103]="EventDispose"})(b=e.RequestType||(e.RequestType={}));function c(V){switch(V){case 100:return"req";case 101:return"cancel";case 102:return"subscribe";case 103:return"unsubscribe"}}var h;(function(V){V[V.Initialize=200]="Initialize",V[V.PromiseSuccess=201]="PromiseSuccess",V[V.PromiseError=202]="PromiseError",V[V.PromiseErrorObj=203]="PromiseErrorObj",V[V.EventFire=204]="EventFire"})(h=e.ResponseType||(e.ResponseType={}));function d(V){switch(V){case 200:return"init";case 201:return"reply:";case 202:case 203:return"replyErr:";case 204:return"event:"}}var E;(function(V){V[V.Uninitialized=0]="Uninitialized",V[V.Idle=1]="Idle"})(E||(E={}));class w{constructor(K){this.buffer=K,this.pos=0}read(K){const te=this.buffer.slice(this.pos,this.pos+K);return this.pos+=te.byteLength,te}}class f{constructor(){this.buffers=[]}get buffer(){return p.VSBuffer.concat(this.buffers)}write(K){this.buffers.push(K)}}var y;(function(V){V[V.Undefined=0]="Undefined",V[V.String=1]="String",V[V.Buffer=2]="Buffer",V[V.VSBuffer=3]="VSBuffer",V[V.Array=4]="Array",V[V.Object=5]="Object"})(y||(y={}));function u(V){const K=p.VSBuffer.alloc(4);return K.writeUInt32BE(V,0),K}function o(V){return V.read(4).readUInt32BE(0)}function l(V){const K=p.VSBuffer.alloc(1);return K.writeUInt8(V,0),K}const s={Undefined:l(y.Undefined),String:l(y.String),Buffer:l(y.Buffer),VSBuffer:l(y.VSBuffer),Array:l(y.Array),Object:l(y.Object)},n=typeof Buffer!="undefined";function i(V,K){if(typeof K=="undefined")V.write(s.Undefined);else if(typeof K=="string"){const te=p.VSBuffer.fromString(K);V.write(s.String),V.write(u(te.byteLength)),V.write(te)}else if(n&&Buffer.isBuffer(K)){const te=p.VSBuffer.wrap(K);V.write(s.Buffer),V.write(u(te.byteLength)),V.write(te)}else if(K instanceof p.VSBuffer)V.write(s.VSBuffer),V.write(u(K.byteLength)),V.write(K);else if(Array.isArray(K)){V.write(s.Array),V.write(u(K.length));for(const te of K)i(V,te)}else{const te=p.VSBuffer.fromString(JSON.stringify(K));V.write(s.Object),V.write(u(te.byteLength)),V.write(te)}}function r(V){switch(V.read(1).readUInt8(0)){case y.Undefined:return;case y.String:return V.read(o(V)).toString();case y.Buffer:return V.read(o(V)).buffer;case y.VSBuffer:return V.read(o(V));case y.Array:{const te=o(V),re=[];for(let oe=0;oe<te;oe++)re.push(r(V));return re}case y.Object:return JSON.parse(V.read(o(V)).toString())}}class a{constructor(K,te,re=null,oe=1e3){this.protocol=K,this.ctx=te,this.logger=re,this.timeoutDelay=oe,this.channels=new Map,this.activeRequests=new Map,this.pendingRequests=new Map,this.protocolListener=this.protocol.onMessage(me=>this.onRawMessage(me)),this.sendResponse({type:200})}registerChannel(K,te){this.channels.set(K,te),setTimeout(()=>this.flushPendingRequests(K),0)}sendResponse(K){switch(K.type){case 200:{const te=this.send([K.type]);this.logger?.logOutgoing(te,0,1,d(K.type));return}case 201:case 202:case 204:case 203:{const te=this.send([K.type,K.id],K.data);this.logger?.logOutgoing(te,K.id,1,d(K.type),K.data);return}}}send(K,te=void 0){const re=new f;return i(re,K),i(re,te),this.sendBuffer(re.buffer)}sendBuffer(K){try{return this.protocol.send(K),K.byteLength}catch{return 0}}onRawMessage(K){const te=new w(K),re=r(te),oe=r(te),me=re[0];switch(me){case 100:return this.logger?.logIncoming(K.byteLength,re[1],1,`${c(me)}: ${re[2]}.${re[3]}`,oe),this.onPromise({type:me,id:re[1],channelName:re[2],name:re[3],arg:oe});case 102:return this.logger?.logIncoming(K.byteLength,re[1],1,`${c(me)}: ${re[2]}.${re[3]}`,oe),this.onEventListen({type:me,id:re[1],channelName:re[2],name:re[3],arg:oe});case 101:return this.logger?.logIncoming(K.byteLength,re[1],1,`${c(me)}`),this.disposeActiveRequest({type:me,id:re[1]});case 103:return this.logger?.logIncoming(K.byteLength,re[1],1,`${c(me)}`),this.disposeActiveRequest({type:me,id:re[1]})}}onPromise(K){const te=this.channels.get(K.channelName);if(!te){this.collectPendingRequest(K);return}const re=new C.CancellationTokenSource;let oe;try{oe=te.call(this.ctx,K.name,K.arg,re.token)}catch($){oe=Promise.reject($)}const me=K.id;oe.then($=>{this.sendResponse({id:me,data:$,type:201}),this.activeRequests.delete(K.id)},$=>{$ instanceof Error?this.sendResponse({id:me,data:{message:$.message,name:$.name,stack:$.stack?$.stack.split?$.stack.split(`
`):$.stack:void 0},type:202}):this.sendResponse({id:me,data:$,type:203}),this.activeRequests.delete(K.id)});const X=(0,I.toDisposable)(()=>re.cancel());this.activeRequests.set(K.id,X)}onEventListen(K){const te=this.channels.get(K.channelName);if(!te){this.collectPendingRequest(K);return}const re=K.id,me=te.listen(this.ctx,K.name,K.arg)(X=>this.sendResponse({id:re,data:X,type:204}));this.activeRequests.set(K.id,me)}disposeActiveRequest(K){const te=this.activeRequests.get(K.id);te&&(te.dispose(),this.activeRequests.delete(K.id))}collectPendingRequest(K){let te=this.pendingRequests.get(K.channelName);te||(te=[],this.pendingRequests.set(K.channelName,te));const re=setTimeout(()=>{console.error(`Unknown channel: ${K.channelName}`),K.type===100&&this.sendResponse({id:K.id,data:{name:"Unknown channel",message:`Channel name '${K.channelName}' timed out after ${this.timeoutDelay}ms`,stack:void 0},type:202})},this.timeoutDelay);te.push({request:K,timeoutTimer:re})}flushPendingRequests(K){const te=this.pendingRequests.get(K);if(te){for(const re of te)switch(clearTimeout(re.timeoutTimer),re.request.type){case 100:this.onPromise(re.request);break;case 102:this.onEventListen(re.request);break}this.pendingRequests.delete(K)}}dispose(){this.protocolListener&&(this.protocolListener.dispose(),this.protocolListener=null),(0,I.dispose)(this.activeRequests.values()),this.activeRequests.clear()}}e.ChannelServer=a;var m;(function(V){V[V.LocalSide=0]="LocalSide",V[V.OtherSide=1]="OtherSide"})(m=e.RequestInitiator||(e.RequestInitiator={}));class S{constructor(K,te=null){this.protocol=K,this.isDisposed=!1,this.state=E.Uninitialized,this.activeRequests=new Set,this.handlers=new Map,this.lastRequestId=0,this._onDidInitialize=new v.Emitter,this.onDidInitialize=this._onDidInitialize.event,this.protocolListener=this.protocol.onMessage(re=>this.onBuffer(re)),this.logger=te}getChannel(K){const te=this;return{call(re,oe,me){return te.isDisposed?Promise.reject(D.canceled()):te.requestPromise(K,re,oe,me)},listen(re,oe){return te.isDisposed?v.Event.None:te.requestEvent(K,re,oe)}}}requestPromise(K,te,re,oe=C.CancellationToken.None){const me=this.lastRequestId++,$={id:me,type:100,channelName:K,name:te,arg:re};if(oe.isCancellationRequested)return Promise.reject(D.canceled());let H;return new Promise((ee,he)=>{if(oe.isCancellationRequested)return he(D.canceled());const Ie=()=>{const Q=z=>{switch(z.type){case 201:this.handlers.delete(me),ee(z.data);break;case 202:{this.handlers.delete(me);const G=new Error(z.data.message);G.stack=z.data.stack,G.name=z.data.name,he(G);break}case 203:this.handlers.delete(me),he(z.data);break}};this.handlers.set(me,Q),this.sendRequest($)};let ae=null;this.state===E.Idle?Ie():(ae=(0,t.createCancelablePromise)(Q=>this.whenInitialized()),ae.then(()=>{ae=null,Ie()}));const fe=()=>{ae?(ae.cancel(),ae=null):this.sendRequest({id:me,type:101}),he(D.canceled())},ve=oe.onCancellationRequested(fe);H=(0,I.combinedDisposable)((0,I.toDisposable)(fe),ve),this.activeRequests.add(H)}).finally(()=>{this.activeRequests.delete(H)})}requestEvent(K,te,re){const oe=this.lastRequestId++,X={id:oe,type:102,channelName:K,name:te,arg:re};let $=null;const H=new v.Emitter({onFirstListenerAdd:()=>{$=(0,t.createCancelablePromise)(ee=>this.whenInitialized()),$.then(()=>{$=null,this.activeRequests.add(H),this.sendRequest(X)})},onLastListenerRemove:()=>{$?($.cancel(),$=null):(this.activeRequests.delete(H),this.sendRequest({id:oe,type:103}))}}),j=ee=>H.fire(ee.data);return this.handlers.set(oe,j),H.event}sendRequest(K){switch(K.type){case 100:case 102:{const te=this.send([K.type,K.id,K.channelName,K.name],K.arg);this.logger&&this.logger.logOutgoing(te,K.id,0,`${c(K.type)}: ${K.channelName}.${K.name}`,K.arg);return}case 101:case 103:{const te=this.send([K.type,K.id]);this.logger&&this.logger.logOutgoing(te,K.id,0,c(K.type));return}}}send(K,te=void 0){const re=new f;return i(re,K),i(re,te),this.sendBuffer(re.buffer)}sendBuffer(K){try{return this.protocol.send(K),K.byteLength}catch{return 0}}onBuffer(K){const te=new w(K),re=r(te),oe=r(te),me=re[0];switch(me){case 200:return this.logger&&this.logger.logIncoming(K.byteLength,0,0,d(me)),this.onResponse({type:re[0]});case 201:case 202:case 204:case 203:return this.logger&&this.logger.logIncoming(K.byteLength,re[1],0,d(me),oe),this.onResponse({type:re[0],id:re[1],data:oe})}}onResponse(K){if(K.type===200){this.state=E.Idle,this._onDidInitialize.fire();return}const te=this.handlers.get(K.id);te&&te(K)}get onDidInitializePromise(){return v.Event.toPromise(this.onDidInitialize)}whenInitialized(){return this.state===E.Idle?Promise.resolve():this.onDidInitializePromise}dispose(){this.isDisposed=!0,this.protocolListener&&(this.protocolListener.dispose(),this.protocolListener=null),(0,I.dispose)(this.activeRequests.values()),this.activeRequests.clear()}}Ae([P.memoize],S.prototype,"onDidInitializePromise",null),e.ChannelClient=S;class _{constructor(K){this.channels=new Map,this._connections=new Set,this._onDidAddConnection=new v.Emitter,this.onDidAddConnection=this._onDidAddConnection.event,this._onDidRemoveConnection=new v.Emitter,this.onDidRemoveConnection=this._onDidRemoveConnection.event,K(({protocol:te,onDidClientDisconnect:re})=>{v.Event.once(te.onMessage)(me=>{const X=new w(me),$=r(X),H=new a(te,$),j=new S(te);this.channels.forEach((he,Ie)=>H.registerChannel(Ie,he));const ee={channelServer:H,channelClient:j,ctx:$};this._connections.add(ee),this._onDidAddConnection.fire(ee),re(()=>{H.dispose(),j.dispose(),this._connections.delete(ee),this._onDidRemoveConnection.fire(ee)})})})}get connections(){const K=[];return this._connections.forEach(te=>K.push(te)),K}getChannel(K,te){const re=this;return{call(oe,me,X){let $;if((0,g.isFunction)(te)){let j=(0,k.getRandomElement)(re.connections.filter(te));$=j?Promise.resolve(j):v.Event.toPromise(v.Event.filter(re.onDidAddConnection,te))}else $=te.routeCall(re,oe,me);const H=$.then(j=>j.channelClient.getChannel(K));return B(H).call(oe,me,X)},listen(oe,me){if((0,g.isFunction)(te))return re.getMulticastEvent(K,te,oe,me);const X=te.routeEvent(re,oe,me).then($=>$.channelClient.getChannel(K));return B(X).listen(oe,me)}}}getMulticastEvent(K,te,re,oe){const me=this;let X=new I.DisposableStore;const $=new v.Emitter({onFirstListenerAdd:()=>{X=new I.DisposableStore;const H=new v.EventMultiplexer,j=new Map,ee=Ie=>{const fe=Ie.channelClient.getChannel(K).listen(re,oe),ve=H.add(fe);j.set(Ie,ve)},he=Ie=>{const ae=j.get(Ie);!ae||(ae.dispose(),j.delete(Ie))};me.connections.filter(te).forEach(ee),v.Event.filter(me.onDidAddConnection,te)(ee,void 0,X),me.onDidRemoveConnection(he,void 0,X),H.event($.fire,$,X),X.add(H)},onLastListenerRemove:()=>{X.dispose()}});return $.event}registerChannel(K,te){this.channels.set(K,te),this._connections.forEach(re=>{re.channelServer.registerChannel(K,te)})}dispose(){this.channels.clear(),this._connections.clear(),this._onDidAddConnection.dispose(),this._onDidRemoveConnection.dispose()}}e.IPCServer=_;class F{constructor(K,te,re=null){const oe=new f;i(oe,te),K.send(oe.buffer),this.channelClient=new S(K,re),this.channelServer=new a(K,te,re)}getChannel(K){return this.channelClient.getChannel(K)}registerChannel(K,te){this.channelServer.registerChannel(K,te)}dispose(){this.channelClient.dispose(),this.channelServer.dispose()}}e.IPCClient=F;function B(V){return{call(K,te,re){return V.then(oe=>oe.call(K,te,re))},listen(K,te){const re=new v.Relay;return V.then(oe=>re.input=oe.listen(K,te)),re.event}}}e.getDelayedChannel=B;function A(V){let K=!1;return{call(te,re,oe){return K?V.call(te,re,oe):(0,t.timeout)(0).then(()=>K=!0).then(()=>V.call(te,re,oe))},listen(te,re){if(K)return V.listen(te,re);const oe=new v.Relay;return(0,t.timeout)(0).then(()=>K=!0).then(()=>oe.input=V.listen(te,re)),oe.event}}}e.getNextTickChannel=A;class T{constructor(K){this.fn=K}routeCall(K){return this.route(K)}routeEvent(K){return this.route(K)}async route(K){for(const te of K.connections)if(await Promise.resolve(this.fn(te.ctx)))return Promise.resolve(te);return await v.Event.toPromise(K.onDidAddConnection),await this.route(K)}}e.StaticRouter=T;var U;(function(V){function K(me,X){const $=me,H=X&&X.disableMarshalling,j=new Map;for(const ee in $)re(ee)&&j.set(ee,v.Event.buffer($[ee],!0));return new class{listen(ee,he,Ie){const ae=j.get(he);if(ae)return ae;if(oe(he)){const fe=$[he];if(typeof fe=="function")return fe.call($,Ie)}throw new Error(`Event not found: ${he}`)}call(ee,he,Ie){const ae=$[he];if(typeof ae=="function"){if(!H&&Array.isArray(Ie))for(let fe=0;fe<Ie.length;fe++)Ie[fe]=(0,L.revive)(Ie[fe]);return ae.apply($,Ie)}throw new Error(`Method not found: ${he}`)}}}V.fromService=K;function te(me,X){const $=X&&X.disableMarshalling;return new Proxy({},{get(H,j){if(typeof j=="string")return X?.properties?.has(j)?X.properties.get(j):oe(j)?function(ee){return me.listen(j,ee)}:re(j)?me.listen(j):async function(...ee){let he;X&&!(0,g.isUndefinedOrNull)(X.context)?he=[X.context,...ee]:he=ee;const Ie=await me.call(j,he);return $?Ie:(0,L.revive)(Ie)};throw new Error(`Property not found: ${String(j)}`)}})}V.toService=te;function re(me){return me[0]==="o"&&me[1]==="n"&&R.isUpperAsciiLetter(me.charCodeAt(2))}function oe(me){return/^onDynamic/.test(me)&&R.isUpperAsciiLetter(me.charCodeAt(9))}})(U=e.ProxyChannel||(e.ProxyChannel={}));const N=[["#2977B1","#FC802D","#34A13A","#D3282F","#9366BA"],["#8B564C","#E177C0","#7F7F7F","#BBBE3D","#2EBECD"]];function W(V){if(Array.isArray(V))return V;if(V&&typeof V=="object"&&typeof V.toString=="function"){let K=V.toString();if(K!=="[object Object]")return K}return V}function ie(V){return Array.isArray(V)?V.map(W):W(V)}function q(V,K,te,re,oe,me,X){X=ie(X);const $=N[oe],H=$[re%$.length];let j=[`%c[${V}]%c[${String(K).padStart(7," ")}]%c[len: ${String(te).padStart(5," ")}]%c${String(re).padStart(5," ")} - ${me}`,"color: darkgreen","color: grey","color: grey",`color: ${H}`];/\($/.test(me)?(j=j.concat(X),j.push(")")):j.push(X),console.log.apply(console,j)}e.logWithColors=q;class se{constructor(K,te){this._outgoingPrefix=K,this._incomingPrefix=te,this._totalIncoming=0,this._totalOutgoing=0}logOutgoing(K,te,re,oe,me){this._totalOutgoing+=K,q(this._outgoingPrefix,this._totalOutgoing,K,te,re,oe,me)}logIncoming(K,te,re,oe,me){this._totalIncoming+=K,q(this._incomingPrefix,this._totalIncoming,K,te,re,oe,me)}}e.IPCLogger=se}),define(we[85],ye([0,1,15,7,2,39]),function(J,e,k,t,p,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.PersistentProtocol=e.BufferedEmitter=e.Client=e.Protocol=e.ProtocolConstants=e.ChunkStream=e.SocketCloseEventType=e.SocketDiagnostics=e.SocketDiagnosticsEventType=void 0;var P;(function(n){n.Created="created",n.Read="read",n.Write="write",n.Open="open",n.Error="error",n.Close="close",n.BrowserWebSocketBlobReceived="browserWebSocketBlobReceived",n.NodeEndReceived="nodeEndReceived",n.NodeEndSent="nodeEndSent",n.NodeDrainBegin="nodeDrainBegin",n.NodeDrainEnd="nodeDrainEnd",n.zlibInflateError="zlibInflateError",n.zlibInflateData="zlibInflateData",n.zlibInflateInitialWrite="zlibInflateInitialWrite",n.zlibInflateInitialFlushFired="zlibInflateInitialFlushFired",n.zlibInflateWrite="zlibInflateWrite",n.zlibInflateFlushFired="zlibInflateFlushFired",n.zlibDeflateError="zlibDeflateError",n.zlibDeflateData="zlibDeflateData",n.zlibDeflateWrite="zlibDeflateWrite",n.zlibDeflateFlushFired="zlibDeflateFlushFired",n.WebSocketNodeSocketWrite="webSocketNodeSocketWrite",n.WebSocketNodeSocketPeekedHeader="webSocketNodeSocketPeekedHeader",n.WebSocketNodeSocketReadHeader="webSocketNodeSocketReadHeader",n.WebSocketNodeSocketReadData="webSocketNodeSocketReadData",n.WebSocketNodeSocketUnmaskedData="webSocketNodeSocketUnmaskedData",n.WebSocketNodeSocketDrainBegin="webSocketNodeSocketDrainBegin",n.WebSocketNodeSocketDrainEnd="webSocketNodeSocketDrainEnd",n.ProtocolHeaderRead="protocolHeaderRead",n.ProtocolMessageRead="protocolMessageRead",n.ProtocolHeaderWrite="protocolHeaderWrite",n.ProtocolMessageWrite="protocolMessageWrite",n.ProtocolWrite="protocolWrite"})(P=e.SocketDiagnosticsEventType||(e.SocketDiagnosticsEventType={}));var D;(function(n){n.enableDiagnostics=!1,n.records=[];const i=new WeakMap;let r=0;function a(S,_){if(!i.has(S)){const F=String(++r);i.set(S,F)}return i.get(S)}function m(S,_,F,B){if(!n.enableDiagnostics)return;const A=a(S,_);if(B instanceof k.VSBuffer||B instanceof Uint8Array||B instanceof ArrayBuffer||ArrayBuffer.isView(B)){const T=k.VSBuffer.alloc(B.byteLength);T.set(B),n.records.push({timestamp:Date.now(),id:A,label:_,type:F,buff:T})}else n.records.push({timestamp:Date.now(),id:A,label:_,type:F,data:B})}n.traceSocketEvent=m})(D=e.SocketDiagnostics||(e.SocketDiagnostics={}));var v;(function(n){n[n.NodeSocketCloseEvent=0]="NodeSocketCloseEvent",n[n.WebSocketCloseEvent=1]="WebSocketCloseEvent"})(v=e.SocketCloseEventType||(e.SocketCloseEventType={}));let I=null;function L(){return I||(I=k.VSBuffer.alloc(0)),I}class R{constructor(){this._chunks=[],this._totalLength=0}get byteLength(){return this._totalLength}acceptChunk(i){this._chunks.push(i),this._totalLength+=i.byteLength}read(i){return this._read(i,!0)}peek(i){return this._read(i,!1)}_read(i,r){if(i===0)return L();if(i>this._totalLength)throw new Error("Cannot read so many bytes!");if(this._chunks[0].byteLength===i){const _=this._chunks[0];return r&&(this._chunks.shift(),this._totalLength-=i),_}if(this._chunks[0].byteLength>i){const _=this._chunks[0].slice(0,i);return r&&(this._chunks[0]=this._chunks[0].slice(i),this._totalLength-=i),_}let a=k.VSBuffer.alloc(i),m=0,S=0;for(;i>0;){const _=this._chunks[S];if(_.byteLength>i){const F=_.slice(0,i);a.set(F,m),m+=i,r&&(this._chunks[S]=_.slice(i),this._totalLength-=i),i-=i}else a.set(_,m),m+=_.byteLength,r?(this._chunks.shift(),this._totalLength-=_.byteLength):S++,i-=_.byteLength}return a}}e.ChunkStream=R;var g;(function(n){n[n.None=0]="None",n[n.Regular=1]="Regular",n[n.Control=2]="Control",n[n.Ack=3]="Ack",n[n.Disconnect=5]="Disconnect",n[n.ReplayRequest=6]="ReplayRequest",n[n.Pause=7]="Pause",n[n.Resume=8]="Resume"})(g||(g={}));function b(n){switch(n){case 0:return"None";case 1:return"Regular";case 2:return"Control";case 3:return"Ack";case 5:return"Disconnect";case 6:return"ReplayRequest";case 7:return"PauseWriting";case 8:return"ResumeWriting"}}var c;(function(n){n[n.HeaderLength=13]="HeaderLength",n[n.AcknowledgeTime=2e3]="AcknowledgeTime",n[n.TimeoutTime=2e4]="TimeoutTime",n[n.ReconnectionGraceTime=108e5]="ReconnectionGraceTime",n[n.ReconnectionShortGraceTime=3e5]="ReconnectionShortGraceTime"})(c=e.ProtocolConstants||(e.ProtocolConstants={}));class h{constructor(i,r,a,m){this.type=i,this.id=r,this.ack=a,this.data=m,this.writtenTime=0}get size(){return this.data.byteLength}}class d extends p.Disposable{constructor(i){super();this._onMessage=this._register(new t.Emitter),this.onMessage=this._onMessage.event,this._state={readHead:!0,readLen:13,messageType:0,id:0,ack:0},this._socket=i,this._isDisposed=!1,this._incomingData=new R,this._register(this._socket.onData(r=>this.acceptChunk(r))),this.lastReadTime=Date.now()}acceptChunk(i){if(!(!i||i.byteLength===0))for(this.lastReadTime=Date.now(),this._incomingData.acceptChunk(i);this._incomingData.byteLength>=this._state.readLen;){const r=this._incomingData.read(this._state.readLen);if(this._state.readHead)this._state.readHead=!1,this._state.readLen=r.readUInt32BE(9),this._state.messageType=r.readUInt8(0),this._state.id=r.readUInt32BE(1),this._state.ack=r.readUInt32BE(5),this._socket.traceSocketEvent("protocolHeaderRead",{messageType:b(this._state.messageType),id:this._state.id,ack:this._state.ack,messageSize:this._state.readLen});else{const a=this._state.messageType,m=this._state.id,S=this._state.ack;if(this._state.readHead=!0,this._state.readLen=13,this._state.messageType=0,this._state.id=0,this._state.ack=0,this._socket.traceSocketEvent("protocolMessageRead",r),this._onMessage.fire(new h(a,m,S,r)),this._isDisposed)break}}}readEntireBuffer(){return this._incomingData.read(this._incomingData.byteLength)}dispose(){this._isDisposed=!0,super.dispose()}}class E{constructor(i){this._writeNowTimeout=null,this._isDisposed=!1,this._isPaused=!1,this._socket=i,this._data=[],this._totalLength=0,this.lastWriteTime=0}dispose(){try{this.flush()}catch{}this._isDisposed=!0}drain(){return this.flush(),this._socket.drain()}flush(){this._writeNow()}pause(){this._isPaused=!0}resume(){this._isPaused=!1,this._scheduleWriting()}write(i){if(this._isDisposed)return;i.writtenTime=Date.now(),this.lastWriteTime=Date.now();const r=k.VSBuffer.alloc(13);r.writeUInt8(i.type,0),r.writeUInt32BE(i.id,1),r.writeUInt32BE(i.ack,5),r.writeUInt32BE(i.data.byteLength,9),this._socket.traceSocketEvent("protocolHeaderWrite",{messageType:b(i.type),id:i.id,ack:i.ack,messageSize:i.data.byteLength}),this._socket.traceSocketEvent("protocolMessageWrite",i.data),this._writeSoon(r,i.data)}_bufferAdd(i,r){const a=this._totalLength===0;return this._data.push(i,r),this._totalLength+=i.byteLength+r.byteLength,a}_bufferTake(){const i=k.VSBuffer.concat(this._data,this._totalLength);return this._data.length=0,this._totalLength=0,i}_writeSoon(i,r){this._bufferAdd(i,r)&&this._scheduleWriting()}_scheduleWriting(){this._writeNowTimeout||(this._writeNowTimeout=setTimeout(()=>{this._writeNowTimeout=null,this._writeNow()}))}_writeNow(){if(this._totalLength===0||this._isPaused)return;const i=this._bufferTake();this._socket.traceSocketEvent("protocolWrite",{byteLength:i.byteLength}),this._socket.write(i)}}class w extends p.Disposable{constructor(i){super();this._onMessage=new t.Emitter,this.onMessage=this._onMessage.event,this._onDidDispose=new t.Emitter,this.onDidDispose=this._onDidDispose.event,this._socket=i,this._socketWriter=this._register(new E(this._socket)),this._socketReader=this._register(new d(this._socket)),this._register(this._socketReader.onMessage(r=>{r.type===1&&this._onMessage.fire(r.data)})),this._register(this._socket.onClose(()=>this._onDidDispose.fire()))}drain(){return this._socketWriter.drain()}getSocket(){return this._socket}sendDisconnect(){}send(i){this._socketWriter.write(new h(1,0,0,i))}}e.Protocol=w;class f extends C.IPCClient{constructor(i,r,a=null){super(i,r,a);this.protocol=i}static fromSocket(i,r){return new f(new w(i),r)}get onDidDispose(){return this.protocol.onDidDispose}dispose(){super.dispose();const i=this.protocol.getSocket();this.protocol.sendDisconnect(),this.protocol.dispose(),i.end()}}e.Client=f;class y{constructor(){this._hasListeners=!1,this._isDeliveringMessages=!1,this._bufferedMessages=[],this._emitter=new t.Emitter({onFirstListenerAdd:()=>{this._hasListeners=!0,queueMicrotask(()=>this._deliverMessages())},onLastListenerRemove:()=>{this._hasListeners=!1}}),this.event=this._emitter.event}_deliverMessages(){if(!this._isDeliveringMessages){for(this._isDeliveringMessages=!0;this._hasListeners&&this._bufferedMessages.length>0;)this._emitter.fire(this._bufferedMessages.shift());this._isDeliveringMessages=!1}}fire(i){this._hasListeners?this._bufferedMessages.length>0?this._bufferedMessages.push(i):this._emitter.fire(i):this._bufferedMessages.push(i)}flushBuffer(){this._bufferedMessages=[]}}e.BufferedEmitter=y;class u{constructor(i){this.data=i,this.next=null}}class o{constructor(){this._first=null,this._last=null}peek(){return this._first?this._first.data:null}toArray(){let i=[],r=0,a=this._first;for(;a;)i[r++]=a.data,a=a.next;return i}pop(){if(!!this._first){if(this._first===this._last){this._first=null,this._last=null;return}this._first=this._first.next}}push(i){const r=new u(i);if(!this._first){this._first=r,this._last=r;return}this._last.next=r,this._last=r}}class l{constructor(){this.lastRuns=[];const i=Date.now();for(let r=0;r<l._HISTORY_LENGTH;r++)this.lastRuns[r]=i-1e3*r;setInterval(()=>{for(let r=l._HISTORY_LENGTH;r>=1;r--)this.lastRuns[r]=this.lastRuns[r-1];this.lastRuns[0]=Date.now()},1e3)}static getInstance(){return l._INSTANCE||(l._INSTANCE=new l),l._INSTANCE}load(){const i=Date.now(),r=(1+l._HISTORY_LENGTH)*1e3;let a=0;for(let m=0;m<l._HISTORY_LENGTH;m++)i-this.lastRuns[m]<=r&&a++;return 1-a/l._HISTORY_LENGTH}hasHighLoad(){return this.load()>=.5}}l._HISTORY_LENGTH=10,l._INSTANCE=null;class s{constructor(i,r=null,a=l.getInstance()){this._onControlMessage=new y,this.onControlMessage=this._onControlMessage.event,this._onMessage=new y,this.onMessage=this._onMessage.event,this._onDidDispose=new y,this.onDidDispose=this._onDidDispose.event,this._onSocketClose=new y,this.onSocketClose=this._onSocketClose.event,this._onSocketTimeout=new y,this.onSocketTimeout=this._onSocketTimeout.event,this._loadEstimator=a,this._isReconnecting=!1,this._outgoingUnackMsg=new o,this._outgoingMsgId=0,this._outgoingAckId=0,this._outgoingAckTimeout=null,this._incomingMsgId=0,this._incomingAckId=0,this._incomingMsgLastTime=0,this._incomingAckTimeout=null,this._lastReplayRequestTime=0,this._lastSocketTimeoutTime=Date.now(),this._socketDisposables=[],this._socket=i,this._socketWriter=new E(this._socket),this._socketDisposables.push(this._socketWriter),this._socketReader=new d(this._socket),this._socketDisposables.push(this._socketReader),this._socketDisposables.push(this._socketReader.onMessage(m=>this._receiveMessage(m))),this._socketDisposables.push(this._socket.onClose(m=>this._onSocketClose.fire(m))),r&&this._socketReader.acceptChunk(r)}get unacknowledgedCount(){return this._outgoingMsgId-this._outgoingAckId}dispose(){this._outgoingAckTimeout&&(clearTimeout(this._outgoingAckTimeout),this._outgoingAckTimeout=null),this._incomingAckTimeout&&(clearTimeout(this._incomingAckTimeout),this._incomingAckTimeout=null),this._socketDisposables=(0,p.dispose)(this._socketDisposables)}drain(){return this._socketWriter.drain()}sendDisconnect(){const i=new h(5,0,0,L());this._socketWriter.write(i),this._socketWriter.flush()}sendPause(){const i=new h(7,0,0,L());this._socketWriter.write(i)}sendResume(){const i=new h(8,0,0,L());this._socketWriter.write(i)}pauseSocketWriting(){this._socketWriter.pause()}getSocket(){return this._socket}getMillisSinceLastIncomingData(){return Date.now()-this._socketReader.lastReadTime}beginAcceptReconnection(i,r){this._isReconnecting=!0,this._socketDisposables=(0,p.dispose)(this._socketDisposables),this._onControlMessage.flushBuffer(),this._onSocketClose.flushBuffer(),this._onSocketTimeout.flushBuffer(),this._socket.dispose(),this._lastReplayRequestTime=0,this._lastSocketTimeoutTime=Date.now(),this._socket=i,this._socketWriter=new E(this._socket),this._socketDisposables.push(this._socketWriter),this._socketReader=new d(this._socket),this._socketDisposables.push(this._socketReader),this._socketDisposables.push(this._socketReader.onMessage(a=>this._receiveMessage(a))),this._socketDisposables.push(this._socket.onClose(a=>this._onSocketClose.fire(a))),this._socketReader.acceptChunk(r)}endAcceptReconnection(){this._isReconnecting=!1,this._incomingAckId=this._incomingMsgId;const i=new h(3,0,this._incomingAckId,L());this._socketWriter.write(i);const r=this._outgoingUnackMsg.toArray();for(let a=0,m=r.length;a<m;a++)this._socketWriter.write(r[a]);this._recvAckCheck()}acceptDisconnect(){this._onDidDispose.fire()}_receiveMessage(i){if(i.ack>this._outgoingAckId){this._outgoingAckId=i.ack;do{const r=this._outgoingUnackMsg.peek();if(r&&r.id<=i.ack)this._outgoingUnackMsg.pop();else break}while(!0)}switch(i.type){case 0:break;case 1:{if(i.id>this._incomingMsgId)if(i.id!==this._incomingMsgId+1){const r=Date.now();r-this._lastReplayRequestTime>1e4&&(this._lastReplayRequestTime=r,this._socketWriter.write(new h(6,0,0,L())))}else this._incomingMsgId=i.id,this._incomingMsgLastTime=Date.now(),this._sendAckCheck(),this._onMessage.fire(i.data);break}case 2:{this._onControlMessage.fire(i.data);break}case 3:break;case 5:{this._onDidDispose.fire();break}case 6:{const r=this._outgoingUnackMsg.toArray();for(let a=0,m=r.length;a<m;a++)this._socketWriter.write(r[a]);this._recvAckCheck();break}case 7:{this._socketWriter.pause();break}case 8:{this._socketWriter.resume();break}}}readEntireBuffer(){return this._socketReader.readEntireBuffer()}flush(){this._socketWriter.flush()}send(i){const r=++this._outgoingMsgId;this._incomingAckId=this._incomingMsgId;const a=new h(1,r,this._incomingAckId,i);this._outgoingUnackMsg.push(a),this._isReconnecting||(this._socketWriter.write(a),this._recvAckCheck())}sendControl(i){const r=new h(2,0,0,i);this._socketWriter.write(r)}_sendAckCheck(){if(this._incomingMsgId<=this._incomingAckId||this._incomingAckTimeout)return;const i=Date.now()-this._incomingMsgLastTime;if(i>=2e3){this._sendAck();return}this._incomingAckTimeout=setTimeout(()=>{this._incomingAckTimeout=null,this._sendAckCheck()},2e3-i+5)}_recvAckCheck(){if(this._outgoingMsgId<=this._outgoingAckId||this._outgoingAckTimeout||this._isReconnecting)return;const i=this._outgoingUnackMsg.peek(),r=Date.now()-i.writtenTime,a=Date.now()-this._socketReader.lastReadTime,m=Date.now()-this._lastSocketTimeoutTime;if(r>=2e4&&a>=2e4&&m>=2e4&&!this._loadEstimator.hasHighLoad()){this._lastSocketTimeoutTime=Date.now(),this._onSocketTimeout.fire(void 0);return}const S=Math.max(2e4-r,2e4-a,2e4-m,500);this._outgoingAckTimeout=setTimeout(()=>{this._outgoingAckTimeout=null,this._recvAckCheck()},S)}_sendAck(){if(this._incomingMsgId<=this._incomingAckId)return;this._incomingAckId=this._incomingMsgId;const i=new h(3,0,this._incomingAckId,L());this._socketWriter.write(i)}}e.PersistentProtocol=s}),define(we[134],ye([0,1,13,7,2,12]),function(J,e,k,t,p,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.InMemoryStorageDatabase=e.Storage=e.isStorageItemsChangeEvent=e.StorageHint=void 0;var P;(function(R){R[R.STORAGE_DOES_NOT_EXIST=0]="STORAGE_DOES_NOT_EXIST"})(P=e.StorageHint||(e.StorageHint={}));function D(R){const g=R;return g?.changed instanceof Map||g?.deleted instanceof Set}e.isStorageItemsChangeEvent=D;var v;(function(R){R[R.None=0]="None",R[R.Initialized=1]="Initialized",R[R.Closed=2]="Closed"})(v||(v={}));class I extends p.Disposable{constructor(g,b=Object.create(null)){super();this.database=g,this.options=b,this._onDidChangeStorage=this._register(new t.Emitter),this.onDidChangeStorage=this._onDidChangeStorage.event,this.state=v.None,this.cache=new Map,this.flushDelayer=new k.ThrottledDelayer(I.DEFAULT_FLUSH_DELAY),this.pendingDeletes=new Set,this.pendingInserts=new Map,this.pendingClose=void 0,this.whenFlushedCallbacks=[],this.registerListeners()}registerListeners(){this._register(this.database.onDidChangeItemsExternal(g=>this.onDidChangeItemsExternal(g)))}onDidChangeItemsExternal(g){g.changed?.forEach((b,c)=>this.accept(c,b)),g.deleted?.forEach(b=>this.accept(b,void 0))}accept(g,b){if(this.state===v.Closed)return;let c=!1;(0,C.isUndefinedOrNull)(b)?c=this.cache.delete(g):this.cache.get(g)!==b&&(this.cache.set(g,b),c=!0),c&&this._onDidChangeStorage.fire(g)}get items(){return this.cache}get size(){return this.cache.size}async init(){this.state===v.None&&(this.state=v.Initialized,this.options.hint!==P.STORAGE_DOES_NOT_EXIST&&(this.cache=await this.database.getItems()))}get(g,b){const c=this.cache.get(g);return(0,C.isUndefinedOrNull)(c)?b:c}getBoolean(g,b){const c=this.get(g);return(0,C.isUndefinedOrNull)(c)?b:c==="true"}getNumber(g,b){const c=this.get(g);return(0,C.isUndefinedOrNull)(c)?b:parseInt(c,10)}async set(g,b){if(this.state===v.Closed)return;if((0,C.isUndefinedOrNull)(b))return this.delete(g);const c=String(b);if(this.cache.get(g)!==c)return this.cache.set(g,c),this.pendingInserts.set(g,c),this.pendingDeletes.delete(g),this._onDidChangeStorage.fire(g),this.doFlush()}async delete(g){if(!(this.state===v.Closed||!this.cache.delete(g)))return this.pendingDeletes.has(g)||this.pendingDeletes.add(g),this.pendingInserts.delete(g),this._onDidChangeStorage.fire(g),this.doFlush()}async close(){return this.pendingClose||(this.pendingClose=this.doClose()),this.pendingClose}async doClose(){this.state=v.Closed;try{await this.doFlush(0)}catch{}await this.database.close(()=>this.cache)}get hasPending(){return this.pendingInserts.size>0||this.pendingDeletes.size>0}async flushPending(){if(!this.hasPending)return;const g={insert:this.pendingInserts,delete:this.pendingDeletes};return this.pendingDeletes=new Set,this.pendingInserts=new Map,this.database.updateItems(g).finally(()=>{if(!this.hasPending)for(;this.whenFlushedCallbacks.length;)this.whenFlushedCallbacks.pop()?.()})}async flush(g){if(!!this.hasPending)return this.doFlush(g)}async doFlush(g){return this.flushDelayer.trigger(()=>this.flushPending(),g)}async whenFlushed(){if(!!this.hasPending)return new Promise(g=>this.whenFlushedCallbacks.push(g))}dispose(){this.flushDelayer.dispose(),super.dispose()}}e.Storage=I,I.DEFAULT_FLUSH_DELAY=100;class L{constructor(){this.onDidChangeItemsExternal=t.Event.None,this.items=new Map}async getItems(){return this.items}async updateItems(g){g.insert&&g.insert.forEach((b,c)=>this.items.set(c,b)),g.delete&&g.delete.forEach(b=>this.items.delete(b))}async close(){}}e.InMemoryStorageDatabase=L}),define(we[86],ye([0,1]),function(J,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Position=void 0;class k{constructor(p,C){this.lineNumber=p,this.column=C}with(p=this.lineNumber,C=this.column){return p===this.lineNumber&&C===this.column?this:new k(p,C)}delta(p=0,C=0){return this.with(this.lineNumber+p,this.column+C)}equals(p){return k.equals(this,p)}static equals(p,C){return!p&&!C?!0:!!p&&!!C&&p.lineNumber===C.lineNumber&&p.column===C.column}isBefore(p){return k.isBefore(this,p)}static isBefore(p,C){return p.lineNumber<C.lineNumber?!0:C.lineNumber<p.lineNumber?!1:p.column<C.column}isBeforeOrEqual(p){return k.isBeforeOrEqual(this,p)}static isBeforeOrEqual(p,C){return p.lineNumber<C.lineNumber?!0:C.lineNumber<p.lineNumber?!1:p.column<=C.column}static compare(p,C){const P=p.lineNumber|0,D=C.lineNumber|0;if(P===D){const v=p.column|0,I=C.column|0;return v-I}return P-D}clone(){return new k(this.lineNumber,this.column)}toString(){return"("+this.lineNumber+","+this.column+")"}static lift(p){return new k(p.lineNumber,p.column)}static isIPosition(p){return p&&typeof p.lineNumber=="number"&&typeof p.column=="number"}}e.Position=k}),define(we[51],ye([0,1,86]),function(J,e,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Range=void 0;class t{constructor(C,P,D,v){C>D||C===D&&P>v?(this.startLineNumber=D,this.startColumn=v,this.endLineNumber=C,this.endColumn=P):(this.startLineNumber=C,this.startColumn=P,this.endLineNumber=D,this.endColumn=v)}isEmpty(){return t.isEmpty(this)}static isEmpty(C){return C.startLineNumber===C.endLineNumber&&C.startColumn===C.endColumn}containsPosition(C){return t.containsPosition(this,C)}static containsPosition(C,P){return!(P.lineNumber<C.startLineNumber||P.lineNumber>C.endLineNumber||P.lineNumber===C.startLineNumber&&P.column<C.startColumn||P.lineNumber===C.endLineNumber&&P.column>C.endColumn)}static strictContainsPosition(C,P){return!(P.lineNumber<C.startLineNumber||P.lineNumber>C.endLineNumber||P.lineNumber===C.startLineNumber&&P.column<=C.startColumn||P.lineNumber===C.endLineNumber&&P.column>=C.endColumn)}containsRange(C){return t.containsRange(this,C)}static containsRange(C,P){return!(P.startLineNumber<C.startLineNumber||P.endLineNumber<C.startLineNumber||P.startLineNumber>C.endLineNumber||P.endLineNumber>C.endLineNumber||P.startLineNumber===C.startLineNumber&&P.startColumn<C.startColumn||P.endLineNumber===C.endLineNumber&&P.endColumn>C.endColumn)}strictContainsRange(C){return t.strictContainsRange(this,C)}static strictContainsRange(C,P){return!(P.startLineNumber<C.startLineNumber||P.endLineNumber<C.startLineNumber||P.startLineNumber>C.endLineNumber||P.endLineNumber>C.endLineNumber||P.startLineNumber===C.startLineNumber&&P.startColumn<=C.startColumn||P.endLineNumber===C.endLineNumber&&P.endColumn>=C.endColumn)}plusRange(C){return t.plusRange(this,C)}static plusRange(C,P){let D,v,I,L;return P.startLineNumber<C.startLineNumber?(D=P.startLineNumber,v=P.startColumn):P.startLineNumber===C.startLineNumber?(D=P.startLineNumber,v=Math.min(P.startColumn,C.startColumn)):(D=C.startLineNumber,v=C.startColumn),P.endLineNumber>C.endLineNumber?(I=P.endLineNumber,L=P.endColumn):P.endLineNumber===C.endLineNumber?(I=P.endLineNumber,L=Math.max(P.endColumn,C.endColumn)):(I=C.endLineNumber,L=C.endColumn),new t(D,v,I,L)}intersectRanges(C){return t.intersectRanges(this,C)}static intersectRanges(C,P){let D=C.startLineNumber,v=C.startColumn,I=C.endLineNumber,L=C.endColumn,R=P.startLineNumber,g=P.startColumn,b=P.endLineNumber,c=P.endColumn;return D<R?(D=R,v=g):D===R&&(v=Math.max(v,g)),I>b?(I=b,L=c):I===b&&(L=Math.min(L,c)),D>I||D===I&&v>L?null:new t(D,v,I,L)}equalsRange(C){return t.equalsRange(this,C)}static equalsRange(C,P){return!!C&&!!P&&C.startLineNumber===P.startLineNumber&&C.startColumn===P.startColumn&&C.endLineNumber===P.endLineNumber&&C.endColumn===P.endColumn}getEndPosition(){return t.getEndPosition(this)}static getEndPosition(C){return new k.Position(C.endLineNumber,C.endColumn)}getStartPosition(){return t.getStartPosition(this)}static getStartPosition(C){return new k.Position(C.startLineNumber,C.startColumn)}toString(){return"["+this.startLineNumber+","+this.startColumn+" -> "+this.endLineNumber+","+this.endColumn+"]"}setEndPosition(C,P){return new t(this.startLineNumber,this.startColumn,C,P)}setStartPosition(C,P){return new t(C,P,this.endLineNumber,this.endColumn)}collapseToStart(){return t.collapseToStart(this)}static collapseToStart(C){return new t(C.startLineNumber,C.startColumn,C.startLineNumber,C.startColumn)}static fromPositions(C,P=C){return new t(C.lineNumber,C.column,P.lineNumber,P.column)}static lift(C){return C?new t(C.startLineNumber,C.startColumn,C.endLineNumber,C.endColumn):null}static isIRange(C){return C&&typeof C.startLineNumber=="number"&&typeof C.startColumn=="number"&&typeof C.endLineNumber=="number"&&typeof C.endColumn=="number"}static areIntersectingOrTouching(C,P){return!(C.endLineNumber<P.startLineNumber||C.endLineNumber===P.startLineNumber&&C.endColumn<P.startColumn||P.endLineNumber<C.startLineNumber||P.endLineNumber===C.startLineNumber&&P.endColumn<C.startColumn)}static areIntersecting(C,P){return!(C.endLineNumber<P.startLineNumber||C.endLineNumber===P.startLineNumber&&C.endColumn<=P.startColumn||P.endLineNumber<C.startLineNumber||P.endLineNumber===C.startLineNumber&&P.endColumn<=C.startColumn)}static compareRangesUsingStarts(C,P){if(C&&P){const I=C.startLineNumber|0,L=P.startLineNumber|0;if(I===L){const R=C.startColumn|0,g=P.startColumn|0;if(R===g){const b=C.endLineNumber|0,c=P.endLineNumber|0;if(b===c){const h=C.endColumn|0,d=P.endColumn|0;return h-d}return b-c}return R-g}return I-L}return(C?1:0)-(P?1:0)}static compareRangesUsingEnds(C,P){return C.endLineNumber===P.endLineNumber?C.endColumn===P.endColumn?C.startLineNumber===P.startLineNumber?C.startColumn-P.startColumn:C.startLineNumber-P.startLineNumber:C.endColumn-P.endColumn:C.endLineNumber-P.endLineNumber}static spansMultipleLines(C){return C.endLineNumber>C.startLineNumber}toJSON(){return this}}e.Range=t}),define(we[135],ye([0,1,7,2]),function(J,e,k,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TokenizationRegistry=void 0;class p{constructor(){this._map=new Map,this._factories=new Map,this._onDidChange=new k.Emitter,this.onDidChange=this._onDidChange.event,this._colorMap=null}fire(D){this._onDidChange.fire({changedLanguages:D,changedColorMap:!1})}register(D,v){return this._map.set(D,v),this.fire([D]),(0,t.toDisposable)(()=>{this._map.get(D)===v&&(this._map.delete(D),this.fire([D]))})}registerFactory(D,v){this._factories.get(D)?.dispose();const I=new C(this,D,v);return this._factories.set(D,I),(0,t.toDisposable)(()=>{const L=this._factories.get(D);!L||L!==I||(this._factories.delete(D),L.dispose())})}async getOrCreate(D){const v=this.get(D);if(v)return v;const I=this._factories.get(D);return!I||I.isResolved?null:(await I.resolve(),this.get(D))}get(D){return this._map.get(D)||null}isResolved(D){if(this.get(D))return!0;const I=this._factories.get(D);return!!(!I||I.isResolved)}setColorMap(D){this._colorMap=D,this._onDidChange.fire({changedLanguages:Array.from(this._map.keys()),changedColorMap:!0})}getColorMap(){return this._colorMap}getDefaultBackground(){return this._colorMap&&this._colorMap.length>2?this._colorMap[2]:null}}e.TokenizationRegistry=p;class C extends t.Disposable{constructor(D,v,I){super();this._registry=D,this._languageId=v,this._factory=I,this._isDisposed=!1,this._resolvePromise=null,this._isResolved=!1}get isResolved(){return this._isResolved}dispose(){this._isDisposed=!0,super.dispose()}async resolve(){return this._resolvePromise||(this._resolvePromise=this._create()),this._resolvePromise}async _create(){const D=await Promise.resolve(this._factory.createTokenizationSupport());this._isResolved=!0,D&&!this._isDisposed&&this._register(this._registry.register(this._languageId,D))}}}),define(we[136],ye([0,1,4,51,135,37]),function(J,e,k,t,p,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExternalUriOpenerPriority=e.TokenizationRegistry=e.InlayHintKind=e.CommentMode=e.CommentThreadCollapsibleState=e.Command=e.FoldingRangeKind=e.SymbolKinds=e.SymbolTag=e.SymbolKind=e.isLocationLink=e.DocumentHighlightKind=e.SignatureHelpTriggerKind=e.CodeActionTriggerType=e.InlineCompletionTriggerKind=e.CompletionTriggerKind=e.CompletionItemInsertTextRule=e.CompletionItemTag=e.CompletionItemKinds=e.CompletionItemKind=e.EncodedTokenizationResult=e.TokenizationResult=e.Token=e.TokenMetadata=e.MetadataConsts=e.StandardTokenType=e.ColorId=e.FontStyle=e.LanguageId=void 0;var P;(function(A){A[A.Null=0]="Null",A[A.PlainText=1]="PlainText"})(P=e.LanguageId||(e.LanguageId={}));var D;(function(A){A[A.NotSet=-1]="NotSet",A[A.None=0]="None",A[A.Italic=1]="Italic",A[A.Bold=2]="Bold",A[A.Underline=4]="Underline",A[A.Strikethrough=8]="Strikethrough"})(D=e.FontStyle||(e.FontStyle={}));var v;(function(A){A[A.None=0]="None",A[A.DefaultForeground=1]="DefaultForeground",A[A.DefaultBackground=2]="DefaultBackground"})(v=e.ColorId||(e.ColorId={}));var I;(function(A){A[A.Other=0]="Other",A[A.Comment=1]="Comment",A[A.String=2]="String",A[A.RegEx=3]="RegEx"})(I=e.StandardTokenType||(e.StandardTokenType={}));var L;(function(A){A[A.LANGUAGEID_MASK=255]="LANGUAGEID_MASK",A[A.TOKEN_TYPE_MASK=768]="TOKEN_TYPE_MASK",A[A.FONT_STYLE_MASK=15360]="FONT_STYLE_MASK",A[A.FOREGROUND_MASK=8372224]="FOREGROUND_MASK",A[A.BACKGROUND_MASK=4286578688]="BACKGROUND_MASK",A[A.ITALIC_MASK=1024]="ITALIC_MASK",A[A.BOLD_MASK=2048]="BOLD_MASK",A[A.UNDERLINE_MASK=4096]="UNDERLINE_MASK",A[A.STRIKETHROUGH_MASK=8192]="STRIKETHROUGH_MASK",A[A.SEMANTIC_USE_ITALIC=1]="SEMANTIC_USE_ITALIC",A[A.SEMANTIC_USE_BOLD=2]="SEMANTIC_USE_BOLD",A[A.SEMANTIC_USE_UNDERLINE=4]="SEMANTIC_USE_UNDERLINE",A[A.SEMANTIC_USE_STRIKETHROUGH=8]="SEMANTIC_USE_STRIKETHROUGH",A[A.SEMANTIC_USE_FOREGROUND=16]="SEMANTIC_USE_FOREGROUND",A[A.SEMANTIC_USE_BACKGROUND=32]="SEMANTIC_USE_BACKGROUND",A[A.LANGUAGEID_OFFSET=0]="LANGUAGEID_OFFSET",A[A.TOKEN_TYPE_OFFSET=8]="TOKEN_TYPE_OFFSET",A[A.FONT_STYLE_OFFSET=10]="FONT_STYLE_OFFSET",A[A.FOREGROUND_OFFSET=14]="FOREGROUND_OFFSET",A[A.BACKGROUND_OFFSET=23]="BACKGROUND_OFFSET"})(L=e.MetadataConsts||(e.MetadataConsts={}));class R{static getLanguageId(T){return(T&255)>>>0}static getTokenType(T){return(T&768)>>>8}static getFontStyle(T){return(T&15360)>>>10}static getForeground(T){return(T&8372224)>>>14}static getBackground(T){return(T&4286578688)>>>23}static getClassNameFromMetadata(T){const U=this.getForeground(T);let N="mtk"+U;const W=this.getFontStyle(T);return W&1&&(N+=" mtki"),W&2&&(N+=" mtkb"),W&4&&(N+=" mtku"),W&8&&(N+=" mtks"),N}static getInlineStyleFromMetadata(T,U){const N=this.getForeground(T),W=this.getFontStyle(T);let ie=`color: ${U[N]};`;W&1&&(ie+="font-style: italic;"),W&2&&(ie+="font-weight: bold;");let q="";return W&4&&(q+=" underline"),W&8&&(q+=" line-through"),q&&(ie+=`text-decoration:${q};`),ie}static getPresentationFromMetadata(T){const U=this.getForeground(T),N=this.getFontStyle(T);return{foreground:U,italic:Boolean(N&1),bold:Boolean(N&2),underline:Boolean(N&4),strikethrough:Boolean(N&8)}}}e.TokenMetadata=R;class g{constructor(T,U,N){this._tokenBrand=void 0,this.offset=T,this.type=U,this.language=N}toString(){return"("+this.offset+", "+this.type+")"}}e.Token=g;class b{constructor(T,U){this._tokenizationResultBrand=void 0,this.tokens=T,this.endState=U}}e.TokenizationResult=b;class c{constructor(T,U){this._encodedTokenizationResultBrand=void 0,this.tokens=T,this.endState=U}}e.EncodedTokenizationResult=c;var h;(function(A){A[A.Method=0]="Method",A[A.Function=1]="Function",A[A.Constructor=2]="Constructor",A[A.Field=3]="Field",A[A.Variable=4]="Variable",A[A.Class=5]="Class",A[A.Struct=6]="Struct",A[A.Interface=7]="Interface",A[A.Module=8]="Module",A[A.Property=9]="Property",A[A.Event=10]="Event",A[A.Operator=11]="Operator",A[A.Unit=12]="Unit",A[A.Value=13]="Value",A[A.Constant=14]="Constant",A[A.Enum=15]="Enum",A[A.EnumMember=16]="EnumMember",A[A.Keyword=17]="Keyword",A[A.Text=18]="Text",A[A.Color=19]="Color",A[A.File=20]="File",A[A.Reference=21]="Reference",A[A.Customcolor=22]="Customcolor",A[A.Folder=23]="Folder",A[A.TypeParameter=24]="TypeParameter",A[A.User=25]="User",A[A.Issue=26]="Issue",A[A.Snippet=27]="Snippet"})(h=e.CompletionItemKind||(e.CompletionItemKind={}));var d;(function(A){const T=new Map;T.set(0,C.Codicon.symbolMethod),T.set(1,C.Codicon.symbolFunction),T.set(2,C.Codicon.symbolConstructor),T.set(3,C.Codicon.symbolField),T.set(4,C.Codicon.symbolVariable),T.set(5,C.Codicon.symbolClass),T.set(6,C.Codicon.symbolStruct),T.set(7,C.Codicon.symbolInterface),T.set(8,C.Codicon.symbolModule),T.set(9,C.Codicon.symbolProperty),T.set(10,C.Codicon.symbolEvent),T.set(11,C.Codicon.symbolOperator),T.set(12,C.Codicon.symbolUnit),T.set(13,C.Codicon.symbolValue),T.set(15,C.Codicon.symbolEnum),T.set(14,C.Codicon.symbolConstant),T.set(15,C.Codicon.symbolEnum),T.set(16,C.Codicon.symbolEnumMember),T.set(17,C.Codicon.symbolKeyword),T.set(27,C.Codicon.symbolSnippet),T.set(18,C.Codicon.symbolText),T.set(19,C.Codicon.symbolColor),T.set(20,C.Codicon.symbolFile),T.set(21,C.Codicon.symbolReference),T.set(22,C.Codicon.symbolCustomColor),T.set(23,C.Codicon.symbolFolder),T.set(24,C.Codicon.symbolTypeParameter),T.set(25,C.Codicon.account),T.set(26,C.Codicon.issues);function U(ie){let q=T.get(ie);return q||(console.info("No codicon found for CompletionItemKind "+ie),q=C.Codicon.symbolProperty),q}A.toIcon=U;const N=new Map;N.set("method",0),N.set("function",1),N.set("constructor",2),N.set("field",3),N.set("variable",4),N.set("class",5),N.set("struct",6),N.set("interface",7),N.set("module",8),N.set("property",9),N.set("event",10),N.set("operator",11),N.set("unit",12),N.set("value",13),N.set("constant",14),N.set("enum",15),N.set("enum-member",16),N.set("enumMember",16),N.set("keyword",17),N.set("snippet",27),N.set("text",18),N.set("color",19),N.set("file",20),N.set("reference",21),N.set("customcolor",22),N.set("folder",23),N.set("type-parameter",24),N.set("typeParameter",24),N.set("account",25),N.set("issue",26);function W(ie,q){let se=N.get(ie);return typeof se=="undefined"&&!q&&(se=9),se}A.fromString=W})(d=e.CompletionItemKinds||(e.CompletionItemKinds={}));var E;(function(A){A[A.Deprecated=1]="Deprecated"})(E=e.CompletionItemTag||(e.CompletionItemTag={}));var w;(function(A){A[A.KeepWhitespace=1]="KeepWhitespace",A[A.InsertAsSnippet=4]="InsertAsSnippet"})(w=e.CompletionItemInsertTextRule||(e.CompletionItemInsertTextRule={}));var f;(function(A){A[A.Invoke=0]="Invoke",A[A.TriggerCharacter=1]="TriggerCharacter",A[A.TriggerForIncompleteCompletions=2]="TriggerForIncompleteCompletions"})(f=e.CompletionTriggerKind||(e.CompletionTriggerKind={}));var y;(function(A){A[A.Automatic=0]="Automatic",A[A.Explicit=1]="Explicit"})(y=e.InlineCompletionTriggerKind||(e.InlineCompletionTriggerKind={}));var u;(function(A){A[A.Invoke=1]="Invoke",A[A.Auto=2]="Auto"})(u=e.CodeActionTriggerType||(e.CodeActionTriggerType={}));var o;(function(A){A[A.Invoke=1]="Invoke",A[A.TriggerCharacter=2]="TriggerCharacter",A[A.ContentChange=3]="ContentChange"})(o=e.SignatureHelpTriggerKind||(e.SignatureHelpTriggerKind={}));var l;(function(A){A[A.Text=0]="Text",A[A.Read=1]="Read",A[A.Write=2]="Write"})(l=e.DocumentHighlightKind||(e.DocumentHighlightKind={}));function s(A){return A&&k.URI.isUri(A.uri)&&t.Range.isIRange(A.range)&&(t.Range.isIRange(A.originSelectionRange)||t.Range.isIRange(A.targetSelectionRange))}e.isLocationLink=s;var n;(function(A){A[A.File=0]="File",A[A.Module=1]="Module",A[A.Namespace=2]="Namespace",A[A.Package=3]="Package",A[A.Class=4]="Class",A[A.Method=5]="Method",A[A.Property=6]="Property",A[A.Field=7]="Field",A[A.Constructor=8]="Constructor",A[A.Enum=9]="Enum",A[A.Interface=10]="Interface",A[A.Function=11]="Function",A[A.Variable=12]="Variable",A[A.Constant=13]="Constant",A[A.String=14]="String",A[A.Number=15]="Number",A[A.Boolean=16]="Boolean",A[A.Array=17]="Array",A[A.Object=18]="Object",A[A.Key=19]="Key",A[A.Null=20]="Null",A[A.EnumMember=21]="EnumMember",A[A.Struct=22]="Struct",A[A.Event=23]="Event",A[A.Operator=24]="Operator",A[A.TypeParameter=25]="TypeParameter"})(n=e.SymbolKind||(e.SymbolKind={}));var i;(function(A){A[A.Deprecated=1]="Deprecated"})(i=e.SymbolTag||(e.SymbolTag={}));var r;(function(A){const T=new Map;T.set(0,C.Codicon.symbolFile),T.set(1,C.Codicon.symbolModule),T.set(2,C.Codicon.symbolNamespace),T.set(3,C.Codicon.symbolPackage),T.set(4,C.Codicon.symbolClass),T.set(5,C.Codicon.symbolMethod),T.set(6,C.Codicon.symbolProperty),T.set(7,C.Codicon.symbolField),T.set(8,C.Codicon.symbolConstructor),T.set(9,C.Codicon.symbolEnum),T.set(10,C.Codicon.symbolInterface),T.set(11,C.Codicon.symbolFunction),T.set(12,C.Codicon.symbolVariable),T.set(13,C.Codicon.symbolConstant),T.set(14,C.Codicon.symbolString),T.set(15,C.Codicon.symbolNumber),T.set(16,C.Codicon.symbolBoolean),T.set(17,C.Codicon.symbolArray),T.set(18,C.Codicon.symbolObject),T.set(19,C.Codicon.symbolKey),T.set(20,C.Codicon.symbolNull),T.set(21,C.Codicon.symbolEnumMember),T.set(22,C.Codicon.symbolStruct),T.set(23,C.Codicon.symbolEvent),T.set(24,C.Codicon.symbolOperator),T.set(25,C.Codicon.symbolTypeParameter);function U(N){let W=T.get(N);return W||(console.info("No codicon found for SymbolKind "+N),W=C.Codicon.symbolProperty),W}A.toIcon=U})(r=e.SymbolKinds||(e.SymbolKinds={}));class a{constructor(T){this.value=T}}e.FoldingRangeKind=a,a.Comment=new a("comment"),a.Imports=new a("imports"),a.Region=new a("region");var m;(function(A){function T(U){return!U||typeof U!="object"?!1:typeof U.id=="string"&&typeof U.title=="string"}A.is=T})(m=e.Command||(e.Command={}));var S;(function(A){A[A.Collapsed=0]="Collapsed",A[A.Expanded=1]="Expanded"})(S=e.CommentThreadCollapsibleState||(e.CommentThreadCollapsibleState={}));var _;(function(A){A[A.Editing=0]="Editing",A[A.Preview=1]="Preview"})(_=e.CommentMode||(e.CommentMode={}));var F;(function(A){A[A.Type=1]="Type",A[A.Parameter=2]="Parameter"})(F=e.InlayHintKind||(e.InlayHintKind={})),e.TokenizationRegistry=new p.TokenizationRegistry;var B;(function(A){A[A.None=0]="None",A[A.Option=1]="Option",A[A.Default=2]="Default",A[A.Preferred=3]="Preferred"})(B=e.ExternalUriOpenerPriority||(e.ExternalUriOpenerPriority={}))}),define(we[137],ye([9,10]),function(J,e){return J.create("vs/base/common/date",e)}),define(we[138],ye([0,1,137]),function(J,e,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.toLocalISOString=e.fromNow=void 0;const t=60,p=t*60,C=p*24,P=C*7,D=C*30,v=C*365;function I(R,g,b){typeof R!="number"&&(R=R.getTime());const c=Math.round((new Date().getTime()-R)/1e3);if(c<-30)return(0,k.localize)(0,null,I(new Date().getTime()+c*1e3,!1));if(c<30)return(0,k.localize)(1,null);let h;return c<t?(h=c,g?h===1?b?(0,k.localize)(2,null,h):(0,k.localize)(3,null,h):b?(0,k.localize)(4,null,h):(0,k.localize)(5,null,h):h===1?b?(0,k.localize)(6,null,h):(0,k.localize)(7,null,h):b?(0,k.localize)(8,null,h):(0,k.localize)(9,null,h)):c<p?(h=Math.floor(c/t),g?h===1?b?(0,k.localize)(10,null,h):(0,k.localize)(11,null,h):b?(0,k.localize)(12,null,h):(0,k.localize)(13,null,h):h===1?b?(0,k.localize)(14,null,h):(0,k.localize)(15,null,h):b?(0,k.localize)(16,null,h):(0,k.localize)(17,null,h)):c<C?(h=Math.floor(c/p),g?h===1?b?(0,k.localize)(18,null,h):(0,k.localize)(19,null,h):b?(0,k.localize)(20,null,h):(0,k.localize)(21,null,h):h===1?b?(0,k.localize)(22,null,h):(0,k.localize)(23,null,h):b?(0,k.localize)(24,null,h):(0,k.localize)(25,null,h)):c<P?(h=Math.floor(c/C),g?h===1?(0,k.localize)(26,null,h):(0,k.localize)(27,null,h):h===1?(0,k.localize)(28,null,h):(0,k.localize)(29,null,h)):c<D?(h=Math.floor(c/P),g?h===1?b?(0,k.localize)(30,null,h):(0,k.localize)(31,null,h):b?(0,k.localize)(32,null,h):(0,k.localize)(33,null,h):h===1?b?(0,k.localize)(34,null,h):(0,k.localize)(35,null,h):b?(0,k.localize)(36,null,h):(0,k.localize)(37,null,h)):c<v?(h=Math.floor(c/D),g?h===1?b?(0,k.localize)(38,null,h):(0,k.localize)(39,null,h):b?(0,k.localize)(40,null,h):(0,k.localize)(41,null,h):h===1?b?(0,k.localize)(42,null,h):(0,k.localize)(43,null,h):b?(0,k.localize)(44,null,h):(0,k.localize)(45,null,h)):(h=Math.floor(c/v),g?h===1?b?(0,k.localize)(46,null,h):(0,k.localize)(47,null,h):b?(0,k.localize)(48,null,h):(0,k.localize)(49,null,h):h===1?b?(0,k.localize)(50,null,h):(0,k.localize)(51,null,h):b?(0,k.localize)(52,null,h):(0,k.localize)(53,null,h))}e.fromNow=I;function L(R){return R.getFullYear()+"-"+String(R.getMonth()+1).padStart(2,"0")+"-"+String(R.getDate()).padStart(2,"0")+"T"+String(R.getHours()).padStart(2,"0")+":"+String(R.getMinutes()).padStart(2,"0")+":"+String(R.getSeconds()).padStart(2,"0")+"."+(R.getMilliseconds()/1e3).toFixed(3).slice(2,5)+"Z"}e.toLocalISOString=L}),define(we[139],ye([9,10]),function(J,e){return J.create("vs/base/common/errorMessage",e)}),define(we[36],ye([0,1,17,12,139]),function(J,e,k,t,p){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.createErrorWithActions=e.isErrorWithActions=e.toErrorMessage=void 0;function C(R,g){return g&&(R.stack||R.stacktrace)?p.localize(0,null,D(R),P(R.stack)||P(R.stacktrace)):D(R)}function P(R){return Array.isArray(R)?R.join(`
`):R}function D(R){return typeof R.code=="string"&&typeof R.errno=="number"&&typeof R.syscall=="string"?p.localize(1,null,R.message):R.message||p.localize(2,null)}function v(R=null,g=!1){if(!R)return p.localize(3,null);if(Array.isArray(R)){const b=k.coalesce(R),c=v(b[0],g);return b.length>1?p.localize(4,null,c,b.length):c}if(t.isString(R))return R;if(R.detail){const b=R.detail;if(b.error)return C(b.error,g);if(b.exception)return C(b.exception,g)}return R.stack?C(R,g):R.message?R.message:p.localize(5,null)}e.toErrorMessage=v;function I(R){const g=R;return g instanceof Error&&Array.isArray(g.actions)}e.isErrorWithActions=I;function L(R,g=Object.create(null)){const b=new Error(R);return g.actions&&(b.actions=g.actions),b}e.createErrorWithActions=L}),define(we[140],ye([9,10]),function(J,e){return J.create("vs/base/common/jsonErrorMessages",e)}),define(we[141],ye([0,1,140]),function(J,e,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getParseErrorMessage=void 0;function t(p){switch(p){case 1:return(0,k.localize)(0,null);case 2:return(0,k.localize)(1,null);case 3:return(0,k.localize)(2,null);case 4:return(0,k.localize)(3,null);case 5:return(0,k.localize)(4,null);case 6:return(0,k.localize)(5,null);case 7:return(0,k.localize)(6,null);case 8:return(0,k.localize)(7,null);case 9:return(0,k.localize)(8,null);default:return""}}e.getParseErrorMessage=t}),define(we[142],ye([9,10]),function(J,e){return J.create("vs/base/node/processes",e)}),define(we[62],ye([0,1,38,34,8,21,5,3,24,74,12,127,18,142]),function(J,e,k,t,p,C,P,D,v,I,L,R,g,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.win32=e.createQueuedSender=e.LineProcess=e.AbstractProcess=e.getWindowsShell=e.removeDangerousEnvVariables=e.TerminateResponseCode=e.Source=void 0,Object.defineProperty(e,"Source",{enumerable:!0,get:function(){return I.Source}}),Object.defineProperty(e,"TerminateResponseCode",{enumerable:!0,get:function(){return I.TerminateResponseCode}});function c(o){switch(o){case 0:return 0;case 1:return 2;case 128:return 3;default:return 1}}function h(o,l){if(D.isWindows)try{const s={stdio:["pipe","pipe","ignore"]};l&&(s.cwd=l);const n=k.execFile("taskkill",["/T","/F","/PID",o.pid.toString()],s);return new Promise(i=>{n.once("error",r=>{i({success:!1,error:r})}),n.once("exit",(r,a)=>{i(r===0?{success:!0}:{success:!1,code:r!==null?r:1})})})}catch(s){return Promise.resolve({success:!1,error:s,code:s.status?c(s.status):1})}else if(D.isLinux||D.isMacintosh)try{const s=p.FileAccess.asFileUri("vs/base/node/terminateProcess.sh",J).fsPath;return new Promise(n=>{k.execFile(s,[o.pid.toString()],{encoding:"utf8",shell:!0},(i,r,a)=>{n(i?{success:!1,error:i}:{success:!0})})})}catch(s){return Promise.resolve({success:!1,error:s})}else o.kill("SIGKILL");return Promise.resolve({success:!0})}function d(o){!o||(delete o.DEBUG,D.isMacintosh&&delete o.DYLD_LIBRARY_PATH,D.isLinux&&delete o.LD_PRELOAD)}e.removeDangerousEnvVariables=d;function E(o=v.env){return o.comspec||"cmd.exe"}e.getWindowsShell=E;class w{constructor(l,s,n,i){if(s!==void 0&&n!==void 0&&i!==void 0)this.cmd=l,this.args=s,this.shell=n,this.options=i;else{const r=l;this.cmd=r.command,this.shell=r.isShellCommand,this.args=r.args.slice(0),this.options=r.options||{}}if(this.childProcess=null,this.childProcessPromise=null,this.terminateRequested=!1,this.options.env){const r=Object.create(null);Object.keys(v.env).forEach(a=>{r[a]=v.env[a]}),Object.keys(this.options.env).forEach(a=>{r[a]=this.options.env[a]}),this.options.env=r}}getSanitizedCommand(){let l=this.cmd.toLowerCase();const s=l.lastIndexOf(P.sep);return s!==-1&&(l=l.substring(s+1)),w.WellKnowCommands[l]?l:"other"}start(l){return D.isWindows&&(this.options&&this.options.cwd&&t.isUNC(this.options.cwd)||!this.options&&t.isUNC(v.cwd()))?Promise.reject(new Error(b.localize(0,null))):this.useExec().then(s=>{let n,i;const r=new Promise((a,m)=>{n=a,i=m});if(s){let a=this.cmd;this.args&&(a=a+" "+this.args.join(" ")),this.childProcess=k.exec(a,this.options,(m,S,_)=>{this.childProcess=null;const F=m;F&&F.killed?i({killed:this.terminateRequested,stdout:S.toString(),stderr:_.toString()}):this.handleExec(n,l,m,S,_)})}else{let a=null;const m=S=>{this.childProcess=null,this.childProcessPromise=null,this.handleClose(S,n,l,i);const _={terminated:this.terminateRequested};L.isNumber(S)&&(_.cmdCode=S),n(_)};if(this.shell&&D.isWindows){const S=C.deepClone(this.options);S.windowsVerbatimArguments=!0,S.detached=!1;let _=!1,F=!1;const B=[];let A=this.ensureQuotes(this.cmd);B.push(A.value),_=A.quoted,this.args&&this.args.forEach(U=>{A=this.ensureQuotes(U),B.push(A.value),F=F&&A.quoted});const T=["/s","/c"];_?F?T.push('"'+B.join(" ")+'"'):B.length>1?T.push('"'+B[0]+'" '+B.slice(1).join(" ")):T.push('"'+B[0]+'"'):T.push(B.join(" ")),a=k.spawn(E(),T,S)}else this.cmd&&(a=k.spawn(this.cmd,this.args,this.options));a&&(this.childProcess=a,this.childProcessPromise=Promise.resolve(a),this.pidResolve&&(this.pidResolve(L.isNumber(a.pid)?a.pid:-1),this.pidResolve=void 0),a.on("error",S=>{this.childProcess=null,i({terminated:this.terminateRequested,error:S})}),a.pid&&(this.childProcess.on("close",m),this.handleSpawn(a,n,l,i,!0)))}return r})}handleClose(l,s,n,i){}ensureQuotes(l){return w.regexp.test(l)?{value:'"'+l+'"',quoted:!0}:{value:l,quoted:l.length>0&&l[0]==='"'&&l[l.length-1]==='"'}}get pid(){return this.childProcessPromise?this.childProcessPromise.then(l=>l.pid,l=>-1):new Promise(l=>{this.pidResolve=l})}terminate(){return this.childProcessPromise?this.childProcessPromise.then(l=>(this.terminateRequested=!0,h(l,this.options.cwd).then(s=>(s.success&&(this.childProcess=null),s))),l=>({success:!0})):Promise.resolve({success:!0})}useExec(){return new Promise(l=>{if(!this.shell||!D.isWindows)return l(!1);const s=k.spawn(E(),["/s","/c"]);s.on("error",n=>l(!0)),s.on("exit",n=>l(!1))})}}e.AbstractProcess=w,w.WellKnowCommands={ant:!0,cmake:!0,eslint:!0,gradle:!0,grunt:!0,gulp:!0,jake:!0,jenkins:!0,jshint:!0,make:!0,maven:!0,msbuild:!0,msc:!0,nmake:!0,npm:!0,rake:!0,tsc:!0,xbuild:!0},w.regexp=/^[^"].* .*[^"]/;class f extends w{constructor(l,s,n,i){super(l,s,n,i);this.stdoutLineDecoder=null,this.stderrLineDecoder=null}handleExec(l,s,n,i,r){[i,r].forEach((a,m)=>{const S=new R.LineDecoder;S.write(a).forEach(B=>{s({line:B,source:m===0?0:1})});const F=S.end();F&&s({line:F,source:m===0?0:1})}),l({terminated:this.terminateRequested,error:n})}handleSpawn(l,s,n,i,r){const a=new R.LineDecoder,m=new R.LineDecoder;l.stdout.on("data",S=>{a.write(S).forEach(F=>n({line:F,source:0}))}),l.stderr.on("data",S=>{m.write(S).forEach(F=>n({line:F,source:1}))}),this.stdoutLineDecoder=a,this.stderrLineDecoder=m}handleClose(l,s,n,i){const r=this.stdoutLineDecoder?this.stdoutLineDecoder.end():null;r&&n({line:r,source:0});const a=this.stderrLineDecoder?this.stderrLineDecoder.end():null;a&&n({line:a,source:1})}}e.LineProcess=f;function y(o){let l=[],s=!1;const n=function(i){if(s){l.push(i);return}(!o.send(i,a=>{if(a&&console.error(a),s=!1,l.length>0){const m=l.slice(0);l=[],m.forEach(S=>n(S))}})||D.isWindows)&&(s=!0)};return{send:n}}e.createQueuedSender=y;var u;(function(o){async function l(s,n,i){if(P.isAbsolute(s))return s;if(n===void 0&&(n=v.cwd()),P.dirname(s)!=="."||(i===void 0&&L.isString(v.env.PATH)&&(i=v.env.PATH.split(P.delimiter)),i===void 0||i.length===0))return P.join(n,s);async function a(m){if(await g.Promises.exists(m)){let S;try{S=await g.Promises.stat(m)}catch(_){_.message.startsWith("EACCES")&&(S=await g.Promises.lstat(m))}return S?!S.isDirectory():!1}return!1}for(let m of i){let S;if(P.isAbsolute(m)?S=P.join(m,s):S=P.join(n,m,s),await a(S))return S;let _=S+".com";if(await a(_)||(_=S+".exe",await a(_)))return _}return P.join(n,s)}o.findExecutable=l})(u=e.win32||(e.win32={}))}),define(we[143],ye([0,1,25,3,83,62]),function(J,e,k,t,p,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getSystemShellSync=e.getSystemShell=void 0;async function P(b,c){return b===1?t.isWindows?R():C.getWindowsShell(c):I(b,c)}e.getSystemShell=P;function D(b,c){return b===1?t.isWindows?g(c):C.getWindowsShell(c):I(b,c)}e.getSystemShellSync=D;let v=null;function I(b,c){if(t.isLinux&&b===2||t.isMacintosh&&b===3)return"/bin/bash";if(!v){let h;if(t.isWindows)h="/bin/bash";else{if(h=c.SHELL,!h)try{h=(0,k.userInfo)().shell}catch{}h||(h="sh"),h==="/bin/false"&&(h="/bin/bash")}v=h}return v}let L=null;async function R(){return L||(L=(await(0,p.getFirstAvailablePowerShellInstallation)()).exePath),L}function g(b){if(L)return L;const c=t.isWindows&&parseFloat((0,k.release)())>=10,h=b.hasOwnProperty("PROCESSOR_ARCHITEW6432"),d=`${b.windir}\\${h?"Sysnative":"System32"}\\WindowsPowerShell\\v1.0\\powershell.exe`;return c?d:C.getWindowsShell(b)}}),define(we[87],ye([0,1,38,13,15,20,77,11,7,2,21,62,39]),function(J,e,k,t,p,C,P,D,v,I,L,R,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Client=e.Server=void 0;class b extends g.ChannelServer{constructor(d){super({send:E=>{try{process.send&&process.send(E.buffer.toString("base64"))}catch{}},onMessage:v.Event.fromNodeEventEmitter(process,"message",E=>p.VSBuffer.wrap(Buffer.from(E,"base64")))},d);process.once("disconnect",()=>this.dispose())}}e.Server=b;class c{constructor(d,E){this.modulePath=d,this.options=E,this.activeRequests=new Set,this.channels=new Map,this._onDidProcessExit=new v.Emitter,this.onDidProcessExit=this._onDidProcessExit.event;const w=E&&E.timeout?E.timeout:6e4;this.disposeDelayer=new t.Delayer(w),this.child=null,this._client=null}getChannel(d){const E=this;return{call(w,f,y){return E.requestPromise(d,w,f,y)},listen(w,f){return E.requestEvent(d,w,f)}}}requestPromise(d,E,w,f=C.CancellationToken.None){if(!this.disposeDelayer)return Promise.reject(new Error("disposed"));if(f.isCancellationRequested)return Promise.reject(D.canceled());this.disposeDelayer.cancel();const y=this.getCachedChannel(d),u=(0,t.createCancelablePromise)(s=>y.call(E,w,s)),o=f.onCancellationRequested(()=>u.cancel()),l=(0,I.toDisposable)(()=>u.cancel());return this.activeRequests.add(l),u.finally(()=>{o.dispose(),this.activeRequests.delete(l),this.activeRequests.size===0&&this.disposeDelayer&&this.disposeDelayer.trigger(()=>this.disposeClient())}),u}requestEvent(d,E,w){if(!this.disposeDelayer)return v.Event.None;this.disposeDelayer.cancel();let f;const y=new v.Emitter({onFirstListenerAdd:()=>{f=this.getCachedChannel(d).listen(E,w)(y.fire,y),this.activeRequests.add(f)},onLastListenerRemove:()=>{this.activeRequests.delete(f),f.dispose(),this.activeRequests.size===0&&this.disposeDelayer&&this.disposeDelayer.trigger(()=>this.disposeClient())}});return y.event}get client(){if(!this._client){const d=this.options&&this.options.args?this.options.args:[],E=Object.create(null);E.env={...(0,L.deepClone)(process.env),VSCODE_PARENT_PID:String(process.pid)},this.options&&this.options.env&&(E.env={...E.env,...this.options.env}),this.options&&this.options.freshExecArgv&&(E.execArgv=[]),this.options&&typeof this.options.debug=="number"&&(E.execArgv=["--nolazy","--inspect="+this.options.debug]),this.options&&typeof this.options.debugBrk=="number"&&(E.execArgv=["--nolazy","--inspect-brk="+this.options.debugBrk]),E.execArgv===void 0&&(E.execArgv=process.execArgv.filter(n=>!/^--inspect(-brk)?=/.test(n))),(0,R.removeDangerousEnvVariables)(E.env),this.child=(0,k.fork)(this.modulePath,d,E);const w=new v.Emitter;v.Event.fromNodeEventEmitter(this.child,"message",n=>n)(n=>{if((0,P.isRemoteConsoleLog)(n)){(0,P.log)(n,`IPC Library: ${this.options.serverName}`);return}w.fire(p.VSBuffer.wrap(Buffer.from(n,"base64")))});const y=this.options.useQueue?(0,R.createQueuedSender)(this.child):this.child,u=n=>this.child&&this.child.connected&&y.send(n.buffer.toString("base64")),o=w.event,l={send:u,onMessage:o};this._client=new g.ChannelClient(l);const s=()=>this.disposeClient();process.once("exit",s),this.child.on("error",n=>console.warn('IPC "'+this.options.serverName+'" errored with '+n)),this.child.on("exit",(n,i)=>{process.removeListener("exit",s),this.activeRequests.forEach(r=>(0,I.dispose)(r)),this.activeRequests.clear(),n!==0&&i!=="SIGTERM"&&console.warn('IPC "'+this.options.serverName+'" crashed with exit code '+n+" and signal "+i),this.disposeDelayer&&this.disposeDelayer.cancel(),this.disposeClient(),this._onDidProcessExit.fire({code:n,signal:i})})}return this._client}getCachedChannel(d){let E=this.channels.get(d);return E||(E=this.client.getChannel(d),this.channels.set(d,E)),E}disposeClient(){this._client&&(this.child&&(this.child.kill(),this.child=null),this._client=null,this.channels.clear())}dispose(){this._onDidProcessExit.dispose(),this.disposeDelayer&&(this.disposeDelayer.cancel(),this.disposeDelayer=void 0),this.disposeClient(),this.activeRequests.clear()}}e.Client=c}),define(we[144],ye([9,10]),function(J,e){return J.create("vs/base/node/zip",e)}),define(we[145],ye([9,10]),function(J,e){return J.create("vs/platform/configuration/common/configurationRegistry",e)}),define(we[146],ye([9,10]),function(J,e){return J.create("vs/platform/environment/node/argv",e)}),define(we[147],ye([9,10]),function(J,e){return J.create("vs/platform/environment/node/argvHelper",e)}),define(we[148],ye([9,10]),function(J,e){return J.create("vs/platform/extensionManagement/common/abstractExtensionManagementService",e)}),define(we[149],ye([9,10]),function(J,e){return J.create("vs/platform/extensionManagement/common/extensionManagement",e)}),define(we[150],ye([9,10]),function(J,e){return J.create("vs/platform/extensionManagement/common/extensionManagementCLIService",e)}),define(we[151],ye([9,10]),function(J,e){return J.create("vs/platform/extensionManagement/node/extensionManagementService",e)}),define(we[152],ye([9,10]),function(J,e){return J.create("vs/platform/extensionManagement/node/extensionManagementUtil",e)}),define(we[153],ye([9,10]),function(J,e){return J.create("vs/platform/extensionManagement/node/extensionsScanner",e)}),define(we[154],ye([9,10]),function(J,e){return J.create("vs/platform/extensions/common/extensionValidator",e)}),define(we[155],ye([9,10]),function(J,e){return J.create("vs/platform/files/common/fileService",e)}),define(we[156],ye([9,10]),function(J,e){return J.create("vs/platform/files/common/files",e)}),define(we[157],ye([9,10]),function(J,e){return J.create("vs/platform/files/common/io",e)}),define(we[158],ye([9,10]),function(J,e){return J.create("vs/platform/files/node/diskFileSystemProvider",e)}),define(we[159],ye([9,10]),function(J,e){return J.create("vs/platform/markers/common/markers",e)}),define(we[160],ye([9,10]),function(J,e){return J.create("vs/platform/request/common/request",e)}),define(we[161],ye([9,10]),function(J,e){return J.create("vs/platform/telemetry/common/telemetryService",e)}),define(we[162],ye([9,10]),function(J,e){return J.create("vs/platform/terminal/common/terminalPlatformConfiguration",e)}),define(we[163],ye([9,10]),function(J,e){return J.create("vs/platform/terminal/node/shellEnv",e)}),define(we[164],ye([9,10]),function(J,e){return J.create("vs/platform/workspace/common/workspace",e)}),define(we[165],ye([9,10]),function(J,e){return J.create("vs/server/node/remoteAgentEnvironmentImpl",e)}),define(we[166],ye([9,10]),function(J,e){return J.create("vs/server/node/serverEnvironmentService",e)}),define(we[167],ye([9,10]),function(J,e){return J.create("vs/workbench/common/editor",e)}),define(we[168],ye([9,10]),function(J,e){return J.create("vs/workbench/services/configurationResolver/common/variableResolver",e)}),define(we[169],ye([9,10]),function(J,e){return J.create("vs/workbench/services/extensions/common/extensionPoints",e)}),define(we[170],ye([0,1,7,2]),function(J,e,k,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionHostDebugChannelClient=e.ExtensionHostDebugBroadcastChannel=void 0;class p{constructor(){this._onCloseEmitter=new k.Emitter,this._onReloadEmitter=new k.Emitter,this._onTerminateEmitter=new k.Emitter,this._onAttachEmitter=new k.Emitter}call(D,v,I){switch(v){case"close":return Promise.resolve(this._onCloseEmitter.fire({sessionId:I[0]}));case"reload":return Promise.resolve(this._onReloadEmitter.fire({sessionId:I[0]}));case"terminate":return Promise.resolve(this._onTerminateEmitter.fire({sessionId:I[0]}));case"attach":return Promise.resolve(this._onAttachEmitter.fire({sessionId:I[0],port:I[1],subId:I[2]}))}throw new Error("Method not implemented.")}listen(D,v,I){switch(v){case"close":return this._onCloseEmitter.event;case"reload":return this._onReloadEmitter.event;case"terminate":return this._onTerminateEmitter.event;case"attach":return this._onAttachEmitter.event}throw new Error("Method not implemented.")}}e.ExtensionHostDebugBroadcastChannel=p,p.ChannelName="extensionhostdebugservice";class C extends t.Disposable{constructor(D){super();this.channel=D}reload(D){this.channel.call("reload",[D])}get onReload(){return this.channel.listen("reload")}close(D){this.channel.call("close",[D])}get onClose(){return this.channel.listen("close")}attachSession(D,v,I){this.channel.call("attach",[D,v,I])}get onAttachSession(){return this.channel.listen("attach")}terminateSession(D,v){this.channel.call("terminate",[D,v])}get onTerminateSession(){return this.channel.listen("terminate")}openExtensionDevelopmentHostWindow(D,v){return this.channel.call("openExtensionDevelopmentHostWindow",[D,v])}}e.ExtensionHostDebugChannelClient=C}),define(we[171],ye([0,1,4]),function(J,e,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.DownloadServiceChannelClient=e.DownloadServiceChannel=void 0;class t{constructor(P){this.service=P}listen(P,D,v){throw new Error("Invalid listen")}call(P,D,v){switch(D){case"download":return this.service.download(k.URI.revive(v[0]),k.URI.revive(v[1]))}throw new Error("Invalid call")}}e.DownloadServiceChannel=t;class p{constructor(P,D){this.channel=P,this.getUriTransformer=D}async download(P,D){const v=this.getUriTransformer();v&&(P=v.transformOutgoingURI(P),D=v.transformOutgoingURI(D)),await this.channel.call("download",[P,D])}}e.DownloadServiceChannelClient=p}),define(we[172],ye([0,1]),function(J,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TextEditorSelectionSource=e.TextEditorSelectionRevealType=e.EditorOpenSource=e.EditorResolution=e.EditorActivation=void 0;var k;(function(D){D[D.ACTIVATE=1]="ACTIVATE",D[D.RESTORE=2]="RESTORE",D[D.PRESERVE=3]="PRESERVE"})(k=e.EditorActivation||(e.EditorActivation={}));var t;(function(D){D[D.PICK=0]="PICK",D[D.DISABLED=1]="DISABLED",D[D.EXCLUSIVE_ONLY=2]="EXCLUSIVE_ONLY"})(t=e.EditorResolution||(e.EditorResolution={}));var p;(function(D){D[D.API=0]="API",D[D.USER=1]="USER"})(p=e.EditorOpenSource||(e.EditorOpenSource={}));var C;(function(D){D[D.Center=0]="Center",D[D.CenterIfOutsideViewport=1]="CenterIfOutsideViewport",D[D.NearTop=2]="NearTop",D[D.NearTopIfOutsideViewport=3]="NearTopIfOutsideViewport"})(C=e.TextEditorSelectionRevealType||(e.TextEditorSelectionRevealType={}));var P;(function(D){D.PROGRAMMATIC="api",D.NAVIGATION="code.navigation",D.JUMP="code.jump"})(P=e.TextEditorSelectionSource||(e.TextEditorSelectionSource={}))}),define(we[173],ye([0,1]),function(J,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.EncryptionMainService=void 0;class k{constructor(p){this.machineId=p}encryption(){return new Promise((p,C)=>J(["vscode-encrypt"],p,C))}async encrypt(p){try{return(await this.encryption()).encrypt(this.machineId,p)}catch{return p}}async decrypt(p){try{return(await this.encryption()).decrypt(this.machineId,p)}catch{return p}}}e.EncryptionMainService=k}),define(we[88],ye([0,1,138,72,8,5,24,22,4]),function(J,e,k,t,p,C,P,D,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.parsePtyHostPort=e.parseSearchPort=e.parseExtensionHostPort=e.AbstractNativeEnvironmentService=void 0;class I{constructor(h,d,E){this._args=h,this.paths=d,this.productService=E}get appRoot(){return(0,C.dirname)(p.FileAccess.asFileUri("",J).fsPath)}get userHome(){return v.URI.file(this.paths.homeDir)}get userDataPath(){return this.paths.userDataDir}get appSettingsHome(){return v.URI.file((0,C.join)(this.userDataPath,"User"))}get tmpDir(){return v.URI.file(this.paths.tmpDir)}get cacheHome(){return v.URI.file(this.userDataPath)}get userRoamingDataHome(){return this.appSettingsHome}get settingsResource(){return(0,D.joinPath)(this.userRoamingDataHome,"settings.json")}get userDataSyncHome(){return(0,D.joinPath)(this.userRoamingDataHome,"sync")}get logsPath(){if(!this.args.logsPath){const h=(0,k.toLocalISOString)(new Date).replace(/-|:|\.\d+Z$/g,"");this.args.logsPath=(0,C.join)(this.userDataPath,"logs",h)}return this.args.logsPath}get userDataSyncLogResource(){return v.URI.file((0,C.join)(this.logsPath,"userDataSync.log"))}get sync(){return this.args.sync}get machineSettingsResource(){return(0,D.joinPath)(v.URI.file((0,C.join)(this.userDataPath,"Machine")),"settings.json")}get globalStorageHome(){return v.URI.joinPath(this.appSettingsHome,"globalStorage")}get workspaceStorageHome(){return v.URI.joinPath(this.appSettingsHome,"workspaceStorage")}get keybindingsResource(){return(0,D.joinPath)(this.userRoamingDataHome,"keybindings.json")}get keyboardLayoutResource(){return(0,D.joinPath)(this.userRoamingDataHome,"keyboardLayout.json")}get argvResource(){const h=P.env.VSCODE_PORTABLE;return h?v.URI.file((0,C.join)(h,"argv.json")):(0,D.joinPath)(this.appSettingsHome,"argv.json")}get snippetsHome(){return(0,D.joinPath)(this.userRoamingDataHome,"snippets")}get isExtensionDevelopment(){return!!this.args.extensionDevelopmentPath}get untitledWorkspacesHome(){return v.URI.file((0,C.join)(this.userDataPath,"Workspaces"))}get installSourcePath(){return(0,C.join)(this.userDataPath,"installSource")}get builtinExtensionsPath(){const h=this.args["builtin-extensions-dir"];return h?(0,C.resolve)(h):(0,C.normalize)((0,C.join)(p.FileAccess.asFileUri("",J).fsPath,"..","extensions"))}get extensionsDownloadPath(){const h=this.args["extensions-download-dir"];return h?(0,C.resolve)(h):(0,C.join)(this.userDataPath,"CachedExtensionVSIXs")}get extensionsPath(){const h=this.args["extensions-dir"];if(h)return(0,C.resolve)(h);const d=P.env.VSCODE_EXTENSIONS;if(d)return d;const E=P.env.VSCODE_PORTABLE;return E?(0,C.join)(E,"extensions"):(0,D.joinPath)(this.userHome,this.productService.dataFolderName,"extensions").fsPath}get extensionDevelopmentLocationURI(){const h=this.args.extensionDevelopmentPath;if(Array.isArray(h))return h.map(d=>/^[^:/?#]+?:\/\//.test(d)?v.URI.parse(d):v.URI.file((0,C.normalize)(d)))}get extensionDevelopmentKind(){return this.args.extensionDevelopmentKind?.map(h=>h==="ui"||h==="workspace"||h==="web"?h:"workspace")}get extensionTestsLocationURI(){const h=this.args.extensionTestsPath;if(h)return/^[^:/?#]+?:\/\//.test(h)?v.URI.parse(h):v.URI.file((0,C.normalize)(h))}get disableExtensions(){if(this.args["disable-extensions"])return!0;const h=this.args["disable-extension"];if(h){if(typeof h=="string")return[h];if(Array.isArray(h)&&h.length>0)return h}return!1}get debugExtensionHost(){return L(this.args,this.isBuilt)}get debugRenderer(){return!!this.args.debugRenderer}get isBuilt(){return!P.env.VSCODE_DEV}get verbose(){return!!this.args.verbose}get logLevel(){return this.args.log}get serviceMachineIdResource(){return(0,D.joinPath)(v.URI.file(this.userDataPath),"machineid")}get crashReporterId(){return this.args["crash-reporter-id"]}get crashReporterDirectory(){return this.args["crash-reporter-directory"]}get driverHandle(){return this.args.driver}get telemetryLogResource(){return v.URI.file((0,C.join)(this.logsPath,"telemetry.log"))}get disableTelemetry(){return!!this.args["disable-telemetry"]}get disableWorkspaceTrust(){return!!this.args["disable-workspace-trust"]}get args(){return this._args}}Ae([t.memoize],I.prototype,"appRoot",null),Ae([t.memoize],I.prototype,"userHome",null),Ae([t.memoize],I.prototype,"userDataPath",null),Ae([t.memoize],I.prototype,"appSettingsHome",null),Ae([t.memoize],I.prototype,"tmpDir",null),Ae([t.memoize],I.prototype,"cacheHome",null),Ae([t.memoize],I.prototype,"userRoamingDataHome",null),Ae([t.memoize],I.prototype,"settingsResource",null),Ae([t.memoize],I.prototype,"userDataSyncHome",null),Ae([t.memoize],I.prototype,"userDataSyncLogResource",null),Ae([t.memoize],I.prototype,"sync",null),Ae([t.memoize],I.prototype,"machineSettingsResource",null),Ae([t.memoize],I.prototype,"globalStorageHome",null),Ae([t.memoize],I.prototype,"workspaceStorageHome",null),Ae([t.memoize],I.prototype,"keybindingsResource",null),Ae([t.memoize],I.prototype,"keyboardLayoutResource",null),Ae([t.memoize],I.prototype,"argvResource",null),Ae([t.memoize],I.prototype,"snippetsHome",null),Ae([t.memoize],I.prototype,"isExtensionDevelopment",null),Ae([t.memoize],I.prototype,"untitledWorkspacesHome",null),Ae([t.memoize],I.prototype,"installSourcePath",null),Ae([t.memoize],I.prototype,"builtinExtensionsPath",null),Ae([t.memoize],I.prototype,"extensionsPath",null),Ae([t.memoize],I.prototype,"extensionDevelopmentLocationURI",null),Ae([t.memoize],I.prototype,"extensionDevelopmentKind",null),Ae([t.memoize],I.prototype,"extensionTestsLocationURI",null),Ae([t.memoize],I.prototype,"debugExtensionHost",null),Ae([t.memoize],I.prototype,"serviceMachineIdResource",null),Ae([t.memoize],I.prototype,"telemetryLogResource",null),Ae([t.memoize],I.prototype,"disableWorkspaceTrust",null),e.AbstractNativeEnvironmentService=I;function L(c,h){return b(c["inspect-extensions"],c["inspect-brk-extensions"],5870,h,c.debugId,c.extensionEnvironment)}e.parseExtensionHostPort=L;function R(c,h){return b(c["inspect-search"],c["inspect-brk-search"],5876,h,c.extensionEnvironment)}e.parseSearchPort=R;function g(c,h){return b(c["inspect-ptyhost"],c["inspect-brk-ptyhost"],5877,h,c.extensionEnvironment)}e.parsePtyHostPort=g;function b(c,h,d,E,w,f){const u=Number(h||c)||(E?null:d),o=u?Boolean(!!h):!1;let l;if(f)try{l=JSON.parse(f)}catch{}return{port:u,break:o,debugId:w,env:l}}}),define(we[52],ye([0,1,256,3,146]),function(J,e,k,t,p){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.buildVersionMessage=e.buildHelpMessage=e.formatOptions=e.parseArgs=e.OPTIONS=void 0;const C={o:(0,p.localize)(0,null),e:(0,p.localize)(1,null),t:(0,p.localize)(2,null)};e.OPTIONS={diff:{type:"boolean",cat:"o",alias:"d",args:["file","file"],description:(0,p.localize)(3,null)},add:{type:"boolean",cat:"o",alias:"a",args:"folder",description:(0,p.localize)(4,null)},goto:{type:"boolean",cat:"o",alias:"g",args:"file:line[:character]",description:(0,p.localize)(5,null)},"new-window":{type:"boolean",cat:"o",alias:"n",description:(0,p.localize)(6,null)},"reuse-window":{type:"boolean",cat:"o",alias:"r",description:(0,p.localize)(7,null)},wait:{type:"boolean",cat:"o",alias:"w",description:(0,p.localize)(8,null)},waitMarkerFilePath:{type:"string"},locale:{type:"string",cat:"o",args:"locale",description:(0,p.localize)(9,null)},"user-data-dir":{type:"string",cat:"o",args:"dir",description:(0,p.localize)(10,null)},help:{type:"boolean",cat:"o",alias:"h",description:(0,p.localize)(11,null)},"extensions-dir":{type:"string",deprecates:["extensionHomePath"],cat:"e",args:"dir",description:(0,p.localize)(12,null)},"extensions-download-dir":{type:"string"},"builtin-extensions-dir":{type:"string"},"list-extensions":{type:"boolean",cat:"e",description:(0,p.localize)(13,null)},"show-versions":{type:"boolean",cat:"e",description:(0,p.localize)(14,null)},category:{type:"string",cat:"e",description:(0,p.localize)(15,null),args:"category"},"install-extension":{type:"string[]",cat:"e",args:"ext-id | path",description:(0,p.localize)(16,null)},"pre-release":{type:"boolean",cat:"e",description:(0,p.localize)(17,null)},"uninstall-extension":{type:"string[]",cat:"e",args:"ext-id",description:(0,p.localize)(18,null)},"enable-proposed-api":{type:"string[]",cat:"e",args:"ext-id",description:(0,p.localize)(19,null)},version:{type:"boolean",cat:"t",alias:"v",description:(0,p.localize)(20,null)},verbose:{type:"boolean",cat:"t",description:(0,p.localize)(21,null)},log:{type:"string",cat:"t",args:"level",description:(0,p.localize)(22,null)},status:{type:"boolean",alias:"s",cat:"t",description:(0,p.localize)(23,null)},"prof-startup":{type:"boolean",cat:"t",description:(0,p.localize)(24,null)},"prof-append-timers":{type:"string"},"no-cached-data":{type:"boolean"},"prof-startup-prefix":{type:"string"},"prof-v8-extensions":{type:"boolean"},"disable-extensions":{type:"boolean",deprecates:["disableExtensions"],cat:"t",description:(0,p.localize)(25,null)},"disable-extension":{type:"string[]",cat:"t",args:"ext-id",description:(0,p.localize)(26,null)},sync:{type:"string",cat:"t",description:(0,p.localize)(27,null),args:["on | off"]},"inspect-extensions":{type:"string",deprecates:["debugPluginHost"],args:"port",cat:"t",description:(0,p.localize)(28,null)},"inspect-brk-extensions":{type:"string",deprecates:["debugBrkPluginHost"],args:"port",cat:"t",description:(0,p.localize)(29,null)},"disable-gpu":{type:"boolean",cat:"t",description:(0,p.localize)(30,null)},"ms-enable-electron-run-as-node":{type:"boolean"},"max-memory":{type:"string",cat:"t",description:(0,p.localize)(31,null),args:"memory"},telemetry:{type:"boolean",cat:"t",description:(0,p.localize)(32,null)},remote:{type:"string"},"folder-uri":{type:"string[]",cat:"o",args:"uri"},"file-uri":{type:"string[]",cat:"o",args:"uri"},"locate-extension":{type:"string[]"},extensionDevelopmentPath:{type:"string[]"},extensionDevelopmentKind:{type:"string[]"},extensionTestsPath:{type:"string"},extensionEnvironment:{type:"string"},debugId:{type:"string"},debugRenderer:{type:"boolean"},"inspect-ptyhost":{type:"string"},"inspect-brk-ptyhost":{type:"string"},"inspect-search":{type:"string",deprecates:["debugSearch"]},"inspect-brk-search":{type:"string",deprecates:["debugBrkSearch"]},"export-default-configuration":{type:"string"},"install-source":{type:"string"},driver:{type:"string"},logExtensionHostCommunication:{type:"boolean"},"skip-release-notes":{type:"boolean"},"skip-welcome":{type:"boolean"},"disable-telemetry":{type:"boolean"},"disable-updates":{type:"boolean"},"disable-keytar":{type:"boolean"},"disable-workspace-trust":{type:"boolean"},"disable-crash-reporter":{type:"boolean"},"crash-reporter-directory":{type:"string"},"crash-reporter-id":{type:"string"},"skip-add-to-recently-opened":{type:"boolean"},"unity-launch":{type:"boolean"},"open-url":{type:"boolean"},"file-write":{type:"boolean"},"file-chmod":{type:"boolean"},"driver-verbose":{type:"boolean"},"install-builtin-extension":{type:"string[]"},force:{type:"boolean"},"do-not-sync":{type:"boolean"},trace:{type:"boolean"},"trace-category-filter":{type:"string"},"trace-options":{type:"string"},"force-user-env":{type:"boolean"},"force-disable-user-env":{type:"boolean"},"open-devtools":{type:"boolean"},__sandbox:{type:"boolean"},logsPath:{type:"string"},"no-proxy-server":{type:"boolean"},"no-sandbox":{type:"boolean",alias:"sandbox"},"proxy-server":{type:"string"},"proxy-bypass-list":{type:"string"},"proxy-pac-url":{type:"string"},"js-flags":{type:"string"},inspect:{type:"string"},"inspect-brk":{type:"string"},nolazy:{type:"boolean"},"force-device-scale-factor":{type:"string"},"force-renderer-accessibility":{type:"boolean"},"ignore-certificate-errors":{type:"boolean"},"allow-insecure-localhost":{type:"boolean"},"log-net-log":{type:"string"},vmodule:{type:"string"},_urls:{type:"string[]"},"disable-dev-shm-usage":{type:"boolean"},_:{type:"string[]"}};const P={onUnknownOption:()=>{},onMultipleValues:()=>{},onDeprecatedOption:()=>{}};function D(c,h,d=P){const E={},w=[],f=[];for(let l in h){const s=h[l];s.alias&&(E[l]=s.alias),s.type==="string"||s.type==="string[]"?(w.push(l),s.deprecates&&w.push(...s.deprecates)):s.type==="boolean"&&(f.push(l),s.deprecates&&f.push(...s.deprecates))}const y=k(c,{string:w,boolean:f,alias:E}),u={},o=y;u._=y._.map(l=>String(l)).filter(l=>l.length>0),delete o._;for(let l in h){const s=h[l];s.alias&&delete o[s.alias];let n=o[l];if(s.deprecates)for(const i of s.deprecates)o.hasOwnProperty(i)&&(n||(n=o[i],n&&d.onDeprecatedOption(i,s.deprecationMessage||(0,p.localize)(33,null))),delete o[i]);typeof n!="undefined"&&(s.type==="string[]"?n&&!Array.isArray(n)&&(n=[n]):s.type==="string"&&Array.isArray(n)&&(n=n.pop(),d.onMultipleValues(l,n)),u[l]=n,s.deprecationMessage&&d.onDeprecatedOption(l,s.deprecationMessage)),delete o[l]}for(let l in o)d.onUnknownOption(l);return u}e.parseArgs=D;function v(c,h){let d="";return h.args&&(Array.isArray(h.args)?d=` <${h.args.join("> <")}>`:d=` <${h.args}>`),h.alias?`-${h.alias} --${c}${d}`:`--${c}${d}`}function I(c,h){let d=0,E=[];for(const u in c){const o=c[u],l=v(u,o);d=Math.max(d,l.length),E.push([l,o.description])}let w=d+2+1;if(h-w<25)return E.reduce((u,o)=>u.concat([`  ${o[0]}`,`      ${o[1]}`]),[]);let f=h-w-1,y=[];for(const u of E){let o=u[0],l=R(u[1],f),s=L(w-o.length-2);y.push("  "+o+s+l[0]);for(let n=1;n<l.length;n++)y.push(L(w)+l[n])}return y}e.formatOptions=I;function L(c){return" ".repeat(c)}function R(c,h){let d=[];for(;c.length;){let E=c.length<h?c.length:c.lastIndexOf(" ",h),w=c.slice(0,E).trim();c=c.slice(E),d.push(w)}return d}function g(c,h,d,E,w){const f=process.stdout.isTTY&&process.stdout.columns||80,y=w?.noInputFiles!==!0?`[${(0,p.localize)(34,null)}...]`:"",u=[`${c} ${d}`];u.push(""),u.push(`${(0,p.localize)(35,null)}: ${h} [${(0,p.localize)(36,null)}]${y}`),u.push(""),w?.noPipe!==!0&&(t.isWindows?u.push((0,p.localize)(37,null,h)):u.push((0,p.localize)(38,null,h)),u.push(""));const o={};for(const l in E){const s=E[l];if(s.description&&s.cat){let n=o[s.cat];n||(o[s.cat]=n={}),n[l]=s}}for(let l in o){const s=l;let n=o[s];n&&(u.push(C[s]),u.push(...I(n,f)),u.push(""))}return u.join(`
`)}e.buildHelpMessage=g;function b(c,h){return`${c||(0,p.localize)(39,null)}
${h||(0,p.localize)(40,null)}
${process.arch}`}e.buildVersionMessage=b}),define(we[174],ye([0,1,257,147,52]),function(J,e,k,t,p){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isLaunchedFromCli=e.addArg=e.parseCLIProcessArgv=e.parseMainProcessArgv=void 0;const C=2048;function P(g,b){const c={onUnknownOption:d=>{console.warn((0,t.localize)(0,null,d))},onMultipleValues:(d,E)=>{console.warn((0,t.localize)(1,null,d,E))},onDeprecatedOption:(d,E)=>{console.warn((0,t.localize)(2,null,d,E))}},h=(0,p.parseArgs)(g,p.OPTIONS,b?c:void 0);return h.goto&&h._.forEach(d=>k(/^(\w:)?[^:]+(:\d*){0,2}$/.test(d),(0,t.localize)(3,null))),h["max-memory"]&&k(parseInt(h["max-memory"])>=C,`The max-memory argument cannot be specified lower than ${C} MB.`),h}function D(g){const b=g.findIndex(c=>!/^-/.test(c));if(b>-1)return[...g.slice(0,b),...g.slice(b+1)]}function v(g){let[,...b]=g;process.env.VSCODE_DEV&&(b=D(b)||[]);const c=!R(process.env);return P(b,c)}e.parseMainProcessArgv=v;function I(g){const[,,...b]=g;return P(b,!0)}e.parseCLIProcessArgv=I;function L(g,...b){const c=g.indexOf("--");return c===-1?g.push(...b):g.splice(c,0,...b),g}e.addArg=L;function R(g){return g.VSCODE_CLI==="1"}e.isLaunchedFromCli=R}),function(){"use strict";function J(e,k,t,p){function C(D){const v=P(D),I=[v];return e.isAbsolute(v)||I.unshift(p),e.resolve(...I)}function P(D){const v=process.env.VSCODE_PORTABLE;if(v)return e.join(v,"user-data");let I=process.env.VSCODE_APPDATA;if(I)return e.join(I,t);const L=D["user-data-dir"];if(L)return L;switch(process.platform){case"win32":if(I=process.env.APPDATA,!I){const R=process.env.USERPROFILE;if(typeof R!="string")throw new Error("Windows: Unexpected undefined %USERPROFILE% environment variable");I=e.join(R,"AppData","Roaming")}break;case"darwin":I=e.join(k.homedir(),"Library","Application Support");break;case"linux":I=process.env.XDG_CONFIG_HOME||e.join(k.homedir(),".config");break;default:throw new Error("Platform not supported")}return e.join(I,t)}return{getUserDataPath:C}}if(typeof define=="function")define(we[175],ye([0,129,25,8,22,24]),function(e,k,t,p,C,P){const D=C.dirname(p.FileAccess.asFileUri("",e)),v=e.__$__nodeRequire(C.joinPath(D,"package.json").fsPath);return J(k,t,v.name,P.cwd())});else if(typeof module=="object"&&typeof module.exports=="object"){const e=require("../../../../../package.json"),k=require("path"),t=require("os");module.exports=J(k,t,e.name,process.env.VSCODE_CWD||process.cwd())}else throw new Error("Unknown context")}(),define(we[176],ye([0,1,25,88,175]),function(J,e,k,t,p){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NativeEnvironmentService=void 0;class C extends t.AbstractNativeEnvironmentService{constructor(D,v){super(D,{homeDir:(0,k.homedir)(),tmpDir:(0,k.tmpdir)(),userDataDir:(0,p.getUserDataPath)(D)},v)}}e.NativeEnvironmentService=C}),define(we[177],ye([0,1,21]),function(J,e,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.localizeManifest=void 0;const t=/^%([\w\d.-]+)%$/i;function p(C,P){const D=v=>{if(typeof v!="string")return;const I=t.exec(v);if(!I)return;const L=P[I[1]]??v;return typeof L=="string"?L:typeof L.message=="string"?L.message:v};return(0,k.cloneAndChange)(C,D)}e.localizeManifest=p}),define(we[63],ye([0,1,154]),function(J,e,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isEngineValid=e.isValidExtensionVersion=e.isValidVersion=e.normalizeVersion=e.parseVersion=e.isValidVersionStr=void 0;const t=/^(\^|>=)?((\d+)|x)\.((\d+)|x)\.((\d+)|x)(\-.*)?$/,p=/^-(\d{4})(\d{2})(\d{2})$/;function C(g){return g=g.trim(),g==="*"||t.test(g)}e.isValidVersionStr=C;function P(g){if(!C(g))return null;if(g=g.trim(),g==="*")return{hasCaret:!1,hasGreaterEquals:!1,majorBase:0,majorMustEqual:!1,minorBase:0,minorMustEqual:!1,patchBase:0,patchMustEqual:!1,preRelease:null};let b=g.match(t);return b?{hasCaret:b[1]==="^",hasGreaterEquals:b[1]===">=",majorBase:b[2]==="x"?0:parseInt(b[2],10),majorMustEqual:b[2]!=="x",minorBase:b[4]==="x"?0:parseInt(b[4],10),minorMustEqual:b[4]!=="x",patchBase:b[6]==="x"?0:parseInt(b[6],10),patchMustEqual:b[6]!=="x",preRelease:b[8]||null}:null}e.parseVersion=P;function D(g){if(!g)return null;let b=g.majorBase,c=g.majorMustEqual,h=g.minorBase,d=g.minorMustEqual,E=g.patchBase,w=g.patchMustEqual;g.hasCaret&&(b===0||(d=!1),w=!1);let f=0;if(g.preRelease){const y=p.exec(g.preRelease);if(y){const[,u,o,l]=y;f=Date.UTC(Number(u),Number(o)-1,Number(l))}}return{majorBase:b,majorMustEqual:c,minorBase:h,minorMustEqual:d,patchBase:E,patchMustEqual:w,isMinimum:g.hasGreaterEquals,notBefore:f}}e.normalizeVersion=D;function v(g,b,c){let h;typeof g=="string"?h=D(P(g)):h=g;let d;b instanceof Date?d=b.getTime():typeof b=="string"&&(d=new Date(b).getTime());let E;if(typeof c=="string"?E=D(P(c)):E=c,!h||!E)return!1;let w=h.majorBase,f=h.minorBase,y=h.patchBase,u=E.majorBase,o=E.minorBase,l=E.patchBase,s=E.notBefore,n=E.majorMustEqual,i=E.minorMustEqual,r=E.patchMustEqual;return E.isMinimum?w>u?!0:w<u?!1:f>o?!0:f<o||d&&d<s?!1:y>=l:(w===1&&u===0&&(!n||!i||!r)&&(u=1,o=0,l=0,n=!0,i=!1,r=!1),w<u?!1:w>u?!n:f<o?!1:f>o?!i:y<l?!1:y>l?!r:!(d&&d<s))}e.isValidVersion=v;function I(g,b,c,h){return c.isBuiltin||typeof c.main=="undefined"?!0:R(g,b,c.engines.vscode,h)}e.isValidExtensionVersion=I;function L(g,b,c){return g==="*"||R(b,c,g)}e.isEngineValid=L;function R(g,b,c,h=[]){let d=D(P(c));if(!d)return h.push(k.localize(0,null,c)),!1;if(d.majorBase===0){if(!d.majorMustEqual||!d.minorMustEqual)return h.push(k.localize(1,null,c)),!1}else if(!d.majorMustEqual)return h.push(k.localize(2,null,c)),!1;return v(g,b,d)?!0:(h.push(k.localize(3,null,g,c)),!1)}}),define(we[178],ye([0,1,15,23]),function(J,e,k,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getServiceMachineId=void 0;async function p(C,P,D){let v=D&&D.get("storage.serviceMachineId",0)||null;if(v)return v;try{const L=(await P.readFile(C.serviceMachineIdResource)).value.toString();v=(0,t.isUUID)(L)?L:null}catch{v=null}if(!v){v=(0,t.generateUuid)();try{await P.writeFile(C.serviceMachineIdResource,k.VSBuffer.fromString(v))}catch{}}return D&&D.store("storage.serviceMachineId",v,0,1),v}e.getServiceMachineId=p}),define(we[53],ye([0,1]),function(J,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SyncDescriptor=void 0;class k{constructor(p,C=[],P=!1){this.ctor=p,this.staticArguments=C,this.supportsDelayedInstantiation=P}}e.SyncDescriptor=k}),define(we[179],ye([0,1,53]),function(J,e,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getSingletonServiceDescriptors=e.registerSingleton=void 0;const t=[];function p(P,D,v){D instanceof k.SyncDescriptor||(D=new k.SyncDescriptor(D,[],v)),t.push([P,D])}e.registerSingleton=p;function C(){return t}e.getSingletonServiceDescriptors=C}),define(we[180],ye([0,1]),function(J,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Graph=e.Node=void 0;class k{constructor(C){this.incoming=new Map,this.outgoing=new Map,this.data=C}}e.Node=k;class t{constructor(C){this._hashFn=C,this._nodes=new Map}roots(){const C=[];for(let P of this._nodes.values())P.outgoing.size===0&&C.push(P);return C}insertEdge(C,P){const D=this.lookupOrInsertNode(C),v=this.lookupOrInsertNode(P);D.outgoing.set(this._hashFn(P),v),v.incoming.set(this._hashFn(C),D)}removeNode(C){const P=this._hashFn(C);this._nodes.delete(P);for(let D of this._nodes.values())D.outgoing.delete(P),D.incoming.delete(P)}lookupOrInsertNode(C){const P=this._hashFn(C);let D=this._nodes.get(P);return D||(D=new k(C),this._nodes.set(P,D)),D}lookup(C){return this._nodes.get(this._hashFn(C))}isEmpty(){return this._nodes.size===0}toString(){let C=[];for(let[P,D]of this._nodes)C.push(`${P}, (incoming)[${[...D.incoming.keys()].join(", ")}], (outgoing)[${[...D.outgoing.keys()].join(",")}]`);return C.join(`
`)}findCycleSlow(){for(let[C,P]of this._nodes){const D=new Set([C]),v=this._findCycle(P,D);if(v)return v}}_findCycle(C,P){for(let[D,v]of C.outgoing){if(P.has(D))return[...P,D].join(" -> ");P.add(D);const I=this._findCycle(v,P);if(I)return I;P.delete(D)}}}e.Graph=t}),define(we[6],ye([0,1]),function(J,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.refineServiceDecorator=e.createDecorator=e.IInstantiationService=e._util=void 0;var k;(function(P){P.serviceIds=new Map,P.DI_TARGET="$di$target",P.DI_DEPENDENCIES="$di$dependencies";function D(v){return v[P.DI_DEPENDENCIES]||[]}P.getServiceDependencies=D})(k=e._util||(e._util={})),e.IInstantiationService=p("instantiationService");function t(P,D,v){D[k.DI_TARGET]===D?D[k.DI_DEPENDENCIES].push({id:P,index:v}):(D[k.DI_DEPENDENCIES]=[{id:P,index:v}],D[k.DI_TARGET]=D)}function p(P){if(k.serviceIds.has(P))return k.serviceIds.get(P);const D=function(v,I,L){if(arguments.length!==3)throw new Error("@IServiceName-decorator can only be used to decorate a parameter");t(D,v,L)};return D.toString=()=>P,k.serviceIds.set(P,D),D}e.createDecorator=p;function C(P){return P}e.refineServiceDecorator=C}),define(we[28],ye([0,1,12,4,6]),function(J,e,k,t,p){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getMigratedSettingValue=e.merge=e.getConfigurationValue=e.removeFromValueTree=e.addToValueTree=e.toValuesTree=e.ConfigurationTargetToString=e.ConfigurationTarget=e.isConfigurationUpdateOverrides=e.isConfigurationOverrides=e.IConfigurationService=void 0,e.IConfigurationService=(0,p.createDecorator)("configurationService");function C(d){return d&&typeof d=="object"&&(!d.overrideIdentifier||typeof d.overrideIdentifier=="string")&&(!d.resource||d.resource instanceof t.URI)}e.isConfigurationOverrides=C;function P(d){return d&&typeof d=="object"&&(!d.overrideIdentifiers||k.isArray(d.overrideIdentifiers))&&!d.overrideIdentifier&&(!d.resource||d.resource instanceof t.URI)}e.isConfigurationUpdateOverrides=P;var D;(function(d){d[d.USER=1]="USER",d[d.USER_LOCAL=2]="USER_LOCAL",d[d.USER_REMOTE=3]="USER_REMOTE",d[d.WORKSPACE=4]="WORKSPACE",d[d.WORKSPACE_FOLDER=5]="WORKSPACE_FOLDER",d[d.DEFAULT=6]="DEFAULT",d[d.MEMORY=7]="MEMORY"})(D=e.ConfigurationTarget||(e.ConfigurationTarget={}));function v(d){switch(d){case 1:return"USER";case 2:return"USER_LOCAL";case 3:return"USER_REMOTE";case 4:return"WORKSPACE";case 5:return"WORKSPACE_FOLDER";case 6:return"DEFAULT";case 7:return"MEMORY"}}e.ConfigurationTargetToString=v;function I(d,E){const w=Object.create(null);for(let f in d)L(w,f,d[f],E);return w}e.toValuesTree=I;function L(d,E,w,f){const y=E.split("."),u=y.pop();let o=d;for(let l=0;l<y.length;l++){let s=y[l],n=o[s];switch(typeof n){case"undefined":n=o[s]=Object.create(null);break;case"object":break;default:f(`Ignoring ${E} as ${y.slice(0,l+1).join(".")} is ${JSON.stringify(n)}`);return}o=n}if(typeof o=="object"&&o!==null)try{o[u]=w}catch{f(`Ignoring ${E} as ${y.join(".")} is ${JSON.stringify(o)}`)}else f(`Ignoring ${E} as ${y.join(".")} is ${JSON.stringify(o)}`)}e.addToValueTree=L;function R(d,E){const w=E.split(".");g(d,w)}e.removeFromValueTree=R;function g(d,E){const w=E.shift();if(E.length===0){delete d[w];return}if(Object.keys(d).indexOf(w)!==-1){const f=d[w];typeof f=="object"&&!Array.isArray(f)&&(g(f,E),Object.keys(f).length===0&&delete d[w])}}function b(d,E,w){function f(o,l){let s=o;for(const n of l){if(typeof s!="object"||s===null)return;s=s[n]}return s}const y=E.split("."),u=f(d,y);return typeof u=="undefined"?w:u}e.getConfigurationValue=b;function c(d,E,w){Object.keys(E).forEach(f=>{f!=="__proto__"&&(f in d?k.isObject(d[f])&&k.isObject(E[f])?c(d[f],E[f],w):w&&(d[f]=E[f]):d[f]=E[f])})}e.merge=c;function h(d,E,w){const f=d.inspect(E),y=d.inspect(w);return typeof f.userValue!="undefined"||typeof f.workspaceValue!="undefined"||typeof f.workspaceFolderValue!="undefined"?f.value:typeof y.userValue!="undefined"||typeof y.workspaceValue!="undefined"||typeof y.workspaceFolderValue!="undefined"?y.value:f.defaultValue}e.getMigratedSettingValue=h}),define(we[89],ye([0,1,3,16,6]),function(J,e,k,t,p){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.implies=e.SET_CONTEXT_COMMAND_ID=e.IContextKeyService=e.RawContextKey=e.ContextKeyNotRegexExpr=e.ContextKeyRegexExpr=e.ContextKeySmallerEqualsExpr=e.ContextKeySmallerExpr=e.ContextKeyGreaterEqualsExpr=e.ContextKeyGreaterExpr=e.ContextKeyNotExpr=e.ContextKeyNotEqualsExpr=e.ContextKeyNotInExpr=e.ContextKeyInExpr=e.ContextKeyEqualsExpr=e.ContextKeyDefinedExpr=e.ContextKeyTrueExpr=e.ContextKeyFalseExpr=e.expressionsAreEqualWithConstantSubstitution=e.ContextKeyExpr=e.ContextKeyExprType=void 0;const C=new Map;C.set("false",!1),C.set("true",!0),C.set("isMac",k.isMacintosh),C.set("isLinux",k.isLinux),C.set("isWindows",k.isWindows),C.set("isWeb",k.isWeb),C.set("isMacNative",k.isMacintosh&&!k.isWeb),C.set("isEdge",k.isEdge),C.set("isFirefox",k.isFirefox),C.set("isChrome",k.isChrome),C.set("isSafari",k.isSafari);const P=Object.prototype.hasOwnProperty;var D;(function(A){A[A.False=0]="False",A[A.True=1]="True",A[A.Defined=2]="Defined",A[A.Not=3]="Not",A[A.Equals=4]="Equals",A[A.NotEquals=5]="NotEquals",A[A.And=6]="And",A[A.Regex=7]="Regex",A[A.NotRegex=8]="NotRegex",A[A.Or=9]="Or",A[A.In=10]="In",A[A.NotIn=11]="NotIn",A[A.Greater=12]="Greater",A[A.GreaterEquals=13]="GreaterEquals",A[A.Smaller=14]="Smaller",A[A.SmallerEquals=15]="SmallerEquals"})(D=e.ContextKeyExprType||(e.ContextKeyExprType={}));class v{static false(){return R.INSTANCE}static true(){return g.INSTANCE}static has(T){return b.create(T)}static equals(T,U){return c.create(T,U)}static notEquals(T,U){return E.create(T,U)}static regex(T,U){return s.create(T,U)}static in(T,U){return h.create(T,U)}static not(T){return w.create(T)}static and(...T){return r.create(T,null)}static or(...T){return a.create(T,null,!0)}static greater(T,U){return y.create(T,U)}static greaterEquals(T,U){return u.create(T,U)}static smaller(T,U){return o.create(T,U)}static smallerEquals(T,U){return l.create(T,U)}static deserialize(T,U=!1){if(!!T)return this._deserializeOrExpression(T,U)}static _deserializeOrExpression(T,U){let N=T.split("||");return a.create(N.map(W=>this._deserializeAndExpression(W,U)),null,!0)}static _deserializeAndExpression(T,U){let N=T.split("&&");return r.create(N.map(W=>this._deserializeOne(W,U)),null)}static _deserializeOne(T,U){if(T=T.trim(),T.indexOf("!=")>=0){let N=T.split("!=");return E.create(N[0].trim(),this._deserializeValue(N[1],U))}if(T.indexOf("==")>=0){let N=T.split("==");return c.create(N[0].trim(),this._deserializeValue(N[1],U))}if(T.indexOf("=~")>=0){let N=T.split("=~");return s.create(N[0].trim(),this._deserializeRegexValue(N[1],U))}if(T.indexOf(" in ")>=0){let N=T.split(" in ");return h.create(N[0].trim(),N[1].trim())}if(/^[^<=>]+>=[^<=>]+$/.test(T)){const N=T.split(">=");return u.create(N[0].trim(),N[1].trim())}if(/^[^<=>]+>[^<=>]+$/.test(T)){const N=T.split(">");return y.create(N[0].trim(),N[1].trim())}if(/^[^<=>]+<=[^<=>]+$/.test(T)){const N=T.split("<=");return l.create(N[0].trim(),N[1].trim())}if(/^[^<=>]+<[^<=>]+$/.test(T)){const N=T.split("<");return o.create(N[0].trim(),N[1].trim())}return/^\!\s*/.test(T)?w.create(T.substr(1).trim()):b.create(T)}static _deserializeValue(T,U){if(T=T.trim(),T==="true")return!0;if(T==="false")return!1;let N=/^'([^']*)'$/.exec(T);return N?N[1].trim():T}static _deserializeRegexValue(T,U){if((0,t.isFalsyOrWhitespace)(T)){if(U)throw new Error("missing regexp-value for =~-expression");return console.warn("missing regexp-value for =~-expression"),null}let N=T.indexOf("/"),W=T.lastIndexOf("/");if(N===W||N<0){if(U)throw new Error(`bad regexp-value '${T}', missing /-enclosure`);return console.warn(`bad regexp-value '${T}', missing /-enclosure`),null}let ie=T.slice(N+1,W),q=T[W+1]==="i"?"i":"";try{return new RegExp(ie,q)}catch(se){if(U)throw new Error(`bad regexp-value '${T}', parse error: ${se}`);return console.warn(`bad regexp-value '${T}', parse error: ${se}`),null}}}e.ContextKeyExpr=v;function I(A,T){const U=A?A.substituteConstants():void 0,N=T?T.substituteConstants():void 0;return!U&&!N?!0:!U||!N?!1:U.equals(N)}e.expressionsAreEqualWithConstantSubstitution=I;function L(A,T){return A.cmp(T)}class R{constructor(){this.type=0}cmp(T){return this.type-T.type}equals(T){return T.type===this.type}substituteConstants(){return this}evaluate(T){return!1}serialize(){return"false"}keys(){return[]}map(T){return this}negate(){return g.INSTANCE}}e.ContextKeyFalseExpr=R,R.INSTANCE=new R;class g{constructor(){this.type=1}cmp(T){return this.type-T.type}equals(T){return T.type===this.type}substituteConstants(){return this}evaluate(T){return!0}serialize(){return"true"}keys(){return[]}map(T){return this}negate(){return R.INSTANCE}}e.ContextKeyTrueExpr=g,g.INSTANCE=new g;class b{constructor(T,U){this.key=T,this.negated=U,this.type=2}static create(T,U=null){const N=C.get(T);return typeof N=="boolean"?N?g.INSTANCE:R.INSTANCE:new b(T,U)}cmp(T){return T.type!==this.type?this.type-T.type:S(this.key,T.key)}equals(T){return T.type===this.type?this.key===T.key:!1}substituteConstants(){const T=C.get(this.key);return typeof T=="boolean"?T?g.INSTANCE:R.INSTANCE:this}evaluate(T){return!!T.getValue(this.key)}serialize(){return this.key}keys(){return[this.key]}map(T){return T.mapDefined(this.key)}negate(){return this.negated||(this.negated=w.create(this.key,this)),this.negated}}e.ContextKeyDefinedExpr=b;class c{constructor(T,U,N){this.key=T,this.value=U,this.negated=N,this.type=4}static create(T,U,N=null){if(typeof U=="boolean")return U?b.create(T,N):w.create(T,N);const W=C.get(T);return typeof W=="boolean"?U===(W?"true":"false")?g.INSTANCE:R.INSTANCE:new c(T,U,N)}cmp(T){return T.type!==this.type?this.type-T.type:_(this.key,this.value,T.key,T.value)}equals(T){return T.type===this.type?this.key===T.key&&this.value===T.value:!1}substituteConstants(){const T=C.get(this.key);if(typeof T=="boolean"){const U=T?"true":"false";return this.value===U?g.INSTANCE:R.INSTANCE}return this}evaluate(T){return T.getValue(this.key)==this.value}serialize(){return`${this.key} == '${this.value}'`}keys(){return[this.key]}map(T){return T.mapEquals(this.key,this.value)}negate(){return this.negated||(this.negated=E.create(this.key,this.value,this)),this.negated}}e.ContextKeyEqualsExpr=c;class h{constructor(T,U){this.key=T,this.valueKey=U,this.type=10,this.negated=null}static create(T,U){return new h(T,U)}cmp(T){return T.type!==this.type?this.type-T.type:_(this.key,this.valueKey,T.key,T.valueKey)}equals(T){return T.type===this.type?this.key===T.key&&this.valueKey===T.valueKey:!1}substituteConstants(){return this}evaluate(T){const U=T.getValue(this.valueKey),N=T.getValue(this.key);return Array.isArray(U)?U.indexOf(N)>=0:typeof N=="string"&&typeof U=="object"&&U!==null?P.call(U,N):!1}serialize(){return`${this.key} in '${this.valueKey}'`}keys(){return[this.key,this.valueKey]}map(T){return T.mapIn(this.key,this.valueKey)}negate(){return this.negated||(this.negated=d.create(this)),this.negated}}e.ContextKeyInExpr=h;class d{constructor(T){this._actual=T,this.type=11}static create(T){return new d(T)}cmp(T){return T.type!==this.type?this.type-T.type:this._actual.cmp(T._actual)}equals(T){return T.type===this.type?this._actual.equals(T._actual):!1}substituteConstants(){return this}evaluate(T){return!this._actual.evaluate(T)}serialize(){throw new Error("Method not implemented.")}keys(){return this._actual.keys()}map(T){return new d(this._actual.map(T))}negate(){return this._actual}}e.ContextKeyNotInExpr=d;class E{constructor(T,U,N){this.key=T,this.value=U,this.negated=N,this.type=5}static create(T,U,N=null){if(typeof U=="boolean")return U?w.create(T,N):b.create(T,N);const W=C.get(T);return typeof W=="boolean"?U===(W?"true":"false")?R.INSTANCE:g.INSTANCE:new E(T,U,N)}cmp(T){return T.type!==this.type?this.type-T.type:_(this.key,this.value,T.key,T.value)}equals(T){return T.type===this.type?this.key===T.key&&this.value===T.value:!1}substituteConstants(){const T=C.get(this.key);if(typeof T=="boolean"){const U=T?"true":"false";return this.value===U?R.INSTANCE:g.INSTANCE}return this}evaluate(T){return T.getValue(this.key)!=this.value}serialize(){return`${this.key} != '${this.value}'`}keys(){return[this.key]}map(T){return T.mapNotEquals(this.key,this.value)}negate(){return this.negated||(this.negated=c.create(this.key,this.value,this)),this.negated}}e.ContextKeyNotEqualsExpr=E;class w{constructor(T,U){this.key=T,this.negated=U,this.type=3}static create(T,U=null){const N=C.get(T);return typeof N=="boolean"?N?R.INSTANCE:g.INSTANCE:new w(T,U)}cmp(T){return T.type!==this.type?this.type-T.type:S(this.key,T.key)}equals(T){return T.type===this.type?this.key===T.key:!1}substituteConstants(){const T=C.get(this.key);return typeof T=="boolean"?T?R.INSTANCE:g.INSTANCE:this}evaluate(T){return!T.getValue(this.key)}serialize(){return`!${this.key}`}keys(){return[this.key]}map(T){return T.mapNot(this.key)}negate(){return this.negated||(this.negated=b.create(this.key,this)),this.negated}}e.ContextKeyNotExpr=w;function f(A,T){if(typeof A=="string"){const U=parseFloat(A);isNaN(U)||(A=U)}return typeof A=="string"||typeof A=="number"?T(A):R.INSTANCE}class y{constructor(T,U,N){this.key=T,this.value=U,this.negated=N,this.type=12}static create(T,U,N=null){return f(U,W=>new y(T,W,N))}cmp(T){return T.type!==this.type?this.type-T.type:_(this.key,this.value,T.key,T.value)}equals(T){return T.type===this.type?this.key===T.key&&this.value===T.value:!1}substituteConstants(){return this}evaluate(T){return typeof this.value=="string"?!1:parseFloat(T.getValue(this.key))>this.value}serialize(){return`${this.key} > ${this.value}`}keys(){return[this.key]}map(T){return T.mapGreater(this.key,this.value)}negate(){return this.negated||(this.negated=l.create(this.key,this.value,this)),this.negated}}e.ContextKeyGreaterExpr=y;class u{constructor(T,U,N){this.key=T,this.value=U,this.negated=N,this.type=13}static create(T,U,N=null){return f(U,W=>new u(T,W,N))}cmp(T){return T.type!==this.type?this.type-T.type:_(this.key,this.value,T.key,T.value)}equals(T){return T.type===this.type?this.key===T.key&&this.value===T.value:!1}substituteConstants(){return this}evaluate(T){return typeof this.value=="string"?!1:parseFloat(T.getValue(this.key))>=this.value}serialize(){return`${this.key} >= ${this.value}`}keys(){return[this.key]}map(T){return T.mapGreaterEquals(this.key,this.value)}negate(){return this.negated||(this.negated=o.create(this.key,this.value,this)),this.negated}}e.ContextKeyGreaterEqualsExpr=u;class o{constructor(T,U,N){this.key=T,this.value=U,this.negated=N,this.type=14}static create(T,U,N=null){return f(U,W=>new o(T,W,N))}cmp(T){return T.type!==this.type?this.type-T.type:_(this.key,this.value,T.key,T.value)}equals(T){return T.type===this.type?this.key===T.key&&this.value===T.value:!1}substituteConstants(){return this}evaluate(T){return typeof this.value=="string"?!1:parseFloat(T.getValue(this.key))<this.value}serialize(){return`${this.key} < ${this.value}`}keys(){return[this.key]}map(T){return T.mapSmaller(this.key,this.value)}negate(){return this.negated||(this.negated=u.create(this.key,this.value,this)),this.negated}}e.ContextKeySmallerExpr=o;class l{constructor(T,U,N){this.key=T,this.value=U,this.negated=N,this.type=15}static create(T,U,N=null){return f(U,W=>new l(T,W,N))}cmp(T){return T.type!==this.type?this.type-T.type:_(this.key,this.value,T.key,T.value)}equals(T){return T.type===this.type?this.key===T.key&&this.value===T.value:!1}substituteConstants(){return this}evaluate(T){return typeof this.value=="string"?!1:parseFloat(T.getValue(this.key))<=this.value}serialize(){return`${this.key} <= ${this.value}`}keys(){return[this.key]}map(T){return T.mapSmallerEquals(this.key,this.value)}negate(){return this.negated||(this.negated=y.create(this.key,this.value,this)),this.negated}}e.ContextKeySmallerEqualsExpr=l;class s{constructor(T,U){this.key=T,this.regexp=U,this.type=7,this.negated=null}static create(T,U){return new s(T,U)}cmp(T){if(T.type!==this.type)return this.type-T.type;if(this.key<T.key)return-1;if(this.key>T.key)return 1;const U=this.regexp?this.regexp.source:"",N=T.regexp?T.regexp.source:"";return U<N?-1:U>N?1:0}equals(T){if(T.type===this.type){const U=this.regexp?this.regexp.source:"",N=T.regexp?T.regexp.source:"";return this.key===T.key&&U===N}return!1}substituteConstants(){return this}evaluate(T){let U=T.getValue(this.key);return this.regexp?this.regexp.test(U):!1}serialize(){const T=this.regexp?`/${this.regexp.source}/${this.regexp.ignoreCase?"i":""}`:"/invalid/";return`${this.key} =~ ${T}`}keys(){return[this.key]}map(T){return T.mapRegex(this.key,this.regexp)}negate(){return this.negated||(this.negated=n.create(this)),this.negated}}e.ContextKeyRegexExpr=s;class n{constructor(T){this._actual=T,this.type=8}static create(T){return new n(T)}cmp(T){return T.type!==this.type?this.type-T.type:this._actual.cmp(T._actual)}equals(T){return T.type===this.type?this._actual.equals(T._actual):!1}substituteConstants(){return this}evaluate(T){return!this._actual.evaluate(T)}serialize(){throw new Error("Method not implemented.")}keys(){return this._actual.keys()}map(T){return new n(this._actual.map(T))}negate(){return this._actual}}e.ContextKeyNotRegexExpr=n;function i(A){let T=null;for(let U=0,N=A.length;U<N;U++){const W=A[U].substituteConstants();if(A[U]!==W&&T===null){T=[];for(let ie=0;ie<U;ie++)T[ie]=A[ie]}T!==null&&(T[U]=W)}return T===null?A:T}class r{constructor(T,U){this.expr=T,this.negated=U,this.type=6}static create(T,U){return r._normalizeArr(T,U)}cmp(T){if(T.type!==this.type)return this.type-T.type;if(this.expr.length<T.expr.length)return-1;if(this.expr.length>T.expr.length)return 1;for(let U=0,N=this.expr.length;U<N;U++){const W=L(this.expr[U],T.expr[U]);if(W!==0)return W}return 0}equals(T){if(T.type===this.type){if(this.expr.length!==T.expr.length)return!1;for(let U=0,N=this.expr.length;U<N;U++)if(!this.expr[U].equals(T.expr[U]))return!1;return!0}return!1}substituteConstants(){const T=i(this.expr);return T===this.expr?this:r.create(T,this.negated)}evaluate(T){for(let U=0,N=this.expr.length;U<N;U++)if(!this.expr[U].evaluate(T))return!1;return!0}static _normalizeArr(T,U){const N=[];let W=!1;for(const ie of T)if(!!ie){if(ie.type===1){W=!0;continue}if(ie.type===0)return R.INSTANCE;if(ie.type===6){N.push(...ie.expr);continue}N.push(ie)}if(N.length===0&&W)return g.INSTANCE;if(N.length!==0){if(N.length===1)return N[0];N.sort(L);for(let ie=1;ie<N.length;ie++)N[ie-1].equals(N[ie])&&(N.splice(ie,1),ie--);if(N.length===1)return N[0];for(;N.length>1;){const ie=N[N.length-1];if(ie.type!==9)break;N.pop();const q=N.pop(),se=N.length===0,V=a.create(ie.expr.map(K=>r.create([K,q],null)),null,se);V&&(N.push(V),N.sort(L))}return N.length===1?N[0]:new r(N,U)}}serialize(){return this.expr.map(T=>T.serialize()).join(" && ")}keys(){const T=[];for(let U of this.expr)T.push(...U.keys());return T}map(T){return new r(this.expr.map(U=>U.map(T)),null)}negate(){if(!this.negated){const T=[];for(let U of this.expr)T.push(U.negate());this.negated=a.create(T,this,!0)}return this.negated}}class a{constructor(T,U){this.expr=T,this.negated=U,this.type=9}static create(T,U,N){return a._normalizeArr(T,U,N)}cmp(T){if(T.type!==this.type)return this.type-T.type;if(this.expr.length<T.expr.length)return-1;if(this.expr.length>T.expr.length)return 1;for(let U=0,N=this.expr.length;U<N;U++){const W=L(this.expr[U],T.expr[U]);if(W!==0)return W}return 0}equals(T){if(T.type===this.type){if(this.expr.length!==T.expr.length)return!1;for(let U=0,N=this.expr.length;U<N;U++)if(!this.expr[U].equals(T.expr[U]))return!1;return!0}return!1}substituteConstants(){const T=i(this.expr);return T===this.expr?this:a.create(T,this.negated,!1)}evaluate(T){for(let U=0,N=this.expr.length;U<N;U++)if(this.expr[U].evaluate(T))return!0;return!1}static _normalizeArr(T,U,N){let W=[],ie=!1;if(T){for(let q=0,se=T.length;q<se;q++){const V=T[q];if(!!V){if(V.type===0){ie=!0;continue}if(V.type===1)return g.INSTANCE;if(V.type===9){W=W.concat(V.expr);continue}W.push(V)}}if(W.length===0&&ie)return R.INSTANCE;W.sort(L)}if(W.length!==0){if(W.length===1)return W[0];for(let q=1;q<W.length;q++)W[q-1].equals(W[q])&&(W.splice(q,1),q--);if(W.length===1)return W[0];if(N){for(let q=0;q<W.length;q++)for(let se=q+1;se<W.length;se++)F(W[q],W[se])&&(W.splice(se,1),se--);if(W.length===1)return W[0]}return new a(W,U)}}serialize(){return this.expr.map(T=>T.serialize()).join(" || ")}keys(){const T=[];for(let U of this.expr)T.push(...U.keys());return T}map(T){return new a(this.expr.map(U=>U.map(T)),null)}negate(){if(!this.negated){let T=[];for(let U of this.expr)T.push(U.negate());for(;T.length>1;){const U=T.shift(),N=T.shift(),W=[];for(const q of B(U))for(const se of B(N))W.push(r.create([q,se],null));const ie=T.length===0;T.unshift(a.create(W,null,ie))}this.negated=T[0]}return this.negated}}class m extends b{constructor(T,U,N){super(T,null);this._defaultValue=U,typeof N=="object"?m._info.push({...N,key:T}):N!==!0&&m._info.push({key:T,description:N,type:U!=null?typeof U:void 0})}static all(){return m._info.values()}bindTo(T){return T.createKey(this.key,this._defaultValue)}getValue(T){return T.getContextKeyValue(this.key)}toNegated(){return this.negate()}isEqualTo(T){return c.create(this.key,T)}notEqualsTo(T){return E.create(this.key,T)}}e.RawContextKey=m,m._info=[],e.IContextKeyService=(0,p.createDecorator)("contextKeyService"),e.SET_CONTEXT_COMMAND_ID="setContext";function S(A,T){return A<T?-1:A>T?1:0}function _(A,T,U,N){return A<U?-1:A>U?1:T<N?-1:T>N?1:0}function F(A,T){if(T.type===6&&A.type!==9&&A.type!==6){for(const W of T.expr)if(A.equals(W))return!0}const U=A.negate(),N=B(U).concat(B(T));N.sort(L);for(let W=0;W<N.length;W++){const q=N[W].negate();for(let se=W+1;se<N.length;se++){const V=N[se];if(q.equals(V))return!0}}return!1}e.implies=F;function B(A){return A.type===9?A.expr:[A]}}),define(we[90],ye([0,1,6]),function(J,e,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.InMemoryCredentialsProvider=e.ICredentialsMainService=e.ICredentialsService=void 0,e.ICredentialsService=(0,k.createDecorator)("credentialsService"),e.ICredentialsMainService=(0,k.createDecorator)("credentialsMainService");class t{constructor(){this.secretVault={}}async getPassword(C,P){return this.secretVault[C]?.[P]??null}async setPassword(C,P,D){this.secretVault[C]=this.secretVault[C]??{},this.secretVault[C][P]=D}async deletePassword(C,P){return this.secretVault[C]?.[P]?(delete this.secretVault[C][P],Object.keys(this.secretVault[C]).length===0&&delete this.secretVault[C],!0):!1}async findPassword(C){return JSON.stringify(this.secretVault[C])??null}async findCredentials(C){const P=[];for(const D of Object.keys(this.secretVault[C]||{}))P.push({account:D,password:this.secretVault[C][D]});return P}async clear(){this.secretVault={}}}e.InMemoryCredentialsProvider=t}),define(we[181],ye([0,1,6]),function(J,e,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NullDiagnosticsService=e.isRemoteDiagnosticError=e.IDiagnosticsService=e.ID=void 0,e.ID="diagnosticsService",e.IDiagnosticsService=(0,k.createDecorator)(e.ID);function t(C){return!!C.hostName&&!!C.errorMessage}e.isRemoteDiagnosticError=t;class p{async getPerformanceInfo(P,D){return{}}async getSystemInfo(P,D){return{processArgs:"nullProcessArgs",gpuStatus:"nullGpuStatus",screenReader:"nullScreenReader",remoteData:[],os:"nullOs",memory:"nullMemory",vmHint:"nullVmHint"}}async getDiagnostics(P,D){return""}async getWorkspaceFileExtensions(P){return{extensions:[]}}async reportWorkspaceStats(P){}}e.NullDiagnosticsService=p}),define(we[64],ye([0,1,6]),function(J,e,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IDownloadService=void 0,e.IDownloadService=(0,k.createDecorator)("downloadService")}),define(we[182],ye([0,1,6]),function(J,e,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IEncryptionMainService=void 0,e.IEncryptionMainService=(0,k.createDecorator)("encryptionMainService")}),define(we[26],ye([0,1,6]),function(J,e,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.INativeEnvironmentService=e.IEnvironmentService=void 0,e.IEnvironmentService=(0,k.createDecorator)("environmentService"),e.INativeEnvironmentService=(0,k.refineServiceDecorator)(e.IEnvironmentService)}),define(we[19],ye([0,1,11,29,5,16,12,4,156,6]),function(J,e,k,t,p,C,P,D,v,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getPlatformLimits=e.Arch=e.ByteSize=e.FALLBACK_MAX_MEMORY_SIZE_MB=e.MIN_MAX_MEMORY_SIZE_MB=e.whenProviderRegistered=e.etag=e.ETAG_DISABLED=e.FileKind=e.FILES_EXCLUDE_CONFIG=e.FILES_ASSOCIATIONS_CONFIG=e.HotExitConfiguration=e.AutoSaveConfiguration=e.FileOperationResult=e.NotModifiedSinceFileOperationError=e.FileOperationError=e.isParent=e.FileChangesEvent=e.FileChangeType=e.FileOperationEvent=e.FileOperation=e.toFileOperationResult=e.toFileSystemProviderErrorCode=e.markAsFileSystemProviderError=e.ensureFileSystemProviderError=e.createFileSystemProviderError=e.FileSystemProviderError=e.FileSystemProviderErrorCode=e.hasFileAtomicReadCapability=e.hasFileReadStreamCapability=e.hasOpenReadWriteCloseCapability=e.hasFileFolderCopyCapability=e.hasReadWriteCapability=e.FileSystemProviderCapabilities=e.FilePermission=e.FileType=e.isFileOpenForWriteOptions=e.IFileService=void 0,e.IFileService=(0,I.createDecorator)("fileService");function L(q){return q.create===!0}e.isFileOpenForWriteOptions=L;var R;(function(q){q[q.Unknown=0]="Unknown",q[q.File=1]="File",q[q.Directory=2]="Directory",q[q.SymbolicLink=64]="SymbolicLink"})(R=e.FileType||(e.FileType={}));var g;(function(q){q[q.Readonly=1]="Readonly"})(g=e.FilePermission||(e.FilePermission={}));var b;(function(q){q[q.FileReadWrite=2]="FileReadWrite",q[q.FileOpenReadWriteClose=4]="FileOpenReadWriteClose",q[q.FileReadStream=16]="FileReadStream",q[q.FileFolderCopy=8]="FileFolderCopy",q[q.PathCaseSensitive=1024]="PathCaseSensitive",q[q.Readonly=2048]="Readonly",q[q.Trash=4096]="Trash",q[q.FileWriteUnlock=8192]="FileWriteUnlock",q[q.FileAtomicRead=16384]="FileAtomicRead"})(b=e.FileSystemProviderCapabilities||(e.FileSystemProviderCapabilities={}));function c(q){return!!(q.capabilities&2)}e.hasReadWriteCapability=c;function h(q){return!!(q.capabilities&8)}e.hasFileFolderCopyCapability=h;function d(q){return!!(q.capabilities&4)}e.hasOpenReadWriteCloseCapability=d;function E(q){return!!(q.capabilities&16)}e.hasFileReadStreamCapability=E;function w(q){return c(q)?!!(q.capabilities&16384):!1}e.hasFileAtomicReadCapability=w;var f;(function(q){q.FileExists="EntryExists",q.FileNotFound="EntryNotFound",q.FileNotADirectory="EntryNotADirectory",q.FileIsADirectory="EntryIsADirectory",q.FileExceedsMemoryLimit="EntryExceedsMemoryLimit",q.FileTooLarge="EntryTooLarge",q.FileWriteLocked="EntryWriteLocked",q.NoPermissions="NoPermissions",q.Unavailable="Unavailable",q.Unknown="Unknown"})(f=e.FileSystemProviderErrorCode||(e.FileSystemProviderErrorCode={}));class y extends Error{constructor(se,V){super(se);this.code=V}}e.FileSystemProviderError=y;function u(q,se){const V=new y(q.toString(),se);return l(V,se),V}e.createFileSystemProviderError=u;function o(q){return q||u((0,v.localize)(0,null),f.Unknown)}e.ensureFileSystemProviderError=o;function l(q,se){return q.name=se?`${se} (FileSystemError)`:"FileSystemError",q}e.markAsFileSystemProviderError=l;function s(q){if(!q)return f.Unknown;if(q instanceof y)return q.code;const se=/^(.+) \(FileSystemError\)$/.exec(q.name);if(!se)return f.Unknown;switch(se[1]){case f.FileExists:return f.FileExists;case f.FileIsADirectory:return f.FileIsADirectory;case f.FileNotADirectory:return f.FileNotADirectory;case f.FileNotFound:return f.FileNotFound;case f.FileExceedsMemoryLimit:return f.FileExceedsMemoryLimit;case f.FileTooLarge:return f.FileTooLarge;case f.FileWriteLocked:return f.FileWriteLocked;case f.NoPermissions:return f.NoPermissions;case f.Unavailable:return f.Unavailable}return f.Unknown}e.toFileSystemProviderErrorCode=s;function n(q){if(q instanceof _)return q.fileOperationResult;switch(s(q)){case f.FileNotFound:return 1;case f.FileIsADirectory:return 0;case f.FileNotADirectory:return 10;case f.FileWriteLocked:return 5;case f.NoPermissions:return 6;case f.FileExists:return 4;case f.FileExceedsMemoryLimit:return 9;case f.FileTooLarge:return 7;default:return 11}}e.toFileOperationResult=n;var i;(function(q){q[q.CREATE=0]="CREATE",q[q.DELETE=1]="DELETE",q[q.MOVE=2]="MOVE",q[q.COPY=3]="COPY",q[q.WRITE=4]="WRITE"})(i=e.FileOperation||(e.FileOperation={}));class r{constructor(se,V,K){this.resource=se,this.operation=V,this.target=K}isOperation(se){return this.operation===se}}e.FileOperationEvent=r;var a;(function(q){q[q.UPDATED=0]="UPDATED",q[q.ADDED=1]="ADDED",q[q.DELETED=2]="DELETED"})(a=e.FileChangeType||(e.FileChangeType={}));class m{constructor(se,V){this.added=void 0,this.updated=void 0,this.deleted=void 0,this.rawChanges=[],this.rawAdded=[],this.rawUpdated=[],this.rawDeleted=[],this.rawChanges=se;const K=new Map;for(const te of se){const re=K.get(te.type);switch(re?re.push([te.resource,te]):K.set(te.type,[[te.resource,te]]),te.type){case 1:this.rawAdded.push(te.resource);break;case 0:this.rawUpdated.push(te.resource);break;case 2:this.rawDeleted.push(te.resource);break}}for(const[te,re]of K)switch(te){case 1:this.added=t.TernarySearchTree.forUris(()=>V),this.added.fill(re);break;case 0:this.updated=t.TernarySearchTree.forUris(()=>V),this.updated.fill(re);break;case 2:this.deleted=t.TernarySearchTree.forUris(()=>V),this.deleted.fill(re);break}}contains(se,...V){return this.doContains(se,{includeChildren:!1},...V)}affects(se,...V){return this.doContains(se,{includeChildren:!0},...V)}doContains(se,V,...K){if(!se)return!1;const te=K.length>0;return!!((!te||K.includes(1))&&(this.added?.get(se)||V.includeChildren&&this.added?.findSuperstr(se))||(!te||K.includes(0))&&(this.updated?.get(se)||V.includeChildren&&this.updated?.findSuperstr(se))||(!te||K.includes(2))&&(this.deleted?.findSubstr(se)||V.includeChildren&&this.deleted?.findSuperstr(se)))}gotAdded(){return!!this.added}gotDeleted(){return!!this.deleted}gotUpdated(){return!!this.updated}}e.FileChangesEvent=m;function S(q,se,V){return!q||!se||q===se||se.length>q.length?!1:(se.charAt(se.length-1)!==p.sep&&(se+=p.sep),V?(0,C.startsWithIgnoreCase)(q,se):q.indexOf(se)===0)}e.isParent=S;class _ extends k.ErrorNoTelemetry{constructor(se,V,K){super(se);this.fileOperationResult=V,this.options=K}}e.FileOperationError=_;class F extends _{constructor(se,V,K){super(se,2,K);this.stat=V}}e.NotModifiedSinceFileOperationError=F;var B;(function(q){q[q.FILE_IS_DIRECTORY=0]="FILE_IS_DIRECTORY",q[q.FILE_NOT_FOUND=1]="FILE_NOT_FOUND",q[q.FILE_NOT_MODIFIED_SINCE=2]="FILE_NOT_MODIFIED_SINCE",q[q.FILE_MODIFIED_SINCE=3]="FILE_MODIFIED_SINCE",q[q.FILE_MOVE_CONFLICT=4]="FILE_MOVE_CONFLICT",q[q.FILE_WRITE_LOCKED=5]="FILE_WRITE_LOCKED",q[q.FILE_PERMISSION_DENIED=6]="FILE_PERMISSION_DENIED",q[q.FILE_TOO_LARGE=7]="FILE_TOO_LARGE",q[q.FILE_INVALID_PATH=8]="FILE_INVALID_PATH",q[q.FILE_EXCEEDS_MEMORY_LIMIT=9]="FILE_EXCEEDS_MEMORY_LIMIT",q[q.FILE_NOT_DIRECTORY=10]="FILE_NOT_DIRECTORY",q[q.FILE_OTHER_ERROR=11]="FILE_OTHER_ERROR"})(B=e.FileOperationResult||(e.FileOperationResult={})),e.AutoSaveConfiguration={OFF:"off",AFTER_DELAY:"afterDelay",ON_FOCUS_CHANGE:"onFocusChange",ON_WINDOW_CHANGE:"onWindowChange"},e.HotExitConfiguration={OFF:"off",ON_EXIT:"onExit",ON_EXIT_AND_WINDOW_CLOSE:"onExitAndWindowClose"},e.FILES_ASSOCIATIONS_CONFIG="files.associations",e.FILES_EXCLUDE_CONFIG="files.exclude";var A;(function(q){q[q.FILE=0]="FILE",q[q.FOLDER=1]="FOLDER",q[q.ROOT_FOLDER=2]="ROOT_FOLDER"})(A=e.FileKind||(e.FileKind={})),e.ETAG_DISABLED="";function T(q){if(!(typeof q.size!="number"||typeof q.mtime!="number"))return q.mtime.toString(29)+q.size.toString(31)}e.etag=T;async function U(q,se){if(!se.hasProvider(D.URI.from({scheme:q.scheme})))return new Promise(V=>{const K=se.onDidChangeFileSystemProviderRegistrations(te=>{te.scheme===q.scheme&&te.added&&(K.dispose(),V())})})}e.whenProviderRegistered=U,e.MIN_MAX_MEMORY_SIZE_MB=2048,e.FALLBACK_MAX_MEMORY_SIZE_MB=4096;class N{static formatSize(se){return(0,P.isNumber)(se)||(se=0),se<N.KB?(0,v.localize)(1,null,se.toFixed(0)):se<N.MB?(0,v.localize)(2,null,(se/N.KB).toFixed(2)):se<N.GB?(0,v.localize)(3,null,(se/N.MB).toFixed(2)):se<N.TB?(0,v.localize)(4,null,(se/N.GB).toFixed(2)):(0,v.localize)(5,null,(se/N.TB).toFixed(2))}}e.ByteSize=N,N.KB=1024,N.MB=N.KB*N.KB,N.GB=N.MB*N.KB,N.TB=N.GB*N.KB;var W;(function(q){q[q.IA32=0]="IA32",q[q.OTHER=1]="OTHER"})(W=e.Arch||(e.Arch={}));function ie(q){return{maxFileSize:q===0?300*N.MB:16*N.GB,maxHeapSize:q===0?700*N.MB:2*700*N.MB}}e.getPlatformLimits=ie}),define(we[183],ye([0,1,15,36,11,7,2,42,4,23,19]),function(J,e,k,t,p,C,P,D,v,I,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.DiskFileSystemProviderClient=e.LOCAL_FILE_SYSTEM_CHANNEL_NAME=void 0,e.LOCAL_FILE_SYSTEM_CHANNEL_NAME="localFilesystem";class R extends P.Disposable{constructor(b,c){super();this.channel=b,this.extraCapabilities=c,this.onDidChangeCapabilities=C.Event.None,this._onDidChange=this._register(new C.Emitter),this.onDidChangeFile=this._onDidChange.event,this._onDidWatchError=this._register(new C.Emitter),this.onDidWatchError=this._onDidWatchError.event,this.sessionId=(0,I.generateUuid)(),this.registerFileChangeListeners()}get capabilities(){return this._capabilities||(this._capabilities=2|4|16|8|8192|16384,this.extraCapabilities.pathCaseSensitive&&(this._capabilities|=1024),this.extraCapabilities.trash&&(this._capabilities|=4096)),this._capabilities}stat(b){return this.channel.call("stat",[b])}readdir(b){return this.channel.call("readdir",[b])}async readFile(b,c){const{buffer:h}=await this.channel.call("readFile",[b,c]);return h}readFileStream(b,c,h){const d=(0,D.newWriteableStream)(w=>k.VSBuffer.concat(w.map(f=>k.VSBuffer.wrap(f))).buffer),E=this.channel.listen("readFileStream",[b,c])(w=>{if(w instanceof k.VSBuffer)d.write(w.buffer);else{if(w==="end")d.end();else{let f=w;f instanceof Error||(f=(0,L.createFileSystemProviderError)((0,t.toErrorMessage)(f),L.FileSystemProviderErrorCode.Unknown)),d.error(f),d.end()}E.dispose()}});return h.onCancellationRequested(()=>{d.error((0,p.canceled)()),d.end(),E.dispose()}),d}writeFile(b,c,h){return this.channel.call("writeFile",[b,k.VSBuffer.wrap(c),h])}open(b,c){return this.channel.call("open",[b,c])}close(b){return this.channel.call("close",[b])}async read(b,c,h,d,E){const[w,f]=await this.channel.call("read",[b,c,E]);return h.set(w.buffer.slice(0,f),d),f}write(b,c,h,d,E){return this.channel.call("write",[b,c,k.VSBuffer.wrap(h),d,E])}mkdir(b){return this.channel.call("mkdir",[b])}delete(b,c){return this.channel.call("delete",[b,c])}rename(b,c,h){return this.channel.call("rename",[b,c,h])}copy(b,c,h){return this.channel.call("copy",[b,c,h])}registerFileChangeListeners(){this._register(this.channel.listen("fileChange",[this.sessionId])(b=>{if(Array.isArray(b)){const c=b;this._onDidChange.fire(c.map(h=>({resource:v.URI.revive(h.resource),type:h.type})))}else{const c=b;this._onDidWatchError.fire(c)}}))}watch(b,c){const h=(0,I.generateUuid)();return this.channel.call("watch",[this.sessionId,h,b,c]),(0,P.toDisposable)(()=>this.channel.call("unwatch",[this.sessionId,h]))}}e.DiskFileSystemProviderClient=R}),define(we[91],ye([0,1,15,11,157,19]),function(J,e,k,t,p,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.readFileIntoStream=void 0;async function P(L,R,g,b,c,h){let d;try{await D(L,R,g,b,c,h)}catch(E){d=E}finally{d&&c.errorTransformer&&(d=c.errorTransformer(d)),typeof d!="undefined"&&g.error(d),g.end()}}e.readFileIntoStream=P;async function D(L,R,g,b,c,h){v(h);const d=await L.open(R,{create:!1});try{v(h);let E=0,w=0,f=c&&typeof c.length=="number"?c.length:void 0,y=k.VSBuffer.alloc(Math.min(c.bufferSize,typeof f=="number"?f:c.bufferSize)),u=c&&typeof c.position=="number"?c.position:0,o=0;do w=await L.read(d,u,y.buffer,o,y.byteLength-o),u+=w,o+=w,E+=w,typeof f=="number"&&(f-=w),o===y.byteLength&&(await g.write(b(y)),y=k.VSBuffer.alloc(Math.min(c.bufferSize,typeof f=="number"?f:c.bufferSize)),o=0);while(w>0&&(typeof f!="number"||f>0)&&v(h)&&I(E,c));if(o>0){let l=o;typeof f=="number"&&(l=Math.min(o,f)),g.write(b(y.slice(0,l)))}}catch(E){throw(0,C.ensureFileSystemProviderError)(E)}finally{await L.close(d)}}function v(L){if(L.isCancellationRequested)throw(0,t.canceled)();return!0}function I(L,R){if(R?.limits){if(typeof R.limits.memory=="number"&&L>R.limits.memory)throw(0,C.createFileSystemProviderError)((0,p.localize)(0,null),C.FileSystemProviderErrorCode.FileExceedsMemoryLimit);if(typeof R.limits.size=="number"&&L>R.limits.size)throw(0,C.createFileSystemProviderError)((0,p.localize)(1,null),C.FileSystemProviderErrorCode.FileTooLarge)}return!0}}),define(we[54],ye([0,1,2,3,4,19]),function(J,e,k,t,p,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.coalesceEvents=e.toFileChanges=e.AbstractUniversalWatcherClient=e.AbstractNonRecursiveWatcherClient=e.AbstractWatcherClient=e.isRecursiveWatchRequest=void 0;function P(b){return b.recursive===!0}e.isRecursiveWatchRequest=P;class D extends k.Disposable{constructor(c,h,d,E){super();this.onFileChanges=c,this.onLogMessage=h,this.verboseLogging=d,this.options=E,this.watcherDisposables=this._register(new k.MutableDisposable),this.requests=void 0,this.restartCounter=0}init(){const c=new k.DisposableStore;this.watcherDisposables.value=c,this.watcher=this.createWatcher(c),this.watcher.setVerboseLogging(this.verboseLogging),c.add(this.watcher.onDidChangeFile(h=>this.onFileChanges(h))),c.add(this.watcher.onDidLogMessage(h=>this.onLogMessage(h))),c.add(this.watcher.onDidError(h=>this.onError(h)))}onError(c){this.options.restartOnError?this.restartCounter<D.MAX_RESTARTS&&this.requests?(this.error(`restarting watcher after error: ${c}`),this.restart(this.requests)):this.error(`gave up attempting to restart watcher after error: ${c}`):this.error(c)}restart(c){this.restartCounter++,this.init(),this.watch(c)}async watch(c){this.requests=c,await this.watcher?.watch(c)}async setVerboseLogging(c){this.verboseLogging=c,await this.watcher?.setVerboseLogging(c)}error(c){this.onLogMessage({type:"error",message:`[File Watcher (${this.options.type})] ${c}`})}dispose(){return this.watcher=void 0,super.dispose()}}e.AbstractWatcherClient=D,D.MAX_RESTARTS=5;class v extends D{constructor(c,h,d){super(c,h,d,{type:"node.js",restartOnError:!1})}}e.AbstractNonRecursiveWatcherClient=v;class I extends D{constructor(c,h,d){super(c,h,d,{type:"universal",restartOnError:!0})}}e.AbstractUniversalWatcherClient=I;function L(b){return b.map(c=>({type:c.type,resource:p.URI.file(c.path)}))}e.toFileChanges=L;function R(b){const c=new g;for(const h of b)c.processEvent(h);return c.coalesce()}e.coalesceEvents=R;class g{constructor(){this.coalesced=new Set,this.mapPathToChange=new Map}toKey(c){return t.isLinux?c.path:c.path.toLowerCase()}processEvent(c){const h=this.mapPathToChange.get(this.toKey(c));let d=!1;if(h){const E=h.type,w=c.type;h.path!==c.path&&(c.type===2||c.type===1)?d=!0:E===1&&w===2?(this.mapPathToChange.delete(this.toKey(c)),this.coalesced.delete(h)):E===2&&w===1?h.type=0:E===1&&w===0||(h.type=w)}else d=!0;d&&(this.coalesced.add(c),this.mapPathToChange.set(this.toKey(c),c))}coalesce(){const c=[],h=[];return Array.from(this.coalesced).filter(d=>d.type!==2?(c.push(d),!1):!0).sort((d,E)=>d.path.length-E.path.length).filter(d=>h.some(E=>(0,C.isParent)(d.path,E,!t.isLinux))?!1:(h.push(d.path),!0)).concat(c)}}}),define(we[184],ye([0,1,27,13,20,34,78,2,75,5,3,132,18,54]),function(J,e,k,t,p,C,P,D,v,I,L,R,g,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.watchFileContents=e.NodeJSFileWatcherLibrary=void 0;class c extends D.Disposable{constructor(E,w,f,y){super();this.request=E,this.onDidFilesChange=w,this.onLogMessage=f,this.verboseLogging=y,this.throttledFileChangesWorker=new t.ThrottledWorker({maxWorkChunkSize:100,throttleDelay:200,maxBufferedWork:1e4},u=>this.onDidFilesChange(u)),this.fileChangesDelayer=this._register(new t.ThrottledDelayer(c.FILE_CHANGES_HANDLER_DELAY)),this.fileChangesBuffer=[],this.excludes=this.request.excludes.map(u=>(0,P.parse)(u)),this.cts=new p.CancellationTokenSource,this.ready=this.watch()}async watch(){try{const E=await this.normalizePath(this.request);if(this.cts.token.isCancellationRequested)return;const w=await g.Promises.stat(E);this._register(await this.doWatch(E,w.isDirectory()))}catch(E){E.code!=="ENOENT"?this.error(E):this.trace(E)}}async normalizePath(E){let w=E.path;try{w=await g.Promises.realpath(E.path),E.path===w&&(w=await(0,R.realcase)(E.path)??E.path),E.path!==w&&this.warn(`correcting a path to watch that seems to be a symbolic link or wrong casing (original: ${E.path}, real: ${w})`)}catch{}return w}async doWatch(E,w){if(L.isMacintosh&&(0,C.isEqualOrParent)(E,"/Volumes/",!0))return this.error(`Refusing to watch ${E} for changes using fs.watch() for possibly being a network share where watching is unreliable and unstable.`),D.Disposable.None;const f=new p.CancellationTokenSource(this.cts.token);let y=new D.DisposableStore;try{const u=(0,I.basename)(E),o=(0,k.watch)(E);y.add((0,D.toDisposable)(()=>{o.removeAllListeners(),o.close()})),this.trace(`Started watching: '${E}'`);const l=new Set;if(w)try{for(const n of await g.Promises.readdir(E))l.add(n)}catch(n){this.error(n)}const s=new Map;y.add((0,D.toDisposable)(()=>{for(const[,n]of s)n.dispose();s.clear()})),o.on("error",(n,i)=>{this.error(`Failed to watch ${E} for changes using fs.watch() (${n}, ${i})`),this.dispose()}),o.on("change",(n,i)=>{if(f.token.isCancellationRequested)return;this.trace(`[raw] ["${n}"] ${i}`);let r="";if(i&&(r=i.toString(),L.isMacintosh&&(r=(0,v.normalizeNFC)(r))),!(!r||n!=="change"&&n!=="rename"))if(w)if(n==="rename"){s.get(r)?.dispose();const a=setTimeout(async()=>{if(s.delete(r),r===u&&!await g.Promises.exists(E)){this.warn("Watcher shutdown because watched path got deleted"),this.dispose();return}const m=await this.existsChildStrictCase((0,I.join)(E,r));if(f.token.isCancellationRequested)return;let S;m?l.has(r)?S=0:(S=1,l.add(r)):(l.delete(r),S=2),this.onFileChange({path:(0,I.join)(this.request.path,r),type:S})},c.FILE_DELETE_HANDLER_DELAY);s.set(r,(0,D.toDisposable)(()=>clearTimeout(a)))}else{let a;l.has(r)?a=0:(a=1,l.add(r)),this.onFileChange({path:(0,I.join)(this.request.path,r),type:a})}else if(n==="rename"||r!==u){const a=setTimeout(async()=>{const m=await g.Promises.exists(E);f.token.isCancellationRequested||(m?(this.onFileChange({path:this.request.path,type:0},!0),y.add(await this.doWatch(E,!1))):(await this.onFileChange({path:this.request.path,type:2},!0),this.dispose()))},c.FILE_DELETE_HANDLER_DELAY);y.clear(),y.add((0,D.toDisposable)(()=>clearTimeout(a)))}else this.onFileChange({path:this.request.path,type:0},!0)})}catch(u){await g.Promises.exists(E)&&!f.token.isCancellationRequested&&this.error(`Failed to watch ${E} for changes using fs.watch() (${u.toString()})`)}return(0,D.toDisposable)(()=>{f.dispose(!0),y.dispose()})}async onFileChange(E,w=!1){if(!this.cts.token.isCancellationRequested){this.verboseLogging&&this.trace(`${E.type===1?"[ADDED]":E.type===2?"[DELETED]":"[CHANGED]"} ${E.path}`),!w&&this.excludes.some(f=>f(E.path))?this.verboseLogging&&this.trace(` >> ignored ${E.path}`):this.fileChangesBuffer.push(E);try{await this.fileChangesDelayer.trigger(async()=>{const f=this.fileChangesBuffer;this.fileChangesBuffer=[];const y=(0,b.coalesceEvents)(f);if(y.length>0){if(this.verboseLogging)for(const o of y)this.trace(`>> normalized ${o.type===1?"[ADDED]":o.type===2?"[DELETED]":"[CHANGED]"} ${o.path}`);this.throttledFileChangesWorker.work(y)?this.throttledFileChangesWorker.pending>0&&this.trace(`started throttling events due to large amount of file change events at once (pending: ${this.throttledFileChangesWorker.pending}, most recent change: ${y[0].path}). Use 'files.watcherExclude' setting to exclude folders with lots of changing files (e.g. compilation output).`):this.warn(`started ignoring events due to too many file change events at once (incoming: ${y.length}, most recent change: ${y[0].path}). Use 'files.watcherExclude' setting to exclude folders with lots of changing files (e.g. compilation output).`)}})}catch{}}}async existsChildStrictCase(E){if(L.isLinux)return g.Promises.exists(E);try{const w=(0,I.basename)(E);return(await g.Promises.readdir((0,I.dirname)(E))).some(y=>y===w)}catch(w){return this.trace(w),!1}}setVerboseLogging(E){this.verboseLogging=E}error(E){this.cts.token.isCancellationRequested||this.onLogMessage?.({type:"error",message:`[File Watcher (node.js)] ${E}`})}warn(E){this.cts.token.isCancellationRequested||this.onLogMessage?.({type:"warn",message:`[File Watcher (node.js)] ${E}`})}trace(E){!this.cts.token.isCancellationRequested&&this.verboseLogging&&this.onLogMessage?.({type:"trace",message:`[File Watcher (node.js)] ${E}`})}dispose(){this.trace(`stopping file watcher on ${this.request.path}`),this.cts.dispose(!0),super.dispose()}}e.NodeJSFileWatcherLibrary=c,c.FILE_DELETE_HANDLER_DELAY=100,c.FILE_CHANGES_HANDLER_DELAY=50;async function h(d,E,w,f,y=512){const u=await g.Promises.open(d,"r"),o=Buffer.allocUnsafe(y),l=new p.CancellationTokenSource(f);let s,n=!1;const i={path:d,excludes:[],recursive:!1},r=new c(i,a=>{(async()=>{for(const{type:m}of a)if(m===0){if(n)return;n=!0;try{for(;!l.token.isCancellationRequested;){const{bytesRead:S}=await g.Promises.read(u,o,0,y,null);if(!S||l.token.isCancellationRequested)break;E(o.slice(0,S))}}catch(S){s=new Error(S),l.dispose(!0)}finally{n=!1}}})()});return await r.ready,w(),new Promise((a,m)=>{l.token.onCancellationRequested(async()=>{r.dispose();try{await g.Promises.close(u)}catch(S){s=new Error(S)}s?m(s):a()})})}e.watchFileContents=h}),define(we[185],ye([0,1,17,7,2,3,184]),function(J,e,k,t,p,C,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NodeJSWatcher=void 0;class D extends p.Disposable{constructor(){super(...arguments);this._onDidChangeFile=this._register(new t.Emitter),this.onDidChangeFile=this._onDidChangeFile.event,this._onDidLogMessage=this._register(new t.Emitter),this.onDidLogMessage=this._onDidLogMessage.event,this.onDidError=t.Event.None,this.watchers=new Map,this.verboseLogging=!1}async watch(I){const L=this.normalizeRequests(I),R=L.filter(b=>{const c=this.watchers.get(b.path);return c?!(0,k.equals)(c.request.excludes,b.excludes):!0}),g=Array.from(this.watchers.values()).filter(({request:b})=>!L.find(c=>c.path===b.path&&(0,k.equals)(c.excludes,b.excludes))).map(({request:b})=>b.path);R.length&&this.trace(`Request to start watching: ${R.map(b=>`${b.path} (excludes: ${b.excludes.length>0?b.excludes:"<none>"})`).join(",")}`),g.length&&this.trace(`Request to stop watching: ${g.join(",")}`);for(const b of g)this.stopWatching(b);for(const b of R)this.startWatching(b)}startWatching(I){const L=new P.NodeJSFileWatcherLibrary(I,g=>this._onDidChangeFile.fire(g),g=>this._onDidLogMessage.fire(g),this.verboseLogging),R={request:I,instance:L};this.watchers.set(I.path,R)}async stop(){for(const[I]of this.watchers)this.stopWatching(I);this.watchers.clear()}stopWatching(I){const L=this.watchers.get(I);L&&(this.watchers.delete(I),L.instance.dispose())}normalizeRequests(I){const L=new Map;for(const R of I){const g=C.isLinux?R.path:R.path.toLowerCase();L.set(g,R)}return Array.from(L.values())}async setVerboseLogging(I){this.verboseLogging=I;for(const[,L]of this.watchers)L.instance.setVerboseLogging(I)}trace(I){this.verboseLogging&&this._onDidLogMessage.fire({type:"trace",message:this.toMessage(I)})}toMessage(I,L){return L?`[File Watcher (node.js)] ${I} (path: ${L.request.path})`:`[File Watcher (node.js)] ${I}`}}e.NodeJSWatcher=D}),define(we[186],ye([0,1,54,185]),function(J,e,k,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NodeJSWatcherClient=void 0;class p extends k.AbstractNonRecursiveWatcherClient{constructor(P,D,v){super(P,D,v);this.init()}createWatcher(){return new t.NodeJSWatcher}}e.NodeJSWatcherClient=p}),define(we[187],ye([0,1,8,39,87,54]),function(J,e,k,t,p,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.UniversalWatcherClient=void 0;class P extends C.AbstractUniversalWatcherClient{constructor(v,I,L){super(v,I,L);this.init()}createWatcher(v){const I=v.add(new p.Client(k.FileAccess.asFileUri("bootstrap-fork",J).fsPath,{serverName:"File Watcher",args:["--type=fileWatcher"],env:{VSCODE_AMD_ENTRYPOINT:"vs/platform/files/node/watcher/watcherMain",VSCODE_PIPE_LOGGING:"true",VSCODE_VERBOSE_LOGGING:"true"}}));return v.add(I.onDidProcessExit(({code:L,signal:R})=>this.onError(`terminated by itself with code ${L}, signal: ${R}`))),t.ProxyChannel.toService((0,t.getNextTickChannel)(I.getChannel("watcher")))}}e.UniversalWatcherClient=P}),define(we[65],ye([0,1]),function(J,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ServiceCollection=void 0;class k{constructor(...p){this._entries=new Map;for(let[C,P]of p)this.set(C,P)}set(p,C){const P=this._entries.get(p);return this._entries.set(p,C),P}has(p){return this._entries.has(p)}get(p){return this._entries.get(p)}}e.ServiceCollection=k}),define(we[92],ye([0,1,13,11,53,180,6,65]),function(J,e,k,t,p,C,P,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Trace=e.InstantiationService=void 0;const v=!1;class I extends Error{constructor(c){super("cyclic dependency between services");this.message=c.findCycleSlow()??`UNABLE to detect cycle, dumping graph: 
${c.toString()}`}}class L{constructor(c=new D.ServiceCollection,h=!1,d){this._activeInstantiations=new Set,this._services=c,this._strict=h,this._parent=d,this._services.set(P.IInstantiationService,this)}createChild(c){return new L(c,this._strict,this)}invokeFunction(c,...h){let d=g.traceInvocation(c),E=!1;try{return c({get:f=>{if(E)throw(0,t.illegalState)("service accessor is only valid during the invocation of its target method");const y=this._getOrCreateServiceInstance(f,d);if(!y)throw new Error(`[invokeFunction] unknown service '${f}'`);return y}},...h)}finally{E=!0,d.stop()}}createInstance(c,...h){let d,E;return c instanceof p.SyncDescriptor?(d=g.traceCreation(c.ctor),E=this._createInstance(c.ctor,c.staticArguments.concat(h),d)):(d=g.traceCreation(c),E=this._createInstance(c,h,d)),d.stop(),E}_createInstance(c,h=[],d){let E=P._util.getServiceDependencies(c).sort((y,u)=>y.index-u.index),w=[];for(const y of E){let u=this._getOrCreateServiceInstance(y.id,d);u||this._throwIfStrict(`[createInstance] ${c.name} depends on UNKNOWN service ${y.id}.`,!1),w.push(u)}let f=E.length>0?E[0].index:h.length;if(h.length!==f){console.warn(`[createInstance] First service dependency of ${c.name} at position ${f+1} conflicts with ${h.length} static arguments`);let y=f-h.length;y>0?h=h.concat(new Array(y)):h=h.slice(0,f)}return new c(...[...h,...w])}_setServiceInstance(c,h){if(this._services.get(c)instanceof p.SyncDescriptor)this._services.set(c,h);else if(this._parent)this._parent._setServiceInstance(c,h);else throw new Error("illegalState - setting UNKNOWN service instance")}_getServiceInstanceOrDescriptor(c){let h=this._services.get(c);return!h&&this._parent?this._parent._getServiceInstanceOrDescriptor(c):h}_getOrCreateServiceInstance(c,h){let d=this._getServiceInstanceOrDescriptor(c);return d instanceof p.SyncDescriptor?this._safeCreateAndCacheServiceInstance(c,d,h.branch(c,!0)):(h.branch(c,!1),d)}_safeCreateAndCacheServiceInstance(c,h,d){if(this._activeInstantiations.has(c))throw new Error(`illegal state - RECURSIVELY instantiating service '${c}'`);this._activeInstantiations.add(c);try{return this._createAndCacheServiceInstance(c,h,d)}finally{this._activeInstantiations.delete(c)}}_createAndCacheServiceInstance(c,h,d){const E=new C.Graph(y=>y.id.toString());let w=0;const f=[{id:c,desc:h,_trace:d}];for(;f.length;){const y=f.pop();if(E.lookupOrInsertNode(y),w++>1e3)throw new I(E);for(let u of P._util.getServiceDependencies(y.desc.ctor)){let o=this._getServiceInstanceOrDescriptor(u.id);if(o||this._throwIfStrict(`[createInstance] ${c} depends on ${u.id} which is NOT registered.`,!0),o instanceof p.SyncDescriptor){const l={id:u.id,desc:o,_trace:y._trace.branch(u.id,!0)};E.insertEdge(y,l),f.push(l)}}}for(;;){const y=E.roots();if(y.length===0){if(!E.isEmpty())throw new I(E);break}for(const{data:u}of y){if(this._getServiceInstanceOrDescriptor(u.id)instanceof p.SyncDescriptor){const l=this._createServiceInstanceWithOwner(u.id,u.desc.ctor,u.desc.staticArguments,u.desc.supportsDelayedInstantiation,u._trace);this._setServiceInstance(u.id,l)}E.removeNode(u)}}return this._getServiceInstanceOrDescriptor(c)}_createServiceInstanceWithOwner(c,h,d=[],E,w){if(this._services.get(c)instanceof p.SyncDescriptor)return this._createServiceInstance(h,d,E,w);if(this._parent)return this._parent._createServiceInstanceWithOwner(c,h,d,E,w);throw new Error(`illegalState - creating UNKNOWN service instance ${h.name}`)}_createServiceInstance(c,h=[],d,E){if(d){const w=new k.IdleValue(()=>this._createInstance(c,h,E));return new Proxy(Object.create(null),{get(f,y){if(y in f)return f[y];let u=w.value,o=u[y];return typeof o!="function"||(o=o.bind(u),f[y]=o),o},set(f,y,u){return w.value[y]=u,!0}})}else return this._createInstance(c,h,E)}_throwIfStrict(c,h){if(h&&console.warn(h),this._strict)throw new Error(c)}}e.InstantiationService=L;var R;(function(b){b[b.Creation=0]="Creation",b[b.Invocation=1]="Invocation",b[b.Branch=2]="Branch"})(R||(R={}));class g{constructor(c,h){this.type=c,this.name=h,this._start=Date.now(),this._dep=[]}static traceInvocation(c){return v?new g(1,c.name||c.toString().substring(0,42).replace(/\n/g,"")):g._None}static traceCreation(c){return v?new g(0,c.name):g._None}branch(c,h){let d=new g(2,c.toString());return this._dep.push([c,h,d]),d}stop(){let c=Date.now()-this._start;g._totals+=c;let h=!1;function d(w,f){let y=[],u=new Array(w+1).join("	");for(const[o,l,s]of f._dep)if(l&&s){h=!0,y.push(`${u}CREATES -> ${o}`);let n=d(w+1,s);n&&y.push(n)}else y.push(`${u}uses -> ${o}`);return y.join(`
`)}let E=[`${this.type===0?"CREATE":"CALL"} ${this.name}`,`${d(1,this)}`,`DONE, took ${c.toFixed(2)}ms (grand total ${g._totals.toFixed(2)}ms)`];(c>2||h)&&console.log(E.join(`
`))}}e.Trace=g,g._None=new class extends g{constructor(){super(-1,null)}stop(){}branch(){return this}},g._totals=0}),define(we[188],ye([0,1,6]),function(J,e,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ILabelService=void 0,e.ILabelService=(0,k.createDecorator)("labelService")}),define(we[66],ye([0,1,6]),function(J,e,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isValidLocalization=e.ILocalizationsService=void 0,e.ILocalizationsService=(0,k.createDecorator)("localizationsService");function t(p){if(typeof p.languageId!="string"||!Array.isArray(p.translations)||p.translations.length===0)return!1;for(const C of p.translations)if(typeof C.id!="string"||typeof C.path!="string")return!1;return!(p.languageName&&typeof p.languageName!="string"||p.localizedLanguageName&&typeof p.localizedLanguageName!="string")}e.isValidLocalization=t}),define(we[14],ye([0,1,36,7,2,3,6]),function(J,e,k,t,p,C,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LogLevelToString=e.parseLogLevel=e.getLogLevel=e.NullLogService=e.AbstractLoggerService=e.LogService=e.MultiplexLogService=e.AdapterLogger=e.ConsoleLogger=e.ConsoleMainLogger=e.AbstractMessageLogger=e.AbstractLogger=e.format=e.log=e.DEFAULT_LOG_LEVEL=e.LogLevel=e.ILoggerService=e.ILogService=void 0,e.ILogService=(0,P.createDecorator)("logService"),e.ILoggerService=(0,P.createDecorator)("loggerService");function D(){return new Date().toISOString()}var v;(function(l){l[l.Trace=0]="Trace",l[l.Debug=1]="Debug",l[l.Info=2]="Info",l[l.Warning=3]="Warning",l[l.Error=4]="Error",l[l.Critical=5]="Critical",l[l.Off=6]="Off"})(v=e.LogLevel||(e.LogLevel={})),e.DEFAULT_LOG_LEVEL=v.Info;function I(l,s,n){switch(s){case v.Trace:l.trace(n);break;case v.Debug:l.debug(n);break;case v.Info:l.info(n);break;case v.Warning:l.warn(n);break;case v.Error:l.error(n);break;case v.Critical:l.critical(n);break;default:throw new Error("Invalid log level")}}e.log=I;function L(l){let s="";for(let n=0;n<l.length;n++){let i=l[n];if(typeof i=="object")try{i=JSON.stringify(i)}catch{}s+=(n>0?" ":"")+i}return s}e.format=L;class R extends p.Disposable{constructor(){super(...arguments);this.level=e.DEFAULT_LOG_LEVEL,this._onDidChangeLogLevel=this._register(new t.Emitter),this.onDidChangeLogLevel=this._onDidChangeLogLevel.event}setLevel(s){this.level!==s&&(this.level=s,this._onDidChangeLogLevel.fire(this.level))}getLevel(){return this.level}}e.AbstractLogger=R;class g extends R{constructor(s){super();this.logAlways=s}checkLogLevel(s){return this.logAlways||this.getLevel()<=s}trace(s,...n){this.checkLogLevel(v.Trace)&&this.log(v.Trace,L([s,...n]))}debug(s,...n){this.checkLogLevel(v.Debug)&&this.log(v.Debug,L([s,...n]))}info(s,...n){this.checkLogLevel(v.Info)&&this.log(v.Info,L([s,...n]))}warn(s,...n){this.checkLogLevel(v.Warning)&&this.log(v.Warning,L([s,...n]))}error(s,...n){if(this.checkLogLevel(v.Error))if(s instanceof Error){const i=Array.prototype.slice.call(arguments);i[0]=s.stack,this.log(v.Error,L(i))}else this.log(v.Error,L([s,...n]))}critical(s,...n){this.checkLogLevel(v.Critical)&&this.log(v.Critical,L([s,...n]))}flush(){}}e.AbstractMessageLogger=g;class b extends R{constructor(s=e.DEFAULT_LOG_LEVEL){super();this.setLevel(s),this.useColors=!C.isWindows}trace(s,...n){this.getLevel()<=v.Trace&&(this.useColors?console.log(`[90m[main ${D()}][0m`,s,...n):console.log(`[main ${D()}]`,s,...n))}debug(s,...n){this.getLevel()<=v.Debug&&(this.useColors?console.log(`[90m[main ${D()}][0m`,s,...n):console.log(`[main ${D()}]`,s,...n))}info(s,...n){this.getLevel()<=v.Info&&(this.useColors?console.log(`[90m[main ${D()}][0m`,s,...n):console.log(`[main ${D()}]`,s,...n))}warn(s,...n){this.getLevel()<=v.Warning&&(this.useColors?console.warn(`[93m[main ${D()}][0m`,s,...n):console.warn(`[main ${D()}]`,s,...n))}error(s,...n){this.getLevel()<=v.Error&&(this.useColors?console.error(`[91m[main ${D()}][0m`,s,...n):console.error(`[main ${D()}]`,s,...n))}critical(s,...n){this.getLevel()<=v.Critical&&(this.useColors?console.error(`[90m[main ${D()}][0m`,s,...n):console.error(`[main ${D()}]`,s,...n))}dispose(){}flush(){}}e.ConsoleMainLogger=b;class c extends R{constructor(s=e.DEFAULT_LOG_LEVEL){super();this.setLevel(s)}trace(s,...n){this.getLevel()<=v.Trace&&console.log("%cTRACE","color: #888",s,...n)}debug(s,...n){this.getLevel()<=v.Debug&&console.log("%cDEBUG","background: #eee; color: #888",s,...n)}info(s,...n){this.getLevel()<=v.Info&&console.log("%c INFO","color: #33f",s,...n)}warn(s,...n){this.getLevel()<=v.Warning&&console.log("%c WARN","color: #993",s,...n)}error(s,...n){this.getLevel()<=v.Error&&console.log("%c  ERR","color: #f33",s,...n)}critical(s,...n){this.getLevel()<=v.Critical&&console.log("%cCRITI","background: #f33; color: white",s,...n)}dispose(){}flush(){}}e.ConsoleLogger=c;class h extends R{constructor(s,n=e.DEFAULT_LOG_LEVEL){super();this.adapter=s,this.setLevel(n)}trace(s,...n){this.getLevel()<=v.Trace&&this.adapter.log(v.Trace,[this.extractMessage(s),...n])}debug(s,...n){this.getLevel()<=v.Debug&&this.adapter.log(v.Debug,[this.extractMessage(s),...n])}info(s,...n){this.getLevel()<=v.Info&&this.adapter.log(v.Info,[this.extractMessage(s),...n])}warn(s,...n){this.getLevel()<=v.Warning&&this.adapter.log(v.Warning,[this.extractMessage(s),...n])}error(s,...n){this.getLevel()<=v.Error&&this.adapter.log(v.Error,[this.extractMessage(s),...n])}critical(s,...n){this.getLevel()<=v.Critical&&this.adapter.log(v.Critical,[this.extractMessage(s),...n])}extractMessage(s){return typeof s=="string"?s:(0,k.toErrorMessage)(s,this.getLevel()<=v.Trace)}dispose(){}flush(){}}e.AdapterLogger=h;class d extends R{constructor(s){super();this.logServices=s,s.length&&this.setLevel(s[0].getLevel())}setLevel(s){for(const n of this.logServices)n.setLevel(s);super.setLevel(s)}trace(s,...n){for(const i of this.logServices)i.trace(s,...n)}debug(s,...n){for(const i of this.logServices)i.debug(s,...n)}info(s,...n){for(const i of this.logServices)i.info(s,...n)}warn(s,...n){for(const i of this.logServices)i.warn(s,...n)}error(s,...n){for(const i of this.logServices)i.error(s,...n)}critical(s,...n){for(const i of this.logServices)i.critical(s,...n)}flush(){for(const s of this.logServices)s.flush()}dispose(){for(const s of this.logServices)s.dispose()}}e.MultiplexLogService=d;class E extends p.Disposable{constructor(s){super();this.logger=s,this._register(s)}get onDidChangeLogLevel(){return this.logger.onDidChangeLogLevel}setLevel(s){this.logger.setLevel(s)}getLevel(){return this.logger.getLevel()}trace(s,...n){this.logger.trace(s,...n)}debug(s,...n){this.logger.debug(s,...n)}info(s,...n){this.logger.info(s,...n)}warn(s,...n){this.logger.warn(s,...n)}error(s,...n){this.logger.error(s,...n)}critical(s,...n){this.logger.critical(s,...n)}flush(){this.logger.flush()}}e.LogService=E;class w extends p.Disposable{constructor(s,n){super();this.logLevel=s,this.loggers=new Map,this.logLevelChangeableLoggers=[],this._register(n(i=>{this.logLevel=i,this.logLevelChangeableLoggers.forEach(r=>r.setLevel(i))}))}getLogger(s){return this.loggers.get(s.toString())}createLogger(s,n){let i=this.loggers.get(s.toString());return i||(i=this.doCreateLogger(s,n?.always?v.Trace:this.logLevel,n),this.loggers.set(s.toString(),i),n?.always||this.logLevelChangeableLoggers.push(i)),i}dispose(){this.logLevelChangeableLoggers.splice(0,this.logLevelChangeableLoggers.length),this.loggers.forEach(s=>s.dispose()),this.loggers.clear(),super.dispose()}}e.AbstractLoggerService=w;class f{constructor(){this.onDidChangeLogLevel=new t.Emitter().event}setLevel(s){}getLevel(){return v.Info}trace(s,...n){}debug(s,...n){}info(s,...n){}warn(s,...n){}error(s,...n){}critical(s,...n){}dispose(){}flush(){}}e.NullLogService=f;function y(l){if(l.verbose)return v.Trace;if(typeof l.logLevel=="string"){const s=u(l.logLevel.toLowerCase());if(s!==void 0)return s}return e.DEFAULT_LOG_LEVEL}e.getLogLevel=y;function u(l){switch(l){case"trace":return v.Trace;case"debug":return v.Debug;case"info":return v.Info;case"warn":return v.Warning;case"error":return v.Error;case"critical":return v.Critical;case"off":return v.Off}}e.parseLogLevel=u;function o(l){switch(l){case v.Trace:return"trace";case v.Debug:return"debug";case v.Info:return"info";case v.Warning:return"warn";case v.Error:return"error";case v.Critical:return"critical";case v.Off:return"off"}}e.LogLevelToString=o});var Oe=this&&this.__param||function(J,e){return function(k,t){e(k,t,J)}};define(we[189],ye([0,1,38,13,36,7,2,8,5,18,26,14]),function(J,e,k,t,p,C,P,D,v,I,L,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionsLifecycle=void 0;let g=class extends P.Disposable{constructor(c,h){super();this.environmentService=c,this.logService=h,this.processesLimiter=new t.Limiter(5)}async postUninstall(c){const h=this.parseScript(c,"uninstall");return h&&(this.logService.info(c.identifier.id,c.manifest.version,"Running post uninstall script"),await this.processesLimiter.queue(()=>this.runLifecycleHook(h.script,"uninstall",h.args,!0,c).then(()=>this.logService.info(c.identifier.id,c.manifest.version,"Finished running post uninstall script"),d=>this.logService.error(c.identifier.id,c.manifest.version,`Failed to run post uninstall script: ${d}`)))),I.Promises.rm(this.getExtensionStoragePath(c)).then(void 0,d=>this.logService.error("Error while removing extension storage path",d))}parseScript(c,h){const d=`vscode:${h}`;if(c.location.scheme===D.Schemas.file&&c.manifest&&c.manifest.scripts&&typeof c.manifest.scripts[d]=="string"){const E=c.manifest.scripts[d].split(" ");return E.length<2||E[0]!=="node"||!E[1]?(this.logService.warn(c.identifier.id,c.manifest.version,`${d} should be a node script`),null):{script:(0,v.join)(c.location.fsPath,E[1]),args:E.slice(2)||[]}}return null}runLifecycleHook(c,h,d,E,w){return new Promise((f,y)=>{const u=this.start(c,h,d,w);let o;const l=s=>{o&&(clearTimeout(o),o=null),s?y(s):f(void 0)};u.on("error",s=>{l((0,p.toErrorMessage)(s)||"Unknown")}),u.on("exit",(s,n)=>{l(s?`post-${h} process exited with code ${s}`:void 0)}),E&&(o=setTimeout(()=>{o=null,u.kill(),y("timed out")},5e3))})}start(c,h,d,E){const w={silent:!0,execArgv:void 0},f=(0,k.fork)(c,[`--type=extension-post-${h}`,...d],w);f.stdout.setEncoding("utf8"),f.stderr.setEncoding("utf8");const y=C.Event.fromNodeEventEmitter(f.stdout,"data"),u=C.Event.fromNodeEventEmitter(f.stderr,"data");y(s=>this.logService.info(E.identifier.id,E.manifest.version,`post-${h}`,s)),u(s=>this.logService.error(E.identifier.id,E.manifest.version,`post-${h}`,s));const o=C.Event.any(C.Event.map(y,s=>({data:`%c${s}`,format:[""]})),C.Event.map(u,s=>({data:`%c${s}`,format:["color: red"]})));return C.Event.debounce(o,(s,n)=>s?{data:s.data+n.data,format:[...s.format,...n.format]}:{data:n.data,format:n.format},100)(s=>{console.group(E.identifier.id),console.log(s.data,...s.format),console.groupEnd()}),f}getExtensionStoragePath(c){return(0,v.join)(this.environmentService.globalStorageHome.fsPath,c.identifier.id.toLowerCase())}};g=Ae([Oe(0,L.IEnvironmentService),Oe(1,R.ILogService)],g),e.ExtensionsLifecycle=g}),define(we[190],ye([0,1,17,13,11,7,2,5,54,14]),function(J,e,k,t,p,C,P,D,v,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AbstractDiskFileSystemProvider=void 0;class L extends P.Disposable{constructor(g,b){super();this.logService=g,this.options=b,this._onDidChangeFile=this._register(new C.Emitter),this.onDidChangeFile=this._onDidChangeFile.event,this._onDidWatchError=this._register(new C.Emitter),this.onDidWatchError=this._onDidWatchError.event,this.universalPathsToWatch=[],this.universalWatchRequestDelayer=this._register(new t.ThrottledDelayer(0)),this.nonRecursivePathsToWatch=[],this.nonRecursiveWatchRequestDelayer=this._register(new t.ThrottledDelayer(0))}watch(g,b){return b.recursive||this.options?.watcher?.forceUniversal?this.watchUniversal(g,b):this.watchNonRecursive(g,b)}watchUniversal(g,b){const c={path:this.toFilePath(g),excludes:b.excludes,recursive:b.recursive},h=(0,k.insert)(this.universalPathsToWatch,c);return this.refreshUniversalWatchers(),(0,P.toDisposable)(()=>{h(),this.refreshUniversalWatchers()})}refreshUniversalWatchers(){this.universalWatchRequestDelayer.trigger(()=>this.doRefreshUniversalWatchers()).catch(g=>(0,p.onUnexpectedError)(g))}doRefreshUniversalWatchers(){this.universalWatcher||(this.universalWatcher=this._register(this.createUniversalWatcher(b=>this._onDidChangeFile.fire((0,v.toFileChanges)(b)),b=>this.onWatcherLogMessage(b),this.logService.getLevel()===I.LogLevel.Trace)),this._register(this.logService.onDidChangeLogLevel(()=>{this.universalWatcher?.setVerboseLogging(this.logService.getLevel()===I.LogLevel.Trace)})));const g=this.options?.watcher?.recursive?.usePolling;if(g===!0)for(const b of this.universalPathsToWatch)(0,v.isRecursiveWatchRequest)(b)&&(b.pollingInterval=this.options?.watcher?.recursive?.pollingInterval??5e3);else if(Array.isArray(g))for(const b of this.universalPathsToWatch)(0,v.isRecursiveWatchRequest)(b)&&g.includes(b.path)&&(b.pollingInterval=this.options?.watcher?.recursive?.pollingInterval??5e3);return this.universalWatcher.watch(this.universalPathsToWatch)}watchNonRecursive(g,b){const c={path:this.toFilePath(g),excludes:b.excludes,recursive:!1},h=(0,k.insert)(this.nonRecursivePathsToWatch,c);return this.refreshNonRecursiveWatchers(),(0,P.toDisposable)(()=>{h(),this.refreshNonRecursiveWatchers()})}refreshNonRecursiveWatchers(){this.nonRecursiveWatchRequestDelayer.trigger(()=>this.doRefreshNonRecursiveWatchers()).catch(g=>(0,p.onUnexpectedError)(g))}doRefreshNonRecursiveWatchers(){return this.nonRecursiveWatcher||(this.nonRecursiveWatcher=this._register(this.createNonRecursiveWatcher(g=>this._onDidChangeFile.fire((0,v.toFileChanges)(g)),g=>this.onWatcherLogMessage(g),this.logService.getLevel()===I.LogLevel.Trace)),this._register(this.logService.onDidChangeLogLevel(()=>{this.nonRecursiveWatcher?.setVerboseLogging(this.logService.getLevel()===I.LogLevel.Trace)}))),this.nonRecursiveWatcher.watch(this.nonRecursivePathsToWatch)}onWatcherLogMessage(g){g.type==="error"&&this._onDidWatchError.fire(g.message),this.logService[g.type](g.message)}toFilePath(g){return(0,D.normalize)(g.fsPath)}}e.AbstractDiskFileSystemProvider=L}),define(we[93],ye([0,1,17,13,15,20,7,124,49,2,29,8,43,22,42,155,19,91,14]),function(J,e,k,t,p,C,P,D,v,I,L,R,g,b,c,h,d,E,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.FileService=void 0;let f=class extends I.Disposable{constructor(u){super();this.logService=u,this.BUFFER_SIZE=256*1024,this._onDidChangeFileSystemProviderRegistrations=this._register(new P.Emitter),this.onDidChangeFileSystemProviderRegistrations=this._onDidChangeFileSystemProviderRegistrations.event,this._onWillActivateFileSystemProvider=this._register(new P.Emitter),this.onWillActivateFileSystemProvider=this._onWillActivateFileSystemProvider.event,this._onDidChangeFileSystemProviderCapabilities=this._register(new P.Emitter),this.onDidChangeFileSystemProviderCapabilities=this._onDidChangeFileSystemProviderCapabilities.event,this.provider=new Map,this._onDidRunOperation=this._register(new P.Emitter),this.onDidRunOperation=this._onDidRunOperation.event,this._onDidFilesChange=this._register(new P.Emitter),this.onDidFilesChange=this._onDidFilesChange.event,this._onDidWatchError=this._register(new P.Emitter),this.onDidWatchError=this._onDidWatchError.event,this.activeWatchers=new Map,this.writeQueue=this._register(new t.ResourceQueue)}registerProvider(u,o){if(this.provider.has(u))throw new Error(`A filesystem provider for the scheme '${u}' is already registered.`);(0,g.mark)(`code/registerFilesystem/${u}`);const l=new I.DisposableStore;return this.provider.set(u,o),this._onDidChangeFileSystemProviderRegistrations.fire({added:!0,scheme:u,provider:o}),l.add(o.onDidChangeFile(s=>this._onDidFilesChange.fire(new d.FileChangesEvent(s,!this.isPathCaseSensitive(o))))),typeof o.onDidWatchError=="function"&&l.add(o.onDidWatchError(s=>this._onDidWatchError.fire(new Error(s)))),l.add(o.onDidChangeCapabilities(()=>this._onDidChangeFileSystemProviderCapabilities.fire({provider:o,scheme:u}))),(0,I.toDisposable)(()=>{this._onDidChangeFileSystemProviderRegistrations.fire({added:!1,scheme:u,provider:o}),this.provider.delete(u),(0,I.dispose)(l)})}getProvider(u){return this.provider.get(u)}async activateProvider(u){const o=[];this._onWillActivateFileSystemProvider.fire({scheme:u,join(l){o.push(l)}}),!this.provider.has(u)&&await t.Promises.settled(o)}async canHandleResource(u){return await this.activateProvider(u.scheme),this.hasProvider(u)}hasProvider(u){return this.provider.has(u.scheme)}hasCapability(u,o){const l=this.provider.get(u.scheme);return!!(l&&l.capabilities&o)}listCapabilities(){return v.Iterable.map(this.provider,([u,o])=>({scheme:u,capabilities:o.capabilities}))}async withProvider(u){if(!(0,b.isAbsolutePath)(u))throw new d.FileOperationError((0,h.localize)(0,null,this.resourceForError(u)),8);await this.activateProvider(u.scheme);const o=this.provider.get(u.scheme);if(!o){const l=new Error;throw l.name="ENOPRO",l.message=(0,h.localize)(1,null,u.toString()),l}return o}async withReadProvider(u){const o=await this.withProvider(u);if((0,d.hasOpenReadWriteCloseCapability)(o)||(0,d.hasReadWriteCapability)(o)||(0,d.hasFileReadStreamCapability)(o))return o;throw new Error(`Filesystem provider for scheme '${u.scheme}' neither has FileReadWrite, FileReadStream nor FileOpenReadWriteClose capability which is needed for the read operation.`)}async withWriteProvider(u){const o=await this.withProvider(u);if((0,d.hasOpenReadWriteCloseCapability)(o)||(0,d.hasReadWriteCapability)(o))return o;throw new Error(`Filesystem provider for scheme '${u.scheme}' neither has FileReadWrite nor FileOpenReadWriteClose capability which is needed for the write operation.`)}async resolve(u,o){try{return await this.doResolveFile(u,o)}catch(l){throw(0,d.toFileSystemProviderErrorCode)(l)===d.FileSystemProviderErrorCode.FileNotFound?new d.FileOperationError((0,h.localize)(2,null,this.resourceForError(u)),1):(0,d.ensureFileSystemProviderError)(l)}}async doResolveFile(u,o){const l=await this.withProvider(u),s=this.isPathCaseSensitive(l),n=o?.resolveTo,i=o?.resolveSingleChildDescendants,r=o?.resolveMetadata,a=await l.stat(u);let m;return this.toFileStat(l,u,a,void 0,!!r,(S,_)=>(m||(m=L.TernarySearchTree.forUris(()=>!s),m.set(u,!0),n&&m.fill(!0,n)),m.get(S.resource)||m.findSuperstr(S.resource.with({query:null,fragment:null}))?!0:S.isDirectory&&i?_===1:!1))}async toFileStat(u,o,l,s,n,i){const{providerExtUri:r}=this.getExtUri(u),a={resource:o,name:r.basename(o),isFile:(l.type&d.FileType.File)!=0,isDirectory:(l.type&d.FileType.Directory)!=0,isSymbolicLink:(l.type&d.FileType.SymbolicLink)!=0,mtime:l.mtime,ctime:l.ctime,size:l.size,readonly:Boolean((l.permissions??0)&d.FilePermission.Readonly)||Boolean(u.capabilities&2048),etag:(0,d.etag)({mtime:l.mtime,size:l.size}),children:void 0};if(a.isDirectory&&i(a,s)){try{const m=await u.readdir(o),S=await t.Promises.settled(m.map(async([_,F])=>{try{const B=r.joinPath(o,_),A=n?await u.stat(B):{type:F};return await this.toFileStat(u,B,A,m.length,n,i)}catch(B){return this.logService.trace(B),null}}));a.children=(0,k.coalesce)(S)}catch(m){this.logService.trace(m),a.children=[]}return a}return a}async resolveAll(u){return t.Promises.settled(u.map(async o=>{try{return{stat:await this.doResolveFile(o.resource,o.options),success:!0}}catch(l){return this.logService.trace(l),{stat:void 0,success:!1}}}))}async stat(u){const o=await this.withProvider(u),l=await o.stat(u);return this.toFileStat(o,u,l,void 0,!0,()=>!1)}async exists(u){const o=await this.withProvider(u);try{return!!await o.stat(u)}catch{return!1}}async canCreateFile(u,o){try{await this.doValidateCreateFile(u,o)}catch(l){return l}return!0}async doValidateCreateFile(u,o){if(!o?.overwrite&&await this.exists(u))throw new d.FileOperationError((0,h.localize)(3,null,this.resourceForError(u)),3,o)}async createFile(u,o=p.VSBuffer.fromString(""),l){await this.doValidateCreateFile(u,l);const s=await this.writeFile(u,o);return this._onDidRunOperation.fire(new d.FileOperationEvent(u,0,s)),s}async writeFile(u,o,l){const s=this.throwIfFileSystemIsReadonly(await this.withWriteProvider(u),u),{providerExtUri:n}=this.getExtUri(s);try{await this.validateWriteFile(s,u,l)||await this.mkdirp(s,n.dirname(u));let r;if((0,d.hasReadWriteCapability)(s)&&!(o instanceof p.VSBuffer))if((0,c.isReadableStream)(o)){const a=await(0,c.peekStream)(o,3);a.ended?r=p.VSBuffer.concat(a.buffer):r=a}else r=(0,c.peekReadable)(o,a=>p.VSBuffer.concat(a),3);else r=o;!(0,d.hasOpenReadWriteCloseCapability)(s)||(0,d.hasReadWriteCapability)(s)&&r instanceof p.VSBuffer?await this.doWriteUnbuffered(s,u,l,r):await this.doWriteBuffered(s,u,l,r instanceof p.VSBuffer?(0,p.bufferToReadable)(r):r),this._onDidRunOperation.fire(new d.FileOperationEvent(u,4))}catch(i){throw new d.FileOperationError((0,h.localize)(4,null,this.resourceForError(u),(0,d.ensureFileSystemProviderError)(i).toString()),(0,d.toFileOperationResult)(i),l)}return this.resolve(u,{resolveMetadata:!0})}async validateWriteFile(u,o,l){if(!!l?.unlock&&!(u.capabilities&8192))throw new Error((0,h.localize)(5,null,this.resourceForError(o)));let n;try{n=await u.stat(o)}catch{return}if((n.type&d.FileType.Directory)!=0)throw new d.FileOperationError((0,h.localize)(6,null,this.resourceForError(o)),0,l);if(this.throwIfFileIsReadonly(o,n),typeof l?.mtime=="number"&&typeof l.etag=="string"&&l.etag!==d.ETAG_DISABLED&&typeof n.mtime=="number"&&typeof n.size=="number"&&l.mtime<n.mtime&&l.etag!==(0,d.etag)({mtime:l.mtime,size:n.size}))throw new d.FileOperationError((0,h.localize)(7,null),3,l);return n}async readFile(u,o,l){const s=await this.withReadProvider(u);return o?.atomic?this.doReadFileAtomic(s,u,o,l):this.doReadFile(s,u,o,l)}async doReadFileAtomic(u,o,l,s){return new Promise((n,i)=>{this.writeQueue.queueFor(o,this.getExtUri(u).providerExtUri).queue(async()=>{try{const r=await this.doReadFile(u,o,l,s);n(r)}catch(r){i(r)}})})}async doReadFile(u,o,l,s){const n=await this.doReadFileStream(u,o,{...l,preferUnbuffered:!0},s);return{...n,value:await(0,p.streamToBuffer)(n.value)}}async readFileStream(u,o,l){const s=await this.withReadProvider(u);return this.doReadFileStream(s,u,o,l)}async doReadFileStream(u,o,l,s){const n=new C.CancellationTokenSource(s),i=this.validateReadFile(o,l).then(a=>a,a=>{throw n.cancel(),a});let r;try{return typeof l?.etag=="string"&&l.etag!==d.ETAG_DISABLED&&await i,l?.atomic&&(0,d.hasFileAtomicReadCapability)(u)||!((0,d.hasOpenReadWriteCloseCapability)(u)||(0,d.hasFileReadStreamCapability)(u))||(0,d.hasReadWriteCapability)(u)&&l?.preferUnbuffered?r=this.readFileUnbuffered(u,o,l):(0,d.hasFileReadStreamCapability)(u)?r=this.readFileStreamed(u,o,n.token,l):r=this.readFileBuffered(u,o,n.token,l),{...await i,value:r}}catch(a){r&&await(0,c.consumeStream)(r);const m=(0,h.localize)(8,null,this.resourceForError(o),(0,d.ensureFileSystemProviderError)(a).toString());throw a instanceof d.NotModifiedSinceFileOperationError?new d.NotModifiedSinceFileOperationError(m,a.stat,l):new d.FileOperationError(m,(0,d.toFileOperationResult)(a),l)}}readFileStreamed(u,o,l,s=Object.create(null)){const n=u.readFileStream(o,s,l);return(0,c.transform)(n,{data:i=>i instanceof p.VSBuffer?i:p.VSBuffer.wrap(i),error:i=>new d.FileOperationError((0,h.localize)(9,null,this.resourceForError(o),(0,d.ensureFileSystemProviderError)(i).toString()),(0,d.toFileOperationResult)(i),s)},i=>p.VSBuffer.concat(i))}readFileBuffered(u,o,l,s=Object.create(null)){const n=(0,p.newWriteableBufferStream)();return(0,E.readFileIntoStream)(u,o,n,i=>i,{...s,bufferSize:this.BUFFER_SIZE,errorTransformer:i=>new d.FileOperationError((0,h.localize)(10,null,this.resourceForError(o),(0,d.ensureFileSystemProviderError)(i).toString()),(0,d.toFileOperationResult)(i),s)},l),n}readFileUnbuffered(u,o,l){const s=(0,c.newWriteableStream)(n=>p.VSBuffer.concat(n));return(async()=>{try{let n;l?.atomic&&(0,d.hasFileAtomicReadCapability)(u)?n=await u.readFile(o,{atomic:!0}):n=await u.readFile(o),typeof l?.position=="number"&&(n=n.slice(l.position)),typeof l?.length=="number"&&(n=n.slice(0,l.length)),this.validateReadFileLimits(o,n.byteLength,l),s.end(p.VSBuffer.wrap(n))}catch(n){s.error(n),s.end()}})(),s}async validateReadFile(u,o){const l=await this.resolve(u,{resolveMetadata:!0});if(l.isDirectory)throw new d.FileOperationError((0,h.localize)(11,null,this.resourceForError(u)),0,o);if(typeof o?.etag=="string"&&o.etag!==d.ETAG_DISABLED&&o.etag===l.etag)throw new d.NotModifiedSinceFileOperationError((0,h.localize)(12,null),l,o);return this.validateReadFileLimits(u,l.size,o),l}validateReadFileLimits(u,o,l){if(l?.limits){let s;if(typeof l.limits.memory=="number"&&o>l.limits.memory&&(s=9),typeof l.limits.size=="number"&&o>l.limits.size&&(s=7),typeof s=="number")throw new d.FileOperationError((0,h.localize)(13,null,this.resourceForError(u)),s)}}async canMove(u,o,l){return this.doCanMoveCopy(u,o,"move",l)}async canCopy(u,o,l){return this.doCanMoveCopy(u,o,"copy",l)}async doCanMoveCopy(u,o,l,s){if(u.toString()!==o.toString())try{const n=l==="move"?this.throwIfFileSystemIsReadonly(await this.withWriteProvider(u),u):await this.withReadProvider(u),i=this.throwIfFileSystemIsReadonly(await this.withWriteProvider(o),o);await this.doValidateMoveCopy(n,u,i,o,l,s)}catch(n){return n}return!0}async move(u,o,l){const s=this.throwIfFileSystemIsReadonly(await this.withWriteProvider(u),u),n=this.throwIfFileSystemIsReadonly(await this.withWriteProvider(o),o),i=await this.doMoveCopy(s,u,n,o,"move",!!l),r=await this.resolve(o,{resolveMetadata:!0});return this._onDidRunOperation.fire(new d.FileOperationEvent(u,i==="move"?2:3,r)),r}async copy(u,o,l){const s=await this.withReadProvider(u),n=this.throwIfFileSystemIsReadonly(await this.withWriteProvider(o),o),i=await this.doMoveCopy(s,u,n,o,"copy",!!l),r=await this.resolve(o,{resolveMetadata:!0});return this._onDidRunOperation.fire(new d.FileOperationEvent(u,i==="copy"?3:2,r)),r}async doMoveCopy(u,o,l,s,n,i){if(o.toString()===s.toString())return n;const{exists:r,isSameResourceWithDifferentPathCase:a}=await this.doValidateMoveCopy(u,o,l,s,n,i);if(r&&!a&&i&&await this.del(s,{recursive:!0}),await this.mkdirp(l,this.getExtUri(l).providerExtUri.dirname(s)),n==="copy"){if(u===l&&(0,d.hasFileFolderCopyCapability)(u))await u.copy(o,s,{overwrite:i});else{const m=await this.resolve(o);m.isDirectory?await this.doCopyFolder(u,m,l,s):await this.doCopyFile(u,o,l,s)}return n}else return u===l?(await u.rename(o,s,{overwrite:i}),n):(await this.doMoveCopy(u,o,l,s,"copy",i),await this.del(o,{recursive:!0}),"copy")}async doCopyFile(u,o,l,s){if((0,d.hasOpenReadWriteCloseCapability)(u)&&(0,d.hasOpenReadWriteCloseCapability)(l))return this.doPipeBuffered(u,o,l,s);if((0,d.hasOpenReadWriteCloseCapability)(u)&&(0,d.hasReadWriteCapability)(l))return this.doPipeBufferedToUnbuffered(u,o,l,s);if((0,d.hasReadWriteCapability)(u)&&(0,d.hasOpenReadWriteCloseCapability)(l))return this.doPipeUnbufferedToBuffered(u,o,l,s);if((0,d.hasReadWriteCapability)(u)&&(0,d.hasReadWriteCapability)(l))return this.doPipeUnbuffered(u,o,l,s)}async doCopyFolder(u,o,l,s){await l.mkdir(s),Array.isArray(o.children)&&await t.Promises.settled(o.children.map(async n=>{const i=this.getExtUri(l).providerExtUri.joinPath(s,n.name);return n.isDirectory?this.doCopyFolder(u,await this.resolve(n.resource),l,i):this.doCopyFile(u,n.resource,l,i)}))}async doValidateMoveCopy(u,o,l,s,n,i){let r=!1;if(u===l){const{providerExtUri:m,isPathCaseSensitive:S}=this.getExtUri(u);if(S||(r=m.isEqual(o,s)),r&&n==="copy")throw new Error((0,h.localize)(14,null,this.resourceForError(o),this.resourceForError(s)));if(!r&&m.isEqualOrParent(s,o))throw new Error((0,h.localize)(15,null,this.resourceForError(o),this.resourceForError(s)))}const a=await this.exists(s);if(a&&!r){if(!i)throw new d.FileOperationError((0,h.localize)(16,null,this.resourceForError(o),this.resourceForError(s)),4);if(u===l){const{providerExtUri:m}=this.getExtUri(u);if(m.isEqualOrParent(o,s))throw new Error((0,h.localize)(17,null,this.resourceForError(o),this.resourceForError(s)))}}return{exists:a,isSameResourceWithDifferentPathCase:r}}getExtUri(u){const o=this.isPathCaseSensitive(u);return{providerExtUri:o?b.extUri:b.extUriIgnorePathCase,isPathCaseSensitive:o}}isPathCaseSensitive(u){return!!(u.capabilities&1024)}async createFolder(u){const o=this.throwIfFileSystemIsReadonly(await this.withProvider(u),u);await this.mkdirp(o,u);const l=await this.resolve(u,{resolveMetadata:!0});return this._onDidRunOperation.fire(new d.FileOperationEvent(u,0,l)),l}async mkdirp(u,o){const l=[],{providerExtUri:s}=this.getExtUri(u);for(;!s.isEqual(o,s.dirname(o));)try{if(((await u.stat(o)).type&d.FileType.Directory)==0)throw new Error((0,h.localize)(18,null,this.resourceForError(o)));break}catch(n){if((0,d.toFileSystemProviderErrorCode)(n)!==d.FileSystemProviderErrorCode.FileNotFound)throw n;l.push(s.basename(o)),o=s.dirname(o)}for(let n=l.length-1;n>=0;n--){o=s.joinPath(o,l[n]);try{await u.mkdir(o)}catch(i){if((0,d.toFileSystemProviderErrorCode)(i)!==d.FileSystemProviderErrorCode.FileExists)throw i}}}async canDelete(u,o){try{await this.doValidateDelete(u,o)}catch(l){return l}return!0}async doValidateDelete(u,o){const l=this.throwIfFileSystemIsReadonly(await this.withProvider(u),u);if(!!o?.useTrash&&!(l.capabilities&4096))throw new Error((0,h.localize)(19,null,this.resourceForError(u)));let n;try{n=await l.stat(u)}catch{}if(n)this.throwIfFileIsReadonly(u,n);else throw new d.FileOperationError((0,h.localize)(20,null,this.resourceForError(u)),1);if(!!!o?.recursive){const r=await this.resolve(u);if(r.isDirectory&&Array.isArray(r.children)&&r.children.length>0)throw new Error((0,h.localize)(21,null,this.resourceForError(u)))}return l}async del(u,o){const l=await this.doValidateDelete(u,o),s=!!o?.useTrash,n=!!o?.recursive;await l.delete(u,{recursive:n,useTrash:s}),this._onDidRunOperation.fire(new d.FileOperationEvent(u,1))}watch(u,o={recursive:!1,excludes:[]}){const l=new I.DisposableStore;let s=!1,n=()=>{s=!0};return l.add((0,I.toDisposable)(()=>n())),(async()=>{try{const i=await this.doWatch(u,o);s?(0,I.dispose)(i):n=()=>(0,I.dispose)(i)}catch(i){this.logService.error(i)}})(),l}async doWatch(u,o){const l=await this.withProvider(u),s=(0,D.hash)([this.getExtUri(l).providerExtUri.getComparisonKey(u),o]);let n=this.activeWatchers.get(s);return n||(n={count:0,disposable:l.watch(u,o)},this.activeWatchers.set(s,n)),n.count+=1,(0,I.toDisposable)(()=>{n&&(n.count--,n.count===0&&((0,I.dispose)(n.disposable),this.activeWatchers.delete(s)))})}dispose(){super.dispose();for(const[,u]of this.activeWatchers)(0,I.dispose)(u.disposable);this.activeWatchers.clear()}async doWriteBuffered(u,o,l,s){return this.writeQueue.queueFor(o,this.getExtUri(u).providerExtUri).queue(async()=>{const n=await u.open(o,{create:!0,unlock:l?.unlock??!1});try{(0,c.isReadableStream)(s)||(0,c.isReadableBufferedStream)(s)?await this.doWriteStreamBufferedQueued(u,n,s):await this.doWriteReadableBufferedQueued(u,n,s)}catch(i){throw(0,d.ensureFileSystemProviderError)(i)}finally{await u.close(n)}})}async doWriteStreamBufferedQueued(u,o,l){let s=0,n;if((0,c.isReadableBufferedStream)(l)){if(l.buffer.length>0){const i=p.VSBuffer.concat(l.buffer);await this.doWriteBuffer(u,o,i,i.byteLength,s,0),s+=i.byteLength}if(l.ended)return;n=l.stream}else n=l;return new Promise((i,r)=>{(0,c.listenStream)(n,{onData:async a=>{n.pause();try{await this.doWriteBuffer(u,o,a,a.byteLength,s,0)}catch(m){return r(m)}s+=a.byteLength,setTimeout(()=>n.resume())},onError:a=>r(a),onEnd:()=>i()})})}async doWriteReadableBufferedQueued(u,o,l){let s=0,n;for(;(n=l.read())!==null;)await this.doWriteBuffer(u,o,n,n.byteLength,s,0),s+=n.byteLength}async doWriteBuffer(u,o,l,s,n,i){let r=0;for(;r<s;)r+=await u.write(o,n+r,l.buffer,i+r,s-r)}async doWriteUnbuffered(u,o,l,s){return this.writeQueue.queueFor(o,this.getExtUri(u).providerExtUri).queue(()=>this.doWriteUnbufferedQueued(u,o,l,s))}async doWriteUnbufferedQueued(u,o,l,s){let n;s instanceof p.VSBuffer?n=s:(0,c.isReadableStream)(s)?n=await(0,p.streamToBuffer)(s):(0,c.isReadableBufferedStream)(s)?n=await(0,p.bufferedStreamToBuffer)(s):n=(0,p.readableToBuffer)(s),await u.writeFile(o,n.buffer,{create:!0,overwrite:!0,unlock:l?.unlock??!1})}async doPipeBuffered(u,o,l,s){return this.writeQueue.queueFor(s,this.getExtUri(l).providerExtUri).queue(()=>this.doPipeBufferedQueued(u,o,l,s))}async doPipeBufferedQueued(u,o,l,s){let n,i;try{n=await u.open(o,{create:!1}),i=await l.open(s,{create:!0,unlock:!1});const r=p.VSBuffer.alloc(this.BUFFER_SIZE);let a=0,m=0,S=0;do S=await u.read(n,a,r.buffer,m,r.byteLength-m),await this.doWriteBuffer(l,i,r,S,a,m),a+=S,m+=S,m===r.byteLength&&(m=0);while(S>0)}catch(r){throw(0,d.ensureFileSystemProviderError)(r)}finally{await t.Promises.settled([typeof n=="number"?u.close(n):Promise.resolve(),typeof i=="number"?l.close(i):Promise.resolve()])}}async doPipeUnbuffered(u,o,l,s){return this.writeQueue.queueFor(s,this.getExtUri(l).providerExtUri).queue(()=>this.doPipeUnbufferedQueued(u,o,l,s))}async doPipeUnbufferedQueued(u,o,l,s){return l.writeFile(s,await u.readFile(o),{create:!0,overwrite:!0,unlock:!1})}async doPipeUnbufferedToBuffered(u,o,l,s){return this.writeQueue.queueFor(s,this.getExtUri(l).providerExtUri).queue(()=>this.doPipeUnbufferedToBufferedQueued(u,o,l,s))}async doPipeUnbufferedToBufferedQueued(u,o,l,s){const n=await l.open(s,{create:!0,unlock:!1});try{const i=await u.readFile(o);await this.doWriteBuffer(l,n,p.VSBuffer.wrap(i),i.byteLength,0,0)}catch(i){throw(0,d.ensureFileSystemProviderError)(i)}finally{await l.close(n)}}async doPipeBufferedToUnbuffered(u,o,l,s){const n=await(0,p.streamToBuffer)(this.readFileBuffered(u,o,C.CancellationToken.None));await this.doWriteUnbuffered(l,s,void 0,n)}throwIfFileSystemIsReadonly(u,o){if(u.capabilities&2048)throw new d.FileOperationError((0,h.localize)(22,null,this.resourceForError(o)),6);return u}throwIfFileIsReadonly(u,o){if((o.permissions??0)&d.FilePermission.Readonly)throw new d.FileOperationError((0,h.localize)(23,null,this.resourceForError(u)),6)}resourceForError(u){return u.scheme===R.Schemas.file?u.fsPath:u.toString(!0)}};f=Ae([Oe(0,w.ILogService)],f),e.FileService=f}),define(we[55],ye([0,1,27,258,13,29,15,7,34,2,5,3,22,42,18,158,19,91,190,36,187,186]),function(J,e,k,t,p,C,P,D,v,I,L,R,g,b,c,h,d,E,w,f,y,u){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.DiskFileSystemProvider=void 0,(()=>{try{(0,t.gracefulify)(k)}catch(l){console.error(`Error enabling graceful-fs: ${(0,f.toErrorMessage)(l)}`)}})();class o extends w.AbstractDiskFileSystemProvider{constructor(s,n){super(s,n);this.onDidChangeCapabilities=D.Event.None,this.resourceLocks=new C.ResourceMap(i=>g.extUriBiasedIgnorePathCase.getComparisonKey(i)),this.mapHandleToPos=new Map,this.mapHandleToLock=new Map,this.writeHandles=new Map,this.canFlush=!0}get capabilities(){return this._capabilities||(this._capabilities=2|4|16|8|8192|16384,R.isLinux&&(this._capabilities|=1024)),this._capabilities}async stat(s){try{const{stat:n,symbolicLink:i}=await c.SymlinkSupport.stat(this.toFilePath(s));return{type:this.toType(n,i),ctime:n.birthtime.getTime(),mtime:n.mtime.getTime(),size:n.size}}catch(n){throw this.toFileSystemProviderError(n)}}async readdir(s){try{const n=await c.Promises.readdir(this.toFilePath(s),{withFileTypes:!0}),i=[];return await Promise.all(n.map(async r=>{try{let a;r.isSymbolicLink()?a=(await this.stat((0,g.joinPath)(s,r.name))).type:a=this.toType(r),i.push([r.name,a])}catch(a){this.logService.trace(a)}})),i}catch(n){throw this.toFileSystemProviderError(n)}}toType(s,n){let i;return n?.dangling?i=d.FileType.Unknown:s.isFile()?i=d.FileType.File:s.isDirectory()?i=d.FileType.Directory:i=d.FileType.Unknown,n&&(i|=d.FileType.SymbolicLink),i}async createResourceLock(s){const n=this.toFilePath(s);this.logService.trace(`[Disk FileSystemProvider]: createResourceLock() - request to acquire resource lock (${n})`);let i;for(;i=this.resourceLocks.get(s);)this.logService.trace(`[Disk FileSystemProvider]: createResourceLock() - waiting for resource lock to be released (${n})`),await i.wait();const r=new p.Barrier;return this.resourceLocks.set(s,r),this.logService.trace(`[Disk FileSystemProvider]: createResourceLock() - new resource lock created (${n})`),(0,I.toDisposable)(()=>{this.logService.trace(`[Disk FileSystemProvider]: createResourceLock() - resource lock dispose() (${n})`),this.resourceLocks.get(s)===r&&(this.logService.trace(`[Disk FileSystemProvider]: createResourceLock() - resource lock removed from resource-lock map (${n})`),this.resourceLocks.delete(s)),this.logService.trace(`[Disk FileSystemProvider]: createResourceLock() - resource lock barrier open() (${n})`),r.open()})}async readFile(s,n){let i;try{n?.atomic&&(this.logService.trace(`[Disk FileSystemProvider]: atomic read operation started (${this.toFilePath(s)})`),i=await this.createResourceLock(s));const r=this.toFilePath(s);return await c.Promises.readFile(r)}catch(r){throw this.toFileSystemProviderError(r)}finally{i?.dispose()}}readFileStream(s,n,i){const r=(0,b.newWriteableStream)(a=>P.VSBuffer.concat(a.map(m=>P.VSBuffer.wrap(m))).buffer);return(0,E.readFileIntoStream)(this,s,r,a=>a.buffer,{...n,bufferSize:256*1024},i),r}async writeFile(s,n,i){let r;try{const a=this.toFilePath(s);if(!i.create||!i.overwrite){if(await c.Promises.exists(a)){if(!i.overwrite)throw(0,d.createFileSystemProviderError)((0,h.localize)(0,null),d.FileSystemProviderErrorCode.FileExists)}else if(!i.create)throw(0,d.createFileSystemProviderError)((0,h.localize)(1,null),d.FileSystemProviderErrorCode.FileNotFound)}r=await this.open(s,{create:!0,unlock:i.unlock}),await this.write(r,0,n,0,n.byteLength)}catch(a){throw await this.toFileSystemProviderWriteError(s,a)}finally{typeof r=="number"&&await this.close(r)}}async open(s,n){const i=this.toFilePath(s);let r;(0,d.isFileOpenForWriteOptions)(n)&&(r=await this.createResourceLock(s));let a;try{if((0,d.isFileOpenForWriteOptions)(n)&&n.unlock)try{const{stat:S}=await c.SymlinkSupport.stat(i);S.mode&128||await c.Promises.chmod(i,S.mode|128)}catch(S){this.logService.trace(S)}let m;if((0,d.isFileOpenForWriteOptions)(n)){if(R.isWindows)try{await c.Promises.truncate(i,0),m="r+"}catch(S){S.code!=="ENOENT"&&this.logService.trace(S)}m||(m="w")}else m="r";a=await c.Promises.open(i,m)}catch(m){throw r?.dispose(),(0,d.isFileOpenForWriteOptions)(n)?await this.toFileSystemProviderWriteError(s,m):this.toFileSystemProviderError(m)}if(this.mapHandleToPos.set(a,0),(0,d.isFileOpenForWriteOptions)(n)&&this.writeHandles.set(a,s),r){const m=this.mapHandleToLock.get(a);this.logService.trace(`[Disk FileSystemProvider]: open() - storing lock for handle ${a} (${i})`),this.mapHandleToLock.set(a,r),m&&(this.logService.trace(`[Disk FileSystemProvider]: open() - disposing a previous lock that was still stored on same handle ${a} (${i})`),m.dispose())}return a}async close(s){const n=this.mapHandleToLock.get(s);try{if(this.mapHandleToPos.delete(s),this.writeHandles.delete(s)&&this.canFlush)try{await c.Promises.fdatasync(s)}catch(i){this.canFlush=!1,this.logService.error(i)}return await c.Promises.close(s)}catch(i){throw this.toFileSystemProviderError(i)}finally{n&&(this.mapHandleToLock.get(s)===n&&(this.logService.trace(`[Disk FileSystemProvider]: close() - resource lock removed from handle-lock map ${s}`),this.mapHandleToLock.delete(s)),this.logService.trace(`[Disk FileSystemProvider]: close() - disposing lock for handle ${s}`),n.dispose())}}async read(s,n,i,r,a){const m=this.normalizePos(s,n);let S=null;try{S=(await c.Promises.read(s,i,r,a,m)).bytesRead}catch(_){throw this.toFileSystemProviderError(_)}finally{this.updatePos(s,m,S)}return S}normalizePos(s,n){return n===this.mapHandleToPos.get(s)?null:n}updatePos(s,n,i){const r=this.mapHandleToPos.get(s);typeof r=="number"&&(typeof n=="number"||(typeof i=="number"?this.mapHandleToPos.set(s,r+i):this.mapHandleToPos.delete(s)))}async write(s,n,i,r,a){return(0,p.retry)(()=>this.doWrite(s,n,i,r,a),100,3)}async doWrite(s,n,i,r,a){const m=this.normalizePos(s,n);let S=null;try{S=(await c.Promises.write(s,i,r,a,m)).bytesWritten}catch(_){throw await this.toFileSystemProviderWriteError(this.writeHandles.get(s),_)}finally{this.updatePos(s,m,S)}return S}async mkdir(s){try{await c.Promises.mkdir(this.toFilePath(s))}catch(n){throw this.toFileSystemProviderError(n)}}async delete(s,n){try{const i=this.toFilePath(s);n.recursive?await c.Promises.rm(i,c.RimRafMode.MOVE):await c.Promises.unlink(i)}catch(i){throw this.toFileSystemProviderError(i)}}async rename(s,n,i){const r=this.toFilePath(s),a=this.toFilePath(n);if(r!==a)try{await this.validateTargetDeleted(s,n,"move",i.overwrite),await c.Promises.move(r,a)}catch(m){throw(m.code==="EINVAL"||m.code==="EBUSY"||m.code==="ENAMETOOLONG")&&(m=new Error((0,h.localize)(2,null,(0,L.basename)(r),(0,L.basename)((0,L.dirname)(a)),m.toString()))),this.toFileSystemProviderError(m)}}async copy(s,n,i){const r=this.toFilePath(s),a=this.toFilePath(n);if(r!==a)try{await this.validateTargetDeleted(s,n,"copy",i.overwrite),await c.Promises.copy(r,a,{preserveSymlinks:!0})}catch(m){throw(m.code==="EINVAL"||m.code==="EBUSY"||m.code==="ENAMETOOLONG")&&(m=new Error((0,h.localize)(3,null,(0,L.basename)(r),(0,L.basename)((0,L.dirname)(a)),m.toString()))),this.toFileSystemProviderError(m)}}async validateTargetDeleted(s,n,i,r){const a=this.toFilePath(s),m=this.toFilePath(n);let S=!1;if(!!(this.capabilities&1024)||(S=(0,v.isEqual)(a,m,!0)),S&&i==="copy")throw(0,d.createFileSystemProviderError)((0,h.localize)(4,null),d.FileSystemProviderErrorCode.FileExists);if(!S&&await c.Promises.exists(m)){if(!r)throw(0,d.createFileSystemProviderError)((0,h.localize)(5,null),d.FileSystemProviderErrorCode.FileExists);await this.delete(n,{recursive:!0,useTrash:!1})}}createUniversalWatcher(s,n,i){return new y.UniversalWatcherClient(r=>s(r),r=>n(r),i)}createNonRecursiveWatcher(s,n,i){return new u.NodeJSWatcherClient(r=>s(r),r=>n(r),i)}toFileSystemProviderError(s){if(s instanceof d.FileSystemProviderError)return s;let n;switch(s.code){case"ENOENT":n=d.FileSystemProviderErrorCode.FileNotFound;break;case"EISDIR":n=d.FileSystemProviderErrorCode.FileIsADirectory;break;case"ENOTDIR":n=d.FileSystemProviderErrorCode.FileNotADirectory;break;case"EEXIST":n=d.FileSystemProviderErrorCode.FileExists;break;case"EPERM":case"EACCES":n=d.FileSystemProviderErrorCode.NoPermissions;break;default:n=d.FileSystemProviderErrorCode.Unknown}return(0,d.createFileSystemProviderError)(s,n)}async toFileSystemProviderWriteError(s,n){let i=this.toFileSystemProviderError(n);if(s&&i.code===d.FileSystemProviderErrorCode.NoPermissions)try{const{stat:r}=await c.SymlinkSupport.stat(this.toFilePath(s));r.mode&128||(i=(0,d.createFileSystemProviderError)(n,d.FileSystemProviderErrorCode.FileWriteLocked))}catch(r){this.logService.trace(r)}return i}}e.DiskFileSystemProvider=o}),define(we[191],ye([0,1,7,55,2,15,42,20]),function(J,e,k,t,p,C,P,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AbstractSessionFileWatcher=e.AbstractDiskFileSystemProviderChannel=void 0;class v extends p.Disposable{constructor(R,g){super();this.provider=R,this.logService=g,this.sessionToWatcher=new Map,this.watchRequests=new Map}call(R,g,b){const c=this.getUriTransformer(R);switch(g){case"stat":return this.stat(c,b[0]);case"readdir":return this.readdir(c,b[0]);case"open":return this.open(c,b[0],b[1]);case"close":return this.close(b[0]);case"read":return this.read(b[0],b[1],b[2]);case"readFile":return this.readFile(c,b[0],b[1]);case"write":return this.write(b[0],b[1],b[2],b[3],b[4]);case"writeFile":return this.writeFile(c,b[0],b[1],b[2]);case"rename":return this.rename(c,b[0],b[1],b[2]);case"copy":return this.copy(c,b[0],b[1],b[2]);case"mkdir":return this.mkdir(c,b[0]);case"delete":return this.delete(c,b[0],b[1]);case"watch":return this.watch(c,b[0],b[1],b[2],b[3]);case"unwatch":return this.unwatch(b[0],b[1])}throw new Error(`IPC Command ${g} not found`)}listen(R,g,b){const c=this.getUriTransformer(R);switch(g){case"fileChange":return this.onFileChange(c,b[0]);case"readFileStream":return this.onReadFileStream(c,b[0],b[1])}throw new Error(`Unknown event ${g}`)}stat(R,g){const b=this.transformIncoming(R,g,!0);return this.provider.stat(b)}readdir(R,g){const b=this.transformIncoming(R,g);return this.provider.readdir(b)}async readFile(R,g,b){const c=this.transformIncoming(R,g,!0),h=await this.provider.readFile(c,b);return C.VSBuffer.wrap(h)}onReadFileStream(R,g,b){const c=this.transformIncoming(R,g,!0),h=new D.CancellationTokenSource,d=new k.Emitter({onLastListenerRemove:()=>{h.cancel()}}),E=this.provider.readFileStream(c,b,h.token);return(0,P.listenStream)(E,{onData:w=>d.fire(C.VSBuffer.wrap(w)),onError:w=>d.fire(w),onEnd:()=>{d.fire("end"),d.dispose(),h.dispose()}}),d.event}writeFile(R,g,b,c){const h=this.transformIncoming(R,g);return this.provider.writeFile(h,b.buffer,c)}open(R,g,b){const c=this.transformIncoming(R,g,!0);return this.provider.open(c,b)}close(R){return this.provider.close(R)}async read(R,g,b){const c=C.VSBuffer.alloc(b),h=0,d=await this.provider.read(R,g,c.buffer,h,b);return[c,d]}write(R,g,b,c,h){return this.provider.write(R,g,b.buffer,c,h)}mkdir(R,g){const b=this.transformIncoming(R,g);return this.provider.mkdir(b)}delete(R,g,b){const c=this.transformIncoming(R,g);return this.provider.delete(c,b)}rename(R,g,b,c){const h=this.transformIncoming(R,g),d=this.transformIncoming(R,b);return this.provider.rename(h,d,c)}copy(R,g,b,c){const h=this.transformIncoming(R,g),d=this.transformIncoming(R,b);return this.provider.copy(h,d,c)}onFileChange(R,g){const b=new k.Emitter({onFirstListenerAdd:()=>{this.sessionToWatcher.set(g,this.createSessionFileWatcher(R,b))},onLastListenerRemove:()=>{(0,p.dispose)(this.sessionToWatcher.get(g)),this.sessionToWatcher.delete(g)}});return b.event}async watch(R,g,b,c,h){const d=this.sessionToWatcher.get(g);if(d){const E=this.transformIncoming(R,c),w=d.watch(b,E,h);this.watchRequests.set(g+b,w)}}async unwatch(R,g){const b=R+g,c=this.watchRequests.get(b);c&&((0,p.dispose)(c),this.watchRequests.delete(b))}dispose(){super.dispose();for(const[,R]of this.watchRequests)R.dispose();this.watchRequests.clear();for(const[,R]of this.sessionToWatcher)R.dispose();this.sessionToWatcher.clear()}}e.AbstractDiskFileSystemProviderChannel=v;class I extends p.Disposable{constructor(R,g,b,c){super();this.uriTransformer=R,this.logService=b,this.environmentService=c,this.watcherRequests=new Map,this.fileWatcher=this._register(new t.DiskFileSystemProvider(this.logService,{watcher:{recursive:this.getRecursiveWatcherOptions(this.environmentService)}})),this.registerListeners(g)}registerListeners(R){const g=this._register(new k.Emitter);this._register(g.event(b=>{R.fire(b.map(c=>({resource:this.uriTransformer.transformOutgoingURI(c.resource),type:c.type})))})),this._register(this.fileWatcher.onDidChangeFile(b=>g.fire(b))),this._register(this.fileWatcher.onDidWatchError(b=>R.fire(b)))}getRecursiveWatcherOptions(R){}getExtraExcludes(R){}watch(R,g,b){const c=this.getExtraExcludes(this.environmentService);return Array.isArray(c)&&(b.excludes=[...b.excludes,...c]),this.watcherRequests.set(R,this.fileWatcher.watch(g,b)),(0,p.toDisposable)(()=>{(0,p.dispose)(this.watcherRequests.get(R)),this.watcherRequests.delete(R)})}dispose(){super.dispose();for(const[,R]of this.watcherRequests)R.dispose();this.watcherRequests.clear()}}e.AbstractSessionFileWatcher=I}),define(we[94],ye([0,1,7,4,14]),function(J,e,k,t,p){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.FollowerLogService=e.LoggerChannelClient=e.LoggerChannel=e.LogLevelChannelClient=e.LogLevelChannel=void 0;class C{constructor(g){this.service=g,this.onDidChangeLogLevel=k.Event.buffer(g.onDidChangeLogLevel,!0)}listen(g,b){switch(b){case"onDidChangeLogLevel":return this.onDidChangeLogLevel}throw new Error(`Event not found: ${b}`)}async call(g,b,c){switch(b){case"setLevel":return this.service.setLevel(c)}throw new Error(`Call not found: ${b}`)}}e.LogLevelChannel=C;class P{constructor(g){this.channel=g}get onDidChangeLogLevel(){return this.channel.listen("onDidChangeLogLevel")}setLevel(g){P.setLevel(this.channel,g)}static setLevel(g,b){return g.call("setLevel",b)}}e.LogLevelChannelClient=P;class D{constructor(g){this.loggerService=g,this.loggers=new Map}listen(g,b){throw new Error(`Event not found: ${b}`)}async call(g,b,c){switch(b){case"createLogger":this.createLogger(t.URI.revive(c[0]),c[1]);return;case"log":return this.log(t.URI.revive(c[0]),c[1]);case"consoleLog":return this.consoleLog(c[0],c[1])}throw new Error(`Call not found: ${b}`)}createLogger(g,b){this.loggers.set(g.toString(),this.loggerService.createLogger(g,b))}consoleLog(g,b){let c=console.log;switch(g){case p.LogLevel.Error:c=console.error;break;case p.LogLevel.Warning:c=console.warn;break;case p.LogLevel.Info:c=console.info;break}c.call(console,...b)}log(g,b){const c=this.loggers.get(g.toString());if(!c)throw new Error("Create the logger before logging");for(const[h,d]of b)(0,p.log)(c,h,d)}}e.LoggerChannel=D;class v extends p.AbstractLoggerService{constructor(g,b,c){super(g,b);this.channel=c}createConsoleMainLogger(){return new p.AdapterLogger({log:(g,b)=>{this.channel.call("consoleLog",[g,b])}})}doCreateLogger(g,b,c){return new I(this.channel,g,b,c)}}e.LoggerChannelClient=v;class I extends p.AbstractMessageLogger{constructor(g,b,c,h){super(h?.always);this.channel=g,this.file=b,this.isLoggerCreated=!1,this.buffer=[],this.setLevel(c),this.channel.call("createLogger",[b,h]).then(()=>{this.doLog(this.buffer),this.isLoggerCreated=!0})}log(g,b){const c=[[g,b]];this.isLoggerCreated?this.doLog(c):this.buffer.push(...c)}doLog(g){this.channel.call("log",[this.file,g])}}class L extends p.LogService{constructor(g,b){super(b);this.parent=g,this._register(g.onDidChangeLogLevel(c=>b.setLevel(c)))}setLevel(g){super.setLevel(g),this.parent.setLevel(g)}}e.FollowerLogService=L}),define(we[95],ye([0,1,19,14]),function(J,e,k,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SpdLogLogger=void 0;async function p(D,v,I,L,R){try{const g=await new Promise((c,h)=>{J(["spdlog"],c,h)});g.setFlushOn(t.LogLevel.Trace);const b=await g.createAsyncRotatingLogger(D,v,I,L);return R&&b.clearFormatters(),b}catch(g){console.error(g)}return null}function C(D,v,I){switch(v){case t.LogLevel.Trace:D.trace(I);break;case t.LogLevel.Debug:D.debug(I);break;case t.LogLevel.Info:D.info(I);break;case t.LogLevel.Warning:D.warn(I);break;case t.LogLevel.Error:D.error(I);break;case t.LogLevel.Critical:D.critical(I);break;default:throw new Error("Invalid log level")}}class P extends t.AbstractMessageLogger{constructor(v,I,L,R,g){super();this.buffer=[],this.setLevel(g),this._loggerCreationPromise=this._createSpdLogLogger(v,I,L,R),this._register(this.onDidChangeLogLevel(b=>{this._logger&&this._logger.setLevel(b)}))}async _createSpdLogLogger(v,I,L,R){const g=L?6:1,b=30/g*k.ByteSize.MB,c=await p(v,I,b,g,R);if(c){this._logger=c,this._logger.setLevel(this.getLevel());for(const{level:h,message:d}of this.buffer)C(this._logger,h,d);this.buffer=[]}}log(v,I){this._logger?C(this._logger,v,I):this.getLevel()<=v&&this.buffer.push({level:v,message:I})}flush(){this._logger?this._logger.flush():this._loggerCreationPromise.then(()=>this.flush())}dispose(){this._logger?this.disposeLogger():this._loggerCreationPromise.then(()=>this.disposeLogger())}disposeLogger(){this._logger&&(this._logger.drop(),this._logger=void 0)}}e.SpdLogLogger=P}),define(we[192],ye([0,1,76,159,6]),function(J,e,k,t,p){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IMarkerService=e.IMarkerData=e.MarkerSeverity=e.MarkerTag=void 0;var C;(function(v){v[v.Unnecessary=1]="Unnecessary",v[v.Deprecated=2]="Deprecated"})(C=e.MarkerTag||(e.MarkerTag={}));var P;(function(v){v[v.Hint=1]="Hint",v[v.Info=2]="Info",v[v.Warning=4]="Warning",v[v.Error=8]="Error"})(P=e.MarkerSeverity||(e.MarkerSeverity={})),function(v){function I(c,h){return h-c}v.compare=I;const L=Object.create(null);L[v.Error]=(0,t.localize)(0,null),L[v.Warning]=(0,t.localize)(1,null),L[v.Info]=(0,t.localize)(2,null);function R(c){return L[c]||""}v.toString=R;function g(c){switch(c){case k.default.Error:return v.Error;case k.default.Warning:return v.Warning;case k.default.Info:return v.Info;case k.default.Ignore:return v.Hint}}v.fromSeverity=g;function b(c){switch(c){case v.Error:return k.default.Error;case v.Warning:return k.default.Warning;case v.Info:return k.default.Info;case v.Hint:return k.default.Ignore}}v.toSeverity=b}(P=e.MarkerSeverity||(e.MarkerSeverity={}));var D;(function(v){const I="";function L(g){return R(g,!0)}v.makeKey=L;function R(g,b){let c=[I];return g.source?c.push(g.source.replace("\xA6","\\\xA6")):c.push(I),g.code?typeof g.code=="string"?c.push(g.code.replace("\xA6","\\\xA6")):c.push(g.code.value.replace("\xA6","\\\xA6")):c.push(I),g.severity!==void 0&&g.severity!==null?c.push(P.toString(g.severity)):c.push(I),g.message&&b?c.push(g.message.replace("\xA6","\\\xA6")):c.push(I),g.startLineNumber!==void 0&&g.startLineNumber!==null?c.push(g.startLineNumber.toString()):c.push(I),g.startColumn!==void 0&&g.startColumn!==null?c.push(g.startColumn.toString()):c.push(I),g.endLineNumber!==void 0&&g.endLineNumber!==null?c.push(g.endLineNumber.toString()):c.push(I),g.endColumn!==void 0&&g.endColumn!==null?c.push(g.endColumn.toString()):c.push(I),c.push(I),c.join("\xA6")}v.makeKeyOptionalMessage=R})(D=e.IMarkerData||(e.IMarkerData={})),e.IMarkerService=(0,p.createDecorator)("markerService")}),define(we[193],ye([0,1,7,76,6]),function(J,e,k,t,p){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NoOpProgress=e.NoOpNotification=e.NotificationsFilter=e.NeverShowAgainScope=e.INotificationService=e.Severity=void 0,e.Severity=t.default,e.INotificationService=(0,p.createDecorator)("notificationService");var C;(function(I){I[I.WORKSPACE=0]="WORKSPACE",I[I.GLOBAL=1]="GLOBAL"})(C=e.NeverShowAgainScope||(e.NeverShowAgainScope={}));var P;(function(I){I[I.OFF=0]="OFF",I[I.SILENT=1]="SILENT",I[I.ERROR=2]="ERROR"})(P=e.NotificationsFilter||(e.NotificationsFilter={}));class D{constructor(){this.progress=new v,this.onDidClose=k.Event.None,this.onDidChangeVisibility=k.Event.None}updateSeverity(L){}updateMessage(L){}updateActions(L){}close(){}}e.NoOpNotification=D;class v{infinite(){}done(){}total(L){}worked(L){}}e.NoOpProgress=v}),define(we[44],ye([0,1,8,3,24,22]),function(J,e,k,t,p,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0});let P;if(typeof t.globals.vscode!="undefined"&&typeof t.globals.vscode.context!="undefined"){const D=t.globals.vscode.context.configuration();if(D)P=D.product;else throw new Error("Sandbox: unable to resolve product configuration from preload script.")}else if(typeof J?.__$__nodeRequire=="function"){const D=(0,C.dirname)(k.FileAccess.asFileUri("",J));P=J.__$__nodeRequire((0,C.joinPath)(D,"product.json").fsPath);const v=J.__$__nodeRequire((0,C.joinPath)(D,"package.json").fsPath);p.env.VSCODE_DEV&&Object.assign(P,{nameShort:`${P.nameShort} Dev`,nameLong:`${P.nameLong} Dev`,dataFolderName:`${P.dataFolderName}-dev`,serverDataFolderName:P.serverDataFolderName?`${P.serverDataFolderName}-dev`:void 0}),Object.assign(P,{version:v.version,extensionsGallery:p.env.EXTENSIONS_GALLERY?JSON.parse(p.env.EXTENSIONS_GALLERY):P.extensionsGallery||{serviceUrl:"https://open-vsx.org/vscode/gallery",itemUrl:"https://open-vsx.org/vscode/item",resourceUrlTemplate:"https://open-vsx.org/vscode/asset/{publisher}/{name}/{version}/Microsoft.VisualStudio.Code.WebResources/{path}",controlUrl:"",recommendationsUrl:""}})}else P={nameShort:"Code - OSS",nameLong:"Code - OSS",applicationName:"code-oss",dataFolderName:".vscode-oss",win32MutexName:"vscodeoss",licenseName:"MIT",licenseUrl:"https://github.com/microsoft/vscode/blob/main/LICENSE.txt",serverGreeting:[],serverLicense:[],serverLicensePrompt:"",serverApplicationName:"code-server-oss",serverDataFolderName:".vscode-server-oss",win32DirName:"Microsoft Code OSS",win32NameVersion:"Microsoft Code OSS",win32RegValueName:"CodeOSS",win32AppId:"{{E34003BB-9E10-4501-8C11-BE3FAA83F23F}",win32x64AppId:"{{D77B7E06-80BA-4137-BCF4-654B95CCEBC5}",win32arm64AppId:"{{D1ACE434-89C5-48D1-88D3-E2991DF85475}",win32UserAppId:"{{C6065F05-9603-4FC4-8101-B9781A25D88E}",win32x64UserAppId:"{{CC6B787D-37A0-49E8-AE24-8559A032BE0C}",win32arm64UserAppId:"{{3AEBF0C8-F733-4AD4-BADE-FDB816D53D7B}",win32AppUserModelId:"Microsoft.CodeOSS",win32ShellNameShort:"C&ode - OSS",darwinBundleIdentifier:"com.visualstudio.code.oss",linuxIconName:"com.visualstudio.code.oss",licenseFileName:"LICENSE.txt",reportIssueUrl:"https://github.com/microsoft/vscode/issues/new",urlProtocol:"code-oss",webviewContentExternalBaseUrlTemplate:"https://{{uuid}}.vscode-webview.net/insider/93a2a2fa12dd3ae0629eec01c05a28cb60ac1c4b/out/vs/workbench/contrib/webview/browser/pre/",extensionAllowedProposedApi:["ms-vscode.vscode-js-profile-flame","ms-vscode.vscode-js-profile-table","GitHub.remotehub","GitHub.remotehub-insiders"],builtInExtensions:[{name:"ms-vscode.references-view",version:"0.0.85",repo:"https://github.com/microsoft/vscode-references-view",metadata:{id:"dc489f46-520d-4556-ae85-1f9eab3c412d",publisherId:{publisherId:"5f5636e7-69ed-4afe-b5d6-8d231fb3d3ee",publisherName:"ms-vscode",displayName:"Microsoft",flags:"verified"},publisherDisplayName:"Microsoft"}},{name:"ms-vscode.js-debug-companion",version:"1.0.15",repo:"https://github.com/microsoft/vscode-js-debug-companion",metadata:{id:"99cb0b7f-7354-4278-b8da-6cc79972169d",publisherId:{publisherId:"5f5636e7-69ed-4afe-b5d6-8d231fb3d3ee",publisherName:"ms-vscode",displayName:"Microsoft",flags:"verified"},publisherDisplayName:"Microsoft"}},{name:"ms-vscode.js-debug",version:"1.65.0",repo:"https://github.com/microsoft/vscode-js-debug",metadata:{id:"25629058-ddac-4e17-abba-74678e126c5d",publisherId:{publisherId:"5f5636e7-69ed-4afe-b5d6-8d231fb3d3ee",publisherName:"ms-vscode",displayName:"Microsoft",flags:"verified"},publisherDisplayName:"Microsoft"}},{name:"ms-vscode.vscode-js-profile-table",version:"0.0.18",repo:"https://github.com/microsoft/vscode-js-profile-visualizer",metadata:{id:"7e52b41b-71ad-457b-ab7e-0620f1fc4feb",publisherId:{publisherId:"5f5636e7-69ed-4afe-b5d6-8d231fb3d3ee",publisherName:"ms-vscode",displayName:"Microsoft",flags:"verified"},publisherDisplayName:"Microsoft"}}],version:"1.65.2",date:"2022-04-14T21:04:05.402Z"},Object.keys(P).length===0&&Object.assign(P,{version:"1.65.0-dev",nameShort:"Code - OSS Dev",nameLong:"Code - OSS Dev",applicationName:"code-oss",dataFolderName:".vscode-oss",urlProtocol:"code-oss",reportIssueUrl:"https://github.com/microsoft/vscode/issues/new",licenseName:"MIT",licenseUrl:"https://github.com/microsoft/vscode/blob/main/LICENSE.txt",extensionAllowedProposedApi:["ms-vscode.vscode-js-profile-flame","ms-vscode.vscode-js-profile-table","GitHub.remotehub","GitHub.remotehub-insiders"]});e.default=P}),define(we[30],ye([0,1,6]),function(J,e,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.productSchemaId=e.IProductService=void 0,e.IProductService=(0,k.createDecorator)("productService"),e.productSchemaId="vscode://schemas/vscode-product"}),define(we[194],ye([0,1,90,7,2,14,3,26,30]),function(J,e,k,t,p,C,P,D,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CredentialsMainService=void 0;let I=class Ft extends p.Disposable{constructor(R,g,b,c){super();this.isRunningOnServer=R,this.logService=g,this.environmentMainService=b,this.productService=c,this._onDidChangePassword=this._register(new t.Emitter),this.onDidChangePassword=this._onDidChangePassword.event}async getSecretStoragePrefix(){return`${this.productService.urlProtocol}${this.isRunningOnServer?"-server":""}`}async getPassword(R,g){const b=await this.withKeytar(),c=await b.getPassword(R,g);if(c)try{let{content:h,hasNextChunk:d}=JSON.parse(c);if(!h||!d)return c;let E=1;for(;d;){const w=await b.getPassword(R,`${g}-${E}`),f=JSON.parse(w);h+=f.content,d=f.hasNextChunk,E++}return h}catch{return c}return c}async setPassword(R,g,b){const c=await this.withKeytar(),h=3,d=async(E,w,f)=>{let y=0,u;for(;y<h;)try{await c.setPassword(E,w,f);return}catch(o){u=o,this.logService.warn("Error attempting to set a password: ",o),y++,await new Promise(l=>setTimeout(l,200))}throw u};if(P.isWindows&&b.length>Ft.MAX_PASSWORD_LENGTH){let E=0,w=0,f=!0;for(;f;){const y=b.substring(E,E+Ft.PASSWORD_CHUNK_SIZE);E+=Ft.PASSWORD_CHUNK_SIZE,f=b.length-E>0;const u={content:y,hasNextChunk:f};await d(R,w?`${g}-${w}`:g,JSON.stringify(u)),w++}}else await d(R,g,b);this._onDidChangePassword.fire({service:R,account:g})}async deletePassword(R,g){const c=await(await this.withKeytar()).deletePassword(R,g);return c&&this._onDidChangePassword.fire({service:R,account:g}),c}async findPassword(R){return(await this.withKeytar()).findPassword(R)}async findCredentials(R){return(await this.withKeytar()).findCredentials(R)}async withKeytar(){if(this._keytarCache)return this._keytarCache;if(this.environmentMainService.disableKeytar)return this.logService.info("Keytar is disabled. Using in-memory credential store instead."),this._keytarCache=new k.InMemoryCredentialsProvider,this._keytarCache;try{this._keytarCache=await new Promise((R,g)=>{J(["keytar"],R,g)}),await this._keytarCache.findCredentials("test-keytar-loads")}catch(R){if(!this.isRunningOnServer)throw R;this.logService.warn(`Switching to using in-memory credential store instead because Keytar failed to load: ${R.message}`),this._keytarCache=new k.InMemoryCredentialsProvider}return this._keytarCache}clear(){return this._keytarCache instanceof k.InMemoryCredentialsProvider?this._keytarCache.clear():Promise.resolve()}};I.MAX_PASSWORD_LENGTH=2500,I.PASSWORD_CHUNK_SIZE=I.MAX_PASSWORD_LENGTH-100,I=Ae([Oe(1,C.ILogService),Oe(2,D.INativeEnvironmentService),Oe(3,v.IProductService)],I),e.CredentialsMainService=I}),define(we[35],ye([0,1,117,12]),function(J,e,k,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Registry=void 0;class p{constructor(){this.data=new Map}add(P,D){k.ok(t.isString(P)),k.ok(t.isObject(D)),k.ok(!this.data.has(P),"There is already an extension with this id"),this.data.set(P,D)}knows(P){return this.data.has(P)}as(P){return this.data.get(P)||null}}e.Registry=new p}),define(we[195],ye([0,1,7,35]),function(J,e,k,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Extensions=void 0,e.Extensions={JSONContribution:"base.contributions.json"};function p(D){return D.length>0&&D.charAt(D.length-1)==="#"?D.substring(0,D.length-1):D}class C{constructor(){this._onDidChangeSchema=new k.Emitter,this.onDidChangeSchema=this._onDidChangeSchema.event,this.schemasById={}}registerSchema(v,I){this.schemasById[p(v)]=I,this._onDidChangeSchema.fire(v)}notifySchemaChanged(v){this._onDidChangeSchema.fire(v)}getSchemaContributions(){return{schemas:this.schemasById}}}const P=new C;t.Registry.add(e.Extensions.JSONContribution,P)}),define(we[45],ye([0,1,17,7,12,145,195,35]),function(J,e,k,t,p,C,P,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getScopes=e.validateProperty=e.getDefaultValue=e.keyFromOverrideIdentifiers=e.overrideIdentifiersFromKey=e.OVERRIDE_PROPERTY_REGEX=e.OVERRIDE_PROPERTY_PATTERN=e.configurationDefaultsSchemaId=e.resourceLanguageSettingsSchemaId=e.resourceSettings=e.windowSettings=e.machineOverridableSettings=e.machineSettings=e.applicationSettings=e.allSettings=e.ConfigurationScope=e.Extensions=e.EditPresentationTypes=void 0;var v;(function(y){y.Multiline="multilineText",y.Singleline="singlelineText"})(v=e.EditPresentationTypes||(e.EditPresentationTypes={})),e.Extensions={Configuration:"base.contributions.configuration"};var I;(function(y){y[y.APPLICATION=1]="APPLICATION",y[y.MACHINE=2]="MACHINE",y[y.WINDOW=3]="WINDOW",y[y.RESOURCE=4]="RESOURCE",y[y.LANGUAGE_OVERRIDABLE=5]="LANGUAGE_OVERRIDABLE",y[y.MACHINE_OVERRIDABLE=6]="MACHINE_OVERRIDABLE"})(I=e.ConfigurationScope||(e.ConfigurationScope={})),e.allSettings={properties:{},patternProperties:{}},e.applicationSettings={properties:{},patternProperties:{}},e.machineSettings={properties:{},patternProperties:{}},e.machineOverridableSettings={properties:{},patternProperties:{}},e.windowSettings={properties:{},patternProperties:{}},e.resourceSettings={properties:{},patternProperties:{}},e.resourceLanguageSettingsSchemaId="vscode://schemas/settings/resourceLanguage",e.configurationDefaultsSchemaId="vscode://schemas/settings/configurationDefaults";const L=D.Registry.as(P.Extensions.JSONContribution);class R{constructor(){this.overrideIdentifiers=new Set,this._onDidSchemaChange=new t.Emitter,this.onDidSchemaChange=this._onDidSchemaChange.event,this._onDidUpdateConfiguration=new t.Emitter,this.onDidUpdateConfiguration=this._onDidUpdateConfiguration.event,this.configurationDefaultsOverrides=new Map,this.defaultLanguageConfigurationOverridesNode={id:"defaultOverrides",title:C.localize(0,null),properties:{}},this.configurationContributors=[this.defaultLanguageConfigurationOverridesNode],this.resourceLanguageSettingsSchema={properties:{},patternProperties:{},additionalProperties:!1,errorMessage:"Unknown editor configuration setting",allowTrailingCommas:!0,allowComments:!0},this.configurationProperties={},this.excludedConfigurationProperties={},L.registerSchema(e.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema),this.registerOverridePropertyPatternKey()}registerConfiguration(u,o=!0){this.registerConfigurations([u],o)}registerConfigurations(u,o=!0){const l=this.doRegisterConfigurations(u,o);L.registerSchema(e.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire({properties:l})}deregisterConfigurations(u){const o=this.doDeregisterConfigurations(u);L.registerSchema(e.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire({properties:o})}updateConfigurations({add:u,remove:o}){const l=[];l.push(...this.doDeregisterConfigurations(o)),l.push(...this.doRegisterConfigurations(u,!1)),L.registerSchema(e.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire({properties:(0,k.distinct)(l)})}registerDefaultConfigurations(u){const o=[],l=[];for(const{overrides:s,source:n}of u)for(const i in s)if(o.push(i),e.OVERRIDE_PROPERTY_REGEX.test(i)){const r={...this.configurationDefaultsOverrides.get(i)?.value||{},...s[i]};this.configurationDefaultsOverrides.set(i,{source:n,value:r});const a={type:"object",default:r,description:C.localize(1,null,i),$ref:e.resourceLanguageSettingsSchemaId,defaultDefaultValue:r,source:p.isString(n)?void 0:n};l.push(...c(i)),this.configurationProperties[i]=a,this.defaultLanguageConfigurationOverridesNode.properties[i]=a}else{this.configurationDefaultsOverrides.set(i,{value:s[i],source:n});const r=this.configurationProperties[i];r&&(this.updatePropertyDefaultValue(i,r),this.updateSchema(i,r))}this.registerOverrideIdentifiers(l),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire({properties:o,defaultsOverrides:!0})}deregisterDefaultConfigurations(u){const o=[];for(const{overrides:l,source:s}of u)for(const n in l){const i=this.configurationDefaultsOverrides.get(n),r=p.isString(s)?s:s?.id,a=p.isString(i?.source)?i?.source:i?.source?.id;if(r===a)if(o.push(n),this.configurationDefaultsOverrides.delete(n),e.OVERRIDE_PROPERTY_REGEX.test(n))delete this.configurationProperties[n],delete this.defaultLanguageConfigurationOverridesNode.properties[n];else{const m=this.configurationProperties[n];m&&(this.updatePropertyDefaultValue(n,m),this.updateSchema(n,m))}}this.updateOverridePropertyPatternKey(),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire({properties:o,defaultsOverrides:!0})}notifyConfigurationSchemaUpdated(...u){this._onDidSchemaChange.fire()}registerOverrideIdentifiers(u){for(const o of u)this.overrideIdentifiers.add(o);this.updateOverridePropertyPatternKey()}doRegisterConfigurations(u,o){const l=[];return u.forEach(s=>{l.push(...this.validateAndRegisterProperties(s,o,s.extensionInfo,s.restrictedProperties)),this.configurationContributors.push(s),this.registerJSONConfiguration(s)}),l}doDeregisterConfigurations(u){const o=[],l=s=>{if(s.properties)for(const n in s.properties)o.push(n),delete this.configurationProperties[n],this.removeFromSchema(n,s.properties[n]);s.allOf&&s.allOf.forEach(n=>l(n))};for(const s of u){l(s);const n=this.configurationContributors.indexOf(s);n!==-1&&this.configurationContributors.splice(n,1)}return o}validateAndRegisterProperties(u,o=!0,l,s,n=3){n=p.isUndefinedOrNull(u.scope)?n:u.scope;let i=[],r=u.properties;if(r)for(let m in r){if(o&&w(m)){delete r[m];continue}const S=r[m];if(S.source=l,S.defaultDefaultValue=r[m].default,this.updatePropertyDefaultValue(m,S),e.OVERRIDE_PROPERTY_REGEX.test(m)?S.scope=void 0:(S.scope=p.isUndefinedOrNull(S.scope)?n:S.scope,S.restricted=p.isUndefinedOrNull(S.restricted)?!!s?.includes(m):S.restricted),r[m].hasOwnProperty("included")&&!r[m].included){this.excludedConfigurationProperties[m]=r[m],delete r[m];continue}else this.configurationProperties[m]=r[m];!r[m].deprecationMessage&&r[m].markdownDeprecationMessage&&(r[m].deprecationMessage=r[m].markdownDeprecationMessage),i.push(m)}let a=u.allOf;if(a)for(let m of a)i.push(...this.validateAndRegisterProperties(m,o,l,s,n));return i}getConfigurations(){return this.configurationContributors}getConfigurationProperties(){return this.configurationProperties}getExcludedConfigurationProperties(){return this.excludedConfigurationProperties}getConfigurationDefaultsOverrides(){return this.configurationDefaultsOverrides}registerJSONConfiguration(u){const o=l=>{let s=l.properties;if(s)for(const i in s)this.updateSchema(i,s[i]);let n=l.allOf;n&&n.forEach(o)};o(u)}updateSchema(u,o){switch(e.allSettings.properties[u]=o,o.scope){case 1:e.applicationSettings.properties[u]=o;break;case 2:e.machineSettings.properties[u]=o;break;case 6:e.machineOverridableSettings.properties[u]=o;break;case 3:e.windowSettings.properties[u]=o;break;case 4:e.resourceSettings.properties[u]=o;break;case 5:e.resourceSettings.properties[u]=o,this.resourceLanguageSettingsSchema.properties[u]=o;break}}removeFromSchema(u,o){switch(delete e.allSettings.properties[u],o.scope){case 1:delete e.applicationSettings.properties[u];break;case 2:delete e.machineSettings.properties[u];break;case 6:delete e.machineOverridableSettings.properties[u];break;case 3:delete e.windowSettings.properties[u];break;case 4:case 5:delete e.resourceSettings.properties[u],delete this.resourceLanguageSettingsSchema.properties[u];break}}updateOverridePropertyPatternKey(){for(const u of this.overrideIdentifiers.values()){const o=`[${u}]`,l={type:"object",description:C.localize(2,null),errorMessage:C.localize(3,null),$ref:e.resourceLanguageSettingsSchemaId};this.updatePropertyDefaultValue(o,l),e.allSettings.properties[o]=l,e.applicationSettings.properties[o]=l,e.machineSettings.properties[o]=l,e.machineOverridableSettings.properties[o]=l,e.windowSettings.properties[o]=l,e.resourceSettings.properties[o]=l}this._onDidSchemaChange.fire()}registerOverridePropertyPatternKey(){const u={type:"object",description:C.localize(4,null),errorMessage:C.localize(5,null),$ref:e.resourceLanguageSettingsSchemaId};e.allSettings.patternProperties[e.OVERRIDE_PROPERTY_PATTERN]=u,e.applicationSettings.patternProperties[e.OVERRIDE_PROPERTY_PATTERN]=u,e.machineSettings.patternProperties[e.OVERRIDE_PROPERTY_PATTERN]=u,e.machineOverridableSettings.patternProperties[e.OVERRIDE_PROPERTY_PATTERN]=u,e.windowSettings.patternProperties[e.OVERRIDE_PROPERTY_PATTERN]=u,e.resourceSettings.patternProperties[e.OVERRIDE_PROPERTY_PATTERN]=u,this._onDidSchemaChange.fire()}updatePropertyDefaultValue(u,o){const l=this.configurationDefaultsOverrides.get(u);let s=l?.value,n=l?.source;p.isUndefined(s)&&(s=o.defaultDefaultValue,n=void 0),p.isUndefined(s)&&(s=d(o.type)),o.default=s,o.defaultValueSource=n}}const g="\\[([^\\]]+)\\]",b=new RegExp(g,"g");e.OVERRIDE_PROPERTY_PATTERN=`^(${g})+$`,e.OVERRIDE_PROPERTY_REGEX=new RegExp(e.OVERRIDE_PROPERTY_PATTERN);function c(y){const u=[];if(e.OVERRIDE_PROPERTY_REGEX.test(y)){let o=b.exec(y);for(;o?.length;){const l=o[1].trim();l&&u.push(l),o=b.exec(y)}}return(0,k.distinct)(u)}e.overrideIdentifiersFromKey=c;function h(y){return y.reduce((u,o)=>`${u}[${o}]`,"")}e.keyFromOverrideIdentifiers=h;function d(y){switch(Array.isArray(y)?y[0]:y){case"boolean":return!1;case"integer":case"number":return 0;case"string":return"";case"array":return[];case"object":return{};default:return null}}e.getDefaultValue=d;const E=new R;D.Registry.add(e.Extensions.Configuration,E);function w(y){return y.trim()?e.OVERRIDE_PROPERTY_REGEX.test(y)?C.localize(7,null,y):E.getConfigurationProperties()[y]!==void 0?C.localize(8,null,y):null:C.localize(6,null)}e.validateProperty=w;function f(){const y=[],u=E.getConfigurationProperties();for(const o of Object.keys(u))y.push([o,u[o].scope]);return y.push(["launch",4]),y.push(["task",4]),y}e.getScopes=f}),define(we[196],ye([0,1,17,7,59,2,29,21,12,4,28,45,35]),function(J,e,k,t,p,C,P,D,v,I,L,R,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AllKeysConfigurationChangeEvent=e.ConfigurationChangeEvent=e.mergeChanges=e.Configuration=e.UserSettings=e.ConfigurationModelParser=e.DefaultConfigurationModel=e.ConfigurationModel=void 0;class b{constructor(s={},n=[],i=[]){this._contents=s,this._keys=n,this._overrides=i,this.isFrozen=!1,this.overrideConfigurations=new Map}get contents(){return this.checkAndFreeze(this._contents)}get overrides(){return this.checkAndFreeze(this._overrides)}get keys(){return this.checkAndFreeze(this._keys)}isEmpty(){return this._keys.length===0&&Object.keys(this._contents).length===0&&this._overrides.length===0}getValue(s){return s?(0,L.getConfigurationValue)(this.contents,s):this.contents}getOverrideValue(s,n){const i=this.getContentsForOverrideIdentifer(n);return i?s?(0,L.getConfigurationValue)(i,s):i:void 0}getKeysForOverrideIdentifier(s){const n=[];for(const i of this.overrides)i.identifiers.includes(s)&&n.push(...i.keys);return k.distinct(n)}getAllOverrideIdentifiers(){const s=[];for(const n of this.overrides)s.push(...n.identifiers);return k.distinct(s)}override(s){let n=this.overrideConfigurations.get(s);return n||(n=this.createOverrideConfigurationModel(s),this.overrideConfigurations.set(s,n)),n}merge(...s){const n=D.deepClone(this.contents),i=D.deepClone(this.overrides),r=[...this.keys];for(const a of s){this.mergeContents(n,a.contents);for(const m of a.overrides){const[S]=i.filter(_=>k.equals(_.identifiers,m.identifiers));S?(this.mergeContents(S.contents,m.contents),S.keys.push(...m.keys),S.keys=k.distinct(S.keys)):i.push(D.deepClone(m))}for(const m of a.keys)r.indexOf(m)===-1&&r.push(m)}return new b(n,r,i)}freeze(){return this.isFrozen=!0,this}createOverrideConfigurationModel(s){const n=this.getContentsForOverrideIdentifer(s);if(!n||typeof n!="object"||!Object.keys(n).length)return this;let i={};for(const r of k.distinct([...Object.keys(this.contents),...Object.keys(n)])){let a=this.contents[r],m=n[r];m&&(typeof a=="object"&&typeof m=="object"?(a=D.deepClone(a),this.mergeContents(a,m)):a=m),i[r]=a}return new b(i,this.keys,this.overrides)}mergeContents(s,n){for(const i of Object.keys(n)){if(i in s&&v.isObject(s[i])&&v.isObject(n[i])){this.mergeContents(s[i],n[i]);continue}s[i]=D.deepClone(n[i])}}checkAndFreeze(s){return this.isFrozen&&!Object.isFrozen(s)?D.deepFreeze(s):s}getContentsForOverrideIdentifer(s){let n=null,i=null;const r=a=>{a&&(i?this.mergeContents(i,a):i=D.deepClone(a))};for(const a of this.overrides)k.equals(a.identifiers,[s])?n=a.contents:a.identifiers.includes(s)&&r(a.contents);return r(n),i}toJSON(){return{contents:this.contents,overrides:this.overrides,keys:this.keys}}setValue(s,n){this.addKey(s),(0,L.addToValueTree)(this.contents,s,n,i=>{throw new Error(i)})}removeValue(s){this.removeKey(s)&&(0,L.removeFromValueTree)(this.contents,s)}addKey(s){let n=this.keys.length;for(let i=0;i<n;i++)s.indexOf(this.keys[i])===0&&(n=i);this.keys.splice(n,1,s)}removeKey(s){let n=this.keys.indexOf(s);return n!==-1?(this.keys.splice(n,1),!0):!1}}e.ConfigurationModel=b;class c extends b{constructor(s={}){const n=g.Registry.as(R.Extensions.Configuration).getConfigurationProperties(),i=Object.keys(n),r=Object.create(null),a=[];for(const m in n){const S=s[m],_=S!==void 0?S:n[m].default;(0,L.addToValueTree)(r,m,_,F=>console.error(`Conflict in default settings: ${F}`))}for(const m of Object.keys(r))R.OVERRIDE_PROPERTY_REGEX.test(m)&&a.push({identifiers:(0,R.overrideIdentifiersFromKey)(m),keys:Object.keys(r[m]),contents:(0,L.toValuesTree)(r[m],S=>console.error(`Conflict in default settings file: ${S}`))});super(r,i,a)}}e.DefaultConfigurationModel=c;class h{constructor(s){this._name=s,this._raw=null,this._configurationModel=null,this._restrictedConfigurations=[],this._parseErrors=[]}get configurationModel(){return this._configurationModel||new b}get restrictedConfigurations(){return this._restrictedConfigurations}get errors(){return this._parseErrors}parse(s,n){if(!v.isUndefinedOrNull(s)){const i=this.doParseContent(s);this.parseRaw(i,n)}}reparse(s){this._raw&&this.parseRaw(this._raw,s)}parseRaw(s,n){this._raw=s;const{contents:i,keys:r,overrides:a,restricted:m}=this.doParseRaw(s,n);this._configurationModel=new b(i,r,a),this._restrictedConfigurations=m||[]}doParseContent(s){let n={},i=null,r=[],a=[],m=[];function S(F){Array.isArray(r)?r.push(F):i!==null&&(r[i]=F)}let _={onObjectBegin:()=>{let F={};S(F),a.push(r),r=F,i=null},onObjectProperty:F=>{i=F},onObjectEnd:()=>{r=a.pop()},onArrayBegin:()=>{let F=[];S(F),a.push(r),r=F,i=null},onArrayEnd:()=>{r=a.pop()},onLiteralValue:S,onError:(F,B,A)=>{m.push({error:F,offset:B,length:A})}};if(s)try{p.visit(s,_),n=r[0]||{}}catch(F){console.error(`Error while parsing settings file ${this._name}: ${F}`),this._parseErrors=[F]}return n}doParseRaw(s,n){const i=g.Registry.as(R.Extensions.Configuration).getConfigurationProperties(),r=this.filter(s,i,!0,n);s=r.raw;const a=(0,L.toValuesTree)(s,_=>console.error(`Conflict in settings file ${this._name}: ${_}`)),m=Object.keys(s),S=this.toOverrides(s,_=>console.error(`Conflict in settings file ${this._name}: ${_}`));return{contents:a,keys:m,overrides:S,restricted:r.restricted}}filter(s,n,i,r){if(!r?.scopes&&!r?.skipRestricted)return{raw:s,restricted:[]};const a={},m=[];for(let S in s)if(R.OVERRIDE_PROPERTY_REGEX.test(S)&&i){const _=this.filter(s[S],n,!1,r);a[S]=_.raw,m.push(..._.restricted)}else{const _=n[S],F=_?typeof _.scope!="undefined"?_.scope:3:void 0;_?.restricted&&m.push(S),(F===void 0||r.scopes===void 0||r.scopes.includes(F))&&(r.skipRestricted&&_?.restricted||(a[S]=s[S]))}return{raw:a,restricted:m}}toOverrides(s,n){const i=[];for(const r of Object.keys(s))if(R.OVERRIDE_PROPERTY_REGEX.test(r)){const a={};for(const m in s[r])a[m]=s[r][m];i.push({identifiers:(0,R.overrideIdentifiersFromKey)(r),keys:Object.keys(a),contents:(0,L.toValuesTree)(a,n)})}return i}}e.ConfigurationModelParser=h;class d extends C.Disposable{constructor(s,n,i,r){super();this.userSettingsResource=s,this.scopes=n,this.fileService=r,this._onDidChange=this._register(new t.Emitter),this.onDidChange=this._onDidChange.event,this.parser=new h(this.userSettingsResource.toString()),this.parseOptions={scopes:this.scopes},this._register(this.fileService.watch(i.dirname(this.userSettingsResource))),this._register(this.fileService.watch(this.userSettingsResource)),this._register(t.Event.any(t.Event.filter(this.fileService.onDidFilesChange,a=>a.contains(this.userSettingsResource)),t.Event.filter(this.fileService.onDidRunOperation,a=>(a.isOperation(0)||a.isOperation(1)||a.isOperation(4))&&i.isEqual(a.resource,s)))(()=>this._onDidChange.fire()))}async loadConfiguration(){try{const s=await this.fileService.readFile(this.userSettingsResource);return this.parser.parse(s.value.toString()||"{}",this.parseOptions),this.parser.configurationModel}catch{return new b}}reparse(){return this.parser.reparse(this.parseOptions),this.parser.configurationModel}getRestrictedSettings(){return this.parser.restrictedConfigurations}}e.UserSettings=d;class E{constructor(s,n,i=new b,r=new b,a=new P.ResourceMap,m=new b,S=new P.ResourceMap,_=!0){this._defaultConfiguration=s,this._localUserConfiguration=n,this._remoteUserConfiguration=i,this._workspaceConfiguration=r,this._folderConfigurations=a,this._memoryConfiguration=m,this._memoryConfigurationByResource=S,this._freeze=_,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations=new P.ResourceMap,this._userConfiguration=null}getValue(s,n,i){return this.getConsolidateConfigurationModel(n,i).getValue(s)}updateValue(s,n,i={}){let r;i.resource?(r=this._memoryConfigurationByResource.get(i.resource),r||(r=new b,this._memoryConfigurationByResource.set(i.resource,r))):r=this._memoryConfiguration,n===void 0?r.removeValue(s):r.setValue(s,n),i.resource||(this._workspaceConsolidatedConfiguration=null)}inspect(s,n,i){const r=this.getConsolidateConfigurationModel(n,i),a=this.getFolderConfigurationModelForResource(n.resource,i),m=n.resource?this._memoryConfigurationByResource.get(n.resource)||this._memoryConfiguration:this._memoryConfiguration,S=n.overrideIdentifier?this._defaultConfiguration.freeze().override(n.overrideIdentifier).getValue(s):this._defaultConfiguration.freeze().getValue(s),_=n.overrideIdentifier?this.userConfiguration.freeze().override(n.overrideIdentifier).getValue(s):this.userConfiguration.freeze().getValue(s),F=n.overrideIdentifier?this.localUserConfiguration.freeze().override(n.overrideIdentifier).getValue(s):this.localUserConfiguration.freeze().getValue(s),B=n.overrideIdentifier?this.remoteUserConfiguration.freeze().override(n.overrideIdentifier).getValue(s):this.remoteUserConfiguration.freeze().getValue(s),A=i?n.overrideIdentifier?this._workspaceConfiguration.freeze().override(n.overrideIdentifier).getValue(s):this._workspaceConfiguration.freeze().getValue(s):void 0,T=a?n.overrideIdentifier?a.freeze().override(n.overrideIdentifier).getValue(s):a.freeze().getValue(s):void 0,U=n.overrideIdentifier?m.override(n.overrideIdentifier).getValue(s):m.getValue(s),N=r.getValue(s),W=k.distinct(k.flatten(r.overrides.map(ie=>ie.identifiers))).filter(ie=>r.getOverrideValue(s,ie)!==void 0);return{defaultValue:S,userValue:_,userLocalValue:F,userRemoteValue:B,workspaceValue:A,workspaceFolderValue:T,memoryValue:U,value:N,default:S!==void 0?{value:this._defaultConfiguration.freeze().getValue(s),override:n.overrideIdentifier?this._defaultConfiguration.freeze().getOverrideValue(s,n.overrideIdentifier):void 0}:void 0,user:_!==void 0?{value:this.userConfiguration.freeze().getValue(s),override:n.overrideIdentifier?this.userConfiguration.freeze().getOverrideValue(s,n.overrideIdentifier):void 0}:void 0,userLocal:F!==void 0?{value:this.localUserConfiguration.freeze().getValue(s),override:n.overrideIdentifier?this.localUserConfiguration.freeze().getOverrideValue(s,n.overrideIdentifier):void 0}:void 0,userRemote:B!==void 0?{value:this.remoteUserConfiguration.freeze().getValue(s),override:n.overrideIdentifier?this.remoteUserConfiguration.freeze().getOverrideValue(s,n.overrideIdentifier):void 0}:void 0,workspace:A!==void 0?{value:this._workspaceConfiguration.freeze().getValue(s),override:n.overrideIdentifier?this._workspaceConfiguration.freeze().getOverrideValue(s,n.overrideIdentifier):void 0}:void 0,workspaceFolder:T!==void 0?{value:a?.freeze().getValue(s),override:n.overrideIdentifier?a?.freeze().getOverrideValue(s,n.overrideIdentifier):void 0}:void 0,memory:U!==void 0?{value:m.getValue(s),override:n.overrideIdentifier?m.getOverrideValue(s,n.overrideIdentifier):void 0}:void 0,overrideIdentifiers:W.length?W:void 0}}keys(s){const n=this.getFolderConfigurationModelForResource(void 0,s);return{default:this._defaultConfiguration.freeze().keys,user:this.userConfiguration.freeze().keys,workspace:this._workspaceConfiguration.freeze().keys,workspaceFolder:n?n.freeze().keys:[]}}updateDefaultConfiguration(s){this._defaultConfiguration=s,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateLocalUserConfiguration(s){this._localUserConfiguration=s,this._userConfiguration=null,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateRemoteUserConfiguration(s){this._remoteUserConfiguration=s,this._userConfiguration=null,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateWorkspaceConfiguration(s){this._workspaceConfiguration=s,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateFolderConfiguration(s,n){this._folderConfigurations.set(s,n),this._foldersConsolidatedConfigurations.delete(s)}deleteFolderConfiguration(s){this.folderConfigurations.delete(s),this._foldersConsolidatedConfigurations.delete(s)}compareAndUpdateDefaultConfiguration(s,n){const i=[];if(!n){const{added:r,updated:a,removed:m}=u(this._defaultConfiguration,s);n=[...r,...a,...m]}for(const r of n)for(const a of(0,R.overrideIdentifiersFromKey)(r)){const m=this._defaultConfiguration.getKeysForOverrideIdentifier(a),S=s.getKeysForOverrideIdentifier(a),_=[...S.filter(F=>m.indexOf(F)===-1),...m.filter(F=>S.indexOf(F)===-1),...m.filter(F=>!D.equals(this._defaultConfiguration.override(a).getValue(F),s.override(a).getValue(F)))];i.push([a,_])}return this.updateDefaultConfiguration(s),{keys:n,overrides:i}}compareAndUpdateLocalUserConfiguration(s){const{added:n,updated:i,removed:r,overrides:a}=u(this.localUserConfiguration,s),m=[...n,...i,...r];return m.length&&this.updateLocalUserConfiguration(s),{keys:m,overrides:a}}compareAndUpdateRemoteUserConfiguration(s){const{added:n,updated:i,removed:r,overrides:a}=u(this.remoteUserConfiguration,s);let m=[...n,...i,...r];return m.length&&this.updateRemoteUserConfiguration(s),{keys:m,overrides:a}}compareAndUpdateWorkspaceConfiguration(s){const{added:n,updated:i,removed:r,overrides:a}=u(this.workspaceConfiguration,s);let m=[...n,...i,...r];return m.length&&this.updateWorkspaceConfiguration(s),{keys:m,overrides:a}}compareAndUpdateFolderConfiguration(s,n){const i=this.folderConfigurations.get(s),{added:r,updated:a,removed:m,overrides:S}=u(i,n);let _=[...r,...a,...m];return(_.length||!i)&&this.updateFolderConfiguration(s,n),{keys:_,overrides:S}}compareAndDeleteFolderConfiguration(s){const n=this.folderConfigurations.get(s);if(!n)throw new Error("Unknown folder");this.deleteFolderConfiguration(s);const{added:i,updated:r,removed:a,overrides:m}=u(n,void 0);return{keys:[...i,...r,...a],overrides:m}}get defaults(){return this._defaultConfiguration}get userConfiguration(){return this._userConfiguration||(this._userConfiguration=this._remoteUserConfiguration.isEmpty()?this._localUserConfiguration:this._localUserConfiguration.merge(this._remoteUserConfiguration),this._freeze&&this._userConfiguration.freeze()),this._userConfiguration}get localUserConfiguration(){return this._localUserConfiguration}get remoteUserConfiguration(){return this._remoteUserConfiguration}get workspaceConfiguration(){return this._workspaceConfiguration}get folderConfigurations(){return this._folderConfigurations}getConsolidateConfigurationModel(s,n){let i=this.getConsolidatedConfigurationModelForResource(s,n);return s.overrideIdentifier?i.override(s.overrideIdentifier):i}getConsolidatedConfigurationModelForResource({resource:s},n){let i=this.getWorkspaceConsolidatedConfiguration();if(n&&s){const r=n.getFolder(s);r&&(i=this.getFolderConsolidatedConfiguration(r.uri)||i);const a=this._memoryConfigurationByResource.get(s);a&&(i=i.merge(a))}return i}getWorkspaceConsolidatedConfiguration(){return this._workspaceConsolidatedConfiguration||(this._workspaceConsolidatedConfiguration=this._defaultConfiguration.merge(this.userConfiguration,this._workspaceConfiguration,this._memoryConfiguration),this._freeze&&(this._workspaceConfiguration=this._workspaceConfiguration.freeze())),this._workspaceConsolidatedConfiguration}getFolderConsolidatedConfiguration(s){let n=this._foldersConsolidatedConfigurations.get(s);if(!n){const i=this.getWorkspaceConsolidatedConfiguration(),r=this._folderConfigurations.get(s);r?(n=i.merge(r),this._freeze&&(n=n.freeze()),this._foldersConsolidatedConfigurations.set(s,n)):n=i}return n}getFolderConfigurationModelForResource(s,n){if(n&&s){const i=n.getFolder(s);if(i)return this._folderConfigurations.get(i.uri)}}toData(){return{defaults:{contents:this._defaultConfiguration.contents,overrides:this._defaultConfiguration.overrides,keys:this._defaultConfiguration.keys},user:{contents:this.userConfiguration.contents,overrides:this.userConfiguration.overrides,keys:this.userConfiguration.keys},workspace:{contents:this._workspaceConfiguration.contents,overrides:this._workspaceConfiguration.overrides,keys:this._workspaceConfiguration.keys},folders:[...this._folderConfigurations.keys()].reduce((s,n)=>{const{contents:i,overrides:r,keys:a}=this._folderConfigurations.get(n);return s.push([n,{contents:i,overrides:r,keys:a}]),s},[])}}allKeys(){const s=new Set;return this._defaultConfiguration.freeze().keys.forEach(n=>s.add(n)),this.userConfiguration.freeze().keys.forEach(n=>s.add(n)),this._workspaceConfiguration.freeze().keys.forEach(n=>s.add(n)),this._folderConfigurations.forEach(n=>n.freeze().keys.forEach(i=>s.add(i))),[...s.values()]}allOverrideIdentifiers(){const s=new Set;return this._defaultConfiguration.freeze().getAllOverrideIdentifiers().forEach(n=>s.add(n)),this.userConfiguration.freeze().getAllOverrideIdentifiers().forEach(n=>s.add(n)),this._workspaceConfiguration.freeze().getAllOverrideIdentifiers().forEach(n=>s.add(n)),this._folderConfigurations.forEach(n=>n.freeze().getAllOverrideIdentifiers().forEach(i=>s.add(i))),[...s.values()]}getAllKeysForOverrideIdentifier(s){const n=new Set;return this._defaultConfiguration.getKeysForOverrideIdentifier(s).forEach(i=>n.add(i)),this.userConfiguration.getKeysForOverrideIdentifier(s).forEach(i=>n.add(i)),this._workspaceConfiguration.getKeysForOverrideIdentifier(s).forEach(i=>n.add(i)),this._folderConfigurations.forEach(i=>i.getKeysForOverrideIdentifier(s).forEach(r=>n.add(r))),[...n.values()]}static parse(s){const n=this.parseConfigurationModel(s.defaults),i=this.parseConfigurationModel(s.user),r=this.parseConfigurationModel(s.workspace),a=s.folders.reduce((m,S)=>(m.set(I.URI.revive(S[0]),this.parseConfigurationModel(S[1])),m),new P.ResourceMap);return new E(n,i,new b,r,a,new b,new P.ResourceMap,!1)}static parseConfigurationModel(s){return new b(s.contents,s.keys,s.overrides).freeze()}}e.Configuration=E;function w(...l){if(l.length===0)return{keys:[],overrides:[]};if(l.length===1)return l[0];const s=new Set,n=new Map;for(const r of l)r.keys.forEach(a=>s.add(a)),r.overrides.forEach(([a,m])=>{const S=(0,P.getOrSet)(n,a,new Set);m.forEach(_=>S.add(_))});const i=[];return n.forEach((r,a)=>i.push([a,[...r.values()]])),{keys:[...s.values()],overrides:i}}e.mergeChanges=w;class f{constructor(s,n,i,r){this.change=s,this.previous=n,this.currentConfiguraiton=i,this.currentWorkspace=r,this._previousConfiguration=void 0;const a=new Set;s.keys.forEach(S=>a.add(S)),s.overrides.forEach(([,S])=>S.forEach(_=>a.add(_))),this.affectedKeys=[...a.values()];const m=new b;this.affectedKeys.forEach(S=>m.setValue(S,{})),this.affectedKeysTree=m.contents}get previousConfiguration(){return!this._previousConfiguration&&this.previous&&(this._previousConfiguration=E.parse(this.previous.data)),this._previousConfiguration}affectsConfiguration(s,n){if(this.doesAffectedKeysTreeContains(this.affectedKeysTree,s)){if(n){const i=this.previousConfiguration?this.previousConfiguration.getValue(s,n,this.previous?.workspace):void 0,r=this.currentConfiguraiton.getValue(s,n,this.currentWorkspace);return!D.equals(i,r)}return!0}return!1}doesAffectedKeysTreeContains(s,n){let i=(0,L.toValuesTree)({[n]:!0},()=>{}),r;for(;typeof i=="object"&&(r=Object.keys(i)[0]);){if(s=s[r],!s)return!1;i=i[r]}return!0}}e.ConfigurationChangeEvent=f;class y extends f{constructor(s,n,i,r){super({keys:s.allKeys(),overrides:[]},void 0,s,n);this.source=i,this.sourceConfig=r}}e.AllKeysConfigurationChangeEvent=y;function u(l,s){const{added:n,removed:i,updated:r}=o(s,l),a=[],m=l?.getAllOverrideIdentifiers()||[],S=s?.getAllOverrideIdentifiers()||[];if(s){const _=S.filter(F=>!m.includes(F));for(const F of _)a.push([F,s.getKeysForOverrideIdentifier(F)])}if(l){const _=m.filter(F=>!S.includes(F));for(const F of _)a.push([F,l.getKeysForOverrideIdentifier(F)])}if(s&&l){for(const _ of m)if(S.includes(_)){const F=o({contents:l.getOverrideValue(void 0,_)||{},keys:l.getKeysForOverrideIdentifier(_)},{contents:s.getOverrideValue(void 0,_)||{},keys:s.getKeysForOverrideIdentifier(_)});a.push([_,[...F.added,...F.removed,...F.updated]])}}return{added:n,removed:i,updated:r,overrides:a}}function o(l,s){const n=l?s?l.keys.filter(a=>s.keys.indexOf(a)===-1):[...l.keys]:[],i=s?l?s.keys.filter(a=>l.keys.indexOf(a)===-1):[...s.keys]:[],r=[];if(l&&s){for(const a of s.keys)if(l.keys.indexOf(a)!==-1){const m=(0,L.getConfigurationValue)(s.contents,a),S=(0,L.getConfigurationValue)(l.contents,a);D.equals(m,S)||r.push(a)}}return{added:n,removed:i,updated:r}}}),define(we[96],ye([0,1,13,7,2,22,28,196,45,35]),function(J,e,k,t,p,C,P,D,v,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ConfigurationService=void 0;class L extends p.Disposable{constructor(g,b){super();this.settingsResource=g,this._onDidChangeConfiguration=this._register(new t.Emitter),this.onDidChangeConfiguration=this._onDidChangeConfiguration.event,this.userConfiguration=this._register(new D.UserSettings(this.settingsResource,void 0,C.extUriBiasedIgnorePathCase,b)),this.configuration=new D.Configuration(new D.DefaultConfigurationModel,new D.ConfigurationModel),this.reloadConfigurationScheduler=this._register(new k.RunOnceScheduler(()=>this.reloadConfiguration(),50)),this._register(I.Registry.as(v.Extensions.Configuration).onDidUpdateConfiguration(({properties:c})=>this.onDidDefaultConfigurationChange(c))),this._register(this.userConfiguration.onDidChange(()=>this.reloadConfigurationScheduler.schedule()))}async initialize(){const g=await this.userConfiguration.loadConfiguration();this.configuration=new D.Configuration(new D.DefaultConfigurationModel,g)}getConfigurationData(){return this.configuration.toData()}getValue(g,b){const c=typeof g=="string"?g:void 0,h=(0,P.isConfigurationOverrides)(g)?g:(0,P.isConfigurationOverrides)(b)?b:{};return this.configuration.getValue(c,h,void 0)}updateValue(g,b,c,h){return Promise.reject(new Error("not supported"))}inspect(g){return this.configuration.inspect(g,{},void 0)}keys(){return this.configuration.keys(void 0)}async reloadConfiguration(){const g=await this.userConfiguration.loadConfiguration();this.onDidChangeUserConfiguration(g)}onDidChangeUserConfiguration(g){const b=this.configuration.toData(),c=this.configuration.compareAndUpdateLocalUserConfiguration(g);this.trigger(c,b,1)}onDidDefaultConfigurationChange(g){const b=this.configuration.toData(),c=this.configuration.compareAndUpdateDefaultConfiguration(new D.DefaultConfigurationModel,g);this.trigger(c,b,6)}trigger(g,b,c){const h=new D.ConfigurationChangeEvent(g,{data:b},this.configuration);h.source=c,h.sourceConfig=this.getTargetConfiguration(c),this._onDidChangeConfiguration.fire(h)}getTargetConfiguration(g){switch(g){case 6:return this.configuration.defaults.contents;case 1:return this.configuration.localUserConfiguration.contents}return{}}}e.ConfigurationService=L}),define(we[97],ye([0,1,6]),function(J,e,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.RemoteAuthorityResolverError=e.RemoteAuthorityResolverErrorCode=e.IRemoteAuthorityResolverService=void 0,e.IRemoteAuthorityResolverService=(0,k.createDecorator)("remoteAuthorityResolverService");var t;(function(C){C.Unknown="Unknown",C.NotAvailable="NotAvailable",C.TemporarilyNotAvailable="TemporarilyNotAvailable",C.NoResolverFound="NoResolverFound"})(t=e.RemoteAuthorityResolverErrorCode||(e.RemoteAuthorityResolverErrorCode={}));class p extends Error{constructor(P,D=t.Unknown,v){super(P);this._message=P,this._code=D,this._detail=v,this.isHandled=D===t.NotAvailable&&v===!0,typeof Object.setPrototypeOf=="function"&&Object.setPrototypeOf(this,p.prototype)}static isTemporarilyNotAvailable(P){return P instanceof p&&P._code===t.TemporarilyNotAvailable}static isNoResolverFound(P){return P instanceof p&&P._code===t.NoResolverFound}static isHandled(P){return P instanceof p&&P.isHandled}}e.RemoteAuthorityResolverError=p}),define(we[197],ye([0,1,8]),function(J,e,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getRemoteName=e.getRemoteAuthority=void 0;function t(C){return C.scheme===k.Schemas.vscodeRemote?C.authority:void 0}e.getRemoteAuthority=t;function p(C){if(!C)return;const P=C.indexOf("+");return P<0?C:C.substr(0,P)}e.getRemoteName=p}),define(we[40],ye([0,1,16,6,197]),function(J,e,k,t,p){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IBuiltinExtensionsScannerService=e.isResolverExtension=e.isAuthenticationProviderExtension=e.isLanguagePackExtension=e.ExtensionIdentifier=e.ExtensionType=e.EXTENSION_CATEGORIES=e.isIExtensionIdentifier=e.getWorkspaceSupportTypeMessage=e.ALL_EXTENSION_KINDS=e.UNDEFINED_PUBLISHER=e.BUILTIN_MANIFEST_CACHE_FILE=e.USER_MANIFEST_CACHE_FILE=e.MANIFEST_CACHE_FOLDER=void 0,e.MANIFEST_CACHE_FOLDER="CachedExtensions",e.USER_MANIFEST_CACHE_FILE="user",e.BUILTIN_MANIFEST_CACHE_FILE="builtin",e.UNDEFINED_PUBLISHER="undefined_publisher",e.ALL_EXTENSION_KINDS=["ui","workspace","web"];function C(g){if(typeof g=="object"&&g!==null&&g.supported!==!0)return g.description}e.getWorkspaceSupportTypeMessage=C;function P(g){return g&&typeof g=="object"&&typeof g.id=="string"&&(!g.uuid||typeof g.uuid=="string")}e.isIExtensionIdentifier=P,e.EXTENSION_CATEGORIES=["Azure","Data Science","Debuggers","Extension Packs","Education","Formatters","Keymaps","Language Packs","Linters","Machine Learning","Notebooks","Programming Languages","SCM Providers","Snippets","Testing","Themes","Visualization","Other"];var D;(function(g){g[g.System=0]="System",g[g.User=1]="User"})(D=e.ExtensionType||(e.ExtensionType={}));class v{constructor(b){this.value=b,this._lower=b.toLowerCase()}static equals(b,c){if(typeof b=="undefined"||b===null)return typeof c=="undefined"||c===null;if(typeof c=="undefined"||c===null)return!1;if(typeof b=="string"||typeof c=="string"){let h=typeof b=="string"?b:b.value,d=typeof c=="string"?c:c.value;return k.equalsIgnoreCase(h,d)}return b._lower===c._lower}static toKey(b){return typeof b=="string"?b.toLowerCase():b._lower}}e.ExtensionIdentifier=v;function I(g){return g.contributes&&g.contributes.localizations?g.contributes.localizations.length>0:!1}e.isLanguagePackExtension=I;function L(g){return g.contributes&&g.contributes.authentication?g.contributes.authentication.length>0:!1}e.isAuthenticationProviderExtension=L;function R(g,b){if(b){const c=`onResolveRemoteAuthority:${(0,p.getRemoteName)(b)}`;return g.activationEvents?.indexOf(c)!==-1}return!1}e.isResolverExtension=R,e.IBuiltinExtensionsScannerService=(0,t.createDecorator)("IBuiltinExtensionsScannerService")}),define(we[31],ye([0,1,16,40]),function(J,e,k,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getExtensionDependencies=e.getMaliciousExtensionsSet=e.BetterMergeId=e.getGalleryExtensionTelemetryData=e.getLocalExtensionTelemetryData=e.groupByExtension=e.getGalleryExtensionId=e.adoptToGalleryExtensionId=e.getExtensionId=e.ExtensionIdentifierWithVersion=e.areSameExtensions=void 0;function p(c,h){return c.uuid&&h.uuid?c.uuid===h.uuid:c.id===h.id?!0:(0,k.compareIgnoreCase)(c.id,h.id)===0}e.areSameExtensions=p;class C{constructor(h,d){this.version=d,this.id=h.id,this.uuid=h.uuid}key(){return`${this.id}-${this.version}`}equals(h){return h instanceof C?p(this,h)&&this.version===h.version:!1}}e.ExtensionIdentifierWithVersion=C;function P(c,h){return`${c}.${h}`}e.getExtensionId=P;function D(c){return c.toLocaleLowerCase()}e.adoptToGalleryExtensionId=D;function v(c,h){return D(P(c,h))}e.getGalleryExtensionId=v;function I(c,h){const d=[],E=w=>{for(const f of d)if(f.some(y=>p(h(y),h(w))))return f;return null};for(const w of c){const f=E(w);f?f.push(w):d.push([w])}return d}e.groupByExtension=I;function L(c){return{id:c.identifier.id,name:c.manifest.name,galleryId:null,publisherId:c.publisherId,publisherName:c.manifest.publisher,publisherDisplayName:c.publisherDisplayName,dependencies:c.manifest.extensionDependencies&&c.manifest.extensionDependencies.length>0}}e.getLocalExtensionTelemetryData=L;function R(c){return{id:c.identifier.id,name:c.name,galleryId:c.identifier.uuid,publisherId:c.publisherId,publisherName:c.publisher,publisherDisplayName:c.publisherDisplayName,isPreReleaseVersion:c.properties.isPreReleaseVersion,dependencies:!!(c.properties.dependencies&&c.properties.dependencies.length>0),...c.telemetryData}}e.getGalleryExtensionTelemetryData=R,e.BetterMergeId=new t.ExtensionIdentifier("pprice.better-merge");function g(c){const h=new Set;if(c.malicious)for(const d of c.malicious)h.add(d.id);return h}e.getMaliciousExtensionsSet=g;function b(c,h){const d=[],E=h.manifest.extensionDependencies?.slice(0)??[];for(;E.length;){const w=E.shift();if(w&&d.every(f=>!p(f.identifier,{id:w}))){const f=c.filter(y=>p(y.identifier,{id:w}));f.length===1&&(d.push(f[0]),E.push(...f[0].manifest.extensionDependencies?.slice(0)??[]))}}return d}e.getExtensionDependencies=b}),define(we[32],ye([0,1,8,149,31,6]),function(J,e,k,t,p,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtensionManagementCLIService=e.PreferencesLocalizedLabel=e.PreferencesLabel=e.ExtensionsChannelId=e.ExtensionsLocalizedLabel=e.ExtensionsLabel=e.DefaultIconPath=e.IExtensionTipsService=e.IGlobalExtensionEnablementService=e.ENABLED_EXTENSIONS_STORAGE_PATH=e.DISABLED_EXTENSIONS_STORAGE_PATH=e.IExtensionManagementService=e.ExtensionManagementError=e.ExtensionManagementErrorCode=e.IExtensionGalleryService=e.InstallOperation=e.StatisticType=e.SortOrder=e.SortBy=e.isIExtensionIdentifier=e.getFallbackTargetPlarforms=e.isTargetPlatformCompatible=e.isNotWebExtensionInWebTargetPlatform=e.getTargetPlatform=e.toTargetPlatform=e.TargetPlatformToString=e.TargetPlatform=e.getIdAndVersion=e.WEB_EXTENSION_TAG=e.EXTENSION_IDENTIFIER_REGEX=e.EXTENSION_IDENTIFIER_PATTERN=void 0,e.EXTENSION_IDENTIFIER_PATTERN="^([a-z0-9A-Z][a-z0-9-A-Z]*)\\.([a-z0-9A-Z][a-z0-9-A-Z]*)$",e.EXTENSION_IDENTIFIER_REGEX=new RegExp(e.EXTENSION_IDENTIFIER_PATTERN),e.WEB_EXTENSION_TAG="__web_extension";const P=/^([^.]+\..+)@(\d+\.\d+\.\d+(-.*)?)$/;function D(o){const l=P.exec(o);return l&&l[1]?[(0,p.adoptToGalleryExtensionId)(l[1]),l[2]]:[(0,p.adoptToGalleryExtensionId)(o),void 0]}e.getIdAndVersion=D;var v;(function(o){o.WIN32_X64="win32-x64",o.WIN32_IA32="win32-ia32",o.WIN32_ARM64="win32-arm64",o.LINUX_X64="linux-x64",o.LINUX_ARM64="linux-arm64",o.LINUX_ARMHF="linux-armhf",o.ALPINE_X64="alpine-x64",o.ALPINE_ARM64="alpine-arm64",o.DARWIN_X64="darwin-x64",o.DARWIN_ARM64="darwin-arm64",o.WEB="web",o.UNIVERSAL="universal",o.UNKNOWN="unknown",o.UNDEFINED="undefined"})(v=e.TargetPlatform||(e.TargetPlatform={}));function I(o){switch(o){case"win32-x64":return"Windows 64 bit";case"win32-ia32":return"Windows 32 bit";case"win32-arm64":return"Windows ARM";case"linux-x64":return"Linux 64 bit";case"linux-arm64":return"Linux ARM 64";case"linux-armhf":return"Linux ARM";case"alpine-x64":return"Alpine Linux 64 bit";case"alpine-arm64":return"Alpine ARM 64";case"darwin-x64":return"Mac";case"darwin-arm64":return"Mac Silicon";case"web":return"Web";case"universal":return"universal";case"unknown":return"unknown";case"undefined":return"undefined"}}e.TargetPlatformToString=I;function L(o){switch(o){case"win32-x64":return"win32-x64";case"win32-ia32":return"win32-ia32";case"win32-arm64":return"win32-arm64";case"linux-x64":return"linux-x64";case"linux-arm64":return"linux-arm64";case"linux-armhf":return"linux-armhf";case"alpine-x64":return"alpine-x64";case"alpine-arm64":return"alpine-arm64";case"darwin-x64":return"darwin-x64";case"darwin-arm64":return"darwin-arm64";case"web":return"web";case"universal":return"universal";default:return"unknown"}}e.toTargetPlatform=L;function R(o,l){switch(o){case 3:return l==="x64"?"win32-x64":l==="ia32"?"win32-ia32":l==="arm64"?"win32-arm64":"unknown";case 2:return l==="x64"?"linux-x64":l==="arm64"?"linux-arm64":l==="arm"?"linux-armhf":"unknown";case"alpine":return l==="x64"?"alpine-x64":l==="arm64"?"alpine-arm64":"unknown";case 1:return l==="x64"?"darwin-x64":l==="arm64"?"darwin-arm64":"unknown";case 0:return"web"}}e.getTargetPlatform=R;function g(o,l){return l==="web"&&!o.includes("web")}e.isNotWebExtensionInWebTargetPlatform=g;function b(o,l,s){return g(l,s)?!1:o==="undefined"||o==="universal"?!0:o==="unknown"?!1:o===s?!0:c(s).includes(o)}e.isTargetPlatformCompatible=b;function c(o){switch(o){case"win32-x64":return["win32-ia32"];case"win32-arm64":return["win32-ia32"]}return[]}e.getFallbackTargetPlarforms=c;function h(o){return o&&typeof o=="object"&&typeof o.id=="string"&&(!o.uuid||typeof o.uuid=="string")}e.isIExtensionIdentifier=h;var d;(function(o){o[o.NoneOrRelevance=0]="NoneOrRelevance",o[o.LastUpdatedDate=1]="LastUpdatedDate",o[o.Title=2]="Title",o[o.PublisherName=3]="PublisherName",o[o.InstallCount=4]="InstallCount",o[o.PublishedDate=10]="PublishedDate",o[o.AverageRating=6]="AverageRating",o[o.WeightedRating=12]="WeightedRating"})(d=e.SortBy||(e.SortBy={}));var E;(function(o){o[o.Default=0]="Default",o[o.Ascending=1]="Ascending",o[o.Descending=2]="Descending"})(E=e.SortOrder||(e.SortOrder={}));var w;(function(o){o.Install="install",o.Uninstall="uninstall"})(w=e.StatisticType||(e.StatisticType={}));var f;(function(o){o[o.None=1]="None",o[o.Install=2]="Install",o[o.Update=3]="Update",o[o.Migrate=4]="Migrate"})(f=e.InstallOperation||(e.InstallOperation={})),e.IExtensionGalleryService=(0,C.createDecorator)("extensionGalleryService");var y;(function(o){o.Unsupported="Unsupported",o.UnsupportedPreRelease="UnsupportedPreRelease",o.Malicious="Malicious",o.Incompatible="Incompatible",o.IncompatiblePreRelease="IncompatiblePreRelease",o.IncompatibleTargetPlatform="IncompatibleTargetPlatform",o.ReleaseVersionNotFound="ReleaseVersionNotFound",o.Invalid="Invalid",o.Download="Download",o.Extract="Extract",o.Delete="Delete",o.Rename="Rename",o.CorruptZip="CorruptZip",o.IncompleteZip="IncompleteZip",o.Internal="Internal"})(y=e.ExtensionManagementErrorCode||(e.ExtensionManagementErrorCode={}));class u extends Error{constructor(l,s){super(l);this.code=s,this.name=s}}e.ExtensionManagementError=u,e.IExtensionManagementService=(0,C.createDecorator)("extensionManagementService"),e.DISABLED_EXTENSIONS_STORAGE_PATH="extensionsIdentifiers/disabled",e.ENABLED_EXTENSIONS_STORAGE_PATH="extensionsIdentifiers/enabled",e.IGlobalExtensionEnablementService=(0,C.createDecorator)("IGlobalExtensionEnablementService"),e.IExtensionTipsService=(0,C.createDecorator)("IExtensionTipsService"),e.DefaultIconPath=k.FileAccess.asBrowserUri("./media/defaultIcon.png",J).toString(!0),e.ExtensionsLabel=(0,t.localize)(0,null),e.ExtensionsLocalizedLabel={value:e.ExtensionsLabel,original:"Extensions"},e.ExtensionsChannelId="extensions",e.PreferencesLabel=(0,t.localize)(1,null),e.PreferencesLocalizedLabel={value:e.PreferencesLabel,original:"Preferences"},e.IExtensionManagementCLIService=(0,C.createDecorator)("IExtensionManagementCLIService")}),define(we[98],ye([0,1,20,11,80,8,56,4,150,32,31,40]),function(J,e,k,t,p,C,P,D,v,I,L,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionManagementCLIService=void 0;const g=d=>(0,v.localize)(0,null,d),b=(0,v.localize)(1,null,"ms-dotnettools.csharp");function c(d,E){return E?`${d.publisher}.${d.name}@${d.version}`:`${d.publisher}.${d.name}`}let h=class{constructor(E,w){this.extensionManagementService=E,this.extensionGalleryService=w}get location(){}async listExtensions(E,w,f=console){let y=await this.extensionManagementService.getInstalled(1);const u=R.EXTENSION_CATEGORIES.map(l=>l.toLowerCase());if(w&&w!==""){if(u.indexOf(w.toLowerCase())<0){f.log("Invalid category please enter a valid category. To list valid categories run --category without a category specified");return}y=y.filter(l=>l.manifest.categories?l.manifest.categories.map(n=>n.toLowerCase()).indexOf(w.toLowerCase())>-1:!1)}else if(w===""){f.log("Possible Categories: "),u.forEach(l=>{f.log(l)});return}this.location&&f.log((0,v.localize)(2,null,this.location)),y=y.sort((l,s)=>l.identifier.id.localeCompare(s.identifier.id));let o;for(let l of y)o!==l.identifier.id&&(o=l.identifier.id,f.log(c(l.manifest,E)))}async installExtensions(E,w,f,y,u=console){const o=[],l=[];E.length&&u.log(this.location?(0,v.localize)(3,null,this.location):(0,v.localize)(4,null));const s=await this.extensionManagementService.getInstalled(1),n=(a,m)=>{const S=s.find(_=>(0,L.areSameExtensions)(_.identifier,{id:a}));if(S){if(!m&&!y)return u.log((0,v.localize)(5,null,a,S.manifest.version,a)),!1;if(m&&S.manifest.version===m)return u.log((0,v.localize)(6,null,`${a}@${m}`)),!1}return!0},i=[],r=[];for(const a of E)if(a instanceof D.URI)i.push(a);else{const[m,S]=(0,I.getIdAndVersion)(a);n(m,S)&&r.push({id:m,version:S,installOptions:{...f,isBuiltin:!1}})}for(const a of w){const[m,S]=(0,I.getIdAndVersion)(a);n(m,S)&&r.push({id:m,version:S,installOptions:{...f,isBuiltin:!0}})}if(i.length&&await Promise.all(i.map(async a=>{try{const m=await this.installVSIX(a,{...f,isBuiltin:!1},y,u);m&&l.push(m)}catch(m){u.error(m.message||m.stack||m),o.push(a.toString())}})),r.length){const a=await this.getGalleryExtensions(r);await Promise.all(r.map(async m=>{const S=a.get(m.id.toLowerCase());if(S)try{const _=await this.installFromGallery(m,S,s,y,u);_&&l.push(_)}catch(_){u.error(_.message||_.stack||_),o.push(m.id)}else u.error(`${g(m.version?`${m.id}@${m.version}`:m.id)}
${b}`),o.push(m.id)}))}if(o.length)throw new Error((0,v.localize)(7,null,o.join(", ")))}async installVSIX(E,w,f,y){const u=await this.extensionManagementService.getManifest(E);if(!u)throw new Error("Invalid vsix");if(await this.validateVSIX(u,f,y))try{return await this.extensionManagementService.install(E,w),y.log((0,v.localize)(8,null,(0,p.getBaseLabel)(E))),u}catch(l){if((0,t.isCancellationError)(l))return y.log((0,v.localize)(9,null,(0,p.getBaseLabel)(E))),null;throw l}return null}async getGalleryExtensions(E){const w=new Map,f=E.some(u=>u.installOptions.installPreReleaseVersion),y=await this.extensionGalleryService.getExtensions(E.map(u=>({...u,preRelease:f})),k.CancellationToken.None);for(const u of y)w.set(u.identifier.id.toLowerCase(),u);return w}async installFromGallery({id:E,version:w,installOptions:f},y,u,o,l){const s=await this.extensionGalleryService.getManifest(y,k.CancellationToken.None);if(s&&!this.validateExtensionKind(s,l))return null;const n=u.find(i=>(0,L.areSameExtensions)(i.identifier,y.identifier));if(n){if(y.version===n.manifest.version)return l.log((0,v.localize)(10,null,w?`${E}@${w}`:E)),null;l.log((0,v.localize)(11,null,E,y.version))}try{return f.isBuiltin?l.log(w?(0,v.localize)(12,null,E,w):(0,v.localize)(13,null,E)):l.log(w?(0,v.localize)(14,null,E,w):(0,v.localize)(15,null,E)),await this.extensionManagementService.installFromGallery(y,{...f,installGivenVersion:!!w}),l.log((0,v.localize)(16,null,E,y.version)),s}catch(i){if((0,t.isCancellationError)(i))return l.log((0,v.localize)(17,null,E)),null;throw i}}validateExtensionKind(E,w){return!0}async validateVSIX(E,w,f){const y={id:(0,L.getGalleryExtensionId)(E.publisher,E.name)},o=(await this.extensionManagementService.getInstalled(1)).find(l=>(0,L.areSameExtensions)(y,l.identifier)&&(0,P.gt)(l.manifest.version,E.version));return o&&!w?(f.log((0,v.localize)(18,null,o.identifier.id,o.manifest.version,E.version)),!1):this.validateExtensionKind(E,f)}async uninstallExtensions(E,w,f=console){const y=async o=>{if(o instanceof D.URI){const l=await this.extensionManagementService.getManifest(o);return c(l)}return o},u=[];for(const o of E){const l=await y(o),n=(await this.extensionManagementService.getInstalled()).filter(i=>(0,L.areSameExtensions)(i.identifier,{id:l}));if(!n.length)throw new Error(`${this.notInstalled(l)}
${b}`);if(n.some(i=>i.type===0)){f.log((0,v.localize)(19,null,l));return}if(!w&&n.some(i=>i.isBuiltin)){f.log((0,v.localize)(20,null,l));return}f.log((0,v.localize)(21,null,l));for(const i of n)await this.extensionManagementService.uninstall(i),u.push(i);this.location?f.log((0,v.localize)(22,null,l,this.location)):f.log((0,v.localize)(23,null,l))}}async locateExtension(E,w=console){const f=await this.extensionManagementService.getInstalled();E.forEach(y=>{f.forEach(u=>{if(u.identifier.id===y&&u.location.scheme===C.Schemas.file){w.log(u.location.fsPath);return}})})}notInstalled(E){return this.location?(0,v.localize)(24,null,E,this.location):(0,v.localize)(25,null,E)}};h=Ae([Oe(0,I.IExtensionManagementService),Oe(1,I.IExtensionGalleryService)],h),e.ExtensionManagementCLIService=h}),define(we[198],ye([0,1,7,2,21,4,61,32]),function(J,e,k,t,p,C,P,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionTipsChannel=e.ExtensionManagementChannelClient=e.ExtensionManagementChannel=void 0;function v(h,d){return C.URI.revive(d?d.transformIncoming(h):h)}function I(h,d){return d?d.transformOutgoingURI(h):h}function L(h,d){d=d||P.DefaultURITransformer;const E=h.manifest;return{...(0,P.transformAndReviveIncomingURIs)({...h,manifest:void 0},d),manifest:E}}function R(h,d){return d?(0,p.cloneAndChange)(h,E=>E instanceof C.URI?d.transformOutgoingURI(E):void 0):h}class g{constructor(d,E){this.service=d,this.getUriTransformer=E,this.onInstallExtension=k.Event.buffer(d.onInstallExtension,!0),this.onDidInstallExtensions=k.Event.buffer(d.onDidInstallExtensions,!0),this.onUninstallExtension=k.Event.buffer(d.onUninstallExtension,!0),this.onDidUninstallExtension=k.Event.buffer(d.onDidUninstallExtension,!0)}listen(d,E){const w=this.getUriTransformer(d);switch(E){case"onInstallExtension":return this.onInstallExtension;case"onDidInstallExtensions":return k.Event.map(this.onDidInstallExtensions,f=>f.map(y=>({...y,local:y.local?R(y.local,w):y.local})));case"onUninstallExtension":return this.onUninstallExtension;case"onDidUninstallExtension":return this.onDidUninstallExtension}throw new Error("Invalid listen")}call(d,E,w){const f=this.getUriTransformer(d);switch(E){case"zip":return this.service.zip(L(w[0],f)).then(y=>I(y,f));case"unzip":return this.service.unzip(v(w[0],f));case"install":return this.service.install(v(w[0],f),w[1]);case"getManifest":return this.service.getManifest(v(w[0],f));case"getTargetPlatform":return this.service.getTargetPlatform();case"canInstall":return this.service.canInstall(w[0]);case"installFromGallery":return this.service.installFromGallery(w[0],w[1]);case"uninstall":return this.service.uninstall(L(w[0],f),w[1]);case"reinstallFromGallery":return this.service.reinstallFromGallery(L(w[0],f));case"getInstalled":return this.service.getInstalled(w[0]).then(y=>y.map(u=>R(u,f)));case"updateMetadata":return this.service.updateMetadata(L(w[0],f),w[1]).then(y=>R(y,f));case"updateExtensionScope":return this.service.updateExtensionScope(L(w[0],f),w[1]).then(y=>R(y,f));case"getExtensionsControlManifest":return this.service.getExtensionsControlManifest()}throw new Error("Invalid call")}}e.ExtensionManagementChannel=g;class b extends t.Disposable{constructor(d){super();this.channel=d,this._onInstallExtension=this._register(new k.Emitter),this.onInstallExtension=this._onInstallExtension.event,this._onDidInstallExtensions=this._register(new k.Emitter),this.onDidInstallExtensions=this._onDidInstallExtensions.event,this._onUninstallExtension=this._register(new k.Emitter),this.onUninstallExtension=this._onUninstallExtension.event,this._onDidUninstallExtension=this._register(new k.Emitter),this.onDidUninstallExtension=this._onDidUninstallExtension.event,this._register(this.channel.listen("onInstallExtension")(E=>this._onInstallExtension.fire({identifier:E.identifier,source:this.isUriComponents(E.source)?C.URI.revive(E.source):E.source}))),this._register(this.channel.listen("onDidInstallExtensions")(E=>this._onDidInstallExtensions.fire(E.map(w=>({...w,local:w.local?L(w.local,null):w.local,source:this.isUriComponents(w.source)?C.URI.revive(w.source):w.source}))))),this._register(this.channel.listen("onUninstallExtension")(E=>this._onUninstallExtension.fire(E))),this._register(this.channel.listen("onDidUninstallExtension")(E=>this._onDidUninstallExtension.fire(E)))}isUriComponents(d){return d?typeof d.path=="string"&&typeof d.scheme=="string":!1}getTargetPlatform(){return this._targetPlatformPromise||(this._targetPlatformPromise=this.channel.call("getTargetPlatform")),this._targetPlatformPromise}async canInstall(d){const E=await this.getTargetPlatform();return d.allTargetPlatforms.some(w=>(0,D.isTargetPlatformCompatible)(w,d.allTargetPlatforms,E))}zip(d){return Promise.resolve(this.channel.call("zip",[d]).then(E=>C.URI.revive(E)))}unzip(d){return Promise.resolve(this.channel.call("unzip",[d]))}install(d,E){return Promise.resolve(this.channel.call("install",[d,E])).then(w=>L(w,null))}getManifest(d){return Promise.resolve(this.channel.call("getManifest",[d]))}installFromGallery(d,E){return Promise.resolve(this.channel.call("installFromGallery",[d,E])).then(w=>L(w,null))}uninstall(d,E){return Promise.resolve(this.channel.call("uninstall",[d,E]))}reinstallFromGallery(d){return Promise.resolve(this.channel.call("reinstallFromGallery",[d]))}getInstalled(d=null){return Promise.resolve(this.channel.call("getInstalled",[d])).then(E=>E.map(w=>L(w,null)))}updateMetadata(d,E){return Promise.resolve(this.channel.call("updateMetadata",[d,E])).then(w=>L(w,null))}updateExtensionScope(d,E){return Promise.resolve(this.channel.call("updateExtensionScope",[d,E])).then(w=>L(w,null))}getExtensionsControlManifest(){return Promise.resolve(this.channel.call("getExtensionsControlManifest"))}registerParticipant(){throw new Error("Not Supported")}}e.ExtensionManagementChannelClient=b;class c{constructor(d){this.service=d}listen(d,E){throw new Error("Invalid listen")}call(d,E,w){switch(E){case"getConfigBasedTips":return this.service.getConfigBasedTips(C.URI.revive(w[0]));case"getImportantExecutableBasedTips":return this.service.getImportantExecutableBasedTips();case"getOtherExecutableBasedTips":return this.service.getOtherExecutableBasedTips();case"getAllWorkspacesTips":return this.service.getAllWorkspacesTips()}throw new Error("Invalid call")}}e.ExtensionTipsChannel=c}),define(we[199],ye([0,1,13,11,2,3,22,56,4,23,18,26,32,31,19,14]),function(J,e,k,t,p,C,P,D,v,I,L,R,g,b,c,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionsDownloader=void 0;const d=/^([^.]+\..+)-(\d+\.\d+\.\d+)$/;let E=class extends p.Disposable{constructor(f,y,u,o){super();this.fileService=y,this.extensionGalleryService=u,this.logService=o,this.extensionsDownloadDir=v.URI.file(f.extensionsDownloadPath),this.cache=20,this.cleanUpPromise=this.cleanUp()}async downloadExtension(f,y){await this.cleanUpPromise;const u=this.getName(f),o=(0,P.joinPath)(this.extensionsDownloadDir,u);if(!await this.fileService.exists(o)){const l=(0,P.joinPath)(this.extensionsDownloadDir,`.${(0,I.generateUuid)()}`);await this.fileService.exists(l)||await this.extensionGalleryService.download(f,l,y);try{await this.rename(l,o,Date.now()+2*60*1e3)}catch(s){try{await this.fileService.del(l)}catch{}if(s.code==="ENOTEMPTY")this.logService.info("Rename failed because vsix was downloaded by another source. So ignoring renaming.",f.identifier.id);else throw this.logService.info(`Rename failed because of ${(0,t.getErrorMessage)(s)}. Deleted the vsix from downloaded location`,l.path),s}}return o}async delete(f){await this.cleanUpPromise,await this.fileService.del(f)}async rename(f,y,u){try{await L.Promises.rename(f.fsPath,y.fsPath)}catch(o){if(C.isWindows&&o&&o.code==="EPERM"&&Date.now()<u)return this.logService.info(`Failed renaming ${f} to ${y} with 'EPERM' error. Trying again...`),this.rename(f,y,u);throw o}}async cleanUp(){try{if(!await this.fileService.exists(this.extensionsDownloadDir)){this.logService.trace("Extension VSIX downlads cache dir does not exist");return}const f=await this.fileService.resolve(this.extensionsDownloadDir,{resolveMetadata:!0});if(f.children){const y=[],u=[];for(const s of f.children){const n=this.parse(s.name);n&&u.push([n,s])}const o=(0,b.groupByExtension)(u,([s])=>s),l=[];for(const s of o)s.sort((n,i)=>D.rcompare(n[0].version,i[0].version)),y.push(...s.slice(1).map(n=>n[1].resource)),l.push(s[0][1]);l.sort((s,n)=>s.mtime-n.mtime),y.push(...l.slice(0,Math.max(0,l.length-this.cache)).map(s=>s.resource)),await k.Promises.settled(y.map(s=>(this.logService.trace("Deleting vsix from cache",s.path),this.fileService.del(s))))}}catch(f){this.logService.error(f)}}getName(f){return this.cache?`${new b.ExtensionIdentifierWithVersion(f.identifier,f.version).key().toLowerCase()}${f.properties.targetPlatform!=="undefined"?`-${f.properties.targetPlatform}`:""}`:(0,I.generateUuid)()}parse(f){const y=d.exec(f);return y&&y[1]&&y[2]?new b.ExtensionIdentifierWithVersion({id:y[1]},y[2]):null}};E=Ae([Oe(0,R.INativeEnvironmentService),Oe(1,c.IFileService),Oe(2,g.IExtensionGalleryService),Oe(3,h.ILogService)],E),e.ExtensionsDownloader=E}),define(we[200],ye([0,1,2,5,18,40]),function(J,e,k,t,p,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionsManifestCache=void 0;class P extends k.Disposable{constructor(v,I){super();this.environmentService=v,this.extensionsManifestCache=(0,t.join)(this.environmentService.userDataPath,C.MANIFEST_CACHE_FOLDER,C.USER_MANIFEST_CACHE_FILE),this._register(I.onDidInstallExtensions(L=>this.onDidInstallExtensions(L))),this._register(I.onDidUninstallExtension(L=>this.onDidUnInstallExtension(L)))}onDidInstallExtensions(v){v.some(I=>!!I.local)&&this.invalidate()}onDidUnInstallExtension(v){v.error||this.invalidate()}invalidate(){p.Promises.rm(this.extensionsManifestCache,p.RimRafMode.MOVE).then(()=>{},()=>{})}}e.ExtensionsManifestCache=P}),define(we[99],ye([0,1,67,17,13,2,8,5,18,26,32,31,66,14]),function(J,e,k,t,p,C,P,D,v,I,L,R,g,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LocalizationsService=void 0;let c=class extends C.Disposable{constructor(E,w,f){super();this.extensionManagementService=E,this.logService=f,this.cache=this._register(new h(w,f)),this.extensionManagementService.registerParticipant({postInstall:async y=>this.postInstallExtension(y),postUninstall:async y=>this.postUninstallExtension(y)})}async getLanguageIds(){const E=await this.cache.getLanguagePacks(),w=["en",...Object.keys(E)];return(0,t.distinct)(w)}async postInstallExtension(E){E&&E.manifest&&E.manifest.contributes&&E.manifest.contributes.localizations&&E.manifest.contributes.localizations.length&&(this.logService.info("Adding language packs from the extension",E.identifier.id),await this.update())}async postUninstallExtension(E){const w=await this.cache.getLanguagePacks();Object.keys(w).some(f=>w[f]&&w[f].extensions.some(y=>(0,R.areSameExtensions)(y.extensionIdentifier,E.identifier)))&&(this.logService.info("Removing language packs from the extension",E.identifier.id),await this.update())}async update(){const[E,w]=await Promise.all([this.cache.getLanguagePacks(),this.extensionManagementService.getInstalled()]),f=await this.cache.update(w);return!(0,t.equals)(Object.keys(E),Object.keys(f))}};c=Ae([Oe(0,L.IExtensionManagementService),Oe(1,I.INativeEnvironmentService),Oe(2,b.ILogService)],c),e.LocalizationsService=c;let h=class extends C.Disposable{constructor(E,w){super();this.logService=w,this.languagePacks={},this.languagePacksFilePath=(0,D.join)(E.userDataPath,"languagepacks.json"),this.languagePacksFileLimiter=new p.Queue}getLanguagePacks(){return this.languagePacksFileLimiter.size||!this.initializedCache?this.withLanguagePacks().then(()=>this.languagePacks):Promise.resolve(this.languagePacks)}update(E){return this.withLanguagePacks(w=>{Object.keys(w).forEach(f=>delete w[f]),this.createLanguagePacksFromExtensions(w,...E)}).then(()=>this.languagePacks)}createLanguagePacksFromExtensions(E,...w){for(const f of w)f&&f.manifest&&f.manifest.contributes&&f.manifest.contributes.localizations&&f.manifest.contributes.localizations.length&&this.createLanguagePacksFromExtension(E,f);Object.keys(E).forEach(f=>this.updateHash(E[f]))}createLanguagePacksFromExtension(E,w){const f=w.identifier,y=w.manifest.contributes&&w.manifest.contributes.localizations?w.manifest.contributes.localizations:[];for(const u of y)if(w.location.scheme===P.Schemas.file&&(0,g.isValidLocalization)(u)){let o=E[u.languageId];o||(o={hash:"",extensions:[],translations:{}},E[u.languageId]=o);let l=o.extensions.filter(s=>(0,R.areSameExtensions)(s.extensionIdentifier,f))[0];l?l.version=w.manifest.version:o.extensions.push({extensionIdentifier:f,version:w.manifest.version});for(const s of u.translations)o.translations[s.id]=(0,D.join)(w.location.fsPath,s.path)}}updateHash(E){if(E){const w=(0,k.createHash)("md5");for(const f of E.extensions)w.update(f.extensionIdentifier.uuid||f.extensionIdentifier.id).update(f.version);E.hash=w.digest("hex")}}withLanguagePacks(E=()=>null){return this.languagePacksFileLimiter.queue(()=>{let w=null;return v.Promises.readFile(this.languagePacksFilePath,"utf8").then(void 0,f=>f.code==="ENOENT"?Promise.resolve("{}"):Promise.reject(f)).then(f=>{try{return JSON.parse(f)}catch{return{}}}).then(f=>(w=E(f),f)).then(f=>{for(const u of Object.keys(f))f[u]||delete f[u];this.languagePacks=f,this.initializedCache=!0;const y=JSON.stringify(this.languagePacks);return this.logService.debug("Writing language packs",y),v.Promises.writeFile(this.languagePacksFilePath,y)}).then(()=>w,f=>this.logService.error(f))})}};h=Ae([Oe(0,I.INativeEnvironmentService),Oe(1,b.ILogService)],h)}),define(we[46],ye([0,1,15,160,45,6,35]),function(J,e,k,t,p,C,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.updateProxyConfigurationsScope=e.asJson=e.asText=e.isSuccess=e.IRequestService=void 0,e.IRequestService=(0,C.createDecorator)("requestService");function D(c){return c.res.statusCode&&c.res.statusCode>=200&&c.res.statusCode<300||c.res.statusCode===1223}e.isSuccess=D;function v(c){return c.res.statusCode===204}async function I(c){if(!D(c))throw new Error("Server returned "+c.res.statusCode);return v(c)?null:(await(0,k.streamToBuffer)(c.stream)).toString()}e.asText=I;async function L(c){if(!D(c))throw new Error("Server returned "+c.res.statusCode);if(v(c))return null;const d=(await(0,k.streamToBuffer)(c.stream)).toString();try{return JSON.parse(d)}catch(E){throw E.message+=`:
`+d,E}}e.asJson=L;function R(c){b(c)}e.updateProxyConfigurationsScope=R;let g;function b(c){const h=P.Registry.as(p.Extensions.Configuration),d=g;g={id:"http",order:15,title:(0,t.localize)(0,null),type:"object",scope:c,properties:{"http.proxy":{type:"string",pattern:"^https?://([^:]*(:[^@]*)?@)?([^:]+|\\[[:0-9a-fA-F]+\\])(:\\d+)?/?$|^$",markdownDescription:(0,t.localize)(1,null),restricted:!0},"http.proxyStrictSSL":{type:"boolean",default:!0,description:(0,t.localize)(2,null),restricted:!0},"http.proxyAuthorization":{type:["null","string"],default:null,markdownDescription:(0,t.localize)(3,null),restricted:!0},"http.proxySupport":{type:"string",enum:["off","on","fallback","override"],enumDescriptions:[(0,t.localize)(4,null),(0,t.localize)(5,null),(0,t.localize)(6,null),(0,t.localize)(7,null)],default:"override",description:(0,t.localize)(8,null),restricted:!0},"http.systemCertificates":{type:"boolean",default:!0,description:(0,t.localize)(9,null),restricted:!0}}},h.updateConfigurations({add:[g],remove:d?[d]:[]})}b(2)}),define(we[201],ye([0,1,20,8,19,46]),function(J,e,k,t,p,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.DownloadService=void 0;let P=class{constructor(v,I){this.requestService=v,this.fileService=I}async download(v,I,L=k.CancellationToken.None){if(v.scheme===t.Schemas.file||v.scheme===t.Schemas.vscodeRemote){await this.fileService.copy(v,I);return}const R={type:"GET",url:v.toString()},g=await this.requestService.request(R,L);if(g.res.statusCode===200)await this.fileService.writeFile(I,g.stream);else{const b=await(0,C.asText)(g);throw new Error(`Expected 200, got back ${g.res.statusCode} instead.

${b}`)}}};P=Ae([Oe(0,C.IRequestService),Oe(1,p.IFileService)],P),e.DownloadService=P}),define(we[202],ye([0,1,15,20]),function(J,e,k,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.RequestChannelClient=e.RequestChannel=void 0;class p{constructor(D){this.service=D}listen(D,v){throw new Error("Invalid listen")}call(D,v,I){switch(v){case"request":return this.service.request(I[0],t.CancellationToken.None).then(async({res:L,stream:R})=>{const g=await(0,k.streamToBuffer)(R);return[{statusCode:L.statusCode,headers:L.headers},g]})}throw new Error("Invalid call")}}e.RequestChannel=p;class C{constructor(D){this.channel=D}async request(D,v){return C.request(this.channel,D,v)}static async request(D,v,I){const[L,R]=await D.call("request",[v]);return{res:L,stream:(0,k.bufferToStream)(R)}}}e.RequestChannelClient=C}),define(we[203],ye([0,1,68,12]),function(J,e,k,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getProxyAgent=void 0;function p(P,D){return P.protocol==="http:"?D.HTTP_PROXY||D.http_proxy||null:P.protocol==="https:"&&(D.HTTPS_PROXY||D.https_proxy||D.HTTP_PROXY||D.http_proxy)||null}async function C(P,D,v={}){const I=(0,k.parse)(P),L=v.proxyUrl||p(I,D);if(!L)return null;const R=(0,k.parse)(L);if(!/^https?:$/.test(R.protocol||""))return null;const g={host:R.hostname||"",port:R.port||(R.protocol==="https"?"443":"80"),auth:R.auth,rejectUnauthorized:(0,t.isBoolean)(v.strictSSL)?v.strictSSL:!0};return I.protocol==="http:"?new(await new Promise((b,c)=>{J(["http-proxy-agent"],b,c)}))(g):new(await new Promise((b,c)=>{J(["https-proxy-agent"],b,c)}))(g)}e.getProxyAgent=C}),define(we[204],ye([0,1,13,7,2,43,12,134,6]),function(J,e,k,t,p,C,P,D,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.logStorage=e.InMemoryStorageService=e.AbstractStorageService=e.StorageTarget=e.StorageScope=e.WillSaveStateReason=e.IStorageService=e.IS_NEW_KEY=void 0,e.IS_NEW_KEY="__$__isNewStorageMarker";const I="__$__targetStorageMarker";e.IStorageService=(0,v.createDecorator)("storageService");var L;(function(d){d[d.NONE=0]="NONE",d[d.SHUTDOWN=1]="SHUTDOWN"})(L=e.WillSaveStateReason||(e.WillSaveStateReason={}));var R;(function(d){d[d.GLOBAL=0]="GLOBAL",d[d.WORKSPACE=1]="WORKSPACE"})(R=e.StorageScope||(e.StorageScope={}));var g;(function(d){d[d.USER=0]="USER",d[d.MACHINE=1]="MACHINE"})(g=e.StorageTarget||(e.StorageTarget={}));class b extends p.Disposable{constructor(E={flushInterval:b.DEFAULT_FLUSH_INTERVAL}){super();this.options=E,this._onDidChangeValue=this._register(new t.PauseableEmitter),this.onDidChangeValue=this._onDidChangeValue.event,this._onDidChangeTarget=this._register(new t.PauseableEmitter),this.onDidChangeTarget=this._onDidChangeTarget.event,this._onWillSaveState=this._register(new t.Emitter),this.onWillSaveState=this._onWillSaveState.event,this.flushWhenIdleScheduler=this._register(new k.RunOnceScheduler(()=>this.doFlushWhenIdle(),this.options.flushInterval)),this.runFlushWhenIdle=this._register(new p.MutableDisposable),this._workspaceKeyTargets=void 0,this._globalKeyTargets=void 0}doFlushWhenIdle(){this.runFlushWhenIdle.value=(0,k.runWhenIdle)(()=>{this.shouldFlushWhenIdle()&&this.flush(),this.flushWhenIdleScheduler.schedule()})}shouldFlushWhenIdle(){return!0}stopFlushWhenIdle(){(0,p.dispose)([this.runFlushWhenIdle,this.flushWhenIdleScheduler])}initialize(){return this.initializationPromise||(this.initializationPromise=(async()=>{(0,C.mark)("code/willInitStorage");try{await this.doInitialize()}finally{(0,C.mark)("code/didInitStorage")}this.flushWhenIdleScheduler.schedule()})()),this.initializationPromise}emitDidChangeValue(E,w){w===I?(E===0?this._globalKeyTargets=void 0:E===1&&(this._workspaceKeyTargets=void 0),this._onDidChangeTarget.fire({scope:E})):this._onDidChangeValue.fire({scope:E,key:w,target:this.getKeyTargets(E)[w]})}emitWillSaveState(E){this._onWillSaveState.fire({reason:E})}get(E,w,f){return this.getStorage(w)?.get(E,f)}getBoolean(E,w,f){return this.getStorage(w)?.getBoolean(E,f)}getNumber(E,w,f){return this.getStorage(w)?.getNumber(E,f)}store(E,w,f,y){if((0,P.isUndefinedOrNull)(w)){this.remove(E,f);return}this.withPausedEmitters(()=>{this.updateKeyTarget(E,f,y),this.getStorage(f)?.set(E,w)})}remove(E,w){this.withPausedEmitters(()=>{this.updateKeyTarget(E,w,void 0),this.getStorage(w)?.delete(E)})}withPausedEmitters(E){this._onDidChangeValue.pause(),this._onDidChangeTarget.pause();try{E()}finally{this._onDidChangeValue.resume(),this._onDidChangeTarget.resume()}}keys(E,w){const f=[],y=this.getKeyTargets(E);for(const u of Object.keys(y))y[u]===w&&f.push(u);return f}updateKeyTarget(E,w,f){const y=this.getKeyTargets(w);typeof f=="number"?y[E]!==f&&(y[E]=f,this.getStorage(w)?.set(I,JSON.stringify(y))):typeof y[E]=="number"&&(delete y[E],this.getStorage(w)?.set(I,JSON.stringify(y)))}get workspaceKeyTargets(){return this._workspaceKeyTargets||(this._workspaceKeyTargets=this.loadKeyTargets(1)),this._workspaceKeyTargets}get globalKeyTargets(){return this._globalKeyTargets||(this._globalKeyTargets=this.loadKeyTargets(0)),this._globalKeyTargets}getKeyTargets(E){return E===0?this.globalKeyTargets:this.workspaceKeyTargets}loadKeyTargets(E){const w=this.get(I,E);if(w)try{return JSON.parse(w)}catch{}return Object.create(null)}isNew(E){return this.getBoolean(e.IS_NEW_KEY,E)===!0}async flush(E=L.NONE){this._onWillSaveState.fire({reason:E});const w=this.getStorage(0),f=this.getStorage(1);switch(E){case L.NONE:await k.Promises.settled([w?.whenFlushed()??Promise.resolve(),f?.whenFlushed()??Promise.resolve()]);break;case L.SHUTDOWN:await k.Promises.settled([w?.flush(0)??Promise.resolve(),f?.flush(0)??Promise.resolve()]);break}}async logStorage(){const E=this.getStorage(0)?.items??new Map,w=this.getStorage(1)?.items??new Map;return h(E,w,this.getLogDetails(0)??"",this.getLogDetails(1)??"")}}e.AbstractStorageService=b,b.DEFAULT_FLUSH_INTERVAL=60*1e3;class c extends b{constructor(){super();this.globalStorage=this._register(new D.Storage(new D.InMemoryStorageDatabase)),this.workspaceStorage=this._register(new D.Storage(new D.InMemoryStorageDatabase)),this._register(this.workspaceStorage.onDidChangeStorage(E=>this.emitDidChangeValue(1,E))),this._register(this.globalStorage.onDidChangeStorage(E=>this.emitDidChangeValue(0,E)))}getStorage(E){return E===0?this.globalStorage:this.workspaceStorage}getLogDetails(E){return E===0?"inMemory (global)":"inMemory (workspace)"}async doInitialize(){}async migrate(E){}}e.InMemoryStorageService=c;async function h(d,E,w,f){const y=r=>{try{return JSON.parse(r)}catch{return r}},u=new Map,o=new Map;d.forEach((r,a)=>{u.set(a,r),o.set(a,y(r))});const l=new Map,s=new Map;E.forEach((r,a)=>{l.set(a,r),s.set(a,y(r))}),console.group(`Storage: Global (path: ${w})`);let n=[];u.forEach((r,a)=>{n.push({key:a,value:r})}),console.table(n),console.groupEnd(),console.log(o),console.group(`Storage: Workspace (path: ${f})`);let i=[];l.forEach((r,a)=>{i.push({key:a,value:r})}),console.table(i),console.groupEnd(),console.log(s)}e.logStorage=h}),define(we[205],ye([0,1,3,24,4,23]),function(J,e,k,t,p,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.verifyMicrosoftInternalDomain=e.resolveCommonProperties=void 0;function P(I){if(k.platform===2&&/^penguin(\.|$)/i.test(I))return"chromebook"}async function D(I,L,R,g,b,c,h,d,E,w){const f=Object.create(null);f["common.machineId"]=h,f.sessionID=(0,C.generateUuid)()+Date.now(),f.commitHash=b,f.version=c,f["common.platformVersion"]=(L||"").replace(/^(\d+)(\.\d+)?(\.\d+)?(.*)/,"$1$2$3"),f["common.platform"]=(0,k.PlatformToString)(k.platform),f["common.nodePlatform"]=t.platform,f["common.nodeArch"]=g,f["common.product"]=w||"desktop";const y=v(d||[]);y&&(f["common.msftInternal"]=y);let u=0;const o=Date.now();Object.defineProperties(f,{timestamp:{get:()=>new Date,enumerable:!0},"common.timesincesessionstart":{get:()=>Date.now()-o,enumerable:!0},"common.sequence":{get:()=>u++,enumerable:!0}}),k.isLinuxSnap&&(f["common.snap"]="true");const l=P(R);l&&(f["common.platformDetail"]=l);try{const s=await I.readFile(p.URI.file(E));f["common.source"]=s.value.toString().slice(0,30)}catch{}return f}e.resolveCommonProperties=D;function v(I){const L=t.env.USERDNSDOMAIN;if(!L)return!1;const R=L.toLowerCase();return I.some(g=>R===g)}e.verifyMicrosoftInternalDomain=v}),define(we[206],ye([0,1,17,11,2,21]),function(J,e,k,t,p,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ErrorEvent=void 0;var P;(function(v){function I(L,R){return L.callstack<R.callstack?-1:L.callstack>R.callstack?1:0}v.compare=I})(P=e.ErrorEvent||(e.ErrorEvent={}));class D{constructor(I,L=D.ERROR_FLUSH_TIMEOUT){this._flushHandle=-1,this._buffer=[],this._disposables=new p.DisposableStore,this._telemetryService=I,this._flushDelay=L;const R=t.errorHandler.addListener(g=>this._onErrorEvent(g));this._disposables.add((0,p.toDisposable)(R)),this.installErrorListeners()}dispose(){clearTimeout(this._flushHandle),this._flushBuffer(),this._disposables.dispose()}installErrorListeners(){}_onErrorEvent(I){if(!I||(I.detail&&I.detail.stack&&(I=I.detail),I instanceof t.ErrorNoTelemetry))return;let L=Array.isArray(I.stack)?I.stack.join(`
`):I.stack,R=I.message?I.message:(0,C.safeStringify)(I);!L||this._enqueue({msg:R,callstack:L})}_enqueue(I){const L=(0,k.binarySearch)(this._buffer,I,P.compare);L<0?(I.count=1,this._buffer.splice(~L,0,I)):(this._buffer[L].count||(this._buffer[L].count=0),this._buffer[L].count+=1),this._flushHandle===-1&&(this._flushHandle=setTimeout(()=>{this._flushBuffer(),this._flushHandle=-1},this._flushDelay))}_flushBuffer(){for(let I of this._buffer)this._telemetryService.publicLogError2("UnhandledError",I);this._buffer.length=0}}e.default=D,D.ERROR_FLUSH_TIMEOUT=5*1e3}),define(we[207],ye([0,1,2]),function(J,e,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ServerTelemetryChannel=void 0;class t extends k.Disposable{constructor(C,P){super();this.telemetryService=C,this.telemetryAppender=P}async call(C,P,D){switch(P){case"updateTelemetryLevel":{const{telemetryLevel:v}=D;return this.telemetryService.updateInjectedTelemetryLevel(v)}case"logTelemetry":{const{eventName:v,data:I}=D;return this.telemetryAppender?this.telemetryAppender.log(v,I):Promise.resolve()}case"flushTelemetry":return this.telemetryAppender?this.telemetryAppender.flush():Promise.resolve()}throw new Error(`IPC Command ${P} not found`)}listen(C,P,D){throw new Error("Not supported")}dispose(){this.telemetryService.updateInjectedTelemetryLevel(0),super.dispose()}}e.ServerTelemetryChannel=t}),define(we[33],ye([0,1,6]),function(J,e,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TelemetryConfiguration=e.TelemetryLevel=e.TELEMETRY_OLD_SETTING_ID=e.TELEMETRY_SETTING_ID=e.TELEMETRY_SECTION_ID=e.machineIdKey=e.lastSessionDateStorageKey=e.firstSessionDateStorageKey=e.currentSessionDateStorageKey=e.ICustomEndpointTelemetryService=e.ITelemetryService=void 0,e.ITelemetryService=(0,k.createDecorator)("telemetryService"),e.ICustomEndpointTelemetryService=(0,k.createDecorator)("customEndpointTelemetryService"),e.currentSessionDateStorageKey="telemetry.currentSessionDate",e.firstSessionDateStorageKey="telemetry.firstSessionDate",e.lastSessionDateStorageKey="telemetry.lastSessionDate",e.machineIdKey="telemetry.machineId",e.TELEMETRY_SECTION_ID="telemetry",e.TELEMETRY_SETTING_ID="telemetry.telemetryLevel",e.TELEMETRY_OLD_SETTING_ID="telemetry.enableTelemetry";var t;(function(C){C[C.NONE=0]="NONE",C[C.CRASH=1]="CRASH",C[C.ERROR=2]="ERROR",C[C.USAGE=3]="USAGE"})(t=e.TelemetryLevel||(e.TelemetryLevel={}));var p;(function(C){C.OFF="off",C.CRASH="crash",C.ERROR="error",C.ON="all"})(p=e.TelemetryConfiguration||(e.TelemetryConfiguration={}))}),define(we[208],ye([0,1,25,49,13,59,8,5,3,4,81,18,84,181,19,30,33]),function(J,e,k,t,p,C,P,D,v,I,L,R,g,b,c,h,d){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.DiagnosticsService=e.collectLaunchConfigs=e.getMachineInfo=e.collectWorkspaceStats=void 0;const E=new Map;async function w(l,s){const n=`${l}::${s.join(":")}`,i=E.get(n);if(i)return i;const r=[{tag:"grunt.js",filePattern:/^gruntfile\.js$/i},{tag:"gulp.js",filePattern:/^gulpfile\.js$/i},{tag:"tsconfig.json",filePattern:/^tsconfig\.json$/i},{tag:"package.json",filePattern:/^package\.json$/i},{tag:"jsconfig.json",filePattern:/^jsconfig\.json$/i},{tag:"tslint.json",filePattern:/^tslint\.json$/i},{tag:"eslint.json",filePattern:/^eslint\.json$/i},{tag:"tasks.json",filePattern:/^tasks\.json$/i},{tag:"launch.json",filePattern:/^launch\.json$/i},{tag:"settings.json",filePattern:/^settings\.json$/i},{tag:"webpack.config.js",filePattern:/^webpack\.config\.js$/i},{tag:"project.json",filePattern:/^project\.json$/i},{tag:"makefile",filePattern:/^makefile$/i},{tag:"sln",filePattern:/^.+\.sln$/i},{tag:"csproj",filePattern:/^.+\.csproj$/i},{tag:"cmake",filePattern:/^.+\.cmake$/i},{tag:"github-actions",filePattern:/^.+\.ya?ml$/i,relativePathPattern:/^\.github(?:\/|\\)workflows$/i},{tag:"devcontainer.json",filePattern:/^devcontainer\.json$/i},{tag:"dockerfile",filePattern:/^(dockerfile|docker\-compose\.ya?ml)$/i}],a=new Map,m=new Map,S=2e4;function _(B,A,T,U){const N=A.substring(B.length+1);return p.Promises.withAsyncBody(async W=>{let ie;try{ie=await R.Promises.readdir(A,{withFileTypes:!0})}catch{W();return}if(U.count>=S){U.count+=ie.length,U.maxReached=!0,W();return}let q=ie.length;if(q===0){W();return}let se=ie;U.count+ie.length>S&&(U.maxReached=!0,q=S-U.count,se=ie.slice(0,q)),U.count+=ie.length;for(const V of se)if(V.isDirectory()){if(T.includes(V.name)||await _(B,(0,D.join)(A,V.name),T,U),--q==0){W();return}}else{const K=V.name.lastIndexOf(".");if(K>=0){const te=V.name.substring(K+1);te&&a.set(te,(a.get(te)??0)+1)}for(const te of r)te.relativePathPattern?.test(N)!==!1&&te.filePattern.test(V.name)&&m.set(te.tag,(m.get(te.tag)??0)+1);if(--q==0){W();return}}})}const F=p.Promises.withAsyncBody(async B=>{const A={count:0,maxReached:!1};await _(l,l,s,A);const T=await u(l);B({configFiles:f(m),fileTypes:f(a),fileCount:A.count,maxFilesReached:A.maxReached,launchConfigFiles:T})});return E.set(n,F),F}e.collectWorkspaceStats=w;function f(l){return[...t.Iterable.map(l.entries(),([s,n])=>({name:s,count:n}))].sort((s,n)=>n.count-s.count)}function y(){const l={os:`${k.type()} ${k.arch()} ${k.release()}`,memory:`${(k.totalmem()/c.ByteSize.GB).toFixed(2)}GB (${(k.freemem()/c.ByteSize.GB).toFixed(2)}GB free)`,vmHint:`${Math.round(L.virtualMachineHint.value()*100)}%`},s=k.cpus();return s&&s.length>0&&(l.cpus=`${s[0].model} (${s.length} x ${s[0].speed})`),l}e.getMachineInfo=y;async function u(l){try{const s=new Map,n=(0,D.join)(l,".vscode","launch.json"),i=await R.Promises.readFile(n),r=[],a=(0,C.parse)(i.toString(),r);if(r.length)return console.log(`Unable to parse ${n}`),[];if((0,C.getNodeType)(a)==="object"&&a.configurations)for(const m of a.configurations){const S=m.type;S&&(s.has(S)?s.set(S,s.get(S)+1):s.set(S,1))}return f(s)}catch{return[]}}e.collectLaunchConfigs=u;let o=class{constructor(s,n){this.telemetryService=s,this.productService=n}formatMachineInfo(s){const n=[];return n.push(`OS Version:       ${s.os}`),n.push(`CPUs:             ${s.cpus}`),n.push(`Memory (System):  ${s.memory}`),n.push(`VM:               ${s.vmHint}`),n.join(`
`)}formatEnvironment(s){const n=[];n.push(`Version:          ${this.productService.nameShort} ${this.productService.version} (${this.productService.commit||"Commit unknown"}, ${this.productService.date||"Date unknown"})`),n.push(`OS Version:       ${k.type()} ${k.arch()} ${k.release()}`);const i=k.cpus();return i&&i.length>0&&n.push(`CPUs:             ${i[0].model} (${i.length} x ${i[0].speed})`),n.push(`Memory (System):  ${(k.totalmem()/c.ByteSize.GB).toFixed(2)}GB (${(k.freemem()/c.ByteSize.GB).toFixed(2)}GB free)`),v.isWindows||n.push(`Load (avg):       ${k.loadavg().map(r=>Math.round(r)).join(", ")}`),n.push(`VM:               ${Math.round(L.virtualMachineHint.value()*100)}%`),n.push(`Screen Reader:    ${s.screenReader?"yes":"no"}`),n.push(`Process Argv:     ${s.mainArguments.join(" ")}`),n.push(`GPU Status:       ${this.expandGPUFeatures(s.gpuFeatureStatus)}`),n.join(`
`)}async getPerformanceInfo(s,n){return Promise.all([(0,g.listProcesses)(s.mainPID),this.formatWorkspaceMetadata(s)]).then(async i=>{let[r,a]=i,m=this.formatProcessList(s,r);return n.forEach(S=>{if((0,b.isRemoteDiagnosticError)(S))m+=`
${S.errorMessage}`,a+=`
${S.errorMessage}`;else if(m+=`

Remote: ${S.hostName}`,S.processes&&(m+=`
${this.formatProcessList(s,S.processes)}`),S.workspaceMetadata){a+=`
|  Remote: ${S.hostName}`;for(const _ of Object.keys(S.workspaceMetadata)){const F=S.workspaceMetadata[_];let B=`${F.fileCount} files`;F.maxFilesReached&&(B=`more than ${B}`),a+=`|    Folder (${_}): ${B}`,a+=this.formatWorkspaceStats(F)}}}),{processInfo:m,workspaceInfo:a}})}async getSystemInfo(s,n){const{memory:i,vmHint:r,os:a,cpus:m}=y(),S={os:a,memory:i,cpus:m,vmHint:r,processArgs:`${s.mainArguments.join(" ")}`,gpuStatus:s.gpuFeatureStatus,screenReader:`${s.screenReader?"yes":"no"}`,remoteData:n};return v.isWindows||(S.load=`${k.loadavg().map(_=>Math.round(_)).join(", ")}`),v.isLinux&&(S.linuxEnv={desktopSession:process.env.DESKTOP_SESSION,xdgSessionDesktop:process.env.XDG_SESSION_DESKTOP,xdgCurrentDesktop:process.env.XDG_CURRENT_DESKTOP,xdgSessionType:process.env.XDG_SESSION_TYPE}),Promise.resolve(S)}async getDiagnostics(s,n){const i=[];return(0,g.listProcesses)(s.mainPID).then(async r=>(i.push(""),i.push(this.formatEnvironment(s)),i.push(""),i.push(this.formatProcessList(s,r)),s.windows.some(a=>a.folderURIs&&a.folderURIs.length>0&&!a.remoteAuthority)&&(i.push(""),i.push("Workspace Stats: "),i.push(await this.formatWorkspaceMetadata(s))),n.forEach(a=>{if((0,b.isRemoteDiagnosticError)(a))i.push(`
${a.errorMessage}`);else if(i.push(`

`),i.push(`Remote:           ${a.hostName}`),i.push(this.formatMachineInfo(a.machineInfo)),a.processes&&i.push(this.formatProcessList(s,a.processes)),a.workspaceMetadata)for(const m of Object.keys(a.workspaceMetadata)){const S=a.workspaceMetadata[m];let _=`${S.fileCount} files`;S.maxFilesReached&&(_=`more than ${_}`),i.push(`Folder (${m}): ${_}`),i.push(this.formatWorkspaceStats(S))}}),i.push(""),i.push(""),i.join(`
`)))}formatWorkspaceStats(s){const n=[],i=60;let r=0;const a=(F,B)=>{const A=` ${F}(${B})`;r+A.length>i?(n.push(m),m="|                 ",r=m.length):r+=A.length,m+=A};let m="|      File types:";const S=10;let _=s.fileTypes.length>S?S:s.fileTypes.length;for(let F=0;F<_;F++){const B=s.fileTypes[F];a(B.name,B.count)}if(n.push(m),s.configFiles.length>=0&&(m="|      Conf files:",r=0,s.configFiles.forEach(F=>{a(F.name,F.count)}),n.push(m)),s.launchConfigFiles.length>0){let F="|      Launch Configs:";s.launchConfigFiles.forEach(B=>{F+=B.count>1?` ${B.name}(${B.count})`:` ${B.name}`}),n.push(F)}return n.join(`
`)}expandGPUFeatures(s){const n=Math.max(...Object.keys(s).map(i=>i.length));return Object.keys(s).map(i=>`${i}:  ${" ".repeat(n-i.length)}  ${s[i]}`).join(`
                  `)}formatWorkspaceMetadata(s){const n=[],i=[];return s.windows.forEach(r=>{r.folderURIs.length===0||!!r.remoteAuthority||(n.push(`|  Window (${r.title})`),r.folderURIs.forEach(a=>{const m=I.URI.revive(a);if(m.scheme===P.Schemas.file){const S=m.fsPath;i.push(w(S,["node_modules",".git"]).then(_=>{let F=`${_.fileCount} files`;_.maxFilesReached&&(F=`more than ${F}`),n.push(`|    Folder (${(0,D.basename)(S)}): ${F}`),n.push(this.formatWorkspaceStats(_))}).catch(_=>{n.push(`|      Error: Unable to collect workspace stats for folder ${S} (${_.toString()})`)}))}else n.push(`|    Folder (${m.toString()}): Workspace stats not available.`)}))}),Promise.all(i).then(r=>n.join(`
`)).catch(r=>`Unable to collect workspace stats: ${r}`)}formatProcessList(s,n){const i=new Map;s.windows.forEach(a=>i.set(a.pid,a.title));const r=[];return r.push("CPU %	Mem MB	   PID	Process"),n&&this.formatProcessItem(s.mainPID,i,r,n,0),r.join(`
`)}formatProcessItem(s,n,i,r,a){const m=a===0;let S;m?S=r.pid===s?`${this.productService.applicationName} main`:"remote agent":(S=`${"  ".repeat(a)} ${r.name}`,r.name==="window"&&(S=`${S} (${n.get(r.pid)})`));const _=process.platform==="win32"?r.mem:k.totalmem()*(r.mem/100);i.push(`${r.load.toFixed(0).padStart(5," ")}	${(_/c.ByteSize.MB).toFixed(0).padStart(6," ")}	${r.pid.toFixed(0).padStart(6," ")}	${S}`),Array.isArray(r.children)&&r.children.forEach(F=>this.formatProcessItem(s,n,i,F,a+1))}async getWorkspaceFileExtensions(s){const n=new Set;for(const{uri:i}of s.folders){const r=I.URI.revive(i);if(r.scheme!==P.Schemas.file)continue;const a=r.fsPath;try{(await w(a,["node_modules",".git"])).fileTypes.forEach(S=>n.add(S.name))}catch{}}return{extensions:[...n]}}async reportWorkspaceStats(s){for(const{uri:n}of s.folders){const i=I.URI.revive(n);if(i.scheme!==P.Schemas.file)continue;const r=i.fsPath;try{const a=await w(r,["node_modules",".git"]);this.telemetryService.publicLog2("workspace.stats",{"workspace.id":s.telemetryId,rendererSessionId:s.rendererSessionId}),a.fileTypes.forEach(m=>{this.telemetryService.publicLog2("workspace.stats.file",{rendererSessionId:s.rendererSessionId,type:m.name,count:m.count})}),a.launchConfigFiles.forEach(m=>{this.telemetryService.publicLog2("workspace.stats.launchConfigFile",{rendererSessionId:s.rendererSessionId,type:m.name,count:m.count})}),a.configFiles.forEach(m=>{this.telemetryService.publicLog2("workspace.stats.configFiles",{rendererSessionId:s.rendererSessionId,type:m.name,count:m.count})})}catch{}}}};o=Ae([Oe(0,d.ITelemetryService),Oe(1,h.IProductService)],o),e.DiagnosticsService=o}),define(we[209],ye([0,1,17,13,20,11,7,2,3,12,4,148,32,31,14,30,33]),function(J,e,k,t,p,C,P,D,v,I,L,R,g,b,c,h,d){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AbstractExtensionTask=e.reportTelemetry=e.joinErrors=e.AbstractExtensionManagementService=void 0;let E=class extends D.Disposable{constructor(l,s,n,i){super();this.galleryService=l,this.telemetryService=s,this.logService=n,this.productService=i,this.lastReportTimestamp=0,this.installingExtensions=new Map,this.uninstallingExtensions=new Map,this._onInstallExtension=this._register(new P.Emitter),this.onInstallExtension=this._onInstallExtension.event,this._onDidInstallExtensions=this._register(new P.Emitter),this.onDidInstallExtensions=this._onDidInstallExtensions.event,this._onUninstallExtension=this._register(new P.Emitter),this.onUninstallExtension=this._onUninstallExtension.event,this._onDidUninstallExtension=this._register(new P.Emitter),this.onDidUninstallExtension=this._onDidUninstallExtension.event,this.participants=[],this._register((0,D.toDisposable)(()=>{this.installingExtensions.forEach(r=>r.cancel()),this.uninstallingExtensions.forEach(r=>r.cancel()),this.installingExtensions.clear(),this.uninstallingExtensions.clear()}))}async canInstall(l){const s=await this.getTargetPlatform();return l.allTargetPlatforms.some(n=>(0,g.isTargetPlatformCompatible)(n,l.allTargetPlatforms,s))}async installFromGallery(l,s={}){try{if(!this.galleryService.isEnabled())throw new g.ExtensionManagementError(R.localize(0,null),g.ExtensionManagementErrorCode.Internal);const n=await this.checkAndGetCompatibleVersion(l,!s.installGivenVersion,!!s.installPreReleaseVersion);return await this.installExtension(n.manifest,n.extension,s)}catch(n){throw y(this.telemetryService,"extensionGallery:install",(0,b.getGalleryExtensionTelemetryData)(l),void 0,n),this.logService.error("Failed to install extension.",l.identifier.id),this.logService.error(n),f(n)}}async uninstall(l,s={}){return this.logService.trace("ExtensionManagementService#uninstall",l.identifier.id),this.unininstallExtension(l,s)}async reinstallFromGallery(l){if(this.logService.trace("ExtensionManagementService#reinstallFromGallery",l.identifier.id),!this.galleryService.isEnabled())throw new Error(R.localize(1,null));const s=await this.getTargetPlatform(),[n]=await this.galleryService.getExtensions([{...l.identifier,preRelease:l.preRelease}],{targetPlatform:s,compatible:!0},p.CancellationToken.None);if(!n)throw new Error(R.localize(2,null));await this.createUninstallExtensionTask(l,{remove:!0,versionOnly:!0}).run(),await this.installFromGallery(n)}getExtensionsControlManifest(){const l=new Date().getTime();return(!this.extensionsControlManifest||l-this.lastReportTimestamp>1e3*60*5)&&(this.extensionsControlManifest=this.updateControlCache(),this.lastReportTimestamp=l),this.extensionsControlManifest}registerParticipant(l){this.participants.push(l)}async installExtension(l,s,n){if(!L.URI.isUri(s)){let S=this.installingExtensions.get(new b.ExtensionIdentifierWithVersion(s.identifier,s.version).key());if(S)return this.logService.info("Extensions is already requested to install",s.identifier.id),S.waitUntilTaskIsFinished();n={...n,installOnlyNewlyAddedFromExtensionPack:!0}}const i=[],r=[],a=this.createInstallExtensionTask(l,s,n);L.URI.isUri(s)||this.installingExtensions.set(new b.ExtensionIdentifierWithVersion(a.identifier,l.version).key(),a),this._onInstallExtension.fire({identifier:a.identifier,source:s}),this.logService.info("Installing extension:",a.identifier.id),i.push({task:a,manifest:l});let m=!1;try{if(n.donotIncludePackAndDependencies)this.logService.info("Installing the extension without checking dependencies and pack",a.identifier.id);else try{const _=await this.getAllDepsAndPackExtensionsToInstall(a.identifier,l,!!n.installOnlyNewlyAddedFromExtensionPack,!!n.installPreReleaseVersion);for(const{gallery:F,manifest:B}of _)if(m=m||!!B.extensionDependencies?.some(A=>(0,b.areSameExtensions)({id:A},a.identifier)),this.installingExtensions.has(new b.ExtensionIdentifierWithVersion(F.identifier,F.version).key()))this.logService.info("Extension is already requested to install",F.identifier.id);else{const A=this.createInstallExtensionTask(B,F,{...n,donotIncludePackAndDependencies:!0});this.installingExtensions.set(new b.ExtensionIdentifierWithVersion(A.identifier,B.version).key(),A),this._onInstallExtension.fire({identifier:A.identifier,source:F}),this.logService.info("Installing extension:",A.identifier.id),i.push({task:A,manifest:B})}}catch(_){if(L.URI.isUri(a.source))(0,k.isNonEmptyArray)(l.extensionDependencies)&&this.logService.warn("Cannot install dependencies of extension:",a.identifier.id,_.message),(0,k.isNonEmptyArray)(l.extensionPack)&&this.logService.warn("Cannot install packed extensions of extension:",a.identifier.id,_.message);else throw this.logService.error("Error while preparing to install dependencies and extension packs of the extension:",a.identifier.id),_}const S=i.reduce((_,{task:F,manifest:B})=>(_.set(F.identifier.id.toLowerCase(),{task:F,manifest:B}),_),new Map);for(;S.size;){let _;const F=[...S.values()].filter(({manifest:B})=>!B.extensionDependencies?.some(A=>S.has(A.toLowerCase())));F.length?_=S.size===1?F:F.filter(({task:B})=>!(B===a&&!m)):(this.logService.info("Found extensions with circular dependencies",F.map(({task:B})=>B.identifier.id)),_=[...S.values()]),await this.joinAllSettled(_.map(async({task:B})=>{const A=new Date().getTime(),T=(0,I.isUndefined)(n.operation)?B.operation:n.operation;try{const U=await B.run();if(await this.joinAllSettled(this.participants.map(N=>N.postInstall(U,B.source,n,p.CancellationToken.None))),!L.URI.isUri(B.source)&&(y(this.telemetryService,T===3?"extensionGallery:update":"extensionGallery:install",(0,b.getGalleryExtensionTelemetryData)(B.source),new Date().getTime()-A,void 0),v.isWeb&&T!==3))try{await this.galleryService.reportStatistic(U.manifest.publisher,U.manifest.name,U.manifest.version,"install")}catch{}r.push({local:U,identifier:B.identifier,operation:T,source:B.source})}catch(U){throw L.URI.isUri(B.source)||y(this.telemetryService,T===3?"extensionGallery:update":"extensionGallery:install",(0,b.getGalleryExtensionTelemetryData)(B.source),new Date().getTime()-A,U),this.logService.error("Error while installing the extension:",B.identifier.id),U}finally{S.delete(B.identifier.id.toLowerCase())}}))}return r.forEach(({identifier:_})=>this.logService.info("Extension installed successfully:",_.id)),this._onDidInstallExtensions.fire(r),r.filter(({identifier:_})=>(0,b.areSameExtensions)(_,a.identifier))[0].local}catch(S){if(i.forEach(({task:_})=>_.cancel()),r.length)try{const _=await Promise.allSettled(r.map(({local:F})=>this.createUninstallExtensionTask(F,{versionOnly:!0}).run()));for(let F=0;F<_.length;F++){const B=_[F],{identifier:A}=r[F];B.status==="fulfilled"?this.logService.info("Rollback: Uninstalled extension",A.id):this.logService.warn("Rollback: Error while uninstalling extension",A.id,(0,C.getErrorMessage)(B.reason))}}catch(_){this.logService.warn("Error while rolling back extensions",(0,C.getErrorMessage)(_),r.map(({identifier:F})=>F.id))}throw this._onDidInstallExtensions.fire(i.map(({task:_})=>({identifier:_.identifier,operation:2,source:_.source}))),S}finally{for(const{task:S,manifest:_}of i)if(!L.URI.isUri(S.source)){const F=new b.ExtensionIdentifierWithVersion(S.identifier,_.version).key();this.installingExtensions.delete(F)||this.logService.warn("Installation task is not found in the cache",F)}}}async joinAllSettled(l){const s=[],n=[],i=await Promise.allSettled(l);for(const r of i)r.status==="fulfilled"?s.push(r.value):n.push(r.reason);if(n.length)throw w(n);return s}async getAllDepsAndPackExtensionsToInstall(l,s,n,i){if(!this.galleryService.isEnabled())return[];let r=await this.getInstalled();const a=[l,...r.map(_=>_.identifier)],m=[],S=async(_,F)=>{const B=F.extensionDependencies||[],A=[...B];if(F.extensionPack){const T=n?r.find(U=>(0,b.areSameExtensions)(U.identifier,_)):void 0;for(const U of F.extensionPack)T&&T.manifest.extensionPack&&T.manifest.extensionPack.some(N=>(0,b.areSameExtensions)({id:N},{id:U}))||A.every(N=>!(0,b.areSameExtensions)({id:N},{id:U}))&&A.push(U)}if(A.length){const T=[...a,...m.map(N=>N.gallery.identifier)],U=A.filter(N=>T.every(W=>!(0,b.areSameExtensions)(W,{id:N})));if(U.length){const N=await this.galleryService.getExtensions(U.map(W=>({id:W,preRelease:i})),p.CancellationToken.None);for(const W of N){if(T.find(se=>(0,b.areSameExtensions)(se,W.identifier)))continue;const ie=B.some(se=>(0,b.areSameExtensions)({id:se},W.identifier));let q;try{q=await this.checkAndGetCompatibleVersion(W,!0,i)}catch(se){if(se instanceof g.ExtensionManagementError&&se.code===g.ExtensionManagementErrorCode.IncompatibleTargetPlatform&&!ie){this.logService.info("Skipping the packed extension as it cannot be installed",W.identifier.id);continue}else throw se}m.push({gallery:q.extension,manifest:q.manifest}),await S(q.extension.identifier,q.manifest)}}}};return await S(l,s),r=await this.getInstalled(),m.filter(_=>!r.some(F=>(0,b.areSameExtensions)(F.identifier,_.gallery.identifier)))}async checkAndGetCompatibleVersion(l,s,n){const i=await this.getExtensionsControlManifest();if((0,b.getMaliciousExtensionsSet)(i).has(l.identifier.id))throw new g.ExtensionManagementError(R.localize(3,null,l.identifier.id),g.ExtensionManagementErrorCode.Malicious);if(!!i.unsupportedPreReleaseExtensions&&!!i.unsupportedPreReleaseExtensions[l.identifier.id])throw new g.ExtensionManagementError(R.localize(4,null,l.identifier.id,i.unsupportedPreReleaseExtensions[l.identifier.id].displayName),g.ExtensionManagementErrorCode.UnsupportedPreRelease);if(!await this.canInstall(l)){const m=await this.getTargetPlatform();throw new g.ExtensionManagementError(R.localize(5,null,l.identifier.id,this.productService.nameLong,(0,g.TargetPlatformToString)(m)),g.ExtensionManagementErrorCode.IncompatibleTargetPlatform)}const r=await this.getCompatibleVersion(l,s,n);if(r){if(n&&s&&l.hasPreReleaseVersion&&!r.properties.isPreReleaseVersion)throw new g.ExtensionManagementError(R.localize(6,null,l.identifier.id,this.productService.nameLong,this.productService.version),g.ExtensionManagementErrorCode.IncompatiblePreRelease)}else throw!n&&l.properties.isPreReleaseVersion&&(await this.galleryService.getExtensions([l.identifier],p.CancellationToken.None))[0]?new g.ExtensionManagementError(R.localize(7,null,l.identifier.id),g.ExtensionManagementErrorCode.ReleaseVersionNotFound):new g.ExtensionManagementError(R.localize(8,null,l.identifier.id,this.productService.nameLong,this.productService.version),g.ExtensionManagementErrorCode.Incompatible);this.logService.info("Getting Manifest...",r.identifier.id);const a=await this.galleryService.getManifest(r,p.CancellationToken.None);if(a===null)throw new g.ExtensionManagementError(`Missing manifest for extension ${l.identifier.id}`,g.ExtensionManagementErrorCode.Invalid);if(a.version!==r.version)throw new g.ExtensionManagementError(`Cannot install '${l.identifier.id}' extension because of version mismatch in Marketplace`,g.ExtensionManagementErrorCode.Invalid);return{extension:r,manifest:a}}async getCompatibleVersion(l,s,n){const i=await this.getTargetPlatform();let r=null;return s&&l.hasPreReleaseVersion&&l.properties.isPreReleaseVersion!==n&&(r=(await this.galleryService.getExtensions([{...l.identifier,preRelease:n}],{targetPlatform:i,compatible:!0},p.CancellationToken.None))[0]||null),!r&&await this.galleryService.isExtensionCompatible(l,n,i)&&(r=l),!r&&s&&(r=await this.galleryService.getCompatibleExtension(l,n,i)),r}async unininstallExtension(l,s){const n=this.uninstallingExtensions.get(l.identifier.id.toLowerCase());if(n)return this.logService.info("Extensions is already requested to uninstall",l.identifier.id),n.waitUntilTaskIsFinished();const i=(S,_)=>{const F=this.createUninstallExtensionTask(S,_);return this.uninstallingExtensions.set(F.extension.identifier.id.toLowerCase(),F),this.logService.info("Uninstalling extension:",S.identifier.id),this._onUninstallExtension.fire(S.identifier),F},r=(S,_)=>{_?this.logService.error("Failed to uninstall extension:",S.identifier.id,_.message):this.logService.info("Successfully uninstalled extension:",S.identifier.id),y(this.telemetryService,"extensionGallery:uninstall",(0,b.getLocalExtensionTelemetryData)(S),void 0,_),this._onDidUninstallExtension.fire({identifier:S.identifier,error:_?.code})},a=[],m=[];try{a.push(i(l,{}));const S=await this.getInstalled(1);if(s.donotIncludePack)this.logService.info("Uninstalling the extension without including packed extension",l.identifier.id);else{const _=this.getAllPackExtensionsToUninstall(l,S);for(const F of _)this.uninstallingExtensions.has(F.identifier.id.toLowerCase())?this.logService.info("Extensions is already requested to uninstall",F.identifier.id):a.push(i(F,{}))}s.donotCheckDependents?this.logService.info("Uninstalling the extension without checking dependents",l.identifier.id):this.checkForDependents(a.map(_=>_.extension),S,l),await this.joinAllSettled(a.map(async _=>{try{if(await _.run(),await this.joinAllSettled(this.participants.map(F=>F.postUninstall(_.extension,s,p.CancellationToken.None))),_.extension.identifier.uuid)try{await this.galleryService.reportStatistic(_.extension.manifest.publisher,_.extension.manifest.name,_.extension.manifest.version,"uninstall")}catch{}r(_.extension)}catch(F){const B=F instanceof g.ExtensionManagementError?F:new g.ExtensionManagementError((0,C.getErrorMessage)(F),g.ExtensionManagementErrorCode.Internal);throw r(_.extension,B),B}finally{m.push(_)}}))}catch(S){const _=S instanceof g.ExtensionManagementError?S:new g.ExtensionManagementError((0,C.getErrorMessage)(S),g.ExtensionManagementErrorCode.Internal);for(const F of a){try{F.cancel()}catch{}m.includes(F)||r(F.extension,_)}throw _}finally{for(const S of a)this.uninstallingExtensions.delete(S.extension.identifier.id.toLowerCase())||this.logService.warn("Uninstallation task is not found in the cache",S.extension.identifier.id)}}checkForDependents(l,s,n){for(const i of l){const r=this.getDependents(i,s);if(r.length){const a=r.filter(m=>!l.some(S=>(0,b.areSameExtensions)(S.identifier,m.identifier)));if(a.length)throw new Error(this.getDependentsErrorMessage(i,a,n))}}}getDependentsErrorMessage(l,s,n){return n===l?s.length===1?R.localize(9,null,n.manifest.displayName||n.manifest.name,s[0].manifest.displayName||s[0].manifest.name):s.length===2?R.localize(10,null,n.manifest.displayName||n.manifest.name,s[0].manifest.displayName||s[0].manifest.name,s[1].manifest.displayName||s[1].manifest.name):R.localize(11,null,n.manifest.displayName||n.manifest.name,s[0].manifest.displayName||s[0].manifest.name,s[1].manifest.displayName||s[1].manifest.name):s.length===1?R.localize(12,null,n.manifest.displayName||n.manifest.name,l.manifest.displayName||l.manifest.name,s[0].manifest.displayName||s[0].manifest.name):s.length===2?R.localize(13,null,n.manifest.displayName||n.manifest.name,l.manifest.displayName||l.manifest.name,s[0].manifest.displayName||s[0].manifest.name,s[1].manifest.displayName||s[1].manifest.name):R.localize(14,null,n.manifest.displayName||n.manifest.name,l.manifest.displayName||l.manifest.name,s[0].manifest.displayName||s[0].manifest.name,s[1].manifest.displayName||s[1].manifest.name)}getAllPackExtensionsToUninstall(l,s,n=[]){if(n.indexOf(l)!==-1)return[];n.push(l);const i=l.manifest.extensionPack?l.manifest.extensionPack:[];if(i.length){const r=s.filter(m=>!m.isBuiltin&&i.some(S=>(0,b.areSameExtensions)({id:S},m.identifier))),a=[];for(const m of r)a.push(...this.getAllPackExtensionsToUninstall(m,s,n));return[...r,...a]}return[]}getDependents(l,s){return s.filter(n=>n.manifest.extensionDependencies&&n.manifest.extensionDependencies.some(i=>(0,b.areSameExtensions)({id:i},l.identifier)))}async updateControlCache(){try{this.logService.trace("ExtensionManagementService.refreshReportedCache");const l=await this.galleryService.getExtensionsControlManifest();return this.logService.trace("ExtensionManagementService.refreshControlCache",l),l}catch{return this.logService.trace("ExtensionManagementService.refreshControlCache - failed to get extension control manifest"),{malicious:[]}}}};E=Ae([Oe(0,g.IExtensionGalleryService),Oe(1,d.ITelemetryService),Oe(2,c.ILogService),Oe(3,h.IProductService)],E),e.AbstractExtensionManagementService=E;function w(o){const l=Array.isArray(o)?o:[o];return l.length===1?l[0]instanceof Error?l[0]:new Error(l[0]):l.reduce((s,n)=>new Error(`${s.message}${s.message?",":""}${n instanceof Error?n.message:n}`),new Error(""))}e.joinErrors=w;function f(o){if(o instanceof g.ExtensionManagementError)return o;const l=new g.ExtensionManagementError(o.message,g.ExtensionManagementErrorCode.Internal);return l.stack=o.stack,l}function y(o,l,s,n,i){const r=i?i instanceof g.ExtensionManagementError?i.code:g.ExtensionManagementErrorCode.Internal:void 0;o.publicLogError(l,{...s,success:!i,duration:n,errorcode:r})}e.reportTelemetry=y;class u{constructor(){this.barrier=new t.Barrier}async waitUntilTaskIsFinished(){return await this.barrier.wait(),this.cancellablePromise}async run(){return this.cancellablePromise||(this.cancellablePromise=(0,t.createCancelablePromise)(l=>this.doRun(l))),this.barrier.open(),this.cancellablePromise}cancel(){this.cancellablePromise||(this.cancellablePromise=(0,t.createCancelablePromise)(l=>new Promise((s,n)=>{const i=l.onCancellationRequested(()=>{i.dispose(),n((0,C.canceled)())})})),this.barrier.open()),this.cancellablePromise.cancel()}}e.AbstractExtensionTask=u}),define(we[41],ye([0,1,21,12,28,33]),function(J,e,k,t,p,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getPiiPathsFromEnvironment=e.cleanRemoteAuthority=e.validateTelemetryData=e.getTelemetryLevel=e.supportsTelemetry=e.configurationTelemetry=e.NullAppender=e.NullEndpointTelemetryService=e.NullTelemetryService=e.NullTelemetryServiceShape=void 0;class P{constructor(){this.sendErrorTelemetry=!1,this.telemetryLevel=0}publicLog(w,f){return Promise.resolve(void 0)}publicLog2(w,f){return this.publicLog(w,f)}publicLogError(w,f){return Promise.resolve(void 0)}publicLogError2(w,f){return this.publicLogError(w,f)}setExperimentProperty(){}getTelemetryInfo(){return Promise.resolve({instanceId:"someValue.instanceId",sessionId:"someValue.sessionId",machineId:"someValue.machineId",firstSessionDate:"someValue.firstSessionDate"})}}e.NullTelemetryServiceShape=P,e.NullTelemetryService=new P;class D{async publicLog(w,f,y){}async publicLogError(w,f,y){}}e.NullEndpointTelemetryService=D,e.NullAppender={log:()=>null,flush:()=>Promise.resolve(null)};function v(E,w){return w.onDidChangeConfiguration(f=>{f.source!==6&&E.publicLog2("updateConfiguration",{configurationSource:(0,p.ConfigurationTargetToString)(f.source),configurationKeys:c(f.sourceConfig)})})}e.configurationTelemetry=v;function I(E,w){return!(w.disableTelemetry||!E.enableTelemetry||w.extensionTestsLocationURI)}e.supportsTelemetry=I;function L(E){const w=E.getValue(C.TELEMETRY_SETTING_ID),f=E.getValue("telemetry.enableCrashReporter");if(E.getValue(C.TELEMETRY_OLD_SETTING_ID)===!1||f===!1)return 0;switch(w??"all"){case"all":return 3;case"error":return 2;case"crash":return 1;case"off":return 0}}e.getTelemetryLevel=L;function R(E){const w=Object.create(null),f=Object.create(null),y=Object.create(null);b(E,y);for(let u in y){u=u.length>150?u.substr(u.length-149):u;const o=y[u];typeof o=="number"?f[u]=o:typeof o=="boolean"?f[u]=o?1:0:typeof o=="string"?(o.length>8192&&console.warn(`Telemetry property: ${u} has been trimmed to 8192, the original length is ${o.length}`),w[u]=o.substring(0,8191)):typeof o!="undefined"&&o!==null&&(w[u]=o)}return{properties:w,measurements:f}}e.validateTelemetryData=R;function g(E){if(!E)return"none";let w="other";return["ssh-remote","dev-container","attached-container","wsl"].forEach(y=>{E.indexOf(`${y}+`)===0&&(w=y)}),w}e.cleanRemoteAuthority=g;function b(E,w,f=0,y){if(!!E)for(let u of Object.getOwnPropertyNames(E)){const o=E[u],l=y?y+u:u;Array.isArray(o)?w[l]=(0,k.safeStringify)(o):o instanceof Date?w[l]=o.toISOString():(0,t.isObject)(o)?f<2?b(o,w,f+1,l+"."):w[l]=(0,k.safeStringify)(o):w[l]=o}}function c(E){if(!E)return[];const w=[];return h(w,"",E),w}function h(E,w,f){f&&typeof f=="object"&&!Array.isArray(f)?Object.keys(f).forEach(y=>h(E,w?`${w}.${y}`:y,f[y])):E.push(w)}function d(E){return[E.appRoot,E.extensionsPath,E.userHome.fsPath,E.tmpDir.fsPath,E.userDataPath]}e.getPiiPathsFromEnvironment=d}),define(we[210],ye([0,1,178,41]),function(J,e,k,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.resolveMarketplaceHeaders=void 0;async function p(C,P,D,v,I,L){const R={"X-Market-Client-Id":`VSCode ${C}`,"User-Agent":`VSCode ${C} (${P.nameShort})`},g=await(0,k.getServiceMachineId)(D,I,L);return(0,t.supportsTelemetry)(P,D)&&(0,t.getTelemetryLevel)(v)===3&&(R["X-Market-User-Id"]=g),R}e.resolveMarketplaceHeaders=p}),define(we[100],ye([0,1,17,20,11,21,3,24,12,4,28,26,32,31,63,19,14,30,46,210,204,33]),function(J,e,k,t,p,C,P,D,v,I,L,R,g,b,c,h,d,E,w,f,y,u){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionGalleryServiceWithNoStorageService=e.ExtensionGalleryService=e.sortExtensionVersions=void 0;const o=P.isWeb?"web":(0,g.getTargetPlatform)(P.platform,D.arch);var l;(function(H){H[H.None=0]="None",H[H.IncludeVersions=1]="IncludeVersions",H[H.IncludeFiles=2]="IncludeFiles",H[H.IncludeCategoryAndTags=4]="IncludeCategoryAndTags",H[H.IncludeSharedAccounts=8]="IncludeSharedAccounts",H[H.IncludeVersionProperties=16]="IncludeVersionProperties",H[H.ExcludeNonValidated=32]="ExcludeNonValidated",H[H.IncludeInstallationTargets=64]="IncludeInstallationTargets",H[H.IncludeAssetUri=128]="IncludeAssetUri",H[H.IncludeStatistics=256]="IncludeStatistics",H[H.IncludeLatestVersionOnly=512]="IncludeLatestVersionOnly",H[H.Unpublished=4096]="Unpublished",H[H.IncludeNameConflictInfo=32768]="IncludeNameConflictInfo"})(l||(l={}));function s(...H){return String(H.reduce((j,ee)=>j|ee,0))}var n;(function(H){H[H.Tag=1]="Tag",H[H.ExtensionId=4]="ExtensionId",H[H.Category=5]="Category",H[H.ExtensionName=7]="ExtensionName",H[H.Target=8]="Target",H[H.Featured=9]="Featured",H[H.SearchText=10]="SearchText",H[H.ExcludeWithFlags=12]="ExcludeWithFlags"})(n||(n={}));const i={Icon:"Microsoft.VisualStudio.Services.Icons.Default",Details:"Microsoft.VisualStudio.Services.Content.Details",Changelog:"Microsoft.VisualStudio.Services.Content.Changelog",Manifest:"Microsoft.VisualStudio.Code.Manifest",VSIX:"Microsoft.VisualStudio.Services.VSIXPackage",License:"Microsoft.VisualStudio.Services.Content.License",Repository:"Microsoft.VisualStudio.Services.Links.Source"},r={Dependency:"Microsoft.VisualStudio.Code.ExtensionDependencies",ExtensionPack:"Microsoft.VisualStudio.Code.ExtensionPack",Engine:"Microsoft.VisualStudio.Code.Engine",PreRelease:"Microsoft.VisualStudio.Code.PreRelease",LocalizedLanguages:"Microsoft.VisualStudio.Code.LocalizedLanguages",WebExtension:"Microsoft.VisualStudio.Code.WebExtension"},m={pageNumber:1,pageSize:10,sortBy:0,sortOrder:0,flags:l.None,criteria:[],assetTypes:[]};class S{constructor(j=m){this.state=j}get pageNumber(){return this.state.pageNumber}get pageSize(){return this.state.pageSize}get sortBy(){return this.state.sortBy}get sortOrder(){return this.state.sortOrder}get flags(){return this.state.flags}withPage(j,ee=this.state.pageSize){return new S({...this.state,pageNumber:j,pageSize:ee})}withFilter(j,...ee){const he=[...this.state.criteria,...ee.length?ee.map(Ie=>({filterType:j,value:Ie})):[{filterType:j}]];return new S({...this.state,criteria:he})}withSortBy(j){return new S({...this.state,sortBy:j})}withSortOrder(j){return new S({...this.state,sortOrder:j})}withFlags(...j){return new S({...this.state,flags:j.reduce((ee,he)=>ee|he,0)})}withAssetTypes(...j){return new S({...this.state,assetTypes:j})}get raw(){const{criteria:j,pageNumber:ee,pageSize:he,sortBy:Ie,sortOrder:ae,flags:fe,assetTypes:ve}=this.state;return{filters:[{criteria:j,pageNumber:ee,pageSize:he,sortBy:Ie,sortOrder:ae}],assetTypes:ve,flags:fe}}get searchText(){const j=this.state.criteria.filter(ee=>ee.filterType===n.SearchText)[0];return j&&j.value?j.value:""}get telemetryData(){return{filterTypes:this.state.criteria.map(j=>String(j.filterType)),flags:this.state.flags,sortBy:String(this.sortBy),sortOrder:String(this.sortOrder)}}}function _(H,j){const ee=(H||[]).filter(he=>he.statisticName===j)[0];return ee?ee.value:0}function F(H){const j="Microsoft.VisualStudio.Code.Translation.";return H.files.filter(he=>he.assetType.indexOf(j)===0).reduce((he,Ie)=>{const ae=U(H,Ie.assetType);return ae&&he.push([Ie.assetType.substring(j.length),ae]),he},[])}function B(H){if(H.properties){const j=H.properties.filter(Ie=>Ie.key===i.Repository),ee=new RegExp("((git|ssh|http(s)?)|(git@[\\w.]+))(:(//)?)([\\w.@:/\\-~]+)(.git)(/)?"),he=j.filter(Ie=>ee.test(Ie.value))[0];return he?{uri:he.value,fallbackUri:he.value}:null}return U(H,i.Repository)}function A(H){return{uri:`${H.fallbackAssetUri}/${i.VSIX}?redirect=true${H.targetPlatform?`&targetPlatform=${H.targetPlatform}`:""}`,fallbackUri:`${H.fallbackAssetUri}/${i.VSIX}${H.targetPlatform?`?targetPlatform=${H.targetPlatform}`:""}`}}function T(H){const j=U(H,i.Icon);if(j)return j;const ee=g.DefaultIconPath;return{uri:ee,fallbackUri:ee}}function U(H,j){return H.files.filter(he=>he.assetType===j)[0]?{uri:`${H.assetUri}/${j}${H.targetPlatform?`?targetPlatform=${H.targetPlatform}`:""}`,fallbackUri:`${H.fallbackAssetUri}/${j}${H.targetPlatform?`?targetPlatform=${H.targetPlatform}`:""}`}:null}function N(H,j){const ee=H.properties?H.properties.filter(Ie=>Ie.key===j):[],he=ee.length>0&&ee[0].value;return he?he.split(",").map(Ie=>(0,b.adoptToGalleryExtensionId)(Ie)):[]}function W(H){const j=H.properties?H.properties.filter(ee=>ee.key===r.Engine):[];return j.length>0&&j[0].value||""}function ie(H){const j=H.properties?H.properties.filter(ee=>ee.key===r.PreRelease):[];return j.length>0&&j[0].value==="true"}function q(H){const j=H.properties?H.properties.filter(he=>he.key===r.LocalizedLanguages):[],ee=j.length>0&&j[0].value||"";return ee?ee.split(","):[]}function se(H){return H.indexOf("preview")!==-1}function V(H){return H.targetPlatform?(0,g.toTargetPlatform)(H.targetPlatform):"undefined"}function K(H){const j=(0,k.distinct)(H.versions.map(V)),ee=!!H.tags?.includes(g.WEB_EXTENSION_TAG),he=j.indexOf("web");return ee?he===-1&&j.push("web"):he!==-1&&j.splice(he,1),j}function te(H,j){const ee=(0,g.getFallbackTargetPlarforms)(j);for(let he=0;he<H.length;he++){const Ie=H[he];if(Ie.version===H[he-1]?.version){let ae=he;const fe=V(Ie);if(fe===j)for(;ae>0&&H[ae-1].version===Ie.version;)ae--;else if(ee.includes(fe))for(;ae>0&&H[ae-1].version===Ie.version&&V(H[ae-1])!==j;)ae--;ae!==he&&(H.splice(he,1),H.splice(ae,0,Ie))}}return H}e.sortExtensionVersions=te;function re(H,j,ee){H.telemetryData={index:j,querySource:ee}}function oe(H,j,ee){const he=H.versions[0],Ie={manifest:U(j,i.Manifest),readme:U(j,i.Details),changelog:U(j,i.Changelog),license:U(j,i.License),repository:B(j),download:A(j),icon:T(j),coreTranslations:F(j)};return{identifier:{id:(0,b.getGalleryExtensionId)(H.publisher.publisherName,H.extensionName),uuid:H.extensionId},name:H.extensionName,version:j.version,displayName:H.displayName,publisherId:H.publisher.publisherId,publisher:H.publisher.publisherName,publisherDisplayName:H.publisher.displayName,publisherDomain:H.publisher.domain?{link:H.publisher.domain,verified:!!H.publisher.isDomainVerified}:void 0,description:H.shortDescription||"",installCount:_(H.statistics,"install"),rating:_(H.statistics,"averagerating"),ratingCount:_(H.statistics,"ratingcount"),categories:H.categories||[],tags:H.tags||[],releaseDate:Date.parse(H.releaseDate),lastUpdated:Date.parse(H.lastUpdated),allTargetPlatforms:ee,assets:Ie,properties:{dependencies:N(j,r.Dependency),extensionPack:N(j,r.ExtensionPack),engine:W(j),localizedLanguages:q(j),targetPlatform:V(j),isPreReleaseVersion:ie(j)},hasPreReleaseVersion:ie(he),hasReleaseVersion:!0,preview:se(H.flags)}}let me=class{constructor(j,ee,he,Ie,ae,fe,ve,Q){this.requestService=ee,this.logService=he,this.environmentService=Ie,this.telemetryService=ae,this.fileService=fe,this.productService=ve,this.configurationService=Q;const z=ve.extensionsGallery;this.extensionsGalleryUrl=z&&z.serviceUrl,this.extensionsControlUrl=z&&z.controlUrl,this.commonHeadersPromise=(0,f.resolveMarketplaceHeaders)(ve.version,ve,this.environmentService,this.configurationService,this.fileService,j)}api(j=""){return`${this.extensionsGalleryUrl}${j}`}isEnabled(){return!!this.extensionsGalleryUrl}async getExtensions(j,ee,he){const Ie=t.CancellationToken.isCancellationToken(ee)?{}:ee,ae=t.CancellationToken.isCancellationToken(ee)?ee:he,fe=[],ve=[],Q=[],z=[];let G=!0;for(const pe of j){pe.uuid?ve.push(pe.uuid):fe.push(pe.id);const Pe=!!(pe.version||pe.preRelease);Q.push({id:pe.id,uuid:pe.uuid,includePreRelease:Pe}),pe.version&&z.push({id:pe.id,uuid:pe.uuid,version:pe.version}),G=G&&!!pe.hasPreRelease&&!Pe}if(!ve.length&&!fe.length)return[];let Y=new S().withPage(1,j.length);ve.length&&(Y=Y.withFilter(n.ExtensionId,...ve)),fe.length&&(Y=Y.withFilter(n.ExtensionName,...fe)),(Ie.queryAllVersions||G)&&(Y=Y.withFlags(Y.flags,l.IncludeVersions));const{extensions:ue}=await this.queryGalleryExtensions(Y,{targetPlatform:Ie.targetPlatform??o,includePreRelease:Q,versions:z,compatible:!!Ie.compatible},ae);return Ie.source&&ue.forEach((pe,Pe)=>re(pe,Pe,Ie.source)),ue}async getCompatibleExtension(j,ee,he){if((0,g.isNotWebExtensionInWebTargetPlatform)(j.allTargetPlatforms,he))return null;if(await this.isExtensionCompatible(j,ee,he))return j;const Ie=new S().withFlags(l.IncludeVersions).withPage(1,1).withFilter(n.ExtensionId,j.identifier.uuid),{extensions:ae}=await this.queryGalleryExtensions(Ie,{targetPlatform:he,compatible:!0,includePreRelease:ee},t.CancellationToken.None);return ae[0]||null}async isExtensionCompatible(j,ee,he){if(!(0,g.isTargetPlatformCompatible)(j.properties.targetPlatform,j.allTargetPlatforms,he)||!ee&&j.properties.isPreReleaseVersion)return!1;let Ie=j.properties.engine;if(!Ie){const ae=await this.getManifest(j,t.CancellationToken.None);if(!ae)throw new Error("Manifest was not found");Ie=ae.engines.vscode}return(0,c.isEngineValid)(Ie,this.productService.version,this.productService.date)}async isValidVersion(j,ee,he,Ie,ae){if(!(0,g.isTargetPlatformCompatible)(V(j),Ie,ae)||ee!=="any"&&ie(j)!==(ee==="prerelease"))return!1;if(he){const fe=await this.getEngine(j);if(!(0,c.isEngineValid)(fe,this.productService.version,this.productService.date))return!1}return!0}async query(j,ee){if(!this.isEnabled())throw new Error("No extension gallery service configured.");let he=j.text||"";const Ie=(0,C.getOrDefault)(j,G=>G.pageSize,50);let ae=new S().withPage(1,Ie);he?(he=he.replace(/\bcategory:("([^"]*)"|([^"]\S*))(\s+|\b|$)/g,(G,Y,ue)=>(ae=ae.withFilter(n.Category,ue||Y),"")),he=he.replace(/\btag:("([^"]*)"|([^"]\S*))(\s+|\b|$)/g,(G,Y,ue)=>(ae=ae.withFilter(n.Tag,ue||Y),"")),he=he.replace(/\bfeatured(\s+|\b|$)/g,()=>(ae=ae.withFilter(n.Featured),"")),he=he.trim(),he&&(he=he.length<200?he:he.substring(0,200),ae=ae.withFilter(n.SearchText,he)),ae=ae.withSortBy(0)):j.ids?ae=ae.withFilter(n.ExtensionId,...j.ids):j.names?ae=ae.withFilter(n.ExtensionName,...j.names):ae=ae.withSortBy(4),typeof j.sortBy=="number"&&(ae=ae.withSortBy(j.sortBy)),typeof j.sortOrder=="number"&&(ae=ae.withSortOrder(j.sortOrder));const fe=async(G,Y)=>{const{extensions:ue,total:pe}=await this.queryGalleryExtensions(G,{targetPlatform:o,compatible:!1,includePreRelease:!!j.includePreRelease},Y);return ue.forEach((Pe,Re)=>re(Pe,(G.pageNumber-1)*G.pageSize+Re,j.source)),{extensions:ue,total:pe}},{extensions:ve,total:Q}=await fe(ae,ee),z=async(G,Y)=>{if(Y.isCancellationRequested)throw new p.CancellationError;const{extensions:ue}=await fe(ae.withPage(G+1),Y);return ue};return{firstPage:ve,total:Q,pageSize:ae.pageSize,getPage:z}}async queryGalleryExtensions(j,ee,he){const Ie=j.flags;!!(j.flags&l.IncludeLatestVersionOnly)&&!!(j.flags&l.IncludeVersions)&&(j=j.withFlags(j.flags&~l.IncludeVersions,l.IncludeLatestVersionOnly)),!(j.flags&l.IncludeLatestVersionOnly)&&!(j.flags&l.IncludeVersions)&&(j=j.withFlags(j.flags,l.IncludeLatestVersionOnly)),ee.versions?.length&&(j=j.withFlags(j.flags&~l.IncludeLatestVersionOnly,l.IncludeVersions)),j=j.withFlags(j.flags,l.IncludeAssetUri,l.IncludeCategoryAndTags,l.IncludeFiles,l.IncludeStatistics,l.IncludeVersionProperties);const{galleryExtensions:ae,total:fe}=await this.queryRawGalleryExtensions(j,he);if(!(j.flags&l.IncludeLatestVersionOnly)){const G=[];for(const Y of ae){const ue=await this.toGalleryExtensionWithCriteria(Y,ee,!0);ue&&G.push(ue)}return{extensions:G,total:fe}}const Q=[],z=new Map;for(let G=0;G<ae.length;G++){const Y=ae[G],ue={id:(0,b.getGalleryExtensionId)(Y.publisher.publisherName,Y.extensionName),uuid:Y.extensionId},pe=(0,v.isBoolean)(ee.includePreRelease)?ee.includePreRelease:!!ee.includePreRelease.find(Re=>(0,b.areSameExtensions)(Re,ue))?.includePreRelease;let Pe=await this.toGalleryExtensionWithCriteria(Y,ee,!1);!Pe||Pe.properties.isPreReleaseVersion&&(!pe||!Pe.hasReleaseVersion)||!Pe.properties.isPreReleaseVersion&&Pe.properties.targetPlatform!==ee.targetPlatform&&Pe.hasPreReleaseVersion?z.set(Y.extensionId,G):Q.push([G,Pe])}if(z.size){const G=new Date().getTime(),Y=new S().withFlags(Ie&~l.IncludeLatestVersionOnly,l.IncludeVersions).withPage(1,z.size).withFilter(n.ExtensionId,...z.keys()),{extensions:ue}=await this.queryGalleryExtensions(Y,ee,he);this.telemetryService.publicLog2("galleryService:additionalQuery",{duration:new Date().getTime()-G,count:z.size});for(const pe of ue){const Pe=z.get(pe.identifier.uuid);Q.push([Pe,pe])}}return{extensions:Q.sort((G,Y)=>G[0]-Y[0]).map(([,G])=>G),total:fe}}async toGalleryExtensionWithCriteria(j,ee,he){const Ie={id:(0,b.getGalleryExtensionId)(j.publisher.publisherName,j.extensionName),uuid:j.extensionId},ae=ee.versions?.find(z=>(0,b.areSameExtensions)(z,Ie))?.version,fe=(0,v.isBoolean)(ee.includePreRelease)?ee.includePreRelease:!!ee.includePreRelease.find(z=>(0,b.areSameExtensions)(z,Ie))?.includePreRelease,ve=K(j),Q=te(j.versions,ee.targetPlatform);if(ee.compatible&&he&&(0,g.isNotWebExtensionInWebTargetPlatform)(ve,ee.targetPlatform))return null;for(let z=0;z<Q.length;z++){const G=Q[z];if(!(ae&&G.version!==ae)){if(await this.isValidVersion(G,fe?"any":"release",ee.compatible,ve,ee.targetPlatform))return oe(j,G,ve);if(ae&&G.version===ae)return null}}return ae||ee.compatible?null:oe(j,j.versions[0],ve)}async queryRawGalleryExtensions(j,ee){if(!this.isEnabled())throw new Error("No extension gallery service configured.");j=j.withFlags(j.flags,l.ExcludeNonValidated).withFilter(n.Target,"Microsoft.VisualStudio.Code").withFilter(n.ExcludeWithFlags,s(l.Unpublished));const he=await this.commonHeadersPromise,Ie=JSON.stringify(j.raw),ae={...he,"Content-Type":"application/json",Accept:"application/json;api-version=3.0-preview.1","Accept-Encoding":"gzip","Content-Length":String(Ie.length)},fe=new Date().getTime();let ve,Q,z=0;try{if(ve=await this.requestService.request({type:"POST",url:this.api("/extensionquery"),data:Ie,headers:ae},ee),ve.res.statusCode&&ve.res.statusCode>=400&&ve.res.statusCode<500)return{galleryExtensions:[],total:z};const G=await(0,w.asJson)(ve);if(G){const Y=G.results[0],ue=Y.extensions,pe=Y.resultMetadata&&Y.resultMetadata.filter(Pe=>Pe.metadataType==="ResultCount")[0];return z=pe&&pe.metadataItems.filter(Pe=>Pe.name==="TotalCount")[0].count||0,{galleryExtensions:ue,total:z}}return{galleryExtensions:[],total:z}}catch(G){throw Q=G,G}finally{this.telemetryService.publicLog2("galleryService:query",{...j.telemetryData,requestBodySize:String(Ie.length),duration:new Date().getTime()-fe,success:!!ve&&(0,w.isSuccess)(ve),responseBodySize:ve?.res.headers["Content-Length"],statusCode:ve?String(ve.res.statusCode):void 0,errorCode:Q?(0,p.isCancellationError)(Q)?"canceled":(0,p.getErrorMessage)(Q).startsWith("XHR timeout")?"timeout":"failed":void 0,count:String(z)})}}async reportStatistic(j,ee,he,Ie){if(!this.isEnabled())return;const ae=P.isWeb?this.api(`/itemName/${j}.${ee}/version/${he}/statType/${Ie==="install"?"1":"3"}/vscodewebextension`):this.api(`/publishers/${j}/extensions/${ee}/${he}/stats?statType=${Ie}`),fe=P.isWeb?"api-version=6.1-preview.1":"*/*;api-version=4.0-preview.1",Q={...await this.commonHeadersPromise,Accept:fe};try{await this.requestService.request({type:"POST",url:ae,headers:Q},t.CancellationToken.None)}catch{}}async download(j,ee,he){this.logService.trace("ExtensionGalleryService#download",j.identifier.id);const Ie=(0,b.getGalleryExtensionTelemetryData)(j),ae=new Date().getTime(),fe=G=>this.telemetryService.publicLog("galleryService:downloadVSIX",{...Ie,duration:G}),ve=he===2?"install":he===3?"update":"",Q=ve?{uri:`${j.assets.download.uri}${I.URI.parse(j.assets.download.uri).query?"&":"?"}${ve}=true`,fallbackUri:`${j.assets.download.fallbackUri}${I.URI.parse(j.assets.download.fallbackUri).query?"&":"?"}${ve}=true`}:j.assets.download,z=await this.getAsset(Q);await this.fileService.writeFile(ee,z.stream),fe(new Date().getTime()-ae)}async getReadme(j,ee){if(j.assets.readme){const he=await this.getAsset(j.assets.readme,{},ee);return await(0,w.asText)(he)||""}return""}async getManifest(j,ee){if(j.assets.manifest){const he=await this.getAsset(j.assets.manifest,{},ee),Ie=await(0,w.asText)(he);return Ie?JSON.parse(Ie):null}return null}async getManifestFromRawExtensionVersion(j,ee){const he=U(j,i.Manifest);if(!he)throw new Error("Manifest was not found");const Ie={"Accept-Encoding":"gzip"},ae=await this.getAsset(he,{headers:Ie});return await(0,w.asJson)(ae)}async getCoreTranslation(j,ee){const he=j.assets.coreTranslations.filter(Ie=>Ie[0]===ee.toUpperCase())[0];if(he){const Ie=await this.getAsset(he[1]),ae=await(0,w.asText)(Ie);return ae?JSON.parse(ae):null}return null}async getChangelog(j,ee){if(j.assets.changelog){const he=await this.getAsset(j.assets.changelog,{},ee);return await(0,w.asText)(he)||""}return""}async getAllCompatibleVersions(j,ee,he){let Ie=new S().withFlags(l.IncludeVersions,l.IncludeCategoryAndTags,l.IncludeFiles,l.IncludeVersionProperties).withPage(1,1);j.identifier.uuid?Ie=Ie.withFilter(n.ExtensionId,j.identifier.uuid):Ie=Ie.withFilter(n.ExtensionName,j.identifier.id);const{galleryExtensions:ae}=await this.queryRawGalleryExtensions(Ie,t.CancellationToken.None);if(!ae.length)return[];const fe=K(ae[0]);if((0,g.isNotWebExtensionInWebTargetPlatform)(fe,he))return[];const ve=[],Q=new Set;return await Promise.all(ae[0].versions.map(async z=>{try{if(Q.has(z.version))return;await this.isValidVersion(z,ee?"any":"release",!0,fe,he)&&(ve.push({version:z.version,date:z.lastUpdated,isPreReleaseVersion:ie(z)}),Q.add(z.version))}catch{}})),ve}async getAsset(j,ee={},he=t.CancellationToken.None){const Ie=await this.commonHeadersPromise,ae={type:"GET"},fe={...Ie,...ee.headers||{}};ee={...ee,...ae,headers:fe};const ve=j.uri,Q=j.fallbackUri,z={...ee,url:ve};try{const G=await this.requestService.request(z,he);if(G.res.statusCode===200)return G;const Y=await(0,w.asText)(G);throw new Error(`Expected 200, got back ${G.res.statusCode} instead.

${Y}`)}catch(G){if((0,p.isCancellationError)(G))throw G;const Y=(0,p.getErrorMessage)(G);this.telemetryService.publicLog2("galleryService:cdnFallback",{url:ve,message:Y});const ue={...ee,url:Q};return this.requestService.request(ue,he)}}async getEngine(j){let ee=W(j);if(!ee){const he=await this.getManifestFromRawExtensionVersion(j,t.CancellationToken.None);if(!he)throw new Error("Manifest was not found");ee=he.engines.vscode}return ee}async getExtensionsControlManifest(){if(!this.isEnabled())throw new Error("No extension gallery service configured.");if(!this.extensionsControlUrl)return{malicious:[]};const j=await this.requestService.request({type:"GET",url:this.extensionsControlUrl},t.CancellationToken.None);if(j.res.statusCode!==200)throw new Error("Could not get extensions report.");const ee=await(0,w.asJson)(j),he=[],Ie={};if(ee){for(const ae of ee.malicious)he.push({id:ae});if(ee.unsupported)for(const ae of Object.keys(ee.unsupported)){const fe=ee.unsupported[ae];(0,v.isBoolean)(fe)||(Ie[ae.toLowerCase()]=fe.preReleaseExtension)}if(ee.migrateToPreRelease)for(const[ae,fe]of Object.entries(ee.migrateToPreRelease))(!fe.engine||(0,c.isEngineValid)(fe.engine,this.productService.version,this.productService.date))&&(Ie[ae.toLowerCase()]=fe)}return{malicious:he,unsupportedPreReleaseExtensions:Ie}}};me=Ae([Oe(1,w.IRequestService),Oe(2,d.ILogService),Oe(3,R.IEnvironmentService),Oe(4,u.ITelemetryService),Oe(5,h.IFileService),Oe(6,E.IProductService),Oe(7,L.IConfigurationService)],me);let X=class extends me{constructor(j,ee,he,Ie,ae,fe,ve,Q){super(j,ee,he,Ie,ae,fe,ve,Q)}};X=Ae([Oe(0,y.IStorageService),Oe(1,w.IRequestService),Oe(2,d.ILogService),Oe(3,R.IEnvironmentService),Oe(4,u.ITelemetryService),Oe(5,h.IFileService),Oe(6,E.IProductService),Oe(7,L.IConfigurationService)],X),e.ExtensionGalleryService=X;let $=class extends me{constructor(j,ee,he,Ie,ae,fe,ve){super(void 0,j,ee,he,Ie,ae,fe,ve)}};$=Ae([Oe(0,w.IRequestService),Oe(1,d.ILogService),Oe(2,R.IEnvironmentService),Oe(3,u.ITelemetryService),Oe(4,h.IFileService),Oe(5,E.IProductService),Oe(6,L.IConfigurationService)],$),e.ExtensionGalleryServiceWithNoStorageService=$}),define(we[211],ye([0,1,2,21,3,16,161,28,45,44,35,33,41]),function(J,e,k,t,p,C,P,D,v,I,L,R,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TelemetryService=void 0;let b=class{constructor(d,E){this._configurationService=E,this._experimentProperties={},this._disposables=new k.DisposableStore,this._cleanupPatterns=[],this._appenders=d.appenders,this._commonProperties=d.commonProperties||Promise.resolve({}),this._piiPaths=d.piiPaths||[],this._telemetryLevel=3,this.sendErrorTelemetry=!!d.sendErrorTelemetry,this._cleanupPatterns=[/file:\/\/\/.*?\/resources\/app\//gi];for(let w of this._piiPaths)this._cleanupPatterns.push(new RegExp((0,C.escapeRegExpCharacters)(w),"gi"));this._updateTelemetryLevel(),this._configurationService.onDidChangeConfiguration(this._updateTelemetryLevel,this,this._disposables)}setExperimentProperty(d,E){this._experimentProperties[d]=E}_updateTelemetryLevel(){this._telemetryLevel=(0,g.getTelemetryLevel)(this._configurationService)}get telemetryLevel(){return this._telemetryLevel}async getTelemetryInfo(){const d=await this._commonProperties;let E=d.sessionID,w=d["common.machineId"],f=d["common.firstSessionDate"],y=d["common.msftInternal"];return{sessionId:E,machineId:w,firstSessionDate:f,msftInternal:y}}dispose(){this._disposables.dispose()}_log(d,E,w,f){return this.telemetryLevel<E?Promise.resolve(void 0):this._commonProperties.then(y=>{w=(0,t.mixin)(w,y),w=(0,t.mixin)(w,this._experimentProperties),w=(0,t.cloneAndChange)(w,u=>{if(typeof u=="string")return this._cleanupInfo(u,f)}),this._appenders.forEach(u=>u.log(d,w))},y=>{console.error(y)})}publicLog(d,E,w){return this._log(d,3,E,w)}publicLog2(d,E,w){return this.publicLog(d,E,w)}publicLogError(d,E){return this.sendErrorTelemetry?this._log(d,2,E,!0):Promise.resolve(void 0)}publicLogError2(d,E){return this.publicLogError(d,E)}_anonymizeFilePaths(d){let E=d;const w=[];for(let o of this._cleanupPatterns)for(;;){const l=o.exec(d);if(!l)break;w.push([l.index,o.lastIndex])}const f=/^[\\\/]?(node_modules|node_modules\.asar)[\\\/]/,y=/(file:\/\/)?([a-zA-Z]:(\\\\|\\|\/)|(\\\\|\\|\/))?([\w-\._]+(\\\\|\\|\/))+[\w-\._]*/g;let u=0;for(E="";;){const o=y.exec(d);if(!o)break;!f.test(o[0])&&w.every(([l,s])=>o.index<l||o.index>=s)&&(E+=d.substring(u,o.index)+"<REDACTED: user-file-path>",u=y.lastIndex)}return u<d.length&&(E+=d.substr(u)),E}_removePropertiesWithPossibleUserInfo(d){if(!d)return d;const E=d.toLowerCase(),w=/@[a-zA-Z0-9-.]+/,f=/(key|token|sig|signature|password|passwd|pwd|android:value)[^a-zA-Z0-9]/,y=/xox[pbaors]\-[a-zA-Z0-9]+\-[a-zA-Z0-9\-]+?/;return f.test(E)?"<REDACTED: secret>":w.test(E)?"<REDACTED: email>":y.test(E)?"<REDACTED: token>":d}_cleanupInfo(d,E){let w=d;E&&(w=this._anonymizeFilePaths(w));for(let f of this._cleanupPatterns)w=w.replace(f,"");return w=this._removePropertiesWithPossibleUserInfo(w),w}};b.IDLE_START_EVENT_NAME="UserIdleStart",b.IDLE_STOP_EVENT_NAME="UserIdleStop",b=Ae([Oe(1,D.IConfigurationService)],b),e.TelemetryService=b;function c(){const h=(0,P.localize)(0,null,I.default.nameLong),d=I.default.privacyStatementUrl?(0,P.localize)(2,null,"https://aka.ms/vscode-telemetry",I.default.privacyStatementUrl):(0,P.localize)(1,null,"https://aka.ms/vscode-telemetry"),E=p.isWeb?"":(0,P.localize)(3,null),w=(0,P.localize)(4,null),f=(0,P.localize)(5,null),y=(0,P.localize)(6,null),u=(0,P.localize)(7,null),o=`
|       | ${w} | ${f} | ${y} |
|:------|:---------------------:|:---------------:|:--------------:|
| all   |            \u2713          |        \u2713        |        \u2713       |
| error |            \u2713          |        \u2713        |        -       |
| crash |            \u2713          |        -        |        -       |
| off   |            -          |        -        |        -       |
`,l=(0,P.localize)(8,null);return`
${h} ${d} ${E}

&nbsp;

${u}
${o}

&nbsp;

${l}
`}L.Registry.as(v.Extensions.Configuration).registerConfiguration({id:R.TELEMETRY_SECTION_ID,order:110,type:"object",title:(0,P.localize)(9,null),properties:{[R.TELEMETRY_SETTING_ID]:{type:"string",enum:["all","error","crash","off"],enumDescriptions:[(0,P.localize)(10,null),(0,P.localize)(11,null),(0,P.localize)(12,null),(0,P.localize)(13,null)],markdownDescription:c(),default:"all",restricted:!0,scope:1,tags:["usesOnlineServices","telemetry"]}}}),L.Registry.as(v.Extensions.Configuration).registerConfiguration({id:R.TELEMETRY_SECTION_ID,order:110,type:"object",title:(0,P.localize)(14,null),properties:{[R.TELEMETRY_OLD_SETTING_ID]:{type:"boolean",markdownDescription:I.default.privacyStatementUrl?(0,P.localize)(16,null,I.default.nameLong,I.default.privacyStatementUrl):(0,P.localize)(15,null,I.default.nameLong),default:!0,restricted:!0,markdownDeprecationMessage:(0,P.localize)(17,null,`\`#${R.TELEMETRY_SETTING_ID}#\``),scope:1,tags:["usesOnlineServices","telemetry"]}}})}),define(we[212],ye([0,1,28,6,33,211,41]),function(J,e,k,t,p,C,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IServerTelemetryService=e.ServerNullTelemetryService=e.ServerTelemetryService=void 0;let D=class extends C.TelemetryService{constructor(I,L,R){super(I,R);this._telemetryCache=[],this._injectedTelemetryLevel=L}publicLog(I,L,R){return this._injectedTelemetryLevel===void 0?(this._telemetryCache?.push({eventName:I,data:L,anonymizeFilePaths:R,eventType:"usage"}),Promise.resolve()):this._injectedTelemetryLevel<3?Promise.resolve(void 0):super.publicLog(I,L,R)}publicLog2(I,L,R){return this.publicLog(I,L,R)}publicLogError(I,L){return this._injectedTelemetryLevel===void 0?(this._telemetryCache?.push({eventName:I,data:L,eventType:"error"}),Promise.resolve()):this._injectedTelemetryLevel<2?Promise.resolve(void 0):super.publicLogError(I,L)}publicLogError2(I,L){return this.publicLogError(I,L)}async flushTelemetryCache(){if(this._telemetryCache?.length!==0){for(const I of this._telemetryCache)I.eventType==="usage"?await this.publicLog(I.eventName,I.data,I.anonymizeFilePaths):await this.publicLogError(I.eventName,I.data);this._telemetryCache=[]}}async updateInjectedTelemetryLevel(I){if(I===void 0)throw this._injectedTelemetryLevel=0,new Error("Telemetry level cannot be undefined. This will cause infinite looping!");if(this._injectedTelemetryLevel=this._injectedTelemetryLevel?Math.min(this._injectedTelemetryLevel,I):I,this._injectedTelemetryLevel===0)this._telemetryCache=[],this.dispose();else return this.flushTelemetryCache()}};D=Ae([Oe(2,k.IConfigurationService)],D),e.ServerTelemetryService=D,e.ServerNullTelemetryService=new class extends P.NullTelemetryServiceShape{async updateInjectedTelemetryLevel(){}},e.IServerTelemetryService=(0,t.refineServiceDecorator)(p.ITelemetryService)}),define(we[213],ye([0,1,11,21,41]),function(J,e,k,t,p){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AppInsightsAppender=void 0;async function C(D,v){const I=await new Promise((R,g)=>{J(["applicationinsights"],R,g)});let L;return I.defaultClient?(L=new I.TelemetryClient(D),L.channel.setUseDiskRetryCaching(!0)):(I.setup(D).setAutoCollectRequests(!1).setAutoCollectPerformance(!1).setAutoCollectExceptions(!1).setAutoCollectDependencies(!1).setAutoDependencyCorrelation(!1).setAutoCollectConsole(!1).setInternalLogging(!1,!1).setUseDiskRetryCaching(!0).start(),L=I.defaultClient),D.indexOf("AIF-")===0&&(L.config.endpointUrl=v?"https://mobile.events.data.microsoft.com/collect/v1":"https://vortex.data.microsoft.com/collect/v1"),L}class P{constructor(v,I,L,R,g){this._eventPrefix=v,this._defaultData=I,this.testCollector=R,this.mirrored=g,this._defaultData||(this._defaultData=Object.create(null)),typeof L=="function"?this._aiClient=L():this._aiClient=L,this._asyncAIClient=null}_withAIClient(v){if(!!this._aiClient){if(typeof this._aiClient!="string"){v(this._aiClient);return}this._asyncAIClient||(this._asyncAIClient=C(this._aiClient,this.testCollector??!1)),this._asyncAIClient.then(I=>{v(I)},I=>{(0,k.onUnexpectedError)(I),console.error(I)})}}log(v,I){if(!!this._aiClient){I=(0,t.mixin)(I,this._defaultData),I=(0,p.validateTelemetryData)(I),this.testCollector&&(I.properties["common.useragent"]=this.mirrored?"mirror-collector++":"collector++");try{this._withAIClient(L=>L.trackEvent({name:this._eventPrefix+"/"+v,properties:I.properties,measurements:I.measurements}))}catch{}}}flush(){return this._aiClient?new Promise(v=>{this._withAIClient(I=>{try{I.flush({callback:()=>{this._aiClient=void 0,v(void 0)}})}catch{}})}):Promise.resolve(void 0)}}e.AppInsightsAppender=P}),define(we[214],ye([0,1,11,206]),function(J,e,k,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0});class p extends t.default{installErrorListeners(){(0,k.setUnexpectedErrorHandler)(D=>console.error(D));const P=[];process.on("unhandledRejection",(D,v)=>{P.push(v),setTimeout(()=>{const I=P.indexOf(v);I>=0&&v.catch(L=>{P.splice(I,1),(0,k.isCancellationError)(L)||(console.warn(`rejected promise not handled within 1 second: ${L}`),L.stack&&console.warn(`stack trace: ${L.stack}`),D&&(0,k.onUnexpectedError)(D))})},1e3)}),process.on("rejectionHandled",D=>{const v=P.indexOf(D);v>=0&&P.splice(v,1)}),process.on("uncaughtException",D=>{(0,k.onUnexpectedError)(D)})}}e.default=p}),define(we[215],ye([0,1,13,20,7,2,14]),function(J,e,k,t,p,C,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.RequestStore=void 0;let D=class extends C.Disposable{constructor(I,L){super();this._logService=L,this._lastRequestId=0,this._pendingRequests=new Map,this._pendingRequestDisposables=new Map,this._onCreateRequest=this._register(new p.Emitter),this.onCreateRequest=this._onCreateRequest.event,this._timeout=I===void 0?15e3:I}createRequest(I){return new Promise((L,R)=>{const g=++this._lastRequestId;this._pendingRequests.set(g,L),this._onCreateRequest.fire({requestId:g,...I});const b=new t.CancellationTokenSource;(0,k.timeout)(this._timeout,b.token).then(()=>R(`Request ${g} timed out (${this._timeout}ms)`)),this._pendingRequestDisposables.set(g,[(0,C.toDisposable)(()=>b.cancel())])})}acceptReply(I,L){const R=this._pendingRequests.get(I);R?(this._pendingRequests.delete(I),(0,C.dispose)(this._pendingRequestDisposables.get(I)||[]),this._pendingRequestDisposables.delete(I),R(L)):this._logService.warn(`RequestStore#acceptReply was called without receiving a matching request ${I}`)}};D=Ae([Oe(1,P.ILogService)],D),e.RequestStore=D}),define(we[101],ye([0,1,6]),function(J,e,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ProfileSource=e.FlowControlConstants=e.LocalReconnectConstants=e.TerminalLocationString=e.TerminalLocation=e.HeartbeatConstants=e.ProcessPropertyType=e.IPtyService=e.TerminalIpcChannels=e.TitleEventSource=e.WindowsShellType=e.TerminalSettingId=e.TerminalSettingPrefix=void 0;var t;(function(h){h.Shell="terminal.integrated.shell.",h.ShellArgs="terminal.integrated.shellArgs.",h.DefaultProfile="terminal.integrated.defaultProfile.",h.Profiles="terminal.integrated.profiles."})(t=e.TerminalSettingPrefix||(e.TerminalSettingPrefix={}));var p;(function(h){h.ShellLinux="terminal.integrated.shell.linux",h.ShellMacOs="terminal.integrated.shell.osx",h.ShellWindows="terminal.integrated.shell.windows",h.SendKeybindingsToShell="terminal.integrated.sendKeybindingsToShell",h.AutomationShellLinux="terminal.integrated.automationShell.linux",h.AutomationShellMacOs="terminal.integrated.automationShell.osx",h.AutomationShellWindows="terminal.integrated.automationShell.windows",h.AutomationProfileLinux="terminal.integrated.automationProfile.linux",h.AutomationProfileMacOs="terminal.integrated.automationProfile.osx",h.AutomationProfileWindows="terminal.integrated.automationProfile.windows",h.ShellArgsLinux="terminal.integrated.shellArgs.linux",h.ShellArgsMacOs="terminal.integrated.shellArgs.osx",h.ShellArgsWindows="terminal.integrated.shellArgs.windows",h.ProfilesWindows="terminal.integrated.profiles.windows",h.ProfilesMacOs="terminal.integrated.profiles.osx",h.ProfilesLinux="terminal.integrated.profiles.linux",h.DefaultProfileLinux="terminal.integrated.defaultProfile.linux",h.DefaultProfileMacOs="terminal.integrated.defaultProfile.osx",h.DefaultProfileWindows="terminal.integrated.defaultProfile.windows",h.UseWslProfiles="terminal.integrated.useWslProfiles",h.TabsEnabled="terminal.integrated.tabs.enabled",h.TabsEnableAnimation="terminal.integrated.tabs.enableAnimation",h.TabsHideCondition="terminal.integrated.tabs.hideCondition",h.TabsShowActiveTerminal="terminal.integrated.tabs.showActiveTerminal",h.TabsShowActions="terminal.integrated.tabs.showActions",h.TabsLocation="terminal.integrated.tabs.location",h.TabsFocusMode="terminal.integrated.tabs.focusMode",h.MacOptionIsMeta="terminal.integrated.macOptionIsMeta",h.MacOptionClickForcesSelection="terminal.integrated.macOptionClickForcesSelection",h.AltClickMovesCursor="terminal.integrated.altClickMovesCursor",h.CopyOnSelection="terminal.integrated.copyOnSelection",h.EnableMultiLinePasteWarning="terminal.integrated.enableMultiLinePasteWarning",h.DrawBoldTextInBrightColors="terminal.integrated.drawBoldTextInBrightColors",h.FontFamily="terminal.integrated.fontFamily",h.FontSize="terminal.integrated.fontSize",h.LetterSpacing="terminal.integrated.letterSpacing",h.LineHeight="terminal.integrated.lineHeight",h.MinimumContrastRatio="terminal.integrated.minimumContrastRatio",h.FastScrollSensitivity="terminal.integrated.fastScrollSensitivity",h.MouseWheelScrollSensitivity="terminal.integrated.mouseWheelScrollSensitivity",h.BellDuration="terminal.integrated.bellDuration",h.FontWeight="terminal.integrated.fontWeight",h.FontWeightBold="terminal.integrated.fontWeightBold",h.CursorBlinking="terminal.integrated.cursorBlinking",h.CursorStyle="terminal.integrated.cursorStyle",h.CursorWidth="terminal.integrated.cursorWidth",h.Scrollback="terminal.integrated.scrollback",h.DetectLocale="terminal.integrated.detectLocale",h.DefaultLocation="terminal.integrated.defaultLocation",h.GpuAcceleration="terminal.integrated.gpuAcceleration",h.TerminalTitleSeparator="terminal.integrated.tabs.separator",h.TerminalTitle="terminal.integrated.tabs.title",h.TerminalDescription="terminal.integrated.tabs.description",h.RightClickBehavior="terminal.integrated.rightClickBehavior",h.Cwd="terminal.integrated.cwd",h.ConfirmOnExit="terminal.integrated.confirmOnExit",h.ConfirmOnKill="terminal.integrated.confirmOnKill",h.EnableBell="terminal.integrated.enableBell",h.CommandsToSkipShell="terminal.integrated.commandsToSkipShell",h.AllowChords="terminal.integrated.allowChords",h.AllowMnemonics="terminal.integrated.allowMnemonics",h.EnvMacOs="terminal.integrated.env.osx",h.EnvLinux="terminal.integrated.env.linux",h.EnvWindows="terminal.integrated.env.windows",h.EnvironmentChangesIndicator="terminal.integrated.environmentChangesIndicator",h.EnvironmentChangesRelaunch="terminal.integrated.environmentChangesRelaunch",h.ShowExitAlert="terminal.integrated.showExitAlert",h.SplitCwd="terminal.integrated.splitCwd",h.WindowsEnableConpty="terminal.integrated.windowsEnableConpty",h.WordSeparators="terminal.integrated.wordSeparators",h.EnableFileLinks="terminal.integrated.enableFileLinks",h.UnicodeVersion="terminal.integrated.unicodeVersion",h.LocalEchoLatencyThreshold="terminal.integrated.localEchoLatencyThreshold",h.LocalEchoEnabled="terminal.integrated.localEchoEnabled",h.LocalEchoExcludePrograms="terminal.integrated.localEchoExcludePrograms",h.LocalEchoStyle="terminal.integrated.localEchoStyle",h.EnablePersistentSessions="terminal.integrated.enablePersistentSessions",h.PersistentSessionReviveProcess="terminal.integrated.persistentSessionReviveProcess",h.CustomGlyphs="terminal.integrated.customGlyphs",h.PersistentSessionScrollback="terminal.integrated.persistentSessionScrollback",h.InheritEnv="terminal.integrated.inheritEnv",h.ShowLinkHover="terminal.integrated.showLinkHover",h.IgnoreProcessNames="terminal.integrated.ignoreProcessNames",h.AutoReplies="terminal.integrated.autoReplies",h.ShellIntegrationEnabled="terminal.integrated.shellIntegration.enabled",h.ShellIntegrationShowWelcome="terminal.integrated.shellIntegration.showWelcome",h.ShellIntegrationDecorationsEnabled="terminal.integrated.shellIntegration.decorationsEnabled",h.ShellIntegrationDecorationIcon="terminal.integrated.shellIntegration.decorationIcon",h.ShellIntegrationDecorationIconError="terminal.integrated.shellIntegration.decorationIconError",h.ShellIntegrationDecorationIconSuccess="terminal.integrated.shellIntegration.decorationIconSuccess",h.ShellIntegrationCommandHistory="terminal.integrated.shellIntegration.history"})(p=e.TerminalSettingId||(e.TerminalSettingId={}));var C;(function(h){h.CommandPrompt="cmd",h.PowerShell="pwsh",h.Wsl="wsl",h.GitBash="gitbash"})(C=e.WindowsShellType||(e.WindowsShellType={}));var P;(function(h){h[h.Api=0]="Api",h[h.Process=1]="Process",h[h.Sequence=2]="Sequence",h[h.Config=3]="Config"})(P=e.TitleEventSource||(e.TitleEventSource={}));var D;(function(h){h.LocalPty="localPty",h.PtyHost="ptyHost",h.Log="log",h.Heartbeat="heartbeat"})(D=e.TerminalIpcChannels||(e.TerminalIpcChannels={})),e.IPtyService=(0,k.createDecorator)("ptyService");var v;(function(h){h.Cwd="cwd",h.InitialCwd="initialCwd",h.FixedDimensions="fixedDimensions",h.Title="title",h.ShellType="shellType",h.HasChildProcesses="hasChildProcesses",h.ResolvedShellLaunchConfig="resolvedShellLaunchConfig",h.OverrideDimensions="overrideDimensions"})(v=e.ProcessPropertyType||(e.ProcessPropertyType={}));var I;(function(h){h[h.BeatInterval=5e3]="BeatInterval",h[h.FirstWaitMultiplier=1.2]="FirstWaitMultiplier",h[h.SecondWaitMultiplier=1]="SecondWaitMultiplier",h[h.CreateProcessTimeout=5e3]="CreateProcessTimeout"})(I=e.HeartbeatConstants||(e.HeartbeatConstants={}));var L;(function(h){h[h.Panel=1]="Panel",h[h.Editor=2]="Editor"})(L=e.TerminalLocation||(e.TerminalLocation={}));var R;(function(h){h.TerminalView="view",h.Editor="editor"})(R=e.TerminalLocationString||(e.TerminalLocationString={}));var g;(function(h){h[h.GraceTime=6e4]="GraceTime",h[h.ShortGraceTime=6e3]="ShortGraceTime"})(g=e.LocalReconnectConstants||(e.LocalReconnectConstants={}));var b;(function(h){h[h.HighWatermarkChars=1e5]="HighWatermarkChars",h[h.LowWatermarkChars=5e3]="LowWatermarkChars",h[h.CharCountAckSize=5e3]="CharCountAckSize"})(b=e.FlowControlConstants||(e.FlowControlConstants={}));var c;(function(h){h.GitBash="Git Bash",h.Pwsh="PowerShell"})(c=e.ProfileSource||(e.ProfileSource={}))}),define(we[69],ye([0,1,38,5,163,20,36,11,3,23,143,174,13]),function(J,e,k,t,p,C,P,D,v,I,L,R,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getResolvedShellEnv=void 0;const b=1e4;let c;async function h(E,w,f){return w["force-disable-user-env"]?(E.trace("resolveShellEnv(): skipped (--force-disable-user-env)"),{}):v.isWindows?(E.trace("resolveShellEnv(): skipped (Windows)"),{}):(0,R.isLaunchedFromCli)(f)&&!w["force-user-env"]?(E.trace("resolveShellEnv(): skipped (VSCODE_CLI is set)"),{}):((0,R.isLaunchedFromCli)(f)?E.trace("resolveShellEnv(): running (--force-user-env)"):E.trace("resolveShellEnv(): running (macOS/Linux)"),c||(c=g.Promises.withAsyncBody(async(y,u)=>{const o=new C.CancellationTokenSource,l=setTimeout(()=>{o.dispose(!0),u(new Error((0,p.localize)(0,null)))},b);try{y(await d(E,o.token))}catch(s){!(0,D.isCancellationError)(s)&&!o.token.isCancellationRequested?u(new Error((0,p.localize)(1,null,(0,P.toErrorMessage)(s)))):y({})}finally{clearTimeout(l),o.dispose()}})),c)}e.getResolvedShellEnv=h;async function d(E,w){const f=process.env.ELECTRON_RUN_AS_NODE;E.trace("getUnixShellEnvironment#runAsNode",f);const y=process.env.ELECTRON_NO_ATTACH_CONSOLE;E.trace("getUnixShellEnvironment#noAttach",y);const u=(0,I.generateUuid)().replace(/-/g,"").substr(0,12),o=new RegExp(u+"(.*)"+u),l={...process.env,ELECTRON_RUN_AS_NODE:"1",ELECTRON_NO_ATTACH_CONSOLE:"1"};E.trace("getUnixShellEnvironment#env",l);const s=await(0,L.getSystemShell)(v.OS,l);return E.trace("getUnixShellEnvironment#shell",s),new Promise((n,i)=>{if(w.isCancellationRequested)return i((0,D.canceled)());const r=(0,t.basename)(s);let a,m;const S=process.versions.electron&&process.versions["microsoft-build"]?"--ms-enable-electron-run-as-node":"";/^pwsh(-preview)?$/.test(r)?(a=`& '${process.execPath}' ${S} -p '''${u}'' + JSON.stringify(process.env) + ''${u}'''`,m=["-Login","-Command"]):(a=`'${process.execPath}' ${S} -p '"${u}" + JSON.stringify(process.env) + "${u}"'`,r==="tcsh"?m=["-ic"]:m=["-ilc"]),E.trace("getUnixShellEnvironment#spawn",JSON.stringify(m),a);const _=(0,k.spawn)(s,[...m,a],{detached:!0,stdio:["ignore","pipe","pipe"],env:l});w.onCancellationRequested(()=>(_.kill(),i((0,D.canceled)()))),_.on("error",A=>{E.error("getUnixShellEnvironment#errorChildProcess",(0,P.toErrorMessage)(A)),i(A)});const F=[];_.stdout.on("data",A=>F.push(A));const B=[];_.stderr.on("data",A=>B.push(A)),_.on("close",(A,T)=>{const U=Buffer.concat(F).toString("utf8");E.trace("getUnixShellEnvironment#raw",U);const N=Buffer.concat(B).toString("utf8");if(N.trim()&&E.trace("getUnixShellEnvironment#stderr",N),A||T)return i(new Error((0,p.localize)(2,null,A,T)));const W=o.exec(U),ie=W?W[1]:"{}";try{const q=JSON.parse(ie);f?q.ELECTRON_RUN_AS_NODE=f:delete q.ELECTRON_RUN_AS_NODE,y?q.ELECTRON_NO_ATTACH_CONSOLE=y:delete q.ELECTRON_NO_ATTACH_CONSOLE,delete q.XDG_RUNTIME_DIR,E.trace("getUnixShellEnvironment#result",q),n(q)}catch(q){E.error("getUnixShellEnvironment#errorCaught",(0,P.toErrorMessage)(q)),i(q)}})})}}),define(we[216],ye([0,1,25,21,5,3,24,12,18]),function(J,e,k,t,p,C,P,D,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.findExecutable=e.getWindowsBuildNumber=void 0;function I(){const R=/(\d+)\.(\d+)\.(\d+)/g.exec(k.release());let g=0;return R&&R.length===4&&(g=parseInt(R[3])),g}e.getWindowsBuildNumber=I;async function L(R,g,b,c=P.env,h=v.Promises.exists){if(p.isAbsolute(R))return await h(R)?R:void 0;if(g===void 0&&(g=P.cwd()),p.dirname(R)!=="."){const f=p.join(g,R);return await h(f)?f:void 0}const E=(0,t.getCaseInsensitive)(c,"PATH");if(b===void 0&&(0,D.isString)(E)&&(b=E.split(p.delimiter)),b===void 0||b.length===0){const f=p.join(g,R);return await h(f)?f:void 0}for(let f of b){let y;if(p.isAbsolute(f)?y=p.join(f,R):y=p.join(g,f,R),await h(y))return y;if(C.isWindows){let u=y+".com";if(await h(u)||(u=y+".exe",await h(u)))return u}}const w=p.join(g,R);return await h(w)?w:void 0}e.findExecutable=L}),define(we[217],ye([0,1]),function(J,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ColorScheme=void 0;var k;(function(t){t.DARK="dark",t.LIGHT="light",t.HIGH_CONTRAST="hc"})(k=e.ColorScheme||(e.ColorScheme={}))}),define(we[102],ye([0,1,37,7,2,6,35,217]),function(J,e,k,t,p,C,P,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Themable=e.registerThemingParticipant=e.Extensions=e.getThemeTypeSelector=e.FolderThemeIcon=e.FileThemeIcon=e.ThemeIcon=e.themeColorFromId=e.ThemeColor=e.IThemeService=void 0,e.IThemeService=(0,C.createDecorator)("themeService");var v;(function(d){function E(w){return w&&typeof w=="object"&&typeof w.id=="string"}d.isThemeColor=E})(v=e.ThemeColor||(e.ThemeColor={}));function I(d){return{id:d}}e.themeColorFromId=I;var L;(function(d){function E(n){return n&&typeof n=="object"&&typeof n.id=="string"&&(typeof n.color=="undefined"||v.isThemeColor(n.color))}d.isThemeIcon=E;const w=new RegExp(`^\\$\\((${k.CSSIcon.iconNameExpression}(?:${k.CSSIcon.iconModifierExpression})?)\\)$`);function f(n){const i=w.exec(n);if(!i)return;let[,r]=i;return{id:r}}d.fromString=f;function y(n){return{id:n}}d.fromId=y;function u(n,i){let r=n.id;const a=r.lastIndexOf("~");return a!==-1&&(r=r.substring(0,a)),i&&(r=`${r}~${i}`),{id:r}}d.modify=u;function o(n){const i=n.id.lastIndexOf("~");if(i!==-1)return n.id.substring(i+1)}d.getModifier=o;function l(n,i){return n.id===i.id&&n.color?.id===i.color?.id}d.isEqual=l;function s(n,i){return{id:n.id,color:i?I(i):void 0}}d.asThemeIcon=s,d.asClassNameArray=k.CSSIcon.asClassNameArray,d.asClassName=k.CSSIcon.asClassName,d.asCSSSelector=k.CSSIcon.asCSSSelector})(L=e.ThemeIcon||(e.ThemeIcon={})),e.FileThemeIcon=k.Codicon.file,e.FolderThemeIcon=k.Codicon.folder;function R(d){switch(d){case D.ColorScheme.DARK:return"vs-dark";case D.ColorScheme.HIGH_CONTRAST:return"hc-black";default:return"vs"}}e.getThemeTypeSelector=R,e.Extensions={ThemingContribution:"base.contributions.theming"};class g{constructor(){this.themingParticipants=[],this.themingParticipants=[],this.onThemingParticipantAddedEmitter=new t.Emitter}onColorThemeChange(E){return this.themingParticipants.push(E),this.onThemingParticipantAddedEmitter.fire(E),(0,p.toDisposable)(()=>{const w=this.themingParticipants.indexOf(E);this.themingParticipants.splice(w,1)})}get onThemingParticipantAdded(){return this.onThemingParticipantAddedEmitter.event}getThemingParticipants(){return this.themingParticipants}}let b=new g;P.Registry.add(e.Extensions.ThemingContribution,b);function c(d){return b.onColorThemeChange(d)}e.registerThemingParticipant=c;class h extends p.Disposable{constructor(E){super();this.themeService=E,this.theme=E.getColorTheme(),this._register(this.themeService.onDidColorThemeChange(w=>this.onThemeChange(w)))}onThemeChange(E){this.theme=E,this.updateStyles()}updateStyles(){}getColor(E,w){let f=this.theme.getColor(E);return f&&w&&(f=w(f,this.theme)),f?f.toString():null}}e.Themable=h}),define(we[218],ye([0,1,37,4,102]),function(J,e,k,t,p){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isUriComponents=e.terminalIconsEqual=e.terminalProfileArgsMatch=e.createProfileSchemaEnums=void 0;function C(R,g){const b=R.map(c=>({name:c.profileName,description:P(c)}));return g&&b.push(...g.map(c=>({name:c.title,description:D(c)}))),{values:b.map(c=>c.name),markdownDescriptions:b.map(c=>c.description)}}e.createProfileSchemaEnums=C;function P(R){let g=`$(${p.ThemeIcon.isThemeIcon(R.icon)?R.icon.id:R.icon?R.icon:k.Codicon.terminal.id}) ${R.profileName}
- path: ${R.path}`;return R.args&&(typeof R.args=="string"?g+=`
- args: "${R.args}"`:g+=`
- args: [${R.args.length===0?"":`'${R.args.join("','")}'`}]`),R.overrideName!==void 0&&(g+=`
- overrideName: ${R.overrideName}`),R.color&&(g+=`
- color: ${R.color}`),R.env&&(g+=`
- env: ${JSON.stringify(R.env)}`),g}function D(R){return`$(${p.ThemeIcon.isThemeIcon(R.icon)?R.icon.id:R.icon?R.icon:k.Codicon.terminal.id}) ${R.title}
- extensionIdenfifier: ${R.extensionIdentifier}`}function v(R,g){if(!R&&!g)return!0;if(typeof R=="string"&&typeof g=="string")return R===g;if(Array.isArray(R)&&Array.isArray(g)){if(R.length!==g.length)return!1;for(let b=0;b<R.length;b++)if(R[b]!==g[b])return!1;return!0}return!1}e.terminalProfileArgsMatch=v;function I(R,g){if(!R&&!g)return!0;if(!R||!g)return!1;if(p.ThemeIcon.isThemeIcon(R)&&p.ThemeIcon.isThemeIcon(g))return R.id===g.id&&R.color===g.color;if(typeof R=="object"&&R&&"light"in R&&"dark"in R&&typeof g=="object"&&g&&"light"in g&&"dark"in g){const b=R,c=g;if((t.URI.isUri(b.light)||L(b.light))&&(t.URI.isUri(b.dark)||L(b.dark))&&(t.URI.isUri(c.light)||L(c.light))&&(t.URI.isUri(c.dark)||L(c.dark)))return b.light.path===c.light.path&&b.dark.path===c.dark.path}if(t.URI.isUri(R)&&t.URI.isUri(g)||L(R)||L(g)){const b=R,c=g;return b.path===c.path&&b.scheme===c.scheme}return!1}e.terminalIconsEqual=I;function L(R){return R?typeof R.path=="string"&&typeof R.scheme=="string":!1}e.isUriComponents=L}),define(we[219],ye([0,1,37,162,45,35,218]),function(J,e,k,t,p,C,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.registerTerminalDefaultProfileConfiguration=e.registerTerminalPlatformConfiguration=void 0;const D={args:{description:(0,t.localize)(0,null),type:"array",items:{type:"string"}},overrideName:{description:(0,t.localize)(1,null),type:"boolean"},icon:{description:(0,t.localize)(2,null),type:"string",enum:Array.from(k.Codicon.getAll(),y=>y.id),markdownEnumDescriptions:Array.from(k.Codicon.getAll(),y=>`$(${y.id})`)},color:{description:(0,t.localize)(3,null),type:["string","null"],enum:["terminal.ansiBlack","terminal.ansiRed","terminal.ansiGreen","terminal.ansiYellow","terminal.ansiBlue","terminal.ansiMagenta","terminal.ansiCyan","terminal.ansiWhite"],default:null},env:{markdownDescription:(0,t.localize)(4,null),type:"object",additionalProperties:{type:["string","null"]},default:{}}},v={type:"object",required:["path"],properties:{path:{description:(0,t.localize)(5,null),type:["string","array"],items:{type:"string"}},...D}},I={type:"object",required:["path"],properties:{path:{description:(0,t.localize)(6,null),type:["string"],items:{type:"string"}},...D}},L=(0,t.localize)(7,null,"`#terminal.integrated.profiles.linux#`","`#terminal.integrated.defaultProfile.linux#`"),R=(0,t.localize)(8,null,"`#terminal.integrated.profiles.osx#`","`#terminal.integrated.defaultProfile.osx#`"),g=(0,t.localize)(9,null,"`#terminal.integrated.profiles.windows#`","`#terminal.integrated.defaultProfile.windows#`"),b=(0,t.localize)(10,null,"`#terminal.integrated.automationProfile.linux#`"),c=(0,t.localize)(11,null,"`#terminal.integrated.automationProfile.osx#`"),h=(0,t.localize)(12,null,"`#terminal.integrated.automationProfile.windows#`"),d={id:"terminal",order:100,title:(0,t.localize)(13,null),type:"object",properties:{["terminal.integrated.automationShell.linux"]:{restricted:!0,markdownDescription:(0,t.localize)(14,null,"`terminal.integrated.shell.linux`","`shellArgs`"),type:["string","null"],default:null,markdownDeprecationMessage:b},["terminal.integrated.automationShell.osx"]:{restricted:!0,markdownDescription:(0,t.localize)(15,null,"`terminal.integrated.shell.osx`","`shellArgs`"),type:["string","null"],default:null,markdownDeprecationMessage:c},["terminal.integrated.automationShell.windows"]:{restricted:!0,markdownDescription:(0,t.localize)(16,null,"`terminal.integrated.shell.windows`","`shellArgs`"),type:["string","null"],default:null,markdownDeprecationMessage:h},["terminal.integrated.automationProfile.linux"]:{restricted:!0,markdownDescription:(0,t.localize)(17,null,"#terminal.integrated.automationShell.linux#"),type:["object","null"],default:null,anyOf:[{type:"null"},I],defaultSnippets:[{body:{path:"${1}",icon:"${2}"}}]},["terminal.integrated.automationProfile.osx"]:{restricted:!0,description:(0,t.localize)(18,null,"#terminal.integrated.automationShell.osx#"),type:["object","null"],default:null,anyOf:[{type:"null"},I],defaultSnippets:[{body:{path:"${1}",icon:"${2}"}}]},["terminal.integrated.automationProfile.windows"]:{restricted:!0,description:(0,t.localize)(19,null,"#terminal.integrated.automationShell.windows#"),type:["object","null"],default:null,anyOf:[{type:"null"},I],defaultSnippets:[{body:{path:"${1}",icon:"${2}"}}]},["terminal.integrated.shell.linux"]:{restricted:!0,markdownDescription:(0,t.localize)(20,null),type:["string","null"],default:null,markdownDeprecationMessage:L},["terminal.integrated.shell.osx"]:{restricted:!0,markdownDescription:(0,t.localize)(21,null),type:["string","null"],default:null,markdownDeprecationMessage:R},["terminal.integrated.shell.windows"]:{restricted:!0,markdownDescription:(0,t.localize)(22,null),type:["string","null"],default:null,markdownDeprecationMessage:g},["terminal.integrated.shellArgs.linux"]:{restricted:!0,markdownDescription:(0,t.localize)(23,null),type:"array",items:{type:"string"},default:[],markdownDeprecationMessage:L},["terminal.integrated.shellArgs.osx"]:{restricted:!0,markdownDescription:(0,t.localize)(24,null),type:"array",items:{type:"string"},default:["-l"],markdownDeprecationMessage:R},["terminal.integrated.shellArgs.windows"]:{restricted:!0,markdownDescription:(0,t.localize)(25,null),anyOf:[{type:"array",items:{type:"string",markdownDescription:(0,t.localize)(26,null)}},{type:"string",markdownDescription:(0,t.localize)(27,null)}],default:[],markdownDeprecationMessage:g},["terminal.integrated.profiles.windows"]:{restricted:!0,markdownDescription:(0,t.localize)(28,null,"`source`","`path`","`args`","`null`",'`"Ubuntu-20.04 (WSL)": null`'),type:"object",default:{PowerShell:{source:"PowerShell",icon:"terminal-powershell"},"Command Prompt":{path:["${env:windir}\\Sysnative\\cmd.exe","${env:windir}\\System32\\cmd.exe"],args:[],icon:"terminal-cmd"},"Git Bash":{source:"Git Bash"}},additionalProperties:{anyOf:[{type:"object",required:["source"],properties:{source:{description:(0,t.localize)(29,null),enum:["PowerShell","Git Bash"]},...D}},{type:"object",required:["extensionIdentifier","id","title"],properties:{extensionIdentifier:{description:(0,t.localize)(30,null),type:"string"},id:{description:(0,t.localize)(31,null),type:"string"},title:{description:(0,t.localize)(32,null),type:"string"},...D}},{type:"null"},v]}},["terminal.integrated.profiles.osx"]:{restricted:!0,markdownDescription:(0,t.localize)(33,null,"`path`","`args`","`null`",'`"bash": null`'),type:"object",default:{bash:{path:"bash",args:["-l"],icon:"terminal-bash"},zsh:{path:"zsh",args:["-l"]},fish:{path:"fish",args:["-l"]},tmux:{path:"tmux",icon:"terminal-tmux"},pwsh:{path:"pwsh",icon:"terminal-powershell"}},additionalProperties:{anyOf:[{type:"object",required:["extensionIdentifier","id","title"],properties:{extensionIdentifier:{description:(0,t.localize)(34,null),type:"string"},id:{description:(0,t.localize)(35,null),type:"string"},title:{description:(0,t.localize)(36,null),type:"string"},...D}},{type:"null"},v]}},["terminal.integrated.profiles.linux"]:{restricted:!0,markdownDescription:(0,t.localize)(37,null,"`path`","`args`","`null`",'`"bash": null`'),type:"object",default:{bash:{path:"bash",icon:"terminal-bash"},zsh:{path:"zsh"},fish:{path:"fish"},tmux:{path:"tmux",icon:"terminal-tmux"},pwsh:{path:"pwsh",icon:"terminal-powershell"}},additionalProperties:{anyOf:[{type:"object",required:["extensionIdentifier","id","title"],properties:{extensionIdentifier:{description:(0,t.localize)(38,null),type:"string"},id:{description:(0,t.localize)(39,null),type:"string"},title:{description:(0,t.localize)(40,null),type:"string"},...D}},{type:"null"},v]}},["terminal.integrated.useWslProfiles"]:{description:(0,t.localize)(41,null),type:"boolean",default:!0},["terminal.integrated.inheritEnv"]:{scope:1,description:(0,t.localize)(42,null),type:"boolean",default:!0},["terminal.integrated.persistentSessionScrollback"]:{scope:1,markdownDescription:(0,t.localize)(43,null),type:"number",default:100},["terminal.integrated.showLinkHover"]:{scope:1,description:(0,t.localize)(44,null),type:"boolean",default:!0},["terminal.integrated.ignoreProcessNames"]:{description:(0,t.localize)(45,null,"`terminal.integrated.confirmOnKill`"),type:"array",items:{type:"string",uniqueItems:!0},default:["starship","oh-my-posh","bash","zsh"]}}};function E(){C.Registry.as(p.Extensions.Configuration).registerConfiguration(d),f()}e.registerTerminalPlatformConfiguration=E;let w;function f(y,u){const o=C.Registry.as(p.Extensions.Configuration);let l;y&&(l=(0,P.createProfileSchemaEnums)(y?.profiles,u));const s=w;w={id:"terminal",order:100,title:(0,t.localize)(46,null),type:"object",properties:{["terminal.integrated.defaultProfile.linux"]:{restricted:!0,markdownDescription:(0,t.localize)(47,null,"`terminal.integrated.shell.linux`","`terminal.integrated.shellArgs.linux`"),type:["string","null"],default:null,enum:y?.os===3?l?.values:void 0,markdownEnumDescriptions:y?.os===3?l?.markdownDescriptions:void 0},["terminal.integrated.defaultProfile.osx"]:{restricted:!0,markdownDescription:(0,t.localize)(48,null,"`terminal.integrated.shell.osx`","`terminal.integrated.shellArgs.osx`"),type:["string","null"],default:null,enum:y?.os===2?l?.values:void 0,markdownEnumDescriptions:y?.os===2?l?.markdownDescriptions:void 0},["terminal.integrated.defaultProfile.windows"]:{restricted:!0,markdownDescription:(0,t.localize)(49,null,"`terminal.integrated.shell.windows`","`terminal.integrated.shellArgs.windows`"),type:["string","null"],default:null,enum:y?.os===1?l?.values:void 0,markdownEnumDescriptions:y?.os===1?l?.markdownDescriptions:void 0}}},o.updateConfigurations({add:[w],remove:s?[s]:[]})}e.registerTerminalDefaultProfileConfiguration=f}),define(we[220],ye([0,1,38,37,5,3,18,83,216,102]),function(J,e,k,t,p,C,P,D,v,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.detectAvailableProfiles=void 0;let L,R=!0;function g(l,s,n,i,r=process.env,a,m,S,_){return a=a||{existsFile:P.SymlinkSupport.existsFile,readFile:P.Promises.readFile},C.isWindows?b(n,a,r,m,i.getValue("terminal.integrated.useWslProfiles")!==!1,l&&typeof l=="object"?{...l}:i.getValue("terminal.integrated.profiles.windows"),typeof s=="string"?s:i.getValue("terminal.integrated.defaultProfile.windows"),_,S):y(a,m,n,l&&typeof l=="object"?{...l}:i.getValue(C.isLinux?"terminal.integrated.profiles.linux":"terminal.integrated.profiles.osx"),typeof s=="string"?s:i.getValue(C.isLinux?"terminal.integrated.defaultProfile.linux":"terminal.integrated.defaultProfile.osx"),_,S,r)}e.detectAvailableProfiles=g;async function b(l,s,n,i,r,a,m,S,_){const F=process.env.hasOwnProperty("PROCESSOR_ARCHITEW6432"),B=`${process.env.windir}\\${F?"Sysnative":"System32"}`;let A=!1;(0,v.getWindowsBuildNumber)()>=16299&&(A=!0),await d(S);const T=new Map;l&&(T.set("PowerShell",{source:"PowerShell",icon:t.Codicon.terminalPowershell,isAutoDetected:!0}),T.set("Windows PowerShell",{path:`${B}\\WindowsPowerShell\\v1.0\\powershell.exe`,icon:t.Codicon.terminalPowershell,isAutoDetected:!0}),T.set("Git Bash",{source:"Git Bash",isAutoDetected:!0}),T.set("Cygwin",{path:[`${process.env.HOMEDRIVE}\\cygwin64\\bin\\bash.exe`,`${process.env.HOMEDRIVE}\\cygwin\\bin\\bash.exe`],args:["--login"],isAutoDetected:!0}),T.set("Command Prompt",{path:`${B}\\cmd.exe`,icon:t.Codicon.terminalCmd,isAutoDetected:!0})),u(a,T);const U=await c(T.entries(),m,s,n,i,_);if(l||!l&&r)try{const N=await w(`${B}\\${A?"wsl":"bash"}.exe`,m);for(const W of N)(!a||!(W.profileName in a))&&U.push(W)}catch{R&&(i?.info("WSL is not installed, so could not detect WSL profiles"),R=!1)}return U}async function c(l,s,n,i=process.env,r,a){const m=[];for(const[S,_]of l){if(_===null)continue;let F,B,A;if("source"in _){const N=L?.get(_.source);if(!N)continue;F=N.paths,B=_.args||N.args,_.icon?A=h(_.icon):N.icon&&(A=N.icon)}else F=Array.isArray(_.path)?_.path:[_.path],B=C.isWindows||Array.isArray(_.args)?_.args:void 0,A=h(_.icon);const T=await a?.(F)||F.slice(),U=await o(S,s,T,n,i,B,_.env,_.overrideName,_.isAutoDetected,r);U?(U.isAutoDetected=_.isAutoDetected,U.icon=A,U.color=_.color,m.push(U)):r?.trace("profile not validated",S,F)}return m}function h(l){return typeof l=="string"?{id:l}:l}async function d(l){L&&!l||(L=new Map,L.set("Git Bash",{profileName:"Git Bash",paths:[`${process.env.ProgramW6432}\\Git\\bin\\bash.exe`,`${process.env.ProgramW6432}\\Git\\usr\\bin\\bash.exe`,`${process.env.ProgramFiles}\\Git\\bin\\bash.exe`,`${process.env.ProgramFiles}\\Git\\usr\\bin\\bash.exe`,`${process.env.LocalAppData}\\Programs\\Git\\bin\\bash.exe`,`${process.env.UserProfile}\\scoop\\apps\\git-with-openssh\\current\\bin\\bash.exe`,`${process.env.AllUsersProfile}\\scoop\\apps\\git-with-openssh\\current\\bin\\bash.exe`],args:["--login"]}),L.set("PowerShell",{profileName:"PowerShell",paths:l||await E(),icon:I.ThemeIcon.asThemeIcon(t.Codicon.terminalPowershell)}))}async function E(){const l=[];for await(const s of(0,D.enumeratePowerShellInstallations)())l.push(s.exePath);return l}async function w(l,s){const n=[],i=await new Promise((m,S)=>{k.exec("wsl.exe -l -q",{encoding:"utf16le",timeout:1e3},(_,F)=>{if(_)return S("Problem occurred when getting wsl distros");m(F)})});if(!i)return[];const r=new RegExp(/[\r?\n]/),a=i.split(r).filter(m=>m.trim().length>0&&m!=="");for(const m of a){if(m===""||m.startsWith("docker-desktop"))continue;const S=`${m} (WSL)`,_={profileName:S,path:l,args:["-d",`${m}`],isDefault:S===s,icon:f(m),isAutoDetected:!1};n.push(_)}return n}function f(l){return l.includes("Ubuntu")?I.ThemeIcon.asThemeIcon(t.Codicon.terminalUbuntu):l.includes("Debian")?I.ThemeIcon.asThemeIcon(t.Codicon.terminalDebian):I.ThemeIcon.asThemeIcon(t.Codicon.terminalLinux)}async function y(l,s,n,i,r,a,m,S){const _=new Map;if(n){const F=(await l.readFile("/etc/shells")).toString(),B=a||F.split(`
`).filter(T=>T.trim().indexOf("#")!==0&&T.trim().length>0),A=new Map;for(const T of B){let U=(0,p.basename)(T),N=A.get(U)||0;N++,N>1&&(U=`${U} (${N})`),A.set(U,N),_.set(U,{path:T,isAutoDetected:!0})}}return u(i,_),await c(_.entries(),r,l,S,s,m)}function u(l,s){if(!!l)for(const[n,i]of Object.entries(l))i===null||!("path"in i)&&!("source"in i)?s.delete(n):(i.icon=i.icon||s.get(n)?.icon,s.set(n,i))}async function o(l,s,n,i,r,a,m,S,_,F){if(n.length===0)return Promise.resolve(void 0);const B=n.shift();if(B==="")return o(l,s,n,i,r,a,m,S,_);const A={profileName:l,path:B,args:a,env:m,overrideName:S,isAutoDetected:_,isDefault:l===s};if((0,p.basename)(B)===B){const U=r.PATH?r.PATH.split(p.delimiter):void 0,N=await(0,v.findExecutable)(B,void 0,U,void 0,i.existsFile);return N?(A.path=N,A.isFromPath=!0,A):o(l,s,n,i,r,a)}return await i.existsFile((0,p.normalize)(B))?A:o(l,s,n,i,r,a,m,S,_)}}),define(we[221],ye([0,1,7,2,8,3,39,87,28,26,88,69,14,94,215,101,219,220]),function(J,e,k,t,p,C,P,D,v,I,L,R,g,b,c,h,d,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.PtyHostService=void 0;var w;(function(u){u[u.MaxRestarts=5]="MaxRestarts"})(w||(w={}));let f=0,y=class extends t.Disposable{constructor(o,l,s,n){super();this._reconnectConstants=o,this._configurationService=l,this._environmentService=s,this._logService=n,this._restartCount=0,this._isResponsive=!0,this._isDisposed=!1,this._onPtyHostExit=this._register(new k.Emitter),this.onPtyHostExit=this._onPtyHostExit.event,this._onPtyHostStart=this._register(new k.Emitter),this.onPtyHostStart=this._onPtyHostStart.event,this._onPtyHostUnresponsive=this._register(new k.Emitter),this.onPtyHostUnresponsive=this._onPtyHostUnresponsive.event,this._onPtyHostResponsive=this._register(new k.Emitter),this.onPtyHostResponsive=this._onPtyHostResponsive.event,this._onPtyHostRequestResolveVariables=this._register(new k.Emitter),this.onPtyHostRequestResolveVariables=this._onPtyHostRequestResolveVariables.event,this._onProcessData=this._register(new k.Emitter),this.onProcessData=this._onProcessData.event,this._onProcessReady=this._register(new k.Emitter),this.onProcessReady=this._onProcessReady.event,this._onProcessReplay=this._register(new k.Emitter),this.onProcessReplay=this._onProcessReplay.event,this._onProcessOrphanQuestion=this._register(new k.Emitter),this.onProcessOrphanQuestion=this._onProcessOrphanQuestion.event,this._onDidRequestDetach=this._register(new k.Emitter),this.onDidRequestDetach=this._onDidRequestDetach.event,this._onDidChangeProperty=this._register(new k.Emitter),this.onDidChangeProperty=this._onDidChangeProperty.event,this._onProcessExit=this._register(new k.Emitter),this.onProcessExit=this._onProcessExit.event,(0,d.registerTerminalPlatformConfiguration)(),this._shellEnv=this._resolveShellEnv(),this._register((0,t.toDisposable)(()=>this._disposePtyHost())),this._resolveVariablesRequestStore=this._register(new c.RequestStore(void 0,this._logService)),this._resolveVariablesRequestStore.onCreateRequest(this._onPtyHostRequestResolveVariables.fire,this._onPtyHostRequestResolveVariables),[this._client,this._proxy]=this._startPtyHost(),this._register(this._configurationService.onDidChangeConfiguration(async i=>{i.affectsConfiguration("terminal.integrated.ignoreProcessNames")&&await this._refreshIgnoreProcessNames()}))}async initialize(){await this._refreshIgnoreProcessNames()}get _ignoreProcessNames(){return this._configurationService.getValue("terminal.integrated.ignoreProcessNames")}async _refreshIgnoreProcessNames(){return this._proxy.refreshIgnoreProcessNames?.(this._ignoreProcessNames)}async _resolveShellEnv(){if(C.isWindows)return process.env;try{return await(0,R.getResolvedShellEnv)(this._logService,{_:[]},process.env)}catch(o){return this._logService.error("ptyHost was unable to resolve shell environment",o),{}}}_startPtyHost(){const o={serverName:"Pty Host",args:["--type=ptyHost"],env:{VSCODE_LAST_PTY_ID:f,VSCODE_AMD_ENTRYPOINT:"vs/platform/terminal/node/ptyHostMain",VSCODE_PIPE_LOGGING:"true",VSCODE_VERBOSE_LOGGING:"true",VSCODE_RECONNECT_GRACE_TIME:this._reconnectConstants.graceTime,VSCODE_RECONNECT_SHORT_GRACE_TIME:this._reconnectConstants.shortGraceTime,VSCODE_RECONNECT_SCROLLBACK:this._reconnectConstants.scrollback}},l=(0,L.parsePtyHostPort)(this._environmentService.args,this._environmentService.isBuilt);l&&(l.break&&l.port?o.debugBrk=l.port:!l.break&&l.port&&(o.debug=l.port));const s=new D.Client(p.FileAccess.asFileUri("bootstrap-fork",J).fsPath,o);this._onPtyHostStart.fire(),P.ProxyChannel.toService(s.getChannel(h.TerminalIpcChannels.Heartbeat)).onBeat(()=>this._handleHeartbeat()),this._handleHeartbeat(),this._register(s.onDidProcessExit(a=>{this._onPtyHostExit.fire(a.code),this._isDisposed||(this._restartCount<=w.MaxRestarts?(this._logService.error(`ptyHost terminated unexpectedly with code ${a.code}`),this._restartCount++,this.restartPtyHost()):this._logService.error(`ptyHost terminated unexpectedly with code ${a.code}, giving up`))}));const i=s.getChannel(h.TerminalIpcChannels.Log);b.LogLevelChannelClient.setLevel(i,this._logService.getLevel()),this._register(this._logService.onDidChangeLogLevel(()=>{b.LogLevelChannelClient.setLevel(i,this._logService.getLevel())}));const r=P.ProxyChannel.toService(s.getChannel(h.TerminalIpcChannels.PtyHost));return this._register(r.onProcessData(a=>this._onProcessData.fire(a))),this._register(r.onProcessReady(a=>this._onProcessReady.fire(a))),this._register(r.onProcessExit(a=>this._onProcessExit.fire(a))),this._register(r.onDidChangeProperty(a=>this._onDidChangeProperty.fire(a))),this._register(r.onProcessReplay(a=>this._onProcessReplay.fire(a))),this._register(r.onProcessOrphanQuestion(a=>this._onProcessOrphanQuestion.fire(a))),this._register(r.onDidRequestDetach(a=>this._onDidRequestDetach.fire(a))),[s,r]}dispose(){this._isDisposed=!0,super.dispose()}async createProcess(o,l,s,n,i,r,a,m,S,_,F){const B=setTimeout(()=>this._handleUnresponsiveCreateProcess(),h.HeartbeatConstants.CreateProcessTimeout),A=await this._proxy.createProcess(o,l,s,n,i,r,a,m,S,_,F);return clearTimeout(B),f=Math.max(f,A),A}updateTitle(o,l,s){return this._proxy.updateTitle(o,l,s)}updateIcon(o,l,s){return this._proxy.updateIcon(o,l,s)}attachToProcess(o){return this._proxy.attachToProcess(o)}detachFromProcess(o){return this._proxy.detachFromProcess(o)}listProcesses(){return this._proxy.listProcesses()}reduceConnectionGraceTime(){return this._proxy.reduceConnectionGraceTime()}start(o){return this._proxy.start(o)}shutdown(o,l){return this._proxy.shutdown(o,l)}input(o,l){return this._proxy.input(o,l)}processBinary(o,l){return this._proxy.processBinary(o,l)}resize(o,l,s){return this._proxy.resize(o,l,s)}acknowledgeDataEvent(o,l){return this._proxy.acknowledgeDataEvent(o,l)}setUnicodeVersion(o,l){return this._proxy.setUnicodeVersion(o,l)}getInitialCwd(o){return this._proxy.getInitialCwd(o)}getCwd(o){return this._proxy.getCwd(o)}getLatency(o){return this._proxy.getLatency(o)}orphanQuestionReply(o){return this._proxy.orphanQuestionReply(o)}installAutoReply(o,l){return this._proxy.installAutoReply(o,l)}uninstallAllAutoReplies(){return this._proxy.uninstallAllAutoReplies()}uninstallAutoReply(o){return this._proxy.uninstallAutoReply(o)}getDefaultSystemShell(o){return this._proxy.getDefaultSystemShell(o)}async getProfiles(o,l,s,n=!1){const i=await this._shellEnv;return(0,E.detectAvailableProfiles)(l,s,n,this._configurationService,i,void 0,this._logService,this._resolveVariables.bind(this,o))}getEnvironment(){return this._proxy.getEnvironment()}getWslPath(o){return this._proxy.getWslPath(o)}setTerminalLayoutInfo(o){return this._proxy.setTerminalLayoutInfo(o)}async getTerminalLayoutInfo(o){return await this._proxy.getTerminalLayoutInfo(o)}async requestDetachInstance(o,l){return this._proxy.requestDetachInstance(o,l)}async acceptDetachInstanceReply(o,l){return this._proxy.acceptDetachInstanceReply(o,l)}async serializeTerminalState(o){return this._proxy.serializeTerminalState(o)}async reviveTerminalProcesses(o,l){return this._proxy.reviveTerminalProcesses(o,l)}async refreshProperty(o,l){return this._proxy.refreshProperty(o,l)}async updateProperty(o,l,s){return this._proxy.updateProperty(o,l,s)}async restartPtyHost(){this._isResponsive=!0,this._disposePtyHost(),[this._client,this._proxy]=this._startPtyHost()}_disposePtyHost(){this._proxy.shutdownAll?.(),this._client.dispose()}_handleHeartbeat(){this._clearHeartbeatTimeouts(),this._heartbeatFirstTimeout=setTimeout(()=>this._handleHeartbeatFirstTimeout(),h.HeartbeatConstants.BeatInterval*h.HeartbeatConstants.FirstWaitMultiplier),this._isResponsive||(this._isResponsive=!0),this._onPtyHostResponsive.fire()}_handleHeartbeatFirstTimeout(){this._logService.warn(`No ptyHost heartbeat after ${h.HeartbeatConstants.BeatInterval*h.HeartbeatConstants.FirstWaitMultiplier/1e3} seconds`),this._heartbeatFirstTimeout=void 0,this._heartbeatSecondTimeout=setTimeout(()=>this._handleHeartbeatSecondTimeout(),h.HeartbeatConstants.BeatInterval*h.HeartbeatConstants.SecondWaitMultiplier)}_handleHeartbeatSecondTimeout(){this._logService.error(`No ptyHost heartbeat after ${(h.HeartbeatConstants.BeatInterval*h.HeartbeatConstants.FirstWaitMultiplier+h.HeartbeatConstants.BeatInterval*h.HeartbeatConstants.FirstWaitMultiplier)/1e3} seconds`),this._heartbeatSecondTimeout=void 0,this._isResponsive&&(this._isResponsive=!1),this._onPtyHostUnresponsive.fire()}_handleUnresponsiveCreateProcess(){this._clearHeartbeatTimeouts(),this._logService.error(`No ptyHost response to createProcess after ${h.HeartbeatConstants.CreateProcessTimeout/1e3} seconds`),this._onPtyHostUnresponsive.fire()}_clearHeartbeatTimeouts(){this._heartbeatFirstTimeout&&(clearTimeout(this._heartbeatFirstTimeout),this._heartbeatFirstTimeout=void 0),this._heartbeatSecondTimeout&&(clearTimeout(this._heartbeatSecondTimeout),this._heartbeatSecondTimeout=void 0)}_resolveVariables(o,l){return this._resolveVariablesRequestStore.createRequest({workspaceId:o,originalText:l})}async acceptPtyHostResolvedVariables(o,l){this._resolveVariablesRequestStore.acceptReply(o,l)}};y=Ae([Oe(1,v.IConfigurationService),Oe(2,I.IEnvironmentService),Oe(3,g.ILogService)],y),e.PtyHostService=y}),define(we[47],ye([0,1,6]),function(J,e,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IUriIdentityService=void 0,e.IUriIdentityService=(0,k.createDecorator)("IUriIdentityService")}),define(we[222],ye([0,1,7,2,4,26,31,19,14,47]),function(J,e,k,t,p,C,P,D,v,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionsWatcher=void 0;let L=class extends t.Disposable{constructor(g,b,c,h,d){super();this.extensionsManagementService=g,this.logService=h,this.uriIdentityService=d,this._onDidChangeExtensionsByAnotherSource=this._register(new k.Emitter),this.onDidChangeExtensionsByAnotherSource=this._onDidChangeExtensionsByAnotherSource.event,this.startTimestamp=0,this.installingExtensions=[],this.extensionsManagementService.getInstalled(1).then(w=>{this.installedExtensions=w.map(f=>f.identifier),this.startTimestamp=Date.now()}),this._register(g.onInstallExtension(w=>this.onInstallExtension(w))),this._register(g.onDidInstallExtensions(w=>this.onDidInstallExtensions(w))),this._register(g.onDidUninstallExtension(w=>this.onDidUninstallExtension(w)));const E=p.URI.file(c.extensionsPath);this._register(b.watch(E)),this._register(k.Event.filter(b.onDidFilesChange,w=>w.rawChanges.some(f=>this.doesChangeAffects(f,E)))(()=>this.onDidChange()))}doesChangeAffects(g,b){return this.uriIdentityService.extUri.isEqual(this.uriIdentityService.extUri.dirname(g.resource),b)?this.uriIdentityService.extUri.isEqual(g.resource,this.uriIdentityService.extUri.joinPath(b,".obsolete"))?!0:!(g.type!==1&&g.type!==2||this.uriIdentityService.extUri.basename(g.resource).startsWith(".")):!1}onInstallExtension(g){this.addInstallingExtension(g.identifier)}onDidInstallExtensions(g){for(const b of g)this.removeInstallingExtension(b.identifier),b.local&&this.addInstalledExtension(b.identifier)}onDidUninstallExtension(g){g.error||this.removeInstalledExtension(g.identifier)}addInstallingExtension(g){this.removeInstallingExtension(g),this.installingExtensions.push(g)}removeInstallingExtension(g){this.installingExtensions=this.installingExtensions.filter(b=>!(0,P.areSameExtensions)(b,g))}addInstalledExtension(g){this.installedExtensions&&(this.removeInstalledExtension(g),this.installedExtensions.push(g))}removeInstalledExtension(g){this.installedExtensions&&(this.installedExtensions=this.installedExtensions.filter(b=>!(0,P.areSameExtensions)(b,g)))}async onDidChange(){if(this.installedExtensions){const g=await this.extensionsManagementService.getInstalled(1),b=g.filter(h=>[...this.installingExtensions,...this.installedExtensions].some(d=>(0,P.areSameExtensions)(d,h.identifier))?!1:h.installedTimestamp&&h.installedTimestamp>this.startTimestamp?(this.logService.info("Detected extension installed from another source",h.identifier.id),!0):(this.logService.info("Ignored extension installed by another source because of invalid timestamp",h.identifier.id),!1)),c=this.installedExtensions.filter(h=>this.installingExtensions.some(d=>(0,P.areSameExtensions)(d,h))?!1:g.every(d=>!(0,P.areSameExtensions)(d.identifier,h))?(this.logService.info("Detected extension removed from another source",h.id),!0):!1);this.installedExtensions=g.map(h=>h.identifier),(b.length||c.length)&&this._onDidChangeExtensionsByAnotherSource.fire({added:b,removed:c})}}};L=Ae([Oe(1,D.IFileService),Oe(2,C.INativeEnvironmentService),Oe(3,v.ILogService),Oe(4,I.IUriIdentityService)],L),e.ExtensionsWatcher=L}),define(we[103],ye([0,1,47,179,19,22,121,7,2]),function(J,e,k,t,p,C,P,D,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.UriIdentityService=void 0;class I{constructor(g){this.uri=g,this.time=I._clock++}touch(){return this.time=I._clock++,this}}I._clock=0;let L=class{constructor(g){this._fileService=g,this._dispooables=new v.DisposableStore,this._limit=2**16;const b=new Map,c=h=>{let d=b.get(h.scheme);return d===void 0&&(d=g.hasProvider(h)&&!this._fileService.hasCapability(h,1024),b.set(h.scheme,d)),d};this._dispooables.add(D.Event.any(g.onDidChangeFileSystemProviderRegistrations,g.onDidChangeFileSystemProviderCapabilities)(h=>{b.delete(h.scheme)})),this.extUri=new C.ExtUri(c),this._canonicalUris=new P.SkipList((h,d)=>this.extUri.compare(h,d,!0),this._limit)}dispose(){this._dispooables.dispose(),this._canonicalUris.clear()}asCanonicalUri(g){this._fileService.hasProvider(g)&&(g=(0,C.normalizePath)(g));let b=this._canonicalUris.get(g);return b?b.touch().uri.with({fragment:g.fragment}):(this._canonicalUris.set(g,new I(g)),this._checkTrim(),g)}_checkTrim(){if(this._canonicalUris.size<this._limit)return;const g=[...this._canonicalUris.entries()].sort((c,h)=>c[1].touch<h[1].touch?1:c[1].touch>h[1].touch?-1:0);I._clock=0,this._canonicalUris.clear();const b=this._limit*.5;for(let c=0;c<b;c++)this._canonicalUris.set(g[c][0],g[c][1].touch())}};L=Ae([Oe(0,p.IFileService)],L),e.UriIdentityService=L,(0,t.registerSingleton)(k.IUriIdentityService,L,!0)}),define(we[104],ye([0,1,164,5,29,22,4,6,8]),function(J,e,k,t,p,C,P,D,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.hasWorkspaceFileExtension=e.isTemporaryWorkspace=e.isUntitledWorkspace=e.UNTITLED_WORKSPACE_NAME=e.WORKSPACE_FILTER=e.WORKSPACE_EXTENSION=e.toWorkspaceFolder=e.WorkspaceFolder=e.Workspace=e.isWorkspaceFolder=e.isWorkspace=e.WorkbenchState=e.reviveIdentifier=e.isWorkspaceIdentifier=e.toWorkspaceIdentifier=e.isSingleFolderWorkspaceIdentifier=e.IWorkspaceContextService=void 0,e.IWorkspaceContextService=(0,D.createDecorator)("contextService");function I(l){const s=l;return typeof s?.id=="string"&&P.URI.isUri(s.uri)}e.isSingleFolderWorkspaceIdentifier=I;function L(l){if(l.configuration)return{id:l.id,configPath:l.configuration};if(l.folders.length===1)return{id:l.id,uri:l.folders[0].uri}}e.toWorkspaceIdentifier=L;function R(l){const s=l;return typeof s?.id=="string"&&P.URI.isUri(s.configPath)}e.isWorkspaceIdentifier=R;function g(l){const s=l;if(s?.uri)return{id:s.id,uri:P.URI.revive(s.uri)};const n=l;if(n?.configPath)return{id:n.id,configPath:P.URI.revive(n.configPath)};if(l?.id)return{id:l.id}}e.reviveIdentifier=g;var b;(function(l){l[l.EMPTY=1]="EMPTY",l[l.FOLDER=2]="FOLDER",l[l.WORKSPACE=3]="WORKSPACE"})(b=e.WorkbenchState||(e.WorkbenchState={}));function c(l){const s=l;return!!(s&&typeof s=="object"&&typeof s.id=="string"&&Array.isArray(s.folders))}e.isWorkspace=c;function h(l){const s=l;return!!(s&&typeof s=="object"&&P.URI.isUri(s.uri)&&typeof s.name=="string"&&typeof s.toResource=="function")}e.isWorkspaceFolder=h;class d{constructor(s,n,i,r,a){this._id=s,this._transient=i,this._configuration=r,this._ignorePathCasing=a,this._foldersMap=p.TernarySearchTree.forUris(this._ignorePathCasing),this.folders=n}update(s){this._id=s.id,this._configuration=s.configuration,this._transient=s.transient,this._ignorePathCasing=s._ignorePathCasing,this.folders=s.folders}get folders(){return this._folders}set folders(s){this._folders=s,this.updateFoldersMap()}get id(){return this._id}get transient(){return this._transient}get configuration(){return this._configuration}set configuration(s){this._configuration=s}getFolder(s){return s&&this._foldersMap.findSubstr(s.with({scheme:s.scheme,authority:s.authority,path:s.path}))||null}updateFoldersMap(){this._foldersMap=p.TernarySearchTree.forUris(this._ignorePathCasing);for(const s of this.folders)this._foldersMap.set(s.uri,s)}toJSON(){return{id:this.id,folders:this.folders,transient:this.transient,configuration:this.configuration}}}e.Workspace=d;class E{constructor(s,n){this.raw=n,this.uri=s.uri,this.index=s.index,this.name=s.name}toResource(s){return(0,C.joinPath)(this.uri,s)}toJSON(){return{uri:this.uri,name:this.name,index:this.index}}}e.WorkspaceFolder=E;function w(l){return new E({uri:l,index:0,name:(0,C.basenameOrAuthority)(l)},{uri:l.toString()})}e.toWorkspaceFolder=w,e.WORKSPACE_EXTENSION="code-workspace";const f=`.${e.WORKSPACE_EXTENSION}`;e.WORKSPACE_FILTER=[{name:(0,k.localize)(0,null),extensions:[e.WORKSPACE_EXTENSION]}],e.UNTITLED_WORKSPACE_NAME="workspace.json";function y(l,s){return C.extUriBiasedIgnorePathCase.isEqualOrParent(l,s.untitledWorkspacesHome)}e.isUntitledWorkspace=y;function u(l){let s;return P.URI.isUri(l)?s=l:s=l.configuration,s?.scheme===v.Schemas.tmp}e.isTemporaryWorkspace=u;function o(l){return(typeof l=="string"?(0,t.extname)(l):(0,C.extname)(l))===f}e.hasWorkspaceFileExtension=o}),define(we[223],ye([0,1,7,13]),function(J,e,k,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ManagementConnection=e.printTime=void 0;function p(P){let D=0,v=0,I=0;P>=1e3&&(I=Math.floor(P/1e3),P-=I*1e3),I>=60&&(v=Math.floor(I/60),I-=v*60),v>=60&&(D=Math.floor(v/60),v-=D*60);const L=D?`${D}h`:"",R=v?`${v}m`:"",g=I?`${I}s`:"",b=P?`${P}ms`:"";return`${L}${R}${g}${b}`}e.printTime=p;class C{constructor(D,v,I,L){this._logService=D,this._reconnectionToken=v,this._onClose=new k.Emitter,this.onClose=this._onClose.event,this._reconnectionGraceTime=108e5,this._reconnectionShortGraceTime=3e5,this._remoteAddress=I,this.protocol=L,this._disposed=!1,this._disconnectRunner1=new t.ProcessTimeRunOnceScheduler(()=>{this._log(`The reconnection grace time of ${p(this._reconnectionGraceTime)} has expired, so the connection will be disposed.`),this._cleanResources()},this._reconnectionGraceTime),this._disconnectRunner2=new t.ProcessTimeRunOnceScheduler(()=>{this._log(`The reconnection short grace time of ${p(this._reconnectionShortGraceTime)} has expired, so the connection will be disposed.`),this._cleanResources()},this._reconnectionShortGraceTime),this.protocol.onDidDispose(()=>{this._log("The client has disconnected gracefully, so the connection will be disposed."),this._cleanResources()}),this.protocol.onSocketClose(()=>{this._log(`The client has disconnected, will wait for reconnection ${p(this._reconnectionGraceTime)} before disposing...`),this._disconnectRunner1.schedule()}),this._log("New connection established.")}_log(D){this._logService.info(`[${this._remoteAddress}][${this._reconnectionToken.substr(0,8)}][ManagementConnection] ${D}`)}shortenReconnectionGraceTimeIfNecessary(){this._disconnectRunner2.isScheduled()||this._disconnectRunner1.isScheduled()&&(this._log(`Another client has connected, will shorten the wait for reconnection ${p(this._reconnectionShortGraceTime)} before disposing...`),this._disconnectRunner2.schedule())}_cleanResources(){if(this._disposed)return;this._disposed=!0,this._disconnectRunner1.dispose(),this._disconnectRunner2.dispose();const D=this.protocol.getSocket();this.protocol.sendDisconnect(),this.protocol.dispose(),D.end(),this._onClose.fire(void 0)}acceptReconnection(D,v,I){this._remoteAddress=D,this._log("The client has reconnected."),this._disconnectRunner1.cancel(),this._disconnectRunner2.cancel(),this.protocol.beginAcceptReconnection(v,I),this.protocol.endAcceptReconnection()}}e.ManagementConnection=C}),define(we[70],ye([0,1,27,8,5,128,44]),function(J,e,k,t,p,C,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getLocaleFromConfig=e.InternalNLSConfiguration=e.getNLSConfiguration=void 0;const D=p.join(t.FileAccess.asFileUri("",J).fsPath,"nls.metadata.json"),v=new Map;function I(c){return new Promise(h=>k.exists(c,h))}function L(c,h){return I(D).then(d=>{if(!d||!P.default.commit)return Promise.resolve({locale:"en",availableLanguages:{}});let E=`${c}||${h}`,w=v.get(E);return w||(w=C.getNLSConfiguration(P.default.commit,h,D,c).then(f=>(R.is(f)&&(f._languagePackSupport=!0),f.locale!=="en"&&f.locale!=="en-us"&&Object.keys(f.availableLanguages).length===0&&v.delete(E),f)),v.set(E,w)),w})}e.getNLSConfiguration=L;var R;(function(c){function h(d){let E=d;return E&&typeof E._languagePackId=="string"}c.is=h})(R=e.InternalNLSConfiguration||(e.InternalNLSConfiguration={}));const g=async c=>{try{const h=b(await k.promises.readFile(c,"utf8"));return JSON.parse(h).locale}catch(h){return h.code!=="ENOENT"&&console.warn(h),"en"}};e.getLocaleFromConfig=g;const b=c=>{const h=/('(?:[^\\']*(?:\\.)?)*')|('(?:[^\\']*(?:\\.)?)*')|(\/\*(?:\r?\n|.)*?\*\/)|(\/{2,}.*?(?:(?:\r?\n)|$))/g;return c.replace(h,(d,E,w,f,y)=>{if(f)return"";if(y){const u=y.length;return u>2&&y[u-1]===`
`?y[u-2]==="\r"?`\r
`:`
`:""}else return d})}}),define(we[224],ye([0,1,225,27,5,23,8,18]),function(J,e,k,t,p,C,P,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.requestHasValidConnectionToken=e.determineServerConnectionToken=e.parseServerConnectionToken=e.ServerConnectionTokenParseError=e.MandatoryServerConnectionToken=e.OptionalServerConnectionToken=e.NoneServerConnectionToken=e.ServerConnectionTokenType=void 0;const v=/^[0-9A-Za-z-]+$/;var I;(function(E){E[E.None=0]="None",E[E.Optional=1]="Optional",E[E.Mandatory=2]="Mandatory"})(I=e.ServerConnectionTokenType||(e.ServerConnectionTokenType={}));class L{constructor(){this.type=0}validate(w){return!0}}e.NoneServerConnectionToken=L;class R{constructor(w){this.value=w,this.type=1}validate(w){return w===this.value}}e.OptionalServerConnectionToken=R;class g{constructor(w){this.value=w,this.type=2}validate(w){return w===this.value}}e.MandatoryServerConnectionToken=g;class b{constructor(w){this.message=w}}e.ServerConnectionTokenParseError=b;async function c(E,w){const f=E["without-connection-token"],y=E["connection-token"],u=E["connection-token-file"],o=E.compatibility==="1.63";if(f)return typeof y!="undefined"||typeof u!="undefined"?new b("Please do not use the argument '--connection-token' or '--connection-token-file' at the same time as '--without-connection-token'."):new L;if(typeof u!="undefined"){if(typeof y!="undefined")return new b("Please do not use the argument '--connection-token' at the same time as '--connection-token-file'.");let l;try{l=t.readFileSync(u).toString().replace(/\r?\n$/,"")}catch{return new b(`Unable to read the connection token file at '${u}'.`)}return v.test(l)?new g(l):new b(`The connection token defined in '${u} does not adhere to the characters 0-9, a-z, A-Z or -.`)}return typeof y!="undefined"?v.test(y)?o?new R(y):new g(y):new b(`The connection token '${y} does not adhere to the characters 0-9, a-z, A-Z or -.`):o?(console.log("Breaking change in the next release: Please use one of the following arguments: '--connection-token', '--connection-token-file' or '--without-connection-token'."),new R(await w())):new g(await w())}e.parseServerConnectionToken=c;async function h(E){return c(E,async()=>{if(!E["user-data-dir"])return(0,C.generateUuid)();const f=p.join(E["user-data-dir"],"token");try{const o=(await D.Promises.readFile(f)).toString().replace(/\r?\n$/,"");if(v.test(o))return o}catch{}const y=(0,C.generateUuid)();try{await D.Promises.writeFile(f,y,{mode:384})}catch{}return y})}e.determineServerConnectionToken=h;function d(E,w,f){if(E.validate(f.query[P.connectionTokenQueryName]))return!0;const y=k.parse(w.headers.cookie||"");return E.validate(y[P.connectionTokenCookieName])}e.requestHasValidConnectionToken=d}),define(we[48],ye([0,1,166,176,52,6,26]),function(J,e,k,t,p,C,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ServerEnvironmentService=e.IServerEnvironmentService=e.serverOptions=void 0,e.serverOptions={"disable-update-check":{type:"boolean"},auth:{type:"string"},locale:{type:"string"},"disable-file-downloads":{type:"boolean"},host:{type:"string",cat:"o",args:"ip-address",description:k.localize(0,null)},port:{type:"string",cat:"o",args:"port | port range",description:k.localize(1,null)},"pick-port":{type:"string",deprecationMessage:"Use the range notation in 'port' instead."},"socket-path":{type:"string",cat:"o",args:"path",description:k.localize(2,null)},"connection-token":{type:"string",cat:"o",args:"token",deprecates:["connectionToken"],description:k.localize(3,null)},"connection-token-file":{type:"string",cat:"o",args:"path",deprecates:["connection-secret","connectionTokenFile"],description:k.localize(4,null)},"without-connection-token":{type:"boolean",cat:"o",description:k.localize(5,null)},"disable-websocket-compression":{type:"boolean"},"print-startup-performance":{type:"boolean"},"print-ip-address":{type:"boolean"},"accept-server-license-terms":{type:"boolean",cat:"o",description:k.localize(6,null)},"server-data-dir":{type:"string",cat:"o",description:k.localize(7,null)},"telemetry-level":{type:"string",cat:"o",args:"level",description:k.localize(8,null)},"user-data-dir":p.OPTIONS["user-data-dir"],driver:p.OPTIONS.driver,"disable-telemetry":p.OPTIONS["disable-telemetry"],"file-watcher-polling":{type:"string",deprecates:["fileWatcherPolling"]},log:p.OPTIONS.log,logsPath:p.OPTIONS.logsPath,"force-disable-user-env":p.OPTIONS["force-disable-user-env"],folder:{type:"string",deprecationMessage:"No longer supported. Folder needs to be provided in the browser URL."},workspace:{type:"string",deprecationMessage:"No longer supported. Workspace needs to be provided in the browser URL."},"enable-sync":{type:"boolean"},"github-auth":{type:"string"},"extensions-dir":p.OPTIONS["extensions-dir"],"extensions-download-dir":p.OPTIONS["extensions-download-dir"],"builtin-extensions-dir":p.OPTIONS["builtin-extensions-dir"],"install-extension":p.OPTIONS["install-extension"],"install-builtin-extension":p.OPTIONS["install-builtin-extension"],"uninstall-extension":p.OPTIONS["uninstall-extension"],"list-extensions":p.OPTIONS["list-extensions"],"locate-extension":p.OPTIONS["locate-extension"],"show-versions":p.OPTIONS["show-versions"],category:p.OPTIONS.category,force:p.OPTIONS.force,"do-not-sync":p.OPTIONS["do-not-sync"],"pre-release":p.OPTIONS["pre-release"],"start-server":{type:"boolean",cat:"e",description:k.localize(9,null)},"enable-remote-auto-shutdown":{type:"boolean"},"remote-auto-shutdown-without-delay":{type:"boolean"},"use-host-proxy":{type:"boolean"},"without-browser-env-var":{type:"boolean"},help:p.OPTIONS.help,version:p.OPTIONS.version,compatibility:{type:"string"},_:p.OPTIONS._},e.IServerEnvironmentService=(0,C.refineServiceDecorator)(P.IEnvironmentService);class D extends t.NativeEnvironmentService{get args(){return super.args}}e.ServerEnvironmentService=D}),define(we[226],ye([0,1,27,68,131,225,67,34,60,3,14,48,5,8,23,30,46,20,4,15,12,70]),function(J,e,k,t,p,C,P,D,v,I,L,R,g,b,c,h,d,E,w,f,y,u){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getOriginalUrl=e.relativePath=e.relativeRoot=e.normalizeUrlPath=e.WebClientServer=e.serveFile=e.serveError=void 0;const o={".html":"text/html",".js":"text/javascript",".json":"application/json",".css":"text/css",".svg":"image/svg+xml"};async function l(_,F,B,A){F.writeHead(B,{"Content-Type":"text/plain"}),F.end(A)}e.serveError=l;async function s(_,F,B,A,T=Object.create(null)){try{const U=await p.promisify(k.stat)(A),N=`W/"${[U.ino,U.size,U.mtime.getTime()].join("-")}"`;if(F.headers["if-none-match"]===N)return B.writeHead(304),B.end();T["Content-Type"]=o[(0,g.extname)(A)]||(0,v.getMediaMime)(A)||"text/plain",T.Etag=N,B.writeHead(200,T),k.createReadStream(A).pipe(B)}catch(U){return U.code!=="ENOENT"&&(_.error(U),console.error(U.toString())),B.writeHead(404,{"Content-Type":"text/plain"}),B.end("Not found")}}e.serveFile=s;const n=(0,g.dirname)(b.FileAccess.asFileUri("",J).fsPath);let i=class{constructor(F,B,A,T,U){this._connectionToken=F,this._environmentService=B,this._logService=A,this._requestService=T,this._productService=U,this._webExtensionResourceUrlTemplate=this._productService.extensionsGallery?.resourceUrlTemplate?w.URI.parse(this._productService.extensionsGallery.resourceUrlTemplate):void 0}async handle(F,B,A){try{const T=A.pathname;return T==="/favicon.ico"||T==="/manifest.json"||T==="/code-192.png"||T==="/code-512.png"?s(this._logService,F,B,(0,g.join)(n,"resources","server",T.substr(1))):/^\/static\//.test(T)?this._handleStatic(F,B,A):T==="/"?this._handleRoot(F,B,A):T==="/callback"?this._handleCallback(B):/^\/web-extension-resource\//.test(T)?this._handleWebExtensionResource(F,B,A):l(F,B,404,"Not found.")}catch(T){return this._logService.error(T),console.error(T.toString()),l(F,B,500,"Internal Server Error.")}}async _handleStatic(F,B,A){const T=Object.create(null),U=decodeURIComponent(A.pathname),N=(0,g.normalize)(U.substr("/static/".length)),W=(0,g.join)(n,N);return(0,D.isEqualOrParent)(W,n,!I.isLinux)?s(this._logService,F,B,W,T):l(F,B,400,"Bad request.")}_getResourceURLTemplateAuthority(F){const B=F.authority.indexOf(".");return B!==-1?F.authority.substring(B+1):void 0}async _handleWebExtensionResource(F,B,A){if(!this._webExtensionResourceUrlTemplate)return l(F,B,500,"No extension gallery service configured.");const T=decodeURIComponent(A.pathname),U=(0,g.normalize)(T.substr("/web-extension-resource/".length)),N=w.URI.parse(U).with({scheme:this._webExtensionResourceUrlTemplate.scheme,authority:U.substring(0,U.indexOf("/")),path:U.substring(U.indexOf("/")+1)});if(this._getResourceURLTemplateAuthority(this._webExtensionResourceUrlTemplate)!==this._getResourceURLTemplateAuthority(N))return l(F,B,403,"Request Forbidden");const W={},ie=re=>{const oe=F.headers[re];oe&&((0,y.isString)(oe)||oe[0])?W[re]=(0,y.isString)(oe)?oe:oe[0]:re!==re.toLowerCase()&&ie(re.toLowerCase())};ie("X-Client-Name"),ie("X-Client-Version"),ie("X-Machine-Id"),ie("X-Client-Commit");const q=await this._requestService.request({type:"GET",url:N.toString(!0),headers:W},E.CancellationToken.None),se=q.res.statusCode||500;if(se!==200){let re=null;try{re=await(0,d.asText)(q)}catch{}return l(F,B,se,re||`Request failed with status ${se}`)}const V=Object.create(null),K=re=>{const oe=q.res.headers[re];oe?V[re]=oe:re!==re.toLowerCase()&&K(re.toLowerCase())};K("Cache-Control"),K("Content-Type"),B.writeHead(200,V);const te=await(0,f.streamToBuffer)(q.stream);return B.end(te.buffer)}async _handleRoot(F,B,A){if(!F.headers.host)return l(F,B,400,"Bad request.");const T=A.query[b.connectionTokenQueryName];if(typeof T=="string"){const X=Object.create(null);X["Set-Cookie"]=C.serialize(b.connectionTokenCookieName,T,{sameSite:"lax",maxAge:60*60*24*7});const $=Object.create(null);for(let j in A.query)j!==b.connectionTokenQueryName&&($[j]=A.query[j]);const H=t.format({pathname:"/",query:$});return X.Location=H,B.writeHead(302,X),B.end()}const U="remote";function N(X){return X.replace(/"/g,"&quot;")}let W;this._environmentService.driverHandle&&(W=!1);const ie=b.FileAccess.asFileUri(this._environmentService.isBuilt?"vs/code/browser/workbench/workbench.html":"vs/code/browser/workbench/workbench-dev.html",J).fsPath,q=!this._environmentService.isBuilt&&this._environmentService.args["github-auth"]?{id:(0,c.generateUuid)(),providerId:"github",accessToken:this._environmentService.args["github-auth"],scopes:[["read:user","user:email","repo"],["user:email"],["repo"]]}:void 0,se=(0,e.relativeRoot)((0,e.getOriginalUrl)(F)),V=(0,e.relativePath)((0,e.getOriginalUrl)(F)),K=this._environmentService.args.locale||await(0,u.getLocaleFromConfig)(this._environmentService.argvResource.fsPath),te=await(0,u.getNLSConfiguration)(K,this._environmentService.userDataPath),re=(await p.promisify(k.readFile)(ie)).toString().replace("{{WORKBENCH_WEB_CONFIGURATION}}",N(JSON.stringify({remoteAuthority:U,webviewEndpoint:V+"/static/out/vs/workbench/contrib/webview/browser/pre",_wrapWebWorkerExtHostInIframe:W,developmentOptions:{enableSmokeTestDriver:this._environmentService.driverHandle==="web"?!0:void 0,logLevel:this._logService.getLevel()},userDataPath:this._environmentService.userDataPath,isEnabledFileDownloads:!this._environmentService.args["disable-file-downloads"],settingsSyncOptions:!this._environmentService.isBuilt&&this._environmentService.args["enable-sync"]?{enabled:!0}:void 0,productConfiguration:{rootEndpoint:se,updateEndpoint:this._environmentService.args["disable-update-check"]?void 0:se+"/update/check",logoutEndpoint:this._environmentService.args.auth?se+"/logout":void 0,proxyEndpointTemplate:se+"/proxy/{{port}}",codeServerVersion:this._productService.codeServerVersion,embedderIdentifier:"server-distro",serviceWorker:{scope:V+"/",path:se+"/_static/out/browser/serviceWorker.js"},extensionsGallery:{...this._productService.extensionsGallery,resourceUrlTemplate:this._webExtensionResourceUrlTemplate?this._webExtensionResourceUrlTemplate.with({scheme:"http",authority:U,path:`web-extension-resource/${this._webExtensionResourceUrlTemplate.authority}${this._webExtensionResourceUrlTemplate.path}`}).toString(!0):void 0}}}))).replace("{{WORKBENCH_AUTH_SESSION}}",()=>q?N(JSON.stringify(q)):"").replace(/{{BASE}}/g,se).replace(/{{VS_BASE}}/g,V).replace(/{{NLS_CONFIGURATION}}/g,()=>N(JSON.stringify(te))),oe=["default-src 'self';","img-src 'self' https: data: blob:;","media-src 'self';",`script-src 'self' 'unsafe-eval' ${this._getScriptCspHashes(re).join(" ")} 'sha256-Luz5WwVrEgqx3ZT5ekNejY0UMaLynWfImiCqdaT6CeQ=' http://${U};`,"child-src 'self';","frame-src 'self' https://*.vscode-webview.net data:;","worker-src 'self' data:;","style-src 'self' 'unsafe-inline';","connect-src 'self' ws: wss: https:;","font-src 'self' blob:;","manifest-src 'self';"].join(" "),me={"Content-Type":"text/html","Content-Security-Policy":oe};return this._connectionToken.type!==0&&(me["Set-Cookie"]=C.serialize(b.connectionTokenCookieName,this._connectionToken.value,{sameSite:"lax",maxAge:60*60*24*7})),B.writeHead(200,me),B.end(re)}_getScriptCspHashes(F){const B=/<script>([\s\S]+?)<\/script>/img,A=[];let T;for(;T=B.exec(F);){const U=P.createHash("sha256"),N=T[1].replace(/\r\n/g,`
`),W=U.update(Buffer.from(N)).digest().toString("base64");A.push(`'sha256-${W}'`)}return A}async _handleCallback(F){const B=b.FileAccess.asFileUri("vs/code/browser/workbench/callback.html",J).fsPath,A=(await p.promisify(k.readFile)(B)).toString(),T=["default-src 'self';","img-src 'self' https: data: blob:;","media-src 'none';",`script-src 'self' ${this._getScriptCspHashes(A).join(" ")};`,"style-src 'self' 'unsafe-inline';","font-src 'self' blob:;"].join(" ");return F.writeHead(200,{"Content-Type":"text/html","Content-Security-Policy":T}),F.end(A)}};i=Ae([Oe(1,R.IServerEnvironmentService),Oe(2,L.ILogService),Oe(3,d.IRequestService),Oe(4,h.IProductService)],i),e.WebClientServer=i;const r=(_,F=!1)=>_.replace(/\/\/+/g,"/").replace(/\/+$/,F?"/":"");e.normalizeUrlPath=r;const a=_=>{const F=(_.split("?",1)[0].match(/\//g)||[]).length;return(0,e.normalizeUrlPath)("./"+(F>1?"../".repeat(F-1):""))};e.relativeRoot=a;const m=_=>{const F=_.split("?",1)[0].split("/");return(0,e.normalizeUrlPath)("./"+F[F.length-1])};e.relativePath=m;const S=_=>_.originalUrl||_.url;e.getOriginalUrl=S}),define(we[227],ye([0,1,6]),function(J,e,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostRpcService=e.IExtHostRpcService=void 0,e.IExtHostRpcService=(0,k.createDecorator)("IExtHostRpcService");class t{constructor(C){this.getProxy=C.getProxy.bind(C),this.set=C.set.bind(C),this.assertRegistered=C.assertRegistered.bind(C),this.drain=C.drain.bind(C)}}e.ExtHostRpcService=t}),define(we[105],ye([0,1]),function(J,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TestItemRootImpl=e.TestItemImpl=e.MixedTestItemController=e.InvalidTestItemError=e.DuplicateTestItemError=e.diffTestItems=e.getPrivateApiFor=e.createPrivateApiFor=e.ExtHostTestItemEventOp=void 0;var k;(function(w){w[w.Upsert=0]="Upsert",w[w.RemoveChild=1]="RemoveChild",w[w.Invalidated=2]="Invalidated",w[w.SetProp=3]="SetProp",w[w.Bulk=4]="Bulk"})(k=e.ExtHostTestItemEventOp||(e.ExtHostTestItemEventOp={}));const t=new WeakMap,p=(w,f)=>{const y={controllerId:f};return t.set(w,y),y};e.createPrivateApiFor=p;const C=w=>t.get(w);e.getPrivateApiFor=C;const P=(w,f,y,u)=>{let o=y;return{enumerable:!0,configurable:!1,get(){return o},set(l){if(!u(o,l)){const s=o;o=l,w.listener?.({op:3,key:f,value:l,previous:s})}}}},D=(w,f)=>w===f,v={range:(w,f)=>w===f?!0:!w||!f?!1:w.isEqual(f),label:D,description:D,sortText:D,busy:D,error:D,canResolveChildren:D,tags:(w,f)=>!(w.length!==f.length||w.some(y=>!f.find(u=>y.id===u.id)))},I=Object.keys(v),L=(w,f)=>({range:P(w,"range",void 0,v.range),label:P(w,"label",f,v.label),description:P(w,"description",void 0,v.description),sortText:P(w,"sortText",void 0,v.sortText),canResolveChildren:P(w,"canResolveChildren",!1,v.canResolveChildren),busy:P(w,"busy",!1,v.busy),error:P(w,"error",void 0,v.error),tags:P(w,"tags",[],v.tags)}),R=(w,f)=>{const y=new Map;for(const u of I)v[u](w[u],f[u])||y.set(u,f[u]);return y};e.diffTestItems=R;class g extends Error{constructor(f){super(`Attempted to insert a duplicate test item ID ${f}`)}}e.DuplicateTestItemError=g;class b extends Error{constructor(f){super(`TestItem with ID "${f}" is invalid. Make sure to create it from the createTestItem method.`)}}e.InvalidTestItemError=b;class c extends Error{constructor(f,y,u){super(`TestItem with ID "${f}" is from controller "${y}" and cannot be added as a child of an item from controller "${u}".`)}}e.MixedTestItemController=c;const h=w=>{const f=(0,e.getPrivateApiFor)(w);let y=new Map;return{get size(){return y.size},forEach(u,o){for(const l of y.values())u.call(o,l,this)},replace(u){const o=new Map,l=new Set(y.keys()),s={op:4,ops:[]};for(const n of u){if(!(n instanceof d))throw new b(n.id);const i=(0,e.getPrivateApiFor)(n).controllerId;if(i!==f.controllerId)throw new c(n.id,i,f.controllerId);if(o.has(n.id))throw new g(n.id);o.set(n.id,n),l.delete(n.id),s.ops.push({op:0,item:n})}for(const n of l.keys())s.ops.push({op:1,id:n});f.listener?.(s),y=o},add(u){if(!(u instanceof d))throw new b(u.id);y.set(u.id,u),f.listener?.({op:0,item:u})},delete(u){y.delete(u)&&f.listener?.({op:1,id:u})},get(u){return y.get(u)},toJSON(){return Array.from(y.values())},[Symbol.iterator](){return y.values()}}};class d{constructor(f,y,u,o){if(y.includes("\0"))throw new Error(`Test IDs may not include the ${JSON.stringify(y)} symbol`);const l=(0,e.createPrivateApiFor)(this,f);Object.defineProperties(this,{id:{value:y,enumerable:!0,writable:!1},uri:{value:o,enumerable:!0,writable:!1},parent:{enumerable:!1,get(){return l.parent instanceof E?void 0:l.parent}},children:{value:h(this),enumerable:!0,writable:!1},...L(l,u)})}invalidateResults(){(0,e.getPrivateApiFor)(this).listener?.({op:2})}}e.TestItemImpl=d;class E extends d{constructor(f,y){super(f,f,y,void 0)}}e.TestItemRootImpl=E});var yt=this&&this.__classPrivateFieldSet||function(J,e,k,t,p){if(t==="m")throw new TypeError("Private method is not writable");if(t==="a"&&!p)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?J!==e||!p:!e.has(J))throw new TypeError("Cannot write private member to an object whose class did not declare it");return t==="a"?p.call(J,k):p?p.value=k:e.set(J,k),k},tt=this&&this.__classPrivateFieldGet||function(J,e,k,t){if(k==="a"&&!t)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?J!==e||!t:!e.has(J))throw new TypeError("Cannot read private member from an object whose class did not declare it");return k==="m"?t:k==="a"?t.call(J):t?t.value:e.get(J)};define(we[106],ye([0,1,17,11,79,29,60,16,12,4,23,19,97]),function(J,e,k,t,p,C,P,D,v,I,L,R,g){"use strict";var b,c,h,d,E,w,f,y,u,o,l,s,n,i,r,a,m,S,_,F;Object.defineProperty(e,"__esModule",{value:!0}),e.TypeHierarchyItem=e.PortAutoForwardAction=e.WorkspaceTrustState=e.ExternalUriOpenerPriority=e.FunctionCoverage=e.BranchCoverage=e.StatementCoverage=e.FileCoverage=e.CoveredCount=e.TestTag=e.TestMessage=e.TestRunRequest=e.TestRunProfileKind=e.TestResultState=e.PortAttributes=e.LinkedEditingRanges=e.StandardTokenType=e.ExtensionRuntime=e.ExtensionMode=e.TimelineItem=e.NotebookRendererScript=e.NotebookControllerAffinity=e.NotebookCellStatusBarItem=e.NotebookEditorRevealType=e.NotebookCellStatusBarAlignment=e.NotebookCellExecutionState=e.NotebookCellKind=e.NotebookCellOutput=e.NotebookCellOutputItem=e.NotebookData=e.NotebookCellData=e.NotebookRange=e.ColorThemeKind=e.ColorTheme=e.FileDecoration=e.ExtensionKind=e.QuickPickItemKind=e.QuickInputButtons=e.DebugConsoleMode=e.SemanticTokensEdits=e.SemanticTokensEdit=e.SemanticTokens=e.SemanticTokensBuilder=e.SemanticTokensLegend=e.CommentThreadState=e.CommentMode=e.CommentThreadCollapsibleState=e.FoldingRangeKind=e.FoldingRange=e.FileSystemError=e.FileChangeType=e.InlineValueContext=e.InlineValueEvaluatableExpression=e.InlineValueVariableLookup=e.InlineValueText=e.InlineCompletionTriggerKind=e.EvaluatableExpression=e.DebugAdapterInlineImplementation=e.DebugAdapterNamedPipeServer=e.DebugAdapterServer=e.DebugAdapterExecutable=e.DataBreakpoint=e.FunctionBreakpoint=e.SourceBreakpoint=e.Breakpoint=e.RelativePattern=e.ConfigurationTarget=e.ThemeColor=e.ThemeIcon=e.TreeDataTransfer=e.TreeDataTransferItem=e.TreeItemCollapsibleState=e.TreeItem=e.ProgressLocation=e.Task=e.CustomExecution=e.TaskScope=e.ShellQuoting=e.ShellExecution=e.ProcessExecution=e.TaskGroup=e.TaskPanelKind=e.TaskRevealKind=e.TerminalProfile=e.TerminalLocation=e.TerminalLink=e.SourceControlInputBoxValidationType=e.ColorFormat=e.ColorPresentation=e.ColorInformation=e.Color=e.DocumentLink=e.DecorationRangeBehavior=e.TextDocumentChangeReason=e.TextEditorSelectionChangeKind=e.TextEditorRevealType=e.TextDocumentSaveReason=e.TextEditorLineNumbersStyle=e.StatusBarAlignment=e.ViewColumn=e.InlineSuggestions=e.InlineSuggestion=e.CompletionList=e.CompletionItem=e.CompletionItemTag=e.CompletionItemKind=e.CompletionTriggerKind=e.InlayHint=e.InlayHintLabelPart=e.InlayHintKind=e.SignatureHelpTriggerKind=e.SignatureHelp=e.SignatureInformation=e.ParameterInformation=e.MarkdownString=e.CodeLens=e.LanguageStatusSeverity=e.CallHierarchyOutgoingCall=e.CallHierarchyIncomingCall=e.CallHierarchyItem=e.SelectionRange=e.CodeActionKind=e.CodeAction=e.CodeActionTriggerKind=e.DocumentSymbol=e.SymbolInformation=e.SymbolTag=e.SymbolKind=e.DocumentHighlight=e.DocumentHighlightKind=e.Hover=e.Diagnostic=e.DiagnosticRelatedInformation=e.Location=e.DiagnosticSeverity=e.DiagnosticTag=e.SnippetString=e.WorkspaceEdit=e.FileEditType=e.TextEdit=e.EnvironmentVariableMutatorType=e.EndOfLine=e.RemoteAuthorityResolverError=e.ResolvedAuthority=e.Selection=e.Range=e.Position=e.Disposable=void 0;function B(M){function O(){return Reflect.construct(M,arguments,this.constructor)}return Object.defineProperty(O,"name",Object.getOwnPropertyDescriptor(M,"name")),Object.setPrototypeOf(O,M),Object.setPrototypeOf(O.prototype,M.prototype),O}let A=E=class{constructor(O){b.set(this,void 0),yt(this,b,O,"f")}static from(...O){let Z=O;return new E(function(){if(Z){for(const Se of Z)Se&&typeof Se.dispose=="function"&&Se.dispose();Z=void 0}})}dispose(){typeof tt(this,b,"f")=="function"&&(tt(this,b,"f").call(this),yt(this,b,void 0,"f"))}};b=new WeakMap,A=E=Ae([B],A),e.Disposable=A;let T=w=class{constructor(O,Z){if(O<0)throw(0,t.illegalArgument)("line must be non-negative");if(Z<0)throw(0,t.illegalArgument)("character must be non-negative");this._line=O,this._character=Z}static Min(...O){if(O.length===0)throw new TypeError;let Z=O[0];for(let Se=1;Se<O.length;Se++){const ze=O[Se];ze.isBefore(Z)&&(Z=ze)}return Z}static Max(...O){if(O.length===0)throw new TypeError;let Z=O[0];for(let Se=1;Se<O.length;Se++){const ze=O[Se];ze.isAfter(Z)&&(Z=ze)}return Z}static isPosition(O){if(!O)return!1;if(O instanceof w)return!0;let{line:Z,character:Se}=O;return typeof Z=="number"&&typeof Se=="number"}static of(O){if(O instanceof w)return O;if(this.isPosition(O))return new w(O.line,O.character);throw new Error("Invalid argument, is NOT a position-like object")}get line(){return this._line}get character(){return this._character}isBefore(O){return this._line<O._line?!0:O._line<this._line?!1:this._character<O._character}isBeforeOrEqual(O){return this._line<O._line?!0:O._line<this._line?!1:this._character<=O._character}isAfter(O){return!this.isBeforeOrEqual(O)}isAfterOrEqual(O){return!this.isBefore(O)}isEqual(O){return this._line===O._line&&this._character===O._character}compareTo(O){return this._line<O._line?-1:this._line>O.line?1:this._character<O._character?-1:this._character>O._character?1:0}translate(O,Z=0){if(O===null||Z===null)throw(0,t.illegalArgument)();let Se;return typeof O=="undefined"?Se=0:typeof O=="number"?Se=O:(Se=typeof O.lineDelta=="number"?O.lineDelta:0,Z=typeof O.characterDelta=="number"?O.characterDelta:0),Se===0&&Z===0?this:new w(this.line+Se,this.character+Z)}with(O,Z=this.character){if(O===null||Z===null)throw(0,t.illegalArgument)();let Se;return typeof O=="undefined"?Se=this.line:typeof O=="number"?Se=O:(Se=typeof O.line=="number"?O.line:this.line,Z=typeof O.character=="number"?O.character:this.character),Se===this.line&&Z===this.character?this:new w(Se,Z)}toJSON(){return{line:this.line,character:this.character}}};T=w=Ae([B],T),e.Position=T;let U=f=class{constructor(O,Z,Se,ze){let Ke,Qe;if(typeof O=="number"&&typeof Z=="number"&&typeof Se=="number"&&typeof ze=="number"?(Ke=new T(O,Z),Qe=new T(Se,ze)):T.isPosition(O)&&T.isPosition(Z)&&(Ke=T.of(O),Qe=T.of(Z)),!Ke||!Qe)throw new Error("Invalid arguments");Ke.isBefore(Qe)?(this._start=Ke,this._end=Qe):(this._start=Qe,this._end=Ke)}static isRange(O){return O instanceof f?!0:O?T.isPosition(O.start)&&T.isPosition(O.end):!1}static of(O){if(O instanceof f)return O;if(this.isRange(O))return new f(O.start,O.end);throw new Error("Invalid argument, is NOT a range-like object")}get start(){return this._start}get end(){return this._end}contains(O){return f.isRange(O)?this.contains(O.start)&&this.contains(O.end):T.isPosition(O)?!(T.of(O).isBefore(this._start)||this._end.isBefore(O)):!1}isEqual(O){return this._start.isEqual(O._start)&&this._end.isEqual(O._end)}intersection(O){const Z=T.Max(O.start,this._start),Se=T.Min(O.end,this._end);if(!Z.isAfter(Se))return new f(Z,Se)}union(O){if(this.contains(O))return this;if(O.contains(this))return O;const Z=T.Min(O.start,this._start),Se=T.Max(O.end,this.end);return new f(Z,Se)}get isEmpty(){return this._start.isEqual(this._end)}get isSingleLine(){return this._start.line===this._end.line}with(O,Z=this.end){if(O===null||Z===null)throw(0,t.illegalArgument)();let Se;return O?T.isPosition(O)?Se=O:(Se=O.start||this.start,Z=O.end||this.end):Se=this.start,Se.isEqual(this._start)&&Z.isEqual(this.end)?this:new f(Se,Z)}toJSON(){return[this.start,this.end]}};U=f=Ae([B],U),e.Range=U;let N=y=class extends U{constructor(O,Z,Se,ze){let Ke,Qe;if(typeof O=="number"&&typeof Z=="number"&&typeof Se=="number"&&typeof ze=="number"?(Ke=new T(O,Z),Qe=new T(Se,ze)):T.isPosition(O)&&T.isPosition(Z)&&(Ke=T.of(O),Qe=T.of(Z)),!Ke||!Qe)throw new Error("Invalid arguments");super(Ke,Qe);this._anchor=Ke,this._active=Qe}static isSelection(O){return O instanceof y?!0:O?U.isRange(O)&&T.isPosition(O.anchor)&&T.isPosition(O.active)&&typeof O.isReversed=="boolean":!1}get anchor(){return this._anchor}get active(){return this._active}get isReversed(){return this._anchor===this._end}toJSON(){return{start:this.start,end:this.end,active:this.active,anchor:this.anchor}}};N=y=Ae([B],N),e.Selection=N;class W{constructor(O,Z,Se){if(typeof O!="string"||O.length===0)throw(0,t.illegalArgument)("host");if(typeof Z!="number"||Z===0||Math.round(Z)!==Z)throw(0,t.illegalArgument)("port");if(typeof Se!="undefined"&&(typeof Se!="string"||Se.length===0||!/^[0-9A-Za-z\-]+$/.test(Se)))throw(0,t.illegalArgument)("connectionToken");this.host=O,this.port=Math.round(Z),this.connectionToken=Se}}e.ResolvedAuthority=W;class ie extends Error{constructor(O,Z=g.RemoteAuthorityResolverErrorCode.Unknown,Se){super(O);this._message=O,this._code=Z,this._detail=Se,typeof Object.setPrototypeOf=="function"&&Object.setPrototypeOf(this,ie.prototype)}static NotAvailable(O,Z){return new ie(O,g.RemoteAuthorityResolverErrorCode.NotAvailable,Z)}static TemporarilyNotAvailable(O){return new ie(O,g.RemoteAuthorityResolverErrorCode.TemporarilyNotAvailable)}}e.RemoteAuthorityResolverError=ie;var q;(function(M){M[M.LF=1]="LF",M[M.CRLF=2]="CRLF"})(q=e.EndOfLine||(e.EndOfLine={}));var se;(function(M){M[M.Replace=1]="Replace",M[M.Append=2]="Append",M[M.Prepend=3]="Prepend"})(se=e.EnvironmentVariableMutatorType||(e.EnvironmentVariableMutatorType={}));let V=u=class{constructor(O,Z){this._range=O,this._newText=Z}static isTextEdit(O){return O instanceof u?!0:O?U.isRange(O)&&typeof O.newText=="string":!1}static replace(O,Z){return new u(O,Z)}static insert(O,Z){return u.replace(new U(O,O),Z)}static delete(O){return u.replace(O,"")}static setEndOfLine(O){const Z=new u(new U(new T(0,0),new T(0,0)),"");return Z.newEol=O,Z}get range(){return this._range}set range(O){if(O&&!U.isRange(O))throw(0,t.illegalArgument)("range");this._range=O}get newText(){return this._newText||""}set newText(O){if(O&&typeof O!="string")throw(0,t.illegalArgument)("newText");this._newText=O}get newEol(){return this._newEol}set newEol(O){if(O&&typeof O!="number")throw(0,t.illegalArgument)("newEol");this._newEol=O}toJSON(){return{range:this.range,newText:this.newText,newEol:this._newEol}}};V=u=Ae([B],V),e.TextEdit=V;var K;(function(M){M[M.File=1]="File",M[M.Text=2]="Text",M[M.Cell=3]="Cell",M[M.CellReplace=5]="CellReplace"})(K=e.FileEditType||(e.FileEditType={}));let te=class{constructor(){this._edits=[]}_allEntries(){return this._edits}renameFile(O,Z,Se,ze){this._edits.push({_type:1,from:O,to:Z,options:Se,metadata:ze})}createFile(O,Z,Se){this._edits.push({_type:1,from:void 0,to:O,options:Z,metadata:Se})}deleteFile(O,Z,Se){this._edits.push({_type:1,from:O,to:void 0,options:Z,metadata:Se})}replaceNotebookMetadata(O,Z,Se){this._edits.push({_type:3,metadata:Se,uri:O,edit:{editType:5,metadata:Z},notebookMetadata:Z})}replaceNotebookCells(O,Z,Se,ze,Ke){let Qe,Je,st=[],at;if(_t.isNotebookRange(Z)&&bt.isNotebookCellDataArray(Se)&&!bt.isNotebookCellDataArray(ze)?(Qe=Z.start,Je=Z.end,st=Se,at=ze):typeof Z=="number"&&typeof Se=="number"&&bt.isNotebookCellDataArray(ze)&&(Qe=Z,Je=Se,st=ze,at=Ke),Qe===void 0||Je===void 0)throw new Error("Invalid arguments");(Qe!==Je||st.length>0)&&this._edits.push({_type:5,uri:O,index:Qe,count:Je-Qe,cells:st,metadata:at})}replaceNotebookCellMetadata(O,Z,Se,ze){this._edits.push({_type:3,metadata:ze,uri:O,edit:{editType:8,index:Z,metadata:Se}})}replace(O,Z,Se,ze){this._edits.push({_type:2,uri:O,edit:new V(Z,Se),metadata:ze})}insert(O,Z,Se,ze){this.replace(O,new U(Z,Z),Se,ze)}delete(O,Z,Se){this.replace(O,Z,"",Se)}has(O){return this._edits.some(Z=>Z._type===2&&Z.uri.toString()===O.toString())}set(O,Z){if(Z)for(const Se of Z)Se&&this._edits.push({_type:2,uri:O,edit:Se});else{for(let Se=0;Se<this._edits.length;Se++){const ze=this._edits[Se];ze._type===2&&ze.uri.toString()===O.toString()&&(this._edits[Se]=void 0)}(0,k.coalesceInPlace)(this._edits)}}get(O){const Z=[];for(let Se of this._edits)Se._type===2&&Se.uri.toString()===O.toString()&&Z.push(Se.edit);return Z}entries(){const O=new C.ResourceMap;for(let Z of this._edits)if(Z._type===2){let Se=O.get(Z.uri);Se||(Se=[Z.uri,[]],O.set(Z.uri,Se)),Se[1].push(Z.edit)}return[...O.values()]}get size(){return this.entries().length}toJSON(){return this.entries()}};te=Ae([B],te),e.WorkspaceEdit=te;let re=o=class{constructor(O){this._tabstop=1,this.value=O||""}static isSnippetString(O){return O instanceof o?!0:O?typeof O.value=="string":!1}static _escape(O){return O.replace(/\$|}|\\/g,"\\$&")}appendText(O){return this.value+=o._escape(O),this}appendTabstop(O=this._tabstop++){return this.value+="$",this.value+=O,this}appendPlaceholder(O,Z=this._tabstop++){if(typeof O=="function"){const Se=new o;Se._tabstop=this._tabstop,O(Se),this._tabstop=Se._tabstop,O=Se.value}else O=o._escape(O);return this.value+="${",this.value+=Z,this.value+=":",this.value+=O,this.value+="}",this}appendChoice(O,Z=this._tabstop++){const Se=O.map(ze=>ze.replace(/\$|}|\\|,/g,"\\$&")).join(",");return this.value+="${",this.value+=Z,this.value+="|",this.value+=Se,this.value+="|}",this}appendVariable(O,Z){if(typeof Z=="function"){const Se=new o;Se._tabstop=this._tabstop,Z(Se),this._tabstop=Se._tabstop,Z=Se.value}else typeof Z=="string"&&(Z=Z.replace(/\$|}/g,"\\$&"));return this.value+="${",this.value+=O,Z&&(this.value+=":",this.value+=Z),this.value+="}",this}};re=o=Ae([B],re),e.SnippetString=re;var oe;(function(M){M[M.Unnecessary=1]="Unnecessary",M[M.Deprecated=2]="Deprecated"})(oe=e.DiagnosticTag||(e.DiagnosticTag={}));var me;(function(M){M[M.Hint=3]="Hint",M[M.Information=2]="Information",M[M.Warning=1]="Warning",M[M.Error=0]="Error"})(me=e.DiagnosticSeverity||(e.DiagnosticSeverity={}));let X=l=class{constructor(O,Z){if(this.uri=O,Z)if(U.isRange(Z))this.range=U.of(Z);else if(T.isPosition(Z))this.range=new U(Z,Z);else throw new Error("Illegal argument")}static isLocation(O){return O instanceof l?!0:O?U.isRange(O.range)&&I.URI.isUri(O.uri):!1}toJSON(){return{uri:this.uri,range:this.range}}};X=l=Ae([B],X),e.Location=X;let $=class{constructor(O,Z){this.location=O,this.message=Z}static is(O){return O?typeof O.message=="string"&&O.location&&U.isRange(O.location.range)&&I.URI.isUri(O.location.uri):!1}static isEqual(O,Z){return O===Z?!0:!O||!Z?!1:O.message===Z.message&&O.location.range.isEqual(Z.location.range)&&O.location.uri.toString()===Z.location.uri.toString()}};$=Ae([B],$),e.DiagnosticRelatedInformation=$;let H=class{constructor(O,Z,Se=me.Error){if(!U.isRange(O))throw new TypeError("range must be set");if(!Z)throw new TypeError("message must be set");this.range=O,this.message=Z,this.severity=Se}toJSON(){return{severity:me[this.severity],message:this.message,range:this.range,source:this.source,code:this.code}}static isEqual(O,Z){return O===Z?!0:!O||!Z?!1:O.message===Z.message&&O.severity===Z.severity&&O.code===Z.code&&O.severity===Z.severity&&O.source===Z.source&&O.range.isEqual(Z.range)&&(0,k.equals)(O.tags,Z.tags)&&(0,k.equals)(O.relatedInformation,Z.relatedInformation,$.isEqual)}};H=Ae([B],H),e.Diagnostic=H;let j=class{constructor(O,Z){if(!O)throw new Error("Illegal argument, contents must be defined");Array.isArray(O)?this.contents=O:this.contents=[O],this.range=Z}};j=Ae([B],j),e.Hover=j;var ee;(function(M){M[M.Text=0]="Text",M[M.Read=1]="Read",M[M.Write=2]="Write"})(ee=e.DocumentHighlightKind||(e.DocumentHighlightKind={}));let he=class{constructor(O,Z=ee.Text){this.range=O,this.kind=Z}toJSON(){return{range:this.range,kind:ee[this.kind]}}};he=Ae([B],he),e.DocumentHighlight=he;var Ie;(function(M){M[M.File=0]="File",M[M.Module=1]="Module",M[M.Namespace=2]="Namespace",M[M.Package=3]="Package",M[M.Class=4]="Class",M[M.Method=5]="Method",M[M.Property=6]="Property",M[M.Field=7]="Field",M[M.Constructor=8]="Constructor",M[M.Enum=9]="Enum",M[M.Interface=10]="Interface",M[M.Function=11]="Function",M[M.Variable=12]="Variable",M[M.Constant=13]="Constant",M[M.String=14]="String",M[M.Number=15]="Number",M[M.Boolean=16]="Boolean",M[M.Array=17]="Array",M[M.Object=18]="Object",M[M.Key=19]="Key",M[M.Null=20]="Null",M[M.EnumMember=21]="EnumMember",M[M.Struct=22]="Struct",M[M.Event=23]="Event",M[M.Operator=24]="Operator",M[M.TypeParameter=25]="TypeParameter"})(Ie=e.SymbolKind||(e.SymbolKind={}));var ae;(function(M){M[M.Deprecated=1]="Deprecated"})(ae=e.SymbolTag||(e.SymbolTag={}));let fe=s=class{constructor(O,Z,Se,ze,Ke){this.name=O,this.kind=Z,this.containerName=Ke,typeof Se=="string"&&(this.containerName=Se),ze instanceof X?this.location=ze:Se instanceof U&&(this.location=new X(ze,Se)),s.validate(this)}static validate(O){if(!O.name)throw new Error("name must not be falsy")}toJSON(){return{name:this.name,kind:Ie[this.kind],location:this.location,containerName:this.containerName}}};fe=s=Ae([B],fe),e.SymbolInformation=fe;let ve=n=class{constructor(O,Z,Se,ze,Ke){this.name=O,this.detail=Z,this.kind=Se,this.range=ze,this.selectionRange=Ke,this.children=[],n.validate(this)}static validate(O){if(!O.name)throw new Error("name must not be falsy");if(!O.range.contains(O.selectionRange))throw new Error("selectionRange must be contained in fullRange");O.children&&O.children.forEach(n.validate)}};ve=n=Ae([B],ve),e.DocumentSymbol=ve;var Q;(function(M){M[M.Invoke=1]="Invoke",M[M.Automatic=2]="Automatic"})(Q=e.CodeActionTriggerKind||(e.CodeActionTriggerKind={}));let z=class{constructor(O,Z){this.title=O,this.kind=Z}};z=Ae([B],z),e.CodeAction=z;let G=i=class{constructor(O){this.value=O}append(O){return new i(this.value?this.value+i.sep+O:O)}intersects(O){return this.contains(O)||O.contains(this)}contains(O){return this.value===O.value||O.value.startsWith(this.value+i.sep)}};G.sep=".",G=i=Ae([B],G),e.CodeActionKind=G,G.Empty=new G(""),G.QuickFix=G.Empty.append("quickfix"),G.Refactor=G.Empty.append("refactor"),G.RefactorExtract=G.Refactor.append("extract"),G.RefactorInline=G.Refactor.append("inline"),G.RefactorRewrite=G.Refactor.append("rewrite"),G.Source=G.Empty.append("source"),G.SourceOrganizeImports=G.Source.append("organizeImports"),G.SourceFixAll=G.Source.append("fixAll");let Y=class{constructor(O,Z){if(this.range=O,this.parent=Z,Z&&!Z.range.contains(this.range))throw new Error("Invalid argument: parent must contain this range")}};Y=Ae([B],Y),e.SelectionRange=Y;class ue{constructor(O,Z,Se,ze,Ke,Qe){this.kind=O,this.name=Z,this.detail=Se,this.uri=ze,this.range=Ke,this.selectionRange=Qe}}e.CallHierarchyItem=ue;class pe{constructor(O,Z){this.fromRanges=Z,this.from=O}}e.CallHierarchyIncomingCall=pe;class Pe{constructor(O,Z){this.fromRanges=Z,this.to=O}}e.CallHierarchyOutgoingCall=Pe;var Re;(function(M){M[M.Information=0]="Information",M[M.Warning=1]="Warning",M[M.Error=2]="Error"})(Re=e.LanguageStatusSeverity||(e.LanguageStatusSeverity={}));let Fe=class{constructor(O,Z){this.range=O,this.command=Z}get isResolved(){return!!this.command}};Fe=Ae([B],Fe),e.CodeLens=Fe;let Ue=r=class{constructor(O,Z=!1){c.set(this,void 0),yt(this,c,new p.MarkdownString(O,{supportThemeIcons:Z}),"f")}static isMarkdownString(O){return O instanceof r?!0:O&&O.appendCodeblock&&O.appendMarkdown&&O.appendText&&O.value!==void 0}get value(){return tt(this,c,"f").value}set value(O){tt(this,c,"f").value=O}get isTrusted(){return tt(this,c,"f").isTrusted}set isTrusted(O){tt(this,c,"f").isTrusted=O}get supportThemeIcons(){return tt(this,c,"f").supportThemeIcons}set supportThemeIcons(O){tt(this,c,"f").supportThemeIcons=O}get supportHtml(){return tt(this,c,"f").supportHtml}set supportHtml(O){tt(this,c,"f").supportHtml=O}get baseUri(){return tt(this,c,"f").baseUri}set baseUri(O){tt(this,c,"f").baseUri=O}appendText(O){return tt(this,c,"f").appendText(O),this}appendMarkdown(O){return tt(this,c,"f").appendMarkdown(O),this}appendCodeblock(O,Z){return tt(this,c,"f").appendCodeblock(Z??"",O),this}};c=new WeakMap,Ue=r=Ae([B],Ue),e.MarkdownString=Ue;let le=class{constructor(O,Z){this.label=O,this.documentation=Z}};le=Ae([B],le),e.ParameterInformation=le;let ge=class{constructor(O,Z){this.label=O,this.documentation=Z,this.parameters=[]}};ge=Ae([B],ge),e.SignatureInformation=ge;let de=class{constructor(){this.activeSignature=0,this.activeParameter=0,this.signatures=[]}};de=Ae([B],de),e.SignatureHelp=de;var Te;(function(M){M[M.Invoke=1]="Invoke",M[M.TriggerCharacter=2]="TriggerCharacter",M[M.ContentChange=3]="ContentChange"})(Te=e.SignatureHelpTriggerKind||(e.SignatureHelpTriggerKind={}));var Me;(function(M){M[M.Type=1]="Type",M[M.Parameter=2]="Parameter"})(Me=e.InlayHintKind||(e.InlayHintKind={}));let je=class{constructor(O){this.value=O}};je=Ae([B],je),e.InlayHintLabelPart=je;let Be=class{constructor(O,Z,Se){this.position=O,this.label=Z,this.kind=Se}};Be=Ae([B],Be),e.InlayHint=Be;var He;(function(M){M[M.Invoke=0]="Invoke",M[M.TriggerCharacter=1]="TriggerCharacter",M[M.TriggerForIncompleteCompletions=2]="TriggerForIncompleteCompletions"})(He=e.CompletionTriggerKind||(e.CompletionTriggerKind={}));var qe;(function(M){M[M.Text=0]="Text",M[M.Method=1]="Method",M[M.Function=2]="Function",M[M.Constructor=3]="Constructor",M[M.Field=4]="Field",M[M.Variable=5]="Variable",M[M.Class=6]="Class",M[M.Interface=7]="Interface",M[M.Module=8]="Module",M[M.Property=9]="Property",M[M.Unit=10]="Unit",M[M.Value=11]="Value",M[M.Enum=12]="Enum",M[M.Keyword=13]="Keyword",M[M.Snippet=14]="Snippet",M[M.Color=15]="Color",M[M.File=16]="File",M[M.Reference=17]="Reference",M[M.Folder=18]="Folder",M[M.EnumMember=19]="EnumMember",M[M.Constant=20]="Constant",M[M.Struct=21]="Struct",M[M.Event=22]="Event",M[M.Operator=23]="Operator",M[M.TypeParameter=24]="TypeParameter",M[M.User=25]="User",M[M.Issue=26]="Issue"})(qe=e.CompletionItemKind||(e.CompletionItemKind={}));var ne;(function(M){M[M.Deprecated=1]="Deprecated"})(ne=e.CompletionItemTag||(e.CompletionItemTag={}));let be=class{constructor(O,Z){this.label=O,this.kind=Z}toJSON(){return{label:this.label,kind:this.kind&&qe[this.kind],detail:this.detail,documentation:this.documentation,sortText:this.sortText,filterText:this.filterText,preselect:this.preselect,insertText:this.insertText,textEdit:this.textEdit}}};be=Ae([B],be),e.CompletionItem=be;let ke=class{constructor(O=[],Z=!1){this.items=O,this.isIncomplete=Z}};ke=Ae([B],ke),e.CompletionList=ke;let Le=class{constructor(O,Z,Se){this.insertText=O,this.range=Z,this.command=Se}};Le=Ae([B],Le),e.InlineSuggestion=Le;let Ne=class{constructor(O){this.items=O}};Ne=Ae([B],Ne),e.InlineSuggestions=Ne;var Ye;(function(M){M[M.Active=-1]="Active",M[M.Beside=-2]="Beside",M[M.One=1]="One",M[M.Two=2]="Two",M[M.Three=3]="Three",M[M.Four=4]="Four",M[M.Five=5]="Five",M[M.Six=6]="Six",M[M.Seven=7]="Seven",M[M.Eight=8]="Eight",M[M.Nine=9]="Nine"})(Ye=e.ViewColumn||(e.ViewColumn={}));var $e;(function(M){M[M.Left=1]="Left",M[M.Right=2]="Right"})($e=e.StatusBarAlignment||(e.StatusBarAlignment={}));var Ve;(function(M){M[M.Off=0]="Off",M[M.On=1]="On",M[M.Relative=2]="Relative"})(Ve=e.TextEditorLineNumbersStyle||(e.TextEditorLineNumbersStyle={}));var Xe;(function(M){M[M.Manual=1]="Manual",M[M.AfterDelay=2]="AfterDelay",M[M.FocusOut=3]="FocusOut"})(Xe=e.TextDocumentSaveReason||(e.TextDocumentSaveReason={}));var Ge;(function(M){M[M.Default=0]="Default",M[M.InCenter=1]="InCenter",M[M.InCenterIfOutsideViewport=2]="InCenterIfOutsideViewport",M[M.AtTop=3]="AtTop"})(Ge=e.TextEditorRevealType||(e.TextEditorRevealType={}));var Ze;(function(M){M[M.Keyboard=1]="Keyboard",M[M.Mouse=2]="Mouse",M[M.Command=3]="Command"})(Ze=e.TextEditorSelectionChangeKind||(e.TextEditorSelectionChangeKind={}));var et;(function(M){M[M.Undo=1]="Undo",M[M.Redo=2]="Redo"})(et=e.TextDocumentChangeReason||(e.TextDocumentChangeReason={}));var rt;(function(M){M[M.OpenOpen=0]="OpenOpen",M[M.ClosedClosed=1]="ClosedClosed",M[M.OpenClosed=2]="OpenClosed",M[M.ClosedOpen=3]="ClosedOpen"})(rt=e.DecorationRangeBehavior||(e.DecorationRangeBehavior={})),function(M){function O(Z){switch(Z){case"keyboard":return M.Keyboard;case"mouse":return M.Mouse;case"api":return M.Command}}M.fromValue=O}(Ze=e.TextEditorSelectionChangeKind||(e.TextEditorSelectionChangeKind={}));let nt=class{constructor(O,Z){if(Z&&!I.URI.isUri(Z))throw(0,t.illegalArgument)("target");if(!U.isRange(O)||O.isEmpty)throw(0,t.illegalArgument)("range");this.range=O,this.target=Z}};nt=Ae([B],nt),e.DocumentLink=nt;let pt=class{constructor(O,Z,Se,ze){this.red=O,this.green=Z,this.blue=Se,this.alpha=ze}};pt=Ae([B],pt),e.Color=pt;let gt=class{constructor(O,Z){if(Z&&!(Z instanceof pt))throw(0,t.illegalArgument)("color");if(!U.isRange(O)||O.isEmpty)throw(0,t.illegalArgument)("range");this.range=O,this.color=Z}};gt=Ae([B],gt),e.ColorInformation=gt;let dt=class{constructor(O){if(!O||typeof O!="string")throw(0,t.illegalArgument)("label");this.label=O}};dt=Ae([B],dt),e.ColorPresentation=dt;var St;(function(M){M[M.RGB=0]="RGB",M[M.HEX=1]="HEX",M[M.HSL=2]="HSL"})(St=e.ColorFormat||(e.ColorFormat={}));var Dt;(function(M){M[M.Error=0]="Error",M[M.Warning=1]="Warning",M[M.Information=2]="Information"})(Dt=e.SourceControlInputBoxValidationType||(e.SourceControlInputBoxValidationType={}));class Pt{constructor(O,Z,Se){if(this.startIndex=O,this.length=Z,this.tooltip=Se,typeof O!="number"||O<0)throw(0,t.illegalArgument)("startIndex");if(typeof Z!="number"||Z<1)throw(0,t.illegalArgument)("length");if(Se!==void 0&&typeof Se!="string")throw(0,t.illegalArgument)("tooltip")}}e.TerminalLink=Pt;var kt;(function(M){M[M.Panel=1]="Panel",M[M.Editor=2]="Editor"})(kt=e.TerminalLocation||(e.TerminalLocation={}));class Ot{constructor(O){this.options=O,typeof O!="object"&&(0,t.illegalArgument)("options")}}e.TerminalProfile=Ot;var Ee;(function(M){M[M.Always=1]="Always",M[M.Silent=2]="Silent",M[M.Never=3]="Never"})(Ee=e.TaskRevealKind||(e.TaskRevealKind={}));var Ce;(function(M){M[M.Shared=1]="Shared",M[M.Dedicated=2]="Dedicated",M[M.New=3]="New"})(Ce=e.TaskPanelKind||(e.TaskPanelKind={}));let ce=a=class{constructor(O,Z){if(this.label=Z,typeof O!="string"||typeof Z!="string")throw(0,t.illegalArgument)("name");this._id=O}static from(O){switch(O){case"clean":return a.Clean;case"build":return a.Build;case"rebuild":return a.Rebuild;case"test":return a.Test;default:return}}get id(){return this._id}};ce.Clean=new a("clean","Clean"),ce.Build=new a("build","Build"),ce.Rebuild=new a("rebuild","Rebuild"),ce.Test=new a("test","Test"),ce=a=Ae([B],ce),e.TaskGroup=ce;function x(M){let O="";for(let Z=0;Z<M.length;Z++)O+=M[Z].replace(/,/g,",,")+",";return O}let De=class{constructor(O,Z,Se){if(typeof O!="string")throw(0,t.illegalArgument)("process");this._args=[],this._process=O,Z!==void 0&&(Array.isArray(Z)?(this._args=Z,this._options=Se):this._options=Z)}get process(){return this._process}set process(O){if(typeof O!="string")throw(0,t.illegalArgument)("process");this._process=O}get args(){return this._args}set args(O){Array.isArray(O)||(O=[]),this._args=O}get options(){return this._options}set options(O){this._options=O}computeId(){const O=[];if(O.push("process"),this._process!==void 0&&O.push(this._process),this._args&&this._args.length>0)for(let Z of this._args)O.push(Z);return x(O)}};De=Ae([B],De),e.ProcessExecution=De;let _e=class{constructor(O,Z,Se){if(this._args=[],Array.isArray(Z)){if(!O)throw(0,t.illegalArgument)("command can't be undefined or null");if(typeof O!="string"&&typeof O.value!="string")throw(0,t.illegalArgument)("command");this._command=O,this._args=Z,this._options=Se}else{if(typeof O!="string")throw(0,t.illegalArgument)("commandLine");this._commandLine=O,this._options=Z}}get commandLine(){return this._commandLine}set commandLine(O){if(typeof O!="string")throw(0,t.illegalArgument)("commandLine");this._commandLine=O}get command(){return this._command?this._command:""}set command(O){if(typeof O!="string"&&typeof O.value!="string")throw(0,t.illegalArgument)("command");this._command=O}get args(){return this._args}set args(O){this._args=O||[]}get options(){return this._options}set options(O){this._options=O}computeId(){const O=[];if(O.push("shell"),this._commandLine!==void 0&&O.push(this._commandLine),this._command!==void 0&&O.push(typeof this._command=="string"?this._command:this._command.value),this._args&&this._args.length>0)for(let Z of this._args)O.push(typeof Z=="string"?Z:Z.value);return x(O)}};_e=Ae([B],_e),e.ShellExecution=_e;var We;(function(M){M[M.Escape=1]="Escape",M[M.Strong=2]="Strong",M[M.Weak=3]="Weak"})(We=e.ShellQuoting||(e.ShellQuoting={}));var xe;(function(M){M[M.Global=1]="Global",M[M.Workspace=2]="Workspace"})(xe=e.TaskScope||(e.TaskScope={}));class it{constructor(O){this._callback=O}computeId(){return"customExecution"+(0,L.generateUuid)()}set callback(O){this._callback=O}get callback(){return this._callback}}e.CustomExecution=it;let ot=m=class{constructor(O,Z,Se,ze,Ke,Qe){this.__deprecated=!1,this._definition=this.definition=O;let Je;typeof Z=="string"?(this._name=this.name=Z,this._source=this.source=Se,this.execution=ze,Je=Ke,this.__deprecated=!0):Z===xe.Global||Z===xe.Workspace?(this.target=Z,this._name=this.name=Se,this._source=this.source=ze,this.execution=Ke,Je=Qe):(this.target=Z,this._name=this.name=Se,this._source=this.source=ze,this.execution=Ke,Je=Qe),typeof Je=="string"?(this._problemMatchers=[Je],this._hasDefinedMatchers=!0):Array.isArray(Je)?(this._problemMatchers=Je,this._hasDefinedMatchers=!0):(this._problemMatchers=[],this._hasDefinedMatchers=!1),this._isBackground=!1,this._presentationOptions=Object.create(null),this._runOptions=Object.create(null)}get _id(){return this.__id}set _id(O){this.__id=O}get _deprecated(){return this.__deprecated}clear(){this.__id!==void 0&&(this.__id=void 0,this._scope=void 0,this.computeDefinitionBasedOnExecution())}computeDefinitionBasedOnExecution(){this._execution instanceof De?this._definition={type:m.ProcessType,id:this._execution.computeId()}:this._execution instanceof _e?this._definition={type:m.ShellType,id:this._execution.computeId()}:this._execution instanceof it?this._definition={type:m.ExtensionCallbackType,id:this._execution.computeId()}:this._definition={type:m.EmptyType,id:(0,L.generateUuid)()}}get definition(){return this._definition}set definition(O){if(O==null)throw(0,t.illegalArgument)("Kind can't be undefined or null");this.clear(),this._definition=O}get scope(){return this._scope}set target(O){this.clear(),this._scope=O}get name(){return this._name}set name(O){if(typeof O!="string")throw(0,t.illegalArgument)("name");this.clear(),this._name=O}get execution(){return this._execution}set execution(O){O===null&&(O=void 0),this.clear(),this._execution=O;const Z=this._definition.type;(m.EmptyType===Z||m.ProcessType===Z||m.ShellType===Z||m.ExtensionCallbackType===Z)&&this.computeDefinitionBasedOnExecution()}get problemMatchers(){return this._problemMatchers}set problemMatchers(O){if(Array.isArray(O))this.clear(),this._problemMatchers=O,this._hasDefinedMatchers=!0;else{this.clear(),this._problemMatchers=[],this._hasDefinedMatchers=!1;return}}get hasDefinedMatchers(){return this._hasDefinedMatchers}get isBackground(){return this._isBackground}set isBackground(O){O!==!0&&O!==!1&&(O=!1),this.clear(),this._isBackground=O}get source(){return this._source}set source(O){if(typeof O!="string"||O.length===0)throw(0,t.illegalArgument)("source must be a string of length > 0");this.clear(),this._source=O}get group(){return this._group}set group(O){O===null&&(O=void 0),this.clear(),this._group=O}get detail(){return this._detail}set detail(O){O===null&&(O=void 0),this._detail=O}get presentationOptions(){return this._presentationOptions}set presentationOptions(O){O==null&&(O=Object.create(null)),this.clear(),this._presentationOptions=O}get runOptions(){return this._runOptions}set runOptions(O){O==null&&(O=Object.create(null)),this.clear(),this._runOptions=O}};ot.ExtensionCallbackType="customExecution",ot.ProcessType="process",ot.ShellType="shell",ot.EmptyType="$empty",ot=m=Ae([B],ot),e.Task=ot;var Et;(function(M){M[M.SourceControl=1]="SourceControl",M[M.Window=10]="Window",M[M.Notification=15]="Notification"})(Et=e.ProgressLocation||(e.ProgressLocation={}));let ct=class{constructor(O,Z=lt.None){this.collapsibleState=Z,I.URI.isUri(O)?this.resourceUri=O:this.label=O}};ct=Ae([B],ct),e.TreeItem=ct;var lt;(function(M){M[M.None=0]="None",M[M.Collapsed=1]="Collapsed",M[M.Expanded=2]="Expanded"})(lt=e.TreeItemCollapsibleState||(e.TreeItemCollapsibleState={}));let ut=class{constructor(O){this.value=O}async asString(){return typeof this.value=="string"?this.value:JSON.stringify(this.value)}};ut=Ae([B],ut),e.TreeDataTransferItem=ut;let Nt=class{constructor(){this._items=new Map}get(O){return this._items.get(O)}set(O,Z){this._items.set(O,Z)}forEach(O){this._items.forEach(O)}};Nt=Ae([B],Nt),e.TreeDataTransfer=Nt;let wt=class{constructor(O,Z){this.id=O,this.color=Z}};wt=Ae([B],wt),e.ThemeIcon=wt,wt.File=new wt("file"),wt.Folder=new wt("folder");let Mt=class{constructor(O){this.id=O}};Mt=Ae([B],Mt),e.ThemeColor=Mt;var fn;(function(M){M[M.Global=1]="Global",M[M.Workspace=2]="Workspace",M[M.WorkspaceFolder=3]="WorkspaceFolder"})(fn=e.ConfigurationTarget||(e.ConfigurationTarget={}));let Ut=class{constructor(O,Z){if(typeof O!="string"&&(!O||!I.URI.isUri(O)&&!I.URI.isUri(O.uri)))throw(0,t.illegalArgument)("base");if(typeof Z!="string")throw(0,t.illegalArgument)("pattern");typeof O=="string"?this.baseUri=I.URI.file(O):I.URI.isUri(O)?this.baseUri=O:this.baseUri=O.uri,this.pattern=Z}get base(){return this._base}set base(O){this._base=O,this._baseUri=I.URI.file(O)}get baseUri(){return this._baseUri}set baseUri(O){this._baseUri=O,this._base=O.fsPath}toJSON(){return{pattern:this.pattern,base:this.base,baseUri:this.baseUri.toJSON()}}};Ut=Ae([B],Ut),e.RelativePattern=Ut;let Ct=class{constructor(O,Z,Se,ze){this.enabled=typeof O=="boolean"?O:!0,typeof Z=="string"&&(this.condition=Z),typeof Se=="string"&&(this.hitCondition=Se),typeof ze=="string"&&(this.logMessage=ze)}get id(){return this._id||(this._id=(0,L.generateUuid)()),this._id}};Ct=Ae([B],Ct),e.Breakpoint=Ct;let Bt=class extends Ct{constructor(O,Z,Se,ze,Ke){super(Z,Se,ze,Ke);if(O===null)throw(0,t.illegalArgument)("location");this.location=O}};Bt=Ae([B],Bt),e.SourceBreakpoint=Bt;let zt=class extends Ct{constructor(O,Z,Se,ze,Ke){super(Z,Se,ze,Ke);this.functionName=O}};zt=Ae([B],zt),e.FunctionBreakpoint=zt;let $t=class extends Ct{constructor(O,Z,Se,ze,Ke,Qe,Je){super(ze,Ke,Qe,Je);if(!Z)throw(0,t.illegalArgument)("dataId");this.label=O,this.dataId=Z,this.canPersist=Se}};$t=Ae([B],$t),e.DataBreakpoint=$t;let Wt=class{constructor(O,Z,Se){this.command=O,this.args=Z||[],this.options=Se}};Wt=Ae([B],Wt),e.DebugAdapterExecutable=Wt;let Ht=class{constructor(O,Z){this.port=O,this.host=Z}};Ht=Ae([B],Ht),e.DebugAdapterServer=Ht;let jt=class{constructor(O){this.path=O}};jt=Ae([B],jt),e.DebugAdapterNamedPipeServer=jt;let qt=class{constructor(O){this.implementation=O}};qt=Ae([B],qt),e.DebugAdapterInlineImplementation=qt;let Vt=class{constructor(O,Z){this.range=O,this.expression=Z}};Vt=Ae([B],Vt),e.EvaluatableExpression=Vt;var hn;(function(M){M[M.Automatic=0]="Automatic",M[M.Explicit=1]="Explicit"})(hn=e.InlineCompletionTriggerKind||(e.InlineCompletionTriggerKind={}));let Gt=class{constructor(O,Z){this.range=O,this.text=Z}};Gt=Ae([B],Gt),e.InlineValueText=Gt;let xt=class{constructor(O,Z,Se=!0){this.range=O,this.variableName=Z,this.caseSensitiveLookup=Se}};xt=Ae([B],xt),e.InlineValueVariableLookup=xt;let Kt=class{constructor(O,Z){this.range=O,this.expression=Z}};Kt=Ae([B],Kt),e.InlineValueEvaluatableExpression=Kt;let Yt=class{constructor(O,Z){this.frameId=O,this.stoppedLocation=Z}};Yt=Ae([B],Yt),e.InlineValueContext=Yt;var dn;(function(M){M[M.Changed=1]="Changed",M[M.Created=2]="Created",M[M.Deleted=3]="Deleted"})(dn=e.FileChangeType||(e.FileChangeType={}));let Xt=S=class extends Error{constructor(O,Z=R.FileSystemProviderErrorCode.Unknown,Se){super(I.URI.isUri(O)?O.toString(!0):O);this.code=Se?.name??"Unknown",(0,R.markAsFileSystemProviderError)(this,Z),typeof Object.setPrototypeOf=="function"&&Object.setPrototypeOf(this,S.prototype),typeof Error.captureStackTrace=="function"&&typeof Se=="function"&&Error.captureStackTrace(this,Se)}static FileExists(O){return new S(O,R.FileSystemProviderErrorCode.FileExists,S.FileExists)}static FileNotFound(O){return new S(O,R.FileSystemProviderErrorCode.FileNotFound,S.FileNotFound)}static FileNotADirectory(O){return new S(O,R.FileSystemProviderErrorCode.FileNotADirectory,S.FileNotADirectory)}static FileIsADirectory(O){return new S(O,R.FileSystemProviderErrorCode.FileIsADirectory,S.FileIsADirectory)}static NoPermissions(O){return new S(O,R.FileSystemProviderErrorCode.NoPermissions,S.NoPermissions)}static Unavailable(O){return new S(O,R.FileSystemProviderErrorCode.Unavailable,S.Unavailable)}};Xt=S=Ae([B],Xt),e.FileSystemError=Xt;let Qt=class{constructor(O,Z,Se){this.start=O,this.end=Z,this.kind=Se}};Qt=Ae([B],Qt),e.FoldingRange=Qt;var mn;(function(M){M[M.Comment=1]="Comment",M[M.Imports=2]="Imports",M[M.Region=3]="Region"})(mn=e.FoldingRangeKind||(e.FoldingRangeKind={}));var gn;(function(M){M[M.Collapsed=0]="Collapsed",M[M.Expanded=1]="Expanded"})(gn=e.CommentThreadCollapsibleState||(e.CommentThreadCollapsibleState={}));var vn;(function(M){M[M.Editing=0]="Editing",M[M.Preview=1]="Preview"})(vn=e.CommentMode||(e.CommentMode={}));var pn;(function(M){M[M.Unresolved=0]="Unresolved",M[M.Resolved=1]="Resolved"})(pn=e.CommentThreadState||(e.CommentThreadState={}));class wn{constructor(O,Z=[]){this.tokenTypes=O,this.tokenModifiers=Z}}e.SemanticTokensLegend=wn;function yn(M){return typeof M=="undefined"||(0,v.isStringArray)(M)}class Jt{constructor(O){if(this._prevLine=0,this._prevChar=0,this._dataIsSortedAndDeltaEncoded=!0,this._data=[],this._dataLen=0,this._tokenTypeStrToInt=new Map,this._tokenModifierStrToInt=new Map,this._hasLegend=!1,O){this._hasLegend=!0;for(let Z=0,Se=O.tokenTypes.length;Z<Se;Z++)this._tokenTypeStrToInt.set(O.tokenTypes[Z],Z);for(let Z=0,Se=O.tokenModifiers.length;Z<Se;Z++)this._tokenModifierStrToInt.set(O.tokenModifiers[Z],Z)}}push(O,Z,Se,ze,Ke){if(typeof O=="number"&&typeof Z=="number"&&typeof Se=="number"&&typeof ze=="number"&&(typeof Ke=="number"||typeof Ke=="undefined"))return typeof Ke=="undefined"&&(Ke=0),this._pushEncoded(O,Z,Se,ze,Ke);if(U.isRange(O)&&typeof Z=="string"&&yn(Se))return this._push(O,Z,Se);throw(0,t.illegalArgument)()}_push(O,Z,Se){if(!this._hasLegend)throw new Error("Legend must be provided in constructor");if(O.start.line!==O.end.line)throw new Error("`range` cannot span multiple lines");if(!this._tokenTypeStrToInt.has(Z))throw new Error("`tokenType` is not in the provided legend");const ze=O.start.line,Ke=O.start.character,Qe=O.end.character-O.start.character,Je=this._tokenTypeStrToInt.get(Z);let st=0;if(Se)for(const at of Se){if(!this._tokenModifierStrToInt.has(at))throw new Error("`tokenModifier` is not in the provided legend");const ht=this._tokenModifierStrToInt.get(at);st|=1<<ht>>>0}this._pushEncoded(ze,Ke,Qe,Je,st)}_pushEncoded(O,Z,Se,ze,Ke){if(this._dataIsSortedAndDeltaEncoded&&(O<this._prevLine||O===this._prevLine&&Z<this._prevChar)){this._dataIsSortedAndDeltaEncoded=!1;const st=this._data.length/5|0;let at=0,ht=0;for(let mt=0;mt<st;mt++){let vt=this._data[5*mt],Rt=this._data[5*mt+1];vt===0?(vt=at,Rt+=ht):vt+=at,this._data[5*mt]=vt,this._data[5*mt+1]=Rt,at=vt,ht=Rt}}let Qe=O,Je=Z;this._dataIsSortedAndDeltaEncoded&&this._dataLen>0&&(Qe-=this._prevLine,Qe===0&&(Je-=this._prevChar)),this._data[this._dataLen++]=Qe,this._data[this._dataLen++]=Je,this._data[this._dataLen++]=Se,this._data[this._dataLen++]=ze,this._data[this._dataLen++]=Ke,this._prevLine=O,this._prevChar=Z}static _sortAndDeltaEncode(O){let Z=[];const Se=O.length/5|0;for(let Je=0;Je<Se;Je++)Z[Je]=Je;Z.sort((Je,st)=>{const at=O[5*Je],ht=O[5*st];if(at===ht){const mt=O[5*Je+1],vt=O[5*st+1];return mt-vt}return at-ht});const ze=new Uint32Array(O.length);let Ke=0,Qe=0;for(let Je=0;Je<Se;Je++){const st=5*Z[Je],at=O[st+0],ht=O[st+1],mt=O[st+2],vt=O[st+3],Rt=O[st+4],un=at-Ke,Gn=un===0?ht-Qe:ht,Tt=5*Je;ze[Tt+0]=un,ze[Tt+1]=Gn,ze[Tt+2]=mt,ze[Tt+3]=vt,ze[Tt+4]=Rt,Ke=at,Qe=ht}return ze}build(O){return this._dataIsSortedAndDeltaEncoded?new Zt(new Uint32Array(this._data),O):new Zt(Jt._sortAndDeltaEncode(this._data),O)}}e.SemanticTokensBuilder=Jt;class Zt{constructor(O,Z){this.resultId=Z,this.data=O}}e.SemanticTokens=Zt;class En{constructor(O,Z,Se){this.start=O,this.deleteCount=Z,this.data=Se}}e.SemanticTokensEdit=En;class bn{constructor(O,Z){this.resultId=Z,this.edits=O}}e.SemanticTokensEdits=bn;var Sn;(function(M){M[M.Separate=0]="Separate",M[M.MergeWithParent=1]="MergeWithParent"})(Sn=e.DebugConsoleMode||(e.DebugConsoleMode={}));let At=class{constructor(){}};At.Back={iconPath:new wt("arrow-left")},At=Ae([B],At),e.QuickInputButtons=At;var Cn;(function(M){M[M.Separator=-1]="Separator",M[M.Default=0]="Default"})(Cn=e.QuickPickItemKind||(e.QuickPickItemKind={}));var In;(function(M){M[M.UI=1]="UI",M[M.Workspace=2]="Workspace"})(In=e.ExtensionKind||(e.ExtensionKind={}));class Dn{constructor(O,Z,Se){this.badge=O,this.tooltip=Z,this.color=Se}static validate(O){if(O.badge){let Z=(0,D.nextCharLength)(O.badge,0);if(Z<O.badge.length&&(Z+=(0,D.nextCharLength)(O.badge,Z)),O.badge.length>Z)throw new Error("The 'badge'-property must be undefined or a short character")}if(!O.color&&!O.badge&&!O.tooltip)throw new Error("The decoration is empty");return!0}}e.FileDecoration=Dn;let en=class{constructor(O){this.kind=O}};en=Ae([B],en),e.ColorTheme=en;var Pn;(function(M){M[M.Light=1]="Light",M[M.Dark=2]="Dark",M[M.HighContrast=3]="HighContrast"})(Pn=e.ColorThemeKind||(e.ColorThemeKind={}));class _t{constructor(O,Z){if(O<0)throw(0,t.illegalArgument)("start must be positive");if(Z<0)throw(0,t.illegalArgument)("end must be positive");O<=Z?(this._start=O,this._end=Z):(this._start=Z,this._end=O)}static isNotebookRange(O){return O instanceof _t?!0:O?typeof O.start=="number"&&typeof O.end=="number":!1}get start(){return this._start}get end(){return this._end}get isEmpty(){return this._start===this._end}with(O){let Z=this._start,Se=this._end;return O.start!==void 0&&(Z=O.start),O.end!==void 0&&(Se=O.end),Z===this._start&&Se===this._end?this:new _t(Z,Se)}}e.NotebookRange=_t;class bt{constructor(O,Z,Se,ze,Ke,Qe,Je){this.kind=O,this.value=Z,this.languageId=Se,this.mime=ze,this.outputs=Ke??[],this.metadata=Qe,this.executionSummary=Je,bt.validate(this)}static validate(O){if(typeof O.kind!="number")throw new Error("NotebookCellData MUST have 'kind' property");if(typeof O.value!="string")throw new Error("NotebookCellData MUST have 'value' property");if(typeof O.languageId!="string")throw new Error("NotebookCellData MUST have 'languageId' property")}static isNotebookCellDataArray(O){return Array.isArray(O)&&O.every(Z=>bt.isNotebookCellData(Z))}static isNotebookCellData(O){return!0}}e.NotebookCellData=bt;class kn{constructor(O){this.cells=O}}e.NotebookData=kn;class ft{constructor(O,Z){this.data=O,this.mime=Z;const Se=(0,P.normalizeMimeType)(Z,!0);if(!Se)throw new Error(`INVALID mime type: ${Z}. Must be in the format "type/subtype[;optionalparameter]"`);this.mime=Se}static isNotebookCellOutputItem(O){return O instanceof ft?!0:O?typeof O.mime=="string"&&O.data instanceof Uint8Array:!1}static error(O){const Z={name:O.name,message:O.message,stack:O.stack};return ft.json(Z,"application/vnd.code.notebook.error")}static stdout(O){return ft.text(O,"application/vnd.code.notebook.stdout")}static stderr(O){return ft.text(O,"application/vnd.code.notebook.stderr")}static bytes(O,Z="application/octet-stream"){return new ft(O,Z)}static text(O,Z=P.Mimes.text){const Se=tt(ft,h,"f",d).encode(String(O));return new ft(Se,Z)}static json(O,Z="application/json"){const Se=JSON.stringify(O,void 0,"	");return ft.text(Se,Z)}}e.NotebookCellOutputItem=ft,h=ft,d={value:new TextEncoder};class Lt{constructor(O,Z,Se){this.items=Lt.ensureUniqueMimeTypes(O,!0),typeof Z=="string"?(this.id=Z,this.metadata=Se):(this.id=(0,L.generateUuid)(),this.metadata=Z??Se)}static isNotebookCellOutput(O){return O instanceof Lt?!0:!O||typeof O!="object"?!1:typeof O.id=="string"&&(0,v.isArray)(O.items)}static ensureUniqueMimeTypes(O,Z=!1){const Se=new Set,ze=new Set;for(let Ke=0;Ke<O.length;Ke++){const Qe=O[Ke],Je=(0,P.normalizeMimeType)(Qe.mime);if(!Se.has(Je)){Se.add(Je);continue}ze.add(Ke),Z&&console.warn(`DUPLICATED mime type '${Qe.mime}' will be dropped`)}return ze.size===0?O:O.filter((Ke,Qe)=>!ze.has(Qe))}}e.NotebookCellOutput=Lt;var _n;(function(M){M[M.Markup=1]="Markup",M[M.Code=2]="Code"})(_n=e.NotebookCellKind||(e.NotebookCellKind={}));var Rn;(function(M){M[M.Idle=1]="Idle",M[M.Pending=2]="Pending",M[M.Executing=3]="Executing"})(Rn=e.NotebookCellExecutionState||(e.NotebookCellExecutionState={}));var Tn;(function(M){M[M.Left=1]="Left",M[M.Right=2]="Right"})(Tn=e.NotebookCellStatusBarAlignment||(e.NotebookCellStatusBarAlignment={}));var An;(function(M){M[M.Default=0]="Default",M[M.InCenter=1]="InCenter",M[M.InCenterIfOutsideViewport=2]="InCenterIfOutsideViewport",M[M.AtTop=3]="AtTop"})(An=e.NotebookEditorRevealType||(e.NotebookEditorRevealType={}));class Ln{constructor(O,Z){this.text=O,this.alignment=Z}}e.NotebookCellStatusBarItem=Ln;var Fn;(function(M){M[M.Default=1]="Default",M[M.Preferred=2]="Preferred"})(Fn=e.NotebookControllerAffinity||(e.NotebookControllerAffinity={}));class On{constructor(O,Z=[]){this.uri=O,this.provides=(0,k.asArray)(Z)}}e.NotebookRendererScript=On;let tn=class{constructor(O,Z){this.label=O,this.timestamp=Z}};tn=Ae([B],tn),e.TimelineItem=tn;var Nn;(function(M){M[M.Production=1]="Production",M[M.Development=2]="Development",M[M.Test=3]="Test"})(Nn=e.ExtensionMode||(e.ExtensionMode={}));var Mn;(function(M){M[M.Node=1]="Node",M[M.Webworker=2]="Webworker"})(Mn=e.ExtensionRuntime||(e.ExtensionRuntime={}));var Un;(function(M){M[M.Other=0]="Other",M[M.Comment=1]="Comment",M[M.String=2]="String",M[M.RegEx=3]="RegEx"})(Un=e.StandardTokenType||(e.StandardTokenType={}));class Bn{constructor(O,Z){this.ranges=O,this.wordPattern=Z}}e.LinkedEditingRanges=Bn;class zn{constructor(O,Z){this._port=O,this._autoForwardAction=Z}get port(){return this._port}get autoForwardAction(){return this._autoForwardAction}}e.PortAttributes=zn;var $n;(function(M){M[M.Queued=1]="Queued",M[M.Running=2]="Running",M[M.Passed=3]="Passed",M[M.Failed=4]="Failed",M[M.Skipped=5]="Skipped",M[M.Errored=6]="Errored"})($n=e.TestResultState||(e.TestResultState={}));var Wn;(function(M){M[M.Run=1]="Run",M[M.Debug=2]="Debug",M[M.Coverage=3]="Coverage"})(Wn=e.TestRunProfileKind||(e.TestRunProfileKind={}));let nn=class{constructor(O=void 0,Z=void 0,Se=void 0){this.include=O,this.exclude=Z,this.profile=Se}};nn=Ae([B],nn),e.TestRunRequest=nn;let rn=_=class{constructor(O){this.message=O}static diff(O,Z,Se){const ze=new _(O);return ze.expectedOutput=Z,ze.actualOutput=Se,ze}};rn=_=Ae([B],rn),e.TestMessage=rn;let sn=class{constructor(O){this.id=O}};sn=Ae([B],sn),e.TestTag=sn;let It=class{constructor(O,Z){this.covered=O,this.total=Z}};It=Ae([B],It),e.CoveredCount=It;let on=F=class{constructor(O,Z,Se,ze){this.uri=O,this.statementCoverage=Z,this.branchCoverage=Se,this.functionCoverage=ze}static fromDetails(O,Z){const Se=new It(0,0),ze=new It(0,0),Ke=new It(0,0);for(const Je of Z)if("branches"in Je){Se.total+=1,Se.covered+=Je.executionCount>0?1:0;for(const st of Je.branches)ze.total+=1,ze.covered+=st.executionCount>0?1:0}else Ke.total+=1,Ke.covered+=Je.executionCount>0?1:0;const Qe=new F(O,Se,ze.total>0?ze:void 0,Ke.total>0?Ke:void 0);return Qe.detailedCoverage=Z,Qe}};on=F=Ae([B],on),e.FileCoverage=on;let an=class{constructor(O,Z,Se=[]){this.executionCount=O,this.location=Z,this.branches=Se}};an=Ae([B],an),e.StatementCoverage=an;let ln=class{constructor(O,Z){this.executionCount=O,this.location=Z}};ln=Ae([B],ln),e.BranchCoverage=ln;let cn=class{constructor(O,Z){this.executionCount=O,this.location=Z}};cn=Ae([B],cn),e.FunctionCoverage=cn;var Hn;(function(M){M[M.None=0]="None",M[M.Option=1]="Option",M[M.Default=2]="Default",M[M.Preferred=3]="Preferred"})(Hn=e.ExternalUriOpenerPriority||(e.ExternalUriOpenerPriority={}));var jn;(function(M){M[M.Untrusted=0]="Untrusted",M[M.Trusted=1]="Trusted",M[M.Unspecified=2]="Unspecified"})(jn=e.WorkspaceTrustState||(e.WorkspaceTrustState={}));var qn;(function(M){M[M.Notify=1]="Notify",M[M.OpenBrowser=2]="OpenBrowser",M[M.OpenPreview=3]="OpenPreview",M[M.Silent=4]="Silent",M[M.Ignore=5]="Ignore",M[M.OpenBrowserOnce=6]="OpenBrowserOnce"})(qn=e.PortAutoForwardAction||(e.PortAutoForwardAction={}));class Vn{constructor(O,Z,Se,ze,Ke,Qe){this.kind=O,this.name=Z,this.detail=Se,this.uri=ze,this.range=Ke,this.selectionRange=Qe}}e.TypeHierarchyItem=Vn}),define(we[57],ye([0,1,61]),function(J,e,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.createURITransformer=void 0;function t(C){return{transformIncoming:P=>P.scheme==="vscode-remote"?{scheme:"file",path:P.path,query:P.query,fragment:P.fragment}:P.scheme==="file"?{scheme:"vscode-local",path:P.path,query:P.query,fragment:P.fragment}:P,transformOutgoing:P=>P.scheme==="file"?{scheme:"vscode-remote",authority:C,path:P.path,query:P.query,fragment:P.fragment}:P.scheme==="vscode-local"?{scheme:"file",path:P.path,query:P.query,fragment:P.fragment}:P,transformOutgoingScheme:P=>P==="file"?"vscode-remote":P==="vscode-local"?"file":P}}function p(C){return new k.URITransformer(t(C))}e.createURITransformer=p}),define(we[228],ye([0,1,4,57,55,5,191]),function(J,e,k,t,p,C,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.RemoteAgentFileSystemProviderChannel=void 0;class D extends P.AbstractDiskFileSystemProviderChannel{constructor(L,R){super(new p.DiskFileSystemProvider(L),L);this.environmentService=R,this.uriTransformerCache=new Map,this._register(this.provider)}getUriTransformer(L){let R=this.uriTransformerCache.get(L.remoteAuthority);return R||(R=(0,t.createURITransformer)(L.remoteAuthority),this.uriTransformerCache.set(L.remoteAuthority,R)),R}transformIncoming(L,R,g=!1){if(g&&R.path==="/vscode-resource"&&R.query){const b=JSON.parse(R.query).requestResourcePath;return k.URI.from({scheme:"file",path:b})}return k.URI.revive(L.transformIncoming(R))}createSessionFileWatcher(L,R){return new v(L,R,this.logService,this.environmentService)}}e.RemoteAgentFileSystemProviderChannel=D;class v extends P.AbstractSessionFileWatcher{constructor(L,R,g,b){super(L,R,g,b)}getRecursiveWatcherOptions(L){const R=L.args["file-watcher-polling"];if(R){const g=R.split(C.delimiter),b=Number(g[0]);if(b>0)return{usePolling:g.length>1?g.slice(1):!0,pollingInterval:b}}}getExtraExcludes(L){if(L.extensionsPath)return[C.posix.join(L.extensionsPath,"**")]}}}),define(we[107],ye([0,1,167,12,4,2,6,35,19,17,8]),function(J,e,k,t,p,C,P,D,v,I,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.EditorsOrder=e.pathsToEditors=e.CloseDirection=e.EditorResourceAccessor=e.SideBySideEditor=e.GroupModelChangeKind=e.EditorCloseContext=e.isEditorIdentifier=e.isEditorInputWithOptionsAndGroup=e.isEditorInputWithOptions=e.isDiffEditorInput=e.isSideBySideEditorInput=e.isEditorInput=e.AbstractEditorInput=e.EditorInputCapabilities=e.SaveReason=e.Verbosity=e.isUntitledResourceEditorInput=e.isResourceSideBySideEditorInput=e.isResourceDiffEditorInput=e.isResourceEditorInput=e.findViewStateForEditor=e.isEditorPaneWithSelection=e.EditorPaneSelectionCompareResult=e.EditorPaneSelectionChangeReason=e.BINARY_DIFF_EDITOR_ID=e.TEXT_DIFF_EDITOR_ID=e.SIDE_BY_SIDE_EDITOR_ID=e.DEFAULT_EDITOR_ASSOCIATION=e.EditorExtensions=void 0,e.EditorExtensions={EditorPane:"workbench.contributions.editors",EditorFactory:"workbench.contributions.editor.inputFactories"},e.DEFAULT_EDITOR_ASSOCIATION={id:"default",displayName:(0,k.localize)(0,null),providerDisplayName:(0,k.localize)(1,null)},e.SIDE_BY_SIDE_EDITOR_ID="workbench.editor.sidebysideEditor",e.TEXT_DIFF_EDITOR_ID="workbench.editors.textDiffEditor",e.BINARY_DIFF_EDITOR_ID="workbench.editors.binaryResourceDiffEditor";var R;(function(W){W[W.PROGRAMMATIC=1]="PROGRAMMATIC",W[W.USER=2]="USER",W[W.EDIT=3]="EDIT",W[W.NAVIGATION=4]="NAVIGATION",W[W.JUMP=5]="JUMP"})(R=e.EditorPaneSelectionChangeReason||(e.EditorPaneSelectionChangeReason={}));var g;(function(W){W[W.IDENTICAL=1]="IDENTICAL",W[W.SIMILAR=2]="SIMILAR",W[W.DIFFERENT=3]="DIFFERENT"})(g=e.EditorPaneSelectionCompareResult||(e.EditorPaneSelectionCompareResult={}));function b(W){const ie=W;return!!ie&&typeof ie.getSelection=="function"&&!!ie.onDidChangeSelection}e.isEditorPaneWithSelection=b;function c(W,ie,q){for(const se of q.visibleEditorPanes)if(se.group.id===ie&&W.matches(se.input))return se.getViewState()}e.findViewStateForEditor=c;function h(W){if(l(W))return!1;const ie=W;return p.URI.isUri(ie?.resource)}e.isResourceEditorInput=h;function d(W){if(l(W))return!1;const ie=W;return ie?.original!==void 0&&ie.modified!==void 0}e.isResourceDiffEditorInput=d;function E(W){if(l(W)||d(W))return!1;const ie=W;return ie?.primary!==void 0&&ie.secondary!==void 0}e.isResourceSideBySideEditorInput=E;function w(W){if(l(W))return!1;const ie=W;return ie?ie.resource===void 0||ie.resource.scheme===L.Schemas.untitled||ie.forceUntitled===!0:!1}e.isUntitledResourceEditorInput=w;var f;(function(W){W[W.SHORT=0]="SHORT",W[W.MEDIUM=1]="MEDIUM",W[W.LONG=2]="LONG"})(f=e.Verbosity||(e.Verbosity={}));var y;(function(W){W[W.EXPLICIT=1]="EXPLICIT",W[W.AUTO=2]="AUTO",W[W.FOCUS_CHANGE=3]="FOCUS_CHANGE",W[W.WINDOW_CHANGE=4]="WINDOW_CHANGE"})(y=e.SaveReason||(e.SaveReason={}));var u;(function(W){W[W.None=0]="None",W[W.Readonly=2]="Readonly",W[W.Untitled=4]="Untitled",W[W.Singleton=8]="Singleton",W[W.RequiresTrust=16]="RequiresTrust",W[W.CanSplitInGroup=32]="CanSplitInGroup",W[W.ForceDescription=64]="ForceDescription"})(u=e.EditorInputCapabilities||(e.EditorInputCapabilities={}));class o extends C.Disposable{}e.AbstractEditorInput=o;function l(W){return W instanceof o}e.isEditorInput=l;function s(W){const ie=W;return p.URI.isUri(ie?.preferredResource)}function n(W){const ie=W;return l(ie?.primary)&&l(ie?.secondary)}e.isSideBySideEditorInput=n;function i(W){const ie=W;return l(ie?.modified)&&l(ie?.original)}e.isDiffEditorInput=i;function r(W){return l(W?.editor)}e.isEditorInputWithOptions=r;function a(W){const ie=W;return r(W)&&ie?.group!==void 0}e.isEditorInputWithOptionsAndGroup=a;function m(W){const ie=W;return typeof ie?.groupId=="number"&&l(ie.editor)}e.isEditorIdentifier=m;var S;(function(W){W[W.UNKNOWN=0]="UNKNOWN",W[W.REPLACE=1]="REPLACE",W[W.MOVE=2]="MOVE",W[W.UNPIN=3]="UNPIN"})(S=e.EditorCloseContext||(e.EditorCloseContext={}));var _;(function(W){W[W.GROUP_ACTIVE=0]="GROUP_ACTIVE",W[W.GROUP_INDEX=1]="GROUP_INDEX",W[W.GROUP_LOCKED=2]="GROUP_LOCKED",W[W.EDITOR_OPEN=3]="EDITOR_OPEN",W[W.EDITOR_CLOSE=4]="EDITOR_CLOSE",W[W.EDITOR_MOVE=5]="EDITOR_MOVE",W[W.EDITOR_ACTIVE=6]="EDITOR_ACTIVE",W[W.EDITOR_LABEL=7]="EDITOR_LABEL",W[W.EDITOR_CAPABILITIES=8]="EDITOR_CAPABILITIES",W[W.EDITOR_PIN=9]="EDITOR_PIN",W[W.EDITOR_STICKY=10]="EDITOR_STICKY",W[W.EDITOR_DIRTY=11]="EDITOR_DIRTY",W[W.EDITOR_WILL_DISPOSE=12]="EDITOR_WILL_DISPOSE"})(_=e.GroupModelChangeKind||(e.GroupModelChangeKind={}));var F;(function(W){W[W.PRIMARY=1]="PRIMARY",W[W.SECONDARY=2]="SECONDARY",W[W.BOTH=3]="BOTH",W[W.ANY=4]="ANY"})(F=e.SideBySideEditor||(e.SideBySideEditor={}));class B{getOriginalUri(ie,q){if(!ie)return;if(q?.supportSideBySide){const{primary:V,secondary:K}=this.getSideEditors(ie);if(V&&K){if(q?.supportSideBySide===F.BOTH)return{primary:this.getOriginalUri(V,{filterByScheme:q.filterByScheme}),secondary:this.getOriginalUri(K,{filterByScheme:q.filterByScheme})};if(q?.supportSideBySide===F.ANY)return this.getOriginalUri(V,{filterByScheme:q.filterByScheme})??this.getOriginalUri(K,{filterByScheme:q.filterByScheme});ie=q.supportSideBySide===F.PRIMARY?V:K}}if(d(ie)||E(ie))return;const se=s(ie)?ie.preferredResource:ie.resource;return!se||!q||!q.filterByScheme?se:this.filterUri(se,q.filterByScheme)}getSideEditors(ie){return n(ie)||E(ie)?{primary:ie.primary,secondary:ie.secondary}:i(ie)||d(ie)?{primary:ie.modified,secondary:ie.original}:{primary:void 0,secondary:void 0}}getCanonicalUri(ie,q){if(!ie)return;if(q?.supportSideBySide){const{primary:V,secondary:K}=this.getSideEditors(ie);if(V&&K){if(q?.supportSideBySide===F.BOTH)return{primary:this.getCanonicalUri(V,{filterByScheme:q.filterByScheme}),secondary:this.getCanonicalUri(K,{filterByScheme:q.filterByScheme})};if(q?.supportSideBySide===F.ANY)return this.getCanonicalUri(V,{filterByScheme:q.filterByScheme})??this.getCanonicalUri(K,{filterByScheme:q.filterByScheme});ie=q.supportSideBySide===F.PRIMARY?V:K}}if(d(ie)||E(ie))return;const se=ie.resource;return!se||!q||!q.filterByScheme?se:this.filterUri(se,q.filterByScheme)}filterUri(ie,q){if(Array.isArray(q)){if(q.some(se=>ie.scheme===se))return ie}else if(q===ie.scheme)return ie}}e.EditorResourceAccessor=new B;var A;(function(W){W[W.LEFT=0]="LEFT",W[W.RIGHT=1]="RIGHT"})(A=e.CloseDirection||(e.CloseDirection={}));class T{constructor(){this.editorSerializerConstructors=new Map,this.editorSerializerInstances=new Map}start(ie){const q=this.instantiationService=ie.get(P.IInstantiationService);for(const[se,V]of this.editorSerializerConstructors)this.createEditorSerializer(se,V,q);this.editorSerializerConstructors.clear()}createEditorSerializer(ie,q,se){const V=se.createInstance(q);this.editorSerializerInstances.set(ie,V)}registerFileEditorFactory(ie){if(this.fileEditorFactory)throw new Error("Can only register one file editor factory.");this.fileEditorFactory=ie}getFileEditorFactory(){return(0,t.assertIsDefined)(this.fileEditorFactory)}registerEditorSerializer(ie,q){if(this.editorSerializerConstructors.has(ie)||this.editorSerializerInstances.has(ie))throw new Error(`A editor serializer with type ID '${ie}' was already registered.`);return this.instantiationService?this.createEditorSerializer(ie,q,this.instantiationService):this.editorSerializerConstructors.set(ie,q),(0,C.toDisposable)(()=>{this.editorSerializerConstructors.delete(ie),this.editorSerializerInstances.delete(ie)})}getEditorSerializer(ie){return this.editorSerializerInstances.get(typeof ie=="string"?ie:ie.typeId)}}D.Registry.add(e.EditorExtensions.EditorFactory,new T);async function U(W,ie){if(!W||!W.length)return[];const q=await Promise.all(W.map(async se=>{const V=p.URI.revive(se.fileUri);if(!V||!await ie.canHandleResource(V))return;let te=se.exists,re=se.type;if(typeof te!="boolean"||typeof re!="number")try{re=(await ie.stat(V)).isDirectory?v.FileType.Directory:v.FileType.Unknown,te=!0}catch{te=!1}if(!te&&se.openOnlyIfExists||re===v.FileType.Directory)return;const oe={selection:te?se.selection:void 0,pinned:!0,override:se.editorOverrideId};let me;return te?me={resource:V,options:oe}:me={resource:V,options:oe,forceUntitled:!0},me}));return(0,I.coalesce)(q)}e.pathsToEditors=U;var N;(function(W){W[W.MOST_RECENTLY_ACTIVE=0]="MOST_RECENTLY_ACTIVE",W[W.SEQUENTIAL=1]="SEQUENTIAL"})(N=e.EditorsOrder||(e.EditorsOrder={}))}),define(we[229],ye([0,1,78,49,60,8,5,3,89]),function(J,e,k,t,p,C,P,D,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NotebookWorkingCopyTypeIdentifier=e.CellStatusbarAlignment=e.NotebookSetting=e.CellSequence=e.notebookDocumentFilterMatch=e.isDocumentExcludePattern=e.NotebookEditorPriority=e.NOTEBOOK_EDITOR_CURSOR_BOUNDARY=e.diff=e.MimeTypeDisplayOrder=e.CellUri=e.CellEditType=e.SelectionStateType=e.NotebookCellsChangeType=e.RendererMessagingSpec=e.NotebookRendererMatch=e.NotebookCellExecutionState=e.NotebookRunState=e.RENDERER_NOT_AVAILABLE=e.RENDERER_EQUIVALENT_EXTENSIONS=e.ACCESSIBLE_NOTEBOOK_DISPLAY_ORDER=e.NOTEBOOK_DISPLAY_ORDER=e.CellKind=e.NOTEBOOK_DIFF_EDITOR_ID=e.NOTEBOOK_EDITOR_ID=void 0,e.NOTEBOOK_EDITOR_ID="workbench.editor.notebook",e.NOTEBOOK_DIFF_EDITOR_ID="workbench.editor.notebookTextDiffEditor";var I;(function(r){r[r.Markup=1]="Markup",r[r.Code=2]="Code"})(I=e.CellKind||(e.CellKind={})),e.NOTEBOOK_DISPLAY_ORDER=["application/json","application/javascript","text/html","image/svg+xml",p.Mimes.latex,p.Mimes.markdown,"image/png","image/jpeg",p.Mimes.text],e.ACCESSIBLE_NOTEBOOK_DISPLAY_ORDER=[p.Mimes.latex,p.Mimes.markdown,"application/json",p.Mimes.text,"text/html","image/svg+xml","image/png","image/jpeg"],e.RENDERER_EQUIVALENT_EXTENSIONS=new Map([["ms-toolsai.jupyter",new Set(["jupyter-notebook","interactive"])],["ms-toolsai.jupyter-renderers",new Set(["jupyter-notebook","interactive"])]]),e.RENDERER_NOT_AVAILABLE="_notAvailable";var L;(function(r){r[r.Running=1]="Running",r[r.Idle=2]="Idle"})(L=e.NotebookRunState||(e.NotebookRunState={}));var R;(function(r){r[r.Unconfirmed=1]="Unconfirmed",r[r.Pending=2]="Pending",r[r.Executing=3]="Executing"})(R=e.NotebookCellExecutionState||(e.NotebookCellExecutionState={}));var g;(function(r){r[r.WithHardKernelDependency=0]="WithHardKernelDependency",r[r.WithOptionalKernelDependency=1]="WithOptionalKernelDependency",r[r.Pure=2]="Pure",r[r.Never=3]="Never"})(g=e.NotebookRendererMatch||(e.NotebookRendererMatch={}));var b;(function(r){r.Always="always",r.Never="never",r.Optional="optional"})(b=e.RendererMessagingSpec||(e.RendererMessagingSpec={}));var c;(function(r){r[r.ModelChange=1]="ModelChange",r[r.Move=2]="Move",r[r.ChangeLanguage=5]="ChangeLanguage",r[r.Initialize=6]="Initialize",r[r.ChangeCellMetadata=7]="ChangeCellMetadata",r[r.Output=8]="Output",r[r.OutputItem=9]="OutputItem",r[r.ChangeCellContent=10]="ChangeCellContent",r[r.ChangeDocumentMetadata=11]="ChangeDocumentMetadata",r[r.ChangeCellInternalMetadata=12]="ChangeCellInternalMetadata",r[r.ChangeCellMime=13]="ChangeCellMime",r[r.Unknown=100]="Unknown"})(c=e.NotebookCellsChangeType||(e.NotebookCellsChangeType={}));var h;(function(r){r[r.Handle=0]="Handle",r[r.Index=1]="Index"})(h=e.SelectionStateType||(e.SelectionStateType={}));var d;(function(r){r[r.Replace=1]="Replace",r[r.Output=2]="Output",r[r.Metadata=3]="Metadata",r[r.CellLanguage=4]="CellLanguage",r[r.DocumentMetadata=5]="DocumentMetadata",r[r.Move=6]="Move",r[r.OutputItems=7]="OutputItems",r[r.PartialMetadata=8]="PartialMetadata",r[r.PartialInternalMetadata=9]="PartialInternalMetadata"})(d=e.CellEditType||(e.CellEditType={}));var E;(function(r){r.scheme=C.Schemas.vscodeNotebookCell;const a=/^ch(\d{7,})/;function m(T,U){return T.with({scheme:r.scheme,fragment:`ch${U.toString().padStart(7,"0")}${T.scheme!==C.Schemas.file?T.scheme:""}`})}r.generate=m;function S(T){if(T.scheme!==r.scheme)return;const U=a.exec(T.fragment);return U?{handle:Number(U[1]),notebook:T.with({scheme:T.fragment.substring(U[0].length)||C.Schemas.file,fragment:null})}:void 0}r.parse=S;function _(T,U){return T.with({scheme:C.Schemas.vscodeNotebookCellOutput,fragment:`op${U??""},${T.scheme!==C.Schemas.file?T.scheme:""}`})}r.generateCellOutputUri=_;function F(T){if(T.scheme!==C.Schemas.vscodeNotebookCellOutput)return;const U=/^op([0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12})?\,(.*)$/i.exec(T.fragment);if(!U)return;const N=U[1]&&U[1]!==""?U[1]:void 0,W=U[2];return{outputId:N,notebook:T.with({scheme:W||C.Schemas.file,fragment:null})}}r.parseCellOutputUri=F;function B(T,U,N){return T.with({scheme:N,fragment:`ch${U.toString().padStart(7,"0")}${T.scheme!==C.Schemas.file?T.scheme:""}`})}r.generateCellUri=B;function A(T,U){if(T.scheme!==U)return;const N=a.exec(T.fragment);return N?{handle:Number(N[1]),notebook:T.with({scheme:T.fragment.substring(N[0].length)||C.Schemas.file,fragment:null})}:void 0}r.parseCellUri=A})(E=e.CellUri||(e.CellUri={}));const w=r=>D.isWindows?r.replace(/\//g,"\\"):r;class f{constructor(a=[],m=e.NOTEBOOK_DISPLAY_ORDER){this.defaultOrder=m,this.order=[...new Set(a)].map(S=>({pattern:S,matches:k.parse(w(S))}))}sort(a){const m=new Map(t.Iterable.map(a,_=>[_,w(_)]));let S=[];for(const{matches:_}of this.order)for(const[F,B]of m)if(_(B)){S.push(F),m.delete(F);break}return m.size&&(S=S.concat([...m.keys()].sort((_,F)=>this.defaultOrder.indexOf(_)-this.defaultOrder.indexOf(F)))),S}prioritize(a,m){const S=this.findIndex(a);if(S===-1){this.order.unshift({pattern:a,matches:k.parse(w(a))});return}const _=new Set(m.map(B=>this.findIndex(B,S)));_.delete(-1);const F=Array.from(_).sort();this.order.splice(S+1,0,...F.map(B=>this.order[B]));for(let B=F.length-1;B>=0;B--)this.order.splice(F[B],1)}toArray(){return this.order.map(a=>a.pattern)}findIndex(a,m=this.order.length){const S=w(a);for(let _=0;_<m;_++)if(this.order[_].matches(S))return _;return-1}}e.MimeTypeDisplayOrder=f;function y(r,a,m,S=(_,F)=>_===F){const _=[];function F(T,U,N){if(U===0&&N.length===0)return;const W=_[_.length-1];W&&W.start+W.deleteCount===T?(W.deleteCount+=U,W.toInsert.push(...N)):_.push({start:T,deleteCount:U,toInsert:N})}let B=0,A=0;for(;;){if(B===r.length){F(B,0,a.slice(A));break}if(A===a.length){F(B,r.length-B,[]);break}const T=r[B],U=a[A];if(S(T,U)){B+=1,A+=1;continue}m(U)?(F(B,1,[]),B+=1):(F(B,0,[U]),A+=1)}return _}e.diff=y,e.NOTEBOOK_EDITOR_CURSOR_BOUNDARY=new v.RawContextKey("notebookEditorCursorAtBoundary","none");var u;(function(r){r.default="default",r.option="option"})(u=e.NotebookEditorPriority||(e.NotebookEditorPriority={}));function o(r){const a=r;return!!((typeof a.include=="string"||k.isRelativePattern(a.include))&&(typeof a.exclude=="string"||k.isRelativePattern(a.exclude)))}e.isDocumentExcludePattern=o;function l(r,a,m){if(Array.isArray(r.viewType)&&r.viewType.indexOf(a)>=0||r.viewType===a)return!0;if(r.filenamePattern){const S=o(r.filenamePattern)?r.filenamePattern.include:r.filenamePattern,_=o(r.filenamePattern)?r.filenamePattern.exclude:void 0;if(k.match(S,(0,P.basename)(m.fsPath).toLowerCase()))return!(_&&k.match(_,(0,P.basename)(m.fsPath).toLowerCase()))}return!1}e.notebookDocumentFilterMatch=l;class s{constructor(a){this.textModel=a}getElements(){const a=new Int32Array(this.textModel.cells.length);for(let m=0;m<this.textModel.cells.length;m++)a[m]=this.textModel.cells[m].getHashValue();return a}}e.CellSequence=s,e.NotebookSetting={displayOrder:"notebook.displayOrder",cellToolbarLocation:"notebook.cellToolbarLocation",cellToolbarVisibility:"notebook.cellToolbarVisibility",showCellStatusBar:"notebook.showCellStatusBar",textDiffEditorPreview:"notebook.diff.enablePreview",experimentalInsertToolbarAlignment:"notebook.experimental.insertToolbarAlignment",compactView:"notebook.compactView",focusIndicator:"notebook.cellFocusIndicator",insertToolbarLocation:"notebook.insertToolbarLocation",globalToolbar:"notebook.globalToolbar",undoRedoPerCell:"notebook.undoRedoPerCell",consolidatedOutputButton:"notebook.consolidatedOutputButton",showFoldingControls:"notebook.showFoldingControls",dragAndDropEnabled:"notebook.dragAndDropEnabled",cellEditorOptionsCustomizations:"notebook.editorOptionsCustomizations",consolidatedRunButton:"notebook.consolidatedRunButton",openGettingStarted:"notebook.experimental.openGettingStarted",textOutputLineLimit:"notebook.output.textLineLimit",globalToolbarShowLabel:"notebook.globalToolbarShowLabel",markupFontSize:"notebook.markup.fontSize",interactiveWindowCollapseCodeCells:"interactiveWindow.collapseCellInputCode"};var n;(function(r){r[r.Left=1]="Left",r[r.Right=2]="Right"})(n=e.CellStatusbarAlignment||(e.CellStatusbarAlignment={}));class i{static create(a){return`${i._prefix}${a}`}static parse(a){if(a.startsWith(i._prefix))return a.substring(i._prefix.length)}}e.NotebookWorkingCopyTypeIdentifier=i,i._prefix="notebook/"}),define(we[108],ye([0,1,6]),function(J,e,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.EnvironmentVariableMutatorType=e.IEnvironmentVariableService=void 0,e.IEnvironmentVariableService=(0,k.createDecorator)("environmentVariableService");var t;(function(p){p[p.Replace=1]="Replace",p[p.Append=2]="Append",p[p.Prepend=3]="Prepend"})(t=e.EnvironmentVariableMutatorType||(e.EnvironmentVariableMutatorType={}))}),define(we[230],ye([0,1,3,108]),function(J,e,k,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.MergedEnvironmentVariableCollection=void 0;class p{constructor(v){this.map=new Map,v.forEach((I,L)=>{const R=I.map.entries();let g=R.next();for(;!g.done;){const b=g.value[0];let c=this.map.get(b);if(c||(c=[],this.map.set(b,c)),c.length>0&&c[0].type===t.EnvironmentVariableMutatorType.Replace){g=R.next();continue}const h=g.value[1];c.unshift({extensionIdentifier:L,value:h.value,type:h.type}),g=R.next()}})}applyToProcessEnvironment(v,I){let L;k.isWindows&&(L={},Object.keys(v).forEach(R=>L[R.toLowerCase()]=R)),this.map.forEach((R,g)=>{const b=k.isWindows&&L[g.toLowerCase()]||g;R.forEach(c=>{const h=I?I(c.value):c.value;switch(c.type){case t.EnvironmentVariableMutatorType.Append:v[b]=(v[b]||"")+h;break;case t.EnvironmentVariableMutatorType.Prepend:v[b]=h+(v[b]||"");break;case t.EnvironmentVariableMutatorType.Replace:v[b]=h;break}})})}diff(v){const I=new Map,L=new Map,R=new Map;if(v.map.forEach((g,b)=>{const c=this.map.get(b),h=C(g,c);h&&I.set(b,h)}),this.map.forEach((g,b)=>{const c=v.map.get(b),h=C(g,c);h&&R.set(b,h)}),this.map.forEach((g,b)=>{const c=v.map.get(b),h=P(g,c);h&&L.set(b,h)}),!(I.size===0&&L.size===0&&R.size===0))return{added:I,changed:L,removed:R}}}e.MergedEnvironmentVariableCollection=p;function C(D,v){if(!v)return D;const I=new Set;v.forEach(R=>I.add(R.extensionIdentifier));const L=[];return D.forEach(R=>{I.has(R.extensionIdentifier)||L.push(R)}),L.length===0?void 0:L}function P(D,v){if(!v)return;const I=new Map;v.forEach(R=>I.set(R.extensionIdentifier,R));const L=[];return D.forEach(R=>{const g=I.get(R.extensionIdentifier);g&&(R.type!==g.type||R.value!==g.value)&&L.push(g)}),L.length===0?void 0:L}}),define(we[109],ye([0,1]),function(J,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.deserializeEnvironmentVariableCollection=e.serializeEnvironmentVariableCollection=void 0;function k(p){return[...p.entries()]}e.serializeEnvironmentVariableCollection=k;function t(p){return new Map(p)}e.deserializeEnvironmentVariableCollection=t}),define(we[231],ye([0,1,5,74,3,16]),function(J,e,k,t,p,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.injectShellIntegrationArgs=e.shellIntegrationArgs=e.ShellIntegrationExecutable=e.createTerminalEnvironment=e.getDefaultShellArgs=e.getDefaultShell=e.createVariableResolver=e.getCwd=e.getLangEnvVariable=e.shouldSetLangEnvVariable=e.addTerminalEnvironmentKeys=e.mergeEnvironments=void 0;function P(a,m){if(!!m)if(p.isWindows)for(const S in m){let _=S;for(const B in a)if(S.toLowerCase()===B.toLowerCase()){_=B;break}const F=m[S];F!==void 0&&D(a,_,F)}else Object.keys(m).forEach(S=>{const _=m[S];_!==void 0&&D(a,S,_)})}e.mergeEnvironments=P;function D(a,m,S){typeof S=="string"?a[m]=S:delete a[m]}function v(a,m,S,_){a.TERM_PROGRAM="vscode",m&&(a.TERM_PROGRAM_VERSION=m),R(a,_)&&(a.LANG=g(S)),a.COLORTERM="truecolor"}e.addTerminalEnvironmentKeys=v;function I(a,m){if(!!m)for(const S of Object.keys(m)){const _=m[S];_&&(a[S]=_)}}function L(a,m){return Object.keys(m).forEach(S=>{const _=m[S];if(typeof _=="string")try{m[S]=a(_)}catch{m[S]=_}}),m}function R(a,m){if(m==="on")return!0;if(m==="auto"){const S=a.LANG;return!S||S.search(/\.UTF\-8$/)===-1&&S.search(/\.utf8$/)===-1&&S.search(/\.euc.+/)===-1}return!1}e.shouldSetLangEnvVariable=R;function g(a){const m=a?a.split("-"):[],S=m.length;if(S===0)return"en_US.UTF-8";if(S===1){const _={af:"ZA",am:"ET",be:"BY",bg:"BG",ca:"ES",cs:"CZ",da:"DK",de:"DE",el:"GR",en:"US",es:"ES",et:"EE",eu:"ES",fi:"FI",fr:"FR",he:"IL",hr:"HR",hu:"HU",hy:"AM",is:"IS",it:"IT",ja:"JP",kk:"KZ",ko:"KR",lt:"LT",nl:"NL",no:"NO",pl:"PL",pt:"BR",ro:"RO",ru:"RU",sk:"SK",sl:"SI",sr:"YU",sv:"SE",tr:"TR",uk:"UA",zh:"CN"};m[0]in _&&m.push(_[m[0]])}else m[1]=m[1].toUpperCase();return m.join("_")+".UTF-8"}e.getLangEnvVariable=g;function b(a,m,S,_,F,B){if(a.cwd){const T=typeof a.cwd=="object"?a.cwd.fsPath:a.cwd,U=c(T,S);return h(U||T)}let A;return!a.ignoreConfigurationCwd&&F&&(S&&(F=c(F,S,B)),F&&(k.isAbsolute(F)?A=F:_&&(A=k.join(_.fsPath,F)))),A||(A=_?_.fsPath:m||""),h(A)}e.getCwd=b;function c(a,m,S){if(m)try{return m(a)}catch(_){S?.error("Could not resolve terminal cwd",_);return}return a}function h(a){return p.OS===1&&a&&a[1]===":"?a[0].toUpperCase()+a.substr(1):a}function d(a,m,S){if(!!S)return _=>S.resolveWithEnvironment(m,a,_)}e.createVariableResolver=d;function E(a,m,S,_,F,B,A,T=p.platform){let U;A&&(U=f(a,"automationShell",T)),U||(U=f(a,"shell",T));let N=U||m;if(T===3&&!S&&_){const W=k.join(_,"Sysnative").replace(/\//g,"\\").toLowerCase();N&&N.toLowerCase().indexOf(W)===0&&(N=k.join(_,"System32",N.substr(W.length+1)))}if(N&&T===3&&(N=N.replace(/\//g,"\\")),F)try{N=F(N)}catch(W){B.error("Could not resolve shell",W)}return N}e.getDefaultShell=E;function w(a,m,S,_,F=p.platform){if(m&&f(a,"automationShell",F))return[];const B=F===3?"windows":F===1?"osx":"linux";let A=a(`terminal.integrated.shellArgs.${B}`);if(!A)return[];if(typeof A=="string"&&F===3)return S?S(A):A;if(S){const T=[];for(const U of A)try{T.push(S(U))}catch(N){_.error(`Could not resolve terminal.integrated.shellArgs.${B}`,N),T.push(U)}A=T}return A}e.getDefaultShellArgs=w;function f(a,m,S=p.platform){return a(`terminal.integrated.${m}.${S===3?"windows":S===1?"osx":"linux"}`)}function y(a,m,S,_,F,B){const A={};if(a.strictEnv)I(A,a.env);else{I(A,B);const T={...m};S&&(T&&L(S,T),a.env&&L(S,a.env)),(0,t.sanitizeProcessEnvironment)(A,"VSCODE_IPC_HOOK_CLI","VSCODE_PROXY_URI"),P(A,T),P(A,a.env),v(A,_,p.locale,F)}return A}e.createTerminalEnvironment=y;var u;(function(a){a.WindowsPwsh="windows-pwsh",a.WindowsPwshLogin="windows-pwsh-login",a.Pwsh="pwsh",a.PwshLogin="pwsh-login",a.Zsh="zsh",a.ZshLogin="zsh-login",a.Bash="bash"})(u=e.ShellIntegrationExecutable||(e.ShellIntegrationExecutable={})),e.shellIntegrationArgs=new Map,e.shellIntegrationArgs.set(u.WindowsPwsh,["-noexit"," -command",'. "${execInstallFolder}\\out\\vs\\workbench\\contrib\\terminal\\browser\\media\\shellIntegration.ps1"{0}']),e.shellIntegrationArgs.set(u.WindowsPwshLogin,["-l","-noexit"," -command",'. "${execInstallFolder}\\out\\vs\\workbench\\contrib\\terminal\\browser\\media\\shellIntegration.ps1"{0}']),e.shellIntegrationArgs.set(u.Pwsh,["-noexit","-command",'. "${execInstallFolder}/out/vs/workbench/contrib/terminal/browser/media/shellIntegration.ps1"{0}']),e.shellIntegrationArgs.set(u.PwshLogin,["-l","-noexit","-command",'. "${execInstallFolder}/out/vs/workbench/contrib/terminal/browser/media/shellIntegration.ps1"']),e.shellIntegrationArgs.set(u.Zsh,["-i"]),e.shellIntegrationArgs.set(u.ZshLogin,["-il"]),e.shellIntegrationArgs.set(u.Bash,["--init-file","${execInstallFolder}/out/vs/workbench/contrib/terminal/browser/media/shellIntegration-bash.sh"]);const o=["-login","-l"],l=["-nol","-nologo"];function s(a,m,S,_,F,B){if(!_||!F.executable||F.isFeatureTerminal)return{args:F.args,enableShellIntegration:!1};const A=F.args,T=k.basename(F.executable).toLowerCase();let U;if(B===1){if(T==="pwsh.exe"&&(!A||i(A)?U=e.shellIntegrationArgs.get(u.WindowsPwsh):n(A)?U=e.shellIntegrationArgs.get(u.WindowsPwshLogin):a.warn(`Shell integration cannot be enabled when custom args ${A} are provided for ${T} on Windows.`)),U){const W=m.getValue("terminal.integrated.shellIntegration.showWelcome")?"":" -HideWelcome";U=[...U],U[U.length-1]=(0,C.format)(U[U.length-1],W)}}else{switch(T){case"bash":{!A||A.length===0?U=e.shellIntegrationArgs.get(u.Bash):r(A)&&(S.VSCODE_SHELL_LOGIN="1",U=e.shellIntegrationArgs.get(u.Bash)),m.getValue("terminal.integrated.shellIntegration.showWelcome")||(S.VSCODE_SHELL_HIDE_WELCOME="1");break}case"pwsh":{if(!A||i(A)?U=e.shellIntegrationArgs.get(u.Pwsh):n(A)&&(U=e.shellIntegrationArgs.get(u.PwshLogin)),U){const W=m.getValue("terminal.integrated.shellIntegration.showWelcome")?"":" -HideWelcome";U=[...U],U[U.length-1]=(0,C.format)(U[U.length-1],W)}break}case"zsh":{!A||A.length===0?U=e.shellIntegrationArgs.get(u.Zsh):r(A)?U=e.shellIntegrationArgs.get(u.ZshLogin):(A===e.shellIntegrationArgs.get(u.Zsh)||A===e.shellIntegrationArgs.get(u.ZshLogin))&&(U=A),S._ZDOTDIR="1",m.getValue("terminal.integrated.shellIntegration.showWelcome")||(S.VSCODE_SHELL_HIDE_WELCOME="1");break}}U||a.warn(`Shell integration cannot be enabled when custom args ${A} are provided for ${T}.`)}return{args:U||A,enableShellIntegration:U!==void 0}}e.injectShellIntegrationArgs=s;function n(a){return typeof a=="string"?o.includes(a.toLowerCase()):a.length===1&&o.includes(a[0].toLowerCase())||a.length===2&&(o.includes(a[0].toLowerCase())||o.includes(a[1].toLowerCase()))&&(l.includes(a[0].toLowerCase())||l.includes(a[1].toLowerCase()))}function i(a){return typeof a=="string"?l.includes(a.toLowerCase()):a.length===0||a?.length===1&&l.includes(a[0].toLowerCase())}function r(a){return a==="string"&&o.includes(a.toLowerCase())||typeof a!="string"&&a.length===1&&o.includes(a[0].toLowerCase())}}),define(we[232],ye([0,1,4,51]),function(J,e,k,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AbstractIncrementalTestCollection=e.IncrementalChangeCollector=e.TestsDiffOp=e.TestDiffOpType=e.DetailType=e.TestResultItem=e.applyTestItemUpdate=e.ITestItemUpdate=e.InternalTestItem=e.TestItemExpandState=e.ITestItem=e.denamespaceTestTag=e.namespaceTestTag=e.ITestTaskState=e.ITestMessage=e.ITestOutputMessage=e.ITestErrorMessage=e.TestMessageType=e.IRichLocation=e.testRunProfileBitsetList=e.TestRunProfileBitset=e.TestResultState=void 0;var p;(function(i){i[i.Unset=0]="Unset",i[i.Queued=1]="Queued",i[i.Running=2]="Running",i[i.Passed=3]="Passed",i[i.Failed=4]="Failed",i[i.Skipped=5]="Skipped",i[i.Errored=6]="Errored"})(p=e.TestResultState||(e.TestResultState={}));var C;(function(i){i[i.Run=2]="Run",i[i.Debug=4]="Debug",i[i.Coverage=8]="Coverage",i[i.HasNonDefaultProfile=16]="HasNonDefaultProfile",i[i.HasConfigurable=32]="HasConfigurable"})(C=e.TestRunProfileBitset||(e.TestRunProfileBitset={})),e.testRunProfileBitsetList=[2,4,8,16];var P;(function(i){i.serialize=r=>({range:r.range.toJSON(),uri:r.uri.toJSON()}),i.deserialize=r=>({range:t.Range.lift(r.range),uri:k.URI.revive(r.uri)})})(P=e.IRichLocation||(e.IRichLocation={}));var D;(function(i){i[i.Error=0]="Error",i[i.Info=1]="Info"})(D=e.TestMessageType||(e.TestMessageType={}));var v;(function(i){i.serialize=r=>({message:r.message,type:0,expected:r.expected,actual:r.actual,location:r.location&&P.serialize(r.location)}),i.deserialize=r=>({message:r.message,type:0,expected:r.expected,actual:r.actual,location:r.location&&P.deserialize(r.location)})})(v=e.ITestErrorMessage||(e.ITestErrorMessage={}));var I;(function(i){i.serialize=r=>({message:r.message,type:1,offset:r.offset,location:r.location&&P.serialize(r.location)}),i.deserialize=r=>({message:r.message,type:1,offset:r.offset,location:r.location&&P.deserialize(r.location)})})(I=e.ITestOutputMessage||(e.ITestOutputMessage={}));var L;(function(i){i.serialize=r=>r.type===0?v.serialize(r):I.serialize(r),i.deserialize=r=>r.type===0?v.deserialize(r):I.deserialize(r)})(L=e.ITestMessage||(e.ITestMessage={}));var R;(function(i){i.serialize=r=>({state:r.state,duration:r.duration,messages:r.messages.map(L.serialize)}),i.deserialize=r=>({state:r.state,duration:r.duration,messages:r.messages.map(L.deserialize)})})(R=e.ITestTaskState||(e.ITestTaskState={}));const g="\0",b=(i,r)=>i+g+r;e.namespaceTestTag=b;const c=i=>{const r=i.indexOf(g);return{ctrlId:i.slice(0,r),tagId:i.slice(r+1)}};e.denamespaceTestTag=c;var h;(function(i){i.serialize=r=>({extId:r.extId,label:r.label,tags:r.tags,busy:r.busy,children:void 0,uri:r.uri?.toJSON(),range:r.range?.toJSON()||null,description:r.description,error:r.error,sortText:r.sortText}),i.deserialize=r=>({extId:r.extId,label:r.label,tags:r.tags,busy:r.busy,children:void 0,uri:r.uri?k.URI.revive(r.uri):void 0,range:r.range?t.Range.lift(r.range):null,description:r.description,error:r.error,sortText:r.sortText})})(h=e.ITestItem||(e.ITestItem={}));var d;(function(i){i[i.NotExpandable=0]="NotExpandable",i[i.Expandable=1]="Expandable",i[i.BusyExpanding=2]="BusyExpanding",i[i.Expanded=3]="Expanded"})(d=e.TestItemExpandState||(e.TestItemExpandState={}));var E;(function(i){i.serialize=r=>({controllerId:r.controllerId,expand:r.expand,parent:r.parent,item:h.serialize(r.item)}),i.deserialize=r=>({controllerId:r.controllerId,expand:r.expand,parent:r.parent,item:h.deserialize(r.item)})})(E=e.InternalTestItem||(e.InternalTestItem={}));var w;(function(i){i.serialize=r=>{let a;return r.item&&(a={},r.item.label!==void 0&&(a.label=r.item.label),r.item.tags!==void 0&&(a.tags=r.item.tags),r.item.busy!==void 0&&(a.busy=r.item.busy),r.item.uri!==void 0&&(a.uri=r.item.uri?.toJSON()),r.item.range!==void 0&&(a.range=r.item.range?.toJSON()),r.item.description!==void 0&&(a.description=r.item.description),r.item.error!==void 0&&(a.error=r.item.error),r.item.sortText!==void 0&&(a.sortText=r.item.sortText)),{extId:r.extId,expand:r.expand,item:a}},i.deserialize=r=>{let a;return r.item&&(a={},r.item.label!==void 0&&(a.label=r.item.label),r.item.tags!==void 0&&(a.tags=r.item.tags),r.item.busy!==void 0&&(a.busy=r.item.busy),r.item.range!==void 0&&(a.range=r.item.range?t.Range.lift(r.item.range):null),r.item.description!==void 0&&(a.description=r.item.description),r.item.error!==void 0&&(a.error=r.item.error),r.item.sortText!==void 0&&(a.sortText=r.item.sortText)),{extId:r.extId,expand:r.expand,item:a}}})(w=e.ITestItemUpdate||(e.ITestItemUpdate={}));const f=(i,r)=>{r.expand!==void 0&&(i.expand=r.expand),r.item!==void 0&&(i.item=i.item?Object.assign(i.item,r.item):r.item)};e.applyTestItemUpdate=f;var y;(function(i){i.serialize=(r,a)=>({...E.serialize(r),children:a,ownComputedState:r.ownComputedState,computedState:r.computedState,tasks:r.tasks.map(R.serialize)})})(y=e.TestResultItem||(e.TestResultItem={}));var u;(function(i){i[i.Function=0]="Function",i[i.Statement=1]="Statement"})(u=e.DetailType||(e.DetailType={}));var o;(function(i){i[i.Add=0]="Add",i[i.Update=1]="Update",i[i.Remove=2]="Remove",i[i.IncrementPendingExtHosts=3]="IncrementPendingExtHosts",i[i.Retire=4]="Retire",i[i.AddTag=5]="AddTag",i[i.RemoveTag=6]="RemoveTag"})(o=e.TestDiffOpType||(e.TestDiffOpType={}));var l;(function(i){i.deserialize=r=>r.op===0?{op:r.op,item:E.deserialize(r.item)}:r.op===1?{op:r.op,item:w.deserialize(r.item)}:r,i.serialize=r=>r.op===0?{op:r.op,item:E.serialize(r.item)}:r.op===1?{op:r.op,item:w.serialize(r.item)}:r})(l=e.TestsDiffOp||(e.TestsDiffOp={}));class s{add(r){}update(r){}remove(r,a){}complete(){}}e.IncrementalChangeCollector=s;class n{constructor(){this._tags=new Map,this.items=new Map,this.roots=new Set,this.busyControllerCount=0,this.pendingRootCount=0,this.tags=this._tags}apply(r){const a=this.createChangeCollector();for(const m of r)switch(m.op){case 0:{const S=E.deserialize(m.item);if(S.parent){if(this.items.has(S.parent)){const _=this.items.get(S.parent);_.children.add(S.item.extId);const F=this.createItem(S,_);this.items.set(S.item.extId,F),a.add(F)}}else{const _=this.createItem(S);this.roots.add(_),this.items.set(S.item.extId,_),a.add(_)}S.expand===2&&this.busyControllerCount++;break}case 1:{const S=w.deserialize(m.item),_=this.items.get(S.extId);if(!_)break;S.expand!==void 0&&(_.expand===2&&this.busyControllerCount--,S.expand===2&&this.busyControllerCount++),(0,e.applyTestItemUpdate)(_,S),a.update(_);break}case 2:{const S=this.items.get(m.itemId);if(!S)break;S.parent?this.items.get(S.parent).children.delete(S.item.extId):this.roots.delete(S);const _=[[m.itemId]];for(;_.length;)for(const F of _.pop()){const B=this.items.get(F);B&&(_.push(B.children),this.items.delete(F),a.remove(B,B!==S),B.expand===2&&this.busyControllerCount--)}break}case 4:this.retireTest(m.itemId);break;case 3:this.updatePendingRoots(m.amount);break;case 5:this._tags.set(m.tag.id,m.tag);break;case 6:this._tags.delete(m.id);break}a.complete()}retireTest(r){}updatePendingRoots(r){this.pendingRootCount+=r}createChangeCollector(){return new s}}e.AbstractIncrementalTestCollection=n}),define(we[233],ye([0,1]),function(J,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TestId=e.TestPosition=e.TestIdPathParts=void 0;var k;(function(C){C.Delimiter="\0"})(k=e.TestIdPathParts||(e.TestIdPathParts={}));var t;(function(C){C[C.IsSame=0]="IsSame",C[C.Disconnected=1]="Disconnected",C[C.IsChild=2]="IsChild",C[C.IsParent=3]="IsParent"})(t=e.TestPosition||(e.TestPosition={}));class p{constructor(P,D=P.length){if(this.path=P,this.viewEnd=D,P.length===0||D<1)throw new Error("cannot create test with empty path")}static fromExtHostTestItem(P,D,v=P.parent){if(P.id===D)return new p([D]);let I=[P.id];for(let L=v;L&&L.id!==D;L=L.parent)I.push(L.id);return I.push(D),new p(I.reverse())}static isRoot(P){return!P.includes("\0")}static root(P){const D=P.indexOf("\0");return D===-1?P:P.slice(0,D)}static fromString(P){return new p(P.split("\0"))}static join(P,D){return new p([...P.path,D])}static joinToString(P,D){return P.toString()+"\0"+D}static compare(P,D){return P===D?0:D.startsWith(P+"\0")?2:P.startsWith(D+"\0")?3:1}get parentId(){return this.viewEnd>1?new p(this.path,this.viewEnd-1):this}get localId(){return this.path[this.viewEnd-1]}get controllerId(){return this.path[0]}get isRoot(){return this.viewEnd===1}*idsFromRoot(){for(let P=1;P<=this.viewEnd;P++)yield new p(this.path,P)}compare(P){if(typeof P=="string")return p.compare(this.toString(),P);for(let D=0;D<P.viewEnd&&D<this.viewEnd;D++)if(P.path[D]!==this.path[D])return 1;return P.viewEnd>this.viewEnd?2:P.viewEnd<this.viewEnd?3:0}toJSON(){return this.toString()}toString(){if(!this.stringifed){this.stringifed=this.path[0];for(let P=1;P<this.viewEnd;P++)this.stringifed+="\0",this.stringifed+=this.path[P]}return this.stringifed}}e.TestId=p}),define(we[234],ye([0,1,28,6]),function(J,e,k,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TASKS_DEFAULT=e.IWorkbenchConfigurationService=e.USER_STANDALONE_CONFIGURATIONS=e.WORKSPACE_STANDALONE_CONFIGURATIONS=e.LAUNCH_CONFIGURATION_KEY=e.TASKS_CONFIGURATION_KEY=e.FOLDER_SCOPES=e.WORKSPACE_SCOPES=e.REMOTE_MACHINE_SCOPES=e.LOCAL_MACHINE_SCOPES=e.tasksSchemaId=e.launchSchemaId=e.folderSettingsSchemaId=e.workspaceSettingsSchemaId=e.machineSettingsSchemaId=e.userSettingsSchemaId=e.defaultSettingsSchemaId=e.FOLDER_SETTINGS_PATH=e.FOLDER_SETTINGS_NAME=e.FOLDER_CONFIG_FOLDER_NAME=void 0,e.FOLDER_CONFIG_FOLDER_NAME=".vscode",e.FOLDER_SETTINGS_NAME="settings",e.FOLDER_SETTINGS_PATH=`${e.FOLDER_CONFIG_FOLDER_NAME}/${e.FOLDER_SETTINGS_NAME}.json`,e.defaultSettingsSchemaId="vscode://schemas/settings/default",e.userSettingsSchemaId="vscode://schemas/settings/user",e.machineSettingsSchemaId="vscode://schemas/settings/machine",e.workspaceSettingsSchemaId="vscode://schemas/settings/workspace",e.folderSettingsSchemaId="vscode://schemas/settings/folder",e.launchSchemaId="vscode://schemas/launch",e.tasksSchemaId="vscode://schemas/tasks",e.LOCAL_MACHINE_SCOPES=[1,3,4,5],e.REMOTE_MACHINE_SCOPES=[2,3,4,5,6],e.WORKSPACE_SCOPES=[3,4,5,6],e.FOLDER_SCOPES=[4,5,6],e.TASKS_CONFIGURATION_KEY="tasks",e.LAUNCH_CONFIGURATION_KEY="launch",e.WORKSPACE_STANDALONE_CONFIGURATIONS=Object.create(null),e.WORKSPACE_STANDALONE_CONFIGURATIONS[e.TASKS_CONFIGURATION_KEY]=`${e.FOLDER_CONFIG_FOLDER_NAME}/${e.TASKS_CONFIGURATION_KEY}.json`,e.WORKSPACE_STANDALONE_CONFIGURATIONS[e.LAUNCH_CONFIGURATION_KEY]=`${e.FOLDER_CONFIG_FOLDER_NAME}/${e.LAUNCH_CONFIGURATION_KEY}.json`,e.USER_STANDALONE_CONFIGURATIONS=Object.create(null),e.USER_STANDALONE_CONFIGURATIONS[e.TASKS_CONFIGURATION_KEY]=`${e.TASKS_CONFIGURATION_KEY}.json`,e.IWorkbenchConfigurationService=(0,t.refineServiceDecorator)(k.IConfigurationService),e.TASKS_DEFAULT=`{
	"version": "2.0.0",
	"tasks": []
}`}),define(we[235],ye([0,1,6]),function(J,e,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IConfigurationResolverService=void 0,e.IConfigurationResolverService=(0,k.createDecorator)("configurationResolverService")}),define(we[236],ye([0,1,5,24,12,21,3,80,168]),function(J,e,k,t,p,C,P,D,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AbstractVariableResolverService=void 0;class I{constructor(R,g,b,c){this._contributedVariables=new Map,this._context=R,this._labelService=g,this._userHomePromise=b,c&&(this._envVariablesPromise=c.then(h=>this.prepareEnv(h)))}prepareEnv(R){if(P.isWindows){const g=Object.create(null);return Object.keys(R).forEach(b=>{g[b.toLowerCase()]=R[b]}),g}return R}resolveWithEnvironment(R,g,b){return this.recursiveResolve({env:this.prepareEnv(R)},g?g.uri:void 0,b)}async resolveAsync(R,g){const b={env:await this._envVariablesPromise,userHome:await this._userHomePromise};return this.recursiveResolve(b,R?R.uri:void 0,g)}async resolveAnyBase(R,g,b,c){const h=C.deepClone(g);P.isWindows&&h.windows?Object.keys(h.windows).forEach(E=>h[E]=h.windows[E]):P.isMacintosh&&h.osx?Object.keys(h.osx).forEach(E=>h[E]=h.osx[E]):P.isLinux&&h.linux&&Object.keys(h.linux).forEach(E=>h[E]=h.linux[E]),delete h.windows,delete h.osx,delete h.linux;const d={env:await this._envVariablesPromise,userHome:await this._userHomePromise};return this.recursiveResolve(d,R?R.uri:void 0,h,b,c)}async resolveAnyAsync(R,g,b){return this.resolveAnyBase(R,g,b)}async resolveAnyMap(R,g,b){const c=new Map;return{newConfig:await this.resolveAnyBase(R,g,b,c),resolvedVariables:c}}resolveWithInteractionReplace(R,g,b,c){throw new Error("resolveWithInteractionReplace not implemented.")}resolveWithInteraction(R,g,b,c){throw new Error("resolveWithInteraction not implemented.")}contributeVariable(R,g){if(this._contributedVariables.has(R))throw new Error("Variable "+R+" is contributed twice.");this._contributedVariables.set(R,g)}recursiveResolve(R,g,b,c,h){if(p.isString(b))return this.resolveString(R,g,b,c,h);if(p.isArray(b))return b.map(d=>this.recursiveResolve(R,g,d,c,h));if(p.isObject(b)){let d=Object.create(null);return Object.keys(b).forEach(E=>{const w=this.resolveString(R,g,E,c,h);d[w]=this.recursiveResolve(R,g,b[E],c,h)}),d}return b}resolveString(R,g,b,c,h){return b.replace(I.VARIABLE_REGEXP,(E,w)=>{if(w.includes(I.VARIABLE_LHS))return E;let f=this.evaluateSingleVariable(R,E,w,g,c);return h&&h.set(w,f),f!==E&&p.isString(f)&&f.match(I.VARIABLE_REGEXP)&&(f=this.resolveString(R,g,f,c,h)),f})}fsPath(R){return this._labelService?this._labelService.getUriLabel(R,{noPrefix:!0}):R.fsPath}evaluateSingleVariable(R,g,b,c,h){let d;const E=b.split(":");E.length>1&&(b=E[0],d=E[1]);const w=()=>{const u=this._context.getFilePath();if(u)return u;throw new Error((0,v.localize)(0,null,g))},f=()=>{const u=w();if(this._context.getWorkspaceFolderPathForFile){const o=this._context.getWorkspaceFolderPathForFile();if(o)return o}throw new Error((0,v.localize)(1,null,g,k.basename(u)))},y=()=>{if(d){const u=this._context.getFolderUri(d);if(u)return u;throw new Error((0,v.localize)(2,null,g,d))}if(c)return c;throw this._context.getWorkspaceFolderCount()>1?new Error((0,v.localize)(3,null,g)):new Error((0,v.localize)(4,null,g))};switch(b){case"env":if(d){if(R.env){const u=R.env[P.isWindows?d.toLowerCase():d];if(p.isString(u))return u}return""}throw new Error((0,v.localize)(5,null,g));case"config":if(d){const u=this._context.getConfigurationValue(c,d);if(p.isUndefinedOrNull(u))throw new Error((0,v.localize)(6,null,g,d));if(p.isObject(u))throw new Error((0,v.localize)(7,null,g,d));return u}throw new Error((0,v.localize)(8,null,g));case"command":return this.resolveFromMap(g,d,h,"command");case"input":return this.resolveFromMap(g,d,h,"input");default:switch(b){case"workspaceRoot":case"workspaceFolder":return(0,D.normalizeDriveLetter)(this.fsPath(y()));case"cwd":return c||d?(0,D.normalizeDriveLetter)(this.fsPath(y())):t.cwd();case"workspaceRootFolderName":case"workspaceFolderBasename":return k.basename(this.fsPath(y()));case"userHome":{if(R.userHome)return R.userHome;throw new Error((0,v.localize)(9,null,g))}case"lineNumber":{const u=this._context.getLineNumber();if(u)return u;throw new Error((0,v.localize)(10,null,g))}case"selectedText":{const u=this._context.getSelectedText();if(u)return u;throw new Error((0,v.localize)(11,null,g))}case"file":return w();case"fileWorkspaceFolder":return f();case"relativeFile":return c||d?k.relative(this.fsPath(y()),w()):w();case"relativeFileDirname":{const u=k.dirname(w());if(c||d){const o=k.relative(this.fsPath(y()),u);return o.length===0?".":o}return u}case"fileDirname":return k.dirname(w());case"fileExtname":return k.extname(w());case"fileBasename":return k.basename(w());case"fileBasenameNoExtension":{const u=k.basename(w());return u.slice(0,u.length-k.extname(u).length)}case"fileDirnameBasename":return k.basename(k.dirname(w()));case"execPath":{const u=this._context.getExecPath();return u||g}case"execInstallFolder":{const u=this._context.getAppRoot();return u||g}case"pathSeparator":return k.sep;default:try{const u=d?`${b}:${d}`:b;return this.resolveFromMap(g,u,h,void 0)}catch{return g}}}}resolveFromMap(R,g,b,c){if(g&&b){const h=c===void 0?b[g]:b[c+":"+g];if(typeof h=="string")return h;throw new Error((0,v.localize)(12,null,R))}return R}}e.AbstractVariableResolverService=I,I.VARIABLE_LHS="${",I.VARIABLE_REGEXP=/\$\{(.*?)\}/g}),define(we[237],ye([0,1,6,107]),function(J,e,k,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.preferredSideBySideGroupDirection=e.isEditorGroup=e.OpenEditorContext=e.GroupsOrder=e.isEditorReplacement=e.MergeGroupMode=e.GroupsArrangement=e.GroupLocation=e.GroupOrientation=e.GroupDirection=e.IEditorGroupsService=void 0,e.IEditorGroupsService=(0,k.createDecorator)("editorGroupsService");var p;(function(c){c[c.UP=0]="UP",c[c.DOWN=1]="DOWN",c[c.LEFT=2]="LEFT",c[c.RIGHT=3]="RIGHT"})(p=e.GroupDirection||(e.GroupDirection={}));var C;(function(c){c[c.HORIZONTAL=0]="HORIZONTAL",c[c.VERTICAL=1]="VERTICAL"})(C=e.GroupOrientation||(e.GroupOrientation={}));var P;(function(c){c[c.FIRST=0]="FIRST",c[c.LAST=1]="LAST",c[c.NEXT=2]="NEXT",c[c.PREVIOUS=3]="PREVIOUS"})(P=e.GroupLocation||(e.GroupLocation={}));var D;(function(c){c[c.MINIMIZE_OTHERS=0]="MINIMIZE_OTHERS",c[c.EVEN=1]="EVEN",c[c.TOGGLE=2]="TOGGLE"})(D=e.GroupsArrangement||(e.GroupsArrangement={}));var v;(function(c){c[c.COPY_EDITORS=0]="COPY_EDITORS",c[c.MOVE_EDITORS=1]="MOVE_EDITORS"})(v=e.MergeGroupMode||(e.MergeGroupMode={}));function I(c){const h=c;return(0,t.isEditorInput)(h?.editor)&&(0,t.isEditorInput)(h?.replacement)}e.isEditorReplacement=I;var L;(function(c){c[c.CREATION_TIME=0]="CREATION_TIME",c[c.MOST_RECENTLY_ACTIVE=1]="MOST_RECENTLY_ACTIVE",c[c.GRID_APPEARANCE=2]="GRID_APPEARANCE"})(L=e.GroupsOrder||(e.GroupsOrder={}));var R;(function(c){c[c.NEW_EDITOR=1]="NEW_EDITOR",c[c.MOVE_EDITOR=2]="MOVE_EDITOR",c[c.COPY_EDITOR=3]="COPY_EDITOR"})(R=e.OpenEditorContext||(e.OpenEditorContext={}));function g(c){const h=c;return!!h&&typeof h.id=="number"&&Array.isArray(h.editors)}e.isEditorGroup=g;function b(c){return c.getValue("workbench.editor.openSideBySideDirection")==="down"?1:3}e.preferredSideBySideGroupDirection=b}),define(we[110],ye([0,1,6,237]),function(J,e,k,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isPreferredGroup=e.SIDE_GROUP=e.ACTIVE_GROUP=e.IEditorService=void 0,e.IEditorService=(0,k.createDecorator)("editorService"),e.ACTIVE_GROUP=-1,e.SIDE_GROUP=-2;function p(C){const P=C;return typeof C=="number"||(0,t.isEditorGroup)(P)}e.isPreferredGroup=p}),define(we[238],ye([0,1,17,15,79,120,50,21,12,4,51,136,172,192,105,229,232,233,110,106]),function(J,e,k,t,p,C,P,D,v,I,L,R,g,b,c,h,d,E,w,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TypeHierarchyItem=e.CodeActionTriggerKind=e.TestCoverage=e.TestResults=e.TestItem=e.TestTag=e.TestMessage=e.NotebookRendererScript=e.NotebookDocumentContentOptions=e.NotebookStatusBarItem=e.NotebookDecorationRenderOptions=e.NotebookExclusiveDocumentPattern=e.NotebookCellOutput=e.NotebookCellOutputItem=e.NotebookCellData=e.NotebookData=e.NotebookCellKind=e.NotebookCellExecutionState=e.NotebookCellExecutionSummary=e.NotebookRange=e.LanguageSelector=e.GlobPattern=e.TextEditorOpenOptions=e.FoldingRangeKind=e.FoldingRange=e.ProgressLocation=e.EndOfLine=e.TextEditorLineNumbersStyle=e.TextDocumentSaveReason=e.SelectionRange=e.Color=e.ColorPresentation=e.DocumentLink=e.InlayHintKind=e.InlayHintLabelPart=e.InlayHint=e.SignatureHelp=e.SignatureInformation=e.ParameterInformation=e.CompletionItem=e.CompletionItemKind=e.CompletionItemTag=e.CompletionContext=e.CompletionTriggerKind=e.DocumentHighlight=e.InlineValueContext=e.InlineValue=e.EvaluatableExpression=e.Hover=e.DefinitionLink=e.location=e.CallHierarchyOutgoingCall=e.CallHierarchyIncomingCall=e.CallHierarchyItem=e.DocumentSymbol=e.WorkspaceSymbol=e.SymbolTag=e.SymbolKind=e.WorkspaceEdit=e.TextEdit=e.DecorationRenderOptions=e.DecorationRangeBehavior=e.ThemableDecorationRenderOptions=e.ThemableDecorationAttachmentRenderOptions=e.pathOrURIToURI=e.fromRangeOrRangeWithMessage=e.MarkdownString=e.isDecorationOptionsArr=e.ViewColumn=e.DiagnosticSeverity=e.DiagnosticRelatedInformation=e.Diagnostic=e.DiagnosticTag=e.DocumentSelector=e.Position=e.TokenType=e.Range=e.Selection=void 0;var y;(function(Ee){function Ce(x){const{selectionStartLineNumber:De,selectionStartColumn:_e,positionLineNumber:We,positionColumn:xe}=x,it=new f.Position(De-1,_e-1),ot=new f.Position(We-1,xe-1);return new f.Selection(it,ot)}Ee.to=Ce;function ce(x){const{anchor:De,active:_e}=x;return{selectionStartLineNumber:De.line+1,selectionStartColumn:De.character+1,positionLineNumber:_e.line+1,positionColumn:_e.character+1}}Ee.from=ce})(y=e.Selection||(e.Selection={}));var u;(function(Ee){function Ce(x){if(!x)return;const{start:De,end:_e}=x;return{startLineNumber:De.line+1,startColumn:De.character+1,endLineNumber:_e.line+1,endColumn:_e.character+1}}Ee.from=Ce;function ce(x){if(!x)return;const{startLineNumber:De,startColumn:_e,endLineNumber:We,endColumn:xe}=x;return new f.Range(De-1,_e-1,We-1,xe-1)}Ee.to=ce})(u=e.Range||(e.Range={}));var o;(function(Ee){function Ce(ce){switch(ce){case 1:return f.StandardTokenType.Comment;case 0:return f.StandardTokenType.Other;case 3:return f.StandardTokenType.RegEx;case 2:return f.StandardTokenType.String}}Ee.to=Ce})(o=e.TokenType||(e.TokenType={}));var l;(function(Ee){function Ce(x){return new f.Position(x.lineNumber-1,x.column-1)}Ee.to=Ce;function ce(x){return{lineNumber:x.line+1,column:x.character+1}}Ee.from=ce})(l=e.Position||(e.Position={}));var s;(function(Ee){function Ce(De,_e){return(0,k.coalesce)((0,k.asArray)(De).map(We=>ce(We,_e)))}Ee.from=Ce;function ce(De,_e){if(typeof De=="string")return{$serialized:!0,language:De};if(De)return{$serialized:!0,language:De.language,scheme:x(De.scheme,_e),pattern:ne.from(De.pattern)??void 0,exclusive:De.exclusive,notebookType:De.notebookType}}function x(De,_e){return _e&&typeof De=="string"?_e.transformOutgoingScheme(De):De}})(s=e.DocumentSelector||(e.DocumentSelector={}));var n;(function(Ee){function Ce(x){switch(x){case f.DiagnosticTag.Unnecessary:return 1;case f.DiagnosticTag.Deprecated:return 2}}Ee.from=Ce;function ce(x){switch(x){case 1:return f.DiagnosticTag.Unnecessary;case 2:return f.DiagnosticTag.Deprecated;default:return}}Ee.to=ce})(n=e.DiagnosticTag||(e.DiagnosticTag={}));var i;(function(Ee){function Ce(x){let De;return x.code&&((0,v.isString)(x.code)||(0,v.isNumber)(x.code)?De=String(x.code):De={value:String(x.code.value),target:x.code.target}),{...u.from(x.range),message:x.message,source:x.source,code:De,severity:a.from(x.severity),relatedInformation:x.relatedInformation&&x.relatedInformation.map(r.from),tags:Array.isArray(x.tags)?(0,k.coalesce)(x.tags.map(n.from)):void 0}}Ee.from=Ce;function ce(x){const De=new f.Diagnostic(u.to(x),x.message,a.to(x.severity));return De.source=x.source,De.code=(0,v.isString)(x.code)?x.code:x.code?.value,De.relatedInformation=x.relatedInformation&&x.relatedInformation.map(r.to),De.tags=x.tags&&(0,k.coalesce)(x.tags.map(n.to)),De}Ee.to=ce})(i=e.Diagnostic||(e.Diagnostic={}));var r;(function(Ee){function Ce(x){return{...u.from(x.location.range),message:x.message,resource:x.location.uri}}Ee.from=Ce;function ce(x){return new f.DiagnosticRelatedInformation(new f.Location(x.resource,u.to(x)),x.message)}Ee.to=ce})(r=e.DiagnosticRelatedInformation||(e.DiagnosticRelatedInformation={}));var a;(function(Ee){function Ce(x){switch(x){case f.DiagnosticSeverity.Error:return b.MarkerSeverity.Error;case f.DiagnosticSeverity.Warning:return b.MarkerSeverity.Warning;case f.DiagnosticSeverity.Information:return b.MarkerSeverity.Info;case f.DiagnosticSeverity.Hint:return b.MarkerSeverity.Hint}return b.MarkerSeverity.Error}Ee.from=Ce;function ce(x){switch(x){case b.MarkerSeverity.Info:return f.DiagnosticSeverity.Information;case b.MarkerSeverity.Warning:return f.DiagnosticSeverity.Warning;case b.MarkerSeverity.Error:return f.DiagnosticSeverity.Error;case b.MarkerSeverity.Hint:return f.DiagnosticSeverity.Hint;default:return f.DiagnosticSeverity.Error}}Ee.to=ce})(a=e.DiagnosticSeverity||(e.DiagnosticSeverity={}));var m;(function(Ee){function Ce(x){return typeof x=="number"&&x>=f.ViewColumn.One?x-1:x===f.ViewColumn.Beside?w.SIDE_GROUP:w.ACTIVE_GROUP}Ee.from=Ce;function ce(x){if(typeof x=="number"&&x>=0)return x+1;throw new Error("invalid 'EditorGroupColumn'")}Ee.to=ce})(m=e.ViewColumn||(e.ViewColumn={}));function S(Ee){return typeof Ee.range!="undefined"}function _(Ee){return Ee.length===0?!0:!!S(Ee[0])}e.isDecorationOptionsArr=_;var F;(function(Ee){function Ce(xe){return xe.map(Ee.from)}Ee.fromMany=Ce;function ce(xe){return xe&&typeof xe=="object"&&typeof xe.language=="string"&&typeof xe.value=="string"}function x(xe){let it;if(ce(xe)){const{language:lt,value:ut}=xe;it={value:"```"+lt+`
`+ut+"\n```\n"}}else f.MarkdownString.isMarkdownString(xe)?it={value:xe.value,isTrusted:xe.isTrusted,supportThemeIcons:xe.supportThemeIcons,supportHtml:xe.supportHtml,baseUri:xe.baseUri}:typeof xe=="string"?it={value:xe}:it={value:""};const ot=Object.create(null);it.uris=ot;const Et=lt=>{try{let ut=I.URI.parse(lt,!0);ut=ut.with({query:De(ut.query,ot)}),ot[lt]=ut}catch{}return""},ct=new C.marked.Renderer;return ct.link=Et,ct.image=lt=>typeof lt=="string"?Et(p.parseHrefAndDimensions(lt).href):"",(0,C.marked)(it.value,{renderer:ct}),it}Ee.from=x;function De(xe,it){if(!xe)return xe;let ot;try{ot=(0,P.parse)(xe)}catch{}if(!ot)return xe;let Et=!1;return ot=(0,D.cloneAndChange)(ot,ct=>{if(I.URI.isUri(ct)){const lt=`__uri_${Math.random().toString(16).slice(2,8)}`;return it[lt]=ct,Et=!0,lt}else return}),Et?JSON.stringify(ot):xe}function _e(xe){const it=new f.MarkdownString(xe.value,xe.supportThemeIcons);return it.isTrusted=xe.isTrusted,it.supportHtml=xe.supportHtml,it.baseUri=xe.baseUri?I.URI.from(xe.baseUri):void 0,it}Ee.to=_e;function We(xe){if(!!xe)return typeof xe=="string"?xe:Ee.from(xe)}Ee.fromStrict=We})(F=e.MarkdownString||(e.MarkdownString={}));function B(Ee){return _(Ee)?Ee.map(Ce=>({range:u.from(Ce.range),hoverMessage:Array.isArray(Ce.hoverMessage)?F.fromMany(Ce.hoverMessage):Ce.hoverMessage?F.from(Ce.hoverMessage):void 0,renderOptions:Ce.renderOptions})):Ee.map(Ce=>({range:u.from(Ce)}))}e.fromRangeOrRangeWithMessage=B;function A(Ee){return typeof Ee=="undefined"?Ee:typeof Ee=="string"?I.URI.file(Ee):Ee}e.pathOrURIToURI=A;var T;(function(Ee){function Ce(ce){return typeof ce=="undefined"?ce:{contentText:ce.contentText,contentIconPath:ce.contentIconPath?A(ce.contentIconPath):void 0,border:ce.border,borderColor:ce.borderColor,fontStyle:ce.fontStyle,fontWeight:ce.fontWeight,textDecoration:ce.textDecoration,color:ce.color,backgroundColor:ce.backgroundColor,margin:ce.margin,width:ce.width,height:ce.height}}Ee.from=Ce})(T=e.ThemableDecorationAttachmentRenderOptions||(e.ThemableDecorationAttachmentRenderOptions={}));var U;(function(Ee){function Ce(ce){return typeof ce=="undefined"?ce:{backgroundColor:ce.backgroundColor,outline:ce.outline,outlineColor:ce.outlineColor,outlineStyle:ce.outlineStyle,outlineWidth:ce.outlineWidth,border:ce.border,borderColor:ce.borderColor,borderRadius:ce.borderRadius,borderSpacing:ce.borderSpacing,borderStyle:ce.borderStyle,borderWidth:ce.borderWidth,fontStyle:ce.fontStyle,fontWeight:ce.fontWeight,textDecoration:ce.textDecoration,cursor:ce.cursor,color:ce.color,opacity:ce.opacity,letterSpacing:ce.letterSpacing,gutterIconPath:ce.gutterIconPath?A(ce.gutterIconPath):void 0,gutterIconSize:ce.gutterIconSize,overviewRulerColor:ce.overviewRulerColor,before:ce.before?T.from(ce.before):void 0,after:ce.after?T.from(ce.after):void 0}}Ee.from=Ce})(U=e.ThemableDecorationRenderOptions||(e.ThemableDecorationRenderOptions={}));var N;(function(Ee){function Ce(ce){if(typeof ce=="undefined")return ce;switch(ce){case f.DecorationRangeBehavior.OpenOpen:return 0;case f.DecorationRangeBehavior.ClosedClosed:return 1;case f.DecorationRangeBehavior.OpenClosed:return 2;case f.DecorationRangeBehavior.ClosedOpen:return 3}}Ee.from=Ce})(N=e.DecorationRangeBehavior||(e.DecorationRangeBehavior={}));var W;(function(Ee){function Ce(ce){return{isWholeLine:ce.isWholeLine,rangeBehavior:ce.rangeBehavior?N.from(ce.rangeBehavior):void 0,overviewRulerLane:ce.overviewRulerLane,light:ce.light?U.from(ce.light):void 0,dark:ce.dark?U.from(ce.dark):void 0,backgroundColor:ce.backgroundColor,outline:ce.outline,outlineColor:ce.outlineColor,outlineStyle:ce.outlineStyle,outlineWidth:ce.outlineWidth,border:ce.border,borderColor:ce.borderColor,borderRadius:ce.borderRadius,borderSpacing:ce.borderSpacing,borderStyle:ce.borderStyle,borderWidth:ce.borderWidth,fontStyle:ce.fontStyle,fontWeight:ce.fontWeight,textDecoration:ce.textDecoration,cursor:ce.cursor,color:ce.color,opacity:ce.opacity,letterSpacing:ce.letterSpacing,gutterIconPath:ce.gutterIconPath?A(ce.gutterIconPath):void 0,gutterIconSize:ce.gutterIconSize,overviewRulerColor:ce.overviewRulerColor,before:ce.before?T.from(ce.before):void 0,after:ce.after?T.from(ce.after):void 0}}Ee.from=Ce})(W=e.DecorationRenderOptions||(e.DecorationRenderOptions={}));var ie;(function(Ee){function Ce(x){return{text:x.newText,eol:x.newEol&&Me.from(x.newEol),range:u.from(x.range)}}Ee.from=Ce;function ce(x){const De=new f.TextEdit(u.to(x.range),x.text);return De.newEol=typeof x.eol=="undefined"?void 0:Me.to(x.eol),De}Ee.to=ce})(ie=e.TextEdit||(e.TextEdit={}));var q;(function(Ee){function Ce(x,De){const _e={edits:[]};if(x instanceof f.WorkspaceEdit)for(let We of x._allEntries())We._type===1?_e.edits.push({_type:1,oldUri:We.from,newUri:We.to,options:We.options,metadata:We.metadata}):We._type===2?_e.edits.push({_type:2,resource:We.uri,edit:ie.from(We.edit),modelVersionId:De?.getTextDocumentVersion(We.uri),metadata:We.metadata}):We._type===3?_e.edits.push({_type:3,metadata:We.metadata,resource:We.uri,edit:We.edit,notebookMetadata:We.notebookMetadata,notebookVersionId:De?.getNotebookDocumentVersion(We.uri)}):We._type===5&&_e.edits.push({_type:3,metadata:We.metadata,resource:We.uri,notebookVersionId:De?.getNotebookDocumentVersion(We.uri),edit:{editType:1,index:We.index,count:We.count,cells:We.cells.map(Ve.from)}});return _e}Ee.from=Ce;function ce(x){const De=new f.WorkspaceEdit;for(const _e of x.edits)_e.edit?De.replace(I.URI.revive(_e.resource),u.to(_e.edit.range),_e.edit.text):De.renameFile(I.URI.revive(_e.oldUri),I.URI.revive(_e.newUri),_e.options);return De}Ee.to=ce})(q=e.WorkspaceEdit||(e.WorkspaceEdit={}));var se;(function(Ee){const Ce=Object.create(null);Ce[f.SymbolKind.File]=0,Ce[f.SymbolKind.Module]=1,Ce[f.SymbolKind.Namespace]=2,Ce[f.SymbolKind.Package]=3,Ce[f.SymbolKind.Class]=4,Ce[f.SymbolKind.Method]=5,Ce[f.SymbolKind.Property]=6,Ce[f.SymbolKind.Field]=7,Ce[f.SymbolKind.Constructor]=8,Ce[f.SymbolKind.Enum]=9,Ce[f.SymbolKind.Interface]=10,Ce[f.SymbolKind.Function]=11,Ce[f.SymbolKind.Variable]=12,Ce[f.SymbolKind.Constant]=13,Ce[f.SymbolKind.String]=14,Ce[f.SymbolKind.Number]=15,Ce[f.SymbolKind.Boolean]=16,Ce[f.SymbolKind.Array]=17,Ce[f.SymbolKind.Object]=18,Ce[f.SymbolKind.Key]=19,Ce[f.SymbolKind.Null]=20,Ce[f.SymbolKind.EnumMember]=21,Ce[f.SymbolKind.Struct]=22,Ce[f.SymbolKind.Event]=23,Ce[f.SymbolKind.Operator]=24,Ce[f.SymbolKind.TypeParameter]=25;function ce(De){return typeof Ce[De]=="number"?Ce[De]:6}Ee.from=ce;function x(De){for(const _e in Ce)if(Ce[_e]===De)return Number(_e);return f.SymbolKind.Property}Ee.to=x})(se=e.SymbolKind||(e.SymbolKind={}));var V;(function(Ee){function Ce(x){switch(x){case f.SymbolTag.Deprecated:return 1}}Ee.from=Ce;function ce(x){switch(x){case 1:return f.SymbolTag.Deprecated}}Ee.to=ce})(V=e.SymbolTag||(e.SymbolTag={}));var K;(function(Ee){function Ce(x){return{name:x.name,kind:se.from(x.kind),tags:x.tags&&x.tags.map(V.from),containerName:x.containerName,location:X.from(x.location)}}Ee.from=Ce;function ce(x){const De=new f.SymbolInformation(x.name,se.to(x.kind),x.containerName,X.to(x.location));return De.tags=x.tags&&x.tags.map(V.to),De}Ee.to=ce})(K=e.WorkspaceSymbol||(e.WorkspaceSymbol={}));var te;(function(Ee){function Ce(x){const De={name:x.name||"!!MISSING: name!!",detail:x.detail,range:u.from(x.range),selectionRange:u.from(x.selectionRange),kind:se.from(x.kind),tags:x.tags?.map(V.from)??[]};return x.children&&(De.children=x.children.map(Ce)),De}Ee.from=Ce;function ce(x){const De=new f.DocumentSymbol(x.name,x.detail,se.to(x.kind),u.to(x.range),u.to(x.selectionRange));return(0,k.isNonEmptyArray)(x.tags)&&(De.tags=x.tags.map(V.to)),x.children&&(De.children=x.children.map(ce)),De}Ee.to=ce})(te=e.DocumentSymbol||(e.DocumentSymbol={}));var re;(function(Ee){function Ce(x){const De=new f.CallHierarchyItem(se.to(x.kind),x.name,x.detail||"",I.URI.revive(x.uri),u.to(x.range),u.to(x.selectionRange));return De._sessionId=x._sessionId,De._itemId=x._itemId,De}Ee.to=Ce;function ce(x,De,_e){if(De=De??x._sessionId,_e=_e??x._itemId,De===void 0||_e===void 0)throw new Error("invalid item");return{_sessionId:De,_itemId:_e,name:x.name,detail:x.detail,kind:se.from(x.kind),uri:x.uri,range:u.from(x.range),selectionRange:u.from(x.selectionRange),tags:x.tags?.map(V.from)}}Ee.from=ce})(re=e.CallHierarchyItem||(e.CallHierarchyItem={}));var oe;(function(Ee){function Ce(ce){return new f.CallHierarchyIncomingCall(re.to(ce.from),ce.fromRanges.map(x=>u.to(x)))}Ee.to=Ce})(oe=e.CallHierarchyIncomingCall||(e.CallHierarchyIncomingCall={}));var me;(function(Ee){function Ce(ce){return new f.CallHierarchyOutgoingCall(re.to(ce.to),ce.fromRanges.map(x=>u.to(x)))}Ee.to=Ce})(me=e.CallHierarchyOutgoingCall||(e.CallHierarchyOutgoingCall={}));var X;(function(Ee){function Ce(x){return{range:x.range&&u.from(x.range),uri:x.uri}}Ee.from=Ce;function ce(x){return new f.Location(I.URI.revive(x.uri),u.to(x.range))}Ee.to=ce})(X=e.location||(e.location={}));var $;(function(Ee){function Ce(x){const De=x,_e=x;return{originSelectionRange:De.originSelectionRange?u.from(De.originSelectionRange):void 0,uri:De.targetUri?De.targetUri:_e.uri,range:u.from(De.targetRange?De.targetRange:_e.range),targetSelectionRange:De.targetSelectionRange?u.from(De.targetSelectionRange):void 0}}Ee.from=Ce;function ce(x){return{targetUri:I.URI.revive(x.uri),targetRange:u.to(x.range),targetSelectionRange:x.targetSelectionRange?u.to(x.targetSelectionRange):void 0,originSelectionRange:x.originSelectionRange?u.to(x.originSelectionRange):void 0}}Ee.to=ce})($=e.DefinitionLink||(e.DefinitionLink={}));var H;(function(Ee){function Ce(x){return{range:u.from(x.range),contents:F.fromMany(x.contents)}}Ee.from=Ce;function ce(x){return new f.Hover(x.contents.map(F.to),u.to(x.range))}Ee.to=ce})(H=e.Hover||(e.Hover={}));var j;(function(Ee){function Ce(x){return{range:u.from(x.range),expression:x.expression}}Ee.from=Ce;function ce(x){return new f.EvaluatableExpression(u.to(x.range),x.expression)}Ee.to=ce})(j=e.EvaluatableExpression||(e.EvaluatableExpression={}));var ee;(function(Ee){function Ce(x){if(x instanceof f.InlineValueText)return{type:"text",range:u.from(x.range),text:x.text};if(x instanceof f.InlineValueVariableLookup)return{type:"variable",range:u.from(x.range),variableName:x.variableName,caseSensitiveLookup:x.caseSensitiveLookup};if(x instanceof f.InlineValueEvaluatableExpression)return{type:"expression",range:u.from(x.range),expression:x.expression};throw new Error("Unknown 'InlineValue' type")}Ee.from=Ce;function ce(x){switch(x.type){case"text":return{range:u.to(x.range),text:x.text};case"variable":return{range:u.to(x.range),variableName:x.variableName,caseSensitiveLookup:x.caseSensitiveLookup};case"expression":return{range:u.to(x.range),expression:x.expression}}}Ee.to=ce})(ee=e.InlineValue||(e.InlineValue={}));var he;(function(Ee){function Ce(x){return{frameId:x.frameId,stoppedLocation:u.from(x.stoppedLocation)}}Ee.from=Ce;function ce(x){return new f.InlineValueContext(x.frameId,u.to(x.stoppedLocation))}Ee.to=ce})(he=e.InlineValueContext||(e.InlineValueContext={}));var Ie;(function(Ee){function Ce(x){return{range:u.from(x.range),kind:x.kind}}Ee.from=Ce;function ce(x){return new f.DocumentHighlight(u.to(x.range),x.kind)}Ee.to=ce})(Ie=e.DocumentHighlight||(e.DocumentHighlight={}));var ae;(function(Ee){function Ce(ce){switch(ce){case 1:return f.CompletionTriggerKind.TriggerCharacter;case 2:return f.CompletionTriggerKind.TriggerForIncompleteCompletions;case 0:default:return f.CompletionTriggerKind.Invoke}}Ee.to=Ce})(ae=e.CompletionTriggerKind||(e.CompletionTriggerKind={}));var fe;(function(Ee){function Ce(ce){return{triggerKind:ae.to(ce.triggerKind),triggerCharacter:ce.triggerCharacter}}Ee.to=Ce})(fe=e.CompletionContext||(e.CompletionContext={}));var ve;(function(Ee){function Ce(x){switch(x){case f.CompletionItemTag.Deprecated:return 1}}Ee.from=Ce;function ce(x){switch(x){case 1:return f.CompletionItemTag.Deprecated}}Ee.to=ce})(ve=e.CompletionItemTag||(e.CompletionItemTag={}));var Q;(function(Ee){const Ce=new Map([[f.CompletionItemKind.Method,0],[f.CompletionItemKind.Function,1],[f.CompletionItemKind.Constructor,2],[f.CompletionItemKind.Field,3],[f.CompletionItemKind.Variable,4],[f.CompletionItemKind.Class,5],[f.CompletionItemKind.Interface,7],[f.CompletionItemKind.Struct,6],[f.CompletionItemKind.Module,8],[f.CompletionItemKind.Property,9],[f.CompletionItemKind.Unit,12],[f.CompletionItemKind.Value,13],[f.CompletionItemKind.Constant,14],[f.CompletionItemKind.Enum,15],[f.CompletionItemKind.EnumMember,16],[f.CompletionItemKind.Keyword,17],[f.CompletionItemKind.Snippet,27],[f.CompletionItemKind.Text,18],[f.CompletionItemKind.Color,19],[f.CompletionItemKind.File,20],[f.CompletionItemKind.Reference,21],[f.CompletionItemKind.Folder,23],[f.CompletionItemKind.Event,10],[f.CompletionItemKind.Operator,11],[f.CompletionItemKind.TypeParameter,24],[f.CompletionItemKind.Issue,26],[f.CompletionItemKind.User,25]]);function ce(_e){return Ce.get(_e)??9}Ee.from=ce;const x=new Map([[0,f.CompletionItemKind.Method],[1,f.CompletionItemKind.Function],[2,f.CompletionItemKind.Constructor],[3,f.CompletionItemKind.Field],[4,f.CompletionItemKind.Variable],[5,f.CompletionItemKind.Class],[7,f.CompletionItemKind.Interface],[6,f.CompletionItemKind.Struct],[8,f.CompletionItemKind.Module],[9,f.CompletionItemKind.Property],[12,f.CompletionItemKind.Unit],[13,f.CompletionItemKind.Value],[14,f.CompletionItemKind.Constant],[15,f.CompletionItemKind.Enum],[16,f.CompletionItemKind.EnumMember],[17,f.CompletionItemKind.Keyword],[27,f.CompletionItemKind.Snippet],[18,f.CompletionItemKind.Text],[19,f.CompletionItemKind.Color],[20,f.CompletionItemKind.File],[21,f.CompletionItemKind.Reference],[23,f.CompletionItemKind.Folder],[10,f.CompletionItemKind.Event],[11,f.CompletionItemKind.Operator],[24,f.CompletionItemKind.TypeParameter],[25,f.CompletionItemKind.User],[26,f.CompletionItemKind.Issue]]);function De(_e){return x.get(_e)??f.CompletionItemKind.Property}Ee.to=De})(Q=e.CompletionItemKind||(e.CompletionItemKind={}));var z;(function(Ee){function Ce(ce,x){const De=new f.CompletionItem(ce.label);return De.insertText=ce.insertText,De.kind=Q.to(ce.kind),De.tags=ce.tags?.map(ve.to),De.detail=ce.detail,De.documentation=p.isMarkdownString(ce.documentation)?F.to(ce.documentation):ce.documentation,De.sortText=ce.sortText,De.filterText=ce.filterText,De.preselect=ce.preselect,De.commitCharacters=ce.commitCharacters,L.Range.isIRange(ce.range)?De.range=u.to(ce.range):typeof ce.range=="object"&&(De.range={inserting:u.to(ce.range.insert),replacing:u.to(ce.range.replace)}),De.keepWhitespace=typeof ce.insertTextRules=="undefined"?!1:Boolean(ce.insertTextRules&1),typeof ce.insertTextRules!="undefined"&&ce.insertTextRules&4?De.insertText=new f.SnippetString(ce.insertText):(De.insertText=ce.insertText,De.textEdit=De.range instanceof f.Range?new f.TextEdit(De.range,De.insertText):void 0),ce.additionalTextEdits&&ce.additionalTextEdits.length>0&&(De.additionalTextEdits=ce.additionalTextEdits.map(_e=>ie.to(_e))),De.command=x&&ce.command?x.fromInternal(ce.command):void 0,De}Ee.to=Ce})(z=e.CompletionItem||(e.CompletionItem={}));var G;(function(Ee){function Ce(x){return{label:x.label,documentation:F.fromStrict(x.documentation)}}Ee.from=Ce;function ce(x){return{label:x.label,documentation:p.isMarkdownString(x.documentation)?F.to(x.documentation):x.documentation}}Ee.to=ce})(G=e.ParameterInformation||(e.ParameterInformation={}));var Y;(function(Ee){function Ce(x){return{label:x.label,documentation:F.fromStrict(x.documentation),parameters:Array.isArray(x.parameters)?x.parameters.map(G.from):[],activeParameter:x.activeParameter}}Ee.from=Ce;function ce(x){return{label:x.label,documentation:p.isMarkdownString(x.documentation)?F.to(x.documentation):x.documentation,parameters:Array.isArray(x.parameters)?x.parameters.map(G.to):[],activeParameter:x.activeParameter}}Ee.to=ce})(Y=e.SignatureInformation||(e.SignatureInformation={}));var ue;(function(Ee){function Ce(x){return{activeSignature:x.activeSignature,activeParameter:x.activeParameter,signatures:Array.isArray(x.signatures)?x.signatures.map(Y.from):[]}}Ee.from=Ce;function ce(x){return{activeSignature:x.activeSignature,activeParameter:x.activeParameter,signatures:Array.isArray(x.signatures)?x.signatures.map(Y.to):[]}}Ee.to=ce})(ue=e.SignatureHelp||(e.SignatureHelp={}));var pe;(function(Ee){function Ce(ce,x){const De=new f.InlayHint(l.to(x.position),typeof x.label=="string"?x.label:x.label.map(Pe.to.bind(void 0,ce)),x.kind&&Re.to(x.kind));return De.tooltip=p.isMarkdownString(x.tooltip)?F.to(x.tooltip):x.tooltip,De.paddingLeft=x.paddingLeft,De.paddingRight=x.paddingRight,De}Ee.to=Ce})(pe=e.InlayHint||(e.InlayHint={}));var Pe;(function(Ee){function Ce(ce,x){const De=new f.InlayHintLabelPart(x.label);return De.tooltip=p.isMarkdownString(x.tooltip)?F.to(x.tooltip):x.tooltip,R.Command.is(x.command)&&(De.command=ce.fromInternal(x.command)),x.location&&(De.location=X.to(x.location)),De}Ee.to=Ce})(Pe=e.InlayHintLabelPart||(e.InlayHintLabelPart={}));var Re;(function(Ee){function Ce(x){return x}Ee.from=Ce;function ce(x){return x}Ee.to=ce})(Re=e.InlayHintKind||(e.InlayHintKind={}));var Fe;(function(Ee){function Ce(x){return{range:u.from(x.range),url:x.target,tooltip:x.tooltip}}Ee.from=Ce;function ce(x){let De;if(x.url)try{De=typeof x.url=="string"?I.URI.parse(x.url,!0):I.URI.revive(x.url)}catch{}return new f.DocumentLink(u.to(x.range),De)}Ee.to=ce})(Fe=e.DocumentLink||(e.DocumentLink={}));var Ue;(function(Ee){function Ce(x){const De=new f.ColorPresentation(x.label);return x.textEdit&&(De.textEdit=ie.to(x.textEdit)),x.additionalTextEdits&&(De.additionalTextEdits=x.additionalTextEdits.map(_e=>ie.to(_e))),De}Ee.to=Ce;function ce(x){return{label:x.label,textEdit:x.textEdit?ie.from(x.textEdit):void 0,additionalTextEdits:x.additionalTextEdits?x.additionalTextEdits.map(De=>ie.from(De)):void 0}}Ee.from=ce})(Ue=e.ColorPresentation||(e.ColorPresentation={}));var le;(function(Ee){function Ce(x){return new f.Color(x[0],x[1],x[2],x[3])}Ee.to=Ce;function ce(x){return[x.red,x.green,x.blue,x.alpha]}Ee.from=ce})(le=e.Color||(e.Color={}));var ge;(function(Ee){function Ce(x){return{range:u.from(x.range)}}Ee.from=Ce;function ce(x){return new f.SelectionRange(u.to(x.range))}Ee.to=ce})(ge=e.SelectionRange||(e.SelectionRange={}));var de;(function(Ee){function Ce(ce){switch(ce){case 2:return f.TextDocumentSaveReason.AfterDelay;case 1:return f.TextDocumentSaveReason.Manual;case 3:case 4:return f.TextDocumentSaveReason.FocusOut}}Ee.to=Ce})(de=e.TextDocumentSaveReason||(e.TextDocumentSaveReason={}));var Te;(function(Ee){function Ce(x){switch(x){case f.TextEditorLineNumbersStyle.Off:return 0;case f.TextEditorLineNumbersStyle.Relative:return 2;case f.TextEditorLineNumbersStyle.On:default:return 1}}Ee.from=Ce;function ce(x){switch(x){case 0:return f.TextEditorLineNumbersStyle.Off;case 2:return f.TextEditorLineNumbersStyle.Relative;case 1:default:return f.TextEditorLineNumbersStyle.On}}Ee.to=ce})(Te=e.TextEditorLineNumbersStyle||(e.TextEditorLineNumbersStyle={}));var Me;(function(Ee){function Ce(x){if(x===f.EndOfLine.CRLF)return 1;if(x===f.EndOfLine.LF)return 0}Ee.from=Ce;function ce(x){if(x===1)return f.EndOfLine.CRLF;if(x===0)return f.EndOfLine.LF}Ee.to=ce})(Me=e.EndOfLine||(e.EndOfLine={}));var je;(function(Ee){function Ce(ce){if(typeof ce=="object")return ce.viewId;switch(ce){case f.ProgressLocation.SourceControl:return 3;case f.ProgressLocation.Window:return 10;case f.ProgressLocation.Notification:return 15}throw new Error("Unknown 'ProgressLocation'")}Ee.from=Ce})(je=e.ProgressLocation||(e.ProgressLocation={}));var Be;(function(Ee){function Ce(ce){const x={start:ce.start+1,end:ce.end+1};return ce.kind&&(x.kind=He.from(ce.kind)),x}Ee.from=Ce})(Be=e.FoldingRange||(e.FoldingRange={}));var He;(function(Ee){function Ce(ce){if(ce)switch(ce){case f.FoldingRangeKind.Comment:return R.FoldingRangeKind.Comment;case f.FoldingRangeKind.Imports:return R.FoldingRangeKind.Imports;case f.FoldingRangeKind.Region:return R.FoldingRangeKind.Region}}Ee.from=Ce})(He=e.FoldingRangeKind||(e.FoldingRangeKind={}));var qe;(function(Ee){function Ce(ce){if(ce)return{pinned:typeof ce.preview=="boolean"?!ce.preview:void 0,inactive:ce.background,preserveFocus:ce.preserveFocus,selection:typeof ce.selection=="object"?u.from(ce.selection):void 0,override:typeof ce.override=="boolean"?g.EditorResolution.DISABLED:void 0}}Ee.from=Ce})(qe=e.TextEditorOpenOptions||(e.TextEditorOpenOptions={}));var ne;(function(Ee){function Ce(_e){return _e instanceof f.RelativePattern?_e.toJSON():typeof _e=="string"?_e:ce(_e)||x(_e)?new f.RelativePattern(_e.baseUri??_e.base,_e.pattern).toJSON():_e}Ee.from=Ce;function ce(_e){const We=_e;return We?I.URI.isUri(We.baseUri)&&typeof We.pattern=="string":!1}function x(_e){const We=_e;return We?typeof We.base=="string"&&typeof We.pattern=="string":!1}function De(_e){return typeof _e=="string"?_e:new f.RelativePattern(I.URI.revive(_e.baseUri),_e.pattern)}Ee.to=De})(ne=e.GlobPattern||(e.GlobPattern={}));var be;(function(Ee){function Ce(ce){if(ce){if(Array.isArray(ce))return ce.map(Ce);if(typeof ce=="string")return ce;{const x=ce;return{language:x.language,scheme:x.scheme,pattern:ne.from(x.pattern),exclusive:x.exclusive}}}else return}Ee.from=Ce})(be=e.LanguageSelector||(e.LanguageSelector={}));var ke;(function(Ee){function Ce(x){return{start:x.start,end:x.end}}Ee.from=Ce;function ce(x){return new f.NotebookRange(x.start,x.end)}Ee.to=ce})(ke=e.NotebookRange||(e.NotebookRange={}));var Le;(function(Ee){function Ce(x){return{timing:typeof x.runStartTime=="number"&&typeof x.runEndTime=="number"?{startTime:x.runStartTime,endTime:x.runEndTime}:void 0,executionOrder:x.executionOrder,success:x.lastRunSuccess}}Ee.to=Ce;function ce(x){return{lastRunSuccess:x.success,runStartTime:x.timing?.startTime,runEndTime:x.timing?.endTime,executionOrder:x.executionOrder}}Ee.from=ce})(Le=e.NotebookCellExecutionSummary||(e.NotebookCellExecutionSummary={}));var Ne;(function(Ee){function Ce(ce){if(ce===h.NotebookCellExecutionState.Executing)return f.NotebookCellExecutionState.Executing;if(ce===h.NotebookCellExecutionState.Pending)return f.NotebookCellExecutionState.Pending;if(ce===h.NotebookCellExecutionState.Unconfirmed)return f.NotebookCellExecutionState.Pending;throw new Error(`Unknown state: ${ce}`)}Ee.to=Ce})(Ne=e.NotebookCellExecutionState||(e.NotebookCellExecutionState={}));var Ye;(function(Ee){function Ce(x){switch(x){case f.NotebookCellKind.Markup:return h.CellKind.Markup;case f.NotebookCellKind.Code:default:return h.CellKind.Code}}Ee.from=Ce;function ce(x){switch(x){case h.CellKind.Markup:return f.NotebookCellKind.Markup;case h.CellKind.Code:default:return f.NotebookCellKind.Code}}Ee.to=ce})(Ye=e.NotebookCellKind||(e.NotebookCellKind={}));var $e;(function(Ee){function Ce(x){const De={metadata:x.metadata??Object.create(null),cells:[]};for(let _e of x.cells)f.NotebookCellData.validate(_e),De.cells.push(Ve.from(_e));return De}Ee.from=Ce;function ce(x){const De=new f.NotebookData(x.cells.map(Ve.to));return(0,v.isEmptyObject)(x.metadata)||(De.metadata=x.metadata),De}Ee.to=ce})($e=e.NotebookData||(e.NotebookData={}));var Ve;(function(Ee){function Ce(x){return{cellKind:Ye.from(x.kind),language:x.languageId,mime:x.mime,source:x.value,metadata:x.metadata,internalMetadata:Le.from(x.executionSummary??{}),outputs:x.outputs?x.outputs.map(Ge.from):[]}}Ee.from=Ce;function ce(x){return new f.NotebookCellData(Ye.to(x.cellKind),x.source,x.language,x.mime,x.outputs?x.outputs.map(Ge.to):void 0,x.metadata,x.internalMetadata?Le.to(x.internalMetadata):void 0)}Ee.to=ce})(Ve=e.NotebookCellData||(e.NotebookCellData={}));var Xe;(function(Ee){function Ce(x){return{mime:x.mime,valueBytes:t.VSBuffer.wrap(x.data)}}Ee.from=Ce;function ce(x){return new f.NotebookCellOutputItem(x.valueBytes.buffer,x.mime)}Ee.to=ce})(Xe=e.NotebookCellOutputItem||(e.NotebookCellOutputItem={}));var Ge;(function(Ee){function Ce(x){return{outputId:x.id,items:x.items.map(Xe.from),metadata:x.metadata}}Ee.from=Ce;function ce(x){const De=x.items.map(Xe.to);return new f.NotebookCellOutput(De,x.outputId,x.metadata)}Ee.to=ce})(Ge=e.NotebookCellOutput||(e.NotebookCellOutput={}));var Ze;(function(Ee){function Ce(De){return x(De)?{include:(0,v.withNullAsUndefined)(ne.from(De.include)),exclude:(0,v.withNullAsUndefined)(ne.from(De.exclude))}:(0,v.withNullAsUndefined)(ne.from(De))}Ee.from=Ce;function ce(De){return x(De)?{include:ne.to(De.include),exclude:ne.to(De.exclude)}:ne.to(De)}Ee.to=ce;function x(De){const _e=De;return _e?!!_e.include&&!!_e.exclude:!1}})(Ze=e.NotebookExclusiveDocumentPattern||(e.NotebookExclusiveDocumentPattern={}));var et;(function(Ee){function Ce(ce){return{backgroundColor:ce.backgroundColor,borderColor:ce.borderColor,top:ce.top?T.from(ce.top):void 0}}Ee.from=Ce})(et=e.NotebookDecorationRenderOptions||(e.NotebookDecorationRenderOptions={}));var rt;(function(Ee){function Ce(ce,x,De){const _e=typeof ce.command=="string"?{title:"",command:ce.command}:ce.command;return{alignment:ce.alignment===f.NotebookCellStatusBarAlignment.Left?1:2,command:x.toInternal(_e,De),text:ce.text,tooltip:ce.tooltip,accessibilityInformation:ce.accessibilityInformation,priority:ce.priority}}Ee.from=Ce})(rt=e.NotebookStatusBarItem||(e.NotebookStatusBarItem={}));var nt;(function(Ee){function Ce(ce){return{transientOutputs:ce?.transientOutputs??!1,transientCellMetadata:ce?.transientCellMetadata??{},transientDocumentMetadata:ce?.transientDocumentMetadata??{}}}Ee.from=Ce})(nt=e.NotebookDocumentContentOptions||(e.NotebookDocumentContentOptions={}));var pt;(function(Ee){function Ce(x){return{uri:x.uri,provides:x.provides}}Ee.from=Ce;function ce(x){return new f.NotebookRendererScript(I.URI.revive(x.uri),x.provides)}Ee.to=ce})(pt=e.NotebookRendererScript||(e.NotebookRendererScript={}));var gt;(function(Ee){function Ce(x){return{message:F.fromStrict(x.message)||"",type:0,expected:x.expectedOutput,actual:x.actualOutput,location:x.location&&{range:u.from(x.location.range),uri:x.location.uri}}}Ee.from=Ce;function ce(x){const De=new f.TestMessage(typeof x.message=="string"?x.message:F.to(x.message));return De.actualOutput=x.actual,De.expectedOutput=x.expected,De.location=x.location?X.to(x.location):void 0,De}Ee.to=ce})(gt=e.TestMessage||(e.TestMessage={}));var dt;(function(Ee){Ee.namespace=d.namespaceTestTag,Ee.denamespace=d.denamespaceTestTag})(dt=e.TestTag||(e.TestTag={}));var St;(function(Ee){function Ce(_e){const We=(0,c.getPrivateApiFor)(_e).controllerId;return{extId:E.TestId.fromExtHostTestItem(_e,We).toString(),label:_e.label,uri:I.URI.revive(_e.uri),busy:!1,tags:_e.tags.map(xe=>dt.namespace(We,xe.id)),range:L.Range.lift(u.from(_e.range)),description:_e.description||null,sortText:_e.sortText||null,error:_e.error&&F.fromStrict(_e.error)||null}}Ee.from=Ce;function ce(_e){return{parent:void 0,error:void 0,id:E.TestId.fromString(_e.extId).localId,label:_e.label,uri:I.URI.revive(_e.uri),tags:(_e.tags||[]).map(We=>{const{tagId:xe}=dt.denamespace(We);return new f.TestTag(xe)}),range:u.to(_e.range||void 0),invalidateResults:()=>{},canResolveChildren:!1,busy:!1,description:_e.description||void 0,sortText:_e.sortText||void 0}}Ee.toPlain=ce;function x(_e){const We=E.TestId.fromString(_e.extId),xe=new c.TestItemImpl(We.controllerId,We.localId,_e.label,I.URI.revive(_e.uri)||void 0);return xe.range=u.to(_e.range||void 0),xe.description=_e.description||void 0,xe.sortText=_e.sortText||void 0,xe}function De(_e){let We;for(const xe of _e.tests){const it=x(xe.item);(0,c.getPrivateApiFor)(it).parent=We,We=it}return We}Ee.toItemFromContext=De})(St=e.TestItem||(e.TestItem={})),function(Ee){function Ce(x){return{id:x.id}}Ee.from=Ce;function ce(x){return new f.TestTag(x.id)}Ee.to=ce}(dt=e.TestTag||(e.TestTag={}));var Dt;(function(Ee){const Ce=(x,De)=>{const _e={...St.toPlain(x.item),parent:void 0,taskStates:x.tasks.map(We=>({state:We.state,duration:We.duration,messages:We.messages.filter(xe=>xe.type===0).map(gt.to)})),children:x.children.map(We=>De.get(We)).filter(v.isDefined).map(We=>Ce(We,De))};for(const We of _e.children)We.parent=_e;return _e};function ce(x){const De=[],_e=new Map;for(const We of x.items)_e.set(We.item.extId,We),x.request.targets.some(xe=>xe.controllerId===We.controllerId&&xe.testIds.includes(We.item.extId))&&De.push(We);return{completedAt:x.completedAt,results:De.map(We=>Ce(We,_e))}}Ee.to=ce})(Dt=e.TestResults||(e.TestResults={}));var Pt;(function(Ee){function Ce(_e){return{covered:_e.covered,total:_e.covered}}function ce(_e){return"line"in _e?l.from(_e):u.from(_e)}function x(_e){return"branches"in _e?{count:_e.executionCount,location:ce(_e.location),type:1,branches:_e.branches.length?_e.branches.map(We=>({count:We.executionCount,location:We.location&&ce(We.location)})):void 0}:{type:0,count:_e.executionCount,location:ce(_e.location)}}Ee.fromDetailed=x;function De(_e){return{uri:_e.uri,statement:Ce(_e.statementCoverage),branch:_e.branchCoverage&&Ce(_e.branchCoverage),function:_e.functionCoverage&&Ce(_e.functionCoverage),details:_e.detailedCoverage?.map(x)}}Ee.fromFile=De})(Pt=e.TestCoverage||(e.TestCoverage={}));var kt;(function(Ee){function Ce(ce){switch(ce){case 1:return f.CodeActionTriggerKind.Invoke;case 2:return f.CodeActionTriggerKind.Automatic}}Ee.to=Ce})(kt=e.CodeActionTriggerKind||(e.CodeActionTriggerKind={}));var Ot;(function(Ee){function Ce(x){const De=new f.TypeHierarchyItem(se.to(x.kind),x.name,x.detail||"",I.URI.revive(x.uri),u.to(x.range),u.to(x.selectionRange));return De._sessionId=x._sessionId,De._itemId=x._itemId,De}Ee.to=Ce;function ce(x,De,_e){if(De=De??x._sessionId,_e=_e??x._itemId,De===void 0||_e===void 0)throw new Error("invalid item");return{_sessionId:De,_itemId:_e,kind:se.from(x.kind),name:x.name,detail:x.detail??"",uri:x.uri,range:u.from(x.range),selectionRange:u.from(x.selectionRange),tags:x.tags?.map(V.from)}}Ee.from=ce})(Ot=e.TypeHierarchyItem||(e.TypeHierarchyItem={}))}),define(we[239],ye([0,1,12,234,14,97,104,109,235,107,110,8,188,108]),function(J,e,k,t,p,C,P,D,v,I,L,R,g,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.RemoteTerminalChannelClient=e.REMOTE_TERMINAL_CHANNEL_NAME=void 0,e.REMOTE_TERMINAL_CHANNEL_NAME="remoteterminal";let c=class{constructor(d,E,w,f,y,u,o,l,s,n){this._remoteAuthority=d,this._channel=E,this._configurationService=w,this._workspaceContextService=f,this._resolverService=y,this._environmentVariableService=u,this._remoteAuthorityResolverService=o,this._logService=l,this._editorService=s,this._labelService=n}get onPtyHostExit(){return this._channel.listen("$onPtyHostExitEvent")}get onPtyHostStart(){return this._channel.listen("$onPtyHostStartEvent")}get onPtyHostUnresponsive(){return this._channel.listen("$onPtyHostUnresponsiveEvent")}get onPtyHostResponsive(){return this._channel.listen("$onPtyHostResponsiveEvent")}get onPtyHostRequestResolveVariables(){return this._channel.listen("$onPtyHostRequestResolveVariablesEvent")}get onProcessData(){return this._channel.listen("$onProcessDataEvent")}get onProcessExit(){return this._channel.listen("$onProcessExitEvent")}get onProcessReady(){return this._channel.listen("$onProcessReadyEvent")}get onProcessReplay(){return this._channel.listen("$onProcessReplayEvent")}get onProcessOrphanQuestion(){return this._channel.listen("$onProcessOrphanQuestion")}get onExecuteCommand(){return this._channel.listen("$onExecuteCommand")}get onDidRequestDetach(){return this._channel.listen("$onDidRequestDetach")}get onDidChangeProperty(){return this._channel.listen("$onDidChangeProperty")}restartPtyHost(){return this._channel.call("$restartPtyHost",[])}async createProcess(d,E,w,f,y,u,o){await this._configurationService.whenRemoteConfigurationLoaded();const l=Object.create(null),s=w?(0,k.withNullAsUndefined)(this._workspaceContextService.getWorkspaceFolder(w)):void 0;let n;try{n=(await this._resolverService.resolveAnyMap(s,{shellLaunchConfig:d,configuration:E})).resolvedVariables}catch(A){this._logService.error(A)}if(n)for(const[A,T]of n.entries())(/^config:/.test(A)||A==="selectedText"||A==="lineNumber")&&(l[A]=T);const i=[];for(const[A,T]of this._environmentVariableService.collections.entries())i.push([A,(0,D.serializeEnvironmentVariableCollection)(T.map)]);const r=await this._remoteAuthorityResolverService.resolveAuthority(this._remoteAuthority),a=r.options&&r.options.extensionHostEnv,m=this._workspaceContextService.getWorkspace(),S=m.folders,_=w?this._workspaceContextService.getWorkspaceFolder(w):null,F=I.EditorResourceAccessor.getOriginalUri(this._editorService.activeEditor,{supportSideBySide:I.SideBySideEditor.PRIMARY,filterByScheme:[R.Schemas.file,R.Schemas.userData,R.Schemas.vscodeRemote]}),B={configuration:E,resolvedVariables:l,envVariableCollections:i,shellLaunchConfig:d,workspaceId:m.id,workspaceName:this._labelService.getWorkspaceLabel(m),workspaceFolders:S,activeWorkspaceFolder:_,activeFileResource:F,shouldPersistTerminal:f,cols:y,rows:u,unicodeVersion:o,resolverEnv:a};return await this._channel.call("$createProcess",B)}requestDetachInstance(d,E){return this._channel.call("$requestDetachInstance",[d,E])}acceptDetachInstanceReply(d,E){return this._channel.call("$acceptDetachInstanceReply",[d,E])}attachToProcess(d){return this._channel.call("$attachToProcess",[d])}detachFromProcess(d){return this._channel.call("$detachFromProcess",[d])}listProcesses(){return this._channel.call("$listProcesses")}reduceConnectionGraceTime(){return this._channel.call("$reduceConnectionGraceTime")}processBinary(d,E){return this._channel.call("$processBinary",[d,E])}start(d){return this._channel.call("$start",[d])}input(d,E){return this._channel.call("$input",[d,E])}acknowledgeDataEvent(d,E){return this._channel.call("$acknowledgeDataEvent",[d,E])}setUnicodeVersion(d,E){return this._channel.call("$setUnicodeVersion",[d,E])}shutdown(d,E){return this._channel.call("$shutdown",[d,E])}resize(d,E,w){return this._channel.call("$resize",[d,E,w])}getInitialCwd(d){return this._channel.call("$getInitialCwd",[d])}getCwd(d){return this._channel.call("$getCwd",[d])}orphanQuestionReply(d){return this._channel.call("$orphanQuestionReply",[d])}sendCommandResult(d,E,w){return this._channel.call("$sendCommandResult",[d,E,w])}installAutoReply(d,E){return this._channel.call("$installAutoReply",[d,E])}uninstallAllAutoReplies(){return this._channel.call("$uninstallAllAutoReplies",[])}getDefaultSystemShell(d){return this._channel.call("$getDefaultSystemShell",[d])}getProfiles(d,E,w){return this._channel.call("$getProfiles",[this._workspaceContextService.getWorkspace().id,d,E,w])}acceptPtyHostResolvedVariables(d,E){return this._channel.call("$acceptPtyHostResolvedVariables",[d,E])}getEnvironment(){return this._channel.call("$getEnvironment")}getWslPath(d){return this._channel.call("$getWslPath",[d])}setTerminalLayoutInfo(d){const w={workspaceId:this._workspaceContextService.getWorkspace().id,tabs:d?d.tabs:[]};return this._channel.call("$setTerminalLayoutInfo",w)}updateTitle(d,E,w){return this._channel.call("$updateTitle",[d,E,w])}updateIcon(d,E,w){return this._channel.call("$updateIcon",[d,E,w])}refreshProperty(d,E){return this._channel.call("$refreshProperty",[d,E])}updateProperty(d,E,w){return this._channel.call("$updateProperty",[d,E,w])}getTerminalLayoutInfo(){const E={workspaceId:this._workspaceContextService.getWorkspace().id};return this._channel.call("$getTerminalLayoutInfo",E)}reviveTerminalProcesses(d,E){return this._channel.call("$reviveTerminalProcesses",[d,E])}serializeTerminalState(d){return this._channel.call("$serializeTerminalState",[d])}};c=Ae([Oe(2,t.IWorkbenchConfigurationService),Oe(3,P.IWorkspaceContextService),Oe(4,v.IConfigurationResolverService),Oe(5,b.IEnvironmentVariableService),Oe(6,C.IRemoteAuthorityResolverService),Oe(7,p.ILogService),Oe(8,L.IEditorService),Oe(9,g.ILabelService)],c),e.RemoteTerminalChannelClient=c}),define(we[240],ye([0,1,193,169,5,56,59,17,141,12,4,31,63,40]),function(J,e,k,t,p,C,P,D,v,I,L,R,g,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionScanner=e.ExtensionScannerInput=e.Logger=e.Translations=void 0;const c="package.json";var h;(function(s){function n(i,r){if(i===r)return!0;let a=Object.keys(i),m=new Set;for(let S of Object.keys(r))m.add(S);if(a.length!==m.size)return!1;for(let S of a){if(i[S]!==r[S])return!1;m.delete(S)}return m.size===0}s.equals=n})(h=e.Translations||(e.Translations={}));class d{constructor(n){this._messageHandler=n}error(n,i){this._messageHandler(k.Severity.Error,n,i)}warn(n,i){this._messageHandler(k.Severity.Warning,n,i)}info(n,i){this._messageHandler(k.Severity.Info,n,i)}}e.Logger=d;class E{constructor(n,i,r,a,m,S){this._ourVersion=n,this._ourProductDate=i,this._host=r,this._absoluteFolderPath=a,this._isBuiltin=m,this._isUnderDevelopment=S,this._absoluteManifestPath=p.join(a,c)}_error(n,i){this._host.log.error(n,i)}_warn(n,i){this._host.log.warn(n,i)}_info(n,i){this._host.log.info(n,i)}}class w extends E{static _fastParseJSON(n,i){try{return JSON.parse(n)}catch{return P.parse(n,i)}}parse(){return this._host.readFile(this._absoluteManifestPath).then(n=>{const i=[],r=w._fastParseJSON(n,i);if(P.getNodeType(r)!=="object")this._error(this._absoluteFolderPath,t.localize(0,null,this._absoluteManifestPath));else{if(i.length===0)return r.__metadata&&(r.uuid=r.__metadata.id),r.isUserBuiltin=!!r.__metadata?.isBuiltin,delete r.__metadata,r;i.forEach(a=>{this._error(this._absoluteFolderPath,t.localize(1,null,this._absoluteManifestPath,a.offset,a.length,(0,v.getParseErrorMessage)(a.error)))})}return null},n=>(n.code==="ENOENT"||this._error(this._absoluteFolderPath,t.localize(2,null,this._absoluteManifestPath,n.message)),null))}}class f extends E{constructor(n,i,r,a,m,S,_){super(n,i,r,a,m,S);this._nlsConfig=_}replaceNLS(n){const i=(B,A)=>{A.forEach(T=>{this._error(this._absoluteFolderPath,t.localize(3,null,B,(0,v.getParseErrorMessage)(T.error)))})},r=B=>{this._error(this._absoluteFolderPath,t.localize(4,null,B))};let a=p.extname(this._absoluteManifestPath),m=this._absoluteManifestPath.substr(0,this._absoluteManifestPath.length-a.length);const S=`${n.publisher}.${n.name}`;let _=this._nlsConfig.translations[S],F;return _?F=this._host.readFile(_).then(B=>{let A=[],T=P.parse(B,A);return A.length>0?(i(_,A),{values:void 0,default:`${m}.nls.json`}):P.getNodeType(T)!=="object"?(r(_),{values:void 0,default:`${m}.nls.json`}):{values:T.contents?T.contents.package:void 0,default:`${m}.nls.json`}},B=>({values:void 0,default:`${m}.nls.json`})):F=this._host.existsFile(m+".nls"+a).then(B=>{if(!!B)return f.findMessageBundles(this._host,this._nlsConfig,m).then(A=>A.localized?this._host.readFile(A.localized).then(T=>{let U=[],N=P.parse(T,U);return U.length>0?(i(A.localized,U),{values:void 0,default:A.original}):P.getNodeType(N)!=="object"?(r(A.localized),{values:void 0,default:A.original}):{values:N,default:A.original}},T=>({values:void 0,default:A.original})):{values:void 0,default:A.original},A=>{})}),F.then(B=>{if(B===void 0)return n;let A=[];return this.resolveOriginalMessageBundle(B.default,A).then(T=>{if(A.length>0)return i(B.default,A),n;if(P.getNodeType(B)!=="object")return r(B.default),n;const U=B.values||Object.create(null);return f._replaceNLStrings(this._nlsConfig,n,U,T,this._host.log,this._absoluteFolderPath),n})},B=>n)}resolveOriginalMessageBundle(n,i){return new Promise((r,a)=>{n?this._host.readFile(n).then(m=>{r(P.parse(m,i))},m=>{r(null)}):r(null)})}static findMessageBundles(n,i,r){return new Promise((a,m)=>{function S(_,F){let B=`${_}.nls.${F}.json`;n.existsFile(B).then(A=>{A&&a({localized:B,original:`${_}.nls.json`});let T=F.lastIndexOf("-");T===-1?a({localized:`${_}.nls.json`,original:null}):(F=F.substring(0,T),S(_,F))})}if(i.devMode||i.pseudo||!i.locale)return a({localized:r+".nls.json",original:null});S(r,i.locale)})}static _replaceNLStrings(n,i,r,a,m,S){function _(F,B,A){const T=F[B];if(I.isString(T)){const U=T,N=U.length;if(N>1&&U[0]==="%"&&U[N-1]==="%"){const W=U.substr(1,N-2);let ie=r[W];ie===void 0&&a&&(ie=a[W]);let q=typeof ie=="string"?ie:typeof ie?.message=="string"?ie.message:void 0;q!==void 0?(n.pseudo&&(q="\uFF3B"+q.replace(/[aouei]/g,"$&$&")+"\uFF3D"),F[B]=A&&(B==="title"||B==="category")&&a?{value:q,original:a[W]}:q):m.warn(S,t.localize(5,null,W))}}else if(I.isObject(T))for(let U in T)T.hasOwnProperty(U)&&(U==="commands"?_(T,U,!0):_(T,U,A));else if(I.isArray(T))for(let U=0;U<T.length;U++)_(T,U,A)}for(let F in i)i.hasOwnProperty(F)&&_(i,F)}}class y extends E{validate(n){let i=n;i.isBuiltin=this._isBuiltin,i.isUserBuiltin=!this._isBuiltin&&!!i.isUserBuiltin,i.isUnderDevelopment=this._isUnderDevelopment;let r=[];return y.isValidExtensionDescription(this._ourVersion,this._ourProductDate,this._absoluteFolderPath,i,r)?(r.forEach(a=>{this._warn(this._absoluteFolderPath,a)}),i.publisher||(i.publisher=b.UNDEFINED_PUBLISHER),i.id=(0,R.getExtensionId)(i.publisher,i.name),i.identifier=new b.ExtensionIdentifier(i.id),i.extensionLocation=L.URI.file(this._absoluteFolderPath),i):(r.forEach(a=>{this._error(this._absoluteFolderPath,a)}),null)}static isValidExtensionDescription(n,i,r,a,m){return y.baseIsValidExtensionDescription(r,a,m)?C.valid(a.version)?(0,g.isValidExtensionVersion)(n,i,a,m):(m.push(t.localize(6,null)),!1):!1}static baseIsValidExtensionDescription(n,i,r){if(!i)return r.push(t.localize(7,null)),!1;if(typeof i.publisher!="undefined"&&typeof i.publisher!="string")return r.push(t.localize(8,null)),!1;if(typeof i.name!="string")return r.push(t.localize(9,null,"name")),!1;if(typeof i.version!="string")return r.push(t.localize(10,null,"version")),!1;if(!i.engines)return r.push(t.localize(11,null,"engines")),!1;if(typeof i.engines.vscode!="string")return r.push(t.localize(12,null,"engines.vscode")),!1;if(typeof i.extensionDependencies!="undefined"&&!y._isStringArray(i.extensionDependencies))return r.push(t.localize(13,null,"extensionDependencies")),!1;if(typeof i.activationEvents!="undefined"){if(!y._isStringArray(i.activationEvents))return r.push(t.localize(14,null,"activationEvents")),!1;if(typeof i.main=="undefined"&&typeof i.browser=="undefined")return r.push(t.localize(15,null,"activationEvents","main")),!1}if(typeof i.extensionKind!="undefined"&&typeof i.main=="undefined"&&r.push(t.localize(16,null,"extensionKind")),typeof i.main!="undefined"){if(typeof i.main!="string")return r.push(t.localize(17,null,"main")),!1;{const a=p.join(n,i.main);a.startsWith(n)||r.push(t.localize(18,null,a,n))}if(typeof i.activationEvents=="undefined")return r.push(t.localize(19,null,"activationEvents","main")),!1}if(typeof i.browser!="undefined"){if(typeof i.browser!="string")return r.push(t.localize(20,null,"browser")),!1;{const a=p.join(n,i.browser);a.startsWith(n)||r.push(t.localize(21,null,a,n))}if(typeof i.activationEvents=="undefined")return r.push(t.localize(22,null,"activationEvents","browser")),!1}return!0}static _isStringArray(n){if(!Array.isArray(n))return!1;for(let i=0,r=n.length;i<r;i++)if(typeof n[i]!="string")return!1;return!0}}class u{constructor(n,i,r,a,m,S,_,F,B){this.ourVersion=n,this.ourProductDate=i,this.commit=r,this.locale=a,this.devMode=m,this.absoluteFolderPath=S,this.isBuiltin=_,this.isUnderDevelopment=F,this.translations=B}static createNLSConfig(n){return{devMode:n.devMode,locale:n.locale,pseudo:n.locale==="pseudo",translations:n.translations}}static equals(n,i){return n.ourVersion===i.ourVersion&&n.ourProductDate===i.ourProductDate&&n.commit===i.commit&&n.locale===i.locale&&n.devMode===i.devMode&&n.absoluteFolderPath===i.absoluteFolderPath&&n.isBuiltin===i.isBuiltin&&n.isUnderDevelopment===i.isUnderDevelopment&&n.mtime===i.mtime&&h.equals(n.translations,i.translations)}}e.ExtensionScannerInput=u;class o{constructor(n,i){this._host=n,this.root=i}resolveExtensions(){return this._host.readDirsInDir(this.root).then(n=>n.map(i=>({name:i,path:p.join(this.root,i)})))}}class l{static scanExtension(n,i,r,a,m,S,_){return a=p.normalize(a),new w(n,i,r,a,m,S).parse().then(B=>B===null?null:new f(n,i,r,a,m,S,_).replaceNLS(B)).then(B=>B===null?null:new y(n,i,r,a,m,S).validate(B))}static async scanExtensions(n,i,r=null){const a=n.absoluteFolderPath,m=n.isBuiltin,S=n.isUnderDevelopment;r||(r=new o(i,a));try{let _={};if(!m)try{const U=await i.readFile(p.join(a,".obsolete"));_=JSON.parse(U)}catch{}let F=await r.resolveExtensions();F.sort((U,N)=>U.name<N.name?-1:1),m||(F=F.filter(U=>U.name.indexOf(".")!==0));const B=u.createNLSConfig(n);let A=await Promise.all(F.map(U=>this.scanExtension(n.ourVersion,n.ourProductDate,i,U.path,m,S,B))),T=D.coalesce(A);return T=T.filter(U=>U!==null&&!_[new R.ExtensionIdentifierWithVersion({id:(0,R.getGalleryExtensionId)(U.publisher,U.name)},U.version).key()]),m||(T=(0,R.groupByExtension)(T,N=>({id:N.identifier.value,uuid:N.uuid})).map(N=>N.sort((W,ie)=>C.rcompare(W.version,ie.version))[0])),T.sort((U,N)=>U.extensionLocation.fsPath<N.extensionLocation.fsPath?-1:1),T}catch(_){return i.log.error(a,_),[]}}static scanOneOrMultipleExtensions(n,i){const r=n.absoluteFolderPath,a=n.isBuiltin,m=n.isUnderDevelopment;return i.existsFile(p.join(r,c)).then(S=>{if(S){const _=u.createNLSConfig(n);return this.scanExtension(n.ourVersion,n.ourProductDate,i,r,a,m,_).then(F=>F===null?[]:[F])}return this.scanExtensions(n,i)},S=>(i.log.error(r,S),[]))}static scanSingleExtension(n,i){const r=n.absoluteFolderPath,a=n.isBuiltin,m=n.isUnderDevelopment,S=u.createNLSConfig(n);return this.scanExtension(n.ourVersion,n.ourProductDate,i,r,a,m,S)}static mergeBuiltinExtensions(n,i){return Promise.all([n,i]).then(([r,a])=>{let m=Object.create(null);for(let _=0,F=r.length;_<F;_++)m[b.ExtensionIdentifier.toKey(r[_].identifier)]=r[_];for(let _=0,F=a.length;_<F;_++)m[b.ExtensionIdentifier.toKey(a[_].identifier)]=a[_];let S=Object.keys(m).map(_=>m[_]);return S.sort((_,F)=>{const B=p.basename(_.extensionLocation.fsPath),A=p.basename(F.extensionLocation.fsPath);return B<A?-1:B>A?1:0}),S})}}e.ExtensionScanner=l}),define(we[241],ye([0,1,3,43,4,57,165,8,240,40,61,70,89,84,208,5,24,18]),function(J,e,k,t,p,C,P,D,v,I,L,R,g,b,c,h,d,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.RemoteAgentEnvironmentChannel=void 0;let w=null;function f(){return w||(w=(0,h.normalize)((0,h.join)(D.FileAccess.asFileUri("",J).fsPath,"..","extensions"))),w}let y=null;function u(){return y||(y=(0,h.normalize)((0,h.join)(D.FileAccess.asFileUri("",J).fsPath,"..",".build","builtInExtensions"))),y}class o{constructor(s,n,i,r,a){if(this._connectionToken=s,this.environmentService=n,this.logService=r,this.productService=a,this._logger=new class{error(S,_){r.error(S,_)}warn(S,_){r.warn(S,_)}info(S,_){r.info(S,_)}},this._extensionScannerHost={log:this._logger,readFile:S=>E.Promises.readFile(S,"utf8"),existsFile:S=>E.SymlinkSupport.existsFile(S),readDirsInDir:S=>E.Promises.readDirsInDir(S)},n.args["install-builtin-extension"]){const S={isMachineScoped:!!n.args["do-not-sync"],installPreReleaseVersion:!!n.args["pre-release"]};this.whenExtensionsReady=i.installExtensions([],n.args["install-builtin-extension"],S,!!n.args.force).then(null,_=>{r.error(_)})}else this.whenExtensionsReady=Promise.resolve();const m=n.args["install-extension"];if(m){const S=m.map(_=>/\.vsix$/i.test(_)?p.URI.file((0,h.isAbsolute)(_)?_:(0,h.join)((0,d.cwd)(),_)):_);this.whenExtensionsReady.then(()=>i.installExtensions(S,[],{isMachineScoped:!!n.args["do-not-sync"],installPreReleaseVersion:!!n.args["pre-release"]},!!n.args.force)).then(null,_=>{r.error(_)})}}async call(s,n,i){switch(n){case"getEnvironmentData":{const r=i,a=(0,C.createURITransformer)(r.remoteAuthority);let m=await this._getEnvironmentData();return m=(0,L.transformOutgoingURIs)(m,a),m}case"whenExtensionsReady":{await this.whenExtensionsReady;return}case"scanExtensions":{await this.whenExtensionsReady;const r=i,a=r.language;this.logService.trace(`Scanning extensions using UI language: ${a}`);const m=(0,C.createURITransformer)(r.remoteAuthority),S=r.extensionDevelopmentPath&&r.extensionDevelopmentPath.map(B=>p.URI.revive(m.transformIncoming(B))),_=S?S.filter(B=>B.scheme===D.Schemas.file).map(B=>B.fsPath):void 0;let F=await this._scanExtensions(a,_);return F=(0,L.transformOutgoingURIs)(F,m),this.logService.trace("Scanned Extensions",F),o._massageWhenConditions(F),F}case"scanSingleExtension":{await this.whenExtensionsReady;const r=i,a=r.language,m=r.isBuiltin,S=(0,C.createURITransformer)(r.remoteAuthority),_=p.URI.revive(S.transformIncoming(r.extensionLocation)),F=_.scheme===D.Schemas.file?_.fsPath:null;if(!F)return null;const B=await this._getTranslations(a);let A=await this._scanSingleExtension(F,m,a,B);return A?(A=(0,L.transformOutgoingURIs)(A,S),o._massageWhenConditions([A]),A):null}case"getDiagnosticInfo":{const r=i,a={machineInfo:(0,c.getMachineInfo)()},m=r.includeProcesses?(0,b.listProcesses)(process.pid):Promise.resolve();let S=[];const _={};if(r.folders){const F=(0,C.createURITransformer)("");S=r.folders.map(A=>p.URI.revive(F.transformIncoming(A))).filter(A=>A.scheme==="file").map(A=>(0,c.collectWorkspaceStats)(A.fsPath,["node_modules",".git"]).then(T=>{_[(0,h.basename)(A.fsPath)]=T}))}return Promise.all([m,...S]).then(([F,B])=>(a.processes=F||void 0,a.workspaceMetadata=r.folders?_:void 0,a))}}throw new Error(`IPC Command ${n} not found`)}listen(s,n,i){throw new Error("Not supported")}static _massageWhenConditions(s){const n=(_,F)=>_.replace(/file/g,"vscode-remote"),i=_=>{let F="";return F+=_.global?"g":"",F+=_.ignoreCase?"i":"",F+=_.multiline?"m":"",new RegExp(n(_.source,!0),F)},r=new class{mapDefined(_){return g.ContextKeyDefinedExpr.create(_)}mapNot(_){return g.ContextKeyNotExpr.create(_)}mapEquals(_,F){return _==="resourceScheme"&&typeof F=="string"?g.ContextKeyEqualsExpr.create(_,n(F,!1)):g.ContextKeyEqualsExpr.create(_,F)}mapNotEquals(_,F){return _==="resourceScheme"&&typeof F=="string"?g.ContextKeyNotEqualsExpr.create(_,n(F,!1)):g.ContextKeyNotEqualsExpr.create(_,F)}mapGreater(_,F){return g.ContextKeyGreaterExpr.create(_,F)}mapGreaterEquals(_,F){return g.ContextKeyGreaterEqualsExpr.create(_,F)}mapSmaller(_,F){return g.ContextKeySmallerExpr.create(_,F)}mapSmallerEquals(_,F){return g.ContextKeySmallerEqualsExpr.create(_,F)}mapRegex(_,F){return _==="resourceScheme"&&F?g.ContextKeyRegexExpr.create(_,i(F)):g.ContextKeyRegexExpr.create(_,F)}mapIn(_,F){return g.ContextKeyInExpr.create(_,F)}},a=_=>{if(!_||!_.when||!/resourceScheme/.test(_.when))return;const F=g.ContextKeyExpr.deserialize(_.when);if(!F)return;const B=F.map(r);_.when=B.serialize()},m=_=>{if(Array.isArray(_))for(let F of _)a(F);else a(_)},S=_=>{for(let F in _)m(_[F])};s.forEach(_=>{_.contributes&&(_.contributes.menus&&S(_.contributes.menus),_.contributes.keybindings&&m(_.contributes.keybindings),_.contributes.views&&S(_.contributes.views))})}async _getEnvironmentData(){return{pid:process.pid,connectionToken:this._connectionToken.type!==0?this._connectionToken.value:"",appRoot:p.URI.file(this.environmentService.appRoot),settingsPath:this.environmentService.machineSettingsResource,logsPath:p.URI.file(this.environmentService.logsPath),extensionsPath:p.URI.file(this.environmentService.extensionsPath),extensionHostLogsPath:p.URI.file((0,h.join)(this.environmentService.logsPath,`exthost${o._namePool++}`)),globalStorageHome:this.environmentService.globalStorageHome,workspaceStorageHome:this.environmentService.workspaceStorageHome,userHome:this.environmentService.userHome,os:k.OS,arch:process.arch,marks:t.getMarks(),useHostProxy:!!this.environmentService.args["use-host-proxy"]}}async _getTranslations(s){const n=await(0,R.getNLSConfiguration)(s,this.environmentService.userDataPath);if(R.InternalNLSConfiguration.is(n))try{const i=await E.Promises.readFile(n._translationsConfigFile,"utf8");return JSON.parse(i)}catch{return Object.create(null)}else return Object.create(null)}async _scanExtensions(s,n){const i=await this._getTranslations(s),[r,a,m]=await Promise.all([this._scanBuiltinExtensions(s,i),this._scanInstalledExtensions(s,i),this._scanDevelopedExtensions(s,i,n)]);let S=new Map;r.forEach(F=>{!F||S.set(I.ExtensionIdentifier.toKey(F.identifier),F)}),a.forEach(F=>{!F||(S.has(I.ExtensionIdentifier.toKey(F.identifier))&&console.warn(P.localize(0,null,S.get(I.ExtensionIdentifier.toKey(F.identifier)).extensionLocation.fsPath,F.extensionLocation.fsPath)),S.set(I.ExtensionIdentifier.toKey(F.identifier),F))}),m.forEach(F=>{!F||S.set(I.ExtensionIdentifier.toKey(F.identifier),F)});const _=[];return S.forEach(F=>_.push(F)),_}_scanDevelopedExtensions(s,n,i){if(i){const r=i.map(a=>v.ExtensionScanner.scanOneOrMultipleExtensions(new v.ExtensionScannerInput(this.productService.version,this.productService.date,this.productService.commit,s,!0,a,!1,!0,n),this._extensionScannerHost));return Promise.all(r).then(a=>{let m=[];for(let S of a)m=m.concat(S);return m})}return Promise.resolve([])}_scanBuiltinExtensions(s,n){const i=this.productService.version,r=this.productService.commit,a=this.productService.date,m=!!process.env.VSCODE_DEV,S=new v.ExtensionScannerInput(i,a,r,s,m,f(),!0,!1,n),_=v.ExtensionScanner.scanExtensions(S,this._extensionScannerHost);let F=_;if(m){class B{constructor(W){this.builtInExtensions=W}resolveExtensions(){return Promise.resolve(this.builtInExtensions.map(W=>({name:W.name,path:(0,h.join)(u(),W.name)})))}}const A=Promise.resolve(this.productService.builtInExtensions||[]),T=new v.ExtensionScannerInput(i,a,r,s,m,u(),!0,!1,{}),U=A.then(N=>new B(N)).then(N=>v.ExtensionScanner.scanExtensions(T,this._extensionScannerHost,N));F=v.ExtensionScanner.mergeBuiltinExtensions(_,U)}return F}_scanInstalledExtensions(s,n){const i=!!process.env.VSCODE_DEV,r=new v.ExtensionScannerInput(this.productService.version,this.productService.date,this.productService.commit,s,i,this.environmentService.extensionsPath,!1,!1,n);return v.ExtensionScanner.scanExtensions(r,this._extensionScannerHost)}_scanSingleExtension(s,n,i,r){const a=!!process.env.VSCODE_DEV,m=new v.ExtensionScannerInput(this.productService.version,this.productService.date,this.productService.commit,i,a,s,n,!1,r);return v.ExtensionScanner.scanSingleExtension(m,this._extensionScannerHost)}}e.RemoteAgentEnvironmentChannel=o,o._namePool=1}),define(we[111],ye([0,1]),function(J,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SerializableObjectWithBuffers=e.getStringIdentifierForProxy=e.createProxyIdentifier=e.ProxyIdentifier=void 0;class k{constructor(v){this._proxyIdentifierBrand=void 0,this.sid=v,this.nid=++k.count}}e.ProxyIdentifier=k,k.count=0;const t=[];function p(D){const v=new k(D);return t[v.nid]=v,v}e.createProxyIdentifier=p;function C(D){return t[D].sid}e.getStringIdentifierForProxy=C;class P{constructor(v){this.value=v}}e.SerializableObjectWithBuffers=P}),define(we[242],ye([0,1,50,4,111]),function(J,e,k,t,p){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostContext=e.MainContext=e.ExtHostTestingResource=e.reviveWorkspaceEditDto=e.WorkspaceEditType=e.ISuggestResultDtoField=e.ISuggestDataDtoField=e.IdObject=e.CandidatePortSource=e.NotebookEditorRevealType=e.CellOutputKind=e.WebviewMessageArrayBufferViewType=e.WebviewEditorCapabilities=e.TabKind=e.TextEditorRevealType=void 0;var C;(function(w){w[w.Default=0]="Default",w[w.InCenter=1]="InCenter",w[w.InCenterIfOutsideViewport=2]="InCenterIfOutsideViewport",w[w.AtTop=3]="AtTop"})(C=e.TextEditorRevealType||(e.TextEditorRevealType={}));var P;(function(w){w[w.Singular=0]="Singular",w[w.Diff=1]="Diff",w[w.SidebySide=2]="SidebySide",w[w.Other=3]="Other"})(P=e.TabKind||(e.TabKind={}));var D;(function(w){w[w.Editable=0]="Editable",w[w.SupportsHotExit=1]="SupportsHotExit"})(D=e.WebviewEditorCapabilities||(e.WebviewEditorCapabilities={}));var v;(function(w){w[w.Int8Array=1]="Int8Array",w[w.Uint8Array=2]="Uint8Array",w[w.Uint8ClampedArray=3]="Uint8ClampedArray",w[w.Int16Array=4]="Int16Array",w[w.Uint16Array=5]="Uint16Array",w[w.Int32Array=6]="Int32Array",w[w.Uint32Array=7]="Uint32Array",w[w.Float32Array=8]="Float32Array",w[w.Float64Array=9]="Float64Array",w[w.BigInt64Array=10]="BigInt64Array",w[w.BigUint64Array=11]="BigUint64Array"})(v=e.WebviewMessageArrayBufferViewType||(e.WebviewMessageArrayBufferViewType={}));var I;(function(w){w[w.Text=1]="Text",w[w.Error=2]="Error",w[w.Rich=3]="Rich"})(I=e.CellOutputKind||(e.CellOutputKind={}));var L;(function(w){w[w.Default=0]="Default",w[w.InCenter=1]="InCenter",w[w.InCenterIfOutsideViewport=2]="InCenterIfOutsideViewport",w[w.AtTop=3]="AtTop"})(L=e.NotebookEditorRevealType||(e.NotebookEditorRevealType={}));var R;(function(w){w[w.None=0]="None",w[w.Process=1]="Process",w[w.Output=2]="Output"})(R=e.CandidatePortSource||(e.CandidatePortSource={}));class g{static mixin(f){return f._id=g._n++,f}}e.IdObject=g,g._n=0;var b;(function(w){w.label="a",w.kind="b",w.detail="c",w.documentation="d",w.sortText="e",w.filterText="f",w.preselect="g",w.insertText="h",w.insertTextRules="i",w.range="j",w.commitCharacters="k",w.additionalTextEdits="l",w.command="m",w.kindModifier="n"})(b=e.ISuggestDataDtoField||(e.ISuggestDataDtoField={}));var c;(function(w){w.defaultRanges="a",w.completions="b",w.isIncomplete="c",w.duration="d"})(c=e.ISuggestResultDtoField||(e.ISuggestResultDtoField={}));var h;(function(w){w[w.File=1]="File",w[w.Text=2]="Text",w[w.Cell=3]="Cell"})(h=e.WorkspaceEditType||(e.WorkspaceEditType={}));function d(w){if(w&&w.edits)for(const f of w.edits)typeof f.resource=="object"?f.resource=t.URI.revive(f.resource):(f.newUri=t.URI.revive(f.newUri),f.oldUri=t.URI.revive(f.oldUri)),f.metadata&&f.metadata.iconPath&&(f.metadata=(0,k.revive)(f.metadata));return w}e.reviveWorkspaceEditDto=d;var E;(function(w){w[w.Workspace=0]="Workspace",w[w.TextDocument=1]="TextDocument"})(E=e.ExtHostTestingResource||(e.ExtHostTestingResource={})),e.MainContext={MainThreadAuthentication:(0,p.createProxyIdentifier)("MainThreadAuthentication"),MainThreadBulkEdits:(0,p.createProxyIdentifier)("MainThreadBulkEdits"),MainThreadClipboard:(0,p.createProxyIdentifier)("MainThreadClipboard"),MainThreadCommands:(0,p.createProxyIdentifier)("MainThreadCommands"),MainThreadComments:(0,p.createProxyIdentifier)("MainThreadComments"),MainThreadConfiguration:(0,p.createProxyIdentifier)("MainThreadConfiguration"),MainThreadConsole:(0,p.createProxyIdentifier)("MainThreadConsole"),MainThreadDebugService:(0,p.createProxyIdentifier)("MainThreadDebugService"),MainThreadDecorations:(0,p.createProxyIdentifier)("MainThreadDecorations"),MainThreadDiagnostics:(0,p.createProxyIdentifier)("MainThreadDiagnostics"),MainThreadDialogs:(0,p.createProxyIdentifier)("MainThreadDiaglogs"),MainThreadDocuments:(0,p.createProxyIdentifier)("MainThreadDocuments"),MainThreadDocumentContentProviders:(0,p.createProxyIdentifier)("MainThreadDocumentContentProviders"),MainThreadTextEditors:(0,p.createProxyIdentifier)("MainThreadTextEditors"),MainThreadEditorInsets:(0,p.createProxyIdentifier)("MainThreadEditorInsets"),MainThreadEditorTabs:(0,p.createProxyIdentifier)("MainThreadEditorTabs"),MainThreadErrors:(0,p.createProxyIdentifier)("MainThreadErrors"),MainThreadTreeViews:(0,p.createProxyIdentifier)("MainThreadTreeViews"),MainThreadDownloadService:(0,p.createProxyIdentifier)("MainThreadDownloadService"),MainThreadKeytar:(0,p.createProxyIdentifier)("MainThreadKeytar"),MainThreadLanguageFeatures:(0,p.createProxyIdentifier)("MainThreadLanguageFeatures"),MainThreadLanguages:(0,p.createProxyIdentifier)("MainThreadLanguages"),MainThreadLogger:(0,p.createProxyIdentifier)("MainThreadLogger"),MainThreadMessageService:(0,p.createProxyIdentifier)("MainThreadMessageService"),MainThreadOutputService:(0,p.createProxyIdentifier)("MainThreadOutputService"),MainThreadProgress:(0,p.createProxyIdentifier)("MainThreadProgress"),MainThreadQuickOpen:(0,p.createProxyIdentifier)("MainThreadQuickOpen"),MainThreadStatusBar:(0,p.createProxyIdentifier)("MainThreadStatusBar"),MainThreadSecretState:(0,p.createProxyIdentifier)("MainThreadSecretState"),MainThreadStorage:(0,p.createProxyIdentifier)("MainThreadStorage"),MainThreadTelemetry:(0,p.createProxyIdentifier)("MainThreadTelemetry"),MainThreadTerminalService:(0,p.createProxyIdentifier)("MainThreadTerminalService"),MainThreadWebviews:(0,p.createProxyIdentifier)("MainThreadWebviews"),MainThreadWebviewPanels:(0,p.createProxyIdentifier)("MainThreadWebviewPanels"),MainThreadWebviewViews:(0,p.createProxyIdentifier)("MainThreadWebviewViews"),MainThreadCustomEditors:(0,p.createProxyIdentifier)("MainThreadCustomEditors"),MainThreadUrls:(0,p.createProxyIdentifier)("MainThreadUrls"),MainThreadUriOpeners:(0,p.createProxyIdentifier)("MainThreadUriOpeners"),MainThreadWorkspace:(0,p.createProxyIdentifier)("MainThreadWorkspace"),MainThreadFileSystem:(0,p.createProxyIdentifier)("MainThreadFileSystem"),MainThreadExtensionService:(0,p.createProxyIdentifier)("MainThreadExtensionService"),MainThreadSCM:(0,p.createProxyIdentifier)("MainThreadSCM"),MainThreadSearch:(0,p.createProxyIdentifier)("MainThreadSearch"),MainThreadTask:(0,p.createProxyIdentifier)("MainThreadTask"),MainThreadWindow:(0,p.createProxyIdentifier)("MainThreadWindow"),MainThreadLabelService:(0,p.createProxyIdentifier)("MainThreadLabelService"),MainThreadNotebook:(0,p.createProxyIdentifier)("MainThreadNotebook"),MainThreadNotebookDocuments:(0,p.createProxyIdentifier)("MainThreadNotebookDocumentsShape"),MainThreadNotebookEditors:(0,p.createProxyIdentifier)("MainThreadNotebookEditorsShape"),MainThreadNotebookKernels:(0,p.createProxyIdentifier)("MainThreadNotebookKernels"),MainThreadNotebookRenderers:(0,p.createProxyIdentifier)("MainThreadNotebookRenderers"),MainThreadInteractive:(0,p.createProxyIdentifier)("MainThreadInteractive"),MainThreadTheming:(0,p.createProxyIdentifier)("MainThreadTheming"),MainThreadTunnelService:(0,p.createProxyIdentifier)("MainThreadTunnelService"),MainThreadTimeline:(0,p.createProxyIdentifier)("MainThreadTimeline"),MainThreadTesting:(0,p.createProxyIdentifier)("MainThreadTesting")},e.ExtHostContext={ExtHostCommands:(0,p.createProxyIdentifier)("ExtHostCommands"),ExtHostConfiguration:(0,p.createProxyIdentifier)("ExtHostConfiguration"),ExtHostDiagnostics:(0,p.createProxyIdentifier)("ExtHostDiagnostics"),ExtHostDebugService:(0,p.createProxyIdentifier)("ExtHostDebugService"),ExtHostDecorations:(0,p.createProxyIdentifier)("ExtHostDecorations"),ExtHostDocumentsAndEditors:(0,p.createProxyIdentifier)("ExtHostDocumentsAndEditors"),ExtHostDocuments:(0,p.createProxyIdentifier)("ExtHostDocuments"),ExtHostDocumentContentProviders:(0,p.createProxyIdentifier)("ExtHostDocumentContentProviders"),ExtHostDocumentSaveParticipant:(0,p.createProxyIdentifier)("ExtHostDocumentSaveParticipant"),ExtHostEditors:(0,p.createProxyIdentifier)("ExtHostEditors"),ExtHostTreeViews:(0,p.createProxyIdentifier)("ExtHostTreeViews"),ExtHostFileSystem:(0,p.createProxyIdentifier)("ExtHostFileSystem"),ExtHostFileSystemInfo:(0,p.createProxyIdentifier)("ExtHostFileSystemInfo"),ExtHostFileSystemEventService:(0,p.createProxyIdentifier)("ExtHostFileSystemEventService"),ExtHostLanguages:(0,p.createProxyIdentifier)("ExtHostLanguages"),ExtHostLanguageFeatures:(0,p.createProxyIdentifier)("ExtHostLanguageFeatures"),ExtHostQuickOpen:(0,p.createProxyIdentifier)("ExtHostQuickOpen"),ExtHostExtensionService:(0,p.createProxyIdentifier)("ExtHostExtensionService"),ExtHostLogLevelServiceShape:(0,p.createProxyIdentifier)("ExtHostLogLevelServiceShape"),ExtHostTerminalService:(0,p.createProxyIdentifier)("ExtHostTerminalService"),ExtHostSCM:(0,p.createProxyIdentifier)("ExtHostSCM"),ExtHostSearch:(0,p.createProxyIdentifier)("ExtHostSearch"),ExtHostTask:(0,p.createProxyIdentifier)("ExtHostTask"),ExtHostWorkspace:(0,p.createProxyIdentifier)("ExtHostWorkspace"),ExtHostWindow:(0,p.createProxyIdentifier)("ExtHostWindow"),ExtHostWebviews:(0,p.createProxyIdentifier)("ExtHostWebviews"),ExtHostWebviewPanels:(0,p.createProxyIdentifier)("ExtHostWebviewPanels"),ExtHostCustomEditors:(0,p.createProxyIdentifier)("ExtHostCustomEditors"),ExtHostWebviewViews:(0,p.createProxyIdentifier)("ExtHostWebviewViews"),ExtHostEditorInsets:(0,p.createProxyIdentifier)("ExtHostEditorInsets"),ExtHostEditorTabs:(0,p.createProxyIdentifier)("ExtHostEditorTabs"),ExtHostProgress:(0,p.createProxyIdentifier)("ExtHostProgress"),ExtHostComments:(0,p.createProxyIdentifier)("ExtHostComments"),ExtHostSecretState:(0,p.createProxyIdentifier)("ExtHostSecretState"),ExtHostStorage:(0,p.createProxyIdentifier)("ExtHostStorage"),ExtHostUrls:(0,p.createProxyIdentifier)("ExtHostUrls"),ExtHostUriOpeners:(0,p.createProxyIdentifier)("ExtHostUriOpeners"),ExtHostOutputService:(0,p.createProxyIdentifier)("ExtHostOutputService"),ExtHosLabelService:(0,p.createProxyIdentifier)("ExtHostLabelService"),ExtHostNotebook:(0,p.createProxyIdentifier)("ExtHostNotebook"),ExtHostNotebookDocuments:(0,p.createProxyIdentifier)("ExtHostNotebookDocuments"),ExtHostNotebookEditors:(0,p.createProxyIdentifier)("ExtHostNotebookEditors"),ExtHostNotebookKernels:(0,p.createProxyIdentifier)("ExtHostNotebookKernels"),ExtHostNotebookRenderers:(0,p.createProxyIdentifier)("ExtHostNotebookRenderers"),ExtHostInteractive:(0,p.createProxyIdentifier)("ExtHostInteractive"),ExtHostTheming:(0,p.createProxyIdentifier)("ExtHostTheming"),ExtHostTunnelService:(0,p.createProxyIdentifier)("ExtHostTunnelService"),ExtHostAuthentication:(0,p.createProxyIdentifier)("ExtHostAuthentication"),ExtHostTimeline:(0,p.createProxyIdentifier)("ExtHostTimeline"),ExtHostTesting:(0,p.createProxyIdentifier)("ExtHostTesting"),ExtHostTelemetry:(0,p.createProxyIdentifier)("ExtHostTelemetry")}});var yt=this&&this.__classPrivateFieldSet||function(J,e,k,t,p){if(t==="m")throw new TypeError("Private method is not writable");if(t==="a"&&!p)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?J!==e||!p:!e.has(J))throw new TypeError("Cannot write private member to an object whose class did not declare it");return t==="a"?p.call(J,k):p?p.value=k:e.set(J,k),k},tt=this&&this.__classPrivateFieldGet||function(J,e,k,t){if(k==="a"&&!t)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?J!==e||!t:!e.has(J))throw new TypeError("Cannot read private member from an object whose class did not declare it");return k==="m"?t:k==="a"?t.call(J):t?t.value:e.get(J)};define(we[243],ye([0,1,12,106,238,21,242,17,14,50,51,86,4,2,6,227,105,15,111,36]),function(J,e,k,t,p,C,P,D,v,I,L,R,g,b,c,h,d,E,w,f){"use strict";var y;Object.defineProperty(e,"__esModule",{value:!0}),e.ApiCommand=e.ApiCommandResult=e.ApiCommandArgument=e.CommandsConverter=e.IExtHostCommands=e.ExtHostCommands=void 0;let u=class{constructor(r,a){y.set(this,void 0),this._commands=new Map,this._apiCommands=new Map,yt(this,y,r.getProxy(P.MainContext.MainThreadCommands),"f"),this._logService=a,this.converter=new o(this,m=>{const S=this._apiCommands.get(m);return S?.result===s.Void?S:void 0},a),this._argumentProcessors=[{processArgument(m){return(0,I.revive)(m)}},{processArgument(m){return(0,C.cloneAndChange)(m,function(S){if(L.Range.isIRange(S))return p.Range.to(S);if(R.Position.isIPosition(S))return p.Position.to(S);if(L.Range.isIRange(S.range)&&g.URI.isUri(S.uri))return p.location.to(S);if(S instanceof E.VSBuffer)return S.buffer.buffer;if(!Array.isArray(S))return S})}}]}registerArgumentProcessor(r){this._argumentProcessors.push(r)}registerApiCommand(r){const a=this.registerCommand(!1,r.id,async(...m)=>{const S=r.args.map((F,B)=>{if(!F.validate(m[B]))throw new Error(`Invalid argument '${F.name}' when running '${r.id}', received: ${m[B]}`);return F.convert(m[B])}),_=await this.executeCommand(r.internalId,...S);return r.result.convert(_,m,this.converter)},void 0,{description:r.description,args:r.args,returns:r.result.description});return this._apiCommands.set(r.id,r),new t.Disposable(()=>{a.dispose(),this._apiCommands.delete(r.id)})}registerCommand(r,a,m,S,_,F){if(this._logService.trace("ExtHostCommands#registerCommand",a),!a.trim().length)throw new Error("invalid id");if(this._commands.has(a))throw new Error(`command '${a}' already exists`);return this._commands.set(a,{callback:m,thisArg:S,description:_,extension:F}),r&&tt(this,y,"f").$registerCommand(a),new t.Disposable(()=>{this._commands.delete(a)&&r&&tt(this,y,"f").$unregisterCommand(a)})}executeCommand(r,...a){return this._logService.trace("ExtHostCommands#executeCommand",r),this._doExecuteCommand(r,a,!0)}async _doExecuteCommand(r,a,m){if(this._commands.has(r))return this._executeContributedCommand(r,a,!1);{let S=!1;const _=(0,C.cloneAndChange)(a,function(F){if(F instanceof t.Position)return p.Position.from(F);if(F instanceof t.Range)return p.Range.from(F);if(F instanceof t.Location)return p.location.from(F);if(t.NotebookRange.isNotebookRange(F))return p.NotebookRange.from(F);if(F instanceof ArrayBuffer)return S=!0,E.VSBuffer.wrap(new Uint8Array(F));if(F instanceof Uint8Array)return S=!0,E.VSBuffer.wrap(F);if(!Array.isArray(F))return F});try{const F=await tt(this,y,"f").$executeCommand(r,S?new w.SerializableObjectWithBuffers(_):_,m);return(0,I.revive)(F)}catch(F){if(F instanceof Error&&F.message==="$executeCommand:retry")return this._doExecuteCommand(r,a,!1);throw F}}}async _executeContributedCommand(r,a,m){const S=this._commands.get(r);if(!S)throw new Error("Unknown command");let{callback:_,thisArg:F,description:B}=S;if(B)for(let A=0;A<B.args.length;A++)try{(0,k.validateConstraint)(a[A],B.args[A].constraint)}catch{throw new Error(`Running the contributed command: '${r}' failed. Illegal argument '${B.args[A].name}' - ${B.args[A].description}`)}try{return await _.apply(F,a)}catch(A){if(r===this.converter.delegatingCommandId){const T=this.converter.getActualCommand(...a);T&&(r=T.command)}throw this._logService.error(A,r,S.extension?.identifier),m?new class extends Error{constructor(){super((0,f.toErrorMessage)(A));this.id=r,this.source=S.extension?.displayName??S.extension?.name}}:A}}$executeContributedCommand(r,...a){return this._logService.trace("ExtHostCommands#$executeContributedCommand",r),this._commands.has(r)?(a=a.map(m=>this._argumentProcessors.reduce((S,_)=>_.processArgument(S),m)),this._executeContributedCommand(r,a,!0)):Promise.reject(new Error(`Contributed command '${r}' does not exist.`))}getCommands(r=!1){return this._logService.trace("ExtHostCommands#getCommands",r),tt(this,y,"f").$getCommands().then(a=>(r&&(a=a.filter(m=>m[0]!=="_")),a))}$getContributedCommandHandlerDescriptions(){const r=Object.create(null);for(let[a,m]of this._commands){let{description:S}=m;S&&(r[a]=S)}return Promise.resolve(r)}};y=new WeakMap,u=Ae([Oe(0,h.IExtHostRpcService),Oe(1,v.ILogService)],u),e.ExtHostCommands=u,e.IExtHostCommands=(0,c.createDecorator)("IExtHostCommands");class o{constructor(r,a,m){this._commands=r,this._lookupApiCommand=a,this._logService=m,this.delegatingCommandId=`_vscode_delegate_cmd_${Date.now().toString(36)}`,this._cache=new Map,this._cachIdPool=0,this._commands.registerCommand(!0,this.delegatingCommandId,this._executeConvertedCommand,this)}toInternal(r,a){if(!r)return;const m={$ident:void 0,id:r.command,title:r.title,tooltip:r.tooltip};if(!r.command)return m;const S=this._lookupApiCommand(r.command);if(S)m.id=S.internalId,m.arguments=S.args.map((_,F)=>_.convert(r.arguments&&r.arguments[F]));else if((0,D.isNonEmptyArray)(r.arguments)){const _=++this._cachIdPool;this._cache.set(_,r),a.add((0,b.toDisposable)(()=>{this._cache.delete(_),this._logService.trace("CommandsConverter#DISPOSE",_)})),m.$ident=_,m.id=this.delegatingCommandId,m.arguments=[_],this._logService.trace("CommandsConverter#CREATE",r.command,_)}return m}fromInternal(r){return typeof r.$ident=="number"?this._cache.get(r.$ident):{command:r.id,title:r.title,arguments:r.arguments}}getActualCommand(...r){return this._cache.get(r[0])}_executeConvertedCommand(...r){const a=this.getActualCommand(...r);return this._logService.trace("CommandsConverter#EXECUTE",r[0],a?a.command:"MISSING"),a?this._commands.executeCommand(a.command,...a.arguments||[]):Promise.reject("actual command NOT FOUND")}}e.CommandsConverter=o;class l{constructor(r,a,m,S){this.name=r,this.description=a,this.validate=m,this.convert=S}optional(){return new l(this.name,`(optional) ${this.description}`,r=>r==null||this.validate(r),r=>r===void 0?void 0:r===null?null:this.convert(r))}with(r,a){return new l(r??this.name,a??this.description,this.validate,this.convert)}}e.ApiCommandArgument=l,l.Uri=new l("uri","Uri of a text document",i=>g.URI.isUri(i),i=>i),l.Position=new l("position","A position in a text document",i=>t.Position.isPosition(i),p.Position.from),l.Range=new l("range","A range in a text document",i=>t.Range.isRange(i),p.Range.from),l.Selection=new l("selection","A selection in a text document",i=>t.Selection.isSelection(i),p.Selection.from),l.Number=new l("number","",i=>typeof i=="number",i=>i),l.String=new l("string","",i=>typeof i=="string",i=>i),l.CallHierarchyItem=new l("item","A call hierarchy item",i=>i instanceof t.CallHierarchyItem,p.CallHierarchyItem.from),l.TypeHierarchyItem=new l("item","A type hierarchy item",i=>i instanceof t.TypeHierarchyItem,p.TypeHierarchyItem.from),l.TestItem=new l("testItem","A VS Code TestItem",i=>i instanceof d.TestItemImpl,p.TestItem.from);class s{constructor(r,a){this.description=r,this.convert=a}}e.ApiCommandResult=s,s.Void=new s("no result",i=>i);class n{constructor(r,a,m,S,_){this.id=r,this.internalId=a,this.description=m,this.args=S,this.result=_}}e.ApiCommand=n}),define(we[244],ye([0,1,77]),function(J,e,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.logRemoteEntryIfError=e.logRemoteEntry=void 0;function t(C,P,D=null){const v=(0,k.parse)(P).args;let I=v.shift();if(typeof I=="string")switch(P.severity||(P.severity="info"),D&&(/^\[/.test(D)||(D=`[${D}]`),/ $/.test(D)||(D=`${D} `),I=D+I),P.severity){case"log":case"info":C.info(I,...v);break;case"warn":C.warn(I,...v);break;case"error":C.error(I,...v);break}}e.logRemoteEntry=t;function p(C,P,D){const v=(0,k.parse)(P).args,I=v.shift();typeof I!="string"||P.severity!=="error"||(/^\[/.test(D)||(D=`[${D}]`),/ $/.test(D)||(D=`${D} `),C.error(D+I,...v))}e.logRemoteEntryIfError=p}),define(we[112],ye([0,1,6]),function(J,e,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IRemoteAgentService=e.RemoteExtensionLogFileName=void 0,e.RemoteExtensionLogFileName="remoteagent",e.IRemoteAgentService=(0,k.createDecorator)("remoteAgentService")}),define(we[245],ye([0,1,11,2,8,183]),function(J,e,k,t,p,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.RemoteFileSystemProviderClient=e.REMOTE_FILE_SYSTEM_CHANNEL_NAME=void 0,e.REMOTE_FILE_SYSTEM_CHANNEL_NAME="remoteFilesystem";class P extends C.DiskFileSystemProviderClient{static register(v,I,L){const R=v.getConnection();if(!R)return t.Disposable.None;const g=new t.DisposableStore,b=(async()=>{try{const c=await v.getRawEnvironment();c?I.registerProvider(p.Schemas.vscodeRemote,g.add(new P(c,R))):L.error("Cannot register remote filesystem provider. Remote environment doesnot exist.")}catch(c){L.error("Cannot register remote filesystem provider. Error while fetching remote environment.",(0,k.getErrorMessage)(c))}})();return g.add(I.onWillActivateFileSystemProvider(c=>{c.scheme===p.Schemas.vscodeRemote&&c.join(b)})),g}constructor(v,I){super(I.getChannel(e.REMOTE_FILE_SYSTEM_CHANNEL_NAME),{pathCaseSensitive:v.os===3})}}e.RemoteFileSystemProviderClient=P}),define(we[71],ye([0,1,27,13,5,12,18,144,259,260]),function(J,e,k,t,p,C,P,D,v,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.buffer=e.extract=e.zip=e.ExtractError=void 0;class L extends Error{constructor(o,l){let s=l.message;switch(o){case"CorruptZip":s=`Corrupt ZIP: ${s}`;break}super(s);this.type=o,this.cause=l}}e.ExtractError=L;function R(u){const o=u.externalFileAttributes>>16||33188;return[448,56,7].map(l=>o&l).reduce((l,s)=>l+s,o&61440)}function g(u){if(u instanceof L)return u;let o;return/end of central directory record signature not found/.test(u.message)&&(o="CorruptZip"),new L(o,u)}function b(u,o,l,s,n,i){const r=p.dirname(o),a=p.join(s,r);if(!a.startsWith(s))return Promise.reject(new Error(D.localize(0,null,o)));const m=p.join(s,o);let S;return i.onCancellationRequested(()=>{S&&S.destroy()}),Promise.resolve(P.Promises.mkdir(a,{recursive:!0})).then(()=>new Promise((_,F)=>{if(!i.isCancellationRequested)try{S=(0,k.createWriteStream)(m,{mode:l}),S.once("close",()=>_()),S.once("error",F),u.once("error",F),u.pipe(S)}catch(B){F(B)}}))}function c(u,o,l,s){let n=(0,t.createCancelablePromise)(()=>Promise.resolve()),i=0;return s.onCancellationRequested(()=>{n.cancel(),u.close()}),new Promise((r,a)=>{const m=new t.Sequencer,S=_=>{_.isCancellationRequested||(i++,u.readEntry())};u.once("error",a),u.once("close",()=>n.then(()=>{s.isCancellationRequested||u.entryCount===i?r():a(new L("Incomplete",new Error(D.localize(1,null,i,u.entryCount))))},a)),u.readEntry(),u.on("entry",_=>{if(s.isCancellationRequested)return;if(!l.sourcePathRegex.test(_.fileName)){S(s);return}const F=_.fileName.replace(l.sourcePathRegex,"");if(/\/$/.test(F)){const T=p.join(o,F);n=(0,t.createCancelablePromise)(U=>P.Promises.mkdir(T,{recursive:!0}).then(()=>S(U)).then(void 0,a));return}const B=d(u,_),A=R(_);n=(0,t.createCancelablePromise)(T=>m.queue(()=>B.then(U=>b(U,F,A,o,l,T).then(()=>S(T)))).then(null,a))})})}function h(u,o=!1){return new Promise((l,s)=>{(0,v.open)(u,o?{lazyEntries:!0}:void 0,(n,i)=>{n?s(g(n)):l((0,C.assertIsDefined)(i))})})}function d(u,o){return new Promise((l,s)=>{u.openReadStream(o,(n,i)=>{n?s(g(n)):l((0,C.assertIsDefined)(i))})})}function E(u,o){return new Promise((l,s)=>{const n=new I.ZipFile;o.forEach(r=>{r.contents?n.addBuffer(typeof r.contents=="string"?Buffer.from(r.contents,"utf8"):r.contents,r.path):r.localPath&&n.addFile(r.localPath,r.path)}),n.end();const i=(0,k.createWriteStream)(u);n.outputStream.pipe(i),n.outputStream.once("error",s),i.once("error",s),i.once("finish",()=>l(u))})}e.zip=E;function w(u,o,l={},s){const n=new RegExp(l.sourcePath?`^${l.sourcePath}`:"");let i=h(u,!0);return l.overwrite&&(i=i.then(r=>P.Promises.rm(o).then(()=>r))),i.then(r=>c(r,o,{sourcePathRegex:n},s))}e.extract=w;function f(u,o){return h(u).then(l=>new Promise((s,n)=>{l.on("entry",i=>{i.fileName===o&&d(l,i).then(r=>s(r),r=>n(r))}),l.once("close",()=>n(new Error(D.localize(2,null,o))))}))}function y(u,o){return f(u,o).then(l=>new Promise((s,n)=>{const i=[];l.once("error",n),l.on("data",r=>i.push(r)),l.on("end",()=>s(Buffer.concat(i)))}))}e.buffer=y}),define(we[246],ye([0,1,71,152]),function(J,e,k,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getManifest=void 0;function p(C){return(0,k.buffer)(C,"extension/package.json").then(P=>{try{return JSON.parse(P.toString("utf8"))}catch{throw new Error((0,t.localize)(0,null))}})}e.getManifest=p}),define(we[247],ye([0,1,17,13,11,2,8,5,3,22,56,4,23,18,71,153,26,32,31,177,40,19,14,30]),function(J,e,k,t,p,C,P,D,v,I,L,R,g,b,c,h,d,E,w,f,y,u,o,l){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionsScanner=void 0;let s=class extends C.Disposable{constructor(i,r,a,m,S){super();this.beforeRemovingExtension=i,this.fileService=r,this.logService=a,this.environmentService=m,this.productService=S,this._devSystemExtensionsPath=null,this.systemExtensionsPath=m.builtinExtensionsPath,this.extensionsPath=m.extensionsPath,this.uninstalledPath=D.join(this.extensionsPath,".obsolete"),this.uninstalledFileLimiter=new t.Queue}async cleanUp(){await this.removeUninstalledExtensions(),await this.removeOutdatedExtensions()}async scanExtensions(i){const r=[];(i===null||i===0)&&r.push(this.scanSystemExtensions().then(null,a=>Promise.reject(new E.ExtensionManagementError(this.joinErrors(a).message,E.ExtensionManagementErrorCode.Internal)))),(i===null||i===1)&&r.push(this.scanUserExtensions(!0).then(null,a=>Promise.reject(new E.ExtensionManagementError(this.joinErrors(a).message,E.ExtensionManagementErrorCode.Internal))));try{const a=await Promise.all(r);return(0,k.flatten)(a)}catch(a){throw this.joinErrors(a)}}async scanUserExtensions(i){this.logService.trace("Started scanning user extensions");let[r,a]=await Promise.all([this.getUninstalledExtensions(),this.scanAllUserExtensions()]);return a=a.filter(m=>!r[new w.ExtensionIdentifierWithVersion(m.identifier,m.manifest.version).key()]),i&&(a=(0,w.groupByExtension)(a,S=>S.identifier).map(S=>S.sort((_,F)=>L.rcompare(_.manifest.version,F.manifest.version))[0])),this.logService.trace("Scanned user extensions:",a.length),a}async scanAllUserExtensions(){return this.scanExtensionsInDir(this.extensionsPath,1)}async extractUserExtension(i,r,a,m){const S=i.key(),_=D.join(this.extensionsPath,`.${(0,g.generateUuid)()}`),F=D.join(this.extensionsPath,S);try{await b.Promises.rm(F)}catch{try{await b.Promises.rm(F)}catch{}throw new E.ExtensionManagementError((0,h.localize)(0,null,F,i.id),E.ExtensionManagementErrorCode.Delete)}await this.extractAtLocation(i,r,_,m);let B=await this.scanExtension(R.URI.file(_),1);if(!B)throw new Error((0,h.localize)(1,null,_));await this.storeMetadata(B,{...a,installedTimestamp:Date.now()});try{await this.rename(i,_,F,Date.now()+2*60*1e3),this.logService.info("Renamed to",F)}catch(A){try{await b.Promises.rm(_)}catch{}if(A.code==="ENOTEMPTY")this.logService.info("Rename failed because extension was installed by another source. So ignoring renaming.",i.id);else throw this.logService.info(`Rename failed because of ${(0,p.getErrorMessage)(A)}. Deleted from extracted location`,_),A}try{B=await this.scanExtension(R.URI.file(F),1)}catch{}if(B)return B;throw new Error((0,h.localize)(2,null,this.extensionsPath))}async saveMetadataForLocalExtension(i,r){return this.setMetadata(i,r),await this.storeMetadata(i,{...r,installedTimestamp:i.installedTimestamp}),i}async storeMetadata(i,r){r.isMachineScoped=r.isMachineScoped||void 0,r.isBuiltin=r.isBuiltin||void 0,r.installedTimestamp=r.installedTimestamp||void 0;const a=D.join(i.location.fsPath,"package.json"),m=await b.Promises.readFile(a,"utf8"),{manifest:S}=await this.parseManifest(m);return S.__metadata=r,await b.Promises.writeFile(a,JSON.stringify(S,null,"	")),i}getUninstalledExtensions(){return this.withUninstalledExtensions()}async setUninstalled(...i){const r=i.map(a=>new w.ExtensionIdentifierWithVersion(a.identifier,a.manifest.version));await this.withUninstalledExtensions(a=>{r.forEach(m=>a[m.key()]=!0)})}async setInstalled(i){await this.withUninstalledExtensions(m=>delete m[i.key()]);const a=(await this.scanExtensions(1)).find(m=>new w.ExtensionIdentifierWithVersion(m.identifier,m.manifest.version).equals(i))||null;return a?(await this.storeMetadata(a,{installedTimestamp:Date.now()}),this.scanExtension(a.location,1)):null}async withUninstalledExtensions(i){return this.uninstalledFileLimiter.queue(async()=>{let r;try{r=await b.Promises.readFile(this.uninstalledPath,"utf8")}catch(m){if(m.code!=="ENOENT")throw m}let a={};if(r)try{a=JSON.parse(r)}catch{}return i&&(i(a),Object.keys(a).length?await b.Promises.writeFile(this.uninstalledPath,JSON.stringify(a)):await b.Promises.rm(this.uninstalledPath)),a})}async removeExtension(i,r){this.logService.trace(`Deleting ${r} extension from disk`,i.identifier.id,i.location.fsPath),await b.Promises.rm(i.location.fsPath),this.logService.info("Deleted from disk",i.identifier.id,i.location.fsPath)}async removeUninstalledExtension(i){await this.removeExtension(i,"uninstalled"),await this.withUninstalledExtensions(r=>delete r[new w.ExtensionIdentifierWithVersion(i.identifier,i.manifest.version).key()])}async extractAtLocation(i,r,a,m){this.logService.trace(`Started extracting the extension from ${r} to ${a}`);try{await b.Promises.rm(a)}catch(S){throw new E.ExtensionManagementError(this.joinErrors(S).message,E.ExtensionManagementErrorCode.Delete)}try{await(0,c.extract)(r,a,{sourcePath:"extension",overwrite:!0},m),this.logService.info(`Extracted extension to ${a}:`,i.id)}catch(S){try{await b.Promises.rm(a)}catch{}let _=E.ExtensionManagementErrorCode.Extract;throw S instanceof c.ExtractError&&(S.type==="CorruptZip"?_=E.ExtensionManagementErrorCode.CorruptZip:S.type==="Incomplete"&&(_=E.ExtensionManagementErrorCode.IncompleteZip)),new E.ExtensionManagementError(S.message,_)}}async rename(i,r,a,m){try{await b.Promises.rename(r,a)}catch(S){if(v.isWindows&&S&&S.code==="EPERM"&&Date.now()<m)return this.logService.info(`Failed renaming ${r} to ${a} with 'EPERM' error. Trying again...`,i.id),this.rename(i,r,a,m);throw new E.ExtensionManagementError(S.message||(0,h.localize)(3,null,r,a),S.code||E.ExtensionManagementErrorCode.Rename)}}async scanSystemExtensions(){this.logService.trace("Started scanning system extensions");const i=this.scanDefaultSystemExtensions();if(this.environmentService.isBuilt)return i;const r=this.scanDevSystemExtensions(),[a,m]=await Promise.all([i,r]);return[...a,...m]}async scanExtensionsInDir(i,r){const a=new t.Limiter(10),m=await this.fileService.resolve(R.URI.file(i));return m.children?(await Promise.all(m.children.filter(_=>_.isDirectory).map(_=>a.queue(async()=>r===1&&(0,I.basename)(_.resource).indexOf(".")===0?null:this.scanExtension(_.resource,r))))).filter(_=>_&&_.identifier):[]}async scanExtension(i,r){try{const a=await this.fileService.resolve(i);if(a.children){const{manifest:m,metadata:S}=await this.readManifest(i.fsPath),_=a.children.find(({name:T})=>/^readme(\.txt|\.md|)$/i.test(T))?.resource,F=a.children.find(({name:T})=>/^changelog(\.txt|\.md|)$/i.test(T))?.resource,B={id:(0,w.getGalleryExtensionId)(m.publisher,m.name)},A={type:r,identifier:B,manifest:m,location:i,readmeUrl:_,changelogUrl:F,publisherDisplayName:null,publisherId:null,isMachineScoped:!1,isBuiltin:r===0};return this.setMetadata(A,S),A}}catch(a){r!==0&&this.logService.trace(a)}return null}async scanDefaultSystemExtensions(){const i=await this.scanExtensionsInDir(this.systemExtensionsPath,0);return this.logService.trace("Scanned system extensions:",i.length),i}async scanDevSystemExtensions(){const i=this.getDevSystemExtensionsList();if(i.length){const r=await this.scanExtensionsInDir(this.devSystemExtensionsPath,0);return this.logService.trace("Scanned dev system extensions:",r.length),r.filter(a=>i.some(m=>(0,w.areSameExtensions)(a.identifier,{id:m})))}else return[]}setMetadata(i,r){i.publisherDisplayName=r?.publisherDisplayName||null,i.publisherId=r?.publisherId||null,i.identifier.uuid=r?.id,i.isMachineScoped=!!r?.isMachineScoped,i.isPreReleaseVersion=!!r?.isPreReleaseVersion,i.preRelease=!!r?.preRelease,i.isBuiltin=i.type===0||!!r?.isBuiltin,i.installedTimestamp=r?.installedTimestamp}async removeUninstalledExtensions(){const i=await this.getUninstalledExtensions(),r=await this.scanAllUserExtensions(),a=new Set;for(const _ of r)i[new w.ExtensionIdentifierWithVersion(_.identifier,_.manifest.version).key()]||a.add(_.identifier.id.toLowerCase());const m=(0,w.groupByExtension)(r,_=>_.identifier);await t.Promises.settled(m.map(async _=>{const F=_.sort((B,A)=>L.rcompare(B.manifest.version,A.manifest.version))[0];a.has(F.identifier.id.toLowerCase())||await this.beforeRemovingExtension(F)}));const S=r.filter(_=>i[new w.ExtensionIdentifierWithVersion(_.identifier,_.manifest.version).key()]);await t.Promises.settled(S.map(_=>this.removeUninstalledExtension(_)))}async removeOutdatedExtensions(){const i=await this.scanAllUserExtensions(),r=[],a=(0,w.groupByExtension)(i,m=>m.identifier);r.push(...(0,k.flatten)(a.map(m=>m.sort((S,_)=>L.rcompare(S.manifest.version,_.manifest.version)).slice(1)))),await t.Promises.settled(r.map(m=>this.removeExtension(m,"outdated")))}getDevSystemExtensionsList(){return(this.productService.builtInExtensions||[]).map(i=>i.name)}joinErrors(i){const r=Array.isArray(i)?i:[i];return r.length===1?r[0]instanceof Error?r[0]:new Error(r[0]):r.reduce((a,m)=>new Error(`${a.message}${a.message?",":""}${m instanceof Error?m.message:m}`),new Error(""))}get devSystemExtensionsPath(){return this._devSystemExtensionsPath||(this._devSystemExtensionsPath=D.normalize(D.join(P.FileAccess.asFileUri("",J).fsPath,"..",".build","builtInExtensions"))),this._devSystemExtensionsPath}async readManifest(i){const r=[b.Promises.readFile(D.join(i,"package.json"),"utf8").then(_=>this.parseManifest(_)),b.Promises.readFile(D.join(i,"package.nls.json"),"utf8").then(void 0,_=>_.code!=="ENOENT"?Promise.reject(_):"{}").then(_=>JSON.parse(_))],[{manifest:a,metadata:m},S]=await Promise.all(r);return{manifest:(0,f.localizeManifest)(a,S),metadata:m}}parseManifest(i){return new Promise((r,a)=>{try{const m=JSON.parse(i);m.publisher||(m.publisher=y.UNDEFINED_PUBLISHER);const S=m.__metadata||null;r({manifest:m,metadata:S})}catch{a(new Error((0,h.localize)(4,null)))}})}};s=Ae([Oe(1,u.IFileService),Oe(2,o.ILogService),Oe(3,d.INativeEnvironmentService),Oe(4,l.IProductService)],s),e.ExtensionsScanner=s}),define(we[113],ye([0,1,36,11,8,5,3,24,22,56,12,4,23,18,71,151,64,26,209,32,31,199,189,246,200,247,222,63,19,6,14,30,33,47]),function(J,e,k,t,p,C,P,D,v,I,L,R,g,b,c,h,d,E,w,f,y,u,o,l,s,n,i,r,a,m,S,_,F,B){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionManagementService=void 0;let A=class extends w.AbstractExtensionManagementService{constructor(q,se,V,K,te,re,oe,me,X){super(q,se,V,me);this.environmentService=K,this.downloadService=te,this.fileService=oe;const $=this._register(re.createInstance(o.ExtensionsLifecycle));this.extensionsScanner=this._register(re.createInstance(n.ExtensionsScanner,j=>$.postUninstall(j))),this.manifestCache=this._register(new s.ExtensionsManifestCache(K,this)),this.extensionsDownloader=this._register(re.createInstance(u.ExtensionsDownloader));const H=this._register(new i.ExtensionsWatcher(this,oe,K,V,X));this._register(H.onDidChangeExtensionsByAnotherSource(({added:j,removed:ee})=>{j.length&&this._onDidInstallExtensions.fire(j.map(he=>({identifier:he.identifier,operation:1,local:he}))),ee.forEach(he=>this._onDidUninstallExtension.fire({identifier:he}))}))}getTargetPlatform(){return this._targetPlatformPromise||(this._targetPlatformPromise=(async()=>{const q=await this.isAlpineLinux(),se=(0,f.getTargetPlatform)(q?"alpine":P.platform,D.arch);return this.logService.debug("ExtensionManagementService#TargetPlatform:",se),se})()),this._targetPlatformPromise}async isAlpineLinux(){if(!P.isLinux)return!1;let q;try{q=(await this.fileService.readFile(R.URI.file("/etc/os-release"))).value.toString()}catch{try{q=(await this.fileService.readFile(R.URI.file("/usr/lib/os-release"))).value.toString()}catch(V){this.logService.debug("Error while getting the os-release file.",(0,t.getErrorMessage)(V))}}return!!q&&(q.match(/^ID=([^\u001b\r\n]*)/m)||[])[1]==="alpine"}async zip(q){this.logService.trace("ExtensionManagementService#zip",q.identifier.id);const se=await this.collectFiles(q),V=await(0,c.zip)((0,v.joinPath)(this.environmentService.tmpDir,(0,g.generateUuid)()).fsPath,se);return R.URI.file(V)}async unzip(q){return this.logService.trace("ExtensionManagementService#unzip",q.toString()),(await this.install(q)).identifier}async getManifest(q){const se=await this.downloadVsix(q),V=C.resolve(se.fsPath);return(0,l.getManifest)(V)}getInstalled(q=null){return this.extensionsScanner.scanExtensions(q)}async install(q,se={}){this.logService.trace("ExtensionManagementService#install",q.toString());const V=await this.downloadVsix(q),K=await(0,l.getManifest)(C.resolve(V.fsPath));if(K.engines&&K.engines.vscode&&!(0,r.isEngineValid)(K.engines.vscode,this.productService.version,this.productService.date))throw new Error(h.localize(0,null,(0,y.getGalleryExtensionId)(K.publisher,K.name),this.productService.version));return this.installExtension(K,V,se)}async updateMetadata(q,se){this.logService.trace("ExtensionManagementService#updateMetadata",q.identifier.id);const V={...q.manifest.__metadata||{},...se};return se.isPreReleaseVersion&&(V.preRelease=!0),q=await this.extensionsScanner.saveMetadataForLocalExtension(q,V),this.manifestCache.invalidate(),q}async updateExtensionScope(q,se){return this.logService.trace("ExtensionManagementService#updateExtensionScope",q.identifier.id),q=await this.extensionsScanner.saveMetadataForLocalExtension(q,{...q.manifest.__metadata||{},isMachineScoped:se}),this.manifestCache.invalidate(),q}removeDeprecatedExtensions(){return this.extensionsScanner.cleanUp()}async downloadVsix(q){if(q.scheme===p.Schemas.file)return q;const se=(0,v.joinPath)(this.environmentService.tmpDir,(0,g.generateUuid)());return await this.downloadService.download(q,se),se}createInstallExtensionTask(q,se,V){return R.URI.isUri(se)?new N(q,se,V,this.galleryService,this.extensionsScanner,this.logService):new U(se,V,this.extensionsDownloader,this.extensionsScanner,this.logService)}createUninstallExtensionTask(q,se){return new W(q,se,this.extensionsScanner)}async collectFiles(q){const se=async K=>{let te=await b.Promises.readdir(K);te=te.map(me=>C.join(K,me));const re=await Promise.all(te.map(me=>b.Promises.stat(me)));let oe=Promise.resolve([]);return re.forEach((me,X)=>{const $=te[X];me.isFile()&&(oe=oe.then(H=>[...H,$])),me.isDirectory()&&(oe=oe.then(H=>se($).then(j=>[...H,...j])))}),oe};return(await se(q.location.fsPath)).map(K=>({path:`extension/${C.relative(q.location.fsPath,K)}`,localPath:K}))}};A=Ae([Oe(0,f.IExtensionGalleryService),Oe(1,F.ITelemetryService),Oe(2,S.ILogService),Oe(3,E.INativeEnvironmentService),Oe(4,d.IDownloadService),Oe(5,m.IInstantiationService),Oe(6,a.IFileService),Oe(7,_.IProductService),Oe(8,B.IUriIdentityService)],A),e.ExtensionManagementService=A;class T extends w.AbstractExtensionTask{constructor(q,se,V,K){super();this.identifier=q,this.source=se,this.extensionsScanner=V,this.logService=K,this._operation=2}get operation(){return this._operation}async installExtension(q,se){try{const V=await this.unsetUninstalledAndGetLocal(q.identifierWithVersion);if(V)return q.metadata?this.extensionsScanner.saveMetadataForLocalExtension(V,{...V.manifest.__metadata||{},...q.metadata}):V}catch{throw P.isMacintosh?new f.ExtensionManagementError(h.localize(1,null),f.ExtensionManagementErrorCode.Internal):new f.ExtensionManagementError(h.localize(2,null),f.ExtensionManagementErrorCode.Internal)}return this.extract(q,se)}async unsetUninstalledAndGetLocal(q){if(!await this.isUninstalled(q))return null;this.logService.trace("Removing the extension from uninstalled list:",q.id);const V=await this.extensionsScanner.setInstalled(q);return this.logService.info("Removed the extension from uninstalled list:",q.id),V}async isUninstalled(q){return!!(await this.extensionsScanner.getUninstalledExtensions())[q.key()]}async extract({zipPath:q,identifierWithVersion:se,metadata:V},K){let te=await this.extensionsScanner.extractUserExtension(se,q,V,K);return this.logService.info("Extracting completed.",se.id),te}}class U extends T{constructor(q,se,V,K,te){super(q.identifier,q,K,te);this.gallery=q,this.options=se,this.extensionsDownloader=V}async doRun(q){const V=(await this.extensionsScanner.scanExtensions(null)).find(te=>(0,y.areSameExtensions)(te.identifier,this.gallery.identifier));V&&(this._operation=3);const K=await this.downloadInstallableExtension(this.gallery,this._operation);K.metadata.isMachineScoped=this.options.isMachineScoped||V?.isMachineScoped,K.metadata.isBuiltin=this.options.isBuiltin||V?.isBuiltin,K.metadata.isPreReleaseVersion=this.gallery.properties.isPreReleaseVersion,K.metadata.preRelease=this.gallery.properties.isPreReleaseVersion||((0,L.isBoolean)(this.options.installPreReleaseVersion)?this.options.installPreReleaseVersion:V?.preRelease);try{const te=await this.installExtension(K,q);return V&&I.neq(V.manifest.version,this.gallery.version)&&await this.extensionsScanner.setUninstalled(V),te}catch(te){throw await this.deleteDownloadedVSIX(K.zipPath),te}}async deleteDownloadedVSIX(q){try{await this.extensionsDownloader.delete(R.URI.file(q))}catch(se){this.logService.warn("Error while deleting the downloaded vsix",q.toString(),(0,t.getErrorMessage)(se))}}async downloadInstallableExtension(q,se){const V={id:q.identifier.uuid,publisherId:q.publisherId,publisherDisplayName:q.publisherDisplayName};let K;try{this.logService.trace("Started downloading extension:",q.identifier.id),K=(await this.extensionsDownloader.downloadExtension(q,se)).fsPath,this.logService.info("Downloaded extension:",q.identifier.id,K)}catch(te){throw new f.ExtensionManagementError((0,w.joinErrors)(te).message,f.ExtensionManagementErrorCode.Download)}try{const te=await(0,l.getManifest)(K);return{zipPath:K,identifierWithVersion:new y.ExtensionIdentifierWithVersion(q.identifier,te.version),metadata:V}}catch(te){throw await this.deleteDownloadedVSIX(K),new f.ExtensionManagementError((0,w.joinErrors)(te).message,f.ExtensionManagementErrorCode.Invalid)}}}class N extends T{constructor(q,se,V,K,te,re){super({id:(0,y.getGalleryExtensionId)(q.publisher,q.name)},se,te,re);this.manifest=q,this.location=se,this.options=V,this.galleryService=K}async doRun(q){const se=new y.ExtensionIdentifierWithVersion(this.identifier,this.manifest.version),K=(await this.extensionsScanner.scanExtensions(1)).find(re=>(0,y.areSameExtensions)(this.identifier,re.identifier)),te=await this.getMetadata(this.identifier.id,this.manifest.version,q);if(te.isMachineScoped=this.options.isMachineScoped||K?.isMachineScoped,te.isBuiltin=this.options.isBuiltin||K?.isBuiltin,K)if(this._operation=3,se.equals(new y.ExtensionIdentifierWithVersion(K.identifier,K.manifest.version)))try{await this.extensionsScanner.removeExtension(K,"existing")}catch{throw new Error(h.localize(3,null,this.manifest.displayName||this.manifest.name))}else I.gt(K.manifest.version,this.manifest.version)&&await this.extensionsScanner.setUninstalled(K);else{const re=await this.unsetUninstalledAndGetLocal(se);if(re)try{await this.extensionsScanner.removeExtension(re,"existing")}catch{throw new Error(h.localize(4,null,this.manifest.displayName||this.manifest.name))}}return this.installExtension({zipPath:C.resolve(this.location.fsPath),identifierWithVersion:se,metadata:te},q)}async getMetadata(q,se,V){try{let[K]=await this.galleryService.getExtensions([{id:q,version:se}],V);if(K||([K]=await this.galleryService.getExtensions([{id:q}],V)),K)return{id:K.identifier.uuid,publisherDisplayName:K.publisherDisplayName,publisherId:K.publisherId,isPreReleaseVersion:K.properties.isPreReleaseVersion,preRelease:K.properties.isPreReleaseVersion||this.options.installPreReleaseVersion}}catch{}return{}}}class W extends w.AbstractExtensionTask{constructor(q,se,V){super();this.extension=q,this.options=se,this.extensionsScanner=V}async doRun(q){const se=[],V=await this.extensionsScanner.scanUserExtensions(!1);if(this.options.versionOnly){const K=new y.ExtensionIdentifierWithVersion(this.extension.identifier,this.extension.manifest.version);se.push(...V.filter(te=>K.equals(new y.ExtensionIdentifierWithVersion(te.identifier,te.manifest.version))))}else se.push(...V.filter(K=>(0,y.areSameExtensions)(K.identifier,this.extension.identifier)));if(!se.length)throw new Error(h.localize(5,null,this.extension.manifest.displayName||this.extension.manifest.name));if(await this.extensionsScanner.setUninstalled(...se),this.options.remove)for(const K of se)try{q.isCancellationRequested||await this.extensionsScanner.removeUninstalledExtension(K)}catch(te){throw new Error(h.localize(6,null,(0,k.toErrorMessage)(te)))}}}}),define(we[58],ye([0,1,67,82,25,15,11,7,2,5,3,23,39,85,248]),function(J,e,k,t,p,C,P,D,v,I,L,R,g,b,c){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.connect=e.serve=e.Server=e.createStaticIPCHandle=e.createRandomIPCHandle=e.XDG_RUNTIME_DIR=e.WebSocketNodeSocket=e.NodeSocket=void 0;class h{constructor(_,F=""){this.debugLabel=F,this.socket=_,this.traceSocketEvent("created",{type:"NodeSocket"}),this._errorListener=B=>{if(this.traceSocketEvent("error",{code:B?.code,message:B?.message}),B){if(B.code==="EPIPE")return;(0,P.onUnexpectedError)(B)}},this.socket.on("error",this._errorListener)}traceSocketEvent(_,F){b.SocketDiagnostics.traceSocketEvent(this.socket,this.debugLabel,_,F)}dispose(){this.socket.off("error",this._errorListener),this.socket.destroy()}onData(_){const F=B=>{this.traceSocketEvent("read",B),_(C.VSBuffer.wrap(B))};return this.socket.on("data",F),{dispose:()=>this.socket.off("data",F)}}onClose(_){const F=B=>{this.traceSocketEvent("close",{hadError:B}),_({type:0,hadError:B,error:void 0})};return this.socket.on("close",F),{dispose:()=>this.socket.off("close",F)}}onEnd(_){const F=()=>{this.traceSocketEvent("nodeEndReceived"),_()};return this.socket.on("end",F),{dispose:()=>this.socket.off("end",F)}}write(_){if(!this.socket.destroyed)try{this.traceSocketEvent("write",_),this.socket.write(_.buffer,F=>{if(F){if(F.code==="EPIPE")return;(0,P.onUnexpectedError)(F)}})}catch(F){if(F.code==="EPIPE")return;(0,P.onUnexpectedError)(F)}}end(){this.traceSocketEvent("nodeEndSent"),this.socket.end()}drain(){return this.traceSocketEvent("nodeDrainBegin"),new Promise((_,F)=>{if(this.socket.bufferSize===0){this.traceSocketEvent("nodeDrainEnd"),_();return}const B=()=>{this.socket.off("close",B),this.socket.off("end",B),this.socket.off("error",B),this.socket.off("timeout",B),this.socket.off("drain",B),this.traceSocketEvent("nodeDrainEnd"),_()};this.socket.on("close",B),this.socket.on("end",B),this.socket.on("error",B),this.socket.on("timeout",B),this.socket.on("drain",B)})}}e.NodeSocket=h;var d;(function(S){S[S.MinHeaderByteSize=2]="MinHeaderByteSize"})(d||(d={}));var E;(function(S){S[S.PeekHeader=1]="PeekHeader",S[S.ReadHeader=2]="ReadHeader",S[S.ReadBody=3]="ReadBody",S[S.Fin=4]="Fin"})(E||(E={}));class w extends v.Disposable{constructor(_,F,B,A){super();this._onData=this._register(new D.Emitter),this._onClose=this._register(new D.Emitter),this._isEnded=!1,this._state={state:1,readLen:2,fin:0,compressed:!1,firstFrameOfMessage:!0,mask:0},this.socket=_,this.traceSocketEvent("created",{type:"WebSocketNodeSocket",permessageDeflate:F,inflateBytesLength:B?.byteLength||0,recordInflateBytes:A}),this._flowManager=this._register(new f(this,F,B,A,this._onData,(T,U)=>this._write(T,U))),this._register(this._flowManager.onError(T=>{console.error(T),(0,P.onUnexpectedError)(T),this._onClose.fire({type:0,hadError:!0,error:T})})),this._incomingData=new b.ChunkStream,this._register(this.socket.onData(T=>this._acceptChunk(T))),this._register(this.socket.onClose(T=>this._onClose.fire(T)))}get permessageDeflate(){return this._flowManager.permessageDeflate}get recordedInflateBytes(){return this._flowManager.recordedInflateBytes}traceSocketEvent(_,F){this.socket.traceSocketEvent(_,F)}dispose(){this._flowManager.isProcessingWriteQueue()?this._register(this._flowManager.onDidFinishProcessingWriteQueue(()=>{this.dispose()})):(this.socket.dispose(),super.dispose())}onData(_){return this._onData.event(_)}onClose(_){return this._onClose.event(_)}onEnd(_){return this.socket.onEnd(_)}write(_){this._flowManager.writeMessage(_)}_write(_,F){if(this._isEnded)return;this.traceSocketEvent("webSocketNodeSocketWrite",_);let B=2;_.byteLength<126?B+=0:_.byteLength<2**16?B+=2:B+=8;const A=C.VSBuffer.alloc(B);if(F?A.writeUInt8(194,0):A.writeUInt8(130,0),_.byteLength<126)A.writeUInt8(_.byteLength,1);else if(_.byteLength<2**16){A.writeUInt8(126,1);let T=1;A.writeUInt8(_.byteLength>>>8&255,++T),A.writeUInt8(_.byteLength>>>0&255,++T)}else{A.writeUInt8(127,1);let T=1;A.writeUInt8(0,++T),A.writeUInt8(0,++T),A.writeUInt8(0,++T),A.writeUInt8(0,++T),A.writeUInt8(_.byteLength>>>24&255,++T),A.writeUInt8(_.byteLength>>>16&255,++T),A.writeUInt8(_.byteLength>>>8&255,++T),A.writeUInt8(_.byteLength>>>0&255,++T)}this.socket.write(C.VSBuffer.concat([A,_]))}end(){this._isEnded=!0,this.socket.end()}_acceptChunk(_){if(_.byteLength!==0){for(this._incomingData.acceptChunk(_);this._incomingData.byteLength>=this._state.readLen;)if(this._state.state===1){const F=this._incomingData.peek(this._state.readLen),B=F.readUInt8(0),A=(B&128)>>>7,T=(B&64)>>>6,U=F.readUInt8(1),N=(U&128)>>>7,W=U&127;this._state.state=2,this._state.readLen=2+(N?4:0)+(W===126?2:0)+(W===127?8:0),this._state.fin=A,this._state.firstFrameOfMessage&&(this._state.compressed=Boolean(T)),this._state.firstFrameOfMessage=Boolean(A),this._state.mask=0,this.traceSocketEvent("webSocketNodeSocketPeekedHeader",{headerSize:this._state.readLen,compressed:this._state.compressed,fin:this._state.fin})}else if(this._state.state===2){const F=this._incomingData.read(this._state.readLen),B=F.readUInt8(1),A=(B&128)>>>7;let T=B&127,U=1;T===126?T=F.readUInt8(++U)*2**8+F.readUInt8(++U):T===127&&(T=F.readUInt8(++U)*0+F.readUInt8(++U)*0+F.readUInt8(++U)*0+F.readUInt8(++U)*0+F.readUInt8(++U)*2**24+F.readUInt8(++U)*2**16+F.readUInt8(++U)*2**8+F.readUInt8(++U));let N=0;A&&(N=F.readUInt8(++U)*2**24+F.readUInt8(++U)*2**16+F.readUInt8(++U)*2**8+F.readUInt8(++U)),this._state.state=3,this._state.readLen=T,this._state.mask=N,this.traceSocketEvent("webSocketNodeSocketPeekedHeader",{bodySize:this._state.readLen,compressed:this._state.compressed,fin:this._state.fin,mask:this._state.mask})}else if(this._state.state===3){const F=this._incomingData.read(this._state.readLen);this.traceSocketEvent("webSocketNodeSocketReadData",F),o(F,this._state.mask),this.traceSocketEvent("webSocketNodeSocketUnmaskedData",F),this._state.state=1,this._state.readLen=2,this._state.mask=0,this._flowManager.acceptFrame(F,this._state.compressed,!!this._state.fin)}}}async drain(){this.traceSocketEvent("webSocketNodeSocketDrainBegin"),this._flowManager.isProcessingWriteQueue()&&await D.Event.toPromise(this._flowManager.onDidFinishProcessingWriteQueue),await this.socket.drain(),this.traceSocketEvent("webSocketNodeSocketDrainEnd")}}e.WebSocketNodeSocket=w;class f extends v.Disposable{constructor(_,F,B,A,T,U){super();this._tracer=_,this._onData=T,this._writeFn=U,this._onError=this._register(new D.Emitter),this.onError=this._onError.event,this._writeQueue=[],this._readQueue=[],this._onDidFinishProcessingWriteQueue=this._register(new D.Emitter),this.onDidFinishProcessingWriteQueue=this._onDidFinishProcessingWriteQueue.event,this._isProcessingWriteQueue=!1,this._isProcessingReadQueue=!1,F?(this._zlibInflateStream=this._register(new y(this._tracer,A,B,{windowBits:15})),this._zlibDeflateStream=this._register(new u(this._tracer,{windowBits:15})),this._register(this._zlibInflateStream.onError(N=>this._onError.fire(N))),this._register(this._zlibDeflateStream.onError(N=>this._onError.fire(N)))):(this._zlibInflateStream=null,this._zlibDeflateStream=null)}get permessageDeflate(){return Boolean(this._zlibInflateStream&&this._zlibDeflateStream)}get recordedInflateBytes(){return this._zlibInflateStream?this._zlibInflateStream.recordedInflateBytes:C.VSBuffer.alloc(0)}writeMessage(_){this._writeQueue.push(_),this._processWriteQueue()}async _processWriteQueue(){if(!this._isProcessingWriteQueue){for(this._isProcessingWriteQueue=!0;this._writeQueue.length>0;){const _=this._writeQueue.shift();if(this._zlibDeflateStream){const F=await this._deflateMessage(this._zlibDeflateStream,_);this._writeFn(F,!0)}else this._writeFn(_,!1)}this._isProcessingWriteQueue=!1,this._onDidFinishProcessingWriteQueue.fire()}}isProcessingWriteQueue(){return this._isProcessingWriteQueue}_deflateMessage(_,F){return new Promise((B,A)=>{_.write(F),_.flush(T=>B(T))})}acceptFrame(_,F,B){this._readQueue.push({data:_,isCompressed:F,isLastFrameOfMessage:B}),this._processReadQueue()}async _processReadQueue(){if(!this._isProcessingReadQueue){for(this._isProcessingReadQueue=!0;this._readQueue.length>0;){const _=this._readQueue.shift();if(this._zlibInflateStream&&_.isCompressed){const F=await this._inflateFrame(this._zlibInflateStream,_.data,_.isLastFrameOfMessage);this._onData.fire(F)}else this._onData.fire(_.data)}this._isProcessingReadQueue=!1}}_inflateFrame(_,F,B){return new Promise((A,T)=>{_.write(F),B&&_.write(C.VSBuffer.fromByteArray([0,0,255,255])),_.flush(U=>A(U))})}}class y extends v.Disposable{constructor(_,F,B,A){super();this._tracer=_,this._recordInflateBytes=F,this._onError=this._register(new D.Emitter),this.onError=this._onError.event,this._recordedInflateBytes=[],this._pendingInflateData=[],this._zlibInflate=c.createInflateRaw(A),this._zlibInflate.on("error",T=>{this._tracer.traceSocketEvent("zlibInflateError",{message:T?.message,code:T?.code}),this._onError.fire(T)}),this._zlibInflate.on("data",T=>{this._tracer.traceSocketEvent("zlibInflateData",T),this._pendingInflateData.push(C.VSBuffer.wrap(T))}),B&&(this._tracer.traceSocketEvent("zlibInflateInitialWrite",B.buffer),this._zlibInflate.write(B.buffer),this._zlibInflate.flush(()=>{this._tracer.traceSocketEvent("zlibInflateInitialFlushFired"),this._pendingInflateData.length=0}))}get recordedInflateBytes(){return this._recordInflateBytes?C.VSBuffer.concat(this._recordedInflateBytes):C.VSBuffer.alloc(0)}write(_){this._recordInflateBytes&&this._recordedInflateBytes.push(_.clone()),this._tracer.traceSocketEvent("zlibInflateWrite",_),this._zlibInflate.write(_.buffer)}flush(_){this._zlibInflate.flush(()=>{this._tracer.traceSocketEvent("zlibInflateFlushFired");const F=C.VSBuffer.concat(this._pendingInflateData);this._pendingInflateData.length=0,_(F)})}}class u extends v.Disposable{constructor(_,F){super();this._tracer=_,this._onError=this._register(new D.Emitter),this.onError=this._onError.event,this._pendingDeflateData=[],this._zlibDeflate=c.createDeflateRaw({windowBits:15}),this._zlibDeflate.on("error",B=>{this._tracer.traceSocketEvent("zlibDeflateError",{message:B?.message,code:B?.code}),this._onError.fire(B)}),this._zlibDeflate.on("data",B=>{this._tracer.traceSocketEvent("zlibDeflateData",B),this._pendingDeflateData.push(C.VSBuffer.wrap(B))})}write(_){this._tracer.traceSocketEvent("zlibDeflateWrite",_.buffer),this._zlibDeflate.write(_.buffer)}flush(_){this._zlibDeflate.flush(2,()=>{this._tracer.traceSocketEvent("zlibDeflateFlushFired");let F=C.VSBuffer.concat(this._pendingDeflateData);this._pendingDeflateData.length=0,F=F.slice(0,F.byteLength-4),_(F)})}}function o(S,_){if(_===0)return;let F=S.byteLength>>>2;for(let W=0;W<F;W++){const ie=S.readUInt32BE(W*4);S.writeUInt32BE(ie^_,W*4)}let B=F*4,A=S.byteLength-B;const T=_>>>24&255,U=_>>>16&255,N=_>>>8&255;A>=1&&S.writeUInt8(S.readUInt8(B)^T,B),A>=2&&S.writeUInt8(S.readUInt8(B+1)^U,B+1),A>=3&&S.writeUInt8(S.readUInt8(B+2)^N,B+2)}e.XDG_RUNTIME_DIR=process.env.XDG_RUNTIME_DIR;const l={[2]:107,[1]:103};function s(){const S=(0,R.generateUuid)();if(process.platform==="win32")return`\\\\.\\pipe\\vscode-ipc-${S}-sock`;let _;return e.XDG_RUNTIME_DIR?_=(0,I.join)(e.XDG_RUNTIME_DIR,`vscode-ipc-${S}.sock`):_=(0,I.join)((0,p.tmpdir)(),`vscode-ipc-${S}.sock`),i(_),_}e.createRandomIPCHandle=s;function n(S,_,F){const B=(0,k.createHash)("md5").update(S).digest("hex");if(process.platform==="win32")return`\\\\.\\pipe\\${B}-${F}-${_}-sock`;let A;return e.XDG_RUNTIME_DIR&&!process.env.VSCODE_PORTABLE?A=(0,I.join)(e.XDG_RUNTIME_DIR,`vscode-${B.substr(0,8)}-${F}-${_}.sock`):A=(0,I.join)(S,`${F}-${_}.sock`),i(A),A}e.createStaticIPCHandle=n;function i(S){const _=l[L.platform];typeof _=="number"&&S.length>=_&&console.warn(`WARNING: IPC handle "${S}" is longer than ${_} chars, try a shorter --user-data-dir`)}class r extends g.IPCServer{constructor(_){super(r.toClientConnectionEvent(_));this.server=_}static toClientConnectionEvent(_){const F=D.Event.fromNodeEventEmitter(_,"connection");return D.Event.map(F,B=>({protocol:new b.Protocol(new h(B,"ipc-server-connection")),onDidClientDisconnect:D.Event.once(D.Event.fromNodeEventEmitter(B,"close"))}))}dispose(){super.dispose(),this.server&&(this.server.close(),this.server=null)}}e.Server=r;function a(S){return new Promise((_,F)=>{const B=(0,t.createServer)();B.on("error",F),B.listen(S,()=>{B.removeListener("error",F),_(new r(B))})})}e.serve=a;function m(S,_){return new Promise((F,B)=>{const A=(0,t.createConnection)(S,()=>{A.removeListener("error",B),F(b.Client.fromSocket(new h(A,`ipc-client${_}`),_))});A.once("error",B)})}e.connect=m}),define(we[114],ye([0,1,68,13,15,11,2,12,28,26,69,14,203,248]),function(J,e,k,t,p,C,P,D,v,I,L,R,g,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.RequestService=void 0;let c=class extends P.Disposable{constructor(d,E,w){super();this.environmentService=E,this.logService=w,this.configure(d.getValue()),this._register(d.onDidChangeConfiguration(()=>this.configure(d.getValue()),this))}configure(d){this.proxyUrl=d.http&&d.http.proxy,this.strictSSL=!!(d.http&&d.http.proxyStrictSSL),this.authorization=d.http&&d.http.proxyAuthorization}async request(d,E){this.logService.trace("RequestService#request",d.url);const{proxyUrl:w,strictSSL:f}=this;let y;try{y=await(0,L.getResolvedShellEnv)(this.logService,this.environmentService.args,process.env)}catch(l){this.shellEnvErrorLogged||(this.shellEnvErrorLogged=!0,this.logService.error("RequestService#request resolving shell environment failed",l))}const u={...process.env,...y},o=d.agent?d.agent:await(0,g.getProxyAgent)(d.url||"",u,{proxyUrl:w,strictSSL:f});return d.agent=o,d.strictSSL=f,this.authorization&&(d.headers={...d.headers||{},"Proxy-Authorization":this.authorization}),this._request(d,E)}async getNodeRequest(d){return((0,k.parse)(d.url).protocol==="https:"?await new Promise((f,y)=>{J(["https"],f,y)}):await new Promise((f,y)=>{J(["http"],f,y)})).request}_request(d,E){return t.Promises.withAsyncBody(async(w,f)=>{let y;const u=(0,k.parse)(d.url),o=d.getRawRequest?d.getRawRequest(d):await this.getNodeRequest(d),l={hostname:u.hostname,port:u.port?parseInt(u.port):u.protocol==="https:"?443:80,protocol:u.protocol,path:u.path,method:d.type||"GET",headers:d.headers,agent:d.agent,rejectUnauthorized:(0,D.isBoolean)(d.strictSSL)?d.strictSSL:!0};d.user&&d.password&&(l.auth=d.user+":"+d.password),y=o(l,s=>{const n=(0,D.isNumber)(d.followRedirects)?d.followRedirects:3;if(s.statusCode&&s.statusCode>=300&&s.statusCode<400&&n>0&&s.headers.location)this._request({...d,url:s.headers.location,followRedirects:n-1},E).then(w,f);else{let i=s;s.headers["content-encoding"]==="gzip"&&(i=s.pipe((0,b.createGunzip)())),w({res:s,stream:(0,p.streamToBufferReadableStream)(i)})}}),y.on("error",f),d.timeout&&y.setTimeout(d.timeout),d.data&&typeof d.data=="string"&&y.write(d.data),y.end(),E.onCancellationRequested(()=>{y.abort(),f((0,C.canceled)())})})}async resolveProxy(d){}};c=Ae([Oe(0,v.IConfigurationService),Oe(1,I.INativeEnvironmentService),Oe(2,R.ILogService)],c),e.RequestService=c}),define(we[115],ye([0,1,38,70,8,5,15,7,58,69,3,244,62]),function(J,e,k,t,p,C,P,D,v,I,L,R,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionHostConnection=e.buildUserEnvironment=void 0;async function b(f={},y,u,o,l,s){const n=await(0,t.getNLSConfiguration)(u,l.userDataPath);let i={};if(y)try{i=await(0,I.getResolvedShellEnv)(s,l.args,process.env)}catch(F){s.error("ExtensionHostConnection#buildUserEnvironment resolving shell environment failed",F)}const a={...process.env,...i,VSCODE_LOG_NATIVE:String(o),VSCODE_AMD_ENTRYPOINT:"vs/workbench/api/node/extensionHostProcess",VSCODE_PIPE_LOGGING:"true",VSCODE_VERBOSE_LOGGING:"true",VSCODE_EXTHOST_WILL_SEND_SOCKET:"true",VSCODE_HANDLES_UNCAUGHT_ERRORS:"true",VSCODE_LOG_STACK:"false",VSCODE_NLS_CONFIG:JSON.stringify(n,void 0,0),...f},m=l.isBuilt?(0,C.join)(l.appRoot,"bin"):(0,C.join)(l.appRoot,"resources","server","bin-dev"),S=(0,C.join)(m,"remote-cli");let _=d(a,"PATH");return _?_=S+C.delimiter+_:_=S,E(a,"PATH",_),l.args["without-browser-env-var"]||(a.BROWSER=(0,C.join)(m,"helpers",L.isWindows?"browser.cmd":"browser.sh")),w(a),a}e.buildUserEnvironment=b;class c{constructor(y,u,o,l,s,n){this.socket=y,this.socketDrain=u,this.initialDataChunk=o,this.skipWebSocketFrames=l,this.permessageDeflate=s,this.inflateBytes=n}toIExtHostSocketMessage(){return{type:"VSCODE_EXTHOST_IPC_SOCKET",initialDataChunk:this.initialDataChunk.buffer.toString("base64"),skipWebSocketFrames:this.skipWebSocketFrames,permessageDeflate:this.permessageDeflate,inflateBytes:this.inflateBytes.buffer.toString("base64")}}}class h{constructor(y,u,o,l,s,n){this._environmentService=y,this._logService=u,this._reconnectionToken=o,this._onClose=new D.Emitter,this.onClose=this._onClose.event,this._disposed=!1,this._remoteAddress=l,this._extensionHostProcess=null,this._connectionData=h._toConnectionData(s,n),this._log("New connection established.")}get _logPrefix(){return`[${this._remoteAddress}][${this._reconnectionToken.substr(0,8)}][ExtensionHostConnection] `}_log(y){this._logService.info(`${this._logPrefix}${y}`)}_logError(y){this._logService.error(`${this._logPrefix}${y}`)}static _toConnectionData(y,u){return y instanceof v.NodeSocket?new c(y.socket,y.drain(),u,!0,!1,P.VSBuffer.alloc(0)):new c(y.socket.socket,y.drain(),u,!1,y.permessageDeflate,y.recordedInflateBytes)}async _sendSocketToExtensionHost(y,u){await u.socketDrain;const o=u.toIExtHostSocketMessage();y.send(o,u.socket)}shortenReconnectionGraceTimeIfNecessary(){if(!this._extensionHostProcess)return;const y={type:"VSCODE_EXTHOST_IPC_REDUCE_GRACE_TIME"};this._extensionHostProcess.send(y)}acceptReconnection(y,u,o){this._remoteAddress=y,this._log("The client has reconnected.");const l=h._toConnectionData(u,o);if(!this._extensionHostProcess){this._connectionData=l;return}this._sendSocketToExtensionHost(this._extensionHostProcess,l)}_cleanResources(){this._disposed||(this._disposed=!0,this._connectionData&&(this._connectionData.socket.end(),this._connectionData=null),this._extensionHostProcess&&(this._extensionHostProcess.kill(),this._extensionHostProcess=null),this._onClose.fire(void 0))}async start(y){try{let u=[];y.port&&!process.pkg&&(u=[`--inspect${y.break?"-brk":""}=${y.port}`]);const o=await b(y.env,!0,y.language,!!y.debugId,this._environmentService,this._logService);(0,g.removeDangerousEnvVariables)(o);const l={env:o,execArgv:u,silent:!0},s=["--type=extensionHost","--transformURIs"],n=this._environmentService.args["use-host-proxy"];s.push(`--useHostProxy=${n?"true":"false"}`),this._extensionHostProcess=k.fork(p.FileAccess.asFileUri("bootstrap-fork",J).fsPath,s,l);const i=this._extensionHostProcess.pid;this._log(`<${i}> Launched Extension Host Process.`),this._extensionHostProcess.stdout.setEncoding("utf8"),this._extensionHostProcess.stderr.setEncoding("utf8");const r=D.Event.fromNodeEventEmitter(this._extensionHostProcess.stdout,"data"),a=D.Event.fromNodeEventEmitter(this._extensionHostProcess.stderr,"data");r(S=>this._log(`<${i}> ${S}`)),a(S=>this._log(`<${i}><stderr> ${S}`)),this._extensionHostProcess.on("message",S=>{S&&S.type==="__$console"&&(0,R.logRemoteEntry)(this._logService,S,`${this._logPrefix}<${i}>`)}),this._extensionHostProcess.on("error",S=>{this._logError(`<${i}> Extension Host Process had an error`),this._logService.error(S),this._cleanResources()}),this._extensionHostProcess.on("exit",(S,_)=>{this._log(`<${i}> Extension Host Process exited with code: ${S}, signal: ${_}.`),this._cleanResources()});const m=S=>{S.type==="VSCODE_EXTHOST_IPC_READY"&&(this._extensionHostProcess.removeListener("message",m),this._sendSocketToExtensionHost(this._extensionHostProcess,this._connectionData),this._connectionData=null)};this._extensionHostProcess.on("message",m)}catch(u){console.error("ExtensionHostConnection errored"),u&&console.error(u)}}}e.ExtensionHostConnection=h;function d(f,y){const u=Object.keys(f).filter(l=>l.toLowerCase()===y.toLowerCase()),o=u.length>0?u[0]:y;return f[o]}function E(f,y,u){const o=Object.keys(f).filter(s=>s.toLowerCase()===y.toLowerCase()),l=o.length>0?o[0]:y;f[l]=u}function w(f){for(let y of Object.keys(f))f[y]===null&&delete f[y]}}),define(we[249],ye([0,1,65,14,53,96,28,46,114,41,33,32,100,113,92,44,2,93,55,8,19,30,95,112,48,98,66,99,11,4,5,24,201,64,47,103,52,3]),function(J,e,k,t,p,C,P,D,v,I,L,R,g,b,c,h,d,E,w,f,y,u,o,l,s,n,i,r,a,m,S,_,F,B,A,T,U,N){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.run=void 0;class W extends d.Disposable{constructor(V,K){super();this.args=V,this.remoteDataFolder=K,this.registerListeners()}registerListeners(){process.once("exit",()=>this.dispose())}async run(){await(await this.initServices()).invokeFunction(async K=>{const te=K.get(t.ILogService),re=K.get(R.IExtensionManagementCLIService);try{await this.doRun(re)}catch(oe){throw te.error(oe),console.error((0,a.getErrorMessage)(oe)),oe}})}async initServices(){const V=new k.ServiceCollection,K={_serviceBrand:void 0,...h.default};V.set(u.IProductService,K);const te=new s.ServerEnvironmentService(this.args,K);V.set(s.IServerEnvironmentService,te);const re=new t.LogService(new o.SpdLogLogger(l.RemoteExtensionLogFileName,(0,S.join)(te.logsPath,`${l.RemoteExtensionLogFileName}.log`),!0,!1,(0,t.getLogLevel)(te)));V.set(t.ILogService,re),re.trace(`Remote configuration data at ${this.remoteDataFolder}`),re.trace("process arguments:",this.args);const oe=this._register(new E.FileService(re));V.set(y.IFileService,oe),oe.registerProvider(f.Schemas.file,this._register(new w.DiskFileSystemProvider(re)));const me=this._register(new C.ConfigurationService(te.settingsResource,oe));return await me.initialize(),V.set(P.IConfigurationService,me),V.set(A.IUriIdentityService,new T.UriIdentityService(oe)),V.set(D.IRequestService,new p.SyncDescriptor(v.RequestService)),V.set(B.IDownloadService,new p.SyncDescriptor(F.DownloadService)),V.set(L.ITelemetryService,I.NullTelemetryService),V.set(R.IExtensionGalleryService,new p.SyncDescriptor(g.ExtensionGalleryServiceWithNoStorageService)),V.set(R.IExtensionManagementService,new p.SyncDescriptor(b.ExtensionManagementService)),V.set(R.IExtensionManagementCLIService,new p.SyncDescriptor(n.ExtensionManagementCLIService)),V.set(i.ILocalizationsService,new p.SyncDescriptor(r.LocalizationsService)),new c.InstantiationService(V)}async doRun(V){if(this.args["list-extensions"])return V.listExtensions(!!this.args["show-versions"],this.args.category);if(this.args["install-extension"]||this.args["install-builtin-extension"]){const K={isMachineScoped:!!this.args["do-not-sync"],installPreReleaseVersion:!!this.args["pre-release"]};return V.installExtensions(this.asExtensionIdOrVSIX(this.args["install-extension"]||[]),this.args["install-builtin-extension"]||[],K,!!this.args.force)}else{if(this.args["uninstall-extension"])return V.uninstallExtensions(this.asExtensionIdOrVSIX(this.args["uninstall-extension"]),!!this.args.force);if(this.args["locate-extension"])return V.locateExtension(this.args["locate-extension"])}}asExtensionIdOrVSIX(V){return V.map(K=>/\.vsix$/i.test(K)?m.URI.file((0,S.isAbsolute)(K)?K:(0,S.join)((0,_.cwd)(),K)):K)}}function ie(se){setTimeout(()=>process.exit(se),0)}async function q(se,V,K){if(se.help){const re=h.default.serverApplicationName+(N.isWindows?".cmd":"");console.log((0,U.buildHelpMessage)(h.default.nameLong,re,h.default.version,K,{noInputFiles:!0,noPipe:!0}));return}if(se.version){console.log((0,U.buildVersionMessage)(h.default.version,h.default.commit));return}const te=new W(se,V);try{await te.run(),ie(0)}catch{ie(1)}finally{te.dispose()}}e.run=q}),define(we[250],ye([0,1,58,261,27,243,4,14,104]),function(J,e,k,t,p,C,P,D,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CLIServer=e.CLIServerBase=void 0;class I{constructor(g,b,c){this._commands=g,this.logService=b,this._ipcHandlePath=c,this._server=t.createServer((h,d)=>this.onRequest(h,d)),this.setup().catch(h=>(b.error(h),""))}get ipcHandlePath(){return this._ipcHandlePath}async setup(){try{this._server.listen(this.ipcHandlePath),this._server.on("error",g=>this.logService.error(g))}catch{this.logService.error("Could not start open from terminal server.")}return this._ipcHandlePath}onRequest(g,b){const c=(d,E)=>{b.writeHead(d,{"content-type":"application/json"}),b.end(JSON.stringify(E),w=>w&&this.logService.error(w))},h=[];g.setEncoding("utf8"),g.on("data",d=>h.push(d)),g.on("end",async()=>{try{const d=JSON.parse(h.join(""));let E;switch(d.type){case"open":E=await this.open(d);break;case"openExternal":E=await this.openExternal(d);break;case"status":E=await this.getStatus(d);break;case"extensionManagement":E=await this.manageExtensions(d);break;default:c(404,`Unknown message type: ${d.type}`);break}c(200,E)}catch(d){const E=d instanceof Error?d.message:JSON.stringify(d);c(500,E),this.logService.error("Error while processing pipe request",d)}})}async open(g){const{fileURIs:b,folderURIs:c,forceNewWindow:h,diffMode:d,addMode:E,forceReuseWindow:w,gotoLineMode:f,waitMarkerFilePath:y,remoteAuthority:u}=g,o=[];if(Array.isArray(c))for(const i of c)try{o.push({folderUri:P.URI.parse(i)})}catch{}if(Array.isArray(b))for(const i of b)try{(0,v.hasWorkspaceFileExtension)(i)?o.push({workspaceUri:P.URI.parse(i)}):o.push({fileUri:P.URI.parse(i)})}catch{}const l=y?P.URI.file(y):void 0,n={forceNewWindow:h,diffMode:d,addMode:E,gotoLineMode:f,forceReuseWindow:w,preferNewWindow:!w&&!l&&!E,waitMarkerFileURI:l,remoteAuthority:u};return this._commands.executeCommand("_remoteCLI.windowOpen",o,n),""}async openExternal(g){for(const b of g.uris){const c=P.URI.parse(b),h=c.scheme==="file"?c:b;await this._commands.executeCommand("_remoteCLI.openExternal",h)}}async manageExtensions(g){const b=h=>h?.map(d=>/\.vsix$/i.test(d)?P.URI.parse(d):d),c={list:g.list,install:b(g.install),uninstall:b(g.uninstall),force:g.force};return await this._commands.executeCommand("_remoteCLI.manageExtensions",c)}async getStatus(g){return await this._commands.executeCommand("_remoteCLI.getSystemStatus")}dispose(){this._server.close(),this._ipcHandlePath&&process.platform!=="win32"&&p.existsSync(this._ipcHandlePath)&&p.unlinkSync(this._ipcHandlePath)}}e.CLIServerBase=I;let L=class extends I{constructor(g,b){super(g,b,(0,k.createRandomIPCHandle)())}};L=Ae([Oe(0,C.IExtHostCommands),Oe(1,D.ILogService)],L),e.CLIServer=L}),define(we[251],ye([0,1,25,7,21,2,5,3,4,58,57,250,230,109,231,236,115]),function(J,e,k,t,p,C,P,D,v,I,L,R,g,b,c,h,d){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.RemoteTerminalChannel=void 0;class E extends h.AbstractVariableResolverService{constructor(y,u,o,l){super({getFolderUri:s=>{const n=u.filter(i=>i.name===s);if(n&&n.length>0)return n[0].uri},getWorkspaceFolderCount:()=>u.length,getConfigurationValue:(s,n)=>l[`config:${n}`],getExecPath:()=>y.VSCODE_EXEC_PATH,getAppRoot:()=>y.VSCODE_CWD,getFilePath:()=>{if(o)return P.normalize(o.fsPath)},getSelectedText:()=>l.selectedText,getLineNumber:()=>l.lineNumber},void 0,Promise.resolve(k.homedir()),Promise.resolve(y))}}class w extends C.Disposable{constructor(y,u,o,l){super();this._environmentService=y,this._logService=u,this._ptyService=o,this._productService=l,this._lastReqId=0,this._pendingCommands=new Map,this._onExecuteCommand=this._register(new t.Emitter),this.onExecuteCommand=this._onExecuteCommand.event}async call(y,u,o){switch(u){case"$restartPtyHost":return this._ptyService.restartPtyHost?.apply(this._ptyService,o);case"$createProcess":{const l=(0,L.createURITransformer)(y.remoteAuthority);return this._createProcess(l,o)}case"$attachToProcess":return this._ptyService.attachToProcess.apply(this._ptyService,o);case"$detachFromProcess":return this._ptyService.detachFromProcess.apply(this._ptyService,o);case"$listProcesses":return this._ptyService.listProcesses.apply(this._ptyService,o);case"$orphanQuestionReply":return this._ptyService.orphanQuestionReply.apply(this._ptyService,o);case"$acceptPtyHostResolvedVariables":return this._ptyService.acceptPtyHostResolvedVariables?.apply(this._ptyService,o);case"$start":return this._ptyService.start.apply(this._ptyService,o);case"$input":return this._ptyService.input.apply(this._ptyService,o);case"$acknowledgeDataEvent":return this._ptyService.acknowledgeDataEvent.apply(this._ptyService,o);case"$shutdown":return this._ptyService.shutdown.apply(this._ptyService,o);case"$resize":return this._ptyService.resize.apply(this._ptyService,o);case"$getInitialCwd":return this._ptyService.getInitialCwd.apply(this._ptyService,o);case"$getCwd":return this._ptyService.getCwd.apply(this._ptyService,o);case"$processBinary":return this._ptyService.processBinary.apply(this._ptyService,o);case"$sendCommandResult":return this._sendCommandResult(o[0],o[1],o[2]);case"$installAutoReply":return this._ptyService.installAutoReply.apply(this._ptyService,o);case"$uninstallAllAutoReplies":return this._ptyService.uninstallAllAutoReplies.apply(this._ptyService,o);case"$getDefaultSystemShell":return this._getDefaultSystemShell.apply(this,o);case"$getProfiles":return this._getProfiles.apply(this,o);case"$getEnvironment":return this._getEnvironment();case"$getWslPath":return this._getWslPath(o[0]);case"$getTerminalLayoutInfo":return this._ptyService.getTerminalLayoutInfo(o);case"$setTerminalLayoutInfo":return this._ptyService.setTerminalLayoutInfo(o);case"$serializeTerminalState":return this._ptyService.serializeTerminalState.apply(this._ptyService,o);case"$reviveTerminalProcesses":return this._ptyService.reviveTerminalProcesses.apply(this._ptyService,o);case"$setUnicodeVersion":return this._ptyService.setUnicodeVersion.apply(this._ptyService,o);case"$reduceConnectionGraceTime":return this._reduceConnectionGraceTime();case"$updateIcon":return this._ptyService.updateIcon.apply(this._ptyService,o);case"$updateTitle":return this._ptyService.updateTitle.apply(this._ptyService,o);case"$updateProperty":return this._ptyService.updateProperty.apply(this._ptyService,o);case"$refreshProperty":return this._ptyService.refreshProperty.apply(this._ptyService,o);case"$requestDetachInstance":return this._ptyService.requestDetachInstance(o[0],o[1]);case"$acceptDetachedInstance":return this._ptyService.acceptDetachInstanceReply(o[0],o[1])}throw new Error(`IPC Command ${u} not found`)}listen(y,u,o){switch(u){case"$onPtyHostExitEvent":return this._ptyService.onPtyHostExit||t.Event.None;case"$onPtyHostStartEvent":return this._ptyService.onPtyHostStart||t.Event.None;case"$onPtyHostUnresponsiveEvent":return this._ptyService.onPtyHostUnresponsive||t.Event.None;case"$onPtyHostResponsiveEvent":return this._ptyService.onPtyHostResponsive||t.Event.None;case"$onPtyHostRequestResolveVariablesEvent":return this._ptyService.onPtyHostRequestResolveVariables||t.Event.None;case"$onProcessDataEvent":return this._ptyService.onProcessData;case"$onProcessReadyEvent":return this._ptyService.onProcessReady;case"$onProcessExitEvent":return this._ptyService.onProcessExit;case"$onProcessReplayEvent":return this._ptyService.onProcessReplay;case"$onProcessOrphanQuestion":return this._ptyService.onProcessOrphanQuestion;case"$onExecuteCommand":return this.onExecuteCommand;case"$onDidRequestDetach":return this._ptyService.onDidRequestDetach||t.Event.None;case"$onDidChangeProperty":return this._ptyService.onDidChangeProperty;default:break}throw new Error("Not supported")}async _createProcess(y,u){const o={name:u.shellLaunchConfig.name,executable:u.shellLaunchConfig.executable,args:u.shellLaunchConfig.args,cwd:typeof u.shellLaunchConfig.cwd=="string"||typeof u.shellLaunchConfig.cwd=="undefined"?u.shellLaunchConfig.cwd:v.URI.revive(y.transformIncoming(u.shellLaunchConfig.cwd)),env:u.shellLaunchConfig.env,useShellEnvironment:u.shellLaunchConfig.useShellEnvironment},l=await(0,d.buildUserEnvironment)(u.resolverEnv,!!u.shellLaunchConfig.useShellEnvironment,D.language,!1,this._environmentService,this._logService);this._logService.trace("baseEnv",l);const s=W=>({uri:v.URI.revive(y.transformIncoming(W.uri)),name:W.name,index:W.index,toResource:()=>{throw new Error("Not implemented")}}),n=u.workspaceFolders.map(s),i=u.activeWorkspaceFolder?s(u.activeWorkspaceFolder):void 0,r=u.activeFileResource?v.URI.revive(y.transformIncoming(u.activeFileResource)):void 0,a=new E(l,n,r,u.resolvedVariables),m=c.createVariableResolver(i,process.env,a),S=c.getCwd(o,k.homedir(),m,i?.uri,u.configuration["terminal.integrated.cwd"],this._logService);o.cwd=S;const _=D.isWindows?"terminal.integrated.env.windows":D.isMacintosh?"terminal.integrated.env.osx":"terminal.integrated.env.linux",F=u.configuration[_],B=c.createTerminalEnvironment(o,F,m,this._productService.version,u.configuration["terminal.integrated.detectLocale"],l);if(!o.strictEnv){const W=[];for(const[se,V]of u.envVariableCollections)W.push([se,{map:(0,b.deserializeEnvironmentVariableCollection)(V)}]);const ie=new Map(W);new g.MergedEnvironmentVariableCollection(ie).applyToProcessEnvironment(B)}this._logService.debug("Terminal process launching on remote agent",{shellLaunchConfig:o,initialCwd:S,cols:u.cols,rows:u.rows,env:B});const A=(0,I.createRandomIPCHandle)();B.VSCODE_IPC_HOOK_CLI=A;const T={executeCommand:(W,...ie)=>this._executeCommand(W,ie,y)},U=new R.CLIServerBase(T,this._logService,A),N=await this._ptyService.createProcess(o,S,u.cols,u.rows,u.unicodeVersion,B,l,!1,u.shouldPersistTerminal,u.workspaceId,u.workspaceName);return this._ptyService.onProcessExit(W=>W.id===N&&U.dispose()),{persistentTerminalId:N,resolvedShellLaunchConfig:o}}_executeCommand(y,u,o){let l,s;const n=new Promise((a,m)=>{l=a,s=m}),i=++this._lastReqId;this._pendingCommands.set(i,{resolve:l,reject:s,uriTransformer:o});const r=(0,p.cloneAndChange)(u,a=>{if(a&&a.$mid===1)return o.transformOutgoing(a);if(a&&a instanceof v.URI)return o.transformOutgoingURI(a)});return this._onExecuteCommand.fire({reqId:i,commandId:y,commandArgs:r}),n}_sendCommandResult(y,u,o){const l=this._pendingCommands.get(y);if(!l)return;this._pendingCommands.delete(y);const s=(0,p.cloneAndChange)(o,n=>{if(n&&n.$mid===1)return l.uriTransformer.transformIncoming(n)});u?l.reject(s):l.resolve(s)}_getDefaultSystemShell(y){return this._ptyService.getDefaultSystemShell(y)}async _getProfiles(y,u,o,l){return this._ptyService.getProfiles?.(y,u,o,l)||[]}_getEnvironment(){return{...process.env}}_getWslPath(y){return this._ptyService.getWslPath(y)}_reduceConnectionGraceTime(){return this._ptyService.reduceConnectionGraceTime()}}e.RemoteTerminalChannel=w}),define(we[252],ye([0,1,25,7,2,8,5,81,18,39,28,96,90,194,170,64,171,182,173,26,100,32,98,198,113,19,93,55,53,92,65,66,99,14,94,95,44,30,46,202,114,205,33,41,213,214,101,221,47,103,241,228,207,212,251,57,48,239,112,245]),function(J,e,k,t,p,C,P,D,v,I,L,R,g,b,c,h,d,E,w,f,y,u,o,l,s,n,i,r,a,m,S,_,F,B,A,T,U,N,W,ie,q,se,V,K,te,re,oe,me,X,$,H,j,ee,he,Ie,ae,fe,ve,Q,z){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SocketServer=e.setupServerServices=void 0;const G="monacoworkbench";async function Y(ge,de,Te,Me){const je=new S.ServiceCollection,Be=new Pe,He={_serviceBrand:void 0,...U.default};je.set(N.IProductService,He);const qe=new fe.ServerEnvironmentService(de,He);je.set(f.IEnvironmentService,qe),je.set(f.INativeEnvironmentService,qe);const ne=new B.LogService(new T.SpdLogLogger(Q.RemoteExtensionLogFileName,P.join(qe.logsPath,`${Q.RemoteExtensionLogFileName}.log`),!0,!1,(0,B.getLogLevel)(qe))),be=new B.MultiplexLogService([new Re((0,B.getLogLevel)(qe)),ne]);je.set(B.ILogService,be),setTimeout(()=>le(qe.logsPath).then(null,et=>be.error(et)),1e4),be.trace(`Remote configuration data at ${Te}`),be.trace("process arguments:",qe.args),Array.isArray(He.serverGreeting)&&ne.info(`

${He.serverGreeting.join(`
`)}

`),Be.registerChannel(c.ExtensionHostDebugBroadcastChannel.ChannelName,new c.ExtensionHostDebugBroadcastChannel);const ke=new I.StaticRouter(et=>et.clientId==="renderer");Be.registerChannel("logger",new A.LogLevelChannel(be));const Le=Me.add(new i.FileService(be));je.set(n.IFileService,Le),Le.registerProvider(C.Schemas.file,Me.add(new r.DiskFileSystemProvider(be)));const Ne=new R.ConfigurationService(qe.machineSettingsResource,Le);je.set(L.IConfigurationService,Ne),je.set(X.IUriIdentityService,new $.UriIdentityService(Le)),je.set(W.IRequestService,new a.SyncDescriptor(q.RequestService));let Ye=K.NullAppender;const $e=await(0,D.getMachineId)();if((0,K.supportsTelemetry)(He,qe)){He.aiConfig&&He.aiConfig.asimovKey&&(Ye=new te.AppInsightsAppender(G,null,He.aiConfig.asimovKey),Me.add((0,p.toDisposable)(()=>Ye.flush())));const et={appenders:[Ye],commonProperties:(0,se.resolveCommonProperties)(Le,(0,k.release)(),(0,k.hostname)(),process.arch,He.commit,He.version+"-remote",$e,He.msftInternalDomains,qe.installSourcePath,"remoteAgent"),piiPaths:(0,K.getPiiPathsFromEnvironment)(qe)},rt=qe.args["telemetry-level"];let nt;rt==="all"?nt=3:rt==="error"?nt=2:rt==="crash"?nt=1:rt!==void 0&&(nt=0),je.set(he.IServerTelemetryService,new a.SyncDescriptor(he.ServerTelemetryService,[et,nt]))}else je.set(he.IServerTelemetryService,he.ServerNullTelemetryService);je.set(u.IExtensionGalleryService,new a.SyncDescriptor(y.ExtensionGalleryServiceWithNoStorageService));const Ve=Be.getChannel("download",ke);je.set(h.IDownloadService,new d.DownloadServiceChannelClient(Ve,()=>pe("renderer"))),je.set(u.IExtensionManagementService,new a.SyncDescriptor(s.ExtensionManagementService));const Xe=new m.InstantiationService(je);je.set(_.ILocalizationsService,Xe.createInstance(F.LocalizationsService));const Ge=Xe.createInstance(o.ExtensionManagementCLIService);je.set(u.IExtensionManagementCLIService,Ge);const Ze=Xe.createInstance(me.PtyHostService,{graceTime:108e5,shortGraceTime:3e5,scrollback:Ne.getValue("terminal.integrated.persistentSessionScrollback")??100});return je.set(oe.IPtyService,Ze),je.set(E.IEncryptionMainService,new a.SyncDescriptor(w.EncryptionMainService,[$e])),je.set(g.ICredentialsMainService,new a.SyncDescriptor(b.CredentialsMainService,[!0])),Xe.invokeFunction(et=>{const rt=new H.RemoteAgentEnvironmentChannel(ge,qe,Ge,be,He);Be.registerChannel("remoteextensionsenvironment",rt);const nt=new ee.ServerTelemetryChannel(et.get(he.IServerTelemetryService),Ye);Be.registerChannel("telemetry",nt),Be.registerChannel(ve.REMOTE_TERMINAL_CHANNEL_NAME,new Ie.RemoteTerminalChannel(qe,be,Ze,He));const pt=new j.RemoteAgentFileSystemProviderChannel(be,qe);Be.registerChannel(z.REMOTE_FILE_SYSTEM_CHANNEL_NAME,pt),Be.registerChannel("request",new ie.RequestChannel(et.get(W.IRequestService)));const gt=et.get(u.IExtensionManagementService),dt=new l.ExtensionManagementChannel(gt,kt=>pe(kt.remoteAuthority));Be.registerChannel("extensions",dt);const St=I.ProxyChannel.fromService(et.get(_.ILocalizationsService));Be.registerChannel("localizations",St);const Dt=I.ProxyChannel.fromService(et.get(E.IEncryptionMainService));Be.registerChannel("encryption",Dt);const Pt=I.ProxyChannel.fromService(et.get(g.ICredentialsMainService));return Be.registerChannel("credentials",Pt),gt.removeDeprecatedExtensions(),Me.add(new re.default(et.get(V.ITelemetryService))),{telemetryService:et.get(V.ITelemetryService)}}),{socketServer:Be,instantiationService:Xe}}e.setupServerServices=Y;const ue=Object.create(null);function pe(ge){return ue[ge]||(ue[ge]=(0,ae.createURITransformer)(ge)),ue[ge]}class Pe extends I.IPCServer{constructor(){const de=new t.Emitter;super(de.event);this._onDidConnectEmitter=de}acceptConnection(de,Te){this._onDidConnectEmitter.fire({protocol:de,onDidClientDisconnect:Te})}}e.SocketServer=Pe;class Re extends B.AbstractLogger{constructor(de=B.DEFAULT_LOG_LEVEL){super();this.setLevel(de),this.useColors=Boolean(process.stdout.isTTY)}trace(de,...Te){this.getLevel()<=B.LogLevel.Trace&&(this.useColors?console.log(`[90m[${Fe()}][0m`,de,...Te):console.log(`[${Fe()}]`,de,...Te))}debug(de,...Te){this.getLevel()<=B.LogLevel.Debug&&(this.useColors?console.log(`[90m[${Fe()}][0m`,de,...Te):console.log(`[${Fe()}]`,de,...Te))}info(de,...Te){this.getLevel()<=B.LogLevel.Info&&(this.useColors?console.log(`[90m[${Fe()}][0m`,de,...Te):console.log(`[${Fe()}]`,de,...Te))}warn(de,...Te){this.getLevel()<=B.LogLevel.Warning&&(this.useColors?console.warn(`[93m[${Fe()}][0m`,de,...Te):console.warn(`[${Fe()}]`,de,...Te))}error(de,...Te){this.getLevel()<=B.LogLevel.Error&&(this.useColors?console.error(`[91m[${Fe()}][0m`,de,...Te):console.error(`[${Fe()}]`,de,...Te))}critical(de,...Te){this.getLevel()<=B.LogLevel.Critical&&(this.useColors?console.error(`[90m[${Fe()}][0m`,de,...Te):console.error(`[${Fe()}]`,de,...Te))}dispose(){}flush(){}}function Fe(){const ge=new Date;return`${Ue(ge.getHours())}:${Ue(ge.getMinutes())}:${Ue(ge.getSeconds())}`}function Ue(ge){return ge<10?`0${ge}`:String(ge)}async function le(ge){const de=P.basename(ge),Te=P.dirname(ge),Be=(await v.Promises.readdir(Te)).filter(qe=>/^\d{8}T\d{6}$/.test(qe)).sort().filter(qe=>qe!==de),He=Be.slice(0,Math.max(0,Be.length-9));await Promise.all(He.map(qe=>v.Promises.rm(P.join(Te,qe))))}}),define(we[253],ye([0,1,67,27,82,254,68,116,15,34,2,8,5,43,3,4,23,133,85,58,6,14,30,33,115,223,224,48,252,226]),function(J,e,k,t,p,C,P,D,v,I,L,R,g,b,c,h,d,E,w,f,y,u,o,l,s,n,i,r,a,m){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.createServer=e.RemoteExtensionHostAgentServer=void 0;const S=5*60*1e3;let _=class extends L.Disposable{constructor(A,T,U,N,W,ie,q){super();this._socketServer=A,this._connectionToken=T,this._environmentService=N,this._productService=W,this._logService=ie,this._instantiationService=q,this._extHostConnections=Object.create(null),this._managementConnections=Object.create(null),this._allReconnectionTokens=new Set,this._webClientServer=U?this._instantiationService.createInstance(m.WebClientServer,this._connectionToken):null,this._logService.info("Extension host agent started.")}async handleRequest(A,T){if(A.method!=="GET")return(0,m.serveError)(A,T,405,`Unsupported method ${A.method}`);if(!A.url)return(0,m.serveError)(A,T,400,"Bad request.");const U=P.parse(A.url,!0),N=U.pathname;if(!N)return(0,m.serveError)(A,T,400,"Bad request.");if(N==="/version")return T.writeHead(200,{"Content-Type":"text/plain"}),T.end(this._productService.commit||"");if(N==="/delay-shutdown")return this._delayShutdown(),T.writeHead(200),T.end("OK");if(!(0,i.requestHasValidConnectionToken)(this._connectionToken,A,U))return(0,m.serveError)(A,T,403,"Forbidden.");if(N==="/vscode-remote-resource"){const W=U.query.path;if(typeof W!="string")return(0,m.serveError)(A,T,400,"Bad request.");let ie;try{ie=h.URI.from({scheme:R.Schemas.file,path:W}).fsPath}catch{return(0,m.serveError)(A,T,400,"Bad request.")}const q=Object.create(null);return this._environmentService.isBuilt&&((0,I.isEqualOrParent)(ie,this._environmentService.builtinExtensionsPath,!c.isLinux)||(0,I.isEqualOrParent)(ie,this._environmentService.extensionsPath,!c.isLinux))&&(q["Cache-Control"]="public, max-age=31536000"),(0,m.serveFile)(this._logService,A,T,ie,q)}if(this._webClientServer){this._webClientServer.handle(A,T,U);return}return T.writeHead(404,{"Content-Type":"text/plain"}),T.end("Not found")}handleUpgrade(A,T){let U=(0,d.generateUuid)(),N=!1,W=!1;if(A.url){const te=P.parse(A.url,!0).query;typeof te.reconnectionToken=="string"&&(U=te.reconnectionToken),te.reconnection==="true"&&(N=!0),te.skipWebSocketFrames==="true"&&(W=!0)}if(A.headers.upgrade!=="websocket"){T.end("HTTP/1.1 400 Bad Request");return}const ie=A.headers["sec-websocket-key"],q=k.createHash("sha1");q.update(ie+"258EAFA5-E914-47DA-95CA-C5AB0DC85B11");const se=q.digest("base64"),V=["HTTP/1.1 101 Switching Protocols","Upgrade: websocket","Connection: Upgrade",`Sec-WebSocket-Accept: ${se}`];let K=!1;if(!W&&!this._environmentService.args["disable-websocket-compression"]&&A.headers["sec-websocket-extensions"]){const te=Array.isArray(A.headers["sec-websocket-extensions"])?A.headers["sec-websocket-extensions"]:[A.headers["sec-websocket-extensions"]];for(const re of te)if(!/\b((server_max_window_bits)|(server_no_context_takeover)|(client_no_context_takeover))\b/.test(re)){if(/\b(permessage-deflate)\b/.test(re)){K=!0,V.push("Sec-WebSocket-Extensions: permessage-deflate");break}if(/\b(x-webkit-deflate-frame)\b/.test(re)){K=!0,V.push("Sec-WebSocket-Extensions: x-webkit-deflate-frame");break}}}T.write(V.join(`\r
`)+`\r
\r
`),T.setTimeout(0),T.setNoDelay(!0),W?this._handleWebSocketConnection(new f.NodeSocket(T,`server-connection-${U}`),N,U):this._handleWebSocketConnection(new f.WebSocketNodeSocket(new f.NodeSocket(T,`server-connection-${U}`),K,null,!0),N,U)}handleServerError(A){this._logService.error("Error occurred in server"),this._logService.error(A)}_getRemoteAddress(A){let T;return A instanceof f.NodeSocket?T=A.socket:T=A.socket.socket,T.remoteAddress||"<unknown>"}async _rejectWebSocketConnection(A,T,U){const N=T.getSocket();this._logService.error(`${A} ${U}.`);const W={type:"error",reason:U};T.sendControl(v.VSBuffer.fromString(JSON.stringify(W))),T.dispose(),await N.drain(),N.dispose()}_handleWebSocketConnection(A,T,U){const N=this._getRemoteAddress(A),W=`[${N}][${U.substr(0,8)}]`,ie=new w.PersistentProtocol(A);let q,se;try{const oe=J.__$__nodeRequire("vsda");q=new oe.validator,se=new oe.signer}catch{}let V;(function(oe){oe[oe.WaitingForAuth=0]="WaitingForAuth",oe[oe.WaitingForConnectionType=1]="WaitingForConnectionType",oe[oe.Done=2]="Done",oe[oe.Error=3]="Error"})(V||(V={}));let K=0;const te=oe=>{K=3,re.dispose(),this._rejectWebSocketConnection(W,ie,oe)},re=ie.onControlMessage(oe=>{if(K===0){let me;try{me=JSON.parse(oe.toString())}catch{return te("Malformed first message")}if(me.type!=="auth")return te("Invalid first message");if(this._connectionToken.type===2&&!this._connectionToken.validate(me.auth))return te("Unauthorized client refused: auth mismatch");let X=(0,d.generateUuid)();if(se)try{X=se.sign(me.data)}catch{}let $=(0,d.generateUuid)();if(q)try{$=q.createNewMessage($)}catch{}const H={type:"sign",data:$,signedData:X};ie.sendControl(v.VSBuffer.fromString(JSON.stringify(H))),K=1}else if(K===1){let me;try{me=JSON.parse(oe.toString())}catch{return te("Malformed second message")}if(me.type!=="connectionType")return te("Invalid second message");if(typeof me.signedData!="string")return te("Invalid second message field type");const X=me.commit,$=this._productService.commit;if(X&&$&&X!==$)return te("Client refused: version mismatch");let H=!1;if(!q)H=!0;else if(this._connectionToken.validate(me.signedData))H=!0;else try{H=q.validate(me.signedData)==="ok"}catch{}if(!H){if(this._environmentService.isBuilt)return te("Unauthorized client refused");this._logService.error(`${W} Unauthorized client handshake failed but we proceed because of dev mode.`)}for(let j in this._managementConnections)this._managementConnections[j].shortenReconnectionGraceTimeIfNecessary();for(let j in this._extHostConnections)this._extHostConnections[j].shortenReconnectionGraceTimeIfNecessary();K=2,re.dispose(),this._handleConnectionType(N,W,ie,A,T,U,me)}})}async _handleConnectionType(A,T,U,N,W,ie,q){const se=q.desiredConnectionType===1?`${T}[ManagementConnection]`:q.desiredConnectionType===2?`${T}[ExtensionHostConnection]`:T;if(q.desiredConnectionType===1)if(W){if(!this._managementConnections[ie])return this._allReconnectionTokens.has(ie)?this._rejectWebSocketConnection(se,U,"Unknown reconnection token (seen before)"):this._rejectWebSocketConnection(se,U,"Unknown reconnection token (never seen)");U.sendControl(v.VSBuffer.fromString(JSON.stringify({type:"ok"})));const V=U.readEntireBuffer();U.dispose(),this._managementConnections[ie].acceptReconnection(A,N,V)}else{if(this._managementConnections[ie])return this._rejectWebSocketConnection(se,U,"Duplicate reconnection token");U.sendControl(v.VSBuffer.fromString(JSON.stringify({type:"ok"})));const V=new n.ManagementConnection(this._logService,ie,A,U);this._socketServer.acceptConnection(V.protocol,V.onClose),this._managementConnections[ie]=V,this._allReconnectionTokens.add(ie),V.onClose(()=>{delete this._managementConnections[ie]})}else if(q.desiredConnectionType===2){const V=q.args||{language:"en"},K=await this._updateWithFreeDebugPort(V);if(K.port&&this._logService.trace(`${se} - startParams debug port ${K.port}`),this._logService.trace(`${se} - startParams language: ${K.language}`),this._logService.trace(`${se} - startParams env: ${JSON.stringify(K.env)}`),W){if(!this._extHostConnections[ie])return this._allReconnectionTokens.has(ie)?this._rejectWebSocketConnection(se,U,"Unknown reconnection token (seen before)"):this._rejectWebSocketConnection(se,U,"Unknown reconnection token (never seen)");U.sendPause(),U.sendControl(v.VSBuffer.fromString(JSON.stringify(K.port?{debugPort:K.port}:{})));const te=U.readEntireBuffer();U.dispose(),this._extHostConnections[ie].acceptReconnection(A,N,te)}else{if(this._extHostConnections[ie])return this._rejectWebSocketConnection(se,U,"Duplicate reconnection token");U.sendPause(),U.sendControl(v.VSBuffer.fromString(JSON.stringify(K.port?{debugPort:K.port}:{})));const te=U.readEntireBuffer();U.dispose();const re=new s.ExtensionHostConnection(this._environmentService,this._logService,ie,A,N,te);this._extHostConnections[ie]=re,this._allReconnectionTokens.add(ie),re.onClose(()=>{delete this._extHostConnections[ie],this._onDidCloseExtHostConnection()}),re.start(K)}}else if(q.desiredConnectionType===3){const V=q.args;this._createTunnel(U,V)}else return this._rejectWebSocketConnection(se,U,"Unknown initial data received")}async _createTunnel(A,T){const U=A.getSocket().socket,N=A.readEntireBuffer();A.dispose(),U.pause();const W=await this._connectTunnelSocket(T.host,T.port);N.byteLength>0&&W.write(N.buffer),W.on("end",()=>U.end()),W.on("close",()=>U.end()),W.on("error",()=>U.destroy()),U.on("end",()=>W.end()),U.on("close",()=>W.end()),U.on("error",()=>W.destroy()),W.pipe(U),U.pipe(W)}_connectTunnelSocket(A,T){return new Promise((U,N)=>{const W=p.createConnection({host:A,port:T},()=>{W.removeListener("error",N),W.pause(),U(W)});W.once("error",N)})}_updateWithFreeDebugPort(A){return typeof A.port=="number"?(0,E.findFreePort)(A.port,10,5e3).then(T=>(A.port=T,A)):(A.debugId=void 0,A.port=void 0,A.break=void 0,Promise.resolve(A))}async _onDidCloseExtHostConnection(){if(!this._environmentService.args["enable-remote-auto-shutdown"])return;this._cancelShutdown(),!!Object.keys(this._extHostConnections).length||(console.log("Last EH closed, waiting before shutting down"),this._logService.info("Last EH closed, waiting before shutting down"),this._waitThenShutdown())}_waitThenShutdown(){!this._environmentService.args["enable-remote-auto-shutdown"]||(this._environmentService.args["remote-auto-shutdown-without-delay"]?this._shutdown():this.shutdownTimer=setTimeout(()=>{this.shutdownTimer=void 0,this._shutdown()},S))}_shutdown(){if(!!Object.keys(this._extHostConnections).length){console.log("New EH opened, aborting shutdown"),this._logService.info("New EH opened, aborting shutdown");return}else console.log("Last EH closed, shutting down"),this._logService.info("Last EH closed, shutting down"),this.dispose(),process.exit(0)}_delayShutdown(){this.shutdownTimer&&(console.log("Got delay-shutdown request while in shutdown timeout, delaying"),this._logService.info("Got delay-shutdown request while in shutdown timeout, delaying"),this._cancelShutdown(),this._waitThenShutdown())}_cancelShutdown(){this.shutdownTimer&&(console.log("Cancelling previous shutdown timeout"),this._logService.info("Cancelling previous shutdown timeout"),clearTimeout(this.shutdownTimer),this.shutdownTimer=void 0)}};_=Ae([Oe(3,r.IServerEnvironmentService),Oe(4,o.IProductService),Oe(5,u.ILogService),Oe(6,y.IInstantiationService)],_),e.RemoteExtensionHostAgentServer=_;async function F(B,A,T){const U=await(0,i.determineServerConnectionToken)(A);U instanceof i.ServerConnectionTokenParseError&&(console.warn(U.message),process.exit(1));const N=new L.DisposableStore,{socketServer:W,instantiationService:ie}=await(0,a.setupServerServices)(U,A,T,N);ie.invokeFunction(oe=>{const me=oe.get(u.ILogService);if(process.platform==="win32"&&process.env.HOMEDRIVE&&process.env.HOMEPATH){const X=(0,g.join)(process.env.HOMEDRIVE,"node_modules"),$=(0,g.dirname)((0,g.join)(process.env.HOMEDRIVE,process.env.HOMEPATH)),H=(0,g.join)($,"node_modules");if(t.existsSync(X)||t.existsSync(H)){const j=`

*
* !!!! Server terminated due to presence of CVE-2020-1416 !!!!
*
* Please remove the following directories and re-try
* ${X}
* ${H}
*
* For more information on the vulnerability https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-1416
*

`;me.warn(j),console.warn(j),process.exit(0)}}});const q=t.existsSync(R.FileAccess.asFileUri("vs/code/browser/workbench/workbench.html",J).fsPath);if(q&&B&&typeof B!="string"){const oe=U.type!==0?`?${R.connectionTokenQueryName}=${U.value}`:"";console.log(`Web UI available at http://localhost${B.port===80?"":`:${B.port}`}/${oe}`)}const se=ie.createInstance(_,W,U,q);b.mark("code/server/ready");const V=C.performance.now(),K=global.vscodeServerStartTime,te=global.vscodeServerListenTime,re=global.vscodeServerCodeLoadedTime;if(ie.invokeFunction(oe=>{oe.get(l.ITelemetryService).publicLog2("serverStart",{startTime:K,startedTime:te,codeLoadedTime:re,readyTime:V})}),A["print-startup-performance"]){const oe=D.LoaderStats.get();let me="";me+=`

### Load AMD-module
`,me+=D.LoaderStats.toMarkdownTable(["Module","Duration"],oe.amdLoad),me+=`

### Load commonjs-module
`,me+=D.LoaderStats.toMarkdownTable(["Module","Duration"],oe.nodeRequire),me+=`

### Invoke AMD-module factory
`,me+=D.LoaderStats.toMarkdownTable(["Module","Duration"],oe.amdInvoke),me+=`

### Invoke commonjs-module
`,me+=D.LoaderStats.toMarkdownTable(["Module","Duration"],oe.nodeEval),me+=`Start-up time: ${te-K}
`,me+=`Code loading time: ${re-K}
`,me+=`Initialized time: ${V-K}
`,me+=`
`,console.log(me)}return se}e.createServer=F}),define(we[262],ye([0,1,25,27,8,249,253,52,5,254,48,44,43]),function(J,e,k,t,p,C,P,D,v,I,L,R,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.createServer=e.spawnCli=void 0,g.mark("code/server/codeLoaded"),global.vscodeServerCodeLoadedTime=I.performance.now();const b={onMultipleValues:(w,f)=>{console.error(`Option ${w} can only be defined once. Using value ${f}.`)},onUnknownOption:w=>{console.error(`Ignoring option ${w}: not supported for server.`)},onDeprecatedOption:(w,f)=>{console.warn(`Option '${w}' is deprecated: ${f}`)}};function c(){return(0,D.parseArgs)(process.argv.slice(2),L.serverOptions,b)}function h(w){const f=w["server-data-dir"]||w["user-data-dir"]||process.env.VSCODE_AGENT_FOLDER||(0,v.join)(k.homedir(),R.default.serverDataFolderName||".vscode-remote"),y=w["user-data-dir"]||(0,v.join)(f,"data"),u=(0,v.join)(y,"User"),o=(0,v.join)(u,"globalStorage"),l=(0,v.join)(y,"Machine");w["user-data-dir"]=y;const s=(0,v.dirname)(p.FileAccess.asFileUri("",J).fsPath),n=w["builtin-extensions-dir"]||(0,v.join)(s,"extensions");return w["builtin-extensions-dir"]=n,w["extensions-dir"]=w["extensions-dir"]||(0,v.join)(f,"extensions"),[f,w["extensions-dir"],y,u,l,o].forEach(i=>{try{t.existsSync(i)||t.mkdirSync(i,{mode:448})}catch(r){console.error(r)}}),f}function d(w=c()){return(0,C.run)(w,h(w),L.serverOptions)}e.spawnCli=d;function E(w,f=c()){return(0,P.createServer)(w,f,h(f))}e.createServer=E})}).call(this);

//# sourceMappingURL=server.main.js.map
